
/**
 * @requires js/config.js
 * @requires jQuery
 **/
 
/** 
 * dynamic loading of required javascript files depending on configured mode
 **/
function loadScripts() {
   
   // define scripts to include for each mode
   var scripts = {
      'min': ['js/geoportal/GeoportalWebapp.js'],
      //'cat': ['js/openlayers/openlayers.cat.js', 'js/proj4js/proj4js.cat.js', 'js/geoportal/geoportal.cat.js'],
      //'full': ['js/geoportal/custom/GeoportalWebappMobile.js'],
      'full':['http://api.ign.fr/geoportail/api/js/2.1.2/lib/geoportal/lib/GeoportalWebapp.js'],
      'cordova': ['js/cordova-init.js','js/geoportal/GeoportalWebapp.js']
   };
   
   // get config mode from config file
   var includes = scripts[config.mode ? config.mode :'full'];

   $.each(includes, function(i, scriptPath) {
        var script = "<script" +
                     " type='text/javascript'" +
                     " src='" + scriptPath + "'" +
                     " charset='UTF-8'" +
                     "></script>";
        document.write(script);    
   });
}

// executed as soon as the file is loaded
loadScripts();



