/*
 * Geoportal.js -- release 2.1.3-SNAPSHOT -- IGN France Geoportal Map Viewer Library
 *
 * Copyright 2008-2015 IGN France, released under the BSD license.
 * Please see http://api.ign.fr/tech-docs-js/license.html
 * Please see http://api.ign.fr/tech-docs-js/fr/license.html
 * for the full text of the license.
 *
 * The full source of Geoportal API can be downloaded there :
 * http://api.ign.fr/tech-docs-js/fr/developpeur/download.html
 *
 * --------------------------------------------------------------------------
 *
 * Contains rewritting of http://hexmen.com/blog/2007/03/printf-sprintf/
 * This code is unrestricted: you are free to use it however you like.
 *
 * --------------------------------------------------------------------------
 *
 * Contains portions of Sarissa -- http://dev.abiss.gr/sarissa
 *
 * Sarissa is an ECMAScript library acting as a cross-browser wrapper for native XML APIs.
 * The library supports Gecko based browsers like Mozilla and Firefox,
 * Internet Explorer (5.5+ with MSXML3.0+), Konqueror, Safari and Opera
 * @version 0.9.9.4
 * @author: Copyright 2004-2008 Emmanouil Batsis, mailto: mbatsis at users full stop sourceforge full stop net
 *
 * Sarissa is free software distributed under Apache Software License 2.0 or higher (see <a href="asl.txt">asl.txt</a>).
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY
 * KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * WARRANTIES OF MERCHANTABILITY,FITNESS FOR A PARTICULAR PURPOSE
 * AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
 * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 * --------------------------------------------------------------------------
 *
 * proj4js.js -- Javascript reprojection library.
 *
 * Authors:      Mike Adair madairATdmsolutions.ca
 *                 Richard Greenwood richATgreenwoodmap.com
 *                 Didier Richard didier.richardATign.fr
 *                 Stephen Irons stephen.ironsATclear.net.nz
 *                 Olivier Terral oterralATgmail.com
 *
 * License:
 * Copyright (c) 2012, Mike Adair, Richard Greenwood, Didier Richard,
 *                      Stephen Irons and Olivier Terral
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *
 * Note: This program is an almost direct port of the C library PROJ.4.
 *
 * --------------------------------------------------------------------------
 *
 * Contains OpenLayers.js -- OpenLayers Map Viewer Library
 *
 * Copyright 2005-2007 MetaCarta, Inc., released under the BSD license.
 * Please see http://svn.openlayers.org/trunk/openlayers/release-license.txt
 * for the full text of the license.
 *
 * Includes compressed code under the following licenses:
 *
 * (For uncompressed versions of the code used please see the
 * OpenLayers SVN repository: <http://openlayers.org/>)
 *
 * --------------------------------------------------------------------------
 *
 * Contains portions of Prototype.js:
 *
 * Prototype JavaScript framework, version 1.4.0
 * (c) 2005 Sam Stephenson <sam@conio.net>
 *
 * Prototype is freely distributable under the terms of an MIT-style license.
 * For details, see the Prototype web site: http://prototype.conio.net/
 *
 * --------------------------------------------------------------------------
 *
 * Contains portions of Rico <http://openrico.org/>
 *
 * Copyright 2005 Sabre Airline Solutions
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * permissions and limitations under the License.
 *
 * --------------------------------------------------------------------------
 *
 * Contains XMLHttpRequest of <http://code.google.com/p/xmlhttprequest>
 *
 * Onderwerp: Re: XMLHttpRequest.js license
 * Van:       "Sergey Ilinsky" <sergey@ilinsky.com>
 * Datum:     Wo, 21 april, 2010 10:45 am
 * Aan:       bartvde@osgis.nl
 *
 * --------------------------------------------------------------------------
 *
 * I authorize OpenLayers to get the latest version of XMLHttpRequest.js
 * library and use it under Apache license (Just replace the license note in
 * the file). Is the written confirmation sufficient?
 *
 * Sergey/
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * --------------------------------------------------------------------------
 *
 * SWFObject v2.2 <http://code.google.com/p/swfobject/> is released under the MIT License
 * <http://www.opensource.org/licenses/mit-license.php>
 *
 * --------------------------------------------------------------------------
 */
var OpenLayers={VERSION_NUMBER:"Release 2.12",singleFile:true,_getScriptLocation:(function(){var f=new RegExp("(^|(.*?\\/))(OpenLayers[^\\/]*?\\.js)(\\?|$)"),e=document.getElementsByTagName("script"),g,b,c="";for(var d=0,a=e.length;d<a;d++){g=e[d].getAttribute("src");if(g){b=g.match(f);if(b){c=b[1];break}}}return(function(){return c})})(),ImgPath:""};OpenLayers.String={startsWith:function(b,a){return(b.indexOf(a)==0)},contains:function(b,a){return(b.indexOf(a)!=-1)},trim:function(a){return a.replace(/^\s\s*/,"").replace(/\s\s*$/,"")},camelize:function(f){var d=f.split("-");var b=d[0];for(var c=1,a=d.length;c<a;c++){var e=d[c];b+=e.charAt(0).toUpperCase()+e.substring(1)}return b},format:function(d,c,a){if(!c){c=window}var b=function(j,e){var h;var g=e.split(/\.+/);for(var f=0;f<g.length;f++){if(f==0){h=c}h=h[g[f]]}if(typeof h=="function"){h=a?h.apply(null,a):h()}if(typeof h=="undefined"){return"undefined"}else{return h}};return d.replace(OpenLayers.String.tokenRegEx,b)},tokenRegEx:/\$\{([\w.]+?)\}/g,numberRegEx:/^([+-]?)(?=\d|\.\d)\d*(\.\d*)?([Ee]([+-]?\d+))?$/,isNumeric:function(a){return OpenLayers.String.numberRegEx.test(a)},numericIf:function(a){return OpenLayers.String.isNumeric(a)?parseFloat(a):a}};OpenLayers.Number={decimalSeparator:".",thousandsSeparator:",",limitSigDigs:function(a,c){var b=0;if(c>0){b=parseFloat(a.toPrecision(c))}return b},format:function(c,a,g,i){a=(typeof a!="undefined")?a:0;g=(typeof g!="undefined")?g:OpenLayers.Number.thousandsSeparator;i=(typeof i!="undefined")?i:OpenLayers.Number.decimalSeparator;if(a!=null){c=parseFloat(c.toFixed(a))}var b=c.toString().split(".");if(b.length==1&&a==null){a=0}var d=b[0];if(g){var e=/(-?[0-9]+)([0-9]{3})/;while(e.test(d)){d=d.replace(e,"$1"+g+"$2")}}var f;if(a==0){f=d}else{var h=b.length>1?b[1]:"0";if(a!=null){h=h+new Array(a-h.length+1).join("0")}f=d+i+h}return f}};OpenLayers.Function={bind:function(c,b){var a=Array.prototype.slice.apply(arguments,[2]);return function(){var d=a.concat(Array.prototype.slice.apply(arguments,[0]));return c.apply(b,d)}},bindAsEventListener:function(b,a){return function(c){return b.call(a,c||window.event)}},False:function(){return false},True:function(){return true},Void:function(){}};OpenLayers.Array={filter:function(g,f,b){var d=[];if(Array.prototype.filter){d=g.filter(f,b)}else{var a=g.length;if(typeof f!="function"){throw new TypeError()}for(var c=0;c<a;c++){if(c in g){var e=g[c];if(f.call(b,e,c,g)){d.push(e)}}}}return d}};OpenLayers.Class=function(){var a=arguments.length;var d=arguments[0];var c=arguments[a-1];var e=typeof c.initialize=="function"?c.initialize:function(){d.prototype.initialize.apply(this,arguments)};if(a>1){var b=[e,d].concat(Array.prototype.slice.call(arguments).slice(1,a-1),c);OpenLayers.inherit.apply(null,b)}else{e.prototype=c}return e};OpenLayers.inherit=function(f,d){var c=function(){};c.prototype=d.prototype;f.prototype=new c;var b,a,e;for(b=2,a=arguments.length;b<a;b++){e=arguments[b];if(typeof e==="function"){e=e.prototype}OpenLayers.Util.extend(f.prototype,e)}};OpenLayers.Util=OpenLayers.Util||{};OpenLayers.Util.extend=function(a,e){a=a||{};if(e){for(var d in e){var c=e[d];if(c!==undefined){a[d]=c}}var b=typeof window.Event=="function"&&e instanceof window.Event;if(!b&&e.hasOwnProperty&&e.hasOwnProperty("toString")){a.toString=e.toString}}return a};OpenLayers.Bounds=OpenLayers.Class({left:null,bottom:null,right:null,top:null,centerLonLat:null,initialize:function(d,a,b,c){if(OpenLayers.Util.isArray(d)){c=d[3];b=d[2];a=d[1];d=d[0]}if(d!=null){this.left=OpenLayers.Util.toFloat(d)}if(a!=null){this.bottom=OpenLayers.Util.toFloat(a)}if(b!=null){this.right=OpenLayers.Util.toFloat(b)}if(c!=null){this.top=OpenLayers.Util.toFloat(c)}},clone:function(){return new OpenLayers.Bounds(this.left,this.bottom,this.right,this.top)},equals:function(b){var a=false;if(b!=null){a=((this.left==b.left)&&(this.right==b.right)&&(this.top==b.top)&&(this.bottom==b.bottom))}return a},toString:function(){return[this.left,this.bottom,this.right,this.top].join(",")},toArray:function(a){if(a===true){return[this.bottom,this.left,this.top,this.right]}else{return[this.left,this.bottom,this.right,this.top]}},toBBOX:function(b,e){if(b==null){b=6}var g=Math.pow(10,b);var f=Math.round(this.left*g)/g;var d=Math.round(this.bottom*g)/g;var c=Math.round(this.right*g)/g;var a=Math.round(this.top*g)/g;if(e===true){return d+","+f+","+a+","+c}else{return f+","+d+","+c+","+a}},toGeometry:function(){return new OpenLayers.Geometry.Polygon([new OpenLayers.Geometry.LinearRing([new OpenLayers.Geometry.Point(this.left,this.bottom),new OpenLayers.Geometry.Point(this.right,this.bottom),new OpenLayers.Geometry.Point(this.right,this.top),new OpenLayers.Geometry.Point(this.left,this.top)])])},getWidth:function(){return(this.right-this.left)},getHeight:function(){return(this.top-this.bottom)},getSize:function(){return new OpenLayers.Size(this.getWidth(),this.getHeight())},getCenterPixel:function(){return new OpenLayers.Pixel((this.left+this.right)/2,(this.bottom+this.top)/2)},getCenterLonLat:function(){if(!this.centerLonLat){this.centerLonLat=new OpenLayers.LonLat((this.left+this.right)/2,(this.bottom+this.top)/2)}return this.centerLonLat},scale:function(e,c){if(c==null){c=this.getCenterLonLat()}var a,h;if(c.CLASS_NAME=="OpenLayers.LonLat"){a=c.lon;h=c.lat}else{a=c.x;h=c.y}var g=(this.left-a)*e+a;var b=(this.bottom-h)*e+h;var d=(this.right-a)*e+a;var f=(this.top-h)*e+h;return new OpenLayers.Bounds(g,b,d,f)},add:function(a,b){if((a==null)||(b==null)){throw new TypeError("Bounds.add cannot receive null values")}return new OpenLayers.Bounds(this.left+a,this.bottom+b,this.right+a,this.top+b)},extend:function(a){var b=null;if(a){switch(a.CLASS_NAME){case"OpenLayers.LonLat":b=new OpenLayers.Bounds(a.lon,a.lat,a.lon,a.lat);break;case"OpenLayers.Geometry.Point":b=new OpenLayers.Bounds(a.x,a.y,a.x,a.y);break;case"OpenLayers.Bounds":b=a;break}if(b){this.centerLonLat=null;if((this.left==null)||(b.left<this.left)){this.left=b.left}if((this.bottom==null)||(b.bottom<this.bottom)){this.bottom=b.bottom}if((this.right==null)||(b.right>this.right)){this.right=b.right}if((this.top==null)||(b.top>this.top)){this.top=b.top}}}},containsLonLat:function(f,c){if(typeof c==="boolean"){c={inclusive:c}}c=c||{};var d=this.contains(f.lon,f.lat,c.inclusive),e=c.worldBounds;if(e&&!d){var g=e.getWidth();var a=(e.left+e.right)/2;var b=Math.round((f.lon-a)/g);d=this.containsLonLat({lon:f.lon-b*g,lat:f.lat},{inclusive:c.inclusive})}return d},containsPixel:function(b,a){return this.contains(b.x,b.y,a)},contains:function(b,d,a){if(a==null){a=true}if(b==null||d==null){return false}b=OpenLayers.Util.toFloat(b);d=OpenLayers.Util.toFloat(d);var c=false;if(a){c=((b>=this.left)&&(b<=this.right)&&(d>=this.bottom)&&(d<=this.top))}else{c=((b>this.left)&&(b<this.right)&&(d>this.bottom)&&(d<this.top))}return c},intersectsBounds:function(a,n){if(typeof n==="boolean"){n={inclusive:n}}n=n||{};if(n.worldBounds){var l=this.wrapDateLine(n.worldBounds);a=a.wrapDateLine(n.worldBounds)}else{l=this}if(n.inclusive==null){n.inclusive=true}var h=false;var i=(l.left==a.right||l.right==a.left||l.top==a.bottom||l.bottom==a.top);if(n.inclusive||!i){var j=(((a.bottom>=l.bottom)&&(a.bottom<=l.top))||((l.bottom>=a.bottom)&&(l.bottom<=a.top)));var k=(((a.top>=l.bottom)&&(a.top<=l.top))||((l.top>a.bottom)&&(l.top<a.top)));var d=(((a.left>=l.left)&&(a.left<=l.right))||((l.left>=a.left)&&(l.left<=a.right)));var c=(((a.right>=l.left)&&(a.right<=l.right))||((l.right>=a.left)&&(l.right<=a.right)));h=((j||k)&&(d||c))}if(n.worldBounds&&!h){var g=n.worldBounds;var b=g.getWidth();var f=!g.containsBounds(l);var e=!g.containsBounds(a);if(f&&!e){a=a.add(-b,0);h=l.intersectsBounds(a,{inclusive:n.inclusive})}else{if(e&&!f){l=l.add(-b,0);h=a.intersectsBounds(l,{inclusive:n.inclusive})}}}return h},containsBounds:function(g,b,a){if(b==null){b=false}if(a==null){a=true}var c=this.contains(g.left,g.bottom,a);var d=this.contains(g.right,g.bottom,a);var f=this.contains(g.left,g.top,a);var e=this.contains(g.right,g.top,a);return(b)?(c||d||f||e):(c&&d&&f&&e)},determineQuadrant:function(c){var b="";var a=this.getCenterLonLat();b+=(c.lat<a.lat)?"b":"t";b+=(c.lon<a.lon)?"l":"r";return b},transform:function(d,b){this.centerLonLat=null;var e=OpenLayers.Projection.transform({x:this.left,y:this.bottom},d,b);var a=OpenLayers.Projection.transform({x:this.right,y:this.bottom},d,b);var c=OpenLayers.Projection.transform({x:this.left,y:this.top},d,b);var f=OpenLayers.Projection.transform({x:this.right,y:this.top},d,b);this.left=Math.min(e.x,c.x);this.bottom=Math.min(e.y,a.y);this.right=Math.max(a.x,f.x);this.top=Math.max(c.y,f.y);return this},wrapDateLine:function(a,c){c=c||{};var e=c.leftTolerance||0;var b=c.rightTolerance||0;var g=this.clone();if(a){var d=a.getWidth();while(g.left<a.left&&g.right-b<=a.left){g=g.add(d,0)}while(g.left+e>=a.right&&g.right>a.right){g=g.add(-d,0)}var f=g.left+e;if(f<a.right&&f>a.left&&g.right-b>a.right){g=g.add(-d,0)}}return g},CLASS_NAME:"OpenLayers.Bounds"});OpenLayers.Bounds.fromString=function(c,b){var a=c.split(",");return OpenLayers.Bounds.fromArray(a,b)};OpenLayers.Bounds.fromArray=function(b,a){return a===true?new OpenLayers.Bounds(b[1],b[0],b[3],b[2]):new OpenLayers.Bounds(b[0],b[1],b[2],b[3])};OpenLayers.Bounds.fromSize=function(a){return new OpenLayers.Bounds(0,a.h,a.w,0)};OpenLayers.Bounds.oppositeQuadrant=function(a){var b="";b+=(a.charAt(0)=="t")?"b":"t";b+=(a.charAt(1)=="l")?"r":"l";return b};OpenLayers.Element={visible:function(a){return OpenLayers.Util.getElement(a).style.display!="none"},toggle:function(){for(var c=0,a=arguments.length;c<a;c++){var b=OpenLayers.Util.getElement(arguments[c]);var d=OpenLayers.Element.visible(b)?"none":"";b.style.display=d}},remove:function(a){a=OpenLayers.Util.getElement(a);a.parentNode.removeChild(a)},getHeight:function(a){a=OpenLayers.Util.getElement(a);return a.offsetHeight},hasClass:function(b,a){var c=b.className;return(!!c&&new RegExp("(^|\\s)"+a+"(\\s|$)").test(c))},addClass:function(b,a){if(!OpenLayers.Element.hasClass(b,a)){b.className+=(b.className?" ":"")+a}return b},removeClass:function(b,a){var c=b.className;if(c){b.className=OpenLayers.String.trim(c.replace(new RegExp("(^|\\s+)"+a+"(\\s+|$)")," "))}return b},toggleClass:function(b,a){if(OpenLayers.Element.hasClass(b,a)){OpenLayers.Element.removeClass(b,a)}else{OpenLayers.Element.addClass(b,a)}return b},getStyle:function(c,d){c=OpenLayers.Util.getElement(c);var e=null;if(c&&c.style){e=c.style[OpenLayers.String.camelize(d)];if(!e){if(document.defaultView&&document.defaultView.getComputedStyle){var b=document.defaultView.getComputedStyle(c,null);e=b?b.getPropertyValue(d):null}else{if(c.currentStyle){e=c.currentStyle[OpenLayers.String.camelize(d)]}}}var a=["left","top","right","bottom"];if(window.opera&&(OpenLayers.Util.indexOf(a,d)!=-1)&&(OpenLayers.Element.getStyle(c,"position")=="static")){e="auto"}}return e=="auto"?null:e}};OpenLayers.LonLat=OpenLayers.Class({lon:0,lat:0,initialize:function(b,a){if(OpenLayers.Util.isArray(b)){a=b[1];b=b[0]}this.lon=OpenLayers.Util.toFloat(b);this.lat=OpenLayers.Util.toFloat(a)},toString:function(){return("lon="+this.lon+",lat="+this.lat)},toShortString:function(){return(this.lon+", "+this.lat)},clone:function(){return new OpenLayers.LonLat(this.lon,this.lat)},add:function(b,a){if((b==null)||(a==null)){throw new TypeError("LonLat.add cannot receive null values")}return new OpenLayers.LonLat(this.lon+OpenLayers.Util.toFloat(b),this.lat+OpenLayers.Util.toFloat(a))},equals:function(b){var a=false;if(b!=null){a=((this.lon==b.lon&&this.lat==b.lat)||(isNaN(this.lon)&&isNaN(this.lat)&&isNaN(b.lon)&&isNaN(b.lat)))}return a},transform:function(c,b){var a=OpenLayers.Projection.transform({x:this.lon,y:this.lat},c,b);this.lon=a.x;this.lat=a.y;return this},wrapDateLine:function(a){var b=this.clone();if(a){while(b.lon<a.left){b.lon+=a.getWidth()}while(b.lon>a.right){b.lon-=a.getWidth()}}return b},CLASS_NAME:"OpenLayers.LonLat"});OpenLayers.LonLat.fromString=function(b){var a=b.split(",");return new OpenLayers.LonLat(a[0],a[1])};OpenLayers.LonLat.fromArray=function(a){var b=OpenLayers.Util.isArray(a),d=b&&a[0],c=b&&a[1];return new OpenLayers.LonLat(d,c)};OpenLayers.Pixel=OpenLayers.Class({x:0,y:0,initialize:function(a,b){this.x=parseFloat(a);this.y=parseFloat(b)},toString:function(){return("x="+this.x+",y="+this.y)},clone:function(){return new OpenLayers.Pixel(this.x,this.y)},equals:function(a){var b=false;if(a!=null){b=((this.x==a.x&&this.y==a.y)||(isNaN(this.x)&&isNaN(this.y)&&isNaN(a.x)&&isNaN(a.y)))}return b},distanceTo:function(a){return Math.sqrt(Math.pow(this.x-a.x,2)+Math.pow(this.y-a.y,2))},add:function(a,b){if((a==null)||(b==null)){throw new TypeError("Pixel.add cannot receive null values")}return new OpenLayers.Pixel(this.x+a,this.y+b)},offset:function(a){var b=this.clone();if(a){b=this.add(a.x,a.y)}return b},CLASS_NAME:"OpenLayers.Pixel"});OpenLayers.Size=OpenLayers.Class({w:0,h:0,initialize:function(a,b){this.w=parseFloat(a);this.h=parseFloat(b)},toString:function(){return("w="+this.w+",h="+this.h)},clone:function(){return new OpenLayers.Size(this.w,this.h)},equals:function(b){var a=false;if(b!=null){a=((this.w==b.w&&this.h==b.h)||(isNaN(this.w)&&isNaN(this.h)&&isNaN(b.w)&&isNaN(b.h)))}return a},CLASS_NAME:"OpenLayers.Size"});OpenLayers.Console={log:function(){},debug:function(){},info:function(){},warn:function(){},error:function(){},userError:function(a){alert(a)},assert:function(){},dir:function(){},dirxml:function(){},trace:function(){},group:function(){},groupEnd:function(){},time:function(){},timeEnd:function(){},profile:function(){},profileEnd:function(){},count:function(){},CLASS_NAME:"OpenLayers.Console"};(function(){var b=document.getElementsByTagName("script");for(var c=0,a=b.length;c<a;++c){if(b[c].src.indexOf("firebug.js")!=-1){if(console){OpenLayers.Util.extend(OpenLayers.Console,console);break}}}})();OpenLayers.Lang={code:null,defaultCode:"en",getCode:function(){if(!OpenLayers.Lang.code){OpenLayers.Lang.setCode()}return OpenLayers.Lang.code},setCode:function(b){var d;if(!b){b=(OpenLayers.BROWSER_NAME=="msie")?navigator.userLanguage:navigator.language}var c=b.split("-");c[0]=c[0].toLowerCase();if(typeof OpenLayers.Lang[c[0]]=="object"){d=c[0]}if(c[1]){var a=c[0]+"-"+c[1].toUpperCase();if(typeof OpenLayers.Lang[a]=="object"){d=a}}if(!d){OpenLayers.Console.warn("Failed to find OpenLayers.Lang."+c.join("-")+" dictionary, falling back to default language");d=OpenLayers.Lang.defaultCode}OpenLayers.Lang.code=d},translate:function(b,a){var d=OpenLayers.Lang[OpenLayers.Lang.getCode()];var c=d&&d[b];if(!c){c=b}if(a){c=OpenLayers.String.format(c,a)}return c}};OpenLayers.i18n=OpenLayers.Lang.translate;OpenLayers.Util=OpenLayers.Util||{};OpenLayers.Util.getElement=function(){var d=[];for(var c=0,a=arguments.length;c<a;c++){var b=arguments[c];if(typeof b=="string"){b=document.getElementById(b)}if(arguments.length==1){return b}d.push(b)}return d};OpenLayers.Util.isElement=function(a){return !!(a&&a.nodeType===1)};OpenLayers.Util.isArray=function(b){return(Object.prototype.toString.call(b)==="[object Array]")};if(typeof window.$==="undefined"){window.$=OpenLayers.Util.getElement}OpenLayers.Util.removeItem=function(c,b){for(var a=c.length-1;a>=0;a--){if(c[a]==b){c.splice(a,1)}}return c};OpenLayers.Util.indexOf=function(d,c){if(typeof d.indexOf=="function"){return d.indexOf(c)}else{for(var b=0,a=d.length;b<a;b++){if(d[b]==c){return b}}return -1}};OpenLayers.Util.modifyDOMElement=function(e,h,d,f,a,c,g,b){if(h){e.id=h}if(d){e.style.left=d.x+"px";e.style.top=d.y+"px"}if(f){e.style.width=f.w+"px";e.style.height=f.h+"px"}if(a){e.style.position=a}if(c){e.style.border=c}if(g){e.style.overflow=g}if(parseFloat(b)>=0&&parseFloat(b)<1){e.style.filter="alpha(opacity="+(b*100)+")";e.style.opacity=b}else{if(parseFloat(b)==1){e.style.filter="";e.style.opacity=""}}};OpenLayers.Util.createDiv=function(a,i,h,f,e,c,b,g){var d=document.createElement("div");if(f){d.style.backgroundImage="url("+f+")"}if(!a){a=OpenLayers.Util.createUniqueID("OpenLayersDiv")}if(!e){e="absolute"}OpenLayers.Util.modifyDOMElement(d,a,i,h,e,c,b,g);return d};OpenLayers.Util.createImage=function(a,i,h,e,d,c,f,j){var b=document.createElement("img");if(!a){a=OpenLayers.Util.createUniqueID("OpenLayersDiv")}if(!d){d="relative"}OpenLayers.Util.modifyDOMElement(b,a,i,h,d,c,null,f);if(j){b.style.display="none";function g(){b.style.display="";OpenLayers.Event.stopObservingElement(b)}OpenLayers.Event.observe(b,"load",g);OpenLayers.Event.observe(b,"error",g)}b.style.alt=a;b.galleryImg="no";if(e){b.src=e}return b};OpenLayers.IMAGE_RELOAD_ATTEMPTS=0;OpenLayers.Util.alphaHackNeeded=null;OpenLayers.Util.alphaHack=function(){if(OpenLayers.Util.alphaHackNeeded==null){var d=navigator.appVersion.split("MSIE");var a=parseFloat(d[1]);var b=false;try{b=!!(document.body.filters)}catch(c){}OpenLayers.Util.alphaHackNeeded=(b&&(a>=5.5)&&(a<7))}return OpenLayers.Util.alphaHackNeeded};OpenLayers.Util.modifyAlphaImageDiv=function(a,b,j,i,g,f,c,d,h){OpenLayers.Util.modifyDOMElement(a,b,j,i,f,null,null,h);var e=a.childNodes[0];if(g){e.src=g}OpenLayers.Util.modifyDOMElement(e,a.id+"_innerImage",null,i,"relative",c);if(OpenLayers.Util.alphaHack()){if(a.style.display!="none"){a.style.display="inline-block"}if(d==null){d="scale"}a.style.filter="progid:DXImageTransform.Microsoft.AlphaImageLoader(src='"+e.src+"', sizingMethod='"+d+"')";if(parseFloat(a.style.opacity)>=0&&parseFloat(a.style.opacity)<1){a.style.filter+=" alpha(opacity="+a.style.opacity*100+")"}e.style.filter="alpha(opacity=0)"}};OpenLayers.Util.createAlphaImageDiv=function(b,j,i,g,f,c,d,h,k){var a=OpenLayers.Util.createDiv();var e=OpenLayers.Util.createImage(null,null,null,null,null,null,null,k);e.className="olAlphaImg";a.appendChild(e);OpenLayers.Util.modifyAlphaImageDiv(a,b,j,i,g,f,c,d,h);return a};OpenLayers.Util.upperCaseObject=function(b){var a={};for(var c in b){a[c.toUpperCase()]=b[c]}return a};OpenLayers.Util.applyDefaults=function(d,c){d=d||{};var b=typeof window.Event=="function"&&c instanceof window.Event;for(var a in c){if(d[a]===undefined||(!b&&c.hasOwnProperty&&c.hasOwnProperty(a)&&!d.hasOwnProperty(a))){d[a]=c[a]}}if(!b&&c&&c.hasOwnProperty&&c.hasOwnProperty("toString")&&!d.hasOwnProperty("toString")){d.toString=c.toString}return d};OpenLayers.Util.getParameterString=function(c){var b=[];for(var h in c){var g=c[h];if((g!=null)&&(typeof g!="function")){var d;if(typeof g=="object"&&g.constructor==Array){var e=[];var i;for(var a=0,f=g.length;a<f;a++){i=g[a];e.push(encodeURIComponent((i===null||i===undefined)?"":i))}d=e.join(",")}else{d=encodeURIComponent(g)}b.push(encodeURIComponent(h)+"="+d)}}return b.join("&")};OpenLayers.Util.urlAppend=function(a,b){var d=a;if(b){var c=(a+" ").split(/[?&]/);d+=(c.pop()===" "?b:c.length?"&"+b:"?"+b)}return d};OpenLayers.Util.getImagesLocation=function(){return OpenLayers.ImgPath||(OpenLayers._getScriptLocation()+"img/")};OpenLayers.Util.getImageLocation=function(a){return OpenLayers.Util.getImagesLocation()+a};OpenLayers.Util.Try=function(){var d=null;for(var c=0,a=arguments.length;c<a;c++){var b=arguments[c];try{d=b();break}catch(f){}}return d};OpenLayers.Util.getXmlNodeValue=function(a){var b=null;OpenLayers.Util.Try(function(){b=a.text;if(!b){b=a.textContent}if(!b){b=a.firstChild.nodeValue}},function(){b=a.textContent});return b};OpenLayers.Util.mouseLeft=function(a,c){var b=(a.relatedTarget)?a.relatedTarget:a.toElement;while(b!=c&&b!=null){b=b.parentNode}return(b!=c)};OpenLayers.Util.DEFAULT_PRECISION=14;OpenLayers.Util.toFloat=function(b,a){if(a==null){a=OpenLayers.Util.DEFAULT_PRECISION}if(typeof b!=="number"){b=parseFloat(b)}return a===0?b:parseFloat(b.toPrecision(a))};OpenLayers.Util.rad=function(a){return a*Math.PI/180};OpenLayers.Util.deg=function(a){return a*180/Math.PI};OpenLayers.Util.VincentyConstants={a:6378137,b:6356752.3142,f:1/298.257223563};OpenLayers.Util.distVincenty=function(g,e){var k=OpenLayers.Util.VincentyConstants;var P=k.a,O=k.b,J=k.f;var o=OpenLayers.Util.rad(e.lon-g.lon);var N=Math.atan((1-J)*Math.tan(OpenLayers.Util.rad(g.lat)));var M=Math.atan((1-J)*Math.tan(OpenLayers.Util.rad(e.lat)));var n=Math.sin(N),i=Math.cos(N);var l=Math.sin(M),h=Math.cos(M);var u=o,p=2*Math.PI;var r=20;while(Math.abs(u-p)>1e-12&&--r>0){var F=Math.sin(u),c=Math.cos(u);var Q=Math.sqrt((h*F)*(h*F)+(i*l-n*h*c)*(i*l-n*h*c));if(Q==0){return 0}var H=n*l+i*h*c;var E=Math.atan2(Q,H);var j=Math.asin(i*h*F/Q);var I=Math.cos(j)*Math.cos(j);var q=H-2*n*l/I;var y=J/16*I*(4+J*(4-3*I));p=u;u=o+(1-y)*J*Math.sin(j)*(E+y*Q*(q+y*H*(-1+2*q*q)))}if(r==0){return NaN}var x=I*(P*P-O*O)/(O*O);var D=1+x/16384*(4096+x*(-768+x*(320-175*x)));var z=x/1024*(256+x*(-128+x*(74-47*x)));var G=z*Q*(q+z/4*(H*(-1+2*q*q)-z/6*q*(-3+4*Q*Q)*(-3+4*q*q)));var w=O*D*(E-G);var K=w.toFixed(3)/1000;return K};OpenLayers.Util.destinationVincenty=function(l,S,H){var p=OpenLayers.Util;var i=p.VincentyConstants;var T=i.a,R=i.b,N=i.f;var Q=l.lon;var g=l.lat;var r=H;var G=p.rad(S);var J=Math.sin(G);var h=Math.cos(G);var I=(1-N)*Math.tan(p.rad(g));var c=1/Math.sqrt((1+I*I)),j=I*c;var q=Math.atan2(I,h);var E=c*J;var M=1-E*E;var x=M*(T*T-R*R)/(R*R);var D=1+x/16384*(4096+x*(-768+x*(320-175*x)));var y=x/1024*(256+x*(-128+x*(74-47*x)));var z=r/(R*D),O=2*Math.PI;while(Math.abs(z-O)>1e-12){var n=Math.cos(2*q+z);var U=Math.sin(z);var K=Math.cos(z);var F=y*U*(n+y/4*(K*(-1+2*n*n)-y/6*n*(-3+4*U*U)*(-3+4*n*n)));O=z;z=r/(R*D)+F}var P=j*U-c*K*h;var d=Math.atan2(j*K+c*U*h,(1-N)*Math.sqrt(E*E+P*P));var o=Math.atan2(U*J,c*K-j*U*h);var w=N/16*M*(4+N*(4-3*M));var k=o-(1-w)*N*E*(z+w*U*(n+w*K*(-1+2*n*n)));var e=Math.atan2(E,-P);return new OpenLayers.LonLat(Q+p.deg(k),p.deg(d))};OpenLayers.Util.getParameters=function(b){b=(b===null||b===undefined)?window.location.href:b;var a="";if(OpenLayers.String.contains(b,"?")){var c=b.indexOf("?")+1;var f=OpenLayers.String.contains(b,"#")?b.indexOf("#"):b.length;a=b.substring(c,f)}var n={};var d=a.split(/[&;]/);for(var h=0,j=d.length;h<j;++h){var g=d[h].split("=");if(g[0]){var l=g[0];try{l=decodeURIComponent(l)}catch(e){l=unescape(l)}var k=(g[1]||"").replace(/\+/g," ");try{k=decodeURIComponent(k)}catch(e){k=unescape(k)}k=k.split(",");if(k.length==1){k=k[0]}n[l]=k}}return n};OpenLayers.Util.lastSeqID=0;OpenLayers.Util.createUniqueID=function(a){if(a==null){a="id_"}OpenLayers.Util.lastSeqID+=1;return a+OpenLayers.Util.lastSeqID};OpenLayers.INCHES_PER_UNIT={inches:1,ft:12,mi:63360,m:39.37,km:39370,dd:4374754,yd:36};OpenLayers.INCHES_PER_UNIT["in"]=OpenLayers.INCHES_PER_UNIT.inches;OpenLayers.INCHES_PER_UNIT.degrees=OpenLayers.INCHES_PER_UNIT.dd;OpenLayers.INCHES_PER_UNIT.nmi=1852*OpenLayers.INCHES_PER_UNIT.m;OpenLayers.METERS_PER_INCH=0.0254000508001016;OpenLayers.Util.extend(OpenLayers.INCHES_PER_UNIT,{Inch:OpenLayers.INCHES_PER_UNIT.inches,Meter:1/OpenLayers.METERS_PER_INCH,Foot:0.3048006096012192/OpenLayers.METERS_PER_INCH,IFoot:0.3048/OpenLayers.METERS_PER_INCH,ClarkeFoot:0.3047972651151/OpenLayers.METERS_PER_INCH,SearsFoot:0.30479947153867626/OpenLayers.METERS_PER_INCH,GoldCoastFoot:0.3047997101815088/OpenLayers.METERS_PER_INCH,IInch:0.0254/OpenLayers.METERS_PER_INCH,MicroInch:0.0000254/OpenLayers.METERS_PER_INCH,Mil:2.54e-8/OpenLayers.METERS_PER_INCH,Centimeter:0.01/OpenLayers.METERS_PER_INCH,Kilometer:1000/OpenLayers.METERS_PER_INCH,Yard:0.9144018288036576/OpenLayers.METERS_PER_INCH,SearsYard:0.914398414616029/OpenLayers.METERS_PER_INCH,IndianYard:0.9143985307444408/OpenLayers.METERS_PER_INCH,IndianYd37:0.91439523/OpenLayers.METERS_PER_INCH,IndianYd62:0.9143988/OpenLayers.METERS_PER_INCH,IndianYd75:0.9143985/OpenLayers.METERS_PER_INCH,IndianFoot:0.30479951/OpenLayers.METERS_PER_INCH,IndianFt37:0.30479841/OpenLayers.METERS_PER_INCH,IndianFt62:0.3047996/OpenLayers.METERS_PER_INCH,IndianFt75:0.3047995/OpenLayers.METERS_PER_INCH,Mile:1609.3472186944373/OpenLayers.METERS_PER_INCH,IYard:0.9144/OpenLayers.METERS_PER_INCH,IMile:1609.344/OpenLayers.METERS_PER_INCH,NautM:1852/OpenLayers.METERS_PER_INCH,"Lat-66":110943.31648893273/OpenLayers.METERS_PER_INCH,"Lat-83":110946.25736872235/OpenLayers.METERS_PER_INCH,Decimeter:0.1/OpenLayers.METERS_PER_INCH,Millimeter:0.001/OpenLayers.METERS_PER_INCH,Dekameter:10/OpenLayers.METERS_PER_INCH,Decameter:10/OpenLayers.METERS_PER_INCH,Hectometer:100/OpenLayers.METERS_PER_INCH,GermanMeter:1.0000135965/OpenLayers.METERS_PER_INCH,CaGrid:0.999738/OpenLayers.METERS_PER_INCH,ClarkeChain:20.1166194976/OpenLayers.METERS_PER_INCH,GunterChain:20.11684023368047/OpenLayers.METERS_PER_INCH,BenoitChain:20.116782494375872/OpenLayers.METERS_PER_INCH,SearsChain:20.11676512155/OpenLayers.METERS_PER_INCH,ClarkeLink:0.201166194976/OpenLayers.METERS_PER_INCH,GunterLink:0.2011684023368047/OpenLayers.METERS_PER_INCH,BenoitLink:0.20116782494375873/OpenLayers.METERS_PER_INCH,SearsLink:0.2011676512155/OpenLayers.METERS_PER_INCH,Rod:5.02921005842012/OpenLayers.METERS_PER_INCH,IntnlChain:20.1168/OpenLayers.METERS_PER_INCH,IntnlLink:0.201168/OpenLayers.METERS_PER_INCH,Perch:5.02921005842012/OpenLayers.METERS_PER_INCH,Pole:5.02921005842012/OpenLayers.METERS_PER_INCH,Furlong:201.1684023368046/OpenLayers.METERS_PER_INCH,Rood:3.778266898/OpenLayers.METERS_PER_INCH,CapeFoot:0.3047972615/OpenLayers.METERS_PER_INCH,Brealey:375/OpenLayers.METERS_PER_INCH,ModAmFt:0.304812252984506/OpenLayers.METERS_PER_INCH,Fathom:1.8288/OpenLayers.METERS_PER_INCH,"NautM-UK":1853.184/OpenLayers.METERS_PER_INCH,"50kilometers":50000/OpenLayers.METERS_PER_INCH,"150kilometers":150000/OpenLayers.METERS_PER_INCH});OpenLayers.Util.extend(OpenLayers.INCHES_PER_UNIT,{mm:OpenLayers.INCHES_PER_UNIT.Meter/1000,cm:OpenLayers.INCHES_PER_UNIT.Meter/100,dm:OpenLayers.INCHES_PER_UNIT.Meter*100,km:OpenLayers.INCHES_PER_UNIT.Meter*1000,kmi:OpenLayers.INCHES_PER_UNIT.nmi,fath:OpenLayers.INCHES_PER_UNIT.Fathom,ch:OpenLayers.INCHES_PER_UNIT.IntnlChain,link:OpenLayers.INCHES_PER_UNIT.IntnlLink,"us-in":OpenLayers.INCHES_PER_UNIT.inches,"us-ft":OpenLayers.INCHES_PER_UNIT.Foot,"us-yd":OpenLayers.INCHES_PER_UNIT.Yard,"us-ch":OpenLayers.INCHES_PER_UNIT.GunterChain,"us-mi":OpenLayers.INCHES_PER_UNIT.Mile,"ind-yd":OpenLayers.INCHES_PER_UNIT.IndianYd37,"ind-ft":OpenLayers.INCHES_PER_UNIT.IndianFt37,"ind-ch":20.11669506/OpenLayers.METERS_PER_INCH});OpenLayers.DOTS_PER_INCH=72;OpenLayers.Util.normalizeScale=function(b){var a=(b>1)?(1/b):b;return a};OpenLayers.Util.getResolutionFromScale=function(d,a){var b;if(d){if(a==null){a="degrees"}var c=OpenLayers.Util.normalizeScale(d);b=1/(c*OpenLayers.INCHES_PER_UNIT[a]*OpenLayers.DOTS_PER_INCH)}return b};OpenLayers.Util.getScaleFromResolution=function(b,a){if(a==null){a="degrees"}var c=b*OpenLayers.INCHES_PER_UNIT[a]*OpenLayers.DOTS_PER_INCH;return c};OpenLayers.Util.pagePosition=function(d){var i=[0,0];var h=OpenLayers.Util.getViewportElement();if(!d||d==window||d==h){return i}var f=OpenLayers.IS_GECKO&&document.getBoxObjectFor&&OpenLayers.Element.getStyle(d,"position")=="absolute"&&(d.style.top==""||d.style.left=="");var j=null;var g;if(d.getBoundingClientRect){g=d.getBoundingClientRect();var b=h.scrollTop;var c=h.scrollLeft;i[0]=g.left+c;i[1]=g.top+b}else{if(document.getBoxObjectFor&&!f){g=document.getBoxObjectFor(d);var a=document.getBoxObjectFor(h);i[0]=g.screenX-a.screenX;i[1]=g.screenY-a.screenY}else{i[0]=d.offsetLeft;i[1]=d.offsetTop;j=d.offsetParent;if(j!=d){while(j){i[0]+=j.offsetLeft;i[1]+=j.offsetTop;j=j.offsetParent}}var e=OpenLayers.BROWSER_NAME;if(e=="opera"||(e=="safari"&&OpenLayers.Element.getStyle(d,"position")=="absolute")){i[1]-=document.body.offsetTop}j=d.offsetParent;while(j&&j!=document.body){i[0]-=j.scrollLeft;if(e!="opera"||j.tagName!="TR"){i[1]-=j.scrollTop}j=j.offsetParent}}}return i};OpenLayers.Util.getViewportElement=function(){var a=arguments.callee.viewportElement;if(a==undefined){a=(OpenLayers.BROWSER_NAME=="msie"&&document.compatMode!="CSS1Compat")?document.body:document.documentElement;arguments.callee.viewportElement=a}return a};OpenLayers.Util.isEquivalentUrl=function(f,e,c){c=c||{};OpenLayers.Util.applyDefaults(c,{ignoreCase:true,ignorePort80:true,ignoreHash:true});var b=OpenLayers.Util.createUrlObject(f,c);var a=OpenLayers.Util.createUrlObject(e,c);for(var d in b){if(d!=="args"){if(b[d]!=a[d]){return false}}}for(var d in b.args){if(b.args[d]!=a.args[d]){return false}delete a.args[d]}for(var d in a.args){return false}return true};OpenLayers.Util.createUrlObject=function(c,k){k=k||{};if(!(/^\w+:\/\//).test(c)){var g=window.location;var e=g.port?":"+g.port:"";var h=g.protocol+"//"+g.host.split(":").shift()+e;if(c.indexOf("/")===0){c=h+c}else{var f=g.pathname.split("/");f.pop();c=h+f.join("/")+"/"+c}}if(k.ignoreCase){c=c.toLowerCase()}var i=document.createElement("a");i.href=c;var d={};d.host=i.host.split(":").shift();d.protocol=i.protocol;if(k.ignorePort80){d.port=(i.port=="80"||i.port=="0")?"":i.port}else{d.port=(i.port==""||i.port=="0")?"80":i.port}d.hash=(k.ignoreHash||i.hash==="#")?"":i.hash;var b=i.search;if(!b){var j=c.indexOf("?");b=(j!=-1)?c.substr(j):""}d.args=OpenLayers.Util.getParameters(b);d.pathname=(i.pathname.charAt(0)=="/")?i.pathname:"/"+i.pathname;return d};OpenLayers.Util.removeTail=function(b){var c=null;var a=b.indexOf("?");var d=b.indexOf("#");if(a==-1){c=(d!=-1)?b.substr(0,d):b}else{c=(d!=-1)?b.substr(0,Math.min(a,d)):b.substr(0,a)}return c};OpenLayers.IS_GECKO=(function(){var a=navigator.userAgent.toLowerCase();return a.indexOf("webkit")==-1&&a.indexOf("gecko")!=-1})();OpenLayers.CANVAS_SUPPORTED=(function(){var a=document.createElement("canvas");return !!(a.getContext&&a.getContext("2d"))})();OpenLayers.BROWSER_NAME=(function(){var a="";var b=navigator.userAgent.toLowerCase();if(b.indexOf("opera")!=-1){a="opera"}else{if(b.indexOf("msie")!=-1){a="msie"}else{if(b.indexOf("safari")!=-1){a="safari"}else{if(b.indexOf("mozilla")!=-1){if(b.indexOf("firefox")!=-1){a="firefox"}else{a="mozilla"}}}}}return a})();OpenLayers.Util.getBrowserName=function(){return OpenLayers.BROWSER_NAME};OpenLayers.Util.getRenderedDimensions=function(b,p,q){var n,e;var a=document.createElement("div");a.style.visibility="hidden";var o=(q&&q.containerElement)?q.containerElement:document.body;var r=false;var g=null;var k=o;while(k&&k.tagName.toLowerCase()!="body"){var j=OpenLayers.Element.getStyle(k,"position");if(j=="absolute"){r=true;break}else{if(j&&j!="static"){break}}k=k.parentNode}if(r&&(o.clientHeight===0||o.clientWidth===0)){g=document.createElement("div");g.style.visibility="hidden";g.style.position="absolute";g.style.overflow="visible";g.style.width=document.body.clientWidth+"px";g.style.height=document.body.clientHeight+"px";g.appendChild(a)}a.style.position="absolute";if(p){if(p.w){n=p.w;a.style.width=n+"px"}else{if(p.h){e=p.h;a.style.height=e+"px"}}}if(q&&q.displayClass){a.className=q.displayClass}var f=document.createElement("div");f.innerHTML=b;f.style.overflow="visible";if(f.childNodes){for(var d=0,c=f.childNodes.length;d<c;d++){if(!f.childNodes[d].style){continue}f.childNodes[d].style.overflow="visible"}}a.appendChild(f);if(g){o.appendChild(g)}else{o.appendChild(a)}if(!n){n=parseInt(f.scrollWidth);a.style.width=n+"px"}if(!e){e=parseInt(f.scrollHeight)}a.removeChild(f);if(g){g.removeChild(a);o.removeChild(g)}else{o.removeChild(a)}return new OpenLayers.Size(n,e)};OpenLayers.Util.getScrollbarWidth=function(){var c=OpenLayers.Util._scrollbarWidth;if(c==null){var e=null;var d=null;var a=0;var b=0;e=document.createElement("div");e.style.position="absolute";e.style.top="-1000px";e.style.left="-1000px";e.style.width="100px";e.style.height="50px";e.style.overflow="hidden";d=document.createElement("div");d.style.width="100%";d.style.height="200px";e.appendChild(d);document.body.appendChild(e);a=d.offsetWidth;e.style.overflow="scroll";b=d.offsetWidth;document.body.removeChild(document.body.lastChild);OpenLayers.Util._scrollbarWidth=(a-b);c=OpenLayers.Util._scrollbarWidth}return c};OpenLayers.Util.getFormattedLonLat=function(h,b,e){if(!e){e="dms"}h=(h+540)%360-180;var d=Math.abs(h);var i=Math.floor(d);var a=(d-i)/(1/60);var c=a;a=Math.floor(a);var g=(c-a)/(1/60);g=Math.round(g*10);g/=10;if(g>=60){g-=60;a+=1;if(a>=60){a-=60;i+=1}}if(i<10){i="0"+i}var f=i+"\u00B0";if(e.indexOf("dm")>=0){if(a<10){a="0"+a}f+=a+"'";if(e.indexOf("dms")>=0){if(g<10){g="0"+g}f+=g+'"'}}if(b=="lon"){f+=h<0?OpenLayers.i18n("W"):OpenLayers.i18n("E")}else{f+=h<0?OpenLayers.i18n("S"):OpenLayers.i18n("N")}return f};OpenLayers.Event={observers:false,KEY_SPACE:32,KEY_BACKSPACE:8,KEY_TAB:9,KEY_RETURN:13,KEY_ESC:27,KEY_LEFT:37,KEY_UP:38,KEY_RIGHT:39,KEY_DOWN:40,KEY_DELETE:46,element:function(a){return a.target||a.srcElement},isSingleTouch:function(a){return a.touches&&a.touches.length==1},isMultiTouch:function(a){return a.touches&&a.touches.length>1},isLeftClick:function(a){return(((a.which)&&(a.which==1))||((a.button)&&(a.button==1)))},isRightClick:function(a){return(((a.which)&&(a.which==3))||((a.button)&&(a.button==2)))},stop:function(b,a){if(!a){if(b.preventDefault){b.preventDefault()}else{b.returnValue=false}}if(b.stopPropagation){b.stopPropagation()}else{b.cancelBubble=true}},findElement:function(c,b){var a=OpenLayers.Event.element(c);while(a.parentNode&&(!a.tagName||(a.tagName.toUpperCase()!=b.toUpperCase()))){a=a.parentNode}return a},observe:function(b,d,c,a){var e=OpenLayers.Util.getElement(b);a=a||false;if(d=="keypress"&&(navigator.appVersion.match(/Konqueror|Safari|KHTML/)||e.attachEvent)){d="keydown"}if(!this.observers){this.observers={}}if(!e._eventCacheID){var f="eventCacheID_";if(e.id){f=e.id+"_"+f}e._eventCacheID=OpenLayers.Util.createUniqueID(f)}var g=e._eventCacheID;if(!this.observers[g]){this.observers[g]=[]}this.observers[g].push({element:e,name:d,observer:c,useCapture:a});if(e.addEventListener){e.addEventListener(d,c,a)}else{if(e.attachEvent){e.attachEvent("on"+d,c)}}},stopObservingElement:function(a){var b=OpenLayers.Util.getElement(a);var c=b._eventCacheID;this._removeElementObservers(OpenLayers.Event.observers[c])},_removeElementObservers:function(e){if(e){for(var b=e.length-1;b>=0;b--){var c=e[b];var a=new Array(c.element,c.name,c.observer,c.useCapture);var d=OpenLayers.Event.stopObserving.apply(this,a)}}},stopObserving:function(h,a,g,b){b=b||false;var f=OpenLayers.Util.getElement(h);var d=f._eventCacheID;if(a=="keypress"){if(navigator.appVersion.match(/Konqueror|Safari|KHTML/)||f.detachEvent){a="keydown"}}var k=false;var c=OpenLayers.Event.observers[d];if(c){var e=0;while(!k&&e<c.length){var j=c[e];if((j.name==a)&&(j.observer==g)&&(j.useCapture==b)){c.splice(e,1);if(c.length==0){delete OpenLayers.Event.observers[d]}k=true;break}e++}}if(k){if(f.removeEventListener){f.removeEventListener(a,g,b)}else{if(f&&f.detachEvent){f.detachEvent("on"+a,g)}}}return k},unloadCache:function(){if(OpenLayers.Event&&OpenLayers.Event.observers){for(var a in OpenLayers.Event.observers){var b=OpenLayers.Event.observers[a];OpenLayers.Event._removeElementObservers.apply(this,[b])}OpenLayers.Event.observers=false}},CLASS_NAME:"OpenLayers.Event"};OpenLayers.Event.observe(window,"unload",OpenLayers.Event.unloadCache,false);OpenLayers.Events=OpenLayers.Class({BROWSER_EVENTS:["mouseover","mouseout","mousedown","mouseup","mousemove","click","dblclick","rightclick","dblrightclick","resize","focus","blur","touchstart","touchmove","touchend","keydown"],listeners:null,object:null,element:null,eventHandler:null,fallThrough:null,includeXY:false,extensions:null,extensionCount:null,clearMouseListener:null,initialize:function(b,c,e,d,a){OpenLayers.Util.extend(this,a);this.object=b;this.fallThrough=d;this.listeners={};this.extensions={};this.extensionCount={};if(c!=null){this.attachToElement(c)}},destroy:function(){for(var a in this.extensions){if(typeof this.extensions[a]!=="boolean"){this.extensions[a].destroy()}}this.extensions=null;if(this.element){OpenLayers.Event.stopObservingElement(this.element);if(this.element.hasScrollEvent){OpenLayers.Event.stopObserving(window,"scroll",this.clearMouseListener)}}this.element=null;this.listeners=null;this.object=null;this.fallThrough=null;this.eventHandler=null},addEventType:function(a){},attachToElement:function(c){if(this.element){OpenLayers.Event.stopObservingElement(this.element)}else{this.eventHandler=OpenLayers.Function.bindAsEventListener(this.handleBrowserEvent,this);this.clearMouseListener=OpenLayers.Function.bind(this.clearMouseCache,this)}this.element=c;for(var b=0,a=this.BROWSER_EVENTS.length;b<a;b++){OpenLayers.Event.observe(c,this.BROWSER_EVENTS[b],this.eventHandler)}OpenLayers.Event.observe(c,"dragstart",OpenLayers.Event.stop)},on:function(a){for(var b in a){if(b!="scope"&&a.hasOwnProperty(b)){this.register(b,a.scope,a[b])}}},register:function(c,f,d,a){if(c in OpenLayers.Events&&!this.extensions[c]){this.extensions[c]=new OpenLayers.Events[c](this)}if(d!=null){if(f==null){f=this.object}var b=this.listeners[c];if(!b){b=[];this.listeners[c]=b;this.extensionCount[c]=0}var e={obj:f,func:d};if(a){b.splice(this.extensionCount[c],0,e);if(typeof a==="object"&&a.extension){this.extensionCount[c]++}}else{b.push(e)}}},registerPriority:function(a,c,b){this.register(a,c,b,true)},un:function(a){for(var b in a){if(b!="scope"&&a.hasOwnProperty(b)){this.unregister(b,a.scope,a[b])}}},unregister:function(d,f,e){if(f==null){f=this.object}var c=this.listeners[d];if(c!=null){for(var b=0,a=c.length;b<a;b++){if(c[b].obj==f&&c[b].func==e){c.splice(b,1);break}}}},remove:function(a){if(this.listeners[a]!=null){this.listeners[a]=[]}},triggerEvent:function(e,b){var d=this.listeners[e];if(!d||d.length==0){return undefined}if(b==null){b={}}b.object=this.object;b.element=this.element;if(!b.type){b.type=e}d=d.slice();var f;for(var c=0,a=d.length;c<a;c++){var g=d[c];f=g.func.apply(g.obj,[b]);if((f!=undefined)&&(f==false)){break}}if(!this.fallThrough){OpenLayers.Event.stop(b,true)}return f},handleBrowserEvent:function(j){var e=j.type,f=this.listeners[e];if(!f||f.length==0){return}var c=j.touches;if(c&&c[0]){var h=0;var g=0;var d=c.length;var b;for(var a=0;a<d;++a){b=c[a];h+=b.clientX;g+=b.clientY}j.clientX=h/d;j.clientY=g/d}if(this.includeXY){j.xy=this.getMousePosition(j)}this.triggerEvent(e,j)},clearMouseCache:function(){this.element.scrolls=null;this.element.lefttop=null;var a=document.body;if(a&&!((a.scrollTop!=0||a.scrollLeft!=0)&&navigator.userAgent.match(/iPhone/i))){this.element.offsets=null}},getMousePosition:function(a){if(!this.includeXY){this.clearMouseCache()}else{if(!this.element.hasScrollEvent){OpenLayers.Event.observe(window,"scroll",this.clearMouseListener);this.element.hasScrollEvent=true}}if(!this.element.scrolls){var b=OpenLayers.Util.getViewportElement();this.element.scrolls=[b.scrollLeft,b.scrollTop]}if(!this.element.lefttop){this.element.lefttop=[(document.documentElement.clientLeft||0),(document.documentElement.clientTop||0)]}if(!this.element.offsets){this.element.offsets=OpenLayers.Util.pagePosition(this.element)}return new OpenLayers.Pixel((a.clientX+this.element.scrolls[0])-this.element.offsets[0]-this.element.lefttop[0],(a.clientY+this.element.scrolls[1])-this.element.offsets[1]-this.element.lefttop[1])},CLASS_NAME:"OpenLayers.Events"});OpenLayers.Events.buttonclick=OpenLayers.Class({target:null,events:["mousedown","mouseup","click","dblclick","touchstart","touchmove","touchend","keydown"],startRegEx:/^mousedown|touchstart$/,cancelRegEx:/^touchmove$/,completeRegEx:/^mouseup|touchend$/,initialize:function(b){this.target=b;for(var a=this.events.length-1;a>=0;--a){this.target.register(this.events[a],this,this.buttonClick,{extension:true})}},destroy:function(){for(var a=this.events.length-1;a>=0;--a){this.target.unregister(this.events[a],this,this.buttonClick)}delete this.target},getPressedButton:function(b){var c=3,a;do{if(OpenLayers.Element.hasClass(b,"olButton")){a=b;break}b=b.parentNode}while(--c>0&&b);return a},buttonClick:function(b){var a=true,d=OpenLayers.Event.element(b);if(d&&(OpenLayers.Event.isLeftClick(b)||!~b.type.indexOf("mouse"))){var c=this.getPressedButton(d);if(c){if(b.type==="keydown"){switch(b.keyCode){case OpenLayers.Event.KEY_RETURN:case OpenLayers.Event.KEY_SPACE:this.target.triggerEvent("buttonclick",{buttonElement:c});OpenLayers.Event.stop(b);a=false;break}}else{if(this.startEvt){if(this.completeRegEx.test(b.type)){var e=OpenLayers.Util.pagePosition(c);this.target.triggerEvent("buttonclick",{buttonElement:c,buttonXY:{x:this.startEvt.clientX-e[0],y:this.startEvt.clientY-e[1]}})}if(this.cancelRegEx.test(b.type)){delete this.startEvt}OpenLayers.Event.stop(b);a=false}}if(this.startRegEx.test(b.type)){this.startEvt=b;OpenLayers.Event.stop(b);a=false}}else{delete this.startEvt}}return a}});OpenLayers.Control=OpenLayers.Class({id:null,map:null,div:null,type:null,allowSelection:false,displayClass:"",title:"",autoActivate:false,active:null,handler:null,eventListeners:null,events:null,initialize:function(a){this.displayClass=this.CLASS_NAME.replace("OpenLayers.","ol").replace(/\./g,"");OpenLayers.Util.extend(this,a);this.events=new OpenLayers.Events(this);if(this.eventListeners instanceof Object){this.events.on(this.eventListeners)}if(this.id==null){this.id=OpenLayers.Util.createUniqueID(this.CLASS_NAME+"_")}},destroy:function(){if(this.events){if(this.eventListeners){this.events.un(this.eventListeners)}this.events.destroy();this.events=null}this.eventListeners=null;if(this.handler){this.handler.destroy();this.handler=null}if(this.handlers){for(var a in this.handlers){if(this.handlers.hasOwnProperty(a)&&typeof this.handlers[a].destroy=="function"){this.handlers[a].destroy()}}this.handlers=null}if(this.map){this.map.removeControl(this);this.map=null}this.div=null},setMap:function(a){this.map=a;if(this.handler){this.handler.setMap(a)}},draw:function(a){if(this.div==null){this.div=OpenLayers.Util.createDiv(this.id);this.div.className=this.displayClass;if(!this.allowSelection){this.div.className+=" olControlNoSelect";this.div.setAttribute("unselectable","on",0);this.div.onselectstart=OpenLayers.Function.False}if(this.title!=""){this.div.title=this.title}}if(a!=null){this.position=a.clone()}this.moveTo(this.position);return this.div},moveTo:function(a){if((a!=null)&&(this.div!=null)){this.div.style.left=a.x+"px";this.div.style.top=a.y+"px"}},activate:function(){if(this.active){return false}if(this.handler){this.handler.activate()}this.active=true;if(this.map){OpenLayers.Element.addClass(this.map.viewPortDiv,this.displayClass.replace(/ /g,"")+"Active")}this.events.triggerEvent("activate");return true},deactivate:function(){if(this.active){if(this.handler){this.handler.deactivate()}this.active=false;if(this.map){OpenLayers.Element.removeClass(this.map.viewPortDiv,this.displayClass.replace(/ /g,"")+"Active")}this.events.triggerEvent("deactivate");return true}return false},CLASS_NAME:"OpenLayers.Control"});OpenLayers.Control.TYPE_BUTTON=1;OpenLayers.Control.TYPE_TOGGLE=2;OpenLayers.Control.TYPE_TOOL=3;OpenLayers.Control.Panel=OpenLayers.Class(OpenLayers.Control,{controls:null,autoActivate:true,defaultControl:null,saveState:false,allowDepress:false,activeState:null,initialize:function(a){OpenLayers.Control.prototype.initialize.apply(this,[a]);this.controls=[];this.activeState={}},destroy:function(){if(this.map){this.map.events.unregister("buttonclick",this,this.onButtonClick)}OpenLayers.Control.prototype.destroy.apply(this,arguments);for(var a,b=this.controls.length-1;b>=0;b--){a=this.controls[b];if(a.events){a.events.un({activate:this.iconOn,deactivate:this.iconOff})}a.panel_div=null}this.activeState=null},activate:function(){if(OpenLayers.Control.prototype.activate.apply(this,arguments)){var c;for(var b=0,a=this.controls.length;b<a;b++){c=this.controls[b];if(c===this.defaultControl||(this.saveState&&this.activeState[c.id])){c.activate()}}if(this.saveState===true){this.defaultControl=null}this.redraw();return true}else{return false}},deactivate:function(){if(OpenLayers.Control.prototype.deactivate.apply(this,arguments)){var c;for(var b=0,a=this.controls.length;b<a;b++){c=this.controls[b];this.activeState[c.id]=c.deactivate()}this.redraw();return true}else{return false}},draw:function(){OpenLayers.Control.prototype.draw.apply(this,arguments);if(this.outsideViewport){this.events.attachToElement(this.div);this.events.register("buttonclick",this,this.onButtonClick)}else{this.map.events.register("buttonclick",this,this.onButtonClick)}this.addControlsToMap(this.controls);return this.div},redraw:function(){for(var b=this.div.childNodes.length,c=b-1;c>=0;c--){this.div.removeChild(this.div.childNodes[c])}this.div.innerHTML="";if(this.active){for(var c=0,a=this.controls.length;c<a;c++){this.div.appendChild(this.controls[c].panel_div)}}},activateControl:function(d){if(!this.active){return false}if(d.type==OpenLayers.Control.TYPE_BUTTON){d.trigger();return}if(d.type==OpenLayers.Control.TYPE_TOGGLE){if(d.active){d.deactivate()}else{d.activate()}return}if(this.allowDepress&&d.active){d.deactivate()}else{var e;for(var b=0,a=this.controls.length;b<a;b++){e=this.controls[b];if(e!=d&&(e.type===OpenLayers.Control.TYPE_TOOL||e.type==null)){e.deactivate()}}d.activate()}},addControls:function(b){if(!(OpenLayers.Util.isArray(b))){b=[b]}this.controls=this.controls.concat(b);for(var d=0,a=b.length;d<a;d++){var e=b[d],c=this.createControlMarkup(e);OpenLayers.Element.addClass(c,e.displayClass+"ItemInactive");OpenLayers.Element.addClass(c,"olButton");if(e.title!=""&&!c.title){c.title=e.title}e.panel_div=c}if(this.map){this.addControlsToMap(b);this.redraw()}},createControlMarkup:function(a){return document.createElement("div")},addControlsToMap:function(b){var d;for(var c=0,a=b.length;c<a;c++){d=b[c];if(d.autoActivate===true){d.autoActivate=false;this.map.addControl(d);d.autoActivate=true}else{this.map.addControl(d);d.deactivate()}d.events.on({activate:this.iconOn,deactivate:this.iconOff})}},iconOn:function(){var b=this.panel_div;var a=new RegExp("\\b("+this.displayClass+"Item)Inactive\\b");b.className=b.className.replace(a,"$1Active")},iconOff:function(){var b=this.panel_div;var a=new RegExp("\\b("+this.displayClass+"Item)Active\\b");b.className=b.className.replace(a,"$1Inactive")},onButtonClick:function(a){var b=this.controls,d=a.buttonElement;for(var c=b.length-1;c>=0;--c){if(b[c].panel_div===d){this.activateControl(b[c]);break}}},getControlsBy:function(c,a){var d=(typeof a.test=="function");var b=OpenLayers.Array.filter(this.controls,function(e){return e[c]==a||(d&&a.test(e[c]))});return b},getControlsByName:function(a){return this.getControlsBy("name",a)},getControlsByClass:function(a){return this.getControlsBy("CLASS_NAME",a)},CLASS_NAME:"OpenLayers.Control.Panel"});OpenLayers.Control.ZoomIn=OpenLayers.Class(OpenLayers.Control,{type:OpenLayers.Control.TYPE_BUTTON,trigger:function(){this.map.zoomIn()},CLASS_NAME:"OpenLayers.Control.ZoomIn"});OpenLayers.Control.ZoomOut=OpenLayers.Class(OpenLayers.Control,{type:OpenLayers.Control.TYPE_BUTTON,trigger:function(){this.map.zoomOut()},CLASS_NAME:"OpenLayers.Control.ZoomOut"});OpenLayers.Control.ZoomToMaxExtent=OpenLayers.Class(OpenLayers.Control,{type:OpenLayers.Control.TYPE_BUTTON,trigger:function(){if(this.map){this.map.zoomToMaxExtent()}},CLASS_NAME:"OpenLayers.Control.ZoomToMaxExtent"});OpenLayers.Control.ZoomPanel=OpenLayers.Class(OpenLayers.Control.Panel,{initialize:function(a){OpenLayers.Control.Panel.prototype.initialize.apply(this,[a]);this.addControls([new OpenLayers.Control.ZoomIn(),new OpenLayers.Control.ZoomToMaxExtent(),new OpenLayers.Control.ZoomOut()])},CLASS_NAME:"OpenLayers.Control.ZoomPanel"});OpenLayers.Geometry=OpenLayers.Class({id:null,parent:null,bounds:null,initialize:function(){this.id=OpenLayers.Util.createUniqueID(this.CLASS_NAME+"_")},destroy:function(){this.id=null;this.bounds=null},clone:function(){return new OpenLayers.Geometry()},setBounds:function(a){if(a){this.bounds=a.clone()}},clearBounds:function(){this.bounds=null;if(this.parent){this.parent.clearBounds()}},extendBounds:function(b){var a=this.getBounds();if(!a){this.setBounds(b)}else{this.bounds.extend(b)}},getBounds:function(){if(this.bounds==null){this.calculateBounds()}return this.bounds},calculateBounds:function(){},distanceTo:function(b,a){},getVertices:function(a){},atPoint:function(e,h,f){var c=false;var d=this.getBounds();if((d!=null)&&(e!=null)){var b=(h!=null)?h:0;var a=(f!=null)?f:0;var g=new OpenLayers.Bounds(this.bounds.left-b,this.bounds.bottom-a,this.bounds.right+b,this.bounds.top+a);c=g.containsLonLat(e)}return c},getLength:function(){return 0},getArea:function(){return 0},getCentroid:function(){return null},toString:function(){var a;if(OpenLayers.Format&&OpenLayers.Format.WKT){a=OpenLayers.Format.WKT.prototype.write(new OpenLayers.Feature.Vector(this))}else{a=Object.prototype.toString.call(this)}return a},CLASS_NAME:"OpenLayers.Geometry"});OpenLayers.Geometry.fromWKT=function(f){var d;if(OpenLayers.Format&&OpenLayers.Format.WKT){var g=OpenLayers.Geometry.fromWKT.format;if(!g){g=new OpenLayers.Format.WKT();OpenLayers.Geometry.fromWKT.format=g}var b=g.read(f);if(b instanceof OpenLayers.Feature.Vector){d=b.geometry}else{if(OpenLayers.Util.isArray(b)){var a=b.length;var e=new Array(a);for(var c=0;c<a;++c){e[c]=b[c].geometry}d=new OpenLayers.Geometry.Collection(e)}}}return d};OpenLayers.Geometry.segmentsIntersect=function(a,K,b){var u=b&&b.point;var C=b&&b.tolerance;var f=false;var E=a.x1-K.x1;var I=a.y1-K.y1;var q=a.x2-a.x1;var B=a.y2-a.y1;var w=K.y2-K.y1;var l=K.x2-K.x1;var G=(w*q)-(l*B);var e=(l*I)-(w*E);var c=(q*I)-(B*E);if(G==0){if(e==0&&c==0){f=true}}else{var H=e/G;var F=c/G;if(H>=0&&H<=1&&F>=0&&F<=1){if(!u){f=true}else{var h=a.x1+(H*q);var g=a.y1+(H*B);f=new OpenLayers.Geometry.Point(h,g)}}}if(C){var s;if(f){if(u){var o=[a,K];var D,h,g;outer:for(var A=0;A<2;++A){D=o[A];for(var z=1;z<3;++z){h=D["x"+z];g=D["y"+z];s=Math.sqrt(Math.pow(h-f.x,2)+Math.pow(g-f.y,2));if(s<C){f.x=h;f.y=g;break outer}}}}}else{var o=[a,K];var r,J,h,g,n,k;outer:for(var A=0;A<2;++A){r=o[A];J=o[(A+1)%2];for(var z=1;z<3;++z){n={x:r["x"+z],y:r["y"+z]};k=OpenLayers.Geometry.distanceToSegment(n,J);if(k.distance<C){if(u){f=new OpenLayers.Geometry.Point(n.x,n.y)}else{f=true}break outer}}}}}return f};OpenLayers.Geometry.distanceToSegment=function(k,d){var c=k.x;var j=k.y;var b=d.x1;var i=d.y1;var a=d.x2;var f=d.y2;var n=a-b;var l=f-i;var h=((n*(c-b))+(l*(j-i)))/(Math.pow(n,2)+Math.pow(l,2));var g,e;if(h<=0){g=b;e=i}else{if(h>=1){g=a;e=f}else{g=b+h*n;e=i+h*l}}return{distance:Math.sqrt(Math.pow(g-c,2)+Math.pow(e-j,2)),x:g,y:e}};OpenLayers.Geometry.Collection=OpenLayers.Class(OpenLayers.Geometry,{components:null,componentTypes:null,initialize:function(a){OpenLayers.Geometry.prototype.initialize.apply(this,arguments);this.components=[];if(a!=null){this.addComponents(a)}},destroy:function(){this.components.length=0;this.components=null;OpenLayers.Geometry.prototype.destroy.apply(this,arguments)},clone:function(){var geometry=eval("new "+this.CLASS_NAME+"()");for(var i=0,len=this.components.length;i<len;i++){geometry.addComponent(this.components[i].clone())}OpenLayers.Util.applyDefaults(geometry,this);return geometry},getComponentsString:function(){var b=[];for(var c=0,a=this.components.length;c<a;c++){b.push(this.components[c].toShortString())}return b.join(",")},calculateBounds:function(){this.bounds=null;var d=new OpenLayers.Bounds();var c=this.components;if(c){for(var b=0,a=c.length;b<a;b++){d.extend(c[b].getBounds())}}if(d.left!=null&&d.bottom!=null&&d.right!=null&&d.top!=null){this.setBounds(d)}},addComponents:function(c){if(!(OpenLayers.Util.isArray(c))){c=[c]}for(var b=0,a=c.length;b<a;b++){this.addComponent(c[b])}},addComponent:function(b,a){var d=false;if(b){if(this.componentTypes==null||(OpenLayers.Util.indexOf(this.componentTypes,b.CLASS_NAME)>-1)){if(a!=null&&(a<this.components.length)){var e=this.components.slice(0,a);var c=this.components.slice(a,this.components.length);e.push(b);this.components=e.concat(c)}else{this.components.push(b)}b.parent=this;this.clearBounds();d=true}}return d},removeComponents:function(b){var c=false;if(!(OpenLayers.Util.isArray(b))){b=[b]}for(var a=b.length-1;a>=0;--a){c=this.removeComponent(b[a])||c}return c},removeComponent:function(a){OpenLayers.Util.removeItem(this.components,a);this.clearBounds();return true},getLength:function(){var c=0;for(var b=0,a=this.components.length;b<a;b++){c+=this.components[b].getLength()}return c},getArea:function(){var c=0;for(var b=0,a=this.components.length;b<a;b++){c+=this.components[b].getArea()}return c},getGeodesicArea:function(b){var d=0;for(var c=0,a=this.components.length;c<a;c++){d+=this.components[c].getGeodesicArea(b)}return d},getCentroid:function(g){if(!g){return this.components.length&&this.components[0].getCentroid()}var l=this.components.length;if(!l){return false}var b=[];var c=[];var d=0;var h=Number.MAX_VALUE;var n;for(var k=0;k<l;++k){n=this.components[k];var e=n.getArea();var f=n.getCentroid(true);if(isNaN(e)||isNaN(f.x)||isNaN(f.y)){continue}b.push(e);d+=e;h=(e<h&&e>0)?e:h;c.push(f)}l=b.length;if(d===0){for(var k=0;k<l;++k){b[k]=1}d=b.length}else{for(var k=0;k<l;++k){b[k]/=h}d/=h}var j=0,a=0,f,e;for(var k=0;k<l;++k){f=c[k];e=b[k];j+=f.x*e;a+=f.y*e}return new OpenLayers.Geometry.Point(j/d,a/d)},getGeodesicLength:function(b){var d=0;for(var c=0,a=this.components.length;c<a;c++){d+=this.components[c].getGeodesicLength(b)}return d},move:function(b,d){for(var c=0,a=this.components.length;c<a;c++){this.components[c].move(b,d)}},rotate:function(d,b){for(var c=0,a=this.components.length;c<a;++c){this.components[c].rotate(d,b)}},resize:function(d,a,c){for(var b=0;b<this.components.length;++b){this.components[b].resize(d,a,c)}return this},distanceTo:function(h,j){var c=!(j&&j.edge===false);var a=c&&j&&j.details;var k,d,b;var e=Number.POSITIVE_INFINITY;for(var f=0,g=this.components.length;f<g;++f){k=this.components[f].distanceTo(h,j);b=a?k.distance:k;if(b<e){e=b;d=k;if(e==0){break}}}return d},equals:function(d){var b=true;if(!d||!d.CLASS_NAME||(this.CLASS_NAME!=d.CLASS_NAME)){b=false}else{if(!(OpenLayers.Util.isArray(d.components))||(d.components.length!=this.components.length)){b=false}else{for(var c=0,a=this.components.length;c<a;++c){if(!this.components[c].equals(d.components[c])){b=false;break}}}}return b},transform:function(e,c){if(e&&c){for(var d=0,a=this.components.length;d<a;d++){var b=this.components[d];b.transform(e,c)}this.bounds=null}return this},intersects:function(d){var b=false;for(var c=0,a=this.components.length;c<a;++c){b=d.intersects(this.components[c]);if(b){break}}return b},getVertices:function(b){var c=[];for(var d=0,a=this.components.length;d<a;++d){Array.prototype.push.apply(c,this.components[d].getVertices(b))}return c},CLASS_NAME:"OpenLayers.Geometry.Collection"});OpenLayers.Geometry.Point=OpenLayers.Class(OpenLayers.Geometry,{x:null,y:null,initialize:function(a,b){OpenLayers.Geometry.prototype.initialize.apply(this,arguments);this.x=parseFloat(a);this.y=parseFloat(b)},clone:function(a){if(a==null){a=new OpenLayers.Geometry.Point(this.x,this.y)}OpenLayers.Util.applyDefaults(a,this);return a},calculateBounds:function(){this.bounds=new OpenLayers.Bounds(this.x,this.y,this.x,this.y)},distanceTo:function(f,j){var d=!(j&&j.edge===false);var a=d&&j&&j.details;var b,e,h,c,g,i;if(f instanceof OpenLayers.Geometry.Point){e=this.x;h=this.y;c=f.x;g=f.y;b=Math.sqrt(Math.pow(e-c,2)+Math.pow(h-g,2));i=!a?b:{x0:e,y0:h,x1:c,y1:g,distance:b}}else{i=f.distanceTo(this,j);if(a){i={x0:i.x1,y0:i.y1,x1:i.x0,y1:i.y0,distance:i.distance}}}return i},equals:function(a){var b=false;if(a!=null){b=((this.x==a.x&&this.y==a.y)||(isNaN(this.x)&&isNaN(this.y)&&isNaN(a.x)&&isNaN(a.y)))}return b},toShortString:function(){return(this.x+", "+this.y)},move:function(a,b){this.x=this.x+a;this.y=this.y+b;this.clearBounds()},rotate:function(d,b){d*=Math.PI/180;var a=this.distanceTo(b);var c=d+Math.atan2(this.y-b.y,this.x-b.x);this.x=b.x+(a*Math.cos(c));this.y=b.y+(a*Math.sin(c));this.clearBounds()},getCentroid:function(){return new OpenLayers.Geometry.Point(this.x,this.y)},resize:function(c,a,b){b=(b==undefined)?1:b;this.x=a.x+(c*b*(this.x-a.x));this.y=a.y+(c*(this.y-a.y));this.clearBounds();return this},intersects:function(b){var a=false;if(b.CLASS_NAME=="OpenLayers.Geometry.Point"){a=this.equals(b)}else{a=b.intersects(this)}return a},transform:function(b,a){if((b&&a)){OpenLayers.Projection.transform(this,b,a);this.bounds=null}return this},getVertices:function(a){return[this]},CLASS_NAME:"OpenLayers.Geometry.Point"});OpenLayers.Geometry.MultiPoint=OpenLayers.Class(OpenLayers.Geometry.Collection,{componentTypes:["OpenLayers.Geometry.Point"],addPoint:function(a,b){this.addComponent(a,b)},removePoint:function(a){this.removeComponent(a)},CLASS_NAME:"OpenLayers.Geometry.MultiPoint"});OpenLayers.Geometry.Curve=OpenLayers.Class(OpenLayers.Geometry.MultiPoint,{componentTypes:["OpenLayers.Geometry.Point"],getLength:function(){var c=0;if(this.components&&(this.components.length>1)){for(var b=1,a=this.components.length;b<a;b++){c+=this.components[b-1].distanceTo(this.components[b])}}return c},getGeodesicLength:function(b){var e=this;if(b){var c=new OpenLayers.Projection("EPSG:4326");if(!c.equals(b)){e=this.clone().transform(b,c)}}var f=0;if(e.components&&(e.components.length>1)){var h,g;for(var d=1,a=e.components.length;d<a;d++){h=e.components[d-1];g=e.components[d];f+=OpenLayers.Util.distVincenty({lon:h.x,lat:h.y},{lon:g.x,lat:g.y})}}return f*1000},CLASS_NAME:"OpenLayers.Geometry.Curve"});OpenLayers.Geometry.LineString=OpenLayers.Class(OpenLayers.Geometry.Curve,{removeComponent:function(a){var b=this.components&&(this.components.length>2);if(b){OpenLayers.Geometry.Collection.prototype.removeComponent.apply(this,arguments)}return b},intersects:function(n){var c=false;var l=n.CLASS_NAME;if(l=="OpenLayers.Geometry.LineString"||l=="OpenLayers.Geometry.LinearRing"||l=="OpenLayers.Geometry.Point"){var q=this.getSortedSegments();var o;if(l=="OpenLayers.Geometry.Point"){o=[{x1:n.x,y1:n.y,x2:n.x,y2:n.y}]}else{o=n.getSortedSegments()}var u,g,e,a,s,r,d,b;outer:for(var h=0,k=q.length;h<k;++h){u=q[h];g=u.x1;e=u.x2;a=u.y1;s=u.y2;inner:for(var f=0,p=o.length;f<p;++f){r=o[f];if(r.x1>e){break}if(r.x2<g){continue}d=r.y1;b=r.y2;if(Math.min(d,b)>Math.max(a,s)){continue}if(Math.max(d,b)<Math.min(a,s)){continue}if(OpenLayers.Geometry.segmentsIntersect(u,r)){c=true;break outer}}}}else{c=n.intersects(this)}return c},getSortedSegments:function(){var a=this.components.length-1;var b=new Array(a),e,d;for(var c=0;c<a;++c){e=this.components[c];d=this.components[c+1];if(e.x<d.x){b[c]={x1:e.x,y1:e.y,x2:d.x,y2:d.y}}else{b[c]={x1:d.x,y1:d.y,x2:e.x,y2:e.y}}}function f(h,g){return h.x1-g.x1}return b.sort(f)},splitWithSegment:function(s,b){var c=!(b&&b.edge===false);var p=b&&b.tolerance;var a=[];var w=this.getVertices();var o=[];var y=[];var h=false;var e,d,l;var j,r,x;var f={point:true,tolerance:p};var g=null;for(var n=0,k=w.length-2;n<=k;++n){e=w[n];o.push(e.clone());d=w[n+1];x={x1:e.x,y1:e.y,x2:d.x,y2:d.y};l=OpenLayers.Geometry.segmentsIntersect(s,x,f);if(l instanceof OpenLayers.Geometry.Point){if((l.x===s.x1&&l.y===s.y1)||(l.x===s.x2&&l.y===s.y2)||l.equals(e)||l.equals(d)){r=true}else{r=false}if(r||c){if(!l.equals(y[y.length-1])){y.push(l.clone())}if(n===0){if(l.equals(e)){continue}}if(l.equals(d)){continue}h=true;if(!l.equals(e)){o.push(l)}a.push(new OpenLayers.Geometry.LineString(o));o=[l.clone()]}}}if(h){o.push(d.clone());a.push(new OpenLayers.Geometry.LineString(o))}if(y.length>0){var q=s.x1<s.x2?1:-1;var u=s.y1<s.y2?1:-1;g={lines:a,points:y.sort(function(z,i){return(q*z.x-q*i.x)||(u*z.y-u*i.y)})}}return g},split:function(A,b){var o=null;var d=b&&b.mutual;var l,e,n,c;if(A instanceof OpenLayers.Geometry.LineString){var z=this.getVertices();var g,f,y,h,a,q;var u=[];n=[];for(var w=0,p=z.length-2;w<=p;++w){g=z[w];f=z[w+1];y={x1:g.x,y1:g.y,x2:f.x,y2:f.y};c=c||[A];if(d){u.push(g.clone())}for(var s=0;s<c.length;++s){h=c[s].splitWithSegment(y,b);if(h){a=h.lines;if(a.length>0){a.unshift(s,1);Array.prototype.splice.apply(c,a);s+=a.length-2}if(d){for(var r=0,x=h.points.length;r<x;++r){q=h.points[r];if(!q.equals(g)){u.push(q);n.push(new OpenLayers.Geometry.LineString(u));if(q.equals(f)){u=[]}else{u=[q.clone()]}}}}}}}if(d&&n.length>0&&u.length>0){u.push(f.clone());n.push(new OpenLayers.Geometry.LineString(u))}}else{o=A.splitWith(this,b)}if(c&&c.length>1){e=true}else{c=[]}if(n&&n.length>1){l=true}else{n=[]}if(e||l){if(d){o=[n,c]}else{o=c}}return o},splitWith:function(b,a){return b.split(this,a)},getVertices:function(a){var b;if(a===true){b=[this.components[0],this.components[this.components.length-1]]}else{if(a===false){b=this.components.slice(1,this.components.length-1)}else{b=this.components.slice()}}return b},distanceTo:function(h,g){var k=!(g&&g.edge===false);var E=k&&g&&g.details;var r,e={};var w=Number.POSITIVE_INFINITY;if(h instanceof OpenLayers.Geometry.Point){var s=this.getSortedSegments();var q=h.x;var p=h.y;var C;for(var A=0,B=s.length;A<B;++A){C=s[A];r=OpenLayers.Geometry.distanceToSegment(h,C);if(r.distance<w){w=r.distance;e=r;if(w===0){break}}else{if(C.x2>q&&((p>C.y1&&p<C.y2)||(p<C.y1&&p>C.y2))){break}}}if(E){e={distance:e.distance,x0:e.x,y0:e.y,x1:q,y1:p}}else{e=e.distance}}else{if(h instanceof OpenLayers.Geometry.LineString){var d=this.getSortedSegments();var c=h.getSortedSegments();var b,a,o,D,f;var n=c.length;var l={point:true};outer:for(var A=0,B=d.length;A<B;++A){b=d[A];D=b.x1;f=b.y1;for(var z=0;z<n;++z){a=c[z];o=OpenLayers.Geometry.segmentsIntersect(b,a,l);if(o){w=0;e={distance:0,x0:o.x,y0:o.y,x1:o.x,y1:o.y};break outer}else{r=OpenLayers.Geometry.distanceToSegment({x:D,y:f},a);if(r.distance<w){w=r.distance;e={distance:w,x0:D,y0:f,x1:r.x,y1:r.y}}}}}if(!E){e=e.distance}if(w!==0){if(b){r=h.distanceTo(new OpenLayers.Geometry.Point(b.x2,b.y2),g);var u=E?r.distance:r;if(u<w){if(E){e={distance:w,x0:r.x1,y0:r.y1,x1:r.x0,y1:r.y0}}else{e=u}}}}}else{e=h.distanceTo(this,g);if(E){e={distance:e.distance,x0:e.x1,y0:e.y1,x1:e.x0,y1:e.y0}}}}return e},simplify:function(h){if(this&&this!==null){var j=this.getVertices();if(j.length<3){return this}var d=function(l,k){return(l-k)};var c=function(o,r,p,k){var q=0;var n=0;for(var l=r,s;l<p;l++){s=b(o[r],o[p],o[l]);if(s>q){q=s;n=l}}if(q>k&&n!=r){e.push(n);c(o,r,n,k);c(o,n,p,k)}};var b=function(p,o,l){var q=Math.abs(0.5*(p.x*o.y+o.x*l.y+l.x*p.y-o.x*p.y-l.x*o.y-p.x*l.y));var n=Math.sqrt(Math.pow(p.x-o.x,2)+Math.pow(p.y-o.y,2));var k=q/n*2;return k};var f=0;var i=j.length-1;var e=[];e.push(f);e.push(i);while(j[f].equals(j[i])){i--;e.push(i)}c(j,f,i,h);var a=[];e.sort(d);for(var g=0;g<e.length;g++){a.push(j[e[g]])}return new OpenLayers.Geometry.LineString(a)}else{return this}},CLASS_NAME:"OpenLayers.Geometry.LineString"});OpenLayers.Geometry.LinearRing=OpenLayers.Class(OpenLayers.Geometry.LineString,{componentTypes:["OpenLayers.Geometry.Point"],addComponent:function(a,b){var c=false;var d=this.components.pop();if(b!=null||!a.equals(d)){c=OpenLayers.Geometry.Collection.prototype.addComponent.apply(this,arguments)}var e=this.components[0];OpenLayers.Geometry.Collection.prototype.addComponent.apply(this,[e]);return c},removeComponent:function(a){var b=this.components&&(this.components.length>3);if(b){this.components.pop();OpenLayers.Geometry.Collection.prototype.removeComponent.apply(this,arguments);var c=this.components[0];OpenLayers.Geometry.Collection.prototype.addComponent.apply(this,[c])}return b},move:function(b,d){for(var c=0,a=this.components.length;c<a-1;c++){this.components[c].move(b,d)}},rotate:function(d,b){for(var c=0,a=this.components.length;c<a-1;++c){this.components[c].rotate(d,b)}},resize:function(e,b,d){for(var c=0,a=this.components.length;c<a-1;++c){this.components[c].resize(e,b,d)}return this},transform:function(e,c){if(e&&c){for(var d=0,a=this.components.length;d<a-1;d++){var b=this.components[d];b.transform(e,c)}this.bounds=null}return this},getCentroid:function(){if(this.components&&(this.components.length>2)){var h=0;var g=0;for(var e=0;e<this.components.length-1;e++){var d=this.components[e];var k=this.components[e+1];h+=(d.x+k.x)*(d.x*k.y-k.x*d.y);g+=(d.y+k.y)*(d.x*k.y-k.x*d.y)}var f=-1*this.getArea();var a=h/(6*f);var j=g/(6*f);return new OpenLayers.Geometry.Point(a,j)}else{return null}},getArea:function(){var g=0;if(this.components&&(this.components.length>2)){var f=0;for(var e=0,d=this.components.length;e<d-1;e++){var a=this.components[e];var h=this.components[e+1];f+=(a.x+h.x)*(h.y-a.y)}g=-f/2}return g},getGeodesicArea:function(b){var d=this;if(b){var c=new OpenLayers.Projection("EPSG:4326");if(!c.equals(b)){d=this.clone().transform(b,c)}}var f=0;var a=d.components&&d.components.length;if(a>2){var h,g;for(var e=0;e<a-1;e++){h=d.components[e];g=d.components[e+1];f+=OpenLayers.Util.rad(g.x-h.x)*(2+Math.sin(OpenLayers.Util.rad(h.y))+Math.sin(OpenLayers.Util.rad(g.y)))}f=f*6378137*6378137/2}return f},containsPoint:function(n){var u=OpenLayers.Number.limitSigDigs;var l=14;var k=u(n.x,l);var j=u(n.y,l);function s(A,w,z,i,x){return(A-x)*((i-w)/(x-z))+i}var a=this.components.length-1;var g,f,r,d,p,b,e,c;var h=0;for(var o=0;o<a;++o){g=this.components[o];r=u(g.x,l);d=u(g.y,l);f=this.components[o+1];p=u(f.x,l);b=u(f.y,l);if(d==b){if(j==d){if(r<=p&&(k>=r&&k<=p)||r>=p&&(k<=r&&k>=p)){h=-1;break}}continue}e=u(s(j,r,d,p,b),l);if(e==k){if(d<b&&(j>=d&&j<=b)||d>b&&(j<=d&&j>=b)){h=-1;break}}if(e<=k){continue}if(r!=p&&(e<Math.min(r,p)||e>Math.max(r,p))){continue}if(d<b&&(j>=d&&j<b)||d>b&&(j<d&&j>=b)){++h}}var q=(h==-1)?1:!!(h&1);return q},intersects:function(d){var b=false;if(d.CLASS_NAME=="OpenLayers.Geometry.Point"){b=this.containsPoint(d)}else{if(d.CLASS_NAME=="OpenLayers.Geometry.LineString"){b=d.intersects(this)}else{if(d.CLASS_NAME=="OpenLayers.Geometry.LinearRing"){b=OpenLayers.Geometry.LineString.prototype.intersects.apply(this,[d])}else{for(var c=0,a=d.components.length;c<a;++c){b=d.components[c].intersects(this);if(b){break}}}}}return b},getVertices:function(a){return(a===true)?[]:this.components.slice(0,this.components.length-1)},CLASS_NAME:"OpenLayers.Geometry.LinearRing"});OpenLayers.Renderer=OpenLayers.Class({container:null,root:null,extent:null,locked:false,size:null,resolution:null,map:null,featureDx:0,initialize:function(a,b){this.container=OpenLayers.Util.getElement(a);OpenLayers.Util.extend(this,b)},destroy:function(){this.container=null;this.extent=null;this.size=null;this.resolution=null;this.map=null},supported:function(){return false},setExtent:function(b,c){this.extent=b.clone();if(this.map.baseLayer&&this.map.baseLayer.wrapDateLine){var a=b.getWidth()/this.map.getExtent().getWidth(),b=b.scale(1/a);this.extent=b.wrapDateLine(this.map.getMaxExtent()).scale(a)}if(c){this.resolution=null}return true},setSize:function(a){this.size=a.clone();this.resolution=null},getResolution:function(){this.resolution=this.resolution||this.map.getResolution();return this.resolution},drawFeature:function(i,b){if(b==null){b=i.style}if(i.geometry){var a=i.geometry.getBounds();if(a){var h;if(this.map.baseLayer&&this.map.baseLayer.wrapDateLine){h=this.map.getMaxExtent()}if(!a.intersectsBounds(this.extent,{worldBounds:h})){b={display:"none"}}else{this.calculateFeatureDx(a,h)}var c=this.drawGeometry(i.geometry,b,i.id);if(b.display!="none"&&b.label&&c!==false){var g=i.geometry.getCentroid();if(b.labelXOffset||b.labelYOffset){var e=isNaN(b.labelXOffset)?0:b.labelXOffset;var d=isNaN(b.labelYOffset)?0:b.labelYOffset;var f=this.getResolution();g.move(e*f,d*f)}this.drawText(i.id,b,g)}else{this.removeText(i.id)}return c}}},calculateFeatureDx:function(e,d){this.featureDx=0;if(d){var f=d.getWidth(),b=(this.extent.left+this.extent.right)/2,c=(e.left+e.right)/2,a=Math.round((c-b)/f);this.featureDx=a*f}},drawGeometry:function(c,a,b){},drawText:function(c,b,a){},removeText:function(a){},clear:function(){},getFeatureIdFromEvent:function(a){},eraseFeatures:function(d){if(!(OpenLayers.Util.isArray(d))){d=[d]}for(var c=0,a=d.length;c<a;++c){var b=d[c];this.eraseGeometry(b.geometry,b.id);this.removeText(b.id)}},eraseGeometry:function(b,a){},moveRoot:function(a){},getRenderLayerId:function(){return this.container.id},applyDefaultSymbolizer:function(b){var a=OpenLayers.Util.extend({},OpenLayers.Renderer.defaultSymbolizer);if(b.stroke===false){delete a.strokeWidth;delete a.strokeColor}if(b.fill===false){delete a.fillColor}OpenLayers.Util.extend(a,b);return a},CLASS_NAME:"OpenLayers.Renderer"});OpenLayers.Renderer.defaultSymbolizer={fillColor:"#000000",strokeColor:"#000000",strokeWidth:2,fillOpacity:1,strokeOpacity:1,pointRadius:0,labelAlign:"cm"};OpenLayers.Renderer.symbol={star:[350,75,379,161,469,161,397,215,423,301,350,250,277,301,303,215,231,161,321,161,350,75],cross:[4,0,6,0,6,4,10,4,10,6,6,6,6,10,4,10,4,6,0,6,0,4,4,4,4,0],x:[0,0,25,0,50,35,75,0,100,0,65,50,100,100,75,100,50,65,25,100,0,100,35,50,0,0],square:[0,0,0,1,1,1,1,0,0,0],triangle:[0,10,10,10,5,0,0,10]};OpenLayers.Renderer.Canvas=OpenLayers.Class(OpenLayers.Renderer,{hitDetection:true,hitOverflow:0,canvas:null,features:null,pendingRedraw:false,cachedSymbolBounds:{},initialize:function(a,b){OpenLayers.Renderer.prototype.initialize.apply(this,arguments);this.root=document.createElement("canvas");this.container.appendChild(this.root);this.canvas=this.root.getContext("2d");this.features={};if(this.hitDetection){this.hitCanvas=document.createElement("canvas");this.hitContext=this.hitCanvas.getContext("2d")}},setExtent:function(){OpenLayers.Renderer.prototype.setExtent.apply(this,arguments);return false},eraseGeometry:function(b,a){this.eraseFeatures(this.features[a][0])},supported:function(){return OpenLayers.CANVAS_SUPPORTED},setSize:function(b){this.size=b.clone();var a=this.root;a.style.width=b.w+"px";a.style.height=b.h+"px";a.width=b.w;a.height=b.h;this.resolution=null;if(this.hitDetection){var c=this.hitCanvas;c.style.width=b.w+"px";c.style.height=b.h+"px";c.width=b.w;c.height=b.h}},drawFeature:function(a,b){var f;if(a.geometry){b=this.applyDefaultSymbolizer(b||a.style);var e=a.geometry.getBounds();var d;if(this.map.baseLayer&&this.map.baseLayer.wrapDateLine){d=this.map.getMaxExtent()}var c=e&&e.intersectsBounds(this.extent,{worldBounds:d});f=(b.display!=="none")&&!!e&&c;if(f){this.features[a.id]=[a,b]}else{delete (this.features[a.id])}this.pendingRedraw=true}if(this.pendingRedraw&&!this.locked){this.redraw();this.pendingRedraw=false}return f},drawGeometry:function(e,c,d){var b=e.CLASS_NAME;if((b=="OpenLayers.Geometry.Collection")||(b=="OpenLayers.Geometry.MultiPoint")||(b=="OpenLayers.Geometry.MultiLineString")||(b=="OpenLayers.Geometry.MultiPolygon")){for(var a=0;a<e.components.length;a++){this.drawGeometry(e.components[a],c,d)}return}switch(e.CLASS_NAME){case"OpenLayers.Geometry.Point":this.drawPoint(e,c,d);break;case"OpenLayers.Geometry.LineString":this.drawLineString(e,c,d);break;case"OpenLayers.Geometry.LinearRing":this.drawLinearRing(e,c,d);break;case"OpenLayers.Geometry.Polygon":this.drawPolygon(e,c,d);break;default:break}},drawExternalGraphic:function(i,a,d){var e=new Image();if(a.graphicTitle){e.title=a.graphicTitle}var b=a.graphicWidth||a.graphicHeight;var j=a.graphicHeight||a.graphicWidth;b=b?b:a.pointRadius*2;j=j?j:a.pointRadius*2;var g=(a.graphicXOffset!=undefined)?a.graphicXOffset:-(0.5*b);var c=(a.graphicYOffset!=undefined)?a.graphicYOffset:-(0.5*j);var f=a.graphicOpacity||a.fillOpacity;var h=function(){if(!this.features[d]){return}var o=this.getLocalXY(i);var r=o[0];var p=o[1];if(!isNaN(r)&&!isNaN(p)){var k=(r+g)|0;var q=(p+c)|0;var l=this.canvas;l.globalAlpha=f;var n=OpenLayers.Renderer.Canvas.drawImageScaleFactor||(OpenLayers.Renderer.Canvas.drawImageScaleFactor=/android 2.1/.test(navigator.userAgent.toLowerCase())?320/window.screen.width:1);l.drawImage(e,k*n,q*n,b*n,j*n);if(this.hitDetection){this.setHitContextStyle("fill",d);this.hitContext.fillRect(k,q,b,j)}}};e.onload=OpenLayers.Function.bind(h,this);e.src=a.externalGraphic},drawNamedSymbol:function(n,b,h){var o,l,g,f,j,a,c,e;var k;var p=Math.PI/180;var d=OpenLayers.Renderer.symbol[b.graphicName];if(!d){throw new Error(b.graphicName+" is not a valid symbol name")}if(!d.length||d.length<2){return}var s=this.getLocalXY(n);var r=s[0];var q=s[1];if(isNaN(r)||isNaN(q)){return}this.canvas.lineCap="round";this.canvas.lineJoin="round";if(this.hitDetection){this.hitContext.lineCap="round";this.hitContext.lineJoin="round"}if(b.graphicName in this.cachedSymbolBounds){a=this.cachedSymbolBounds[b.graphicName]}else{a=new OpenLayers.Bounds();for(j=0;j<d.length;j+=2){a.extend(new OpenLayers.LonLat(d[j],d[j+1]))}this.cachedSymbolBounds[b.graphicName]=a}this.canvas.save();if(this.hitDetection){this.hitContext.save()}this.canvas.translate(r,q);if(this.hitDetection){this.hitContext.translate(r,q)}e=p*b.rotation;if(!isNaN(e)){this.canvas.rotate(e);if(this.hitDetection){this.hitContext.rotate(e)}}c=2*b.pointRadius/Math.max(a.getWidth(),a.getHeight());this.canvas.scale(c,c);if(this.hitDetection){this.hitContext.scale(c,c)}g=a.getCenterLonLat().lon;f=a.getCenterLonLat().lat;this.canvas.translate(-g,-f);if(this.hitDetection){this.hitContext.translate(-g,-f)}k=b.strokeWidth;b.strokeWidth=k/c;if(b.fill!==false){this.setCanvasStyle("fill",b);this.canvas.beginPath();for(j=0;j<d.length;j=j+2){o=d[j];l=d[j+1];if(j==0){this.canvas.moveTo(o,l)}this.canvas.lineTo(o,l)}this.canvas.closePath();this.canvas.fill();if(this.hitDetection){this.setHitContextStyle("fill",h,b);this.hitContext.beginPath();for(j=0;j<d.length;j=j+2){o=d[j];l=d[j+1];if(j==0){this.canvas.moveTo(o,l)}this.hitContext.lineTo(o,l)}this.hitContext.closePath();this.hitContext.fill()}}if(b.stroke!==false){this.setCanvasStyle("stroke",b);this.canvas.beginPath();for(j=0;j<d.length;j=j+2){o=d[j];l=d[j+1];if(j==0){this.canvas.moveTo(o,l)}this.canvas.lineTo(o,l)}this.canvas.closePath();this.canvas.stroke();if(this.hitDetection){this.setHitContextStyle("stroke",h,b,c);this.hitContext.beginPath();for(j=0;j<d.length;j=j+2){o=d[j];l=d[j+1];if(j==0){this.hitContext.moveTo(o,l)}this.hitContext.lineTo(o,l)}this.hitContext.closePath();this.hitContext.stroke()}}b.strokeWidth=k;this.canvas.restore();if(this.hitDetection){this.hitContext.restore()}this.setCanvasStyle("reset")},setCanvasStyle:function(b,a){if(b==="fill"){this.canvas.globalAlpha=a.fillOpacity;this.canvas.fillStyle=a.fillColor}else{if(b==="stroke"){this.canvas.globalAlpha=a.strokeOpacity;this.canvas.strokeStyle=a.strokeColor;this.canvas.lineWidth=a.strokeWidth}else{this.canvas.globalAlpha=0;this.canvas.lineWidth=1}}},featureIdToHex:function(c){var d=Number(c.split("_").pop())+1;if(d>=16777216){this.hitOverflow=d-16777215;d=d%16777216+1}var b="000000"+d.toString(16);var a=b.length;b="#"+b.substring(a-6,a);return b},setHitContextStyle:function(b,e,a,d){var c=this.featureIdToHex(e);if(b=="fill"){this.hitContext.globalAlpha=1;this.hitContext.fillStyle=c}else{if(b=="stroke"){this.hitContext.globalAlpha=1;this.hitContext.strokeStyle=c;if(typeof d==="undefined"){this.hitContext.lineWidth=a.strokeWidth+2}else{if(!isNaN(d)){this.hitContext.lineWidth=a.strokeWidth+2/d}}}else{this.hitContext.globalAlpha=0;this.hitContext.lineWidth=1}}},drawPoint:function(g,c,f){if(c.graphic!==false){if(c.externalGraphic){this.drawExternalGraphic(g,c,f)}else{if(c.graphicName&&(c.graphicName!="circle")){this.drawNamedSymbol(g,c,f)}else{var d=this.getLocalXY(g);var h=d[0];var e=d[1];if(!isNaN(h)&&!isNaN(e)){var b=Math.PI*2;var a=c.pointRadius;if(c.fill!==false){this.setCanvasStyle("fill",c);this.canvas.beginPath();this.canvas.arc(h,e,a,0,b,true);this.canvas.fill();if(this.hitDetection){this.setHitContextStyle("fill",f,c);this.hitContext.beginPath();this.hitContext.arc(h,e,a,0,b,true);this.hitContext.fill()}}if(c.stroke!==false){this.setCanvasStyle("stroke",c);this.canvas.beginPath();this.canvas.arc(h,e,a,0,b,true);this.canvas.stroke();if(this.hitDetection){this.setHitContextStyle("stroke",f,c);this.hitContext.beginPath();this.hitContext.arc(h,e,a,0,b,true);this.hitContext.stroke()}this.setCanvasStyle("reset")}}}}}},drawLineString:function(c,a,b){a=OpenLayers.Util.applyDefaults({fill:false},a);this.drawLinearRing(c,a,b)},drawLinearRing:function(c,a,b){if(a.fill!==false){this.setCanvasStyle("fill",a);this.renderPath(this.canvas,c,a,b,"fill");if(this.hitDetection){this.setHitContextStyle("fill",b,a);this.renderPath(this.hitContext,c,a,b,"fill")}}if(a.stroke!==false){this.setCanvasStyle("stroke",a);this.renderPath(this.canvas,c,a,b,"stroke");if(this.hitDetection){this.setHitContextStyle("stroke",b,a);this.renderPath(this.hitContext,c,a,b,"stroke")}}this.setCanvasStyle("reset")},renderPath:function(c,k,a,e,h){var f=k.components;var g=f.length;c.beginPath();var b=this.getLocalXY(f[0]);var l=b[0];var j=b[1];if(!isNaN(l)&&!isNaN(j)){c.moveTo(b[0],b[1]);for(var d=1;d<g;++d){var n=this.getLocalXY(f[d]);c.lineTo(n[0],n[1])}if(h==="fill"){c.fill()}else{c.stroke()}}},drawPolygon:function(f,c,e){var d=f.components;var a=d.length;this.drawLinearRing(d[0],c,e);for(var b=1;b<a;++b){this.canvas.globalCompositeOperation="destination-out";if(this.hitDetection){this.hitContext.globalCompositeOperation="destination-out"}this.drawLinearRing(d[b],OpenLayers.Util.applyDefaults({stroke:false,fillOpacity:1},c),e);this.canvas.globalCompositeOperation="source-over";if(this.hitDetection){this.hitContext.globalCompositeOperation="source-over"}this.drawLinearRing(d[b],OpenLayers.Util.applyDefaults({fill:false},c),e)}},drawText:function(l,a){var n=this.getLocalXY(l);this.setCanvasStyle("reset");this.canvas.fillStyle=a.fontColor;this.canvas.globalAlpha=a.fontOpacity||1;var d=[a.fontStyle?a.fontStyle:"normal","normal",a.fontWeight?a.fontWeight:"normal",a.fontSize?a.fontSize:"1em",a.fontFamily?a.fontFamily:"sans-serif"].join(" ");var c=a.label.split("\n");var f=c.length;if(this.canvas.fillText){this.canvas.font=d;this.canvas.textAlign=OpenLayers.Renderer.Canvas.LABEL_ALIGN[a.labelAlign[0]]||"center";this.canvas.textBaseline=OpenLayers.Renderer.Canvas.LABEL_ALIGN[a.labelAlign[1]]||"middle";var j=OpenLayers.Renderer.Canvas.LABEL_FACTOR[a.labelAlign[1]];if(j==null){j=-0.5}var k=this.canvas.measureText("Mg").height||this.canvas.measureText("xx").width;n[1]+=k*j*(f-1);for(var e=0;e<f;e++){if(a.labelOutlineWidth){this.canvas.save();this.canvas.strokeStyle=a.labelOutlineColor;this.canvas.lineWidth=a.labelOutlineWidth;this.canvas.strokeText(c[e],n[0],n[1]+(k*e)+1);this.canvas.restore()}this.canvas.fillText(c[e],n[0],n[1]+(k*e))}}else{if(this.canvas.mozDrawText){this.canvas.mozTextStyle=d;var b=OpenLayers.Renderer.Canvas.LABEL_FACTOR[a.labelAlign[0]];if(b==null){b=-0.5}var j=OpenLayers.Renderer.Canvas.LABEL_FACTOR[a.labelAlign[1]];if(j==null){j=-0.5}var k=this.canvas.mozMeasureText("xx");n[1]+=k*(1+(j*f));for(var e=0;e<f;e++){var h=n[0]+(b*this.canvas.mozMeasureText(c[e]));var g=n[1]+(e*k);this.canvas.translate(h,g);this.canvas.mozDrawText(c[e]);this.canvas.translate(-h,-g)}}}this.setCanvasStyle("reset")},getLocalXY:function(b){var c=this.getResolution();var d=this.extent;var a=((b.x-this.featureDx)/c+(-d.left/c));var e=((d.top/c)-b.y/c);return[a,e]},clear:function(){var a=this.root.height;var b=this.root.width;this.canvas.clearRect(0,0,b,a);this.features={};if(this.hitDetection){this.hitContext.clearRect(0,0,b,a)}},getFeatureIdFromEvent:function(g){var c,i;if(this.hitDetection&&this.root.style.display!=="none"){if(!this.map.dragging){var h=g.xy;var f=h.x|0;var e=h.y|0;var d=this.hitContext.getImageData(f,e,1,1).data;if(d[3]===255){var a=d[2]+(256*(d[1]+(256*d[0])));if(a){c="OpenLayers.Feature.Vector_"+(a-1+this.hitOverflow);try{i=this.features[c][0]}catch(b){}}}}}return i},eraseFeatures:function(b){if(!(OpenLayers.Util.isArray(b))){b=[b]}for(var a=0;a<b.length;++a){delete this.features[b[a].id]}this.redraw()},redraw:function(){if(!this.locked){var j=this.root.height;var c=this.root.width;this.canvas.clearRect(0,0,c,j);if(this.hitDetection){this.hitContext.clearRect(0,0,c,j)}var f=[];var l,g,a;var h=(this.map.baseLayer&&this.map.baseLayer.wrapDateLine)&&this.map.getMaxExtent();for(var b in this.features){if(!this.features.hasOwnProperty(b)){continue}l=this.features[b][0];g=l.geometry;this.calculateFeatureDx(g.getBounds(),h);a=this.features[b][1];this.drawGeometry(g,a,l.id);if(a.label){f.push([l,a])}}var k;for(var d=0,e=f.length;d<e;++d){k=f[d];this.drawText(k[0].geometry.getCentroid(),k[1])}}},CLASS_NAME:"OpenLayers.Renderer.Canvas"});OpenLayers.Renderer.Canvas.LABEL_ALIGN={l:"left",r:"right",t:"top",b:"bottom"};OpenLayers.Renderer.Canvas.LABEL_FACTOR={l:0,r:-1,t:0,b:-1};OpenLayers.Renderer.Canvas.drawImageScaleFactor=null;OpenLayers.Handler=OpenLayers.Class({id:null,control:null,map:null,keyMask:null,active:false,evt:null,initialize:function(d,b,a){OpenLayers.Util.extend(this,a);this.control=d;this.callbacks=b;var c=this.map||d.map;if(c){this.setMap(c)}this.id=OpenLayers.Util.createUniqueID(this.CLASS_NAME+"_")},setMap:function(a){this.map=a},checkModifiers:function(a){if(this.keyMask==null){return true}var b=(a.shiftKey?OpenLayers.Handler.MOD_SHIFT:0)|(a.ctrlKey?OpenLayers.Handler.MOD_CTRL:0)|(a.altKey?OpenLayers.Handler.MOD_ALT:0);return(b==this.keyMask)},activate:function(){if(this.active){return false}var c=OpenLayers.Events.prototype.BROWSER_EVENTS;for(var b=0,a=c.length;b<a;b++){if(this[c[b]]){this.register(c[b],this[c[b]])}}this.active=true;return true},deactivate:function(){if(!this.active){return false}var c=OpenLayers.Events.prototype.BROWSER_EVENTS;for(var b=0,a=c.length;b<a;b++){if(this[c[b]]){this.unregister(c[b],this[c[b]])}}this.active=false;return true},callback:function(b,a){if(b&&this.callbacks[b]){this.callbacks[b].apply(this.control,a)}},register:function(a,b){this.map.events.registerPriority(a,this,b);this.map.events.registerPriority(a,this,this.setEvent)},unregister:function(a,b){this.map.events.unregister(a,this,b);this.map.events.unregister(a,this,this.setEvent)},setEvent:function(a){this.evt=a;return true},destroy:function(){this.deactivate();this.control=this.map=null},CLASS_NAME:"OpenLayers.Handler"});OpenLayers.Handler.MOD_NONE=0;OpenLayers.Handler.MOD_SHIFT=1;OpenLayers.Handler.MOD_CTRL=2;OpenLayers.Handler.MOD_ALT=4;OpenLayers.Handler.Drag=OpenLayers.Class(OpenLayers.Handler,{started:false,stopDown:true,dragging:false,touch:false,last:null,start:null,lastMoveEvt:null,oldOnselectstart:null,interval:0,timeoutId:null,documentDrag:false,documentEvents:null,initialize:function(d,c,a){OpenLayers.Handler.prototype.initialize.apply(this,arguments);if(this.documentDrag===true){var b=this;this._docMove=function(e){b.mousemove({xy:{x:e.clientX,y:e.clientY},element:document})};this._docUp=function(e){b.mouseup({xy:{x:e.clientX,y:e.clientY}})}}},dragstart:function(b){var a=true;this.dragging=false;if(this.checkModifiers(b)&&(OpenLayers.Event.isLeftClick(b)||OpenLayers.Event.isSingleTouch(b))){this.started=true;this.start=b.xy;this.last=b.xy;OpenLayers.Element.addClass(this.map.viewPortDiv,"olDragDown");this.down(b);this.callback("down",[b.xy]);OpenLayers.Event.stop(b);if(!this.oldOnselectstart){this.oldOnselectstart=document.onselectstart?document.onselectstart:OpenLayers.Function.True}document.onselectstart=OpenLayers.Function.False;a=!this.stopDown}else{this.started=false;this.start=null;this.last=null}return a},dragmove:function(a){this.lastMoveEvt=a;if(this.started&&!this.timeoutId&&(a.xy.x!=this.last.x||a.xy.y!=this.last.y)){if(this.documentDrag===true&&this.documentEvents){if(a.element===document){this.adjustXY(a);this.setEvent(a)}else{this.removeDocumentEvents()}}if(this.interval>0){this.timeoutId=setTimeout(OpenLayers.Function.bind(this.removeTimeout,this),this.interval)}this.dragging=true;this.move(a);this.callback("move",[a.xy]);if(!this.oldOnselectstart){this.oldOnselectstart=document.onselectstart;document.onselectstart=OpenLayers.Function.False}this.last=a.xy}return true},dragend:function(b){if(this.started){if(this.documentDrag===true&&this.documentEvents){this.adjustXY(b);this.removeDocumentEvents()}var a=(this.start!=this.last);this.started=false;this.dragging=false;OpenLayers.Element.removeClass(this.map.viewPortDiv,"olDragDown");this.up(b);this.callback("up",[b.xy]);if(a){this.callback("done",[b.xy])}document.onselectstart=this.oldOnselectstart}return true},down:function(a){},move:function(a){},up:function(a){},out:function(a){},mousedown:function(a){return this.dragstart(a)},touchstart:function(a){if(!this.touch){this.touch=true;this.map.events.un({mousedown:this.mousedown,mouseup:this.mouseup,mousemove:this.mousemove,click:this.click,scope:this})}return this.dragstart(a)},mousemove:function(a){return this.dragmove(a)},touchmove:function(a){return this.dragmove(a)},removeTimeout:function(){this.timeoutId=null;if(this.dragging){this.mousemove(this.lastMoveEvt)}},mouseup:function(a){return this.dragend(a)},touchend:function(a){a.xy=this.last;return this.dragend(a)},mouseout:function(b){if(this.started&&OpenLayers.Util.mouseLeft(b,this.map.viewPortDiv)){if(this.documentDrag===true){this.addDocumentEvents()}else{var a=(this.start!=this.last);this.started=false;this.dragging=false;OpenLayers.Element.removeClass(this.map.viewPortDiv,"olDragDown");this.out(b);this.callback("out",[]);if(a){this.callback("done",[b.xy])}if(document.onselectstart){document.onselectstart=this.oldOnselectstart}}}return true},click:function(a){return(this.start==this.last)},activate:function(){var a=false;if(OpenLayers.Handler.prototype.activate.apply(this,arguments)){this.dragging=false;a=true}return a},deactivate:function(){var a=false;if(OpenLayers.Handler.prototype.deactivate.apply(this,arguments)){this.touch=false;this.started=false;this.dragging=false;this.start=null;this.last=null;a=true;OpenLayers.Element.removeClass(this.map.viewPortDiv,"olDragDown")}return a},adjustXY:function(a){var b=OpenLayers.Util.pagePosition(this.map.viewPortDiv);a.xy.x-=b[0];a.xy.y-=b[1]},addDocumentEvents:function(){OpenLayers.Element.addClass(document.body,"olDragDown");this.documentEvents=true;OpenLayers.Event.observe(document,"mousemove",this._docMove);OpenLayers.Event.observe(document,"mouseup",this._docUp)},removeDocumentEvents:function(){OpenLayers.Element.removeClass(document.body,"olDragDown");this.documentEvents=false;OpenLayers.Event.stopObserving(document,"mousemove",this._docMove);OpenLayers.Event.stopObserving(document,"mouseup",this._docUp)},CLASS_NAME:"OpenLayers.Handler.Drag"});OpenLayers.Handler.Feature=OpenLayers.Class(OpenLayers.Handler,{EVENTMAP:{click:{"in":"click",out:"clickout"},mousemove:{"in":"over",out:"out"},dblclick:{"in":"dblclick",out:null},mousedown:{"in":null,out:null},mouseup:{"in":null,out:null},touchstart:{"in":"click",out:"clickout"}},feature:null,lastFeature:null,down:null,up:null,touch:false,clickTolerance:4,geometryTypes:null,stopClick:true,stopDown:true,stopUp:false,initialize:function(d,b,c,a){OpenLayers.Handler.prototype.initialize.apply(this,[d,c,a]);this.layer=b},touchstart:function(a){if(!this.touch){this.touch=true;this.map.events.un({mousedown:this.mousedown,mouseup:this.mouseup,mousemove:this.mousemove,click:this.click,dblclick:this.dblclick,scope:this})}return OpenLayers.Event.isMultiTouch(a)?true:this.mousedown(a)},touchmove:function(a){OpenLayers.Event.stop(a)},mousedown:function(a){if(OpenLayers.Event.isLeftClick(a)||OpenLayers.Event.isSingleTouch(a)){this.down=a.xy}return this.handle(a)?!this.stopDown:true},mouseup:function(a){this.up=a.xy;return this.handle(a)?!this.stopUp:true},click:function(a){return this.handle(a)?!this.stopClick:true},mousemove:function(a){if(!this.callbacks.over&&!this.callbacks.out){return true}this.handle(a);return true},dblclick:function(a){return !this.handle(a)},geometryTypeMatches:function(a){return this.geometryTypes==null||OpenLayers.Util.indexOf(this.geometryTypes,a.geometry.CLASS_NAME)>-1},handle:function(a){if(this.feature&&!this.feature.layer){this.feature=null}var c=a.type;var f=false;var e=!!(this.feature);var d=(c=="click"||c=="dblclick"||c=="touchstart");this.feature=this.layer.getFeatureFromEvent(a);if(this.feature&&!this.feature.layer){this.feature=null}if(this.lastFeature&&!this.lastFeature.layer){this.lastFeature=null}if(this.feature){if(c==="touchstart"){OpenLayers.Event.stop(a)}var b=(this.feature!=this.lastFeature);if(this.geometryTypeMatches(this.feature)){if(e&&b){if(this.lastFeature){this.triggerCallback(c,"out",[this.lastFeature])}this.triggerCallback(c,"in",[this.feature])}else{if(!e||d){this.triggerCallback(c,"in",[this.feature])}}this.lastFeature=this.feature;f=true}else{if(this.lastFeature&&(e&&b||d)){this.triggerCallback(c,"out",[this.lastFeature])}this.feature=null}}else{if(this.lastFeature&&(e||d)){this.triggerCallback(c,"out",[this.lastFeature])}}return f},triggerCallback:function(d,e,b){var c=this.EVENTMAP[d][e];if(c){if(d=="click"&&this.up&&this.down){var a=Math.sqrt(Math.pow(this.up.x-this.down.x,2)+Math.pow(this.up.y-this.down.y,2));if(a<=this.clickTolerance){this.callback(c,b)}}else{this.callback(c,b)}}},activate:function(){var a=false;if(OpenLayers.Handler.prototype.activate.apply(this,arguments)){this.moveLayerToTop();this.map.events.on({removelayer:this.handleMapEvents,changelayer:this.handleMapEvents,scope:this});a=true}return a},deactivate:function(){var a=false;if(OpenLayers.Handler.prototype.deactivate.apply(this,arguments)){this.moveLayerBack();this.feature=null;this.lastFeature=null;this.down=null;this.up=null;this.touch=false;this.map.events.un({removelayer:this.handleMapEvents,changelayer:this.handleMapEvents,scope:this});a=true}return a},handleMapEvents:function(a){if(a.type=="removelayer"||a.property=="order"){this.moveLayerToTop()}},moveLayerToTop:function(){var a=Math.max(this.map.Z_INDEX_BASE.Feature-1,this.layer.getZIndex())+1;this.layer.setZIndex(a)},moveLayerBack:function(){var a=this.layer.getZIndex()-1;if(a>=this.map.Z_INDEX_BASE.Feature){this.layer.setZIndex(a)}else{this.map.setLayerZIndex(this.layer,this.map.getLayerIndex(this.layer))}},CLASS_NAME:"OpenLayers.Handler.Feature"});OpenLayers.Control.DragFeature=OpenLayers.Class(OpenLayers.Control,{geometryTypes:null,onStart:function(b,a){},onDrag:function(b,a){},onComplete:function(b,a){},onEnter:function(a){},onLeave:function(a){},documentDrag:false,layer:null,feature:null,dragCallbacks:{},featureCallbacks:{},lastPixel:null,initialize:function(b,a){OpenLayers.Control.prototype.initialize.apply(this,[a]);this.layer=b;this.handlers={drag:new OpenLayers.Handler.Drag(this,OpenLayers.Util.extend({down:this.downFeature,move:this.moveFeature,up:this.upFeature,out:this.cancel,done:this.doneDragging},this.dragCallbacks),{documentDrag:this.documentDrag}),feature:new OpenLayers.Handler.Feature(this,this.layer,OpenLayers.Util.extend({click:this.clickFeature,clickout:this.clickoutFeature,over:this.overFeature,out:this.outFeature},this.featureCallbacks),{geometryTypes:this.geometryTypes})}},clickFeature:function(a){if(this.handlers.feature.touch&&!this.over&&this.overFeature(a)){this.handlers.drag.dragstart(this.handlers.feature.evt);this.handlers.drag.stopDown=false}},clickoutFeature:function(a){if(this.handlers.feature.touch&&this.over){this.outFeature(a);this.handlers.drag.stopDown=true}},destroy:function(){this.layer=null;OpenLayers.Control.prototype.destroy.apply(this,[])},activate:function(){return(this.handlers.feature.activate()&&OpenLayers.Control.prototype.activate.apply(this,arguments))},deactivate:function(){this.handlers.drag.deactivate();this.handlers.feature.deactivate();this.feature=null;this.dragging=false;this.lastPixel=null;OpenLayers.Element.removeClass(this.map.viewPortDiv,this.displayClass+"Over");return OpenLayers.Control.prototype.deactivate.apply(this,arguments)},overFeature:function(b){var a=false;if(!this.handlers.drag.dragging){this.feature=b;this.handlers.drag.activate();a=true;this.over=true;OpenLayers.Element.addClass(this.map.viewPortDiv,this.displayClass+"Over");this.onEnter(b)}else{if(this.feature.id==b.id){this.over=true}else{this.over=false}}return a},downFeature:function(a){this.lastPixel=a;this.onStart(this.feature,a)},moveFeature:function(a){var b=this.map.getResolution();this.feature.geometry.move(b*(a.x-this.lastPixel.x),b*(this.lastPixel.y-a.y));this.layer.drawFeature(this.feature);this.lastPixel=a;this.onDrag(this.feature,a)},upFeature:function(a){if(!this.over){this.handlers.drag.deactivate()}},doneDragging:function(a){this.onComplete(this.feature,a)},outFeature:function(a){if(!this.handlers.drag.dragging){this.over=false;this.handlers.drag.deactivate();OpenLayers.Element.removeClass(this.map.viewPortDiv,this.displayClass+"Over");this.onLeave(a);this.feature=null}else{if(this.feature.id==a.id){this.over=false}}},cancel:function(){this.handlers.drag.deactivate();this.over=false},setMap:function(a){this.handlers.drag.setMap(a);this.handlers.feature.setMap(a);OpenLayers.Control.prototype.setMap.apply(this,arguments)},CLASS_NAME:"OpenLayers.Control.DragFeature"});OpenLayers.Feature=OpenLayers.Class({layer:null,id:null,lonlat:null,data:null,marker:null,popupClass:null,popup:null,initialize:function(a,c,b){this.layer=a;this.lonlat=c;this.data=(b!=null)?b:{};this.id=OpenLayers.Util.createUniqueID(this.CLASS_NAME+"_")},destroy:function(){if((this.layer!=null)&&(this.layer.map!=null)){if(this.popup!=null){this.layer.map.removePopup(this.popup)}}if(this.layer!=null&&this.marker!=null){this.layer.removeMarker(this.marker)}this.layer=null;this.id=null;this.lonlat=null;this.data=null;if(this.marker!=null){this.destroyMarker(this.marker);this.marker=null}if(this.popup!=null){this.destroyPopup(this.popup);this.popup=null}},onScreen:function(){var b=false;if((this.layer!=null)&&(this.layer.map!=null)){var a=this.layer.map.getExtent();b=a.containsLonLat(this.lonlat)}return b},createMarker:function(){if(this.lonlat!=null){this.marker=new OpenLayers.Marker(this.lonlat,this.data.icon)}return this.marker},destroyMarker:function(){this.marker.destroy()},createPopup:function(b){if(this.lonlat!=null){if(!this.popup){var a=(this.marker)?this.marker.icon:null;var c=this.popupClass?this.popupClass:OpenLayers.Popup.Anchored;this.popup=new c(this.id+"_popup",this.lonlat,this.data.popupSize,this.data.popupContentHTML,a,b)}if(this.data.overflow!=null){this.popup.contentDiv.style.overflow=this.data.overflow}this.popup.feature=this}return this.popup},destroyPopup:function(){if(this.popup){this.popup.feature=null;this.popup.destroy();this.popup=null}},CLASS_NAME:"OpenLayers.Feature"});OpenLayers.State={UNKNOWN:"Unknown",INSERT:"Insert",UPDATE:"Update",DELETE:"Delete"};OpenLayers.Feature.Vector=OpenLayers.Class(OpenLayers.Feature,{fid:null,geometry:null,attributes:null,bounds:null,state:null,style:null,url:null,renderIntent:"default",modified:null,initialize:function(c,a,b){OpenLayers.Feature.prototype.initialize.apply(this,[null,null,a]);this.lonlat=null;this.geometry=c?c:null;this.state=null;this.attributes={};if(a){this.attributes=OpenLayers.Util.extend(this.attributes,a)}this.style=b?b:null},destroy:function(){if(this.layer){this.layer.removeFeatures(this);this.layer=null}this.geometry=null;this.modified=null;OpenLayers.Feature.prototype.destroy.apply(this,arguments)},clone:function(){return new OpenLayers.Feature.Vector(this.geometry?this.geometry.clone():null,this.attributes,this.style)},onScreen:function(d){var c=false;if(this.layer&&this.layer.map){var a=this.layer.map.getExtent();if(d){var b=this.geometry.getBounds();c=a.intersectsBounds(b)}else{var e=a.toGeometry();c=e.intersects(this.geometry)}}return c},getVisibility:function(){return !(this.style&&this.style.display=="none"||!this.layer||this.layer&&this.layer.styleMap&&this.layer.styleMap.createSymbolizer(this,this.renderIntent).display=="none"||this.layer&&!this.layer.getVisibility())},createMarker:function(){return null},destroyMarker:function(){},createPopup:function(){return null},atPoint:function(b,d,c){var a=false;if(this.geometry){a=this.geometry.atPoint(b,d,c)}return a},destroyPopup:function(){},move:function(a){if(!this.layer||!this.geometry.move){return undefined}var b;if(a.CLASS_NAME=="OpenLayers.LonLat"){b=this.layer.getViewPortPxFromLonLat(a)}else{b=a}var d=this.layer.getViewPortPxFromLonLat(this.geometry.getBounds().getCenterLonLat());var c=this.layer.map.getResolution();this.geometry.move(c*(b.x-d.x),c*(d.y-b.y));this.layer.drawFeature(this);return d},toState:function(a){if(a==OpenLayers.State.UPDATE){switch(this.state){case OpenLayers.State.UNKNOWN:case OpenLayers.State.DELETE:this.state=a;break;case OpenLayers.State.UPDATE:case OpenLayers.State.INSERT:break}}else{if(a==OpenLayers.State.INSERT){switch(this.state){case OpenLayers.State.UNKNOWN:break;default:this.state=a;break}}else{if(a==OpenLayers.State.DELETE){switch(this.state){case OpenLayers.State.INSERT:break;case OpenLayers.State.DELETE:break;case OpenLayers.State.UNKNOWN:case OpenLayers.State.UPDATE:this.state=a;break}}else{if(a==OpenLayers.State.UNKNOWN){this.state=a}}}}},CLASS_NAME:"OpenLayers.Feature.Vector"});OpenLayers.Feature.Vector.style={"default":{fillColor:"#ee9900",fillOpacity:0.4,hoverFillColor:"white",hoverFillOpacity:0.8,strokeColor:"#ee9900",strokeOpacity:1,strokeWidth:1,strokeLinecap:"round",strokeDashstyle:"solid",hoverStrokeColor:"red",hoverStrokeOpacity:1,hoverStrokeWidth:0.2,pointRadius:6,hoverPointRadius:1,hoverPointUnit:"%",pointerEvents:"visiblePainted",cursor:"inherit",fontColor:"#000000",labelAlign:"cm",labelOutlineColor:"white",labelOutlineWidth:3},select:{fillColor:"blue",fillOpacity:0.4,hoverFillColor:"white",hoverFillOpacity:0.8,strokeColor:"blue",strokeOpacity:1,strokeWidth:2,strokeLinecap:"round",strokeDashstyle:"solid",hoverStrokeColor:"red",hoverStrokeOpacity:1,hoverStrokeWidth:0.2,pointRadius:6,hoverPointRadius:1,hoverPointUnit:"%",pointerEvents:"visiblePainted",cursor:"pointer",fontColor:"#000000",labelAlign:"cm",labelOutlineColor:"white",labelOutlineWidth:3},temporary:{fillColor:"#66cccc",fillOpacity:0.2,hoverFillColor:"white",hoverFillOpacity:0.8,strokeColor:"#66cccc",strokeOpacity:1,strokeLinecap:"round",strokeWidth:2,strokeDashstyle:"solid",hoverStrokeColor:"red",hoverStrokeOpacity:1,hoverStrokeWidth:0.2,pointRadius:6,hoverPointRadius:1,hoverPointUnit:"%",pointerEvents:"visiblePainted",cursor:"inherit",fontColor:"#000000",labelAlign:"cm",labelOutlineColor:"white",labelOutlineWidth:3},"delete":{display:"none"}};OpenLayers.Animation=(function(f){var c=!!(f.requestAnimationFrame||f.webkitRequestAnimationFrame||f.mozRequestAnimationFrame||f.oRequestAnimationFrame||f.msRequestAnimationFrame);var e=(function(){var h=f.requestAnimationFrame||f.webkitRequestAnimationFrame||f.mozRequestAnimationFrame||f.oRequestAnimationFrame||f.msRequestAnimationFrame||function(j,i){f.setTimeout(j,16)};return function(j,i){h.apply(f,[j,i])}})();var b=0;var a={};function g(l,i,h){i=i>0?i:Number.POSITIVE_INFINITY;var k=++b;var j=+new Date;a[k]=function(){if(a[k]&&+new Date-j<=i){l();if(a[k]){e(a[k],h)}}else{delete a[k]}};e(a[k],h);return k}function d(h){delete a[h]}return{isNative:c,requestFrame:e,start:g,stop:d}})(window);OpenLayers.Tween=OpenLayers.Class({easing:null,begin:null,finish:null,duration:null,callbacks:null,time:null,animationId:null,playing:false,initialize:function(a){this.easing=(a)?a:OpenLayers.Easing.Expo.easeOut},start:function(c,b,d,a){this.playing=true;this.begin=c;this.finish=b;this.duration=d;this.callbacks=a.callbacks;this.time=0;OpenLayers.Animation.stop(this.animationId);this.animationId=null;if(this.callbacks&&this.callbacks.start){this.callbacks.start.call(this,this.begin)}this.animationId=OpenLayers.Animation.start(OpenLayers.Function.bind(this.play,this))},stop:function(){if(!this.playing){return}if(this.callbacks&&this.callbacks.done){this.callbacks.done.call(this,this.finish)}OpenLayers.Animation.stop(this.animationId);this.animationId=null;this.playing=false},play:function(){var g={};for(var d in this.begin){var a=this.begin[d];var e=this.finish[d];if(a==null||e==null||isNaN(a)||isNaN(e)){throw new TypeError("invalid value for Tween")}var h=e-a;g[d]=this.easing.apply(this,[this.time,a,h,this.duration])}this.time++;if(this.callbacks&&this.callbacks.eachStep){this.callbacks.eachStep.call(this,g)}if(this.time>this.duration){this.stop()}},CLASS_NAME:"OpenLayers.Tween"});OpenLayers.Easing={CLASS_NAME:"OpenLayers.Easing"};OpenLayers.Easing.Linear={easeIn:function(e,a,g,f){return g*e/f+a},easeOut:function(e,a,g,f){return g*e/f+a},easeInOut:function(e,a,g,f){return g*e/f+a},CLASS_NAME:"OpenLayers.Easing.Linear"};OpenLayers.Easing.Expo={easeIn:function(e,a,g,f){return(e==0)?a:g*Math.pow(2,10*(e/f-1))+a},easeOut:function(e,a,g,f){return(e==f)?a+g:g*(-Math.pow(2,-10*e/f)+1)+a},easeInOut:function(e,a,g,f){if(e==0){return a}if(e==f){return a+g}if((e/=f/2)<1){return g/2*Math.pow(2,10*(e-1))+a}return g/2*(-Math.pow(2,-10*--e)+2)+a},CLASS_NAME:"OpenLayers.Easing.Expo"};OpenLayers.Easing.Quad={easeIn:function(e,a,g,f){return g*(e/=f)*e+a},easeOut:function(e,a,g,f){return -g*(e/=f)*(e-2)+a},easeInOut:function(e,a,g,f){if((e/=f/2)<1){return g/2*e*e+a}return -g/2*((--e)*(e-2)-1)+a},CLASS_NAME:"OpenLayers.Easing.Quad"};OpenLayers.Projection=OpenLayers.Class({proj:null,projCode:null,titleRegEx:/\+title=[^\+]*/,initialize:function(b,a){OpenLayers.Util.extend(this,a);this.projCode=b;if(window.Proj4js){this.proj=new Proj4js.Proj(b)}},getCode:function(){return this.proj?this.proj.srsCode:this.projCode},getUnits:function(){return this.proj?this.proj.units:null},toString:function(){return this.getCode()},equals:function(a){var e=a,b=false;if(e){if(!(e instanceof OpenLayers.Projection)){e=new OpenLayers.Projection(e)}if(window.Proj4js&&this.proj.defData&&e.proj.defData){b=this.proj.defData.replace(this.titleRegEx,"")==e.proj.defData.replace(this.titleRegEx,"")}else{if(e.getCode){var c=this.getCode(),d=e.getCode();b=c==d||!!OpenLayers.Projection.transforms[c]&&OpenLayers.Projection.transforms[c][d]===OpenLayers.Projection.nullTransform}}}return b},destroy:function(){delete this.proj;delete this.projCode},CLASS_NAME:"OpenLayers.Projection"});OpenLayers.Projection.transforms={};OpenLayers.Projection.defaults={"EPSG:4326":{units:"degrees",maxExtent:[-180,-90,180,90],yx:true},"CRS:84":{units:"degrees",maxExtent:[-180,-90,180,90]},"EPSG:900913":{units:"m",maxExtent:[-20037508.34,-20037508.34,20037508.34,20037508.34]}};OpenLayers.Projection.addTransform=function(d,c,b){if(b===OpenLayers.Projection.nullTransform){var a=OpenLayers.Projection.defaults[d];if(a&&!OpenLayers.Projection.defaults[c]){OpenLayers.Projection.defaults[c]=a}}if(!OpenLayers.Projection.transforms[d]){OpenLayers.Projection.transforms[d]={}}OpenLayers.Projection.transforms[d][c]=b};OpenLayers.Projection.transform=function(a,e,b){if(e&&b){if(!(e instanceof OpenLayers.Projection)){e=new OpenLayers.Projection(e)}if(!(b instanceof OpenLayers.Projection)){b=new OpenLayers.Projection(b)}if(e.proj&&b.proj){a=Proj4js.transform(e.proj,b.proj,a)}else{var d=e.getCode();var f=b.getCode();var c=OpenLayers.Projection.transforms;if(c[d]&&c[d][f]){c[d][f](a)}}}return a};OpenLayers.Projection.nullTransform=function(a){return a};(function(){var e=20037508.34;function g(h){h.x=180*h.x/e;h.y=180/Math.PI*(2*Math.atan(Math.exp((h.y/e)*Math.PI))-Math.PI/2);return h}function b(h){h.x=h.x*e/180;h.y=Math.log(Math.tan((90+h.y)*Math.PI/360))/Math.PI*e;return h}function f(k,h){var s=OpenLayers.Projection.addTransform;var r=OpenLayers.Projection.nullTransform;var o,p,l,q,n;for(o=0,p=h.length;o<p;++o){l=h[o];s(k,l,b);s(l,k,g);for(n=o+1;n<p;++n){q=h[n];s(l,q,r);s(q,l,r)}}}var a=["EPSG:900913","EPSG:3857","EPSG:102113","EPSG:102100"],d=["CRS:84","urn:ogc:def:crs:EPSG:6.6:4326","EPSG:4326"],c;for(c=a.length-1;c>=0;--c){f(a[c],d)}for(c=d.length-1;c>=0;--c){f(d[c],a)}})();OpenLayers.Map=OpenLayers.Class({Z_INDEX_BASE:{BaseLayer:100,Overlay:325,Feature:725,Popup:750,Control:1000},id:null,fractionalZoom:false,events:null,allOverlays:false,div:null,dragging:false,size:null,viewPortDiv:null,layerContainerOrigin:null,layerContainerDiv:null,layers:null,controls:null,popups:null,baseLayer:null,center:null,resolution:null,zoom:0,panRatio:1.5,options:null,tileSize:null,projection:"EPSG:4326",units:null,resolutions:null,maxResolution:null,minResolution:null,maxScale:null,minScale:null,maxExtent:null,minExtent:null,restrictedExtent:null,numZoomLevels:16,theme:null,displayProjection:null,fallThrough:true,panTween:null,eventListeners:null,panMethod:OpenLayers.Easing.Expo.easeOut,panDuration:50,paddingForPopups:null,minPx:null,maxPx:null,initialize:function(b,j){if(arguments.length===1&&typeof b==="object"){j=b;b=j&&j.div}this.tileSize=new OpenLayers.Size(OpenLayers.Map.TILE_WIDTH,OpenLayers.Map.TILE_HEIGHT);this.paddingForPopups=new OpenLayers.Bounds(15,15,15,15);this.theme=OpenLayers._getScriptLocation()+"theme/default/style.css";this.options=OpenLayers.Util.extend({},j);OpenLayers.Util.extend(this,j);var a=this.projection instanceof OpenLayers.Projection?this.projection.projCode:this.projection;OpenLayers.Util.applyDefaults(this,OpenLayers.Projection.defaults[a]);if(this.maxExtent&&!(this.maxExtent instanceof OpenLayers.Bounds)){this.maxExtent=new OpenLayers.Bounds(this.maxExtent)}if(this.minExtent&&!(this.minExtent instanceof OpenLayers.Bounds)){this.minExtent=new OpenLayers.Bounds(this.minExtent)}if(this.restrictedExtent&&!(this.restrictedExtent instanceof OpenLayers.Bounds)){this.restrictedExtent=new OpenLayers.Bounds(this.restrictedExtent)}if(this.center&&!(this.center instanceof OpenLayers.LonLat)){this.center=new OpenLayers.LonLat(this.center)}this.layers=[];this.id=OpenLayers.Util.createUniqueID("OpenLayers.Map_");this.div=OpenLayers.Util.getElement(b);if(!this.div){this.div=document.createElement("div");this.div.style.height="1px";this.div.style.width="1px"}OpenLayers.Element.addClass(this.div,"olMap");var d=this.id+"_OpenLayers_ViewPort";this.viewPortDiv=OpenLayers.Util.createDiv(d,null,null,null,"relative",null,"hidden");this.viewPortDiv.style.width="100%";this.viewPortDiv.style.height="100%";this.viewPortDiv.className="olMapViewport";this.div.appendChild(this.viewPortDiv);this.events=new OpenLayers.Events(this,this.viewPortDiv,null,this.fallThrough,{includeXY:true});d=this.id+"_OpenLayers_Container";this.layerContainerDiv=OpenLayers.Util.createDiv(d);this.layerContainerDiv.style.width="100px";this.layerContainerDiv.style.height="100px";this.layerContainerDiv.style.zIndex=this.Z_INDEX_BASE.Popup-1;this.viewPortDiv.appendChild(this.layerContainerDiv);this.updateSize();if(this.eventListeners instanceof Object){this.events.on(this.eventListeners)}if(parseFloat(navigator.appVersion.split("MSIE")[1])<9){this.events.register("resize",this,this.updateSize)}else{this.updateSizeDestroy=OpenLayers.Function.bind(this.updateSize,this);OpenLayers.Event.observe(window,"resize",this.updateSizeDestroy)}if(this.theme){var e=true;var c=document.getElementsByTagName("link");for(var f=0,g=c.length;f<g;++f){if(OpenLayers.Util.isEquivalentUrl(c.item(f).href,this.theme)){e=false;break}}if(e){var h=document.createElement("link");h.setAttribute("rel","stylesheet");h.setAttribute("type","text/css");h.setAttribute("href",this.theme);document.getElementsByTagName("head")[0].appendChild(h)}}if(this.controls==null){this.controls=[];if(OpenLayers.Control!=null){if(OpenLayers.Control.Navigation){this.controls.push(new OpenLayers.Control.Navigation())}else{if(OpenLayers.Control.TouchNavigation){this.controls.push(new OpenLayers.Control.TouchNavigation())}}if(OpenLayers.Control.Zoom){this.controls.push(new OpenLayers.Control.Zoom())}else{if(OpenLayers.Control.PanZoom){this.controls.push(new OpenLayers.Control.PanZoom())}}if(OpenLayers.Control.ArgParser){this.controls.push(new OpenLayers.Control.ArgParser())}if(OpenLayers.Control.Attribution){this.controls.push(new OpenLayers.Control.Attribution())}}}for(var f=0,g=this.controls.length;f<g;f++){this.addControlToMap(this.controls[f])}this.popups=[];this.unloadDestroy=OpenLayers.Function.bind(this.destroy,this);OpenLayers.Event.observe(window,"unload",this.unloadDestroy);if(j&&j.layers){delete this.center;this.addLayers(j.layers);if(j.center&&!this.getCenter()){this.setCenter(j.center,j.zoom)}}},getViewport:function(){return this.viewPortDiv},render:function(a){this.div=OpenLayers.Util.getElement(a);OpenLayers.Element.addClass(this.div,"olMap");this.viewPortDiv.parentNode.removeChild(this.viewPortDiv);this.div.appendChild(this.viewPortDiv);this.updateSize()},unloadDestroy:null,updateSizeDestroy:null,destroy:function(){if(!this.unloadDestroy){return false}if(this.panTween){this.panTween.stop();this.panTween=null}OpenLayers.Event.stopObserving(window,"unload",this.unloadDestroy);this.unloadDestroy=null;if(this.updateSizeDestroy){OpenLayers.Event.stopObserving(window,"resize",this.updateSizeDestroy)}else{this.events.unregister("resize",this,this.updateSize)}this.paddingForPopups=null;if(this.controls!=null){for(var a=this.controls.length-1;a>=0;--a){this.controls[a].destroy()}this.controls=null}if(this.layers!=null){for(var a=this.layers.length-1;a>=0;--a){this.layers[a].destroy(false)}this.layers=null}if(this.viewPortDiv){this.div.removeChild(this.viewPortDiv)}this.viewPortDiv=null;if(this.eventListeners){this.events.un(this.eventListeners);this.eventListeners=null}this.events.destroy();this.events=null;this.options=null},setOptions:function(a){var b=this.minPx&&a.restrictedExtent!=this.restrictedExtent;OpenLayers.Util.extend(this,a);b&&this.moveTo(this.getCachedCenter(),this.zoom,{forceZoomChange:true})},getTileSize:function(){return this.tileSize},getBy:function(e,c,a){var d=(typeof a.test=="function");var b=OpenLayers.Array.filter(this[e],function(f){return f[c]==a||(d&&a.test(f[c]))});return b},getLayersBy:function(b,a){return this.getBy("layers",b,a)},getLayersByName:function(a){return this.getLayersBy("name",a)},getLayersByClass:function(a){return this.getLayersBy("CLASS_NAME",a)},getControlsBy:function(b,a){return this.getBy("controls",b,a)},getControlsByClass:function(a){return this.getControlsBy("CLASS_NAME",a)},getLayer:function(e){var b=null;for(var d=0,a=this.layers.length;d<a;d++){var c=this.layers[d];if(c.id==e){b=c;break}}return b},setLayerZIndex:function(b,a){b.setZIndex(this.Z_INDEX_BASE[b.isBaseLayer?"BaseLayer":"Overlay"]+a*5)},resetLayersZIndex:function(){for(var c=0,a=this.layers.length;c<a;c++){var b=this.layers[c];this.setLayerZIndex(b,c)}},addLayer:function(c){for(var b=0,a=this.layers.length;b<a;b++){if(this.layers[b]==c){return false}}if(this.events.triggerEvent("preaddlayer",{layer:c})===false){return false}if(this.allOverlays){c.isBaseLayer=false}c.div.className="olLayerDiv";c.div.style.overflow="";this.setLayerZIndex(c,this.layers.length);if(c.isFixed){this.viewPortDiv.appendChild(c.div)}else{this.layerContainerDiv.appendChild(c.div)}this.layers.push(c);c.setMap(this);if(c.isBaseLayer||(this.allOverlays&&!this.baseLayer)){if(this.baseLayer==null){this.setBaseLayer(c)}else{c.setVisibility(false)}}else{c.redraw()}this.events.triggerEvent("addlayer",{layer:c});c.events.triggerEvent("added",{map:this,layer:c});c.afterAdd();return true},addLayers:function(c){for(var b=0,a=c.length;b<a;b++){this.addLayer(c[b])}},removeLayer:function(c,e){if(this.events.triggerEvent("preremovelayer",{layer:c})===false){return}if(e==null){e=true}if(c.isFixed){this.viewPortDiv.removeChild(c.div)}else{this.layerContainerDiv.removeChild(c.div)}OpenLayers.Util.removeItem(this.layers,c);c.removeMap(this);c.map=null;if(this.baseLayer==c){this.baseLayer=null;if(e){for(var b=0,a=this.layers.length;b<a;b++){var d=this.layers[b];if(d.isBaseLayer||this.allOverlays){this.setBaseLayer(d);break}}}}this.resetLayersZIndex();this.events.triggerEvent("removelayer",{layer:c});c.events.triggerEvent("removed",{map:this,layer:c})},getNumLayers:function(){return this.layers.length},getLayerIndex:function(a){return OpenLayers.Util.indexOf(this.layers,a)},setLayerIndex:function(d,b){var e=this.getLayerIndex(d);if(b<0){b=0}else{if(b>this.layers.length){b=this.layers.length}}if(e!=b){this.layers.splice(e,1);this.layers.splice(b,0,d);for(var c=0,a=this.layers.length;c<a;c++){this.setLayerZIndex(this.layers[c],c)}this.events.triggerEvent("changelayer",{layer:d,property:"order"});if(this.allOverlays){if(b===0){this.setBaseLayer(d)}else{if(this.baseLayer!==this.layers[0]){this.setBaseLayer(this.layers[0])}}}}},raiseLayer:function(b,c){var a=this.getLayerIndex(b)+c;this.setLayerIndex(b,a)},setBaseLayer:function(c){if(c!=this.baseLayer){if(OpenLayers.Util.indexOf(this.layers,c)!=-1){var a=this.getCachedCenter();var d=OpenLayers.Util.getResolutionFromScale(this.getScale(),c.units);if(this.baseLayer!=null&&!this.allOverlays){this.baseLayer.setVisibility(false)}this.baseLayer=c;if(!this.allOverlays||this.baseLayer.visibility){this.baseLayer.setVisibility(true);if(this.baseLayer.inRange===false){this.baseLayer.redraw()}}if(a!=null){var b=this.getZoomForResolution(d||this.resolution,true);this.setCenter(a,b,false,true)}this.events.triggerEvent("changebaselayer",{layer:this.baseLayer})}}},addControl:function(b,a){this.controls.push(b);this.addControlToMap(b,a)},addControls:function(b,g){var e=(arguments.length===1)?[]:g;for(var d=0,a=b.length;d<a;d++){var f=b[d];var c=(e[d])?e[d]:null;this.addControl(f,c)}},addControlToMap:function(b,a){b.outsideViewport=(b.div!=null);if(this.displayProjection&&!b.displayProjection){b.displayProjection=this.displayProjection}b.setMap(this);var c=b.draw(a);if(c){if(!b.outsideViewport){c.style.zIndex=this.Z_INDEX_BASE.Control+this.controls.length;this.viewPortDiv.appendChild(c)}}if(b.autoActivate){b.activate()}},getControl:function(e){var b=null;for(var c=0,a=this.controls.length;c<a;c++){var d=this.controls[c];if(d.id==e){b=d;break}}return b},removeControl:function(a){if((a)&&(a==this.getControl(a.id))){if(a.div&&(a.div.parentNode==this.viewPortDiv)){this.viewPortDiv.removeChild(a.div)}OpenLayers.Util.removeItem(this.controls,a)}},addPopup:function(a,d){if(d){for(var b=this.popups.length-1;b>=0;--b){this.removePopup(this.popups[b])}}a.map=this;this.popups.push(a);var c=a.draw();if(c){c.style.zIndex=this.Z_INDEX_BASE.Popup+this.popups.length;this.layerContainerDiv.appendChild(c)}},removePopup:function(a){OpenLayers.Util.removeItem(this.popups,a);if(a.div){try{this.layerContainerDiv.removeChild(a.div)}catch(b){}}a.map=null},getSize:function(){var a=null;if(this.size!=null){a=this.size.clone()}return a},updateSize:function(){var c=this.getCurrentSize();if(c&&!isNaN(c.h)&&!isNaN(c.w)){this.events.clearMouseCache();var f=this.getSize();if(f==null){this.size=f=c}if(!c.equals(f)){this.size=c;for(var d=0,b=this.layers.length;d<b;d++){this.layers[d].onMapResize()}var a=this.getCachedCenter();if(this.baseLayer!=null&&a!=null){var e=this.getZoom();this.zoom=null;this.setCenter(a,e)}}}},getCurrentSize:function(){var a=new OpenLayers.Size(this.div.clientWidth,this.div.clientHeight);if(a.w==0&&a.h==0||isNaN(a.w)&&isNaN(a.h)){a.w=this.div.offsetWidth;a.h=this.div.offsetHeight}if(a.w==0&&a.h==0||isNaN(a.w)&&isNaN(a.h)){a.w=parseInt(this.div.style.width);a.h=parseInt(this.div.style.height)}return a},calculateBounds:function(a,b){var c=null;if(a==null){a=this.getCachedCenter()}if(b==null){b=this.getResolution()}if((a!=null)&&(b!=null)){var d=(this.size.w*b)/2;var e=(this.size.h*b)/2;c=new OpenLayers.Bounds(a.lon-d,a.lat-e,a.lon+d,a.lat+e)}return c},getCenter:function(){var a=null;var b=this.getCachedCenter();if(b){a=b.clone()}return a},getCachedCenter:function(){if(!this.center&&this.size){this.center=this.getLonLatFromViewPortPx({x:this.size.w/2,y:this.size.h/2})}return this.center},getZoom:function(){return this.zoom},pan:function(d,c,e){e=OpenLayers.Util.applyDefaults(e,{animate:true,dragging:false});if(e.dragging){if(d!=0||c!=0){this.moveByPx(d,c)}}else{var f=this.getViewPortPxFromLonLat(this.getCachedCenter());var b=f.add(d,c);if(this.dragging||!b.equals(f)){var a=this.getLonLatFromViewPortPx(b);if(e.animate){this.panTo(a)}else{this.moveTo(a);if(this.dragging){this.dragging=false;this.events.triggerEvent("moveend")}}}}},panTo:function(d){if(this.panMethod&&this.getExtent().scale(this.panRatio).containsLonLat(d)){if(!this.panTween){this.panTween=new OpenLayers.Tween(this.panMethod)}var a=this.getCachedCenter();if(d.equals(a)){return}var f=this.getPixelFromLonLat(a);var e=this.getPixelFromLonLat(d);var b={x:e.x-f.x,y:e.y-f.y};var c={x:0,y:0};this.panTween.start({x:0,y:0},b,this.panDuration,{callbacks:{eachStep:OpenLayers.Function.bind(function(h){var g=h.x-c.x,i=h.y-c.y;this.moveByPx(g,i);c.x=Math.round(h.x);c.y=Math.round(h.y)},this),done:OpenLayers.Function.bind(function(g){this.moveTo(d);this.dragging=false;this.events.triggerEvent("moveend")},this)}})}else{this.setCenter(d)}},setCenter:function(c,a,b,d){this.panTween&&this.panTween.stop();this.moveTo(c,a,{dragging:b,forceZoomChange:d})},moveByPx:function(n,l){var f=this.size.w/2;var a=this.size.h/2;var j=f+n;var h=a+l;var b=this.baseLayer.wrapDateLine;var k=0;var g=0;if(this.restrictedExtent){k=f;g=a;b=false}n=b||j<=this.maxPx.x-k&&j>=this.minPx.x+k?Math.round(n):0;l=h<=this.maxPx.y-g&&h>=this.minPx.y+g?Math.round(l):0;if(n||l){if(!this.dragging){this.dragging=true;this.events.triggerEvent("movestart")}this.center=null;if(n){this.layerContainerDiv.style.left=parseInt(this.layerContainerDiv.style.left)-n+"px";this.minPx.x-=n;this.maxPx.x-=n}if(l){this.layerContainerDiv.style.top=parseInt(this.layerContainerDiv.style.top)-l+"px";this.minPx.y-=l;this.maxPx.y-=l}var d,c,e;for(c=0,e=this.layers.length;c<e;++c){d=this.layers[c];if(d.visibility&&(d===this.baseLayer||d.inRange)){d.moveByPx(n,l);d.events.triggerEvent("move")}}this.events.triggerEvent("move")}},adjustZoom:function(f){var c,a=this.baseLayer.resolutions,b=this.getMaxExtent().getWidth()/this.size.w;if(this.getResolutionForZoom(f)>b){for(var d=f|0,e=a.length;d<e;++d){if(a[d]<=b){f=d;break}}}return f},moveTo:function(h,b,e){if(h!=null&&!(h instanceof OpenLayers.LonLat)){h=new OpenLayers.LonLat(h)}if(!e){e={}}if(b!=null){b=parseFloat(b);if(!this.fractionalZoom){b=Math.round(b)}}if(this.baseLayer.wrapDateLine){var n=b;b=this.adjustZoom(b);if(b!==n){h=this.getCenter()}}var q=e.dragging||this.dragging;var k=e.forceZoomChange;if(!this.getCachedCenter()&&!this.isValidLonLat(h)){h=this.maxExtent.getCenterLonLat();this.center=h.clone()}if(this.restrictedExtent!=null){if(h==null){h=this.center}if(b==null){b=this.getZoom()}var r=this.getResolutionForZoom(b);var o=this.calculateBounds(h,r);if(!this.restrictedExtent.containsBounds(o)){var z=this.restrictedExtent.getCenterLonLat();if(o.getWidth()>this.restrictedExtent.getWidth()){h=new OpenLayers.LonLat(z.lon,h.lat)}else{if(o.left<this.restrictedExtent.left){h=h.add(this.restrictedExtent.left-o.left,0)}else{if(o.right>this.restrictedExtent.right){h=h.add(this.restrictedExtent.right-o.right,0)}}}if(o.getHeight()>this.restrictedExtent.getHeight()){h=new OpenLayers.LonLat(h.lon,z.lat)}else{if(o.bottom<this.restrictedExtent.bottom){h=h.add(0,this.restrictedExtent.bottom-o.bottom)}else{if(o.top>this.restrictedExtent.top){h=h.add(0,this.restrictedExtent.top-o.top)}}}}}var l=k||((this.isValidZoomLevel(b))&&(b!=this.getZoom()));var g=(this.isValidLonLat(h))&&(!h.equals(this.center));if(l||g||q){q||this.events.triggerEvent("movestart");if(g){if(!l&&this.center){this.centerLayerContainer(h)}this.center=h.clone()}var A=l?this.getResolutionForZoom(b):this.getResolution();if(l||this.layerContainerOrigin==null){this.layerContainerOrigin=this.getCachedCenter();this.layerContainerDiv.style.left="0px";this.layerContainerDiv.style.top="0px";var p=this.getMaxExtent({restricted:true});var d=p.getCenterLonLat();var j=this.center.lon-d.lon;var c=d.lat-this.center.lat;var x=Math.round(p.getWidth()/A);var w=Math.round(p.getHeight()/A);this.minPx={x:(this.size.w-x)/2-j/A,y:(this.size.h-w)/2-c/A};this.maxPx={x:this.minPx.x+Math.round(p.getWidth()/A),y:this.minPx.y+Math.round(p.getHeight()/A)}}if(l){this.zoom=b;this.resolution=A}var f=this.getExtent();if(this.baseLayer.visibility){this.baseLayer.moveTo(f,l,e.dragging);e.dragging||this.baseLayer.events.triggerEvent("moveend",{zoomChanged:l})}f=this.baseLayer.getExtent();for(var s=this.layers.length-1;s>=0;--s){var y=this.layers[s];if(y!==this.baseLayer&&!y.isBaseLayer){var a=y.calculateInRange();if(y.inRange!=a){y.inRange=a;if(!a){y.display(false)}this.events.triggerEvent("changelayer",{layer:y,property:"visibility"})}if(a&&y.visibility){y.moveTo(f,l,e.dragging);e.dragging||y.events.triggerEvent("moveend",{zoomChanged:l})}}}this.events.triggerEvent("move");q||this.events.triggerEvent("moveend");if(l){for(var s=0,u=this.popups.length;s<u;s++){this.popups[s].updatePosition()}this.events.triggerEvent("zoomend")}}},centerLayerContainer:function(c){var d=this.getViewPortPxFromLonLat(this.layerContainerOrigin);var g=this.getViewPortPxFromLonLat(c);if((d!=null)&&(g!=null)){var a=parseInt(this.layerContainerDiv.style.left);var b=parseInt(this.layerContainerDiv.style.top);var f=Math.round(d.x-g.x);var e=Math.round(d.y-g.y);this.layerContainerDiv.style.left=f+"px";this.layerContainerDiv.style.top=e+"px";var i=a-f;var h=b-e;this.minPx.x-=i;this.maxPx.x-=i;this.minPx.y-=h;this.maxPx.y-=h}},isValidZoomLevel:function(a){return((a!=null)&&(a>=0)&&(a<this.getNumZoomLevels()))},isValidLonLat:function(d){var c=false;if(d!=null){var a=this.getMaxExtent();var b=this.baseLayer.wrapDateLine&&a;c=a.containsLonLat(d,{worldBounds:b})}return c},getProjection:function(){var a=this.getProjectionObject();return a?a.getCode():null},getProjectionObject:function(){var a=null;if(this.baseLayer!=null){a=this.baseLayer.projection}return a},getMaxResolution:function(){var a=null;if(this.baseLayer!=null){a=this.baseLayer.maxResolution}return a},getMaxExtent:function(b){var a=null;if(b&&b.restricted&&this.restrictedExtent){a=this.restrictedExtent}else{if(this.baseLayer!=null){a=this.baseLayer.maxExtent}}return a},getNumZoomLevels:function(){var a=null;if(this.baseLayer!=null){a=this.baseLayer.numZoomLevels}return a},getExtent:function(){var a=null;if(this.baseLayer!=null){a=this.baseLayer.getExtent()}return a},getResolution:function(){var a=null;if(this.baseLayer!=null){a=this.baseLayer.getResolution()}else{if(this.allOverlays===true&&this.layers.length>0){a=this.layers[0].getResolution()}}return a},getUnits:function(){var a=null;if(this.baseLayer!=null){a=this.baseLayer.units}return a},getScale:function(){var c=null;if(this.baseLayer!=null){var b=this.getResolution();var a=this.baseLayer.units;c=OpenLayers.Util.getScaleFromResolution(b,a)}return c},getZoomForExtent:function(c,b){var a=null;if(this.baseLayer!=null){a=this.baseLayer.getZoomForExtent(c,b)}return a},getResolutionForZoom:function(b){var a=null;if(this.baseLayer){a=this.baseLayer.getResolutionForZoom(b)}return a},getZoomForResolution:function(a,c){var b=null;if(this.baseLayer!=null){b=this.baseLayer.getZoomForResolution(a,c)}return b},zoomTo:function(a){if(this.isValidZoomLevel(a)){this.setCenter(null,a)}},zoomIn:function(){this.zoomTo(this.getZoom()+1)},zoomOut:function(){this.zoomTo(this.getZoom()-1)},zoomToExtent:function(d,c){if(!(d instanceof OpenLayers.Bounds)){d=new OpenLayers.Bounds(d)}var b=d.getCenterLonLat();if(this.baseLayer.wrapDateLine){var a=this.getMaxExtent();d=d.clone();while(d.right<d.left){d.right+=a.getWidth()}b=d.getCenterLonLat().wrapDateLine(a)}this.setCenter(b,this.getZoomForExtent(d,c))},zoomToMaxExtent:function(c){var b=(c)?c.restricted:true;var a=this.getMaxExtent({restricted:b});this.zoomToExtent(a)},zoomToScale:function(g,d){var b=OpenLayers.Util.getResolutionFromScale(g,this.baseLayer.units);var e=(this.size.w*b)/2;var f=(this.size.h*b)/2;var a=this.getCachedCenter();var c=new OpenLayers.Bounds(a.lon-e,a.lat-f,a.lon+e,a.lat+f);this.zoomToExtent(c,d)},getLonLatFromViewPortPx:function(a){var b=null;if(this.baseLayer!=null){b=this.baseLayer.getLonLatFromViewPortPx(a)}return b},getViewPortPxFromLonLat:function(b){var a=null;if(this.baseLayer!=null){a=this.baseLayer.getViewPortPxFromLonLat(b)}return a},getLonLatFromPixel:function(a){return this.getLonLatFromViewPortPx(a)},getPixelFromLonLat:function(b){var a=this.getViewPortPxFromLonLat(b);a.x=Math.round(a.x);a.y=Math.round(a.y);return a},getGeodesicPixelSize:function(g){var d=g?this.getLonLatFromPixel(g):(this.getCachedCenter()||new OpenLayers.LonLat(0,0));var e=this.getResolution();var c=d.add(-e/2,0);var i=d.add(e/2,0);var b=d.add(0,-e/2);var f=d.add(0,e/2);var h=new OpenLayers.Projection("EPSG:4326");var a=this.getProjectionObject()||h;if(!a.equals(h)){c.transform(a,h);i.transform(a,h);b.transform(a,h);f.transform(a,h)}return new OpenLayers.Size(OpenLayers.Util.distVincenty(c,i),OpenLayers.Util.distVincenty(b,f))},getViewPortPxFromLayerPx:function(d){var c=null;if(d!=null){var b=parseInt(this.layerContainerDiv.style.left);var a=parseInt(this.layerContainerDiv.style.top);c=d.add(b,a)}return c},getLayerPxFromViewPortPx:function(c){var d=null;if(c!=null){var b=-parseInt(this.layerContainerDiv.style.left);var a=-parseInt(this.layerContainerDiv.style.top);d=c.add(b,a);if(isNaN(d.x)||isNaN(d.y)){d=null}}return d},getLonLatFromLayerPx:function(a){a=this.getViewPortPxFromLayerPx(a);return this.getLonLatFromViewPortPx(a)},getLayerPxFromLonLat:function(b){var a=this.getPixelFromLonLat(b);return this.getLayerPxFromViewPortPx(a)},CLASS_NAME:"OpenLayers.Map"});OpenLayers.Map.TILE_WIDTH=256;OpenLayers.Map.TILE_HEIGHT=256;OpenLayers.Layer=OpenLayers.Class({id:null,name:null,div:null,opacity:1,alwaysInRange:null,RESOLUTION_PROPERTIES:["scales","resolutions","maxScale","minScale","maxResolution","minResolution","numZoomLevels","maxZoomLevel"],events:null,map:null,isBaseLayer:false,alpha:false,displayInLayerSwitcher:true,visibility:true,attribution:null,inRange:false,imageSize:null,options:null,eventListeners:null,gutter:0,projection:null,units:null,scales:null,resolutions:null,maxExtent:null,minExtent:null,maxResolution:null,minResolution:null,numZoomLevels:null,minScale:null,maxScale:null,displayOutsideMaxExtent:false,wrapDateLine:false,metadata:null,initialize:function(b,a){this.metadata={};this.addOptions(a);this.name=b;if(this.id==null){this.id=OpenLayers.Util.createUniqueID(this.CLASS_NAME+"_");this.div=OpenLayers.Util.createDiv(this.id);this.div.style.width="100%";this.div.style.height="100%";this.div.dir="ltr";this.events=new OpenLayers.Events(this,this.div);if(this.eventListeners instanceof Object){this.events.on(this.eventListeners)}}},destroy:function(a){if(a==null){a=true}if(this.map!=null){this.map.removeLayer(this,a)}this.projection=null;this.map=null;this.name=null;this.div=null;this.options=null;if(this.events){if(this.eventListeners){this.events.un(this.eventListeners)}this.events.destroy()}this.eventListeners=null;this.events=null},clone:function(a){if(a==null){a=new OpenLayers.Layer(this.name,this.getOptions())}OpenLayers.Util.applyDefaults(a,this);a.map=null;return a},getOptions:function(){var a={};for(var b in this.options){a[b]=this[b]}return a},setName:function(a){if(a!=this.name){this.name=a;if(this.map!=null){this.map.events.triggerEvent("changelayer",{layer:this,property:"name"})}}},addOptions:function(e,a){if(this.options==null){this.options={}}if(e){if(typeof e.projection=="string"){e.projection=new OpenLayers.Projection(e.projection)}if(e.projection){OpenLayers.Util.applyDefaults(e,OpenLayers.Projection.defaults[e.projection.getCode()])}if(e.maxExtent&&!(e.maxExtent instanceof OpenLayers.Bounds)){e.maxExtent=new OpenLayers.Bounds(e.maxExtent)}if(e.minExtent&&!(e.minExtent instanceof OpenLayers.Bounds)){e.minExtent=new OpenLayers.Bounds(e.minExtent)}}OpenLayers.Util.extend(this.options,e);OpenLayers.Util.extend(this,e);if(this.projection&&this.projection.getUnits()){this.units=this.projection.getUnits()}if(this.map){var b=this.map.getResolution();var c=this.RESOLUTION_PROPERTIES.concat(["projection","units","minExtent","maxExtent"]);for(var d in e){if(e.hasOwnProperty(d)&&OpenLayers.Util.indexOf(c,d)>=0){this.initResolutions();if(a&&this.map.baseLayer===this){this.map.setCenter(this.map.getCenter(),this.map.getZoomForResolution(b),false,true);this.map.events.triggerEvent("changebaselayer",{layer:this})}break}}}},onMapResize:function(){},redraw:function(){var b=false;if(this.map){this.inRange=this.calculateInRange();var c=this.getExtent();if(c&&this.inRange&&this.visibility){var a=true;this.moveTo(c,a,false);this.events.triggerEvent("moveend",{zoomChanged:a});b=true}}return b},moveTo:function(b,a,c){var d=this.visibility;if(!this.isBaseLayer){d=d&&this.inRange}this.display(d)},moveByPx:function(b,a){},setMap:function(b){if(this.map==null){this.map=b;this.maxExtent=this.maxExtent||this.map.maxExtent;this.minExtent=this.minExtent||this.map.minExtent;this.projection=this.projection||this.map.projection;if(typeof this.projection=="string"){this.projection=new OpenLayers.Projection(this.projection)}this.units=this.projection.getUnits()||this.units||this.map.units;this.initResolutions();if(!this.isBaseLayer){this.inRange=this.calculateInRange();var a=((this.visibility)&&(this.inRange));this.div.style.display=a?"":"none"}this.setTileSize()}},afterAdd:function(){},removeMap:function(a){},getImageSize:function(a){return(this.imageSize||this.tileSize)},setTileSize:function(a){var b=(a)?a:((this.tileSize)?this.tileSize:this.map.getTileSize());this.tileSize=b;if(this.gutter){this.imageSize=new OpenLayers.Size(b.w+(2*this.gutter),b.h+(2*this.gutter))}},getVisibility:function(){return this.visibility},setVisibility:function(a){if(a!=this.visibility){this.visibility=a;this.display(a);this.redraw();if(this.map!=null){this.map.events.triggerEvent("changelayer",{layer:this,property:"visibility"})}this.events.triggerEvent("visibilitychanged")}},display:function(a){if(a!=(this.div.style.display!="none")){this.div.style.display=(a&&this.calculateInRange())?"block":"none"}},calculateInRange:function(){var b=false;if(this.alwaysInRange){b=true}else{if(this.map){var a=this.map.getResolution();b=((a>=this.minResolution)&&(a<=this.maxResolution))}}return b},setIsBaseLayer:function(a){if(a!=this.isBaseLayer){this.isBaseLayer=a;if(this.map!=null){this.map.events.triggerEvent("changebaselayer",{layer:this})}}},initResolutions:function(){var e,a,h;var f={},d=true;for(e=0,a=this.RESOLUTION_PROPERTIES.length;e<a;e++){h=this.RESOLUTION_PROPERTIES[e];f[h]=this.options[h];if(d&&this.options[h]){d=false}}if(this.alwaysInRange==null){this.alwaysInRange=d}if(f.resolutions==null){f.resolutions=this.resolutionsFromScales(f.scales)}if(f.resolutions==null){f.resolutions=this.calculateResolutions(f)}if(f.resolutions==null){for(e=0,a=this.RESOLUTION_PROPERTIES.length;e<a;e++){h=this.RESOLUTION_PROPERTIES[e];f[h]=this.options[h]!=null?this.options[h]:this.map[h]}if(f.resolutions==null){f.resolutions=this.resolutionsFromScales(f.scales)}if(f.resolutions==null){f.resolutions=this.calculateResolutions(f)}}var c;if(this.options.maxResolution&&this.options.maxResolution!=="auto"){c=this.options.maxResolution}if(this.options.minScale){c=OpenLayers.Util.getResolutionFromScale(this.options.minScale,this.units)}var b;if(this.options.minResolution&&this.options.minResolution!=="auto"){b=this.options.minResolution}if(this.options.maxScale){b=OpenLayers.Util.getResolutionFromScale(this.options.maxScale,this.units)}if(f.resolutions){f.resolutions.sort(function(j,i){return(i-j)});if(!c){c=f.resolutions[0]}if(!b){var g=f.resolutions.length-1;b=f.resolutions[g]}}this.resolutions=f.resolutions;if(this.resolutions){a=this.resolutions.length;this.scales=new Array(a);for(e=0;e<a;e++){this.scales[e]=OpenLayers.Util.getScaleFromResolution(this.resolutions[e],this.units)}this.numZoomLevels=a}this.minResolution=b;if(b){this.maxScale=OpenLayers.Util.getScaleFromResolution(b,this.units)}this.maxResolution=c;if(c){this.minScale=OpenLayers.Util.getScaleFromResolution(c,this.units)}},resolutionsFromScales:function(d){if(d==null){return}var b,c,a;a=d.length;b=new Array(a);for(c=0;c<a;c++){b[c]=OpenLayers.Util.getResolutionFromScale(d[c],this.units)}return b},calculateResolutions:function(k){var l,j,g;var n=k.maxResolution;if(k.minScale!=null){n=OpenLayers.Util.getResolutionFromScale(k.minScale,this.units)}else{if(n=="auto"&&this.maxExtent!=null){l=this.map.getSize();j=this.maxExtent.getWidth()/l.w;g=this.maxExtent.getHeight()/l.h;n=Math.max(j,g)}}var f=k.minResolution;if(k.maxScale!=null){f=OpenLayers.Util.getResolutionFromScale(k.maxScale,this.units)}else{if(k.minResolution=="auto"&&this.minExtent!=null){l=this.map.getSize();j=this.minExtent.getWidth()/l.w;g=this.minExtent.getHeight()/l.h;f=Math.max(j,g)}}if(typeof n!=="number"&&typeof f!=="number"&&this.maxExtent!=null){var o=this.map.getTileSize();n=Math.max(this.maxExtent.getWidth()/o.w,this.maxExtent.getHeight()/o.h)}var a=k.maxZoomLevel;var b=k.numZoomLevels;if(typeof f==="number"&&typeof n==="number"&&b===undefined){var h=n/f;b=Math.floor(Math.log(h)/Math.log(2))+1}else{if(b===undefined&&a!=null){b=a+1}}if(typeof b!=="number"||b<=0||(typeof n!=="number"&&typeof f!=="number")){return}var d=new Array(b);var c=2;if(typeof f=="number"&&typeof n=="number"){c=Math.pow((n/f),(1/(b-1)))}var e;if(typeof n==="number"){for(e=0;e<b;e++){d[e]=n/Math.pow(c,e)}}else{for(e=0;e<b;e++){d[b-1-e]=f*Math.pow(c,e)}}return d},getResolution:function(){var a=this.map.getZoom();return this.getResolutionForZoom(a)},getExtent:function(){return this.map.calculateBounds()},getZoomForExtent:function(b,c){var d=this.map.getSize();var a=Math.max(b.getWidth()/d.w,b.getHeight()/d.h);return this.getZoomForResolution(a,c)},getDataExtent:function(){},getResolutionForZoom:function(c){c=Math.max(0,Math.min(c,this.resolutions.length-1));var b;if(this.map.fractionalZoom){var a=Math.floor(c);var d=Math.ceil(c);b=this.resolutions[a]-((c-a)*(this.resolutions[a]-this.resolutions[d]))}else{b=this.resolutions[Math.round(c)]}return b},getZoomForResolution:function(e,b){var o,f,g;if(this.map.fractionalZoom){var k=0;var c=this.resolutions.length-1;var d=this.resolutions[k];var a=this.resolutions[c];var j;for(f=0,g=this.resolutions.length;f<g;++f){j=this.resolutions[f];if(j>=e){d=j;k=f}if(j<=e){a=j;c=f;break}}var h=d-a;if(h>0){o=k+((d-e)/h)}else{o=k}}else{var l;var n=Number.POSITIVE_INFINITY;for(f=0,g=this.resolutions.length;f<g;f++){if(b){l=Math.abs(this.resolutions[f]-e);if(l>n){break}n=l}else{if(this.resolutions[f]<e){break}}}o=Math.max(0,f-1)}return o},getLonLatFromViewPortPx:function(b){var d=null;var f=this.map;if(b!=null&&f.minPx){var c=f.getResolution();var a=f.getMaxExtent({restricted:true});var g=(b.x-f.minPx.x)*c+a.left;var e=(f.minPx.y-b.y)*c+a.top;d=new OpenLayers.LonLat(g,e);if(this.wrapDateLine){d=d.wrapDateLine(this.maxExtent)}}return d},getViewPortPxFromLonLat:function(d,a){var b=null;if(d!=null){a=a||this.map.getResolution();var c=this.map.calculateBounds(null,a);b=new OpenLayers.Pixel((1/a*(d.lon-c.left)),(1/a*(c.top-d.lat)))}return b},setOpacity:function(b){if(b!=this.opacity){this.opacity=b;var f=this.div.childNodes;for(var d=0,a=f.length;d<a;++d){var c=f[d].firstChild||f[d];var e=f[d].lastChild;if(e&&e.nodeName.toLowerCase()==="iframe"){c=e.parentNode}OpenLayers.Util.modifyDOMElement(c,null,null,null,null,null,null,b)}if(this.map!=null){this.map.events.triggerEvent("changelayer",{layer:this,property:"opacity"})}}},getZIndex:function(){return this.div.style.zIndex},setZIndex:function(a){this.div.style.zIndex=a},adjustBounds:function(b){if(this.gutter){var a=this.gutter*this.map.getResolution();b=new OpenLayers.Bounds(b.left-a,b.bottom-a,b.right+a,b.top+a)}if(this.wrapDateLine){var c={rightTolerance:this.getResolution(),leftTolerance:this.getResolution()};b=b.wrapDateLine(this.maxExtent,c)}return b},CLASS_NAME:"OpenLayers.Layer"});OpenLayers.Style=OpenLayers.Class({id:null,name:null,title:null,description:null,layerName:null,isDefault:false,rules:null,context:null,defaultStyle:null,defaultsPerSymbolizer:false,propertyStyles:null,initialize:function(b,a){OpenLayers.Util.extend(this,a);this.rules=[];if(a&&a.rules){this.addRules(a.rules)}this.setDefaultStyle(b||OpenLayers.Feature.Vector.style["default"]);this.id=OpenLayers.Util.createUniqueID(this.CLASS_NAME+"_")},destroy:function(){for(var b=0,a=this.rules.length;b<a;b++){this.rules[b].destroy();this.rules[b]=null}this.rules=null;this.defaultStyle=null},createSymbolizer:function(k){var a=this.defaultsPerSymbolizer?{}:this.createLiterals(OpenLayers.Util.extend({},this.defaultStyle),k);var j=this.rules;var h,b;var c=[];var f=false;for(var d=0,e=j.length;d<e;d++){h=j[d];var g=h.evaluate(k);if(g){if(h instanceof OpenLayers.Rule&&h.elseFilter){c.push(h)}else{f=true;this.applySymbolizer(h,a,k)}}}if(f==false&&c.length>0){f=true;for(var d=0,e=c.length;d<e;d++){this.applySymbolizer(c[d],a,k)}}if(j.length>0&&f==false){a.display="none"}if(a.label!=null&&typeof a.label!=="string"){a.label=String(a.label)}return a},applySymbolizer:function(f,d,b){var a=b.geometry?this.getSymbolizerPrefix(b.geometry):OpenLayers.Style.SYMBOLIZER_PREFIXES[0];var c=f.symbolizer[a]||f.symbolizer;if(this.defaultsPerSymbolizer===true){var e=this.defaultStyle;OpenLayers.Util.applyDefaults(c,{pointRadius:e.pointRadius});if(c.stroke===true||c.graphic===true){OpenLayers.Util.applyDefaults(c,{strokeWidth:e.strokeWidth,strokeColor:e.strokeColor,strokeOpacity:e.strokeOpacity,strokeDashstyle:e.strokeDashstyle,strokeLinecap:e.strokeLinecap})}if(c.fill===true||c.graphic===true){OpenLayers.Util.applyDefaults(c,{fillColor:e.fillColor,fillOpacity:e.fillOpacity})}if(c.graphic===true){OpenLayers.Util.applyDefaults(c,{pointRadius:this.defaultStyle.pointRadius,externalGraphic:this.defaultStyle.externalGraphic,graphicName:this.defaultStyle.graphicName,graphicOpacity:this.defaultStyle.graphicOpacity,graphicWidth:this.defaultStyle.graphicWidth,graphicHeight:this.defaultStyle.graphicHeight,graphicXOffset:this.defaultStyle.graphicXOffset,graphicYOffset:this.defaultStyle.graphicYOffset})}}return this.createLiterals(OpenLayers.Util.extend(d,c),b)},createLiterals:function(d,c){var b=OpenLayers.Util.extend({},c.attributes||c.data);OpenLayers.Util.extend(b,this.context);for(var a in this.propertyStyles){d[a]=OpenLayers.Style.createLiteral(d[a],b,c,a)}return d},findPropertyStyles:function(){var d={};var f=this.defaultStyle;this.addPropertyStyles(d,f);var h=this.rules;var e,g;for(var c=0,a=h.length;c<a;c++){e=h[c].symbolizer;for(var b in e){g=e[b];if(typeof g=="object"){this.addPropertyStyles(d,g)}else{this.addPropertyStyles(d,e);break}}}return d},addPropertyStyles:function(b,c){var d;for(var a in c){d=c[a];if(typeof d=="string"&&d.match(/\$\{\w+\}/)){b[a]=true}}return b},addRules:function(a){Array.prototype.push.apply(this.rules,a);this.propertyStyles=this.findPropertyStyles()},setDefaultStyle:function(a){this.defaultStyle=a;this.propertyStyles=this.findPropertyStyles()},getSymbolizerPrefix:function(d){var c=OpenLayers.Style.SYMBOLIZER_PREFIXES;for(var b=0,a=c.length;b<a;b++){if(d.CLASS_NAME.indexOf(c[b])!=-1){return c[b]}}},clone:function(){var b=OpenLayers.Util.extend({},this);if(this.rules){b.rules=[];for(var c=0,a=this.rules.length;c<a;++c){b.rules.push(this.rules[c].clone())}}b.context=this.context&&OpenLayers.Util.extend({},this.context);var d=OpenLayers.Util.extend({},this.defaultStyle);return new OpenLayers.Style(d,b)},CLASS_NAME:"OpenLayers.Style"});OpenLayers.Style.createLiteral=function(d,b,a,c){if(typeof d=="string"&&d.indexOf("${")!=-1){d=OpenLayers.String.format(d,b,[a,c]);d=(isNaN(d)||!d)?d:parseFloat(d)}return d};OpenLayers.Style.SYMBOLIZER_PREFIXES=["Point","Line","Polygon","Text","Raster"];OpenLayers.StyleMap=OpenLayers.Class({styles:null,extendDefault:true,initialize:function(c,a){this.styles={"default":new OpenLayers.Style(OpenLayers.Feature.Vector.style["default"]),select:new OpenLayers.Style(OpenLayers.Feature.Vector.style.select),temporary:new OpenLayers.Style(OpenLayers.Feature.Vector.style.temporary),"delete":new OpenLayers.Style(OpenLayers.Feature.Vector.style["delete"])};if(c instanceof OpenLayers.Style){this.styles["default"]=c;this.styles.select=c;this.styles.temporary=c;this.styles["delete"]=c}else{if(typeof c=="object"){for(var b in c){if(c[b] instanceof OpenLayers.Style){this.styles[b]=c[b]}else{if(typeof c[b]=="object"){this.styles[b]=new OpenLayers.Style(c[b])}else{this.styles["default"]=new OpenLayers.Style(c);this.styles.select=new OpenLayers.Style(c);this.styles.temporary=new OpenLayers.Style(c);this.styles["delete"]=new OpenLayers.Style(c);break}}}}}OpenLayers.Util.extend(this,a)},destroy:function(){for(var a in this.styles){this.styles[a].destroy()}this.styles=null},createSymbolizer:function(b,c){if(!b){b=new OpenLayers.Feature.Vector()}if(!this.styles[c]){c="default"}b.renderIntent=c;var a={};if(this.extendDefault&&c!="default"){a=this.styles["default"].createSymbolizer(b)}return OpenLayers.Util.extend(a,this.styles[c].createSymbolizer(b))},addUniqueValueRules:function(b,d,f,a){var e=[];for(var c in f){e.push(new OpenLayers.Rule({symbolizer:f[c],context:a,filter:new OpenLayers.Filter.Comparison({type:OpenLayers.Filter.Comparison.EQUAL_TO,property:d,value:c})}))}this.styles[b].addRules(e)},CLASS_NAME:"OpenLayers.StyleMap"});OpenLayers.Layer.Vector=OpenLayers.Class(OpenLayers.Layer,{isBaseLayer:false,isFixed:false,features:null,filter:null,selectedFeatures:null,unrenderedFeatures:null,reportError:true,style:null,styleMap:null,strategies:null,protocol:null,renderers:["SVG","VML","Canvas"],renderer:null,rendererOptions:null,geometryType:null,drawn:false,ratio:1,initialize:function(c,b){OpenLayers.Layer.prototype.initialize.apply(this,arguments);if(!this.renderer||!this.renderer.supported()){this.assignRenderer()}if(!this.renderer||!this.renderer.supported()){this.renderer=null;this.displayError()}if(!this.styleMap){this.styleMap=new OpenLayers.StyleMap()}this.features=[];this.selectedFeatures=[];this.unrenderedFeatures={};if(this.strategies){for(var d=0,a=this.strategies.length;d<a;d++){this.strategies[d].setLayer(this)}}},destroy:function(){if(this.strategies){var c,b,a;for(b=0,a=this.strategies.length;b<a;b++){c=this.strategies[b];if(c.autoDestroy){c.destroy()}}this.strategies=null}if(this.protocol){if(this.protocol.autoDestroy){this.protocol.destroy()}this.protocol=null}this.destroyFeatures();this.features=null;this.selectedFeatures=null;this.unrenderedFeatures=null;if(this.renderer){this.renderer.destroy()}this.renderer=null;this.geometryType=null;this.drawn=null;OpenLayers.Layer.prototype.destroy.apply(this,arguments)},clone:function(e){if(e==null){e=new OpenLayers.Layer.Vector(this.name,this.getOptions())}e=OpenLayers.Layer.prototype.clone.apply(this,[e]);var c=this.features;var a=c.length;var d=new Array(a);for(var b=0;b<a;++b){d[b]=c[b].clone()}e.features=d;return e},refresh:function(a){if(this.calculateInRange()&&this.visibility){this.events.triggerEvent("refresh",a)}},assignRenderer:function(){for(var c=0,a=this.renderers.length;c<a;c++){var b=this.renderers[c];var d=(typeof b=="function")?b:OpenLayers.Renderer[b];if(d&&d.prototype.supported()){this.renderer=new d(this.div,this.rendererOptions);break}}},displayError:function(){if(this.reportError){OpenLayers.Console.userError(OpenLayers.i18n("browserNotSupported",{renderers:this.renderers.join("\n")}))}},setMap:function(b){OpenLayers.Layer.prototype.setMap.apply(this,arguments);if(!this.renderer){this.map.removeLayer(this)}else{this.renderer.map=this.map;var a=this.map.getSize();a.w=a.w*this.ratio;a.h=a.h*this.ratio;this.renderer.setSize(a)}},afterAdd:function(){if(this.strategies){var c,b,a;for(b=0,a=this.strategies.length;b<a;b++){c=this.strategies[b];if(c.autoActivate){c.activate()}}}},removeMap:function(c){this.drawn=false;if(this.strategies){var d,b,a;for(b=0,a=this.strategies.length;b<a;b++){d=this.strategies[b];if(d.autoActivate){d.deactivate()}}}},onMapResize:function(){OpenLayers.Layer.prototype.onMapResize.apply(this,arguments);var a=this.map.getSize();a.w=a.w*this.ratio;a.h=a.h*this.ratio;this.renderer.setSize(a)},moveTo:function(a,b,l){OpenLayers.Layer.prototype.moveTo.apply(this,arguments);var c=true;if(!l){this.renderer.root.style.visibility="hidden";var k=this.map.getSize(),h=k.w,f=k.h,e=(h/2*this.ratio)-h/2,d=(f/2*this.ratio)-f/2;e+=parseInt(this.map.layerContainerDiv.style.left,10);e=-Math.round(e);d+=parseInt(this.map.layerContainerDiv.style.top,10);d=-Math.round(d);this.div.style.left=e+"px";this.div.style.top=d+"px";var n=this.map.getExtent().scale(this.ratio);c=this.renderer.setExtent(n,b);this.renderer.root.style.visibility="visible";if(OpenLayers.IS_GECKO===true){this.div.scrollLeft=this.div.scrollLeft}if(!b&&c){for(var g in this.unrenderedFeatures){var o=this.unrenderedFeatures[g];this.drawFeature(o)}}}if(!this.drawn||b||!c){this.drawn=true;var o;for(var g=0,j=this.features.length;g<j;g++){this.renderer.locked=(g!==(j-1));o=this.features[g];this.drawFeature(o)}}},display:function(a){OpenLayers.Layer.prototype.display.apply(this,arguments);var b=this.div.style.display;if(b!=this.renderer.root.style.display){this.renderer.root.style.display=b}},addFeatures:function(b,j){if(!(OpenLayers.Util.isArray(b))){b=[b]}var g=!j||!j.silent;if(g){var a={features:b};var f=this.events.triggerEvent("beforefeaturesadded",a);if(f===false){return}b=a.features}var d=[];for(var c=0,e=b.length;c<e;c++){if(c!=(b.length-1)){this.renderer.locked=true}else{this.renderer.locked=false}var h=b[c];if(this.geometryType&&!(h.geometry instanceof this.geometryType)){throw new TypeError("addFeatures: component should be an "+this.geometryType.prototype.CLASS_NAME)}h.layer=this;if(!h.style&&this.style){h.style=OpenLayers.Util.extend({},this.style)}if(g){if(this.events.triggerEvent("beforefeatureadded",{feature:h})===false){continue}this.preFeatureInsert(h)}d.push(h);this.features.push(h);this.drawFeature(h);if(g){this.events.triggerEvent("featureadded",{feature:h});this.onFeatureInsert(h)}}if(g){this.events.triggerEvent("featuresadded",{features:d})}},removeFeatures:function(e,a){if(!e||e.length===0){return}if(e===this.features){return this.removeAllFeatures(a)}if(!(OpenLayers.Util.isArray(e))){e=[e]}if(e===this.selectedFeatures){e=e.slice()}var d=!a||!a.silent;if(d){this.events.triggerEvent("beforefeaturesremoved",{features:e})}for(var c=e.length-1;c>=0;c--){if(c!=0&&e[c-1].geometry){this.renderer.locked=true}else{this.renderer.locked=false}var b=e[c];delete this.unrenderedFeatures[b.id];if(d){this.events.triggerEvent("beforefeatureremoved",{feature:b})}this.features=OpenLayers.Util.removeItem(this.features,b);b.layer=null;if(b.geometry){this.renderer.eraseFeatures(b)}if(OpenLayers.Util.indexOf(this.selectedFeatures,b)!=-1){OpenLayers.Util.removeItem(this.selectedFeatures,b)}if(d){this.events.triggerEvent("featureremoved",{feature:b})}}if(d){this.events.triggerEvent("featuresremoved",{features:e})}},removeAllFeatures:function(a){var d=!a||!a.silent;var e=this.features;if(d){this.events.triggerEvent("beforefeaturesremoved",{features:e})}var c;for(var b=e.length-1;b>=0;b--){c=e[b];if(d){this.events.triggerEvent("beforefeatureremoved",{feature:c})}c.layer=null;if(d){this.events.triggerEvent("featureremoved",{feature:c})}}this.renderer.clear();this.features=[];this.unrenderedFeatures={};this.selectedFeatures=[];if(d){this.events.triggerEvent("featuresremoved",{features:e})}},destroyFeatures:function(d,a){var c=(d==undefined);if(c){d=this.features}if(d){this.removeFeatures(d,a);for(var b=d.length-1;b>=0;b--){d[b].destroy()}}},drawFeature:function(a,b){if(!this.drawn){return}if(typeof b!="object"){if(!b&&a.state===OpenLayers.State.DELETE){b="delete"}var c=b||a.renderIntent;b=a.style||this.style;if(!b){b=this.styleMap.createSymbolizer(a,c)}}var d=this.renderer.drawFeature(a,b);if(d===false||d===null){this.unrenderedFeatures[a.id]=a}else{delete this.unrenderedFeatures[a.id]}},eraseFeatures:function(a){this.renderer.eraseFeatures(a)},getFeatureFromEvent:function(a){if(!this.renderer){throw new Error("getFeatureFromEvent called on layer with no renderer. This usually means you destroyed a layer, but not some handler which is associated with it.")}var b=null;var c=this.renderer.getFeatureIdFromEvent(a);if(c){if(typeof c==="string"){b=this.getFeatureById(c)}else{b=c}}return b},getFeatureBy:function(e,d){var c=null;for(var b=0,a=this.features.length;b<a;++b){if(this.features[b][e]==d){c=this.features[b];break}}return c},getFeatureById:function(a){return this.getFeatureBy("id",a)},getFeatureByFid:function(a){return this.getFeatureBy("fid",a)},getFeaturesByAttribute:function(d,e){var c,b,a=this.features.length,f=[];for(c=0;c<a;c++){b=this.features[c];if(b&&b.attributes){if(b.attributes[d]===e){f.push(b)}}}return f},onFeatureInsert:function(a){},preFeatureInsert:function(a){},getDataExtent:function(){var b=null;var d=this.features;if(d&&(d.length>0)){var e=null;for(var c=0,a=d.length;c<a;c++){e=d[c].geometry;if(e){if(b===null){b=new OpenLayers.Bounds()}b.extend(e.getBounds())}}}return b},CLASS_NAME:"OpenLayers.Layer.Vector"});OpenLayers.Layer.Vector.RootContainer=OpenLayers.Class(OpenLayers.Layer.Vector,{displayInLayerSwitcher:false,layers:null,display:function(){},getFeatureFromEvent:function(a){var d=this.layers;var c;for(var b=0;b<d.length;b++){c=d[b].getFeatureFromEvent(a);if(c){return c}}},setMap:function(a){OpenLayers.Layer.Vector.prototype.setMap.apply(this,arguments);this.collectRoots();a.events.register("changelayer",this,this.handleChangeLayer)},removeMap:function(a){a.events.unregister("changelayer",this,this.handleChangeLayer);this.resetRoots();OpenLayers.Layer.Vector.prototype.removeMap.apply(this,arguments)},collectRoots:function(){var b;for(var a=0;a<this.map.layers.length;++a){b=this.map.layers[a];if(OpenLayers.Util.indexOf(this.layers,b)!=-1){b.renderer.moveRoot(this.renderer)}}},resetRoots:function(){var b;for(var a=0;a<this.layers.length;++a){b=this.layers[a];if(this.renderer&&b.renderer.getRenderLayerId()==this.id){this.renderer.moveRoot(b.renderer)}}},handleChangeLayer:function(a){var b=a.layer;if(a.property=="order"&&OpenLayers.Util.indexOf(this.layers,b)!=-1){this.resetRoots();this.collectRoots()}},CLASS_NAME:"OpenLayers.Layer.Vector.RootContainer"});OpenLayers.Control.SelectFeature=OpenLayers.Class(OpenLayers.Control,{multipleKey:null,toggleKey:null,multiple:false,clickout:true,toggle:false,hover:false,highlightOnly:false,box:false,onBeforeSelect:function(){},onSelect:function(){},onUnselect:function(){},scope:null,geometryTypes:null,layer:null,layers:null,callbacks:null,selectStyle:null,renderIntent:"select",handlers:null,initialize:function(c,a){OpenLayers.Control.prototype.initialize.apply(this,[a]);if(this.scope===null){this.scope=this}this.initLayer(c);var b={click:this.clickFeature,clickout:this.clickoutFeature};if(this.hover){b.over=this.overFeature;b.out=this.outFeature}this.callbacks=OpenLayers.Util.extend(b,this.callbacks);this.handlers={feature:new OpenLayers.Handler.Feature(this,this.layer,this.callbacks,{geometryTypes:this.geometryTypes})};if(this.box){this.handlers.box=new OpenLayers.Handler.Box(this,{done:this.selectBox},{boxDivClassName:"olHandlerBoxSelectFeature"})}},initLayer:function(a){if(OpenLayers.Util.isArray(a)){this.layers=a;this.layer=new OpenLayers.Layer.Vector.RootContainer(this.id+"_container",{layers:a})}else{this.layer=a}},destroy:function(){if(this.active&&this.layers){this.map.removeLayer(this.layer)}OpenLayers.Control.prototype.destroy.apply(this,arguments);if(this.layers){this.layer.destroy()}},activate:function(){if(!this.active){if(this.layers){this.map.addLayer(this.layer)}this.handlers.feature.activate();if(this.box&&this.handlers.box){this.handlers.box.activate()}}return OpenLayers.Control.prototype.activate.apply(this,arguments)},deactivate:function(){if(this.active){this.handlers.feature.deactivate();if(this.handlers.box){this.handlers.box.deactivate()}if(this.layers){this.map.removeLayer(this.layer)}}return OpenLayers.Control.prototype.deactivate.apply(this,arguments)},unselectAll:function(b){var f=this.layers||[this.layer];var e,d;for(var a=0;a<f.length;++a){e=f[a];for(var c=e.selectedFeatures.length-1;c>=0;--c){d=e.selectedFeatures[c];if(!b||b.except!=d){this.unselect(d)}}}},clickFeature:function(a){if(!this.hover){var b=(OpenLayers.Util.indexOf(a.layer.selectedFeatures,a)>-1);if(b){if(this.toggleSelect()){this.unselect(a)}else{if(!this.multipleSelect()){this.unselectAll({except:a})}}}else{if(!this.multipleSelect()){this.unselectAll({except:a})}this.select(a)}}},multipleSelect:function(){return this.multiple||(this.handlers.feature.evt&&this.handlers.feature.evt[this.multipleKey])},toggleSelect:function(){return this.toggle||(this.handlers.feature.evt&&this.handlers.feature.evt[this.toggleKey])},clickoutFeature:function(a){if(!this.hover&&this.clickout){this.unselectAll()}},overFeature:function(b){var a=b.layer;if(this.hover){if(this.highlightOnly){this.highlight(b)}else{if(OpenLayers.Util.indexOf(a.selectedFeatures,b)==-1){this.select(b)}}}},outFeature:function(a){if(this.hover){if(this.highlightOnly){if(a._lastHighlighter==this.id){if(a._prevHighlighter&&a._prevHighlighter!=this.id){delete a._lastHighlighter;var b=this.map.getControl(a._prevHighlighter);if(b){b.highlight(a)}}else{this.unhighlight(a)}}}else{this.unselect(a)}}},highlight:function(c){var b=c.layer;var a=this.events.triggerEvent("beforefeaturehighlighted",{feature:c});if(a!==false){c._prevHighlighter=c._lastHighlighter;c._lastHighlighter=this.id;var d=this.selectStyle||this.renderIntent;b.drawFeature(c,d);this.events.triggerEvent("featurehighlighted",{feature:c})}},unhighlight:function(b){var a=b.layer;if(b._prevHighlighter==undefined){delete b._lastHighlighter}else{if(b._prevHighlighter==this.id){delete b._prevHighlighter}else{b._lastHighlighter=b._prevHighlighter;delete b._prevHighlighter}}a.drawFeature(b,b.style||b.layer.style||"default");this.events.triggerEvent("featureunhighlighted",{feature:b})},select:function(c){var a=this.onBeforeSelect.call(this.scope,c);var b=c.layer;if(a!==false){a=b.events.triggerEvent("beforefeatureselected",{feature:c});if(a!==false){b.selectedFeatures.push(c);this.highlight(c);if(!this.handlers.feature.lastFeature){this.handlers.feature.lastFeature=b.selectedFeatures[0]}b.events.triggerEvent("featureselected",{feature:c});this.onSelect.call(this.scope,c)}}},unselect:function(b){var a=b.layer;this.unhighlight(b);OpenLayers.Util.removeItem(a.selectedFeatures,b);a.events.triggerEvent("featureunselected",{feature:b});this.onUnselect.call(this.scope,b)},selectBox:function(e){if(e instanceof OpenLayers.Bounds){var h=this.map.getLonLatFromPixel({x:e.left,y:e.bottom});var k=this.map.getLonLatFromPixel({x:e.right,y:e.top});var a=new OpenLayers.Bounds(h.lon,h.lat,k.lon,k.lat);if(!this.multipleSelect()){this.unselectAll()}var j=this.multiple;this.multiple=true;var d=this.layers||[this.layer];this.events.triggerEvent("boxselectionstart",{layers:d});var f;for(var b=0;b<d.length;++b){f=d[b];for(var c=0,g=f.features.length;c<g;++c){var n=f.features[c];if(!n.getVisibility()){continue}if(this.geometryTypes==null||OpenLayers.Util.indexOf(this.geometryTypes,n.geometry.CLASS_NAME)>-1){if(a.toGeometry().intersects(n.geometry)){if(OpenLayers.Util.indexOf(f.selectedFeatures,n)==-1){this.select(n)}}}}}this.multiple=j;this.events.triggerEvent("boxselectionend",{layers:d})}},setMap:function(a){this.handlers.feature.setMap(a);if(this.box){this.handlers.box.setMap(a)}OpenLayers.Control.prototype.setMap.apply(this,arguments)},setLayer:function(b){var a=this.active;this.unselectAll();this.deactivate();if(this.layers){this.layer.destroy();this.layers=null}this.initLayer(b);this.handlers.feature.layer=this.layer;if(a){this.activate()}},CLASS_NAME:"OpenLayers.Control.SelectFeature"});OpenLayers.Handler.Keyboard=OpenLayers.Class(OpenLayers.Handler,{KEY_EVENTS:["keydown","keyup"],eventListener:null,observeElement:null,initialize:function(c,b,a){OpenLayers.Handler.prototype.initialize.apply(this,arguments);this.eventListener=OpenLayers.Function.bindAsEventListener(this.handleKeyEvent,this)},destroy:function(){this.deactivate();this.eventListener=null;OpenLayers.Handler.prototype.destroy.apply(this,arguments)},activate:function(){if(OpenLayers.Handler.prototype.activate.apply(this,arguments)){this.observeElement=this.observeElement||document;for(var b=0,a=this.KEY_EVENTS.length;b<a;b++){OpenLayers.Event.observe(this.observeElement,this.KEY_EVENTS[b],this.eventListener)}return true}else{return false}},deactivate:function(){var c=false;if(OpenLayers.Handler.prototype.deactivate.apply(this,arguments)){for(var b=0,a=this.KEY_EVENTS.length;b<a;b++){OpenLayers.Event.stopObserving(this.observeElement,this.KEY_EVENTS[b],this.eventListener)}c=true}return c},handleKeyEvent:function(a){if(this.checkModifiers(a)){this.callback(a.type,[a])}},CLASS_NAME:"OpenLayers.Handler.Keyboard"});OpenLayers.Control.ModifyFeature=OpenLayers.Class(OpenLayers.Control,{geometryTypes:null,clickout:true,toggle:true,standalone:false,layer:null,feature:null,vertices:null,virtualVertices:null,selectControl:null,dragControl:null,handlers:null,deleteCodes:null,virtualStyle:null,vertexRenderIntent:null,mode:null,createVertices:true,modified:false,radiusHandle:null,dragHandle:null,onModificationStart:function(){},onModification:function(){},onModificationEnd:function(){},initialize:function(d,c){c=c||{};this.layer=d;this.vertices=[];this.virtualVertices=[];this.virtualStyle=OpenLayers.Util.extend({},this.layer.style||this.layer.styleMap.createSymbolizer(null,c.vertexRenderIntent));this.virtualStyle.fillOpacity=0.3;this.virtualStyle.strokeOpacity=0.3;this.deleteCodes=[46,68];this.mode=OpenLayers.Control.ModifyFeature.RESHAPE;OpenLayers.Control.prototype.initialize.apply(this,[c]);if(!(OpenLayers.Util.isArray(this.deleteCodes))){this.deleteCodes=[this.deleteCodes]}var f=this;var a={geometryTypes:this.geometryTypes,clickout:this.clickout,toggle:this.toggle,onBeforeSelect:this.beforeSelectFeature,onSelect:this.selectFeature,onUnselect:this.unselectFeature,scope:this};if(this.standalone===false){this.selectControl=new OpenLayers.Control.SelectFeature(d,a)}var b={geometryTypes:["OpenLayers.Geometry.Point"],onStart:function(h,g){f.dragStart.apply(f,[h,g])},onDrag:function(h,g){f.dragVertex.apply(f,[h,g])},onComplete:function(g){f.dragComplete.apply(f,[g])},featureCallbacks:{over:function(g){if(f.standalone!==true||g._sketch||f.feature===g){f.dragControl.overFeature.apply(f.dragControl,[g])}}}};this.dragControl=new OpenLayers.Control.DragFeature(d,b);var e={keydown:this.handleKeypress};this.handlers={keyboard:new OpenLayers.Handler.Keyboard(this,e)}},destroy:function(){this.layer=null;this.standalone||this.selectControl.destroy();this.dragControl.destroy();OpenLayers.Control.prototype.destroy.apply(this,[])},activate:function(){return((this.standalone||this.selectControl.activate())&&this.handlers.keyboard.activate()&&OpenLayers.Control.prototype.activate.apply(this,arguments))},deactivate:function(){var c=false;if(OpenLayers.Control.prototype.deactivate.apply(this,arguments)){this.layer.removeFeatures(this.vertices,{silent:true});this.layer.removeFeatures(this.virtualVertices,{silent:true});this.vertices=[];this.dragControl.deactivate();var a=this.feature;var b=a&&a.geometry&&a.layer;if(this.standalone===false){if(b){this.selectControl.unselect.apply(this.selectControl,[a])}this.selectControl.deactivate()}else{if(b){this.unselectFeature(a)}}this.handlers.keyboard.deactivate();c=true}return c},beforeSelectFeature:function(a){return this.layer.events.triggerEvent("beforefeaturemodified",{feature:a})},selectFeature:function(b){if(!this.standalone||this.beforeSelectFeature(b)!==false){this.feature=b;this.modified=false;this.resetVertices();this.dragControl.activate();this.onModificationStart(this.feature)}var a=b.modified;if(b.geometry&&!(a&&a.geometry)){this._originalGeometry=b.geometry.clone()}},unselectFeature:function(a){this.layer.removeFeatures(this.vertices,{silent:true});this.vertices=[];this.layer.destroyFeatures(this.virtualVertices,{silent:true});this.virtualVertices=[];if(this.dragHandle){this.layer.destroyFeatures([this.dragHandle],{silent:true});delete this.dragHandle}if(this.radiusHandle){this.layer.destroyFeatures([this.radiusHandle],{silent:true});delete this.radiusHandle}this.feature=null;this.dragControl.deactivate();this.onModificationEnd(a);this.layer.events.triggerEvent("afterfeaturemodified",{feature:a,modified:this.modified});this.modified=false},dragStart:function(b,a){if(b!=this.feature&&!b.geometry.parent&&b!=this.dragHandle&&b!=this.radiusHandle){if(this.standalone===false&&this.feature){this.selectControl.clickFeature.apply(this.selectControl,[this.feature])}if(this.geometryTypes==null||OpenLayers.Util.indexOf(this.geometryTypes,b.geometry.CLASS_NAME)!=-1){this.standalone||this.selectControl.clickFeature.apply(this.selectControl,[b]);this.dragControl.overFeature.apply(this.dragControl,[b]);this.dragControl.lastPixel=a;this.dragControl.handlers.drag.started=true;this.dragControl.handlers.drag.start=a;this.dragControl.handlers.drag.last=a}}},dragVertex:function(b,a){this.modified=true;if(this.feature.geometry.CLASS_NAME=="OpenLayers.Geometry.Point"){if(this.feature!=b){this.feature=b}this.layer.events.triggerEvent("vertexmodified",{vertex:b.geometry,feature:this.feature,pixel:a})}else{if(b._index){b.geometry.parent.addComponent(b.geometry,b._index);delete b._index;OpenLayers.Util.removeItem(this.virtualVertices,b);this.vertices.push(b)}else{if(b==this.dragHandle){this.layer.removeFeatures(this.vertices,{silent:true});this.vertices=[];if(this.radiusHandle){this.layer.destroyFeatures([this.radiusHandle],{silent:true});this.radiusHandle=null}}else{if(b!==this.radiusHandle){this.layer.events.triggerEvent("vertexmodified",{vertex:b.geometry,feature:this.feature,pixel:a})}}}if(this.virtualVertices.length>0){this.layer.destroyFeatures(this.virtualVertices,{silent:true});this.virtualVertices=[]}this.layer.drawFeature(this.feature,this.standalone?undefined:this.selectControl.renderIntent)}this.layer.drawFeature(b)},dragComplete:function(a){this.resetVertices();this.setFeatureState();this.onModification(this.feature);this.layer.events.triggerEvent("featuremodified",{feature:this.feature})},setFeatureState:function(){if(this.feature.state!=OpenLayers.State.INSERT&&this.feature.state!=OpenLayers.State.DELETE){this.feature.state=OpenLayers.State.UPDATE;if(this.modified&&this._originalGeometry){var a=this.feature;a.modified=OpenLayers.Util.extend(a.modified,{geometry:this._originalGeometry});delete this._originalGeometry}}},resetVertices:function(){if(this.dragControl.feature){this.dragControl.outFeature(this.dragControl.feature)}if(this.vertices.length>0){this.layer.removeFeatures(this.vertices,{silent:true});this.vertices=[]}if(this.virtualVertices.length>0){this.layer.removeFeatures(this.virtualVertices,{silent:true});this.virtualVertices=[]}if(this.dragHandle){this.layer.destroyFeatures([this.dragHandle],{silent:true});this.dragHandle=null}if(this.radiusHandle){this.layer.destroyFeatures([this.radiusHandle],{silent:true});this.radiusHandle=null}if(this.feature&&this.feature.geometry.CLASS_NAME!="OpenLayers.Geometry.Point"){if((this.mode&OpenLayers.Control.ModifyFeature.DRAG)){this.collectDragHandle()}if((this.mode&(OpenLayers.Control.ModifyFeature.ROTATE|OpenLayers.Control.ModifyFeature.RESIZE))){this.collectRadiusHandle()}if(this.mode&OpenLayers.Control.ModifyFeature.RESHAPE){if(!(this.mode&OpenLayers.Control.ModifyFeature.RESIZE)){this.collectVertices()}}}},handleKeypress:function(a){var b=a.keyCode;if(this.feature&&OpenLayers.Util.indexOf(this.deleteCodes,b)!=-1){var c=this.dragControl.feature;if(c&&OpenLayers.Util.indexOf(this.vertices,c)!=-1&&!this.dragControl.handlers.drag.dragging&&c.geometry.parent){c.geometry.parent.removeComponent(c.geometry);this.layer.events.triggerEvent("vertexremoved",{vertex:c.geometry,feature:this.feature,pixel:a.xy});this.layer.drawFeature(this.feature,this.standalone?undefined:this.selectControl.renderIntent);this.modified=true;this.resetVertices();this.setFeatureState();this.onModification(this.feature);this.layer.events.triggerEvent("featuremodified",{feature:this.feature})}}},collectVertices:function(){this.vertices=[];this.virtualVertices=[];var a=this;function b(h){var d,e,j,f;if(h.CLASS_NAME=="OpenLayers.Geometry.Point"){e=new OpenLayers.Feature.Vector(h);e._sketch=true;e.renderIntent=a.vertexRenderIntent;a.vertices.push(e)}else{var c=h.components.length;if(h.CLASS_NAME=="OpenLayers.Geometry.LinearRing"){c-=1}for(d=0;d<c;++d){j=h.components[d];if(j.CLASS_NAME=="OpenLayers.Geometry.Point"){e=new OpenLayers.Feature.Vector(j);e._sketch=true;e.renderIntent=a.vertexRenderIntent;a.vertices.push(e)}else{b(j)}}if(a.createVertices&&h.CLASS_NAME!="OpenLayers.Geometry.MultiPoint"){for(d=0,f=h.components.length;d<f-1;++d){var n=h.components[d];var o=h.components[d+1];if(n.CLASS_NAME=="OpenLayers.Geometry.Point"&&o.CLASS_NAME=="OpenLayers.Geometry.Point"){var k=(n.x+o.x)/2;var g=(n.y+o.y)/2;var l=new OpenLayers.Feature.Vector(new OpenLayers.Geometry.Point(k,g),null,a.virtualStyle);l.geometry.parent=h;l._index=d+1;l._sketch=true;a.virtualVertices.push(l)}}}}}b.call(this,this.feature.geometry);this.layer.addFeatures(this.virtualVertices,{silent:true});this.layer.addFeatures(this.vertices,{silent:true})},collectDragHandle:function(){var d=this.feature.geometry;var a=d.getBounds().getCenterLonLat();var c=new OpenLayers.Geometry.Point(a.lon,a.lat);var b=new OpenLayers.Feature.Vector(c);c.move=function(e,f){OpenLayers.Geometry.Point.prototype.move.call(this,e,f);d.move(e,f)};b._sketch=true;this.dragHandle=b;this.dragHandle.renderIntent=this.vertexRenderIntent;this.layer.addFeatures([this.dragHandle],{silent:true})},collectRadiusHandle:function(){var h=this.feature.geometry;var a=h.getBounds();var b=a.getCenterLonLat();var i=new OpenLayers.Geometry.Point(b.lon,b.lat);var g=new OpenLayers.Geometry.Point(a.right,a.bottom);var f=new OpenLayers.Feature.Vector(g);var c=(this.mode&OpenLayers.Control.ModifyFeature.RESIZE);var e=(this.mode&OpenLayers.Control.ModifyFeature.RESHAPE);var d=(this.mode&OpenLayers.Control.ModifyFeature.ROTATE);g.move=function(w,u){OpenLayers.Geometry.Point.prototype.move.call(this,w,u);var z=this.x-i.x;var q=this.y-i.y;var A=z-w;var r=q-u;if(d){var k=Math.atan2(r,A);var j=Math.atan2(q,z);var o=j-k;o*=180/Math.PI;h.rotate(o,i)}if(c){var n,s;if(e){n=q/r;s=(z/A)/n}else{var p=Math.sqrt((A*A)+(r*r));var l=Math.sqrt((z*z)+(q*q));n=l/p}h.resize(n,i,s)}};f._sketch=true;this.radiusHandle=f;this.radiusHandle.renderIntent=this.vertexRenderIntent;this.layer.addFeatures([this.radiusHandle],{silent:true})},setMap:function(a){this.standalone||this.selectControl.setMap(a);this.dragControl.setMap(a);OpenLayers.Control.prototype.setMap.apply(this,arguments)},CLASS_NAME:"OpenLayers.Control.ModifyFeature"});OpenLayers.Control.ModifyFeature.RESHAPE=1;OpenLayers.Control.ModifyFeature.RESIZE=2;OpenLayers.Control.ModifyFeature.ROTATE=4;OpenLayers.Control.ModifyFeature.DRAG=8;OpenLayers.Handler.MouseWheel=OpenLayers.Class(OpenLayers.Handler,{wheelListener:null,mousePosition:null,interval:0,delta:0,cumulative:true,initialize:function(c,b,a){OpenLayers.Handler.prototype.initialize.apply(this,arguments);this.wheelListener=OpenLayers.Function.bindAsEventListener(this.onWheelEvent,this)},destroy:function(){OpenLayers.Handler.prototype.destroy.apply(this,arguments);this.wheelListener=null},onWheelEvent:function(k){if(!this.map||!this.checkModifiers(k)){return}var g=false;var n=false;var f=false;var b=OpenLayers.Event.element(k);while((b!=null)&&!f&&!g){if(!g){try{if(b.currentStyle){c=b.currentStyle.overflow}else{var a=document.defaultView.getComputedStyle(b,null);var c=a.getPropertyValue("overflow")}g=(c&&(c=="auto")||(c=="scroll"))}catch(d){}}if(!n){for(var h=0,j=this.map.layers.length;h<j;h++){if(b==this.map.layers[h].div||b==this.map.layers[h].pane){n=true;break}}}f=(b==this.map.div);b=b.parentNode}if(!g&&f){if(n){var l=0;if(!k){k=window.event}if(k.wheelDelta){l=k.wheelDelta/120;if(window.opera&&window.opera.version()<9.2){l=-l}}else{if(k.detail){l=-k.detail/3}}this.delta=this.delta+l;if(this.interval){window.clearTimeout(this._timeoutId);this._timeoutId=window.setTimeout(OpenLayers.Function.bind(function(){this.wheelZoom(k)},this),this.interval)}else{this.wheelZoom(k)}}OpenLayers.Event.stop(k)}},wheelZoom:function(a){var b=this.delta;this.delta=0;if(b){if(this.mousePosition){a.xy=this.mousePosition}if(!a.xy){a.xy=this.map.getPixelFromLonLat(this.map.getCenter())}if(b<0){this.callback("down",[a,this.cumulative?b:-1])}else{this.callback("up",[a,this.cumulative?b:1])}}},mousemove:function(a){this.mousePosition=a.xy},activate:function(a){if(OpenLayers.Handler.prototype.activate.apply(this,arguments)){var b=this.wheelListener;OpenLayers.Event.observe(window,"DOMMouseScroll",b);OpenLayers.Event.observe(window,"mousewheel",b);OpenLayers.Event.observe(document,"mousewheel",b);return true}else{return false}},deactivate:function(a){if(OpenLayers.Handler.prototype.deactivate.apply(this,arguments)){var b=this.wheelListener;OpenLayers.Event.stopObserving(window,"DOMMouseScroll",b);OpenLayers.Event.stopObserving(window,"mousewheel",b);OpenLayers.Event.stopObserving(document,"mousewheel",b);return true}else{return false}},CLASS_NAME:"OpenLayers.Handler.MouseWheel"});OpenLayers.Tile=OpenLayers.Class({events:null,eventListeners:null,id:null,layer:null,url:null,bounds:null,size:null,position:null,isLoading:false,initialize:function(e,a,f,c,d,b){this.layer=e;this.position=a.clone();this.setBounds(f);this.url=c;if(d){this.size=d.clone()}this.id=OpenLayers.Util.createUniqueID("Tile_");OpenLayers.Util.extend(this,b);this.events=new OpenLayers.Events(this);if(this.eventListeners instanceof Object){this.events.on(this.eventListeners)}},unload:function(){if(this.isLoading){this.isLoading=false;this.events.triggerEvent("unload")}},destroy:function(){this.layer=null;this.bounds=null;this.size=null;this.position=null;if(this.eventListeners){this.events.un(this.eventListeners)}this.events.destroy();this.eventListeners=null;this.events=null},draw:function(b){if(!b){this.clear()}var a=this.shouldDraw();if(a&&!b){a=this.events.triggerEvent("beforedraw")!==false}return a},shouldDraw:function(){var b=false,a=this.layer.maxExtent;if(a){var d=this.layer.map;var c=d.baseLayer.wrapDateLine&&d.getMaxExtent();if(this.bounds.intersectsBounds(a,{inclusive:false,worldBounds:c})){b=true}}return b||this.layer.displayOutsideMaxExtent},setBounds:function(c){c=c.clone();if(this.layer.map.baseLayer.wrapDateLine){var b=this.layer.map.getMaxExtent(),a=this.layer.map.getResolution();c=c.wrapDateLine(b,{leftTolerance:a,rightTolerance:a})}this.bounds=c},moveTo:function(b,a,c){if(c==null){c=true}this.setBounds(b);this.position=a.clone();if(c){this.draw()}},clear:function(a){},CLASS_NAME:"OpenLayers.Tile"});OpenLayers.Tile.Image=OpenLayers.Class(OpenLayers.Tile,{url:null,imgDiv:null,frame:null,imageReloadAttempts:null,layerAlphaHack:null,asyncRequestId:null,blankImageUrl:"data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAQAIBRAA7",maxGetUrlLength:null,canvasContext:null,crossOriginKeyword:null,initialize:function(e,a,f,c,d,b){OpenLayers.Tile.prototype.initialize.apply(this,arguments);this.url=c;this.layerAlphaHack=this.layer.alpha&&OpenLayers.Util.alphaHack();if(this.maxGetUrlLength!=null||this.layer.gutter||this.layerAlphaHack){this.frame=document.createElement("div");this.frame.style.position="absolute";this.frame.style.overflow="hidden"}if(this.maxGetUrlLength!=null){OpenLayers.Util.extend(this,OpenLayers.Tile.Image.IFrame)}},destroy:function(){if(this.imgDiv){this.clear();this.imgDiv=null;this.frame=null}this.asyncRequestId=null;OpenLayers.Tile.prototype.destroy.apply(this,arguments)},draw:function(){var a=OpenLayers.Tile.prototype.draw.apply(this,arguments);if(a){if(this.layer!=this.layer.map.baseLayer&&this.layer.reproject){this.bounds=this.getBoundsFromBaseLayer(this.position)}if(this.isLoading){this._loadEvent="reload"}else{this.isLoading=true;this._loadEvent="loadstart"}this.positionTile();this.renderTile()}else{this.unload()}return a},renderTile:function(){this.layer.div.appendChild(this.getTile());if(this.layer.async){var a=this.asyncRequestId=(this.asyncRequestId||0)+1;this.layer.getURLasync(this.bounds,function(b){if(a==this.asyncRequestId){this.url=b;this.initImage()}},this)}else{this.url=this.layer.getURL(this.bounds);this.initImage()}},positionTile:function(){var b=this.getTile().style,a=this.frame?this.size:this.layer.getImageSize(this.bounds);b.left=this.position.x+"%";b.top=this.position.y+"%";b.width=a.w+"%";b.height=a.h+"%"},clear:function(){OpenLayers.Tile.prototype.clear.apply(this,arguments);var a=this.imgDiv;if(a){OpenLayers.Event.stopObservingElement(a);var b=this.getTile();if(b.parentNode===this.layer.div){this.layer.div.removeChild(b)}this.setImgSrc();if(this.layerAlphaHack===true){a.style.filter=""}OpenLayers.Element.removeClass(a,"olImageLoadError")}this.canvasContext=null},getImage:function(){if(!this.imgDiv){this.imgDiv=document.createElement("img");this.imgDiv.className="olTileImage";this.imgDiv.galleryImg="no";var a=this.imgDiv.style;if(this.frame){var c=0,b=0;if(this.layer.gutter){c=this.layer.gutter/this.layer.tileSize.w*100;b=this.layer.gutter/this.layer.tileSize.h*100}a.left=-c+"%";a.top=-b+"%";a.width=(2*c+100)+"%";a.height=(2*b+100)+"%"}a.visibility="hidden";a.opacity=0;if(this.layer.opacity<1){a.filter="alpha(opacity="+(this.layer.opacity*100)+")"}a.position="absolute";if(this.layerAlphaHack){a.paddingTop=a.height;a.height="0";a.width="100%"}if(this.frame){this.frame.appendChild(this.imgDiv)}}return this.imgDiv},initImage:function(){this.events.triggerEvent(this._loadEvent);var a=this.getImage();if(this.url&&a.getAttribute("src")==this.url){this.onImageLoad()}else{var b=OpenLayers.Function.bind(function(){OpenLayers.Event.stopObservingElement(a);OpenLayers.Event.observe(a,"load",OpenLayers.Function.bind(this.onImageLoad,this));OpenLayers.Event.observe(a,"error",OpenLayers.Function.bind(this.onImageError,this));this.imageReloadAttempts=0;this.setImgSrc(this.url)},this);if(a.getAttribute("src")==this.blankImageUrl){b()}else{OpenLayers.Event.observe(a,"load",b);OpenLayers.Event.observe(a,"error",b);if(this.crossOriginKeyword){a.removeAttribute("crossorigin")}a.src=this.blankImageUrl}}},setImgSrc:function(b){var a=this.imgDiv;a.style.visibility="hidden";a.style.opacity=0;if(b){if(this.crossOriginKeyword){if(b.substr(0,5)!=="data:"){a.setAttribute("crossorigin",this.crossOriginKeyword)}else{a.removeAttribute("crossorigin")}}a.src=b}},getTile:function(){return this.frame?this.frame:this.getImage()},createBackBuffer:function(){if(!this.imgDiv||this.isLoading){return}var a;if(this.frame){a=this.frame.cloneNode(false);a.appendChild(this.imgDiv)}else{a=this.imgDiv}this.imgDiv=null;return a},onImageLoad:function(){var b=this.imgDiv;OpenLayers.Event.stopObservingElement(b);b.style.visibility="inherit";b.style.opacity=this.layer.opacity;this.isLoading=false;this.canvasContext=null;this.events.triggerEvent("loadend");if(parseFloat(navigator.appVersion.split("MSIE")[1])<7&&this.layer&&this.layer.div){var c=document.createElement("span");c.style.display="none";var a=this.layer.div;a.appendChild(c);window.setTimeout(function(){c.parentNode===a&&c.parentNode.removeChild(c)},0)}if(this.layerAlphaHack===true){b.style.filter="progid:DXImageTransform.Microsoft.AlphaImageLoader(src='"+b.src+"', sizingMethod='scale')"}},onImageError:function(){var a=this.imgDiv;if(a.src!=null){this.imageReloadAttempts++;if(this.imageReloadAttempts<=OpenLayers.IMAGE_RELOAD_ATTEMPTS){this.setImgSrc(this.layer.getURL(this.bounds))}else{OpenLayers.Element.addClass(a,"olImageLoadError");this.events.triggerEvent("loaderror");this.onImageLoad()}}},getCanvasContext:function(){if(OpenLayers.CANVAS_SUPPORTED&&this.imgDiv&&!this.isLoading){if(!this.canvasContext){var a=document.createElement("canvas");a.width=this.size.w;a.height=this.size.h;this.canvasContext=a.getContext("2d");this.canvasContext.drawImage(this.imgDiv,0,0)}return this.canvasContext}},CLASS_NAME:"OpenLayers.Tile.Image"});OpenLayers.Geometry.MultiLineString=OpenLayers.Class(OpenLayers.Geometry.Collection,{componentTypes:["OpenLayers.Geometry.LineString"],split:function(o,u){var g=null;var s=u&&u.mutual;var p,a,r,n,b;var e=[];var q=[o];for(var f=0,h=this.components.length;f<h;++f){a=this.components[f];n=false;for(var d=0;d<q.length;++d){p=a.split(q[d],u);if(p){if(s){r=p[0];for(var c=0,l=r.length;c<l;++c){if(c===0&&e.length){e[e.length-1].addComponent(r[c])}else{e.push(new OpenLayers.Geometry.MultiLineString([r[c]]))}}n=true;p=p[1]}if(p.length){p.unshift(d,1);Array.prototype.splice.apply(q,p);break}}}if(!n){if(e.length){e[e.length-1].addComponent(a.clone())}else{e=[new OpenLayers.Geometry.MultiLineString(a.clone())]}}}if(e&&e.length>1){n=true}else{e=[]}if(q&&q.length>1){b=true}else{q=[]}if(n||b){if(s){g=[e,q]}else{g=q}}return g},splitWith:function(o,u){var g=null;var s=u&&u.mutual;var p,c,r,n,a,e,q;if(o instanceof OpenLayers.Geometry.LineString){q=[];e=[o];for(var f=0,h=this.components.length;f<h;++f){a=false;c=this.components[f];for(var d=0;d<e.length;++d){p=e[d].split(c,u);if(p){if(s){r=p[0];if(r.length){r.unshift(d,1);Array.prototype.splice.apply(e,r);d+=r.length-2}p=p[1];if(p.length===0){p=[c.clone()]}}for(var b=0,l=p.length;b<l;++b){if(b===0&&q.length){q[q.length-1].addComponent(p[b])}else{q.push(new OpenLayers.Geometry.MultiLineString([p[b]]))}}a=true}}if(!a){if(q.length){q[q.length-1].addComponent(c.clone())}else{q=[new OpenLayers.Geometry.MultiLineString([c.clone()])]}}}}else{g=o.split(this)}if(e&&e.length>1){n=true}else{e=[]}if(q&&q.length>1){a=true}else{q=[]}if(n||a){if(s){g=[e,q]}else{g=q}}return g},CLASS_NAME:"OpenLayers.Geometry.MultiLineString"});OpenLayers.Format=OpenLayers.Class({options:null,externalProjection:null,internalProjection:null,data:null,keepData:false,initialize:function(a){OpenLayers.Util.extend(this,a);this.options=a},destroy:function(){},read:function(a){throw new Error("Read not implemented.")},write:function(a){throw new Error("Write not implemented.")},CLASS_NAME:"OpenLayers.Format"});OpenLayers.Format.JSON=OpenLayers.Class(OpenLayers.Format,{indent:"    ",space:" ",newline:"\n",level:0,pretty:false,nativeJSON:(function(){return !!(window.JSON&&typeof JSON.parse=="function"&&typeof JSON.stringify=="function")})(),read:function(json,filter){var object;if(this.nativeJSON){object=JSON.parse(json,filter)}else{try{if(/^[\],:{}\s]*$/.test(json.replace(/\\["\\\/bfnrtu]/g,"@").replace(/"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g,"]").replace(/(?:^|:|,)(?:\s*\[)+/g,""))){object=eval("("+json+")");if(typeof filter==="function"){function walk(k,v){if(v&&typeof v==="object"){for(var i in v){if(v.hasOwnProperty(i)){v[i]=walk(i,v[i])}}}return filter(k,v)}object=walk("",object)}}}catch(e){}}if(this.keepData){this.data=object}return object},write:function(e,c){this.pretty=!!c;var a=null;var b=typeof e;if(this.serialize[b]){try{a=(!this.pretty&&this.nativeJSON)?JSON.stringify(e):this.serialize[b].apply(this,[e])}catch(d){OpenLayers.Console.error("Trouble serializing: "+d)}}return a},writeIndent:function(){var b=[];if(this.pretty){for(var a=0;a<this.level;++a){b.push(this.indent)}}return b.join("")},writeNewline:function(){return(this.pretty)?this.newline:""},writeSpace:function(){return(this.pretty)?this.space:""},serialize:{object:function(c){if(c==null){return"null"}if(c.constructor==Date){return this.serialize.date.apply(this,[c])}if(c.constructor==Array){return this.serialize.array.apply(this,[c])}var f=["{"];this.level+=1;var d,b,e;var a=false;for(d in c){if(c.hasOwnProperty(d)){b=OpenLayers.Format.JSON.prototype.write.apply(this,[d,this.pretty]);e=OpenLayers.Format.JSON.prototype.write.apply(this,[c[d],this.pretty]);if(b!=null&&e!=null){if(a){f.push(",")}f.push(this.writeNewline(),this.writeIndent(),b,":",this.writeSpace(),e);a=true}}}this.level-=1;f.push(this.writeNewline(),this.writeIndent(),"}");return f.join("")},array:function(e){var c;var d=["["];this.level+=1;for(var b=0,a=e.length;b<a;++b){c=OpenLayers.Format.JSON.prototype.write.apply(this,[e[b],this.pretty]);if(c!=null){if(b>0){d.push(",")}d.push(this.writeNewline(),this.writeIndent(),c)}}this.level-=1;d.push(this.writeNewline(),this.writeIndent(),"]");return d.join("")},string:function(b){var a={"\b":"\\b","\t":"\\t","\n":"\\n","\f":"\\f","\r":"\\r",'"':'\\"',"\\":"\\\\"};if(/["\\\x00-\x1f]/.test(b)){return'"'+b.replace(/([\x00-\x1f\\"])/g,function(e,d){var f=a[d];if(f){return f}f=d.charCodeAt();return"\\u00"+Math.floor(f/16).toString(16)+(f%16).toString(16)})+'"'}return'"'+b+'"'},number:function(a){return isFinite(a)?String(a):"null"},"boolean":function(a){return String(a)},date:function(a){function b(c){return(c<10)?"0"+c:c}return'"'+a.getFullYear()+"-"+b(a.getMonth()+1)+"-"+b(a.getDate())+"T"+b(a.getHours())+":"+b(a.getMinutes())+":"+b(a.getSeconds())+'"'}},CLASS_NAME:"OpenLayers.Format.JSON"});OpenLayers.ElementsIndexer=OpenLayers.Class({maxZIndex:null,order:null,indices:null,compare:null,initialize:function(a){this.compare=a?OpenLayers.ElementsIndexer.IndexingMethods.Z_ORDER_Y_ORDER:OpenLayers.ElementsIndexer.IndexingMethods.Z_ORDER_DRAWING_ORDER;this.clear()},insert:function(c){if(this.exists(c)){this.remove(c)}var f=c.id;this.determineZIndex(c);var d=-1;var e=this.order.length;var a;while(e-d>1){a=parseInt((d+e)/2);var b=this.compare(this,c,OpenLayers.Util.getElement(this.order[a]));if(b>0){d=a}else{e=a}}this.order.splice(e,0,f);this.indices[f]=this.getZIndex(c);return this.getNextElement(e)},remove:function(b){var d=b.id;var a=OpenLayers.Util.indexOf(this.order,d);if(a>=0){this.order.splice(a,1);delete this.indices[d];if(this.order.length>0){var c=this.order[this.order.length-1];this.maxZIndex=this.indices[c]}else{this.maxZIndex=0}}},clear:function(){this.order=[];this.indices={};this.maxZIndex=0},exists:function(a){return(this.indices[a.id]!=null)},getZIndex:function(a){return a._style.graphicZIndex},determineZIndex:function(a){var b=a._style.graphicZIndex;if(b==null){b=this.maxZIndex;a._style.graphicZIndex=b}else{if(b>this.maxZIndex){this.maxZIndex=b}}},getNextElement:function(b){var a=b+1;if(a<this.order.length){var c=OpenLayers.Util.getElement(this.order[a]);if(c==undefined){c=this.getNextElement(a)}return c}else{return null}},CLASS_NAME:"OpenLayers.ElementsIndexer"});OpenLayers.ElementsIndexer.IndexingMethods={Z_ORDER:function(e,d,b){var a=e.getZIndex(d);var f=0;if(b){var c=e.getZIndex(b);f=a-c}return f},Z_ORDER_DRAWING_ORDER:function(c,b,a){var d=OpenLayers.ElementsIndexer.IndexingMethods.Z_ORDER(c,b,a);if(a&&d==0){d=1}return d},Z_ORDER_Y_ORDER:function(d,c,b){var e=OpenLayers.ElementsIndexer.IndexingMethods.Z_ORDER(d,c,b);if(b&&e===0){var a=b._boundsBottom-c._boundsBottom;e=(a===0)?1:a}return e}};OpenLayers.Renderer.Elements=OpenLayers.Class(OpenLayers.Renderer,{rendererRoot:null,root:null,vectorRoot:null,textRoot:null,xmlns:null,xOffset:0,indexer:null,BACKGROUND_ID_SUFFIX:"_background",LABEL_ID_SUFFIX:"_label",LABEL_OUTLINE_SUFFIX:"_outline",initialize:function(a,b){OpenLayers.Renderer.prototype.initialize.apply(this,arguments);this.rendererRoot=this.createRenderRoot();this.root=this.createRoot("_root");this.vectorRoot=this.createRoot("_vroot");this.textRoot=this.createRoot("_troot");this.root.appendChild(this.vectorRoot);this.root.appendChild(this.textRoot);this.rendererRoot.appendChild(this.root);this.container.appendChild(this.rendererRoot);if(b&&(b.zIndexing||b.yOrdering)){this.indexer=new OpenLayers.ElementsIndexer(b.yOrdering)}},destroy:function(){this.clear();this.rendererRoot=null;this.root=null;this.xmlns=null;OpenLayers.Renderer.prototype.destroy.apply(this,arguments)},clear:function(){var b;var a=this.vectorRoot;if(a){while(b=a.firstChild){a.removeChild(b)}}a=this.textRoot;if(a){while(b=a.firstChild){a.removeChild(b)}}if(this.indexer){this.indexer.clear()}},setExtent:function(e,g){var c=OpenLayers.Renderer.prototype.setExtent.apply(this,arguments);var b=this.getResolution();if(this.map.baseLayer&&this.map.baseLayer.wrapDateLine){var a,d=e.getWidth()/this.map.getExtent().getWidth(),e=e.scale(1/d),f=this.map.getMaxExtent();if(f.right>e.left&&f.right<e.right){a=true}else{if(f.left>e.left&&f.left<e.right){a=false}}if(a!==this.rightOfDateLine||g){c=false;this.xOffset=a===true?f.getWidth()/b:0}this.rightOfDateLine=a}return c},getNodeType:function(b,a){},drawGeometry:function(j,a,d){var h=j.CLASS_NAME;var c=true;if((h=="OpenLayers.Geometry.Collection")||(h=="OpenLayers.Geometry.MultiPoint")||(h=="OpenLayers.Geometry.MultiLineString")||(h=="OpenLayers.Geometry.MultiPolygon")){for(var f=0,g=j.components.length;f<g;f++){c=this.drawGeometry(j.components[f],a,d)&&c}return c}c=false;var e=false;if(a.display!="none"){if(a.backgroundGraphic){this.redrawBackgroundNode(j.id,j,a,d)}else{e=true}c=this.redrawNode(j.id,j,a,d)}if(c==false){var b=document.getElementById(j.id);if(b){if(b._style.backgroundGraphic){e=true}b.parentNode.removeChild(b)}}if(e){var b=document.getElementById(j.id+this.BACKGROUND_ID_SUFFIX);if(b){b.parentNode.removeChild(b)}}return c},redrawNode:function(g,f,b,e){b=this.applyDefaultSymbolizer(b);var c=this.nodeFactory(g,this.getNodeType(f,b));c._featureId=e;c._boundsBottom=f.getBounds().bottom;c._geometryClass=f.CLASS_NAME;c._style=b;var a=this.drawGeometryNode(c,f,b);if(a===false){return false}c=a.node;if(this.indexer){var d=this.indexer.insert(c);if(d){this.vectorRoot.insertBefore(c,d)}else{this.vectorRoot.appendChild(c)}}else{if(c.parentNode!==this.vectorRoot){this.vectorRoot.appendChild(c)}}this.postDraw(c);return a.complete},redrawBackgroundNode:function(e,d,b,c){var a=OpenLayers.Util.extend({},b);a.externalGraphic=a.backgroundGraphic;a.graphicXOffset=a.backgroundXOffset;a.graphicYOffset=a.backgroundYOffset;a.graphicZIndex=a.backgroundGraphicZIndex;a.graphicWidth=a.backgroundWidth||a.graphicWidth;a.graphicHeight=a.backgroundHeight||a.graphicHeight;a.backgroundGraphic=null;a.backgroundXOffset=null;a.backgroundYOffset=null;a.backgroundGraphicZIndex=null;return this.redrawNode(e+this.BACKGROUND_ID_SUFFIX,d,a,null)},drawGeometryNode:function(c,e,b){b=b||c._style;var a={isFilled:b.fill===undefined?true:b.fill,isStroked:b.stroke===undefined?!!b.strokeWidth:b.stroke};var d;switch(e.CLASS_NAME){case"OpenLayers.Geometry.Point":if(b.graphic===false){a.isFilled=false;a.isStroked=false}d=this.drawPoint(c,e);break;case"OpenLayers.Geometry.LineString":a.isFilled=false;d=this.drawLineString(c,e);break;case"OpenLayers.Geometry.LinearRing":d=this.drawLinearRing(c,e);break;case"OpenLayers.Geometry.Polygon":d=this.drawPolygon(c,e);break;case"OpenLayers.Geometry.Rectangle":d=this.drawRectangle(c,e);break;default:break}c._options=a;if(d!=false){return{node:this.setStyle(c,b,a,e),complete:d}}else{return false}},postDraw:function(a){},drawPoint:function(a,b){},drawLineString:function(a,b){},drawLinearRing:function(a,b){},drawPolygon:function(a,b){},drawRectangle:function(a,b){},drawCircle:function(a,b){},removeText:function(c){var a=document.getElementById(c+this.LABEL_ID_SUFFIX);if(a){this.textRoot.removeChild(a)}var b=document.getElementById(c+this.LABEL_OUTLINE_SUFFIX);if(b){this.textRoot.removeChild(b)}},getFeatureIdFromEvent:function(a){var d=a.target;var b=d&&d.correspondingUseElement;var c=b?b:(d||a.srcElement);return c._featureId},eraseGeometry:function(g,f){if((g.CLASS_NAME=="OpenLayers.Geometry.MultiPoint")||(g.CLASS_NAME=="OpenLayers.Geometry.MultiLineString")||(g.CLASS_NAME=="OpenLayers.Geometry.MultiPolygon")||(g.CLASS_NAME=="OpenLayers.Geometry.Collection")){for(var d=0,a=g.components.length;d<a;d++){this.eraseGeometry(g.components[d],f)}}else{var c=OpenLayers.Util.getElement(g.id);if(c&&c.parentNode){if(c.geometry){c.geometry.destroy();c.geometry=null}c.parentNode.removeChild(c);if(this.indexer){this.indexer.remove(c)}if(c._style.backgroundGraphic){var b=g.id+this.BACKGROUND_ID_SUFFIX;var e=OpenLayers.Util.getElement(b);if(e&&e.parentNode){e.parentNode.removeChild(e)}}}}},nodeFactory:function(c,a){var b=OpenLayers.Util.getElement(c);if(b){if(!this.nodeTypeCompare(b,a)){b.parentNode.removeChild(b);b=this.nodeFactory(c,a)}}else{b=this.createNode(a,c)}return b},nodeTypeCompare:function(b,a){},createNode:function(a,b){},moveRoot:function(b){var a=this.root;if(b.root.parentNode==this.rendererRoot){a=b.root}a.parentNode.removeChild(a);b.rendererRoot.appendChild(a)},getRenderLayerId:function(){return this.root.parentNode.parentNode.id},isComplexSymbol:function(a){return(a!="circle")&&!!a},CLASS_NAME:"OpenLayers.Renderer.Elements"});OpenLayers.Strategy=OpenLayers.Class({layer:null,options:null,active:null,autoActivate:true,autoDestroy:true,initialize:function(a){OpenLayers.Util.extend(this,a);this.options=a;this.active=false},destroy:function(){this.deactivate();this.layer=null;this.options=null},setLayer:function(a){this.layer=a},activate:function(){if(!this.active){this.active=true;return true}return false},deactivate:function(){if(this.active){this.active=false;return true}return false},CLASS_NAME:"OpenLayers.Strategy"});OpenLayers.Strategy.Fixed=OpenLayers.Class(OpenLayers.Strategy,{preload:false,activate:function(){if(OpenLayers.Strategy.prototype.activate.apply(this,arguments)){this.layer.events.on({refresh:this.load,scope:this});if(this.layer.visibility==true||this.preload){this.load()}else{this.layer.events.on({visibilitychanged:this.load,scope:this})}return true}return false},deactivate:function(){var a=OpenLayers.Strategy.prototype.deactivate.call(this);if(a){this.layer.events.un({refresh:this.load,visibilitychanged:this.load,scope:this})}return a},load:function(a){var b=this.layer;b.events.triggerEvent("loadstart");b.protocol.read(OpenLayers.Util.applyDefaults({callback:OpenLayers.Function.bind(this.merge,this,b.map.getProjectionObject()),filter:b.filter},a));b.events.un({visibilitychanged:this.load,scope:this})},merge:function(f,g){var d=this.layer;d.destroyFeatures();var e=g.features;if(e&&e.length>0){if(!f.equals(d.projection)){var c;for(var b=0,a=e.length;b<a;++b){c=e[b].geometry;if(c){c.transform(d.projection,f)}}}d.addFeatures(e)}d.events.triggerEvent("loadend")},CLASS_NAME:"OpenLayers.Strategy.Fixed"});OpenLayers.Control.Pan=OpenLayers.Class(OpenLayers.Control,{slideFactor:50,slideRatio:null,direction:null,type:OpenLayers.Control.TYPE_BUTTON,initialize:function(b,a){this.direction=b;this.CLASS_NAME+=this.direction;OpenLayers.Control.prototype.initialize.apply(this,[a])},trigger:function(){var a=OpenLayers.Function.bind(function(b){return this.slideRatio?this.map.getSize()[b]*this.slideRatio:this.slideFactor},this);switch(this.direction){case OpenLayers.Control.Pan.NORTH:this.map.pan(0,-a("h"));break;case OpenLayers.Control.Pan.SOUTH:this.map.pan(0,a("h"));break;case OpenLayers.Control.Pan.WEST:this.map.pan(-a("w"),0);break;case OpenLayers.Control.Pan.EAST:this.map.pan(a("w"),0);break}},CLASS_NAME:"OpenLayers.Control.Pan"});OpenLayers.Control.Pan.NORTH="North";OpenLayers.Control.Pan.SOUTH="South";OpenLayers.Control.Pan.EAST="East";OpenLayers.Control.Pan.WEST="West";OpenLayers.Date={toISOString:(function(){if("toISOString" in Date.prototype){return function(b){return b.toISOString()}}else{function a(c,b){var d=c+"";while(d.length<b){d="0"+d}return d}return function(b){var c;if(isNaN(b.getTime())){c="Invalid Date"}else{c=b.getUTCFullYear()+"-"+a(b.getUTCMonth()+1,2)+"-"+a(b.getUTCDate(),2)+"T"+a(b.getUTCHours(),2)+":"+a(b.getUTCMinutes(),2)+":"+a(b.getUTCSeconds(),2)+"."+a(b.getUTCMilliseconds(),3)+"Z"}return c}}})(),parse:function(j){var b;var h=j.match(/^(?:(\d{4})(?:-(\d{2})(?:-(\d{2}))?)?)?(?:(?:T(\d{1,2}):(\d{2}):(\d{2}(?:\.\d+)?)(Z|(?:[+-]\d{1,2}(?::(\d{2}))?)))|Z)?$/);if(h&&(h[1]||h[7])){var k=parseInt(h[1],10)||0;var i=(parseInt(h[2],10)-1)||0;var n=parseInt(h[3],10)||1;b=new Date(Date.UTC(k,i,n));var l=h[7];if(l){var o=parseInt(h[4],10);var d=parseInt(h[5],10);var a=parseFloat(h[6]);var p=a|0;var c=Math.round(1000*(a-p));b.setUTCHours(o,d,p,c);if(l!=="Z"){var g=parseInt(l,10);var f=parseInt(h[8],10)||0;var e=-1000*(60*(g*60)+f*60);b=new Date(b.getTime()+e)}}}else{b=new Date("invalid")}return b}};OpenLayers.Format.XML=OpenLayers.Class(OpenLayers.Format,{namespaces:null,namespaceAlias:null,defaultPrefix:null,readers:{},writers:{},xmldom:null,initialize:function(a){if(window.ActiveXObject){this.xmldom=new ActiveXObject("Microsoft.XMLDOM")}OpenLayers.Format.prototype.initialize.apply(this,[a]);this.namespaces=OpenLayers.Util.extend({},this.namespaces);this.namespaceAlias={};for(var b in this.namespaces){this.namespaceAlias[this.namespaces[b]]=b}},destroy:function(){this.xmldom=null;OpenLayers.Format.prototype.destroy.apply(this,arguments)},setNamespace:function(a,b){this.namespaces[a]=b;this.namespaceAlias[b]=a},read:function(c){var a=c.indexOf("<");if(a>0){c=c.substring(a)}var b=OpenLayers.Util.Try(OpenLayers.Function.bind((function(){var d;if(window.ActiveXObject&&!this.xmldom){d=new ActiveXObject("Microsoft.XMLDOM")}else{d=this.xmldom}d.loadXML(c);return d}),this),function(){return new DOMParser().parseFromString(c,"text/xml")},function(){var d=new XMLHttpRequest();d.open("GET","data:text/xml;charset=utf-8,"+encodeURIComponent(c),false);if(d.overrideMimeType){d.overrideMimeType("text/xml")}d.send(null);return d.responseXML});if(this.keepData){this.data=b}return b},write:function(b){var c;if(this.xmldom){c=b.xml}else{var a=new XMLSerializer();if(b.nodeType==1){var d=document.implementation.createDocument("","",null);if(d.importNode){b=d.importNode(b,true)}d.appendChild(b);c=a.serializeToString(d)}else{c=a.serializeToString(b)}}return c},createElementNS:function(c,a){var b;if(this.xmldom){if(typeof c=="string"){b=this.xmldom.createNode(1,a,c)}else{b=this.xmldom.createNode(1,a,"")}}else{b=document.createElementNS(c,a)}return b},createTextNode:function(b){var a;if(typeof b!=="string"){b=String(b)}if(this.xmldom){a=this.xmldom.createTextNode(b)}else{a=document.createTextNode(b)}return a},getElementsByTagNameNS:function(e,d,c){var a=[];if(e.getElementsByTagNameNS){a=e.getElementsByTagNameNS(d,c)}else{var b=e.getElementsByTagName("*");var j,f;for(var g=0,h=b.length;g<h;++g){j=b[g];f=(j.prefix)?(j.prefix+":"+c):c;if((c=="*")||(f==j.nodeName)){if((d=="*")||(d==j.namespaceURI)){a.push(j)}}}}return a},getAttributeNodeNS:function(c,b,a){var j=null;if(c.getAttributeNodeNS){j=c.getAttributeNodeNS(b,a)}else{var e=c.attributes;var h,d;for(var f=0,g=e.length;f<g;++f){h=e[f];if(h.namespaceURI==b){d=(h.prefix)?(h.prefix+":"+a):a;if(d==h.nodeName){j=h;break}}}}return j},getAttributeNS:function(e,d,a){var b="";if(e.getAttributeNS){b=e.getAttributeNS(d,a)||""}else{var c=this.getAttributeNodeNS(e,d,a);if(c){b=c.nodeValue}}return b},getChildValue:function(a,c){var b=c||"";if(a){for(var d=a.firstChild;d;d=d.nextSibling){switch(d.nodeType){case 3:case 4:b+=d.nodeValue}}}return b},isSimpleContent:function(a){var c=true;for(var b=a.firstChild;b;b=b.nextSibling){if(b.nodeType===1){c=false;break}}return c},contentType:function(c){var e=false,b=false;var a=OpenLayers.Format.XML.CONTENT_TYPE.EMPTY;for(var d=c.firstChild;d;d=d.nextSibling){switch(d.nodeType){case 1:b=true;break;case 8:break;default:e=true}if(b&&e){break}}if(b&&e){a=OpenLayers.Format.XML.CONTENT_TYPE.MIXED}else{if(b){return OpenLayers.Format.XML.CONTENT_TYPE.COMPLEX}else{if(e){return OpenLayers.Format.XML.CONTENT_TYPE.SIMPLE}}}return a},hasAttributeNS:function(c,b,a){var d=false;if(c.hasAttributeNS){d=c.hasAttributeNS(b,a)}else{d=!!this.getAttributeNodeNS(c,b,a)}return d},setAttributeNS:function(d,c,a,e){if(d.setAttributeNS){d.setAttributeNS(c,a,e)}else{if(this.xmldom){if(c){var b=d.ownerDocument.createNode(2,a,c);b.nodeValue=e;d.setAttributeNode(b)}else{d.setAttribute(a,e)}}else{throw"setAttributeNS not implemented"}}},createElementNSPlus:function(b,a){a=a||{};var d=a.uri||this.namespaces[a.prefix];if(!d){var f=b.indexOf(":");d=this.namespaces[b.substring(0,f)]}if(!d){d=this.namespaces[this.defaultPrefix]}var c=this.createElementNS(d,b);if(a.attributes){this.setAttributes(c,a.attributes)}var e=a.value;if(e!=null){c.appendChild(this.createTextNode(e))}return c},setAttributes:function(c,e){var d,b;for(var a in e){if(e[a]!=null&&e[a].toString){d=e[a].toString();b=this.namespaces[a.substring(0,a.indexOf(":"))]||null;this.setAttributeNS(c,b,a,d)}}},readNode:function(c,e){if(!e){e={}}var d=this.readers[c.namespaceURI?this.namespaceAlias[c.namespaceURI]:this.defaultPrefix];if(d){var b=c.localName||c.nodeName.split(":").pop();var a=d[b]||d["*"];if(a){a.apply(this,[c,e])}}return e},readChildNodes:function(d,e){if(!e){e={}}var c=d.childNodes;var f;for(var b=0,a=c.length;b<a;++b){f=c[b];if(f.nodeType==1){this.readNode(f,e)}}return e},writeNode:function(a,f,d){var e,c;var b=a.indexOf(":");if(b>0){e=a.substring(0,b);c=a.substring(b+1)}else{if(d){e=this.namespaceAlias[d.namespaceURI]}else{e=this.defaultPrefix}c=a}var g=this.writers[e][c].apply(this,[f]);if(d){d.appendChild(g)}return g},getChildEl:function(c,a,b){return c&&this.getThisOrNextEl(c.firstChild,a,b)},getNextEl:function(c,a,b){return c&&this.getThisOrNextEl(c.nextSibling,a,b)},getThisOrNextEl:function(d,a,c){outer:for(var b=d;b;b=b.nextSibling){switch(b.nodeType){case 1:if((!a||a===(b.localName||b.nodeName.split(":").pop()))&&(!c||c===b.namespaceURI)){break outer}b=null;break outer;case 3:if(/^\s*$/.test(b.nodeValue)){break}case 4:case 6:case 12:case 10:case 11:b=null;break outer}}return b||null},lookupNamespaceURI:function(e,f){var d=null;if(e){if(e.lookupNamespaceURI){d=e.lookupNamespaceURI(f)}else{outer:switch(e.nodeType){case 1:if(e.namespaceURI!==null&&e.prefix===f){d=e.namespaceURI;break outer}var b=e.attributes.length;if(b){var a;for(var c=0;c<b;++c){a=e.attributes[c];if(a.prefix==="xmlns"&&a.name==="xmlns:"+f){d=a.value||null;break outer}else{if(a.name==="xmlns"&&f===null){d=a.value||null;break outer}}}}d=this.lookupNamespaceURI(e.parentNode,f);break outer;case 2:d=this.lookupNamespaceURI(e.ownerElement,f);break outer;case 9:d=this.lookupNamespaceURI(e.documentElement,f);break outer;case 6:case 12:case 10:case 11:break outer;default:d=this.lookupNamespaceURI(e.parentNode,f);break outer}}}return d},getXMLDoc:function(){if(!OpenLayers.Format.XML.document&&!this.xmldom){if(document.implementation&&document.implementation.createDocument){OpenLayers.Format.XML.document=document.implementation.createDocument("","",null)}else{if(!this.xmldom&&window.ActiveXObject){this.xmldom=new ActiveXObject("Microsoft.XMLDOM")}}}return OpenLayers.Format.XML.document||this.xmldom},CLASS_NAME:"OpenLayers.Format.XML"});OpenLayers.Format.XML.CONTENT_TYPE={EMPTY:0,SIMPLE:1,COMPLEX:2,MIXED:3};OpenLayers.Format.XML.lookupNamespaceURI=OpenLayers.Function.bind(OpenLayers.Format.XML.prototype.lookupNamespaceURI,OpenLayers.Format.XML.prototype);OpenLayers.Format.XML.document=null;OpenLayers.Geometry.Polygon=OpenLayers.Class(OpenLayers.Geometry.Collection,{componentTypes:["OpenLayers.Geometry.LinearRing"],getArea:function(){var c=0;if(this.components&&(this.components.length>0)){c+=Math.abs(this.components[0].getArea());for(var b=1,a=this.components.length;b<a;b++){c-=Math.abs(this.components[b].getArea())}}return c},getGeodesicArea:function(b){var d=0;if(this.components&&(this.components.length>0)){d+=Math.abs(this.components[0].getGeodesicArea(b));for(var c=1,a=this.components.length;c<a;c++){d-=Math.abs(this.components[c].getGeodesicArea(b))}}return d},containsPoint:function(a){var e=this.components.length;var c=false;if(e>0){c=this.components[0].containsPoint(a);if(c!==1){if(c&&e>1){var d;for(var b=1;b<e;++b){d=this.components[b].containsPoint(a);if(d){if(d===1){c=1}else{c=false}break}}}}}return c},intersects:function(e){var b=false;var d,a;if(e.CLASS_NAME=="OpenLayers.Geometry.Point"){b=this.containsPoint(e)}else{if(e.CLASS_NAME=="OpenLayers.Geometry.LineString"||e.CLASS_NAME=="OpenLayers.Geometry.LinearRing"){for(d=0,a=this.components.length;d<a;++d){b=e.intersects(this.components[d]);if(b){break}}if(!b){for(d=0,a=e.components.length;d<a;++d){b=this.containsPoint(e.components[d]);if(b){break}}}}else{for(d=0,a=e.components.length;d<a;++d){b=this.intersects(e.components[d]);if(b){break}}}}if(!b&&e.CLASS_NAME=="OpenLayers.Geometry.Polygon"){var c=this.components[0];for(d=0,a=c.components.length;d<a;++d){b=e.containsPoint(c.components[d]);if(b){break}}}return b},distanceTo:function(d,b){var c=!(b&&b.edge===false);var a;if(!c&&this.intersects(d)){a=0}else{a=OpenLayers.Geometry.Collection.prototype.distanceTo.apply(this,[d,b])}return a},CLASS_NAME:"OpenLayers.Geometry.Polygon"});OpenLayers.Geometry.Polygon.createRegularPolygon=function(j,f,b,l){var c=Math.PI*((1/b)-(1/2));if(l){c+=(l/180)*Math.PI}var a,h,g;var k=[];for(var e=0;e<b;++e){a=c+(e*2*Math.PI/b);h=j.x+(f*Math.cos(a));g=j.y+(f*Math.sin(a));k.push(new OpenLayers.Geometry.Point(h,g))}var d=new OpenLayers.Geometry.LinearRing(k);return new OpenLayers.Geometry.Polygon([d])};OpenLayers.ProxyHost="";OpenLayers.Request={DEFAULT_CONFIG:{method:"GET",url:window.location.href,async:true,user:undefined,password:undefined,params:null,proxy:OpenLayers.ProxyHost,headers:{},data:null,callback:function(){},success:null,failure:null,scope:null},URL_SPLIT_REGEX:/([^:]*:)\/\/([^:]*:?[^@]*@)?([^:\/\?]*):?([^\/\?]*)/,events:new OpenLayers.Events(this),makeSameOrigin:function(b,c){var f=b.indexOf("http")!==0;var g=!f&&b.match(this.URL_SPLIT_REGEX);if(g){var a=window.location;f=g[1]==a.protocol&&g[3]==a.hostname;var d=g[4],e=a.port;if(d!=80&&d!=""||e!="80"&&e!=""){f=f&&d==e}}if(!f){if(c){if(typeof c=="function"){b=c(b)}else{b=c+encodeURIComponent(b)}}else{OpenLayers.Console.warn(OpenLayers.i18n("proxyNeeded"),{url:b})}}return b},issue:function(b){var d=OpenLayers.Util.extend(this.DEFAULT_CONFIG,{proxy:OpenLayers.ProxyHost});b=OpenLayers.Util.applyDefaults(b,d);var g=false,e;for(e in b.headers){if(b.headers.hasOwnProperty(e)){if(e.toLowerCase()==="x-requested-with"){g=true}}}if(g===false){b.headers["X-Requested-With"]="XMLHttpRequest"}var c=new OpenLayers.Request.XMLHttpRequest();var a=OpenLayers.Util.urlAppend(b.url,OpenLayers.Util.getParameterString(b.params||{}));a=OpenLayers.Request.makeSameOrigin(a,b.proxy);c.open(b.method,a,b.async,b.user,b.password);for(var f in b.headers){c.setRequestHeader(f,b.headers[f])}var i=this.events;var h=this;c.onreadystatechange=function(){if(c.readyState==OpenLayers.Request.XMLHttpRequest.DONE){var j=i.triggerEvent("complete",{request:c,config:b,requestUrl:a});if(j!==false){h.runCallbacks({request:c,config:b,requestUrl:a})}}};if(b.async===false){c.send(b.data)}else{window.setTimeout(function(){if(c.readyState!==0){c.send(b.data)}},0)}return c},runCallbacks:function(d){var e=d.request;var c=d.config;var a=(c.scope)?OpenLayers.Function.bind(c.callback,c.scope):c.callback;var f;if(c.success){f=(c.scope)?OpenLayers.Function.bind(c.success,c.scope):c.success}var b;if(c.failure){b=(c.scope)?OpenLayers.Function.bind(c.failure,c.scope):c.failure}if(OpenLayers.Util.createUrlObject(c.url).protocol=="file:"&&e.responseText){e.status=200}a(e);if(!e.status||(e.status>=200&&e.status<300)){this.events.triggerEvent("success",d);if(f){f(e)}}if(e.status&&(e.status<200||e.status>=300)){this.events.triggerEvent("failure",d);if(b){b(e)}}},GET:function(a){a=OpenLayers.Util.extend(a,{method:"GET"});return OpenLayers.Request.issue(a)},POST:function(a){a=OpenLayers.Util.extend(a,{method:"POST"});a.headers=a.headers?a.headers:{};if(!("CONTENT-TYPE" in OpenLayers.Util.upperCaseObject(a.headers))){a.headers["Content-Type"]="application/xml"}return OpenLayers.Request.issue(a)},PUT:function(a){a=OpenLayers.Util.extend(a,{method:"PUT"});a.headers=a.headers?a.headers:{};if(!("CONTENT-TYPE" in OpenLayers.Util.upperCaseObject(a.headers))){a.headers["Content-Type"]="application/xml"}return OpenLayers.Request.issue(a)},DELETE:function(a){a=OpenLayers.Util.extend(a,{method:"DELETE"});return OpenLayers.Request.issue(a)},HEAD:function(a){a=OpenLayers.Util.extend(a,{method:"HEAD"});return OpenLayers.Request.issue(a)},OPTIONS:function(a){a=OpenLayers.Util.extend(a,{method:"OPTIONS"});return OpenLayers.Request.issue(a)}};(function(){var g=window.XMLHttpRequest;var a=!!window.controllers,j=window.document.all&&!window.opera,k=j&&window.navigator.userAgent.match(/MSIE 7.0/);function d(){this._object=g&&!k?new g:new window.ActiveXObject("Microsoft.XMLHTTP");this._listeners=[]}function c(){return new d}c.prototype=d.prototype;if(a&&g.wrapped){c.wrapped=g.wrapped}c.UNSENT=0;c.OPENED=1;c.HEADERS_RECEIVED=2;c.LOADING=3;c.DONE=4;c.prototype.readyState=c.UNSENT;c.prototype.responseText="";c.prototype.responseXML=null;c.prototype.status=0;c.prototype.statusText="";c.prototype.priority="NORMAL";c.prototype.onreadystatechange=null;c.onreadystatechange=null;c.onopen=null;c.onsend=null;c.onabort=null;c.prototype.open=function(p,s,o,u,n){delete this._headers;if(arguments.length<3){o=true}this._async=o;var r=this,q=this.readyState,l;if(j&&o){l=function(){if(q!=c.DONE){e(r);r.abort()}};window.attachEvent("onunload",l)}if(c.onopen){c.onopen.apply(this,arguments)}if(arguments.length>4){this._object.open(p,s,o,u,n)}else{if(arguments.length>3){this._object.open(p,s,o,u)}else{this._object.open(p,s,o)}}this.readyState=c.OPENED;b(this);this._object.onreadystatechange=function(){if(a&&!o){return}r.readyState=r._object.readyState;h(r);if(r._aborted){r.readyState=c.UNSENT;return}if(r.readyState==c.DONE){delete r._data;e(r);if(j&&o){window.detachEvent("onunload",l)}}if(q!=r.readyState){b(r)}q=r.readyState}};function f(l){l._object.send(l._data);if(a&&!l._async){l.readyState=c.OPENED;h(l);while(l.readyState<c.DONE){l.readyState++;b(l);if(l._aborted){return}}}}c.prototype.send=function(l){if(c.onsend){c.onsend.apply(this,arguments)}if(!arguments.length){l=null}if(l&&l.nodeType){l=window.XMLSerializer?new window.XMLSerializer().serializeToString(l):l.xml;if(!this._headers["Content-Type"]){this._object.setRequestHeader("Content-Type","application/xml")}}this._data=l;f(this)};c.prototype.abort=function(){if(c.onabort){c.onabort.apply(this,arguments)}if(this.readyState>c.UNSENT){this._aborted=true}this._object.abort();e(this);this.readyState=c.UNSENT;delete this._data};c.prototype.getAllResponseHeaders=function(){return this._object.getAllResponseHeaders()};c.prototype.getResponseHeader=function(l){return this._object.getResponseHeader(l)};c.prototype.setRequestHeader=function(l,n){if(!this._headers){this._headers={}}this._headers[l]=n;return this._object.setRequestHeader(l,n)};c.prototype.addEventListener=function(p,o,n){for(var l=0,q;q=this._listeners[l];l++){if(q[0]==p&&q[1]==o&&q[2]==n){return}}this._listeners.push([p,o,n])};c.prototype.removeEventListener=function(p,o,n){for(var l=0,q;q=this._listeners[l];l++){if(q[0]==p&&q[1]==o&&q[2]==n){break}}if(q){this._listeners.splice(l,1)}};c.prototype.dispatchEvent=function(n){var o={type:n.type,target:this,currentTarget:this,eventPhase:2,bubbles:n.bubbles,cancelable:n.cancelable,timeStamp:n.timeStamp,stopPropagation:function(){},preventDefault:function(){},initEvent:function(){}};if(o.type=="readystatechange"&&this.onreadystatechange){(this.onreadystatechange.handleEvent||this.onreadystatechange).apply(this,[o])}for(var l=0,p;p=this._listeners[l];l++){if(p[0]==o.type&&!p[2]){(p[1].handleEvent||p[1]).apply(this,[o])}}};c.prototype.toString=function(){return"[object XMLHttpRequest]"};c.toString=function(){return"[XMLHttpRequest]"};function b(l){if(c.onreadystatechange){c.onreadystatechange.apply(l)}l.dispatchEvent({type:"readystatechange",bubbles:false,cancelable:false,timeStamp:new Date+0})}function i(o){var n=o.responseXML,l=o.responseText;if(j&&l&&n&&!n.documentElement&&o.getResponseHeader("Content-Type").match(/[^\/]+\/[^\+]+\+xml/)){n=new window.ActiveXObject("Microsoft.XMLDOM");n.async=false;n.validateOnParse=false;n.loadXML(l)}if(n){if((j&&n.parseError!=0)||!n.documentElement||(n.documentElement&&n.documentElement.tagName=="parsererror")){return null}}return n}function h(l){try{l.responseText=l._object.responseText}catch(n){}try{l.responseXML=i(l._object)}catch(n){}try{l.status=l._object.status}catch(n){}try{l.statusText=l._object.statusText}catch(n){}}function e(l){l._object.onreadystatechange=new window.Function}if(!window.Function.prototype.apply){window.Function.prototype.apply=function(l,n){if(!n){n=[]}l.__func=this;l.__func(n[0],n[1],n[2],n[3],n[4]);delete l.__func}}OpenLayers.Request.XMLHttpRequest=c})();OpenLayers.Format.KML=OpenLayers.Class(OpenLayers.Format.XML,{namespaces:{kml:"http://www.opengis.net/kml/2.2",gx:"http://www.google.com/kml/ext/2.2"},kmlns:"http://earth.google.com/kml/2.0",placemarksDesc:"No description available",foldersName:"OpenLayers export",foldersDesc:"Exported on "+new Date(),extractAttributes:true,kvpAttributes:false,extractStyles:false,extractTracks:false,trackAttributes:null,internalns:null,features:null,styles:null,styleBaseUrl:"",fetched:null,maxDepth:0,initialize:function(a){this.regExes={trimSpace:(/^\s*|\s*$/g),removeSpace:(/\s*/g),splitSpace:(/\s+/),trimComma:(/\s*,\s*/g),kmlColor:(/(\w{2})(\w{2})(\w{2})(\w{2})/),kmlIconPalette:(/root:\/\/icons\/palette-(\d+)(\.\w+)/),straightBracket:(/\$\[(.*?)\]/g)};this.externalProjection=new OpenLayers.Projection("EPSG:4326");OpenLayers.Format.XML.prototype.initialize.apply(this,[a])},read:function(b){this.features=[];this.styles={};this.fetched={};var a={depth:0,styleBaseUrl:this.styleBaseUrl};return this.parseData(b,a)},parseData:function(g,c){if(typeof g=="string"){g=OpenLayers.Format.XML.prototype.read.apply(this,[g])}var e=["Link","NetworkLink","Style","StyleMap","Placemark"];for(var d=0,a=e.length;d<a;++d){var f=e[d];var b=this.getElementsByTagNameNS(g,"*",f);if(b.length==0){continue}switch(f.toLowerCase()){case"link":case"networklink":this.parseLinks(b,c);break;case"style":if(this.extractStyles){this.parseStyles(b,c)}break;case"stylemap":if(this.extractStyles){this.parseStyleMaps(b,c)}break;case"placemark":this.parseFeatures(b,c);break}}return this.features},parseLinks:function(c,d){if(d.depth>=this.maxDepth){return false}var g=OpenLayers.Util.extend({},d);g.depth++;for(var e=0,a=c.length;e<a;e++){var b=this.parseProperty(c[e],"*","href");if(b&&!this.fetched[b]){this.fetched[b]=true;var f=this.fetchLink(b);if(f){this.parseData(f,g)}}}},fetchLink:function(a){var b=OpenLayers.Request.GET({url:a,async:false});if(b){return b.responseText}},parseStyles:function(b,c){for(var e=0,a=b.length;e<a;e++){var f=this.parseStyle(b[e]);if(f){var d=(c.styleBaseUrl||"")+"#"+f.id;this.styles[d]=f}}},parseKmlColor:function(b){var a=null;if(b){var c=b.match(this.regExes.kmlColor);if(c){a={color:"#"+c[4]+c[3]+c[2],opacity:parseInt(c[1],16)/255}}}return a},parseStyle:function(D){var L={};var s=["LineStyle","PolyStyle","IconStyle","BalloonStyle","LabelStyle"];var e,l,O,g,d;for(var I=0,K=s.length;I<K;++I){e=s[I];l=this.getElementsByTagNameNS(D,"*",e)[0];if(!l){continue}switch(e.toLowerCase()){case"linestyle":var c=this.parseProperty(l,"*","color");var F=this.parseKmlColor(c);if(F){L.strokeColor=F.color;L.strokeOpacity=F.opacity}var C=this.parseProperty(l,"*","width");if(C){L.strokeWidth=C}break;case"polystyle":var c=this.parseProperty(l,"*","color");var F=this.parseKmlColor(c);if(F){L.fillOpacity=F.opacity;L.fillColor=F.color}var G=this.parseProperty(l,"*","fill");if(G=="0"){L.fillColor="none"}var j=this.parseProperty(l,"*","outline");if(j=="0"){L.strokeWidth="0"}break;case"iconstyle":var Q=parseFloat(this.parseProperty(l,"*","scale")||1);var C=32*Q;var A=32*Q;var P=this.getElementsByTagNameNS(l,"*","Icon")[0];if(P){var H=this.parseProperty(P,"*","href");if(H){var r=this.parseProperty(P,"*","w");var J=this.parseProperty(P,"*","h");var f="http://maps.google.com/mapfiles/kml";if(OpenLayers.String.startsWith(H,f)&&!r&&!J){r=64;J=64;Q=Q/2}r=r||J;J=J||r;if(r){C=parseInt(r)*Q}if(J){A=parseInt(J)*Q}var b=H.match(this.regExes.kmlIconPalette);if(b){var M=b[1];var z=b[2];var q=this.parseProperty(P,"*","x");var p=this.parseProperty(P,"*","y");var o=q?q/32:0;var n=p?(7-p/32):7;var k=n*8+o;H="http://maps.google.com/mapfiles/kml/pal"+M+"/icon"+k+z}L.graphicOpacity=1;L.externalGraphic=H}}var u=this.getElementsByTagNameNS(l,"*","hotSpot")[0];if(u){var q=parseFloat(u.getAttribute("x"));var p=parseFloat(u.getAttribute("y"));var E=u.getAttribute("xunits");if(E=="pixels"){L.graphicXOffset=-q*Q}else{if(E=="insetPixels"){L.graphicXOffset=-C+(q*Q)}else{if(E=="fraction"){L.graphicXOffset=-C*q}}}var N=u.getAttribute("yunits");if(N=="pixels"){L.graphicYOffset=-A+(p*Q)+1}else{if(N=="insetPixels"){L.graphicYOffset=-(p*Q)+1}else{if(N=="fraction"){L.graphicYOffset=-A*(1-p)+1}}}}L.graphicWidth=C;L.graphicHeight=A;break;case"balloonstyle":var a=OpenLayers.Util.getXmlNodeValue(l);if(a){L.balloonStyle=a.replace(this.regExes.straightBracket,"${$1}")}break;case"labelstyle":var c=this.parseProperty(l,"*","color");var F=this.parseKmlColor(c);if(F){L.fontColor=F.color;L.fontOpacity=F.opacity}break;default:}}if(!L.strokeColor&&L.fillColor){L.strokeColor=L.fillColor}var B=D.getAttribute("id");if(B&&L){L.id=B}return L},parseStyleMaps:function(a,o){for(var g=0,h=a.length;g<h;g++){var d=a[g];var c=this.getElementsByTagNameNS(d,"*","Pair");var b=d.getAttribute("id");for(var f=0,n=c.length;f<n;f++){var e=c[f];var l=this.parseProperty(e,"*","key");var k=this.parseProperty(e,"*","styleUrl");if(k&&l=="normal"){this.styles[(o.styleBaseUrl||"")+"#"+b]=this.styles[(o.styleBaseUrl||"")+k]}}}},parseFeatures:function(b,n){var f=[];for(var g=0,h=b.length;g<h;g++){var c=b[g];var l=this.parseFeature.apply(this,[c]);if(l){if(this.extractStyles&&l.attributes&&l.attributes.styleUrl){l.style=this.getStyle(l.attributes.styleUrl,n)}if(this.extractStyles){var k=this.getElementsByTagNameNS(c,"*","Style")[0];if(k){var e=this.parseStyle(k);if(e){l.style=OpenLayers.Util.extend(l.style,e)}}}if(this.extractTracks){var j=this.getElementsByTagNameNS(c,this.namespaces.gx,"Track");if(j&&j.length>0){var d=j[0];var a={features:[],feature:l};this.readNode(d,a);if(a.features.length>0){f.push.apply(f,a.features)}}}else{f.push(l)}}else{throw"Bad Placemark: "+g}}this.features=this.features.concat(f)},readers:{kml:{when:function(b,a){a.whens.push(OpenLayers.Date.parse(this.getChildValue(b)))},_trackPointAttribute:function(c,a){var b=c.nodeName.split(":").pop();a.attributes[b].push(this.getChildValue(c))}},gx:{Track:function(c,b){var e={whens:[],points:[],angles:[]};if(this.trackAttributes){var a;e.attributes={};for(var f=0,n=this.trackAttributes.length;f<n;++f){a=this.trackAttributes[f];e.attributes[a]=[];if(!(a in this.readers.kml)){this.readers.kml[a]=this.readers.kml._trackPointAttribute}}}this.readChildNodes(c,e);if(e.whens.length!==e.points.length){throw new Error("gx:Track with unequal number of when ("+e.whens.length+") and gx:coord ("+e.points.length+") elements.")}var k=e.angles.length>0;if(k&&e.whens.length!==e.angles.length){throw new Error("gx:Track with unequal number of when ("+e.whens.length+") and gx:angles ("+e.angles.length+") elements.")}var o,l,h;for(var f=0,n=e.whens.length;f<n;++f){o=b.feature.clone();o.fid=b.feature.fid||b.feature.id;l=e.points[f];o.geometry=l;if("z" in l){o.attributes.altitude=l.z}if(this.internalProjection&&this.externalProjection){o.geometry.transform(this.externalProjection,this.internalProjection)}if(this.trackAttributes){for(var d=0,g=this.trackAttributes.length;d<g;++d){o.attributes[a]=e.attributes[this.trackAttributes[d]][f]}}o.attributes.when=e.whens[f];o.attributes.trackId=b.feature.id;if(k){h=e.angles[f];o.attributes.heading=parseFloat(h[0]);o.attributes.tilt=parseFloat(h[1]);o.attributes.roll=parseFloat(h[2])}b.features.push(o)}},coord:function(c,b){var e=this.getChildValue(c);var d=e.replace(this.regExes.trimSpace,"").split(/\s+/);var a=new OpenLayers.Geometry.Point(d[0],d[1]);if(d.length>2){a.z=parseFloat(d[2])}b.points.push(a)},angles:function(b,a){var d=this.getChildValue(b);var c=d.replace(this.regExes.trimSpace,"").split(/\s+/);a.angles.push(c)}}},parseFeature:function(b){var c=["MultiGeometry","Polygon","LineString","Point"];var j,e,k,a;for(var g=0,h=c.length;g<h;++g){j=c[g];this.internalns=b.namespaceURI?b.namespaceURI:this.kmlns;e=this.getElementsByTagNameNS(b,this.internalns,j);if(e.length>0){var a=this.parseGeometry[j.toLowerCase()];if(a){k=a.apply(this,[e[0]]);if(this.internalProjection&&this.externalProjection){k.transform(this.externalProjection,this.internalProjection)}}else{throw new TypeError("Unsupported geometry type: "+j)}break}}var f;if(this.extractAttributes){f=this.parseAttributes(b)}var l=new OpenLayers.Feature.Vector(k,f);var d=b.getAttribute("id")||b.getAttribute("name");if(d!=null){l.fid=d}return l},getStyle:function(b,a){var c=OpenLayers.Util.removeTail(b);var f=OpenLayers.Util.extend({},a);f.depth++;f.styleBaseUrl=c;if(!this.styles[b]&&!OpenLayers.String.startsWith(b,"#")&&f.depth<=this.maxDepth&&!this.fetched[c]){var e=this.fetchLink(c);if(e){this.parseData(e,f)}}var d=OpenLayers.Util.extend({},this.styles[b]);return d},parseGeometry:{point:function(d){var c=this.getElementsByTagNameNS(d,this.internalns,"coordinates");var e=[];if(c.length>0){var b=c[0].firstChild.nodeValue;b=b.replace(this.regExes.removeSpace,"");e=b.split(",")}var a=null;if(e.length>1){if(e.length==2){e[2]=null}a=new OpenLayers.Geometry.Point(e[0],e[1],e[2])}else{throw"Bad coordinate string: "+b}return a},linestring:function(c,e){var d=this.getElementsByTagNameNS(c,this.internalns,"coordinates");var l=null;if(d.length>0){var b=this.getChildValue(d[0]);b=b.replace(this.regExes.trimSpace,"");b=b.replace(this.regExes.trimComma,",");var a=b.split(this.regExes.splitSpace);var h=a.length;var k=new Array(h);var j,g;for(var f=0;f<h;++f){j=a[f].split(",");g=j.length;if(g>1){if(j.length==2){j[2]=null}k[f]=new OpenLayers.Geometry.Point(j[0],j[1],j[2])}else{throw"Bad LineString point coordinates: "+a[f]}}if(h){if(e){l=new OpenLayers.Geometry.LinearRing(k)}else{l=new OpenLayers.Geometry.LineString(k)}}else{throw"Bad LineString coordinates: "+b}}return l},polygon:function(f){var c=this.getElementsByTagNameNS(f,this.internalns,"LinearRing");var g=c.length;var e=new Array(g);if(g>0){var b;for(var d=0,a=c.length;d<a;++d){b=this.parseGeometry.linestring.apply(this,[c[d],true]);if(b){e[d]=b}else{throw"Bad LinearRing geometry: "+d}}}return new OpenLayers.Geometry.Polygon(e)},multigeometry:function(e){var h,g;var f=[];var c=e.childNodes;for(var b=0,a=c.length;b<a;++b){h=c[b];if(h.nodeType==1){var d=(h.prefix)?h.nodeName.split(":")[1]:h.nodeName;var g=this.parseGeometry[d.toLowerCase()];if(g){f.push(g.apply(this,[h]))}}}return new OpenLayers.Geometry.Collection(f)}},parseAttributes:function(d){var f={};var h=d.getElementsByTagName("ExtendedData");if(h.length){f=this.parseExtendedData(h[0])}var b,o,n;var c=d.childNodes;for(var j=0,k=c.length;j<k;++j){b=c[j];if(b.nodeType==1){o=b.childNodes;if(o.length>=1&&o.length<=3){var n;switch(o.length){case 1:n=o[0];break;case 2:var g=o[0];var e=o[1];n=(g.nodeType==3||g.nodeType==4)?g:e;break;case 3:default:n=o[1];break}if(n.nodeType==3||n.nodeType==4){var a=(b.prefix)?b.nodeName.split(":")[1]:b.nodeName;var l=OpenLayers.Util.getXmlNodeValue(n);if(l){l=l.replace(this.regExes.trimSpace,"");f[a]=l}}}}}return f},parseExtendedData:function(b){var d={};var f,h,e,k;var c=b.getElementsByTagName("Data");for(f=0,h=c.length;f<h;f++){e=c[f];k=e.getAttribute("name");var g={};var l=e.getElementsByTagName("value");if(l.length){g.value=this.getChildValue(l[0])}if(this.kvpAttributes){d[k]=g.value}else{var a=e.getElementsByTagName("displayName");if(a.length){g.displayName=this.getChildValue(a[0])}d[k]=g}}var j=b.getElementsByTagName("SimpleData");for(f=0,h=j.length;f<h;f++){var g={};e=j[f];k=e.getAttribute("name");g.value=this.getChildValue(e);if(this.kvpAttributes){d[k]=g.value}else{g.displayName=k;d[k]=g}}return d},parseProperty:function(c,d,b){var f;var a=this.getElementsByTagNameNS(c,d,b);try{f=OpenLayers.Util.getXmlNodeValue(a[0])}catch(g){f=null}return f},write:function(d){if(!(OpenLayers.Util.isArray(d))){d=[d]}var b=this.createElementNS(this.kmlns,"kml");var e=this.createFolderXML();for(var c=0,a=d.length;c<a;++c){e.appendChild(this.createPlacemarkXML(d[c]))}b.appendChild(e);return OpenLayers.Format.XML.prototype.write.apply(this,[b])},createFolderXML:function(){var c=this.createElementNS(this.kmlns,"Folder");if(this.foldersName){var e=this.createElementNS(this.kmlns,"name");var d=this.createTextNode(this.foldersName);e.appendChild(d);c.appendChild(e)}if(this.foldersDesc){var a=this.createElementNS(this.kmlns,"description");var b=this.createTextNode(this.foldersDesc);a.appendChild(b);c.appendChild(a)}return c},createPlacemarkXML:function(e){var h=this.createElementNS(this.kmlns,"name");var c=e.style&&e.style.label?e.style.label:e.attributes.name||e.id;h.appendChild(this.createTextNode(c));var d=this.createElementNS(this.kmlns,"description");var g=e.attributes.description||this.placemarksDesc;d.appendChild(this.createTextNode(g));var b=this.createElementNS(this.kmlns,"Placemark");if(e.fid!=null){b.setAttribute("id",e.fid)}b.appendChild(h);b.appendChild(d);var a=this.buildGeometryNode(e.geometry);b.appendChild(a);if(e.attributes){var f=this.buildExtendedData(e.attributes);if(f){b.appendChild(f)}}return b},buildGeometryNode:function(e){var c=e.CLASS_NAME;var b=c.substring(c.lastIndexOf(".")+1);var a=this.buildGeometry[b.toLowerCase()];var d=null;if(a){d=a.apply(this,[e])}return d},buildGeometry:{point:function(b){var a=this.createElementNS(this.kmlns,"Point");a.appendChild(this.buildCoordinatesNode(b));return a},multipoint:function(a){return this.buildGeometry.collection.apply(this,[a])},linestring:function(b){var a=this.createElementNS(this.kmlns,"LineString");a.appendChild(this.buildCoordinatesNode(b));return a},multilinestring:function(a){return this.buildGeometry.collection.apply(this,[a])},linearring:function(b){var a=this.createElementNS(this.kmlns,"LinearRing");a.appendChild(this.buildCoordinatesNode(b));return a},polygon:function(h){var b=this.createElementNS(this.kmlns,"Polygon");var g=h.components;var e,f,d;for(var c=0,a=g.length;c<a;++c){d=(c==0)?"outerBoundaryIs":"innerBoundaryIs";e=this.createElementNS(this.kmlns,d);f=this.buildGeometry.linearring.apply(this,[g[c]]);e.appendChild(f);b.appendChild(e)}return b},multipolygon:function(a){return this.buildGeometry.collection.apply(this,[a])},collection:function(d){var b=this.createElementNS(this.kmlns,"MultiGeometry");var e;for(var c=0,a=d.components.length;c<a;++c){e=this.buildGeometryNode.apply(this,[d.components[c]]);if(e){b.appendChild(e)}}return b}},buildCoordinatesNode:function(e){var a=this.createElementNS(this.kmlns,"coordinates");var j;var h=e.components;if(h){var g;var f=h.length;var c=new Array(f);for(var d=0;d<f;++d){g=h[d];c[d]=this.buildCoordinates(g)}j=c.join(" ")}else{j=this.buildCoordinates(e)}var b=this.createTextNode(j);a.appendChild(b);return a},buildCoordinates:function(a){if(this.internalProjection&&this.externalProjection){a=a.clone();a.transform(this.internalProjection,this.externalProjection)}return a.x+","+a.y},buildExtendedData:function(b){var d=this.createElementNS(this.kmlns,"ExtendedData");for(var c in b){if(b[c]&&c!="name"&&c!="description"&&c!="styleUrl"){var f=this.createElementNS(this.kmlns,"Data");f.setAttribute("name",c);var e=this.createElementNS(this.kmlns,"value");if(typeof b[c]=="object"){if(b[c].value){e.appendChild(this.createTextNode(b[c].value))}if(b[c].displayName){var a=this.createElementNS(this.kmlns,"displayName");a.appendChild(this.getXMLDoc().createCDATASection(b[c].displayName));f.appendChild(a)}}else{e.appendChild(this.createTextNode(b[c]))}f.appendChild(e);d.appendChild(f)}}if(this.isSimpleContent(d)){return null}else{return d}},CLASS_NAME:"OpenLayers.Format.KML"});OpenLayers.Geometry.MultiPolygon=OpenLayers.Class(OpenLayers.Geometry.Collection,{componentTypes:["OpenLayers.Geometry.Polygon"],CLASS_NAME:"OpenLayers.Geometry.MultiPolygon"});OpenLayers.Filter=OpenLayers.Class({initialize:function(a){OpenLayers.Util.extend(this,a)},destroy:function(){},evaluate:function(a){return true},clone:function(){return null},toString:function(){var a;if(OpenLayers.Format&&OpenLayers.Format.CQL){a=OpenLayers.Format.CQL.prototype.write(this)}else{a=Object.prototype.toString.call(this)}return a},CLASS_NAME:"OpenLayers.Filter"});OpenLayers.Filter.Spatial=OpenLayers.Class(OpenLayers.Filter,{type:null,property:null,value:null,distance:null,distanceUnits:null,evaluate:function(c){var a=false;switch(this.type){case OpenLayers.Filter.Spatial.BBOX:case OpenLayers.Filter.Spatial.INTERSECTS:if(c.geometry){var b=this.value;if(this.value.CLASS_NAME=="OpenLayers.Bounds"){b=this.value.toGeometry()}if(c.geometry.intersects(b)){a=true}}break;default:throw new Error("evaluate is not implemented for this filter type.")}return a},clone:function(){var a=OpenLayers.Util.applyDefaults({value:this.value&&this.value.clone&&this.value.clone()},this);return new OpenLayers.Filter.Spatial(a)},CLASS_NAME:"OpenLayers.Filter.Spatial"});OpenLayers.Filter.Spatial.BBOX="BBOX";OpenLayers.Filter.Spatial.INTERSECTS="INTERSECTS";OpenLayers.Filter.Spatial.DWITHIN="DWITHIN";OpenLayers.Filter.Spatial.WITHIN="WITHIN";OpenLayers.Filter.Spatial.CONTAINS="CONTAINS";OpenLayers.Strategy.BBOX=OpenLayers.Class(OpenLayers.Strategy,{bounds:null,resolution:null,ratio:2,resFactor:null,response:null,activate:function(){var a=OpenLayers.Strategy.prototype.activate.call(this);if(a){this.layer.events.on({moveend:this.update,refresh:this.update,visibilitychanged:this.update,scope:this});this.update()}return a},deactivate:function(){var a=OpenLayers.Strategy.prototype.deactivate.call(this);if(a){this.layer.events.un({moveend:this.update,refresh:this.update,visibilitychanged:this.update,scope:this})}return a},update:function(b){var a=this.getMapBounds();if(a!==null&&((b&&b.force)||(this.layer.visibility&&this.layer.calculateInRange()&&this.invalidBounds(a)))){this.calculateBounds(a);this.resolution=this.layer.map.getResolution();this.triggerRead(b)}},getMapBounds:function(){if(this.layer.map===null){return null}var a=this.layer.map.getExtent();if(a&&!this.layer.projection.equals(this.layer.map.getProjectionObject())){a=a.clone().transform(this.layer.map.getProjectionObject(),this.layer.projection)}return a},invalidBounds:function(a){if(!a){a=this.getMapBounds()}var c=!this.bounds||!this.bounds.containsBounds(a);if(!c&&this.resFactor){var b=this.resolution/this.layer.map.getResolution();c=(b>=this.resFactor||b<=(1/this.resFactor))}return c},calculateBounds:function(b){if(!b){b=this.getMapBounds()}var a=b.getCenterLonLat();var d=b.getWidth()*this.ratio;var c=b.getHeight()*this.ratio;this.bounds=new OpenLayers.Bounds(a.lon-(d/2),a.lat-(c/2),a.lon+(d/2),a.lat+(c/2))},triggerRead:function(a){if(this.response&&!(a&&a.noAbort===true)){this.layer.protocol.abort(this.response);this.layer.events.triggerEvent("loadend")}this.layer.events.triggerEvent("loadstart");this.response=this.layer.protocol.read(OpenLayers.Util.applyDefaults({filter:this.createFilter(),callback:this.merge,scope:this},a))},createFilter:function(){var a=new OpenLayers.Filter.Spatial({type:OpenLayers.Filter.Spatial.BBOX,value:this.bounds,projection:this.layer.projection});if(this.layer.filter){a=new OpenLayers.Filter.Logical({type:OpenLayers.Filter.Logical.AND,filters:[this.layer.filter,a]})}return a},merge:function(g){this.layer.destroyFeatures();var e=g.features;if(e&&e.length>0){var f=this.layer.projection;var d=this.layer.map.getProjectionObject();if(!d.equals(f)){var c;for(var b=0,a=e.length;b<a;++b){c=e[b].geometry;if(c){c.transform(f,d)}}}this.layer.addFeatures(e)}this.response=null;this.layer.events.triggerEvent("loadend")},CLASS_NAME:"OpenLayers.Strategy.BBOX"});OpenLayers.Format.OGCExceptionReport=OpenLayers.Class(OpenLayers.Format.XML,{namespaces:{ogc:"http://www.opengis.net/ogc"},regExes:{trimSpace:(/^\s*|\s*$/g),removeSpace:(/\s*/g),splitSpace:(/\s+/),trimComma:(/\s*,\s*/g)},defaultPrefix:"ogc",read:function(c){var a;if(typeof c=="string"){c=OpenLayers.Format.XML.prototype.read.apply(this,[c])}var b=c.documentElement;var d={exceptionReport:null};if(b){this.readChildNodes(c,d);if(d.exceptionReport===null){d=new OpenLayers.Format.OWSCommon().read(c)}}return d},readers:{ogc:{ServiceExceptionReport:function(a,b){b.exceptionReport={exceptions:[]};this.readChildNodes(a,b.exceptionReport)},ServiceException:function(b,c){var a={code:b.getAttribute("code"),locator:b.getAttribute("locator"),text:this.getChildValue(b)};c.exceptions.push(a)}}},CLASS_NAME:"OpenLayers.Format.OGCExceptionReport"});OpenLayers.Format.XML.VersionedOGC=OpenLayers.Class(OpenLayers.Format.XML,{defaultVersion:null,version:null,profile:null,errorProperty:null,name:null,stringifyOutput:false,parser:null,initialize:function(a){OpenLayers.Format.XML.prototype.initialize.apply(this,[a]);var b=this.CLASS_NAME;this.name=b.substring(b.lastIndexOf(".")+1)},getVersion:function(b,c){var a;if(b){a=this.version;if(!a){a=b.getAttribute("version");if(!a){a=this.defaultVersion}}}else{a=(c&&c.version)||this.version||this.defaultVersion}return a},getParser:function(a){a=a||this.defaultVersion;var b=this.profile?"_"+this.profile:"";if(!this.parser||this.parser.VERSION!=a){var c=OpenLayers.Format[this.name]["v"+a.replace(/\./g,"_")+b];if(!c){throw"Can't find a "+this.name+" parser for version "+a+b}this.parser=new c(this.options)}return this.parser},write:function(d,c){var b=this.getVersion(null,c);this.parser=this.getParser(b);var a=this.parser.write(d,c);if(this.stringifyOutput===false){return a}else{return OpenLayers.Format.XML.prototype.write.apply(this,[a])}},read:function(d,c){if(typeof d=="string"){d=OpenLayers.Format.XML.prototype.read.apply(this,[d])}var b=d.documentElement;var a=this.getVersion(b);this.parser=this.getParser(a);var f=this.parser.read(d,c);if(this.errorProperty!==null&&f[this.errorProperty]===undefined){var e=new OpenLayers.Format.OGCExceptionReport();f.error=e.read(d)}f.version=a;return f},CLASS_NAME:"OpenLayers.Format.XML.VersionedOGC"});OpenLayers.Format.OWSCommon=OpenLayers.Class(OpenLayers.Format.XML.VersionedOGC,{defaultVersion:"1.0.0",getVersion:function(b,c){var a=this.version;if(!a){var d=b.getAttribute("xmlns:ows");if(d&&d.substring(d.lastIndexOf("/")+1)==="1.1"){a="1.1.0"}if(!a){a=this.defaultVersion}}return a},CLASS_NAME:"OpenLayers.Format.OWSCommon"});OpenLayers.Format.OWSCommon.v1=OpenLayers.Class(OpenLayers.Format.XML,{regExes:{trimSpace:(/^\s*|\s*$/g),removeSpace:(/\s*/g),splitSpace:(/\s+/),trimComma:(/\s*,\s*/g)},read:function(b,a){a=OpenLayers.Util.applyDefaults(a,this.options);var c={};this.readChildNodes(b,c);return c},readers:{ows:{Exception:function(b,c){var a={code:b.getAttribute("exceptionCode"),locator:b.getAttribute("locator"),texts:[]};c.exceptions.push(a);this.readChildNodes(b,a)},ExceptionText:function(b,a){var c=this.getChildValue(b);a.texts.push(c)},ServiceIdentification:function(a,b){b.serviceIdentification={};this.readChildNodes(a,b.serviceIdentification)},Title:function(a,b){b.title=this.getChildValue(a)},Abstract:function(a,b){b["abstract"]=this.getChildValue(a)},Keywords:function(a,b){b.keywords={};this.readChildNodes(a,b.keywords)},Keyword:function(b,a){a[this.getChildValue(b)]=true},ServiceType:function(a,b){b.serviceType={codeSpace:a.getAttribute("codeSpace"),value:this.getChildValue(a)}},ServiceTypeVersion:function(a,b){b.serviceTypeVersion=this.getChildValue(a)},Fees:function(a,b){b.fees=this.getChildValue(a)},AccessConstraints:function(a,b){b.accessConstraints=this.getChildValue(a)},ServiceProvider:function(a,b){b.serviceProvider={};this.readChildNodes(a,b.serviceProvider)},ProviderName:function(a,b){b.providerName=this.getChildValue(a)},ProviderSite:function(a,b){b.providerSite=this.getAttributeNS(a,this.namespaces.xlink,"href")},ServiceContact:function(a,b){b.serviceContact={};this.readChildNodes(a,b.serviceContact)},IndividualName:function(b,a){a.individualName=this.getChildValue(b)},PositionName:function(b,a){a.positionName=this.getChildValue(b)},ContactInfo:function(b,a){a.contactInfo={};this.readChildNodes(b,a.contactInfo)},Phone:function(b,a){a.phone={};this.readChildNodes(b,a.phone)},Voice:function(b,a){a.voice=this.getChildValue(b)},Address:function(b,a){a.address={};this.readChildNodes(b,a.address)},DeliveryPoint:function(b,a){a.deliveryPoint=this.getChildValue(b)},City:function(b,a){a.city=this.getChildValue(b)},AdministrativeArea:function(b,a){a.administrativeArea=this.getChildValue(b)},PostalCode:function(b,a){a.postalCode=this.getChildValue(b)},Country:function(b,a){a.country=this.getChildValue(b)},ElectronicMailAddress:function(b,a){a.electronicMailAddress=this.getChildValue(b)},Role:function(b,a){a.role=this.getChildValue(b)},OperationsMetadata:function(a,b){b.operationsMetadata={};this.readChildNodes(a,b.operationsMetadata)},Operation:function(c,b){var a=c.getAttribute("name");b[a]={};this.readChildNodes(c,b[a])},DCP:function(b,a){a.dcp={};this.readChildNodes(b,a.dcp)},HTTP:function(b,a){a.http={};this.readChildNodes(b,a.http)},Get:function(b,a){if(!a.get){a.get=[]}var c={url:this.getAttributeNS(b,this.namespaces.xlink,"href")};this.readChildNodes(b,c);a.get.push(c)},Post:function(b,a){if(!a.post){a.post=[]}var c={url:this.getAttributeNS(b,this.namespaces.xlink,"href")};this.readChildNodes(b,c);a.post.push(c)},Parameter:function(c,a){if(!a.parameters){a.parameters={}}var b=c.getAttribute("name");a.parameters[b]={};this.readChildNodes(c,a.parameters[b])},Constraint:function(b,c){if(!c.constraints){c.constraints={}}var a=b.getAttribute("name");c.constraints[a]={};this.readChildNodes(b,c.constraints[a])},Value:function(a,b){b[this.getChildValue(a)]=true},OutputFormat:function(a,b){b.formats.push({value:this.getChildValue(a)});this.readChildNodes(a,b)},WGS84BoundingBox:function(b,c){var a={};a.crs=b.getAttribute("crs");if(c.BoundingBox){c.BoundingBox.push(a)}else{c.projection=a.crs;a=c}this.readChildNodes(b,a)},BoundingBox:function(a,b){this.readers.ows["WGS84BoundingBox"].apply(this,[a,b])},LowerCorner:function(b,c){var d=this.getChildValue(b).replace(this.regExes.trimSpace,"");d=d.replace(this.regExes.trimComma,",");var a=d.split(this.regExes.splitSpace);c.left=a[0];c.bottom=a[1]},UpperCorner:function(b,c){var d=this.getChildValue(b).replace(this.regExes.trimSpace,"");d=d.replace(this.regExes.trimComma,",");var a=d.split(this.regExes.splitSpace);c.right=a[0];c.top=a[1];c.bounds=new OpenLayers.Bounds(c.left,c.bottom,c.right,c.top);delete c.left;delete c.bottom;delete c.right;delete c.top},Language:function(a,b){b.language=this.getChildValue(a)}}},writers:{ows:{BoundingBox:function(a){var b=this.createElementNSPlus("ows:BoundingBox",{attributes:{crs:a.projection}});this.writeNode("ows:LowerCorner",a,b);this.writeNode("ows:UpperCorner",a,b);return b},LowerCorner:function(a){var b=this.createElementNSPlus("ows:LowerCorner",{value:a.bounds.left+" "+a.bounds.bottom});return b},UpperCorner:function(a){var b=this.createElementNSPlus("ows:UpperCorner",{value:a.bounds.right+" "+a.bounds.top});return b},Identifier:function(a){var b=this.createElementNSPlus("ows:Identifier",{value:a});return b},Title:function(b){var a=this.createElementNSPlus("ows:Title",{value:b});return a},Abstract:function(a){var b=this.createElementNSPlus("ows:Abstract",{value:a});return b},OutputFormat:function(b){var a=this.createElementNSPlus("ows:OutputFormat",{value:b});return a}}},CLASS_NAME:"OpenLayers.Format.OWSCommon.v1"});OpenLayers.Format.OWSCommon.v1_1_0=OpenLayers.Class(OpenLayers.Format.OWSCommon.v1,{namespaces:{ows:"http://www.opengis.net/ows/1.1",xlink:"http://www.w3.org/1999/xlink"},readers:{ows:OpenLayers.Util.applyDefaults({ExceptionReport:function(a,b){b.exceptionReport={version:a.getAttribute("version"),language:a.getAttribute("xml:lang"),exceptions:[]};this.readChildNodes(a,b.exceptionReport)},AllowedValues:function(a,b){b.allowedValues={};this.readChildNodes(a,b.allowedValues)},AnyValue:function(a,b){b.anyValue=true},DataType:function(a,b){b.dataType=this.getChildValue(a)},Range:function(a,b){b.range={};this.readChildNodes(a,b.range)},MinimumValue:function(b,a){a.minValue=this.getChildValue(b)},MaximumValue:function(b,a){a.maxValue=this.getChildValue(b)},Identifier:function(a,b){b.identifier=this.getChildValue(a)},SupportedCRS:function(a,b){b.supportedCRS=this.getChildValue(a)}},OpenLayers.Format.OWSCommon.v1.prototype.readers.ows)},writers:{ows:OpenLayers.Util.applyDefaults({Range:function(a){var b=this.createElementNSPlus("ows:Range",{attributes:{"ows:rangeClosure":a.closure}});this.writeNode("ows:MinimumValue",a.minValue,b);this.writeNode("ows:MaximumValue",a.maxValue,b);return b},MinimumValue:function(b){var a=this.createElementNSPlus("ows:MinimumValue",{value:b});return a},MaximumValue:function(b){var a=this.createElementNSPlus("ows:MaximumValue",{value:b});return a},Value:function(b){var a=this.createElementNSPlus("ows:Value",{value:b});return a}},OpenLayers.Format.OWSCommon.v1.prototype.writers.ows)},CLASS_NAME:"OpenLayers.Format.OWSCommon.v1_1_0"});OpenLayers.Control.PanPanel=OpenLayers.Class(OpenLayers.Control.Panel,{slideFactor:50,slideRatio:null,initialize:function(a){OpenLayers.Control.Panel.prototype.initialize.apply(this,[a]);var a={slideFactor:this.slideFactor,slideRatio:this.slideRatio};this.addControls([new OpenLayers.Control.Pan(OpenLayers.Control.Pan.NORTH,a),new OpenLayers.Control.Pan(OpenLayers.Control.Pan.SOUTH,a),new OpenLayers.Control.Pan(OpenLayers.Control.Pan.EAST,a),new OpenLayers.Control.Pan(OpenLayers.Control.Pan.WEST,a)])},CLASS_NAME:"OpenLayers.Control.PanPanel"});OpenLayers.Control.Attribution=OpenLayers.Class(OpenLayers.Control,{separator:", ",template:"${layers}",destroy:function(){this.map.events.un({removelayer:this.updateAttribution,addlayer:this.updateAttribution,changelayer:this.updateAttribution,changebaselayer:this.updateAttribution,scope:this});OpenLayers.Control.prototype.destroy.apply(this,arguments)},draw:function(){OpenLayers.Control.prototype.draw.apply(this,arguments);this.map.events.on({changebaselayer:this.updateAttribution,changelayer:this.updateAttribution,addlayer:this.updateAttribution,removelayer:this.updateAttribution,scope:this});this.updateAttribution();return this.div},updateAttribution:function(){var d=[];if(this.map&&this.map.layers){for(var c=0,a=this.map.layers.length;c<a;c++){var b=this.map.layers[c];if(b.attribution&&b.getVisibility()){if(OpenLayers.Util.indexOf(d,b.attribution)===-1){d.push(b.attribution)}}}this.div.innerHTML=OpenLayers.String.format(this.template,{layers:d.join(this.separator)})}},CLASS_NAME:"OpenLayers.Control.Attribution"});OpenLayers.Kinetic=OpenLayers.Class({threshold:0,deceleration:0.0035,nbPoints:100,delay:200,points:undefined,timerId:undefined,initialize:function(a){OpenLayers.Util.extend(this,a)},begin:function(){OpenLayers.Animation.stop(this.timerId);this.timerId=undefined;this.points=[]},update:function(a){this.points.unshift({xy:a,tick:new Date().getTime()});if(this.points.length>this.nbPoints){this.points.pop()}},end:function(k){var j,a=new Date().getTime();for(var f=0,e=this.points.length,h;f<e;f++){h=this.points[f];if(a-h.tick>this.delay){break}j=h}if(!j){return}var d=new Date().getTime()-j.tick;var g=Math.sqrt(Math.pow(k.x-j.xy.x,2)+Math.pow(k.y-j.xy.y,2));var c=g/d;if(c==0||c<this.threshold){return}var b=Math.asin((k.y-j.xy.y)/g);if(j.xy.x<=k.x){b=Math.PI-b}return{speed:c,theta:b}},move:function(c,i){var h=c.speed;var f=Math.cos(c.theta);var e=-Math.sin(c.theta);var d=new Date().getTime();var b=0;var a=0;var g=function(){if(this.timerId==null){return}var n=new Date().getTime()-d;var o=(-this.deceleration*Math.pow(n,2))/2+h*n;var j=o*f;var q=o*e;var l={};l.end=false;var k=-this.deceleration*n+h;if(k<=0){OpenLayers.Animation.stop(this.timerId);this.timerId=null;l.end=true}l.x=j-b;l.y=q-a;b=j;a=q;i(l.x,l.y,l.end)};this.timerId=OpenLayers.Animation.start(OpenLayers.Function.bind(g,this))},CLASS_NAME:"OpenLayers.Kinetic"});OpenLayers.Handler.Box=OpenLayers.Class(OpenLayers.Handler,{dragHandler:null,boxDivClassName:"olHandlerBoxZoomBox",boxOffsets:null,initialize:function(c,b,a){OpenLayers.Handler.prototype.initialize.apply(this,arguments);this.dragHandler=new OpenLayers.Handler.Drag(this,{down:this.startBox,move:this.moveBox,out:this.removeBox,up:this.endBox},{keyMask:this.keyMask})},destroy:function(){OpenLayers.Handler.prototype.destroy.apply(this,arguments);if(this.dragHandler){this.dragHandler.destroy();this.dragHandler=null}},setMap:function(a){OpenLayers.Handler.prototype.setMap.apply(this,arguments);if(this.dragHandler){this.dragHandler.setMap(a)}},startBox:function(a){this.callback("start",[]);this.zoomBox=OpenLayers.Util.createDiv("zoomBox",{x:-9999,y:-9999});this.zoomBox.className=this.boxDivClassName;this.zoomBox.style.zIndex=this.map.Z_INDEX_BASE.Popup-1;this.map.viewPortDiv.appendChild(this.zoomBox);OpenLayers.Element.addClass(this.map.viewPortDiv,"olDrawBox")},moveBox:function(e){var d=this.dragHandler.start.x;var b=this.dragHandler.start.y;var c=Math.abs(d-e.x);var a=Math.abs(b-e.y);var f=this.getBoxOffsets();this.zoomBox.style.width=(c+f.width+1)+"px";this.zoomBox.style.height=(a+f.height+1)+"px";this.zoomBox.style.left=(e.x<d?d-c-f.left:d-f.left)+"px";this.zoomBox.style.top=(e.y<b?b-a-f.top:b-f.top)+"px"},endBox:function(b){var a;if(Math.abs(this.dragHandler.start.x-b.x)>5||Math.abs(this.dragHandler.start.y-b.y)>5){var g=this.dragHandler.start;var f=Math.min(g.y,b.y);var c=Math.max(g.y,b.y);var e=Math.min(g.x,b.x);var d=Math.max(g.x,b.x);a=new OpenLayers.Bounds(e,c,d,f)}else{a=this.dragHandler.start.clone()}this.removeBox();this.callback("done",[a])},removeBox:function(){this.map.viewPortDiv.removeChild(this.zoomBox);this.zoomBox=null;this.boxOffsets=null;OpenLayers.Element.removeClass(this.map.viewPortDiv,"olDrawBox")},activate:function(){if(OpenLayers.Handler.prototype.activate.apply(this,arguments)){this.dragHandler.activate();return true}else{return false}},deactivate:function(){if(OpenLayers.Handler.prototype.deactivate.apply(this,arguments)){if(this.dragHandler.deactivate()){if(this.zoomBox){this.removeBox()}}return true}else{return false}},getBoxOffsets:function(){if(!this.boxOffsets){var d=document.createElement("div");d.style.position="absolute";d.style.border="1px solid black";d.style.width="3px";document.body.appendChild(d);var a=d.clientWidth==3;document.body.removeChild(d);var f=parseInt(OpenLayers.Element.getStyle(this.zoomBox,"border-left-width"));var c=parseInt(OpenLayers.Element.getStyle(this.zoomBox,"border-right-width"));var e=parseInt(OpenLayers.Element.getStyle(this.zoomBox,"border-top-width"));var b=parseInt(OpenLayers.Element.getStyle(this.zoomBox,"border-bottom-width"));this.boxOffsets={left:f,right:c,top:e,bottom:b,width:a===false?f+c:0,height:a===false?e+b:0}}return this.boxOffsets},CLASS_NAME:"OpenLayers.Handler.Box"});OpenLayers.Control.ZoomBox=OpenLayers.Class(OpenLayers.Control,{type:OpenLayers.Control.TYPE_TOOL,out:false,keyMask:null,alwaysZoom:false,draw:function(){this.handler=new OpenLayers.Handler.Box(this,{done:this.zoomBox},{keyMask:this.keyMask})},zoomBox:function(h){if(h instanceof OpenLayers.Bounds){var b;if(!this.out){var i=this.map.getLonLatFromPixel({x:h.left,y:h.bottom});var n=this.map.getLonLatFromPixel({x:h.right,y:h.top});b=new OpenLayers.Bounds(i.lon,i.lat,n.lon,n.lat)}else{var g=Math.abs(h.right-h.left);var j=Math.abs(h.top-h.bottom);var e=Math.min((this.map.size.h/j),(this.map.size.w/g));var o=this.map.getExtent();var a=this.map.getLonLatFromPixel(h.getCenterPixel());var c=a.lon-(o.getWidth()/2)*e;var f=a.lon+(o.getWidth()/2)*e;var l=a.lat-(o.getHeight()/2)*e;var d=a.lat+(o.getHeight()/2)*e;b=new OpenLayers.Bounds(c,l,f,d)}var k=this.map.getZoom();this.map.zoomToExtent(b);if(k==this.map.getZoom()&&this.alwaysZoom==true){this.map.zoomTo(k+(this.out?-1:1))}}else{if(!this.out){this.map.setCenter(this.map.getLonLatFromPixel(h),this.map.getZoom()+1)}else{this.map.setCenter(this.map.getLonLatFromPixel(h),this.map.getZoom()-1)}}},CLASS_NAME:"OpenLayers.Control.ZoomBox"});OpenLayers.Control.DragPan=OpenLayers.Class(OpenLayers.Control,{type:OpenLayers.Control.TYPE_TOOL,panned:false,interval:1,documentDrag:false,kinetic:null,enableKinetic:false,kineticInterval:10,draw:function(){if(this.enableKinetic){var a={interval:this.kineticInterval};if(typeof this.enableKinetic==="object"){a=OpenLayers.Util.extend(a,this.enableKinetic)}this.kinetic=new OpenLayers.Kinetic(a)}this.handler=new OpenLayers.Handler.Drag(this,{move:this.panMap,done:this.panMapDone,down:this.panMapStart},{interval:this.interval,documentDrag:this.documentDrag})},panMapStart:function(){if(this.kinetic){this.kinetic.begin()}},panMap:function(a){if(this.kinetic){this.kinetic.update(a)}this.panned=true;this.map.pan(this.handler.last.x-a.x,this.handler.last.y-a.y,{dragging:true,animate:false})},panMapDone:function(c){if(this.panned){var b=null;if(this.kinetic){b=this.kinetic.end(c)}this.map.pan(this.handler.last.x-c.x,this.handler.last.y-c.y,{dragging:!!b,animate:false});if(b){var a=this;this.kinetic.move(b,function(d,f,e){a.map.pan(d,f,{dragging:!e,animate:false})})}this.panned=false}},CLASS_NAME:"OpenLayers.Control.DragPan"});OpenLayers.Handler.Click=OpenLayers.Class(OpenLayers.Handler,{delay:300,single:true,"double":false,pixelTolerance:0,dblclickTolerance:13,stopSingle:false,stopDouble:false,timerId:null,touch:false,down:null,last:null,first:null,rightclickTimerId:null,touchstart:function(a){if(!this.touch){this.unregisterMouseListeners();this.touch=true}this.down=this.getEventInfo(a);this.last=this.getEventInfo(a);return true},touchmove:function(a){this.last=this.getEventInfo(a);return true},touchend:function(a){if(this.down){a.xy=this.last.xy;a.lastTouches=this.last.touches;this.handleSingle(a);this.down=null}return true},unregisterMouseListeners:function(){this.map.events.un({mousedown:this.mousedown,mouseup:this.mouseup,click:this.click,dblclick:this.dblclick,scope:this})},mousedown:function(a){this.down=this.getEventInfo(a);this.last=this.getEventInfo(a);return true},mouseup:function(b){var a=true;if(this.checkModifiers(b)&&this.control.handleRightClicks&&OpenLayers.Event.isRightClick(b)){a=this.rightclick(b)}return a},rightclick:function(b){if(this.passesTolerance(b)){if(this.rightclickTimerId!=null){this.clearTimer();this.callback("dblrightclick",[b]);return !this.stopDouble}else{var a=this["double"]?OpenLayers.Util.extend({},b):this.callback("rightclick",[b]);var c=OpenLayers.Function.bind(this.delayedRightCall,this,a);this.rightclickTimerId=window.setTimeout(c,this.delay)}}return !this.stopSingle},delayedRightCall:function(a){this.rightclickTimerId=null;if(a){this.callback("rightclick",[a])}},click:function(a){if(!this.last){this.last=this.getEventInfo(a)}this.handleSingle(a);return !this.stopSingle},dblclick:function(a){this.handleDouble(a);return !this.stopDouble},handleDouble:function(a){if(this.passesDblclickTolerance(a)){if(this["double"]){this.callback("dblclick",[a])}this.clearTimer()}},handleSingle:function(b){if(this.passesTolerance(b)){if(this.timerId!=null){if(this.last.touches&&this.last.touches.length===1){if(this["double"]){OpenLayers.Event.stop(b)}this.handleDouble(b)}if(!this.last.touches||this.last.touches.length!==2){this.clearTimer()}}else{this.first=this.getEventInfo(b);var a=this.single?OpenLayers.Util.extend({},b):null;this.queuePotentialClick(a)}}},queuePotentialClick:function(a){this.timerId=window.setTimeout(OpenLayers.Function.bind(this.delayedCall,this,a),this.delay)},passesTolerance:function(a){var d=true;if(this.pixelTolerance!=null&&this.down&&this.down.xy){d=this.pixelTolerance>=this.down.xy.distanceTo(a.xy);if(d&&this.touch&&this.down.touches.length===this.last.touches.length){for(var b=0,c=this.down.touches.length;b<c;++b){if(this.getTouchDistance(this.down.touches[b],this.last.touches[b])>this.pixelTolerance){d=false;break}}}}return d},getTouchDistance:function(b,a){return Math.sqrt(Math.pow(b.clientX-a.clientX,2)+Math.pow(b.clientY-a.clientY,2))},passesDblclickTolerance:function(a){var b=true;if(this.down&&this.first){b=this.down.xy.distanceTo(this.first.xy)<=this.dblclickTolerance}return b},clearTimer:function(){if(this.timerId!=null){window.clearTimeout(this.timerId);this.timerId=null}if(this.rightclickTimerId!=null){window.clearTimeout(this.rightclickTimerId);this.rightclickTimerId=null}},delayedCall:function(a){this.timerId=null;if(a){this.callback("click",[a])}},getEventInfo:function(b){var d;if(b.touches){var a=b.touches.length;d=new Array(a);var e;for(var c=0;c<a;c++){e=b.touches[c];d[c]={clientX:e.clientX,clientY:e.clientY}}}return{xy:b.xy,touches:d}},deactivate:function(){var a=false;if(OpenLayers.Handler.prototype.deactivate.apply(this,arguments)){this.clearTimer();this.down=null;this.first=null;this.last=null;this.touch=false;a=true}return a},CLASS_NAME:"OpenLayers.Handler.Click"});OpenLayers.Control.Navigation=OpenLayers.Class(OpenLayers.Control,{dragPan:null,dragPanOptions:null,pinchZoom:null,pinchZoomOptions:null,documentDrag:false,zoomBox:null,zoomBoxEnabled:true,zoomWheelEnabled:true,mouseWheelOptions:null,handleRightClicks:false,zoomBoxKeyMask:OpenLayers.Handler.MOD_SHIFT,autoActivate:true,initialize:function(a){this.handlers={};OpenLayers.Control.prototype.initialize.apply(this,arguments)},destroy:function(){this.deactivate();if(this.dragPan){this.dragPan.destroy()}this.dragPan=null;if(this.zoomBox){this.zoomBox.destroy()}this.zoomBox=null;if(this.pinchZoom){this.pinchZoom.destroy()}this.pinchZoom=null;OpenLayers.Control.prototype.destroy.apply(this,arguments)},activate:function(){this.dragPan.activate();if(this.zoomWheelEnabled){this.handlers.wheel.activate()}this.handlers.click.activate();if(this.zoomBoxEnabled){this.zoomBox.activate()}if(this.pinchZoom){this.pinchZoom.activate()}return OpenLayers.Control.prototype.activate.apply(this,arguments)},deactivate:function(){if(this.pinchZoom){this.pinchZoom.deactivate()}this.zoomBox.deactivate();this.dragPan.deactivate();this.handlers.click.deactivate();this.handlers.wheel.deactivate();return OpenLayers.Control.prototype.deactivate.apply(this,arguments)},draw:function(){if(this.handleRightClicks){this.map.viewPortDiv.oncontextmenu=OpenLayers.Function.False}var a={click:this.defaultClick,dblclick:this.defaultDblClick,dblrightclick:this.defaultDblRightClick};var b={"double":true,stopDouble:true};this.handlers.click=new OpenLayers.Handler.Click(this,a,b);this.dragPan=new OpenLayers.Control.DragPan(OpenLayers.Util.extend({map:this.map,documentDrag:this.documentDrag},this.dragPanOptions));this.zoomBox=new OpenLayers.Control.ZoomBox({map:this.map,keyMask:this.zoomBoxKeyMask});this.dragPan.draw();this.zoomBox.draw();this.handlers.wheel=new OpenLayers.Handler.MouseWheel(this,{up:this.wheelUp,down:this.wheelDown},this.mouseWheelOptions);if(OpenLayers.Control.PinchZoom){this.pinchZoom=new OpenLayers.Control.PinchZoom(OpenLayers.Util.extend({map:this.map},this.pinchZoomOptions))}},defaultClick:function(a){if(a.lastTouches&&a.lastTouches.length==2){this.map.zoomOut()}},defaultDblClick:function(b){var a=this.map.getLonLatFromViewPortPx(b.xy);this.map.setCenter(a,this.map.zoom+1)},defaultDblRightClick:function(b){var a=this.map.getLonLatFromViewPortPx(b.xy);this.map.setCenter(a,this.map.zoom-1)},wheelChange:function(i,c){var h=this.map.getZoom();var f=this.map.getZoom()+Math.round(c);f=Math.max(f,0);f=Math.min(f,this.map.getNumZoomLevels());if(f===h){return}var j=this.map.getSize();var e=j.w/2-i.xy.x;var d=i.xy.y-j.h/2;var g=this.map.baseLayer.getResolutionForZoom(f);var a=this.map.getLonLatFromPixel(i.xy);var b=new OpenLayers.LonLat(a.lon+e*g,a.lat+d*g);this.map.setCenter(b,f)},wheelUp:function(a,b){this.wheelChange(a,b||1)},wheelDown:function(a,b){this.wheelChange(a,b||-1)},disableZoomBox:function(){this.zoomBoxEnabled=false;this.zoomBox.deactivate()},enableZoomBox:function(){this.zoomBoxEnabled=true;if(this.active){this.zoomBox.activate()}},disableZoomWheel:function(){this.zoomWheelEnabled=false;this.handlers.wheel.deactivate()},enableZoomWheel:function(){this.zoomWheelEnabled=true;if(this.active){this.handlers.wheel.activate()}},CLASS_NAME:"OpenLayers.Control.Navigation"});OpenLayers.Layer.HTTPRequest=OpenLayers.Class(OpenLayers.Layer,{URL_HASH_FACTOR:(Math.sqrt(5)-1)/2,url:null,params:null,reproject:false,initialize:function(c,b,d,a){OpenLayers.Layer.prototype.initialize.apply(this,[c,a]);this.url=b;if(!this.params){this.params=OpenLayers.Util.extend({},d)}},destroy:function(){this.url=null;this.params=null;OpenLayers.Layer.prototype.destroy.apply(this,arguments)},clone:function(a){if(a==null){a=new OpenLayers.Layer.HTTPRequest(this.name,this.url,this.params,this.getOptions())}a=OpenLayers.Layer.prototype.clone.apply(this,[a]);return a},setUrl:function(a){this.url=a},mergeNewParams:function(b){this.params=OpenLayers.Util.extend(this.params,b);var a=this.redraw();if(this.map!=null){this.map.events.triggerEvent("changelayer",{layer:this,property:"params"})}return a},redraw:function(a){if(a){return this.mergeNewParams({_olSalt:Math.random()})}else{return OpenLayers.Layer.prototype.redraw.apply(this,[])}},selectUrl:function(e,d){var c=1;for(var b=0,a=e.length;b<a;b++){c*=e.charCodeAt(b)*this.URL_HASH_FACTOR;c-=Math.floor(c)}return d[Math.floor(c*d.length)]},getFullRequestString:function(g,d){var b=d||this.url;var f=OpenLayers.Util.extend({},this.params);f=OpenLayers.Util.extend(f,g);var e=OpenLayers.Util.getParameterString(f);if(OpenLayers.Util.isArray(b)){b=this.selectUrl(e,b)}var a=OpenLayers.Util.upperCaseObject(OpenLayers.Util.getParameters(b));for(var c in f){if(c.toUpperCase() in a){delete f[c]}}e=OpenLayers.Util.getParameterString(f);return OpenLayers.Util.urlAppend(b,e)},CLASS_NAME:"OpenLayers.Layer.HTTPRequest"});OpenLayers.Layer.Grid=OpenLayers.Class(OpenLayers.Layer.HTTPRequest,{tileSize:null,tileOriginCorner:"bl",tileOrigin:null,tileOptions:null,tileClass:OpenLayers.Tile.Image,grid:null,singleTile:false,ratio:1.5,buffer:0,transitionEffect:null,numLoadingTiles:0,tileLoadingDelay:85,serverResolutions:null,moveTimerId:null,deferMoveGriddedTiles:null,tileQueueId:null,tileQueue:null,loading:false,backBuffer:null,gridResolution:null,backBufferResolution:null,backBufferLonLat:null,backBufferTimerId:null,removeBackBufferDelay:null,className:null,initialize:function(c,b,d,a){OpenLayers.Layer.HTTPRequest.prototype.initialize.apply(this,arguments);this.grid=[];this.tileQueue=[];if(this.removeBackBufferDelay===null){this.removeBackBufferDelay=this.singleTile?0:2500}if(this.className===null){this.className=this.singleTile?"olLayerGridSingleTile":"olLayerGrid"}if(!OpenLayers.Animation.isNative){this.deferMoveGriddedTiles=OpenLayers.Function.bind(function(){this.moveGriddedTiles(true);this.moveTimerId=null},this)}},setMap:function(a){OpenLayers.Layer.HTTPRequest.prototype.setMap.call(this,a);OpenLayers.Element.addClass(this.div,this.className)},removeMap:function(a){if(this.moveTimerId!==null){window.clearTimeout(this.moveTimerId);this.moveTimerId=null}this.clearTileQueue();if(this.backBufferTimerId!==null){window.clearTimeout(this.backBufferTimerId);this.backBufferTimerId=null}},destroy:function(){this.removeBackBuffer();this.clearGrid();this.grid=null;this.tileSize=null;OpenLayers.Layer.HTTPRequest.prototype.destroy.apply(this,arguments)},clearGrid:function(){this.clearTileQueue();if(this.grid){for(var f=0,b=this.grid.length;f<b;f++){var e=this.grid[f];for(var c=0,a=e.length;c<a;c++){var d=e[c];this.destroyTile(d)}}this.grid=[];this.gridResolution=null}},clone:function(a){if(a==null){a=new OpenLayers.Layer.Grid(this.name,this.url,this.params,this.getOptions())}a=OpenLayers.Layer.HTTPRequest.prototype.clone.apply(this,[a]);if(this.tileSize!=null){a.tileSize=this.tileSize.clone()}a.grid=[];a.gridResolution=null;a.backBuffer=null;a.backBufferTimerId=null;a.tileQueue=[];a.tileQueueId=null;a.loading=false;a.moveTimerId=null;return a},moveTo:function(f,b,g){OpenLayers.Layer.HTTPRequest.prototype.moveTo.apply(this,arguments);f=f||this.map.getExtent();if(f!=null){var e=!this.grid.length||b;var d=this.getTilesBounds();var c=this.map.getResolution();var a=this.getServerResolution(c);if(this.singleTile){if(e||(!g&&!d.containsBounds(f))){if(b&&this.transitionEffect!=="resize"){this.removeBackBuffer()}if(!b||this.transitionEffect==="resize"){this.applyBackBuffer(a)}this.initSingleTile(f)}}else{e=e||!d.intersectsBounds(f,{worldBounds:this.map.baseLayer.wrapDateLine&&this.map.getMaxExtent()});if(c!==a){f=this.map.calculateBounds(null,a);if(e){var h=a/c;this.transformDiv(h)}}else{this.div.style.width="100%";this.div.style.height="100%";this.div.style.left="0%";this.div.style.top="0%"}if(e){if(b&&this.transitionEffect==="resize"){this.applyBackBuffer(a)}this.initGriddedTiles(f)}else{this.moveGriddedTiles()}}}},getTileData:function(n){var r=null,o=n.lon,l=n.lat,d=this.grid.length;if(this.map&&d){var s=this.map.getResolution(),a=this.tileSize.w,k=this.tileSize.h,j=this.grid[0][0].bounds,e=j.left,p=j.top;if(o<e){if(this.map.baseLayer.wrapDateLine){var b=this.map.getMaxExtent().getWidth();var c=Math.ceil((e-o)/b);o+=b*c}}var h=(o-e)/(s*a);var f=(p-l)/(s*k);var g=Math.floor(h);var i=Math.floor(f);if(i>=0&&i<d){var q=this.grid[i][g];if(q){r={tile:q,i:Math.floor((h-g)*a),j:Math.floor((f-i)*k)}}}}return r},queueTileDraw:function(a){var b=a.object;if(!~OpenLayers.Util.indexOf(this.tileQueue,b)){this.tileQueue.push(b)}if(!this.tileQueueId){this.tileQueueId=OpenLayers.Animation.start(OpenLayers.Function.bind(this.drawTileFromQueue,this),null,this.div)}return false},drawTileFromQueue:function(){if(this.tileQueue.length===0){this.clearTileQueue()}else{this.tileQueue.shift().draw(true)}},clearTileQueue:function(){OpenLayers.Animation.stop(this.tileQueueId);this.tileQueueId=null;this.tileQueue=[]},destroyTile:function(a){this.removeTileMonitoringHooks(a);a.destroy()},getServerResolution:function(b){b=b||this.map.getResolution();if(this.serverResolutions&&OpenLayers.Util.indexOf(this.serverResolutions,b)===-1){var c,a;for(c=this.serverResolutions.length-1;c>=0;c--){a=this.serverResolutions[c];if(a>b){b=a;break}}if(c===-1){throw"no appropriate resolution in serverResolutions"}}return b},getServerZoom:function(){var a=this.getServerResolution();return this.serverResolutions?OpenLayers.Util.indexOf(this.serverResolutions,a):this.map.getZoomForResolution(a)+(this.zoomOffset||0)},transformDiv:function(e){this.div.style.width=100*e+"%";this.div.style.height=100*e+"%";var b=this.map.getSize();var d=parseInt(this.map.layerContainerDiv.style.left,10);var c=parseInt(this.map.layerContainerDiv.style.top,10);var a=(d-(b.w/2))*(e-1);var f=(c-(b.h/2))*(e-1);this.div.style.left=a+"%";this.div.style.top=f+"%"},getResolutionScale:function(){return parseInt(this.div.style.width,10)/100},applyBackBuffer:function(d){if(this.backBufferTimerId!==null){this.removeBackBuffer()}var c=this.backBuffer;if(!c){c=this.createBackBuffer();if(!c){return}this.div.insertBefore(c,this.div.firstChild);this.backBuffer=c;var b=this.grid[0][0].bounds;this.backBufferLonLat={lon:b.left,lat:b.top};this.backBufferResolution=this.gridResolution}var g=c.style;var f=this.backBufferResolution/d;g.width=100*f+"%";g.height=100*f+"%";var a=this.getViewPortPxFromLonLat(this.backBufferLonLat,d);var h=parseInt(this.map.layerContainerDiv.style.left,10);var e=parseInt(this.map.layerContainerDiv.style.top,10);c.style.left=Math.round(a.x-h)+"%";c.style.top=Math.round(a.y-e)+"%"},createBackBuffer:function(){var c;if(this.grid.length>0){c=document.createElement("div");c.id=this.div.id+"_bb";c.className="olBackBuffer";c.style.position="absolute";c.style.width="100%";c.style.height="100%";for(var e=0,b=this.grid.length;e<b;e++){for(var d=0,a=this.grid[e].length;d<a;d++){var f=this.grid[e][d].createBackBuffer();if(!f){continue}f.style.top=(e*this.tileSize.h)+"%";f.style.left=(d*this.tileSize.w)+"%";c.appendChild(f)}}}return c},removeBackBuffer:function(){if(this.backBuffer){this.div.removeChild(this.backBuffer);this.backBuffer=null;this.backBufferResolution=null;if(this.backBufferTimerId!==null){window.clearTimeout(this.backBufferTimerId);this.backBufferTimerId=null}}},moveByPx:function(b,a){if(!this.singleTile){this.moveGriddedTiles()}},setTileSize:function(a){if(this.singleTile){a=this.map.getSize();a.h=parseInt(a.h*this.ratio);a.w=parseInt(a.w*this.ratio)}OpenLayers.Layer.HTTPRequest.prototype.setTileSize.apply(this,[a])},getTilesBounds:function(){var d=null;var c=this.grid.length;if(c){var e=this.grid[c-1][0].bounds,b=this.grid[0].length*e.getWidth(),a=this.grid.length*e.getHeight();d=new OpenLayers.Bounds(e.left,e.bottom,e.left+b,e.bottom+a)}return d},initSingleTile:function(e){this.clearTileQueue();var a=e.getCenterLonLat();var g=e.getWidth()*this.ratio;var b=e.getHeight()*this.ratio;var f=new OpenLayers.Bounds(a.lon-(g/2),a.lat-(b/2),a.lon+(g/2),a.lat+(b/2));var c=this.map.getLayerPxFromLonLat({lon:f.left,lat:f.top});if(!this.grid.length){this.grid[0]=[]}var d=this.grid[0][0];if(!d){d=this.addTile(f,c);this.addTileMonitoringHooks(d);d.draw();this.grid[0][0]=d}else{d.moveTo(f,c)}this.removeExcessTiles(1,1);this.gridResolution=this.getServerResolution()},calculateGridLayout:function(a,o,e){var k=e*this.tileSize.w;var c=e*this.tileSize.h;var i=a.left-o.lon;var l=Math.floor(i/k)-this.buffer;var j=i/k-l;var f=-j*this.tileSize.w;var n=o.lon+l*k;var b=a.top-(o.lat+c);var h=Math.ceil(b/c)+this.buffer;var p=h-b/c;var d=-p*this.tileSize.h;var g=o.lat+h*c;return{tilelon:k,tilelat:c,tileoffsetlon:n,tileoffsetlat:g,tileoffsetx:f,tileoffsety:d}},getTileOrigin:function(){var b=this.tileOrigin;if(!b){var c=this.getMaxExtent();var a=({tl:["left","top"],tr:["right","top"],bl:["left","bottom"],br:["right","bottom"]})[this.tileOriginCorner];b=new OpenLayers.LonLat(c[a[0]],c[a[1]])}return b},initGriddedTiles:function(j){this.clearTileQueue();var g=this.map.getSize();var D=Math.ceil(g.h/this.tileSize.h)+Math.max(1,2*this.buffer);var G=Math.ceil(g.w/this.tileSize.w)+Math.max(1,2*this.buffer);var J=this.getTileOrigin();var u=this.getServerResolution();var s=this.calculateGridLayout(j,J,u);var f=Math.round(s.tileoffsetx);var c=Math.round(s.tileoffsety);var l=s.tileoffsetlon;var p=s.tileoffsetlat;var e=s.tilelon;var k=s.tilelat;var C=f;var F=l;var B=0;var a=parseInt(this.map.layerContainerDiv.style.left);var z=parseInt(this.map.layerContainerDiv.style.top);var E=[],H=this.map.getCenter();do{var h=this.grid[B++];if(!h){h=[];this.grid.push(h)}l=F;f=C;var d=0;do{var b=new OpenLayers.Bounds(l,p,l+e,p+k);var o=f;o-=a;var n=c;n-=z;var r=new OpenLayers.Pixel(o,n);var I=h[d++];if(!I){I=this.addTile(b,r);this.addTileMonitoringHooks(I);h.push(I)}else{I.moveTo(b,r,false)}var w=b.getCenterLonLat();E.push({tile:I,distance:Math.pow(w.lon-H.lon,2)+Math.pow(w.lat-H.lat,2)});l+=e;f+=this.tileSize.w}while((l<=j.right+e*this.buffer)||d<G);p-=k;c+=this.tileSize.h}while((p>=j.bottom-k*this.buffer)||B<D);this.removeExcessTiles(B,d);this.gridResolution=this.getServerResolution();E.sort(function(x,i){return x.distance-i.distance});for(var A=0,q=E.length;A<q;++A){E[A].tile.draw()}},getMaxExtent:function(){return this.maxExtent},addTile:function(c,a){var b=new this.tileClass(this,a,c,null,this.tileSize,this.tileOptions);b.events.register("beforedraw",this,this.queueTileDraw);return b},addTileMonitoringHooks:function(a){a.onLoadStart=function(){if(this.loading===false){this.loading=true;this.events.triggerEvent("loadstart")}this.events.triggerEvent("tileloadstart",{tile:a});this.numLoadingTiles++};a.onLoadEnd=function(){this.numLoadingTiles--;this.events.triggerEvent("tileloaded",{tile:a});if(this.tileQueue.length===0&&this.numLoadingTiles===0){this.loading=false;this.events.triggerEvent("loadend");if(this.backBuffer){this.backBufferTimerId=window.setTimeout(OpenLayers.Function.bind(this.removeBackBuffer,this),this.removeBackBufferDelay)}}};a.onLoadError=function(){this.events.triggerEvent("tileerror",{tile:a})};a.events.on({loadstart:a.onLoadStart,loadend:a.onLoadEnd,unload:a.onLoadEnd,loaderror:a.onLoadError,scope:this})},removeTileMonitoringHooks:function(a){a.unload();a.events.un({loadstart:a.onLoadStart,loadend:a.onLoadEnd,unload:a.onLoadEnd,loaderror:a.onLoadError,scope:this})},moveGriddedTiles:function(b){if(!b&&!OpenLayers.Animation.isNative){if(this.moveTimerId!=null){window.clearTimeout(this.moveTimerId)}this.moveTimerId=window.setTimeout(this.deferMoveGriddedTiles,this.tileLoadingDelay);return}var a=this.buffer||1;var e=this.getResolutionScale();while(true){var d={x:(this.grid[0][0].position.x*e)+parseInt(this.div.style.left,10)+parseInt(this.map.layerContainerDiv.style.left),y:(this.grid[0][0].position.y*e)+parseInt(this.div.style.top,10)+parseInt(this.map.layerContainerDiv.style.top)};var c={w:this.tileSize.w*e,h:this.tileSize.h*e};if(d.x>-c.w*(a-1)){this.shiftColumn(true)}else{if(d.x<-c.w*a){this.shiftColumn(false)}else{if(d.y>-c.h*(a-1)){this.shiftRow(true)}else{if(d.y<-c.h*a){this.shiftRow(false)}else{break}}}}}},shiftRow:function(o){var c=(o)?0:(this.grid.length-1);var b=this.grid;var f=b[c];var e=this.getServerResolution();var h=(o)?-this.tileSize.h:this.tileSize.h;var g=e*-h;var n=(o)?b.pop():b.shift();for(var j=0,l=f.length;j<l;j++){var d=f[j];var a=d.bounds.clone();var k=d.position.clone();a.bottom=a.bottom+g;a.top=a.top+g;k.y=k.y+h;n[j].moveTo(a,k)}if(o){b.unshift(n)}else{b.push(n)}},shiftColumn:function(n){var d=(n)?-this.tileSize.w:this.tileSize.w;var c=this.getServerResolution();var k=c*d;for(var e=0,g=this.grid.length;e<g;e++){var l=this.grid[e];var j=(n)?0:(l.length-1);var b=l[j];var a=b.bounds.clone();var f=b.position.clone();a.left=a.left+k;a.right=a.right+k;f.x=f.x+d;var h=n?this.grid[e].pop():this.grid[e].shift();h.moveTo(a,f);if(n){l.unshift(h)}else{l.push(h)}}},removeExcessTiles:function(e,c){var b,a;while(this.grid.length>e){var f=this.grid.pop();for(b=0,a=f.length;b<a;b++){var d=f[b];this.destroyTile(d)}}for(b=0,a=this.grid.length;b<a;b++){while(this.grid[b].length>c){var f=this.grid[b];var d=f.pop();this.destroyTile(d)}}},onMapResize:function(){if(this.singleTile){this.clearGrid();this.setTileSize()}},getTileBounds:function(d){var c=this.maxExtent;var f=this.getResolution();var e=f*this.tileSize.w;var b=f*this.tileSize.h;var h=this.getLonLatFromViewPortPx(d);var a=c.left+(e*Math.floor((h.lon-c.left)/e));var g=c.bottom+(b*Math.floor((h.lat-c.bottom)/b));return new OpenLayers.Bounds(a,g,a+e,g+b)},CLASS_NAME:"OpenLayers.Layer.Grid"});OpenLayers.Layer.WMS=OpenLayers.Class(OpenLayers.Layer.Grid,{DEFAULT_PARAMS:{service:"WMS",version:"1.1.1",request:"GetMap",styles:"",format:"image/jpeg"},isBaseLayer:true,encodeBBOX:false,noMagic:false,yx:{},initialize:function(d,c,e,b){var a=[];e=OpenLayers.Util.upperCaseObject(e);if(parseFloat(e.VERSION)>=1.3&&!e.EXCEPTIONS){e.EXCEPTIONS="INIMAGE"}a.push(d,c,e,b);OpenLayers.Layer.Grid.prototype.initialize.apply(this,a);OpenLayers.Util.applyDefaults(this.params,OpenLayers.Util.upperCaseObject(this.DEFAULT_PARAMS));if(!this.noMagic&&this.params.TRANSPARENT&&this.params.TRANSPARENT.toString().toLowerCase()=="true"){if((b==null)||(!b.isBaseLayer)){this.isBaseLayer=false}if(this.params.FORMAT=="image/jpeg"){this.params.FORMAT=OpenLayers.Util.alphaHack()?"image/gif":"image/png"}}},clone:function(a){if(a==null){a=new OpenLayers.Layer.WMS(this.name,this.url,this.params,this.getOptions())}a=OpenLayers.Layer.Grid.prototype.clone.apply(this,[a]);return a},reverseAxisOrder:function(){var a=this.projection.getCode();return parseFloat(this.params.VERSION)>=1.3&&!!(this.yx[a]||OpenLayers.Projection.defaults[a].yx)},getURL:function(c){c=this.adjustBounds(c);var d=this.getImageSize();var e={};var b=this.reverseAxisOrder();e.BBOX=this.encodeBBOX?c.toBBOX(null,b):c.toArray(b);e.WIDTH=d.w;e.HEIGHT=d.h;var a=this.getFullRequestString(e);return a},mergeNewParams:function(c){var b=OpenLayers.Util.upperCaseObject(c);var a=[b];return OpenLayers.Layer.Grid.prototype.mergeNewParams.apply(this,a)},getFullRequestString:function(e,c){var b=this.map.getProjectionObject();var a=this.projection&&this.projection.equals(b)?this.projection.getCode():b.getCode();var d=(a=="none")?null:a;if(parseFloat(this.params.VERSION)>=1.3){this.params.CRS=d}else{this.params.SRS=d}if(typeof this.params.TRANSPARENT=="boolean"){e.TRANSPARENT=this.params.TRANSPARENT?"TRUE":"FALSE"}return OpenLayers.Layer.Grid.prototype.getFullRequestString.apply(this,arguments)},CLASS_NAME:"OpenLayers.Layer.WMS"});OpenLayers.Layer.XYZ=OpenLayers.Class(OpenLayers.Layer.Grid,{isBaseLayer:true,sphericalMercator:false,zoomOffset:0,serverResolutions:null,initialize:function(c,b,a){if(a&&a.sphericalMercator||this.sphericalMercator){a=OpenLayers.Util.extend({projection:"EPSG:900913",numZoomLevels:19},a)}OpenLayers.Layer.Grid.prototype.initialize.apply(this,[c||this.name,b||this.url,{},a])},clone:function(a){if(a==null){a=new OpenLayers.Layer.XYZ(this.name,this.url,this.getOptions())}a=OpenLayers.Layer.Grid.prototype.clone.apply(this,[a]);return a},getURL:function(d){var a=this.getXYZ(d);var b=this.url;if(OpenLayers.Util.isArray(b)){var c=""+a.x+a.y+a.z;b=this.selectUrl(c,b)}return OpenLayers.String.format(b,a)},getXYZ:function(d){var c=this.getServerResolution();var a=Math.round((d.left-this.maxExtent.left)/(c*this.tileSize.w));var f=Math.round((this.maxExtent.top-d.top)/(c*this.tileSize.h));var e=this.getServerZoom();if(this.wrapDateLine){var b=Math.pow(2,e);a=((a%b)+b)%b}return{x:a,y:f,z:e}},setMap:function(a){OpenLayers.Layer.Grid.prototype.setMap.apply(this,arguments);if(!this.tileOrigin){this.tileOrigin=new OpenLayers.LonLat(this.maxExtent.left,this.maxExtent.bottom)}},CLASS_NAME:"OpenLayers.Layer.XYZ"});OpenLayers.Format.Context=OpenLayers.Class(OpenLayers.Format.XML.VersionedOGC,{layerOptions:null,layerParams:null,read:function(d,b){var c=OpenLayers.Format.XML.VersionedOGC.prototype.read.apply(this,arguments);var e;if(b&&b.map){this.context=c;if(b.map instanceof OpenLayers.Map){e=this.mergeContextToMap(c,b.map)}else{var a=b.map;if(OpenLayers.Util.isElement(a)||typeof a=="string"){a={div:a}}e=this.contextToMap(c,a)}}else{e=c}return e},getLayerFromContext:function(g){var c,f;var j={queryable:g.queryable,visibility:g.visibility,maxExtent:g.maxExtent,metadata:OpenLayers.Util.applyDefaults(g.metadata,{styles:g.styles,formats:g.formats,"abstract":g["abstract"],dataURL:g.dataURL}),numZoomLevels:g.numZoomLevels,units:g.units,isBaseLayer:g.isBaseLayer,opacity:g.opacity,displayInLayerSwitcher:g.displayInLayerSwitcher,singleTile:g.singleTile,tileSize:(g.tileSize)?new OpenLayers.Size(g.tileSize.width,g.tileSize.height):undefined,minScale:g.minScale||g.maxScaleDenominator,maxScale:g.maxScale||g.minScaleDenominator,srs:g.srs,dimensions:g.dimensions,metadataURL:g.metadataURL};if(this.layerOptions){OpenLayers.Util.applyDefaults(j,this.layerOptions)}var b={layers:g.name,transparent:g.transparent,version:g.version};if(g.formats&&g.formats.length>0){b.format=g.formats[0].value;for(c=0,f=g.formats.length;c<f;c++){var h=g.formats[c];if(h.current==true){b.format=h.value;break}}}if(g.styles&&g.styles.length>0){for(c=0,f=g.styles.length;c<f;c++){var a=g.styles[c];if(a.current==true){if(a.href){b.sld=a.href}else{if(a.body){b.sld_body=a.body}else{b.styles=a.name}}break}}}if(this.layerParams){OpenLayers.Util.applyDefaults(b,this.layerParams)}var d=null;var e=g.service;if(e==OpenLayers.Format.Context.serviceTypes.WFS){j.strategies=[new OpenLayers.Strategy.BBOX()];j.protocol=new OpenLayers.Protocol.WFS({url:g.url,featurePrefix:g.name.split(":")[0],featureType:g.name.split(":").pop()});d=new OpenLayers.Layer.Vector(g.title||g.name,j)}else{if(e==OpenLayers.Format.Context.serviceTypes.KML){j.strategies=[new OpenLayers.Strategy.Fixed()];j.protocol=new OpenLayers.Protocol.HTTP({url:g.url,format:new OpenLayers.Format.KML()});d=new OpenLayers.Layer.Vector(g.title||g.name,j)}else{if(e==OpenLayers.Format.Context.serviceTypes.GML){j.strategies=[new OpenLayers.Strategy.Fixed()];j.protocol=new OpenLayers.Protocol.HTTP({url:g.url,format:new OpenLayers.Format.GML()});d=new OpenLayers.Layer.Vector(g.title||g.name,j)}else{if(g.features){d=new OpenLayers.Layer.Vector(g.title||g.name,j);d.addFeatures(g.features)}else{if(g.categoryLayer!==true){d=new OpenLayers.Layer.WMS(g.title||g.name,g.url,b,j)}}}}}return d},getLayersFromContext:function(d){var e=[];for(var c=0,a=d.length;c<a;c++){var b=this.getLayerFromContext(d[c]);if(b!==null){e.push(b)}}return e},contextToMap:function(c,a){a=OpenLayers.Util.applyDefaults({maxExtent:c.maxExtent,projection:c.projection,units:c.units},a);if(a.maxExtent){a.maxResolution=a.maxExtent.getWidth()/OpenLayers.Map.TILE_WIDTH}var b={contactInformation:c.contactInformation,"abstract":c["abstract"],keywords:c.keywords,logo:c.logo,descriptionURL:c.descriptionURL};a.metadata=b;var d=new OpenLayers.Map(a);d.addLayers(this.getLayersFromContext(c.layersContext));d.setCenter(c.bounds.getCenterLonLat(),d.getZoomForExtent(c.bounds,true));return d},mergeContextToMap:function(a,b){b.addLayers(this.getLayersFromContext(a.layersContext));return b},write:function(b,a){b=this.toContext(b);return OpenLayers.Format.XML.VersionedOGC.prototype.write.apply(this,arguments)},CLASS_NAME:"OpenLayers.Format.Context"});OpenLayers.Format.Context.serviceTypes={WMS:"urn:ogc:serviceType:WMS",WFS:"urn:ogc:serviceType:WFS",WCS:"urn:ogc:serviceType:WCS",GML:"urn:ogc:serviceType:GML",SLD:"urn:ogc:serviceType:SLD",FES:"urn:ogc:serviceType:FES",KML:"urn:ogc:serviceType:KML"};OpenLayers.Format.WMC=OpenLayers.Class(OpenLayers.Format.Context,{defaultVersion:"1.1.0",layerToContext:function(c){var g=this.getParser();var e={queryable:c.queryable,visibility:c.visibility,name:c.params.LAYERS,title:c.name,"abstract":c.metadata["abstract"],dataURL:c.metadata.dataURL,metadataURL:c.metadataURL,server:{version:c.params.VERSION,url:c.url},maxExtent:c.maxExtent,transparent:c.params.TRANSPARENT,numZoomLevels:c.numZoomLevels,units:c.units,isBaseLayer:c.isBaseLayer,opacity:c.opacity==1?undefined:c.opacity,displayInLayerSwitcher:c.displayInLayerSwitcher,singleTile:c.singleTile,tileSize:(c.singleTile||!c.tileSize)?undefined:{width:c.tileSize.w,height:c.tileSize.h},minScale:(c.options.resolutions||c.options.scales||c.options.maxResolution||c.options.minScale)?c.minScale:undefined,maxScale:(c.options.resolutions||c.options.scales||c.options.minResolution||c.options.maxScale)?c.maxScale:undefined,formats:[],styles:[],srs:c.srs,dimensions:c.dimensions};if(c.metadata.servertitle){e.server.title=c.metadata.servertitle}if(c.metadata.formats&&c.metadata.formats.length>0){for(var b=0,a=c.metadata.formats.length;b<a;b++){var f=c.metadata.formats[b];e.formats.push({value:f.value,current:(f.value==c.params.FORMAT)})}}else{e.formats.push({value:c.params.FORMAT,current:true})}if(c.metadata.styles&&c.metadata.styles.length>0){for(var b=0,a=c.metadata.styles.length;b<a;b++){var d=c.metadata.styles[b];if((d.href==c.params.SLD)||(d.body==c.params.SLD_BODY)||(d.name==c.params.STYLES)){d.current=true}else{d.current=false}e.styles.push(d)}}else{e.styles.push({href:c.params.SLD,body:c.params.SLD_BODY,name:c.params.STYLES||g.defaultStyleName,title:g.defaultStyleTitle,current:true})}return e},toContext:function(g){var e={};var f=g.layers;if(g.CLASS_NAME=="OpenLayers.Map"){var d=g.metadata||{};e.size=g.getSize();e.bounds=g.getExtent();e.projection=g.projection;e.title=g.title;e.keywords=d.keywords;e["abstract"]=d["abstract"];e.logo=d.logo;e.descriptionURL=d.descriptionURL;e.contactInformation=d.contactInformation;e.maxExtent=g.maxExtent}else{OpenLayers.Util.applyDefaults(e,g);if(e.layers!=undefined){delete (e.layers)}}if(e.layersContext==undefined){e.layersContext=[]}if(f!=undefined&&OpenLayers.Util.isArray(f)){for(var c=0,a=f.length;c<a;c++){var b=f[c];if(b instanceof OpenLayers.Layer.WMS){e.layersContext.push(this.layerToContext(b))}}}return e},CLASS_NAME:"OpenLayers.Format.WMC"});OpenLayers.Format.WMC.v1=OpenLayers.Class(OpenLayers.Format.XML,{namespaces:{ol:"http://openlayers.org/context",wmc:"http://www.opengis.net/context",sld:"http://www.opengis.net/sld",xlink:"http://www.w3.org/1999/xlink",xsi:"http://www.w3.org/2001/XMLSchema-instance"},schemaLocation:"",getNamespacePrefix:function(a){var b=null;if(a==null){b=this.namespaces[this.defaultPrefix]}else{for(b in this.namespaces){if(this.namespaces[b]==a){break}}}return b},defaultPrefix:"wmc",rootPrefix:null,defaultStyleName:"",defaultStyleTitle:"Default",initialize:function(a){OpenLayers.Format.XML.prototype.initialize.apply(this,[a])},read:function(c){if(typeof c=="string"){c=OpenLayers.Format.XML.prototype.read.apply(this,[c])}var a=c.documentElement;this.rootPrefix=a.prefix;var b={version:a.getAttribute("version")};this.runChildNodes(b,a);return b},runChildNodes:function(e,d){var b=d.childNodes;var a,c,g,j;for(var f=0,h=b.length;f<h;++f){a=b[f];if(a.nodeType==1){g=this.getNamespacePrefix(a.namespaceURI);j=a.nodeName.split(":").pop();c=this["read_"+g+"_"+j];if(c){c.apply(this,[e,a])}}}},read_wmc_General:function(a,b){this.runChildNodes(a,b)},read_wmc_BoundingBox:function(a,b){a.projection=b.getAttribute("SRS");a.bounds=new OpenLayers.Bounds(b.getAttribute("minx"),b.getAttribute("miny"),b.getAttribute("maxx"),b.getAttribute("maxy"))},read_wmc_LayerList:function(a,b){a.layersContext=[];this.runChildNodes(a,b)},read_wmc_Layer:function(a,b){var c={visibility:(b.getAttribute("hidden")!="1"),queryable:(b.getAttribute("queryable")=="1"),formats:[],styles:[],metadata:{}};this.runChildNodes(c,b);a.layersContext.push(c)},read_wmc_Extension:function(b,a){this.runChildNodes(b,a)},read_ol_units:function(b,a){b.units=this.getChildValue(a)},read_ol_maxExtent:function(c,b){var a=new OpenLayers.Bounds(b.getAttribute("minx"),b.getAttribute("miny"),b.getAttribute("maxx"),b.getAttribute("maxy"));c.maxExtent=a},read_ol_transparent:function(b,a){b.transparent=this.getChildValue(a)},read_ol_numZoomLevels:function(b,a){b.numZoomLevels=parseInt(this.getChildValue(a))},read_ol_opacity:function(b,a){b.opacity=parseFloat(this.getChildValue(a))},read_ol_singleTile:function(b,a){b.singleTile=(this.getChildValue(a)=="true")},read_ol_tileSize:function(b,a){var c={width:a.getAttribute("width"),height:a.getAttribute("height")};b.tileSize=c},read_ol_isBaseLayer:function(b,a){b.isBaseLayer=(this.getChildValue(a)=="true")},read_ol_displayInLayerSwitcher:function(b,a){b.displayInLayerSwitcher=(this.getChildValue(a)=="true")},read_wmc_Server:function(b,a){b.version=a.getAttribute("version");b.url=this.getOnlineResource_href(a);b.metadata.servertitle=a.getAttribute("title")},read_wmc_FormatList:function(b,a){this.runChildNodes(b,a)},read_wmc_Format:function(b,a){var c={value:this.getChildValue(a)};if(a.getAttribute("current")=="1"){c.current=true}b.formats.push(c)},read_wmc_StyleList:function(b,a){this.runChildNodes(b,a)},read_wmc_Style:function(c,b){var a={};this.runChildNodes(a,b);if(b.getAttribute("current")=="1"){a.current=true}c.styles.push(a)},read_wmc_SLD:function(a,b){this.runChildNodes(a,b)},read_sld_StyledLayerDescriptor:function(c,b){var a=OpenLayers.Format.XML.prototype.write.apply(this,[b]);c.body=a},read_sld_FeatureTypeStyle:function(c,b){var a=OpenLayers.Format.XML.prototype.write.apply(this,[b]);c.body=a},read_wmc_OnlineResource:function(b,a){b.href=this.getAttributeNS(a,this.namespaces.xlink,"href")},read_wmc_Name:function(c,b){var a=this.getChildValue(b);if(a){c.name=a}},read_wmc_Title:function(b,a){var c=this.getChildValue(a);if(c){b.title=c}},read_wmc_MetadataURL:function(b,a){b.metadataURL=this.getOnlineResource_href(a)},read_wmc_KeywordList:function(a,b){a.keywords=[];this.runChildNodes(a.keywords,b)},read_wmc_Keyword:function(a,b){a.push(this.getChildValue(b))},read_wmc_Abstract:function(c,b){var a=this.getChildValue(b);if(a){c["abstract"]=a}},read_wmc_LogoURL:function(a,b){a.logo={width:b.getAttribute("width"),height:b.getAttribute("height"),format:b.getAttribute("format"),href:this.getOnlineResource_href(b)}},read_wmc_DescriptionURL:function(a,b){a.descriptionURL=this.getOnlineResource_href(b)},read_wmc_ContactInformation:function(c,b){var a={};this.runChildNodes(a,b);c.contactInformation=a},read_wmc_ContactPersonPrimary:function(b,c){var a={};this.runChildNodes(a,c);b.personPrimary=a},read_wmc_ContactPerson:function(b,c){var a=this.getChildValue(c);if(a){b.person=a}},read_wmc_ContactOrganization:function(b,c){var a=this.getChildValue(c);if(a){b.organization=a}},read_wmc_ContactPosition:function(b,c){var a=this.getChildValue(c);if(a){b.position=a}},read_wmc_ContactAddress:function(a,b){var c={};this.runChildNodes(c,b);a.contactAddress=c},read_wmc_AddressType:function(c,b){var a=this.getChildValue(b);if(a){c.type=a}},read_wmc_Address:function(c,b){var a=this.getChildValue(b);if(a){c.address=a}},read_wmc_City:function(c,a){var b=this.getChildValue(a);if(b){c.city=b}},read_wmc_StateOrProvince:function(c,a){var b=this.getChildValue(a);if(b){c.stateOrProvince=b}},read_wmc_PostCode:function(c,b){var a=this.getChildValue(b);if(a){c.postcode=a}},read_wmc_Country:function(c,a){var b=this.getChildValue(a);if(b){c.country=b}},read_wmc_ContactVoiceTelephone:function(a,c){var b=this.getChildValue(c);if(b){a.phone=b}},read_wmc_ContactFacsimileTelephone:function(a,c){var b=this.getChildValue(c);if(b){a.fax=b}},read_wmc_ContactElectronicMailAddress:function(a,c){var b=this.getChildValue(c);if(b){a.email=b}},read_wmc_DataURL:function(b,a){b.dataURL=this.getOnlineResource_href(a)},read_wmc_LegendURL:function(b,c){var a={width:c.getAttribute("width"),height:c.getAttribute("height"),format:c.getAttribute("format"),href:this.getOnlineResource_href(c)};b.legend=a},read_wmc_DimensionList:function(b,a){b.dimensions={};this.runChildNodes(b.dimensions,a)},read_wmc_Dimension:function(d,c){var b=c.getAttribute("name").toLowerCase();var e={name:b,units:c.getAttribute("units")||"",unitSymbol:c.getAttribute("unitSymbol")||"",userValue:c.getAttribute("userValue")||"",nearestValue:c.getAttribute("nearestValue")==="1",multipleValues:c.getAttribute("multipleValues")==="1",current:c.getAttribute("current")==="1","default":c.getAttribute("default")||""};var a=this.getChildValue(c);e.values=a.split(",");d[e.name]=e},write:function(c,b){var a=this.createElementDefaultNS("ViewContext");this.setAttributes(a,{version:this.VERSION,id:(b&&typeof b.id=="string")?b.id:OpenLayers.Util.createUniqueID("OpenLayers_Context_")});this.setAttributeNS(a,this.namespaces.xsi,"xsi:schemaLocation",this.schemaLocation);a.appendChild(this.write_wmc_General(c));a.appendChild(this.write_wmc_LayerList(c));return OpenLayers.Format.XML.prototype.write.apply(this,[a])},createElementDefaultNS:function(c,b,a){var d=this.createElementNS(this.namespaces[this.defaultPrefix],c);if(b){d.appendChild(this.createTextNode(b))}if(a){this.setAttributes(d,a)}return d},setAttributes:function(b,d){var c;for(var a in d){c=d[a].toString();if(c.match(/[A-Z]/)){this.setAttributeNS(b,null,a,c)}else{b.setAttribute(a,c)}}},write_wmc_General:function(a){var c=this.createElementDefaultNS("General");if(a.size){c.appendChild(this.createElementDefaultNS("Window",null,{width:a.size.w,height:a.size.h}))}var b=a.bounds;c.appendChild(this.createElementDefaultNS("BoundingBox",null,{minx:b.left.toPrecision(18),miny:b.bottom.toPrecision(18),maxx:b.right.toPrecision(18),maxy:b.top.toPrecision(18),SRS:a.projection}));c.appendChild(this.createElementDefaultNS("Title",a.title));if(a.keywords){c.appendChild(this.write_wmc_KeywordList(a.keywords))}if(a["abstract"]){c.appendChild(this.createElementDefaultNS("Abstract",a["abstract"]))}if(a.logo){c.appendChild(this.write_wmc_URLType("LogoURL",a.logo.href,a.logo))}if(a.descriptionURL){c.appendChild(this.write_wmc_URLType("DescriptionURL",a.descriptionURL))}if(a.contactInformation){c.appendChild(this.write_wmc_ContactInformation(a.contactInformation))}c.appendChild(this.write_ol_MapExtension(a));return c},write_wmc_KeywordList:function(c){var d=this.createElementDefaultNS("KeywordList");for(var b=0,a=c.length;b<a;b++){d.appendChild(this.createElementDefaultNS("Keyword",c[b]))}return d},write_wmc_ContactInformation:function(a){var b=this.createElementDefaultNS("ContactInformation");if(a.personPrimary){b.appendChild(this.write_wmc_ContactPersonPrimary(a.personPrimary))}if(a.position){b.appendChild(this.createElementDefaultNS("ContactPosition",a.position))}if(a.contactAddress){b.appendChild(this.write_wmc_ContactAddress(a.contactAddress))}if(a.phone){b.appendChild(this.createElementDefaultNS("ContactVoiceTelephone",a.phone))}if(a.fax){b.appendChild(this.createElementDefaultNS("ContactFacsimileTelephone",a.fax))}if(a.email){b.appendChild(this.createElementDefaultNS("ContactElectronicMailAddress",a.email))}return b},write_wmc_ContactPersonPrimary:function(a){var b=this.createElementDefaultNS("ContactPersonPrimary");if(a.person){b.appendChild(this.createElementDefaultNS("ContactPerson",a.person))}if(a.organization){b.appendChild(this.createElementDefaultNS("ContactOrganization",a.organization))}return b},write_wmc_ContactAddress:function(b){var a=this.createElementDefaultNS("ContactAddress");if(b.type){a.appendChild(this.createElementDefaultNS("AddressType",b.type))}if(b.address){a.appendChild(this.createElementDefaultNS("Address",b.address))}if(b.city){a.appendChild(this.createElementDefaultNS("City",b.city))}if(b.stateOrProvince){a.appendChild(this.createElementDefaultNS("StateOrProvince",b.stateOrProvince))}if(b.postcode){a.appendChild(this.createElementDefaultNS("PostCode",b.postcode))}if(b.country){a.appendChild(this.createElementDefaultNS("Country",b.country))}return a},write_ol_MapExtension:function(b){var d=this.createElementDefaultNS("Extension");var c=b.maxExtent;if(c){var a=this.createElementNS(this.namespaces.ol,"ol:maxExtent");this.setAttributes(a,{minx:c.left.toPrecision(18),miny:c.bottom.toPrecision(18),maxx:c.right.toPrecision(18),maxy:c.top.toPrecision(18)});d.appendChild(a)}return d},write_wmc_LayerList:function(c){var d=this.createElementDefaultNS("LayerList");for(var b=0,a=c.layersContext.length;b<a;++b){d.appendChild(this.write_wmc_Layer(c.layersContext[b]))}return d},write_wmc_Layer:function(a){var b=this.createElementDefaultNS("Layer",null,{queryable:a.queryable?"1":"0",hidden:a.visibility?"0":"1"});b.appendChild(this.write_wmc_Server(a));b.appendChild(this.createElementDefaultNS("Name",a.name));b.appendChild(this.createElementDefaultNS("Title",a.title));if(a["abstract"]){b.appendChild(this.createElementDefaultNS("Abstract",a["abstract"]))}if(a.dataURL){b.appendChild(this.write_wmc_URLType("DataURL",a.dataURL))}if(a.metadataURL){b.appendChild(this.write_wmc_URLType("MetadataURL",a.metadataURL))}return b},write_wmc_LayerExtension:function(b){var d=this.createElementDefaultNS("Extension");var a=b.maxExtent;var h=this.createElementNS(this.namespaces.ol,"ol:maxExtent");this.setAttributes(h,{minx:a.left.toPrecision(18),miny:a.bottom.toPrecision(18),maxx:a.right.toPrecision(18),maxy:a.top.toPrecision(18)});d.appendChild(h);if(b.tileSize&&!b.singleTile){var j=this.createElementNS(this.namespaces.ol,"ol:tileSize");this.setAttributes(j,b.tileSize);d.appendChild(j)}var g=["transparent","numZoomLevels","units","isBaseLayer","opacity","displayInLayerSwitcher","singleTile"];var c;for(var e=0,f=g.length;e<f;++e){c=this.createOLPropertyNode(b,g[e]);if(c){d.appendChild(c)}}return d},createOLPropertyNode:function(b,c){var a=null;if(b[c]!=null){a=this.createElementNS(this.namespaces.ol,"ol:"+c);a.appendChild(this.createTextNode(b[c].toString()))}return a},write_wmc_Server:function(b){var d=b.server;var c=this.createElementDefaultNS("Server");var a={service:"OGC:WMS",version:d.version};if(d.title){a.title=d.title}this.setAttributes(c,a);c.appendChild(this.write_wmc_OnlineResource(d.url));return c},write_wmc_URLType:function(f,b,a){var e=this.createElementDefaultNS(f);e.appendChild(this.write_wmc_OnlineResource(b));if(a){var d=["width","height","format"];for(var c=0;c<d.length;c++){if(d[c] in a){e.setAttribute(d[c],a[d[c]])}}}return e},write_wmc_DimensionList:function(e){var f=this.createElementDefaultNS("DimensionList");var d={name:true,units:true,unitSymbol:true,userValue:true};for(var h in e.dimensions){var b={};var g=e.dimensions[h];for(var c in g){if(typeof g[c]=="boolean"){b[c]=Number(g[c])}else{b[c]=g[c]}}var a="";if(b.values){a=b.values.join(",");delete b.values}f.appendChild(this.createElementDefaultNS("Dimension",a,b))}return f},write_wmc_FormatList:function(c){var d=this.createElementDefaultNS("FormatList");for(var b=0,a=c.formats.length;b<a;b++){var e=c.formats[b];d.appendChild(this.createElementDefaultNS("Format",e.value,(e.current&&e.current==true)?{current:"1"}:null))}return d},write_wmc_StyleList:function(e){var c=this.createElementDefaultNS("StyleList");var k=e.styles;if(k&&OpenLayers.Util.isArray(k)){var a;for(var d=0,f=k.length;d<f;d++){var l=k[d];var b=this.createElementDefaultNS("Style",null,(l.current&&l.current==true)?{current:"1"}:null);if(l.href){a=this.createElementDefaultNS("SLD");if(l.name){a.appendChild(this.createElementDefaultNS("Name",l.name))}if(l.title){a.appendChild(this.createElementDefaultNS("Title",l.title))}if(l.legend){a.appendChild(this.write_wmc_URLType("LegendURL",l.legend.href,l.legend))}var g=this.write_wmc_OnlineResource(l.href);a.appendChild(g);b.appendChild(a)}else{if(l.body){a=this.createElementDefaultNS("SLD");if(l.name){a.appendChild(this.createElementDefaultNS("Name",l.name))}if(l.title){a.appendChild(this.createElementDefaultNS("Title",l.title))}if(l.legend){a.appendChild(this.write_wmc_URLType("LegendURL",l.legend.href,l.legend))}var h=OpenLayers.Format.XML.prototype.read.apply(this,[l.body]);var j=h.documentElement;if(a.ownerDocument&&a.ownerDocument.importNode){j=a.ownerDocument.importNode(j,true)}a.appendChild(j);b.appendChild(a)}else{b.appendChild(this.createElementDefaultNS("Name",l.name));b.appendChild(this.createElementDefaultNS("Title",l.title));if(l["abstract"]){b.appendChild(this.createElementDefaultNS("Abstract",l["abstract"]))}if(l.legend){b.appendChild(this.write_wmc_URLType("LegendURL",l.legend.href,l.legend))}}}c.appendChild(b)}}return c},write_wmc_OnlineResource:function(a){var b=this.createElementDefaultNS("OnlineResource");this.setAttributeNS(b,this.namespaces.xlink,"xlink:type","simple");this.setAttributeNS(b,this.namespaces.xlink,"xlink:href",a);return b},getOnlineResource_href:function(c){var b={};var a=c.getElementsByTagName("OnlineResource");if(a.length>0){this.read_wmc_OnlineResource(b,a[0])}return b.href},CLASS_NAME:"OpenLayers.Format.WMC.v1"});OpenLayers.Format.WMC.v1_1_0=OpenLayers.Class(OpenLayers.Format.WMC.v1,{VERSION:"1.1.0",schemaLocation:"http://www.opengis.net/context http://schemas.opengis.net/context/1.1.0/context.xsd",initialize:function(a){OpenLayers.Format.WMC.v1.prototype.initialize.apply(this,[a])},read_sld_MinScaleDenominator:function(c,b){var a=parseFloat(this.getChildValue(b));if(a>0){c.maxScale=a}},read_sld_MaxScaleDenominator:function(b,a){b.minScale=parseFloat(this.getChildValue(a))},read_wmc_SRS:function(b,a){if(!("srs" in b)){b.srs={}}b.srs[this.getChildValue(a)]=true},write_wmc_Layer:function(c){var d=OpenLayers.Format.WMC.v1.prototype.write_wmc_Layer.apply(this,[c]);if(c.maxScale){var e=this.createElementNS(this.namespaces.sld,"sld:MinScaleDenominator");e.appendChild(this.createTextNode(c.maxScale.toPrecision(16)));d.appendChild(e)}if(c.minScale){var a=this.createElementNS(this.namespaces.sld,"sld:MaxScaleDenominator");a.appendChild(this.createTextNode(c.minScale.toPrecision(16)));d.appendChild(a)}if(c.srs){for(var b in c.srs){d.appendChild(this.createElementDefaultNS("SRS",b))}}d.appendChild(this.write_wmc_FormatList(c));d.appendChild(this.write_wmc_StyleList(c));if(c.dimensions){d.appendChild(this.write_wmc_DimensionList(c))}d.appendChild(this.write_wmc_LayerExtension(c));return d},CLASS_NAME:"OpenLayers.Format.WMC.v1_1_0"});OpenLayers.Renderer.SVG=OpenLayers.Class(OpenLayers.Renderer.Elements,{xmlns:"http://www.w3.org/2000/svg",xlinkns:"http://www.w3.org/1999/xlink",MAX_PIXEL:15000,translationParameters:null,symbolMetrics:null,initialize:function(a){if(!this.supported()){return}OpenLayers.Renderer.Elements.prototype.initialize.apply(this,arguments);this.translationParameters={x:0,y:0};this.symbolMetrics={}},supported:function(){var a="http://www.w3.org/TR/SVG11/feature#";return(document.implementation&&(document.implementation.hasFeature("org.w3c.svg","1.0")||document.implementation.hasFeature(a+"SVG","1.1")||document.implementation.hasFeature(a+"BasicStructure","1.1")))},inValidRange:function(a,e,b){var d=a+(b?0:this.translationParameters.x);var c=e+(b?0:this.translationParameters.y);return(d>=-this.MAX_PIXEL&&d<=this.MAX_PIXEL&&c>=-this.MAX_PIXEL&&c<=this.MAX_PIXEL)},setExtent:function(c,e){var b=OpenLayers.Renderer.Elements.prototype.setExtent.apply(this,arguments);var a=this.getResolution(),g=-c.left/a,f=c.top/a;if(e){this.left=g;this.top=f;var d="0 0 "+this.size.w+" "+this.size.h;this.rendererRoot.setAttributeNS(null,"viewBox",d);this.translate(this.xOffset,0);return true}else{var h=this.translate(g-this.left+this.xOffset,f-this.top);if(!h){this.setExtent(c,true)}return b&&h}},translate:function(a,c){if(!this.inValidRange(a,c,true)){return false}else{var b="";if(a||c){b="translate("+a+","+c+")"}this.root.setAttributeNS(null,"transform",b);this.translationParameters={x:a,y:c};return true}},setSize:function(a){OpenLayers.Renderer.prototype.setSize.apply(this,arguments);this.rendererRoot.setAttributeNS(null,"width",this.size.w);this.rendererRoot.setAttributeNS(null,"height",this.size.h)},getNodeType:function(c,b){var a=null;switch(c.CLASS_NAME){case"OpenLayers.Geometry.Point":if(b.externalGraphic){a="image"}else{if(this.isComplexSymbol(b.graphicName)){a="svg"}else{a="circle"}}break;case"OpenLayers.Geometry.Rectangle":a="rect";break;case"OpenLayers.Geometry.LineString":a="polyline";break;case"OpenLayers.Geometry.LinearRing":a="polygon";break;case"OpenLayers.Geometry.Polygon":case"OpenLayers.Geometry.Curve":a="path";break;default:break}return a},setStyle:function(q,w,b){w=w||q._style;b=b||q._options;var k=parseFloat(q.getAttributeNS(null,"r"));var j=1;var d;if(q._geometryClass=="OpenLayers.Geometry.Point"&&k){q.style.visibility="";if(w.graphic===false){q.style.visibility="hidden"}else{if(w.externalGraphic){d=this.getPosition(q);if(w.graphicTitle){q.setAttributeNS(null,"title",w.graphicTitle);var p=q.getElementsByTagName("title");if(p.length>0){p[0].firstChild.textContent=w.graphicTitle}else{var f=this.nodeFactory(null,"title");f.textContent=w.graphicTitle;q.appendChild(f)}}if(w.graphicWidth&&w.graphicHeight){q.setAttributeNS(null,"preserveAspectRatio","none")}var o=w.graphicWidth||w.graphicHeight;var n=w.graphicHeight||w.graphicWidth;o=o?o:w.pointRadius*2;n=n?n:w.pointRadius*2;var x=(w.graphicXOffset!=undefined)?w.graphicXOffset:-(0.5*o);var g=(w.graphicYOffset!=undefined)?w.graphicYOffset:-(0.5*n);var a=w.graphicOpacity||w.fillOpacity;q.setAttributeNS(null,"x",(d.x+x).toFixed());q.setAttributeNS(null,"y",(d.y+g).toFixed());q.setAttributeNS(null,"width",o);q.setAttributeNS(null,"height",n);q.setAttributeNS(this.xlinkns,"href",w.externalGraphic);q.setAttributeNS(null,"style","opacity: "+a);q.onclick=OpenLayers.Renderer.SVG.preventDefault}else{if(this.isComplexSymbol(w.graphicName)){var c=w.pointRadius*3;var l=c*2;var e=this.importSymbol(w.graphicName);d=this.getPosition(q);j=this.symbolMetrics[e.id][0]*3/l;var h=q.parentNode;var i=q.nextSibling;if(h){h.removeChild(q)}q.firstChild&&q.removeChild(q.firstChild);q.appendChild(e.firstChild.cloneNode(true));q.setAttributeNS(null,"viewBox",e.getAttributeNS(null,"viewBox"));q.setAttributeNS(null,"width",l);q.setAttributeNS(null,"height",l);q.setAttributeNS(null,"x",d.x-c);q.setAttributeNS(null,"y",d.y-c);if(i){h.insertBefore(q,i)}else{if(h){h.appendChild(q)}}}else{q.setAttributeNS(null,"r",w.pointRadius)}}}var u=w.rotation;if((u!==undefined||q._rotation!==undefined)&&d){q._rotation=u;u|=0;if(q.nodeName!=="svg"){q.setAttributeNS(null,"transform","rotate("+u+" "+d.x+" "+d.y+")")}else{var s=this.symbolMetrics[e.id];q.firstChild.setAttributeNS(null,"transform","rotate("+u+" "+s[1]+" "+s[2]+")")}}}if(b.isFilled){q.setAttributeNS(null,"fill",w.fillColor);q.setAttributeNS(null,"fill-opacity",w.fillOpacity)}else{q.setAttributeNS(null,"fill","none")}if(b.isStroked){q.setAttributeNS(null,"stroke",w.strokeColor);q.setAttributeNS(null,"stroke-opacity",w.strokeOpacity);q.setAttributeNS(null,"stroke-width",w.strokeWidth*j);q.setAttributeNS(null,"stroke-linecap",w.strokeLinecap||"round");q.setAttributeNS(null,"stroke-linejoin","round");w.strokeDashstyle&&q.setAttributeNS(null,"stroke-dasharray",this.dashStyle(w,j))}else{q.setAttributeNS(null,"stroke","none")}if(w.pointerEvents){q.setAttributeNS(null,"pointer-events",w.pointerEvents)}if(w.cursor!=null){q.setAttributeNS(null,"cursor",w.cursor)}return q},dashStyle:function(c,b){var a=c.strokeWidth*b;var d=c.strokeDashstyle;switch(d){case"solid":return"none";case"dot":return[1,4*a].join();case"dash":return[4*a,4*a].join();case"dashdot":return[4*a,4*a,1,4*a].join();case"longdash":return[8*a,4*a].join();case"longdashdot":return[8*a,4*a,1,4*a].join();default:return OpenLayers.String.trim(d).replace(/\s+/g,",")}},createNode:function(a,c){var b=document.createElementNS(this.xmlns,a);if(c){b.setAttributeNS(null,"id",c)}return b},nodeTypeCompare:function(b,a){return(a==b.nodeName)},createRenderRoot:function(){var a=this.nodeFactory(this.container.id+"_svgRoot","svg");a.style.display="block";return a},createRoot:function(a){return this.nodeFactory(this.container.id+a,"g")},createDefs:function(){var a=this.nodeFactory(this.container.id+"_defs","defs");this.rendererRoot.appendChild(a);return a},drawPoint:function(a,b){return this.drawCircle(a,b,1)},drawCircle:function(d,e,b){var c=this.getResolution();var a=((e.x-this.featureDx)/c+this.left);var f=(this.top-e.y/c);if(this.inValidRange(a,f)){d.setAttributeNS(null,"cx",a);d.setAttributeNS(null,"cy",f);d.setAttributeNS(null,"r",b);return d}else{return false}},drawLineString:function(b,c){var a=this.getComponentsString(c.components);if(a.path){b.setAttributeNS(null,"points",a.path);return(a.complete?b:null)}else{return false}},drawLinearRing:function(b,c){var a=this.getComponentsString(c.components);if(a.path){b.setAttributeNS(null,"points",a.path);return(a.complete?b:null)}else{return false}},drawPolygon:function(b,h){var g="";var i=true;var a=true;var c,k;for(var e=0,f=h.components.length;e<f;e++){g+=" M";c=this.getComponentsString(h.components[e].components," ");k=c.path;if(k){g+=" "+k;a=c.complete&&a}else{i=false}}g+=" z";if(i){b.setAttributeNS(null,"d",g);b.setAttributeNS(null,"fill-rule","evenodd");return a?b:null}else{return false}},drawRectangle:function(c,d){var b=this.getResolution();var a=((d.x-this.featureDx)/b+this.left);var e=(this.top-d.y/b);if(this.inValidRange(a,e)){c.setAttributeNS(null,"x",a);c.setAttributeNS(null,"y",e);c.setAttributeNS(null,"width",d.width/b);c.setAttributeNS(null,"height",d.height/b);return c}else{return false}},drawText:function(f,b,q){var a=(!!b.labelOutlineWidth);if(a){var l=OpenLayers.Util.extend({},b);l.fontColor=l.labelOutlineColor;l.fontStrokeColor=l.labelOutlineColor;l.fontStrokeWidth=b.labelOutlineWidth;delete l.labelOutlineWidth;this.drawText(f,l,q)}var c=this.getResolution();var p=((q.x-this.featureDx)/c+this.left);var k=(q.y/c-this.top);var r=(a)?this.LABEL_OUTLINE_SUFFIX:this.LABEL_ID_SUFFIX;var o=this.nodeFactory(f+r,"text");o.setAttributeNS(null,"x",p);o.setAttributeNS(null,"y",-k);if(b.fontColor){o.setAttributeNS(null,"fill",b.fontColor)}if(b.fontStrokeColor){o.setAttributeNS(null,"stroke",b.fontStrokeColor)}if(b.fontStrokeWidth){o.setAttributeNS(null,"stroke-width",b.fontStrokeWidth)}if(b.fontOpacity){o.setAttributeNS(null,"opacity",b.fontOpacity)}if(b.fontFamily){o.setAttributeNS(null,"font-family",b.fontFamily)}if(b.fontSize){o.setAttributeNS(null,"font-size",b.fontSize)}if(b.fontWeight){o.setAttributeNS(null,"font-weight",b.fontWeight)}if(b.fontStyle){o.setAttributeNS(null,"font-style",b.fontStyle)}if(b.labelSelect===true){o.setAttributeNS(null,"pointer-events","visible");o._featureId=f}else{o.setAttributeNS(null,"pointer-events","none")}var h=b.labelAlign||OpenLayers.Renderer.defaultSymbolizer.labelAlign;o.setAttributeNS(null,"text-anchor",OpenLayers.Renderer.SVG.LABEL_ALIGN[h[0]]||"middle");if(OpenLayers.IS_GECKO===true){o.setAttributeNS(null,"dominant-baseline",OpenLayers.Renderer.SVG.LABEL_ALIGN[h[1]]||"central")}var d=b.label.split("\n");var g=d.length;while(o.childNodes.length>g){o.removeChild(o.lastChild)}for(var e=0;e<g;e++){var j=this.nodeFactory(f+r+"_tspan_"+e,"tspan");if(b.labelSelect===true){j._featureId=f;j._geometry=q;j._geometryClass=q.CLASS_NAME}if(OpenLayers.IS_GECKO===false){j.setAttributeNS(null,"baseline-shift",OpenLayers.Renderer.SVG.LABEL_VSHIFT[h[1]]||"-35%")}j.setAttribute("x",p);if(e==0){var n=OpenLayers.Renderer.SVG.LABEL_VFACTOR[h[1]];if(n==null){n=-0.5}j.setAttribute("dy",(n*(g-1))+"em")}else{j.setAttribute("dy","1em")}j.textContent=(d[e]==="")?" ":d[e];if(!j.parentNode){o.appendChild(j)}}if(!o.parentNode){this.textRoot.appendChild(o)}},getComponentsString:function(d,c){var f=[];var a=true;var e=d.length;var j=[];var g,h;for(var b=0;b<e;b++){h=d[b];f.push(h);g=this.getShortString(h);if(g){j.push(g)}else{if(b>0){if(this.getShortString(d[b-1])){j.push(this.clipLine(d[b],d[b-1]))}}if(b<e-1){if(this.getShortString(d[b+1])){j.push(this.clipLine(d[b],d[b+1]))}}a=false}}return{path:j.join(c||","),complete:a}},clipLine:function(e,h){if(h.equals(e)){return""}var f=this.getResolution();var b=this.MAX_PIXEL-this.translationParameters.x;var a=this.MAX_PIXEL-this.translationParameters.y;var d=(h.x-this.featureDx)/f+this.left;var j=this.top-h.y/f;var c=(e.x-this.featureDx)/f+this.left;var i=this.top-e.y/f;var g;if(c<-b||c>b){g=(i-j)/(c-d);c=c<0?-b:b;i=j+(c-d)*g}if(i<-a||i>a){g=(c-d)/(i-j);i=i<0?-a:a;c=d+(i-j)*g}return c+","+i},getShortString:function(b){var c=this.getResolution();var a=((b.x-this.featureDx)/c+this.left);var d=(this.top-b.y/c);if(this.inValidRange(a,d)){return a+","+d}else{return false}},getPosition:function(a){return({x:parseFloat(a.getAttributeNS(null,"cx")),y:parseFloat(a.getAttributeNS(null,"cy"))})},importSymbol:function(f){if(!this.defs){this.defs=this.createDefs()}var b=this.container.id+"-"+f;var c=document.getElementById(b);if(c!=null){return c}var e=OpenLayers.Renderer.symbol[f];if(!e){throw new Error(f+" is not a valid symbol name")}var h=this.nodeFactory(b,"symbol");var d=this.nodeFactory(null,"polygon");h.appendChild(d);var o=new OpenLayers.Bounds(Number.MAX_VALUE,Number.MAX_VALUE,0,0);var l=[];var k,j;for(var g=0;g<e.length;g=g+2){k=e[g];j=e[g+1];o.left=Math.min(o.left,k);o.bottom=Math.min(o.bottom,j);o.right=Math.max(o.right,k);o.top=Math.max(o.top,j);l.push(k,",",j)}d.setAttributeNS(null,"points",l.join(" "));var a=o.getWidth();var n=o.getHeight();var p=[o.left-a,o.bottom-n,a*3,n*3];h.setAttributeNS(null,"viewBox",p.join(" "));this.symbolMetrics[b]=[Math.max(a,n),o.getCenterLonLat().lon,o.getCenterLonLat().lat];this.defs.appendChild(h);return h},getFeatureIdFromEvent:function(a){var c=OpenLayers.Renderer.Elements.prototype.getFeatureIdFromEvent.apply(this,arguments);if(!c){var b=a.target;c=b.parentNode&&b!=this.rendererRoot?b.parentNode._featureId:undefined}return c},CLASS_NAME:"OpenLayers.Renderer.SVG"});OpenLayers.Renderer.SVG.LABEL_ALIGN={l:"start",r:"end",b:"bottom",t:"hanging"};OpenLayers.Renderer.SVG.LABEL_VSHIFT={t:"-70%",b:"0"};OpenLayers.Renderer.SVG.LABEL_VFACTOR={t:0,b:-1};OpenLayers.Renderer.SVG.preventDefault=function(a){a.preventDefault&&a.preventDefault()};OpenLayers.Format.GeoJSON=OpenLayers.Class(OpenLayers.Format.JSON,{ignoreExtraDims:false,read:function(j,g,a){g=(g)?g:"FeatureCollection";var d=null;var c=null;if(typeof j=="string"){c=OpenLayers.Format.JSON.prototype.read.apply(this,[j,a])}else{c=j}if(!c){OpenLayers.Console.error("Bad JSON: "+j)}else{if(typeof(c.type)!="string"){OpenLayers.Console.error("Bad GeoJSON - no type: "+j)}else{if(this.isValidType(c,g)){switch(g){case"Geometry":try{d=this.parseGeometry(c)}catch(b){OpenLayers.Console.error(b)}break;case"Feature":try{d=this.parseFeature(c);d.type="Feature"}catch(b){OpenLayers.Console.error(b)}break;case"FeatureCollection":d=[];switch(c.type){case"Feature":try{d.push(this.parseFeature(c))}catch(b){d=null;OpenLayers.Console.error(b)}break;case"FeatureCollection":for(var e=0,f=c.features.length;e<f;++e){try{d.push(this.parseFeature(c.features[e]))}catch(b){d=null;OpenLayers.Console.error(b)}}break;default:try{var h=this.parseGeometry(c);d.push(new OpenLayers.Feature.Vector(h))}catch(b){d=null;OpenLayers.Console.error(b)}}break}}}}return d},isValidType:function(c,a){var b=false;switch(a){case"Geometry":if(OpenLayers.Util.indexOf(["Point","MultiPoint","LineString","MultiLineString","Polygon","MultiPolygon","Box","GeometryCollection"],c.type)==-1){OpenLayers.Console.error("Unsupported geometry type: "+c.type)}else{b=true}break;case"FeatureCollection":b=true;break;default:if(c.type==a){b=true}else{OpenLayers.Console.error("Cannot convert types from "+c.type+" to "+a)}}return b},parseFeature:function(d){var b,f,a,e;a=(d.properties)?d.properties:{};e=(d.geometry&&d.geometry.bbox)||d.bbox;try{f=this.parseGeometry(d.geometry)}catch(c){throw c}b=new OpenLayers.Feature.Vector(f,a);if(e){b.bounds=OpenLayers.Bounds.fromArray(e)}if(d.id){b.fid=d.id}return b},parseGeometry:function(e){if(e==null){return null}var g,f=false;if(e.type=="GeometryCollection"){if(!(OpenLayers.Util.isArray(e.geometries))){throw"GeometryCollection must have geometries array: "+e}var b=e.geometries.length;var d=new Array(b);for(var a=0;a<b;++a){d[a]=this.parseGeometry.apply(this,[e.geometries[a]])}g=new OpenLayers.Geometry.Collection(d);f=true}else{if(!(OpenLayers.Util.isArray(e.coordinates))){throw"Geometry must have coordinates array: "+e}if(!this.parseCoords[e.type.toLowerCase()]){throw"Unsupported geometry type: "+e.type}try{g=this.parseCoords[e.type.toLowerCase()].apply(this,[e.coordinates])}catch(c){throw c}}if(this.internalProjection&&this.externalProjection&&!f){g.transform(this.externalProjection,this.internalProjection)}return g},parseCoords:{point:function(a){if(this.ignoreExtraDims==false&&a.length!=2){throw"Only 2D points are supported: "+a}return new OpenLayers.Geometry.Point(a[0],a[1])},multipoint:function(f){var c=[];var e=null;for(var b=0,a=f.length;b<a;++b){try{e=this.parseCoords.point.apply(this,[f[b]])}catch(d){throw d}c.push(e)}return new OpenLayers.Geometry.MultiPoint(c)},linestring:function(f){var c=[];var e=null;for(var b=0,a=f.length;b<a;++b){try{e=this.parseCoords.point.apply(this,[f[b]])}catch(d){throw d}c.push(e)}return new OpenLayers.Geometry.LineString(c)},multilinestring:function(f){var c=[];var b=null;for(var d=0,a=f.length;d<a;++d){try{b=this.parseCoords.linestring.apply(this,[f[d]])}catch(e){throw e}c.push(b)}return new OpenLayers.Geometry.MultiLineString(c)},polygon:function(g){var f=[];var e,b;for(var c=0,a=g.length;c<a;++c){try{b=this.parseCoords.linestring.apply(this,[g[c]])}catch(d){throw d}e=new OpenLayers.Geometry.LinearRing(b.components);f.push(e)}return new OpenLayers.Geometry.Polygon(f)},multipolygon:function(f){var b=[];var e=null;for(var c=0,a=f.length;c<a;++c){try{e=this.parseCoords.polygon.apply(this,[f[c]])}catch(d){throw d}b.push(e)}return new OpenLayers.Geometry.MultiPolygon(b)},box:function(a){if(a.length!=2){throw"GeoJSON box coordinates must have 2 elements"}return new OpenLayers.Geometry.Polygon([new OpenLayers.Geometry.LinearRing([new OpenLayers.Geometry.Point(a[0][0],a[0][1]),new OpenLayers.Geometry.Point(a[1][0],a[0][1]),new OpenLayers.Geometry.Point(a[1][0],a[1][1]),new OpenLayers.Geometry.Point(a[0][0],a[1][1]),new OpenLayers.Geometry.Point(a[0][0],a[0][1])])])}},write:function(e,d){var a={type:null};if(OpenLayers.Util.isArray(e)){a.type="FeatureCollection";var g=e.length;a.features=new Array(g);for(var c=0;c<g;++c){var b=e[c];if(!b instanceof OpenLayers.Feature.Vector){var f="FeatureCollection only supports collections of features: "+b;throw f}a.features[c]=this.extract.feature.apply(this,[b])}}else{if(e.CLASS_NAME.indexOf("OpenLayers.Geometry")==0){a=this.extract.geometry.apply(this,[e])}else{if(e instanceof OpenLayers.Feature.Vector){a=this.extract.feature.apply(this,[e]);if(e.layer&&e.layer.projection){a.crs=this.createCRSObject(e)}}}}return OpenLayers.Format.JSON.prototype.write.apply(this,[a,d])},createCRSObject:function(b){var c=b.layer.projection.toString();var a={};if(c.match(/epsg:/i)){var d=parseInt(c.substring(c.indexOf(":")+1));if(d==4326){a={type:"name",properties:{name:"urn:ogc:def:crs:OGC:1.3:CRS84"}}}else{a={type:"name",properties:{name:"EPSG:"+d}}}}return a},extract:{feature:function(c){var b=this.extract.geometry.apply(this,[c.geometry]);var a={type:"Feature",properties:c.attributes,geometry:b};if(c.fid!=null){a.id=c.fid}return a},geometry:function(d){if(d==null){return null}if(this.internalProjection&&this.externalProjection){d=d.clone();d.transform(this.internalProjection,this.externalProjection)}var a=d.CLASS_NAME.split(".")[2];var c=this.extract[a.toLowerCase()].apply(this,[d]);var b;if(a=="Collection"){b={type:"GeometryCollection",geometries:c}}else{b={type:a,coordinates:c}}return b},point:function(a){return[a.x,a.y]},multipoint:function(c){var d=[];for(var b=0,a=c.components.length;b<a;++b){d.push(this.extract.point.apply(this,[c.components[b]]))}return d},linestring:function(b){var d=[];for(var c=0,a=b.components.length;c<a;++c){d.push(this.extract.point.apply(this,[b.components[c]]))}return d},multilinestring:function(c){var d=[];for(var b=0,a=c.components.length;b<a;++b){d.push(this.extract.linestring.apply(this,[c.components[b]]))}return d},polygon:function(c){var d=[];for(var b=0,a=c.components.length;b<a;++b){d.push(this.extract.linestring.apply(this,[c.components[b]]))}return d},multipolygon:function(d){var c=[];for(var b=0,a=d.components.length;b<a;++b){c.push(this.extract.polygon.apply(this,[d.components[b]]))}return c},collection:function(c){var a=c.components.length;var d=new Array(a);for(var b=0;b<a;++b){d[b]=this.extract.geometry.apply(this,[c.components[b]])}return d}},CLASS_NAME:"OpenLayers.Format.GeoJSON"});OpenLayers.Format.WMTSCapabilities=OpenLayers.Class(OpenLayers.Format.XML.VersionedOGC,{defaultVersion:"1.0.0",yx:{"urn:ogc:def:crs:EPSG::4326":true},createLayer:function(e,f){var k;var l={layer:true,matrixSet:true};for(var c in l){if(!(c in f)){throw new Error("Missing property '"+c+"' in layer configuration.")}}var g=e.contents;var d=g.tileMatrixSets[f.matrixSet];var j=g.layers;var b;for(var h=0,n=g.layers.length;h<n;++h){if(g.layers[h].identifier===f.layer){b=g.layers[h];break}}if(b&&d){var a;for(var h=0,n=b.styles.length;h<n;++h){a=b.styles[h];if(a.isDefault){break}}k=new OpenLayers.Layer.WMTS(OpenLayers.Util.applyDefaults(f,{url:f.requestEncoding==="REST"&&b.resourceUrl?b.resourceUrl.tile.template:e.operationsMetadata.GetTile.dcp.http.get[0].url,name:b.title,style:a.identifier,matrixIds:d.matrixIds,tileFullExtent:d.bounds}))}return k},CLASS_NAME:"OpenLayers.Format.WMTSCapabilities"});OpenLayers.Layer.SphericalMercator={getExtent:function(){var a=null;if(this.sphericalMercator){a=this.map.calculateBounds()}else{a=OpenLayers.Layer.FixedZoomLevels.prototype.getExtent.apply(this)}return a},getLonLatFromViewPortPx:function(a){return OpenLayers.Layer.prototype.getLonLatFromViewPortPx.apply(this,arguments)},getViewPortPxFromLonLat:function(a){return OpenLayers.Layer.prototype.getViewPortPxFromLonLat.apply(this,arguments)},initMercatorParameters:function(){this.RESOLUTIONS=[];var a=156543.03390625;for(var b=0;b<=this.MAX_ZOOM_LEVEL;++b){this.RESOLUTIONS[b]=a/Math.pow(2,b)}this.units="m";this.projection=this.projection||"EPSG:900913"},forwardMercator:(function(){var a=new OpenLayers.Projection("EPSG:4326");var b=new OpenLayers.Projection("EPSG:900913");return function(e,d){var c=OpenLayers.Projection.transform({x:e,y:d},a,b);return new OpenLayers.LonLat(c.x,c.y)}})(),inverseMercator:(function(){var a=new OpenLayers.Projection("EPSG:4326");var b=new OpenLayers.Projection("EPSG:900913");return function(d,e){var c=OpenLayers.Projection.transform({x:d,y:e},b,a);return new OpenLayers.LonLat(c.x,c.y)}})()};OpenLayers.Control.Button=OpenLayers.Class(OpenLayers.Control,{type:OpenLayers.Control.TYPE_BUTTON,trigger:function(){},CLASS_NAME:"OpenLayers.Control.Button"});OpenLayers.Format.WMC.v1_0_0=OpenLayers.Class(OpenLayers.Format.WMC.v1,{VERSION:"1.0.0",schemaLocation:"http://www.opengis.net/context http://schemas.opengis.net/context/1.0.0/context.xsd",initialize:function(a){OpenLayers.Format.WMC.v1.prototype.initialize.apply(this,[a])},read_wmc_SRS:function(f,e){var d=this.getChildValue(e);if(typeof f.projections!="object"){f.projections={}}var b=d.split(/ +/);for(var c=0,a=b.length;c<a;c++){f.projections[b[c]]=true}},write_wmc_Layer:function(b){var c=OpenLayers.Format.WMC.v1.prototype.write_wmc_Layer.apply(this,[b]);if(b.srs){var d=[];for(var a in b.srs){d.push(a)}c.appendChild(this.createElementDefaultNS("SRS",d.join(" ")))}c.appendChild(this.write_wmc_FormatList(b));c.appendChild(this.write_wmc_StyleList(b));if(b.dimensions){c.appendChild(this.write_wmc_DimensionList(b))}c.appendChild(this.write_wmc_LayerExtension(b))},CLASS_NAME:"OpenLayers.Format.WMC.v1_0_0"});OpenLayers.Format.WMTSCapabilities.v1_0_0=OpenLayers.Class(OpenLayers.Format.OWSCommon.v1_1_0,{version:"1.0.0",namespaces:{ows:"http://www.opengis.net/ows/1.1",wmts:"http://www.opengis.net/wmts/1.0",xlink:"http://www.w3.org/1999/xlink"},yx:null,defaultPrefix:"wmts",initialize:function(b){OpenLayers.Format.XML.prototype.initialize.apply(this,[b]);this.options=b;var a=OpenLayers.Util.extend({},OpenLayers.Format.WMTSCapabilities.prototype.yx);this.yx=OpenLayers.Util.extend(a,this.yx)},read:function(b){if(typeof b=="string"){b=OpenLayers.Format.XML.prototype.read.apply(this,[b])}if(b&&b.nodeType==9){b=b.documentElement}var a={};this.readNode(b,a);a.version=this.version;return a},readers:{wmts:{Capabilities:function(a,b){this.readChildNodes(a,b)},Contents:function(a,b){b.contents={};b.contents.layers=[];b.contents.tileMatrixSets={};this.readChildNodes(a,b.contents)},Layer:function(b,c){var a={styles:[],formats:[],dimensions:[],tileMatrixSetLinks:[]};a.layers=[];this.readChildNodes(b,a);c.layers.push(a)},Style:function(b,c){var a={};a.isDefault=(b.getAttribute("isDefault")==="true");this.readChildNodes(b,a);c.styles.push(a)},Format:function(a,b){b.formats.push(this.getChildValue(a))},TileMatrixSetLink:function(b,c){var a={};this.readChildNodes(b,a);c.tileMatrixSetLinks.push(a)},TileMatrixSet:function(b,c){if(c.layers){var a={matrixIds:[]};this.readChildNodes(b,a);c.tileMatrixSets[a.identifier]=a}else{c.tileMatrixSet=this.getChildValue(b)}},TileMatrix:function(b,c){var a={supportedCRS:c.supportedCRS};this.readChildNodes(b,a);c.matrixIds.push(a)},ScaleDenominator:function(a,b){b.scaleDenominator=parseFloat(this.getChildValue(a))},TopLeftCorner:function(d,f){var c=this.getChildValue(d);var e=c.split(" ");var a;if(f.supportedCRS){var b=f.supportedCRS.replace(/urn:ogc:def:crs:(\w+):.+:(\w+)$/,"urn:ogc:def:crs:$1::$2");a=!!this.yx[b]}if(a){f.topLeftCorner=new OpenLayers.LonLat(e[1],e[0])}else{f.topLeftCorner=new OpenLayers.LonLat(e[0],e[1])}},TileWidth:function(a,b){b.tileWidth=parseInt(this.getChildValue(a))},TileHeight:function(a,b){b.tileHeight=parseInt(this.getChildValue(a))},MatrixWidth:function(a,b){b.matrixWidth=parseInt(this.getChildValue(a))},MatrixHeight:function(a,b){b.matrixHeight=parseInt(this.getChildValue(a))},ResourceURL:function(a,b){b.resourceUrl=b.resourceUrl||{};b.resourceUrl[a.getAttribute("resourceType")]={format:a.getAttribute("format"),template:a.getAttribute("template")}},WSDL:function(a,b){b.wsdl={};b.wsdl.href=a.getAttribute("xlink:href")},ServiceMetadataURL:function(a,b){b.serviceMetadataUrl={};b.serviceMetadataUrl.href=a.getAttribute("xlink:href")},LegendURL:function(a,b){b.legend={};b.legend.href=a.getAttribute("xlink:href");b.legend.format=a.getAttribute("format")},Dimension:function(a,c){var b={values:[]};this.readChildNodes(a,b);c.dimensions.push(b)},Default:function(a,b){b["default"]=this.getChildValue(a)},Value:function(a,b){b.values.push(this.getChildValue(a))}},ows:OpenLayers.Format.OWSCommon.v1_1_0.prototype.readers.ows},CLASS_NAME:"OpenLayers.Format.WMTSCapabilities.v1_0_0"});OpenLayers.Control.DrawFeature=OpenLayers.Class(OpenLayers.Control,{layer:null,callbacks:null,multi:false,featureAdded:function(){},handlerOptions:null,initialize:function(b,c,a){OpenLayers.Control.prototype.initialize.apply(this,[a]);this.callbacks=OpenLayers.Util.extend({done:this.drawFeature,modify:function(f,e){this.layer.events.triggerEvent("sketchmodified",{vertex:f,feature:e})},create:function(f,e){this.layer.events.triggerEvent("sketchstarted",{vertex:f,feature:e})}},this.callbacks);this.layer=b;this.handlerOptions=this.handlerOptions||{};this.handlerOptions.layerOptions=OpenLayers.Util.applyDefaults(this.handlerOptions.layerOptions,{renderers:b.renderers,rendererOptions:b.rendererOptions});if(!("multi" in this.handlerOptions)){this.handlerOptions.multi=this.multi}var d=this.layer.styleMap&&this.layer.styleMap.styles.temporary;if(d){this.handlerOptions.layerOptions=OpenLayers.Util.applyDefaults(this.handlerOptions.layerOptions,{styleMap:new OpenLayers.StyleMap({"default":d})})}this.handler=new c(this,this.callbacks,this.handlerOptions)},drawFeature:function(c){var a=new OpenLayers.Feature.Vector(c);var b=this.layer.events.triggerEvent("sketchcomplete",{feature:a});if(b!==false){a.state=OpenLayers.State.INSERT;this.layer.addFeatures([a]);this.featureAdded(a);this.events.triggerEvent("featureadded",{feature:a})}},insertXY:function(a,b){if(this.handler&&this.handler.line){this.handler.insertXY(a,b)}},insertDeltaXY:function(b,a){if(this.handler&&this.handler.line){this.handler.insertDeltaXY(b,a)}},insertDirectionLength:function(b,a){if(this.handler&&this.handler.line){this.handler.insertDirectionLength(b,a)}},insertDeflectionLength:function(b,a){if(this.handler&&this.handler.line){this.handler.insertDeflectionLength(b,a)}},undo:function(){return this.handler.undo&&this.handler.undo()},redo:function(){return this.handler.redo&&this.handler.redo()},finishSketch:function(){this.handler.finishGeometry()},cancel:function(){this.handler.cancel()},CLASS_NAME:"OpenLayers.Control.DrawFeature"});OpenLayers.Rule=OpenLayers.Class({id:null,name:null,title:null,description:null,context:null,filter:null,elseFilter:false,symbolizer:null,symbolizers:null,minScaleDenominator:null,maxScaleDenominator:null,initialize:function(a){this.symbolizer={};OpenLayers.Util.extend(this,a);if(this.symbolizers){delete this.symbolizer}this.id=OpenLayers.Util.createUniqueID(this.CLASS_NAME+"_")},destroy:function(){for(var a in this.symbolizer){this.symbolizer[a]=null}this.symbolizer=null;delete this.symbolizers},evaluate:function(c){var b=this.getContext(c);var a=true;if(this.minScaleDenominator||this.maxScaleDenominator){var d=c.layer.map.getScale()}if(this.minScaleDenominator){a=d>=OpenLayers.Style.createLiteral(this.minScaleDenominator,b)}if(a&&this.maxScaleDenominator){a=d<OpenLayers.Style.createLiteral(this.maxScaleDenominator,b)}if(a&&this.filter){if(this.filter.CLASS_NAME=="OpenLayers.Filter.FeatureId"){a=this.filter.evaluate(c)}else{a=this.filter.evaluate(b)}}return a},getContext:function(b){var a=this.context;if(!a){a=b.attributes||b.data}if(typeof this.context=="function"){a=this.context(b)}return a},clone:function(){var b=OpenLayers.Util.extend({},this);if(this.symbolizers){var a=this.symbolizers.length;b.symbolizers=new Array(a);for(var d=0;d<a;++d){b.symbolizers[d]=this.symbolizers[d].clone()}}else{b.symbolizer={};var f,e;for(var c in this.symbolizer){f=this.symbolizer[c];e=typeof f;if(e==="object"){b.symbolizer[c]=OpenLayers.Util.extend({},f)}else{if(e==="string"){b.symbolizer[c]=f}}}}b.filter=this.filter&&this.filter.clone();b.context=this.context&&OpenLayers.Util.extend({},this.context);return new OpenLayers.Rule(b)},CLASS_NAME:"OpenLayers.Rule"});OpenLayers.Handler.Pinch=OpenLayers.Class(OpenLayers.Handler,{started:false,stopDown:false,pinching:false,last:null,start:null,touchstart:function(b){var a=true;this.pinching=false;if(OpenLayers.Event.isMultiTouch(b)){this.started=true;this.last=this.start={distance:this.getDistance(b.touches),delta:0,scale:1};this.callback("start",[b,this.start]);a=!this.stopDown}else{this.started=false;this.start=null;this.last=null}OpenLayers.Event.stop(b);return a},touchmove:function(a){if(this.started&&OpenLayers.Event.isMultiTouch(a)){this.pinching=true;var b=this.getPinchData(a);this.callback("move",[a,b]);this.last=b;OpenLayers.Event.stop(a)}return true},touchend:function(a){if(this.started){this.started=false;this.pinching=false;this.callback("done",[a,this.start,this.last]);this.start=null;this.last=null}return true},activate:function(){var a=false;if(OpenLayers.Handler.prototype.activate.apply(this,arguments)){this.pinching=false;a=true}return a},deactivate:function(){var a=false;if(OpenLayers.Handler.prototype.deactivate.apply(this,arguments)){this.started=false;this.pinching=false;this.start=null;this.last=null;a=true}return a},getDistance:function(c){var b=c[0];var a=c[1];return Math.sqrt(Math.pow(b.clientX-a.clientX,2)+Math.pow(b.clientY-a.clientY,2))},getPinchData:function(a){var c=this.getDistance(a.touches);var b=c/this.start.distance;return{distance:c,delta:this.last.distance-c,scale:b}},CLASS_NAME:"OpenLayers.Handler.Pinch"});OpenLayers.Control.Geolocate=OpenLayers.Class(OpenLayers.Control,{geolocation:navigator.geolocation,bind:true,watch:false,geolocationOptions:null,destroy:function(){this.deactivate();OpenLayers.Control.prototype.destroy.apply(this,arguments)},activate:function(){if(!this.geolocation){this.events.triggerEvent("locationuncapable");return false}if(OpenLayers.Control.prototype.activate.apply(this,arguments)){if(this.watch){this.watchId=this.geolocation.watchPosition(OpenLayers.Function.bind(this.geolocate,this),OpenLayers.Function.bind(this.failure,this),this.geolocationOptions)}else{this.getCurrentLocation()}return true}return false},deactivate:function(){if(this.active&&this.watchId!==null){this.geolocation.clearWatch(this.watchId)}return OpenLayers.Control.prototype.deactivate.apply(this,arguments)},geolocate:function(b){var a=new OpenLayers.LonLat(b.coords.longitude,b.coords.latitude).transform(new OpenLayers.Projection("EPSG:4326"),this.map.getProjectionObject());if(this.bind){this.map.setCenter(a)}this.events.triggerEvent("locationupdated",{position:b,point:new OpenLayers.Geometry.Point(a.lon,a.lat)})},getCurrentLocation:function(){if(!this.active||this.watch){return false}this.geolocation.getCurrentPosition(OpenLayers.Function.bind(this.geolocate,this),OpenLayers.Function.bind(this.failure,this),this.geolocationOptions);return true},failure:function(a){this.events.triggerEvent("locationfailed",{error:a})},CLASS_NAME:"OpenLayers.Control.Geolocate"});OpenLayers.Format.GML=OpenLayers.Class(OpenLayers.Format.XML,{featureNS:"http://mapserver.gis.umn.edu/mapserver",featurePrefix:"feature",featureName:"featureMember",layerName:"features",geometryName:"geometry",collectionName:"FeatureCollection",gmlns:"http://www.opengis.net/gml",extractAttributes:true,xy:true,initialize:function(a){this.regExes={trimSpace:(/^\s*|\s*$/g),removeSpace:(/\s*/g),splitSpace:(/\s+/),trimComma:(/\s*,\s*/g)};OpenLayers.Format.XML.prototype.initialize.apply(this,[a])},read:function(d){if(typeof d=="string"){d=OpenLayers.Format.XML.prototype.read.apply(this,[d])}var e=this.getElementsByTagNameNS(d.documentElement,this.gmlns,this.featureName);var c=[];for(var b=0;b<e.length;b++){var a=this.parseFeature(e[b]);if(a){c.push(a)}}return c},parseFeature:function(d){var e=["MultiPolygon","Polygon","MultiLineString","LineString","MultiPoint","Point","Envelope"];var q,h,r,c;for(var l=0;l<e.length;++l){q=e[l];h=this.getElementsByTagNameNS(d,this.gmlns,q);if(h.length>0){c=this.parseGeometry[q.toLowerCase()];if(c){r=c.apply(this,[h[0]]);if(this.internalProjection&&this.externalProjection){r.transform(this.externalProjection,this.internalProjection)}}else{throw new TypeError("Unsupported geometry type: "+q)}break}}var b;var k=this.getElementsByTagNameNS(d,this.gmlns,"Box");for(l=0;l<k.length;++l){var p=k[l];var o=this.parseGeometry.box.apply(this,[p]);var n=p.parentNode;var g=n.localName||n.nodeName.split(":").pop();if(g==="boundedBy"){b=o}else{r=o.toGeometry()}}var j;if(this.extractAttributes){j=this.parseAttributes(d)}var s=new OpenLayers.Feature.Vector(r,j);s.bounds=b;s.gml={featureType:d.firstChild.nodeName.split(":")[1],featureNS:d.firstChild.namespaceURI,featureNSPrefix:d.firstChild.prefix};var a=d.firstChild;var f;while(a){if(a.nodeType==1){f=a.getAttribute("fid")||a.getAttribute("id");if(f){break}}a=a.nextSibling}s.fid=f;return s},parseGeometry:{point:function(d){var b,a;var e=[];var b=this.getElementsByTagNameNS(d,this.gmlns,"pos");if(b.length>0){a=b[0].firstChild.nodeValue;a=a.replace(this.regExes.trimSpace,"");e=a.split(this.regExes.splitSpace)}if(e.length==0){b=this.getElementsByTagNameNS(d,this.gmlns,"coordinates");if(b.length>0){a=b[0].firstChild.nodeValue;a=a.replace(this.regExes.removeSpace,"");e=a.split(",")}}if(e.length==0){b=this.getElementsByTagNameNS(d,this.gmlns,"coord");if(b.length>0){var f=this.getElementsByTagNameNS(b[0],this.gmlns,"X");var c=this.getElementsByTagNameNS(b[0],this.gmlns,"Y");if(f.length>0&&c.length>0){e=[f[0].firstChild.nodeValue,c[0].firstChild.nodeValue]}}}if(e.length==2){e[2]=null}if(this.xy){return new OpenLayers.Geometry.Point(e[0],e[1],e[2])}else{return new OpenLayers.Geometry.Point(e[1],e[0],e[2])}},multipoint:function(e){var b=this.getElementsByTagNameNS(e,this.gmlns,"Point");var d=[];if(b.length>0){var a;for(var c=0;c<b.length;++c){a=this.parseGeometry.point.apply(this,[b[c]]);if(a){d.push(a)}}}return new OpenLayers.Geometry.MultiPoint(d)},linestring:function(c,e){var d,b;var o=[];var p=[];d=this.getElementsByTagNameNS(c,this.gmlns,"posList");if(d.length>0){b=this.getChildValue(d[0]);b=b.replace(this.regExes.trimSpace,"");o=b.split(this.regExes.splitSpace);var h=parseInt(d[0].getAttribute("dimension"));var f,n,l,k;for(var g=0;g<o.length/h;++g){f=g*h;n=o[f];l=o[f+1];k=(h==2)?null:o[f+2];if(this.xy){p.push(new OpenLayers.Geometry.Point(n,l,k))}else{p.push(new OpenLayers.Geometry.Point(l,n,k))}}}if(o.length==0){d=this.getElementsByTagNameNS(c,this.gmlns,"coordinates");if(d.length>0){b=this.getChildValue(d[0]);b=b.replace(this.regExes.trimSpace,"");b=b.replace(this.regExes.trimComma,",");var a=b.split(this.regExes.splitSpace);for(var g=0;g<a.length;++g){o=a[g].split(",");if(o.length==2){o[2]=null}if(this.xy){p.push(new OpenLayers.Geometry.Point(o[0],o[1],o[2]))}else{p.push(new OpenLayers.Geometry.Point(o[1],o[0],o[2]))}}}}var q=null;if(p.length!=0){if(e){q=new OpenLayers.Geometry.LinearRing(p)}else{q=new OpenLayers.Geometry.LineString(p)}}return q},multilinestring:function(e){var b=this.getElementsByTagNameNS(e,this.gmlns,"LineString");var d=[];if(b.length>0){var a;for(var c=0;c<b.length;++c){a=this.parseGeometry.linestring.apply(this,[b[c]]);if(a){d.push(a)}}}return new OpenLayers.Geometry.MultiLineString(d)},polygon:function(e){var b=this.getElementsByTagNameNS(e,this.gmlns,"LinearRing");var d=[];if(b.length>0){var a;for(var c=0;c<b.length;++c){a=this.parseGeometry.linestring.apply(this,[b[c],true]);if(a){d.push(a)}}}return new OpenLayers.Geometry.Polygon(d)},multipolygon:function(e){var a=this.getElementsByTagNameNS(e,this.gmlns,"Polygon");var d=[];if(a.length>0){var c;for(var b=0;b<a.length;++b){c=this.parseGeometry.polygon.apply(this,[a[b]]);if(c){d.push(c)}}}return new OpenLayers.Geometry.MultiPolygon(d)},envelope:function(b){var e=[];var a;var f;var j=this.getElementsByTagNameNS(b,this.gmlns,"lowerCorner");if(j.length>0){var h=[];if(j.length>0){a=j[0].firstChild.nodeValue;a=a.replace(this.regExes.trimSpace,"");h=a.split(this.regExes.splitSpace)}if(h.length==2){h[2]=null}if(this.xy){var d=new OpenLayers.Geometry.Point(h[0],h[1],h[2])}else{var d=new OpenLayers.Geometry.Point(h[1],h[0],h[2])}}var g=this.getElementsByTagNameNS(b,this.gmlns,"upperCorner");if(g.length>0){var h=[];if(g.length>0){a=g[0].firstChild.nodeValue;a=a.replace(this.regExes.trimSpace,"");h=a.split(this.regExes.splitSpace)}if(h.length==2){h[2]=null}if(this.xy){var i=new OpenLayers.Geometry.Point(h[0],h[1],h[2])}else{var i=new OpenLayers.Geometry.Point(h[1],h[0],h[2])}}if(d&&i){e.push(new OpenLayers.Geometry.Point(d.x,d.y));e.push(new OpenLayers.Geometry.Point(i.x,d.y));e.push(new OpenLayers.Geometry.Point(i.x,i.y));e.push(new OpenLayers.Geometry.Point(d.x,i.y));e.push(new OpenLayers.Geometry.Point(d.x,d.y));var c=new OpenLayers.Geometry.LinearRing(e);f=new OpenLayers.Geometry.Polygon([c])}return f},box:function(e){var c=this.getElementsByTagNameNS(e,this.gmlns,"coordinates");var b;var f,a=null,d=null;if(c.length>0){b=c[0].firstChild.nodeValue;f=b.split(" ");if(f.length==2){a=f[0].split(",");d=f[1].split(",")}}if(a!==null&&d!==null){return new OpenLayers.Bounds(parseFloat(a[0]),parseFloat(a[1]),parseFloat(d[0]),parseFloat(d[1]))}}},parseAttributes:function(e){var f={};var a=e.firstChild;var d,g,c,k,j,b,h;while(a){if(a.nodeType==1){d=a.childNodes;for(g=0;g<d.length;++g){c=d[g];if(c.nodeType==1){k=c.childNodes;if(k.length==1){j=k[0];if(j.nodeType==3||j.nodeType==4){b=(c.prefix)?c.nodeName.split(":")[1]:c.nodeName;h=j.nodeValue.replace(this.regExes.trimSpace,"");f[b]=h}}else{f[c.nodeName.split(":").pop()]=null}}}break}a=a.nextSibling}return f},write:function(c){if(!(OpenLayers.Util.isArray(c))){c=[c]}var b=this.createElementNS("http://www.opengis.net/wfs","wfs:"+this.collectionName);for(var a=0;a<c.length;a++){b.appendChild(this.createFeatureXML(c[a]))}return OpenLayers.Format.XML.prototype.write.apply(this,[b])},createFeatureXML:function(j){var h=j.geometry;var e=this.buildGeometryNode(h);var i=this.createElementNS(this.featureNS,this.featurePrefix+":"+this.geometryName);i.appendChild(e);var a=this.createElementNS(this.gmlns,"gml:"+this.featureName);var k=this.createElementNS(this.featureNS,this.featurePrefix+":"+this.layerName);var c=j.fid||j.id;k.setAttribute("fid",c);k.appendChild(i);for(var g in j.attributes){var f=this.createTextNode(j.attributes[g]);var d=g.substring(g.lastIndexOf(":")+1);var b=this.createElementNS(this.featureNS,this.featurePrefix+":"+d);b.appendChild(f);k.appendChild(b)}a.appendChild(k);return a},buildGeometryNode:function(d){if(this.externalProjection&&this.internalProjection){d=d.clone();d.transform(this.internalProjection,this.externalProjection)}var c=d.CLASS_NAME;var b=c.substring(c.lastIndexOf(".")+1);var a=this.buildGeometry[b.toLowerCase()];return a.apply(this,[d])},buildGeometry:{point:function(b){var a=this.createElementNS(this.gmlns,"gml:Point");a.appendChild(this.buildCoordinatesNode(b));return a},multipoint:function(f){var d=this.createElementNS(this.gmlns,"gml:MultiPoint");var c=f.components;var b,e;for(var a=0;a<c.length;a++){b=this.createElementNS(this.gmlns,"gml:pointMember");e=this.buildGeometry.point.apply(this,[c[a]]);b.appendChild(e);d.appendChild(b)}return d},linestring:function(b){var a=this.createElementNS(this.gmlns,"gml:LineString");a.appendChild(this.buildCoordinatesNode(b));return a},multilinestring:function(f){var d=this.createElementNS(this.gmlns,"gml:MultiLineString");var a=f.components;var c,e;for(var b=0;b<a.length;++b){c=this.createElementNS(this.gmlns,"gml:lineStringMember");e=this.buildGeometry.linestring.apply(this,[a[b]]);c.appendChild(e);d.appendChild(c)}return d},linearring:function(b){var a=this.createElementNS(this.gmlns,"gml:LinearRing");a.appendChild(this.buildCoordinatesNode(b));return a},polygon:function(g){var d=this.createElementNS(this.gmlns,"gml:Polygon");var f=g.components;var c,e,b;for(var a=0;a<f.length;++a){b=(a==0)?"outerBoundaryIs":"innerBoundaryIs";c=this.createElementNS(this.gmlns,"gml:"+b);e=this.buildGeometry.linearring.apply(this,[f[a]]);c.appendChild(e);d.appendChild(c)}return d},multipolygon:function(f){var d=this.createElementNS(this.gmlns,"gml:MultiPolygon");var a=f.components;var e,b;for(var c=0;c<a.length;++c){e=this.createElementNS(this.gmlns,"gml:polygonMember");b=this.buildGeometry.polygon.apply(this,[a[c]]);e.appendChild(b);d.appendChild(e)}return d},bounds:function(b){var a=this.createElementNS(this.gmlns,"gml:Box");a.appendChild(this.buildCoordinatesNode(b));return a}},buildCoordinatesNode:function(f){var a=this.createElementNS(this.gmlns,"gml:coordinates");a.setAttribute("decimal",".");a.setAttribute("cs",",");a.setAttribute("ts"," ");var e=[];if(f instanceof OpenLayers.Bounds){e.push(f.left+","+f.bottom);e.push(f.right+","+f.top)}else{var c=(f.components)?f.components:[f];for(var b=0;b<c.length;b++){e.push(c[b].x+","+c[b].y)}}var d=this.createTextNode(e.join(" "));a.appendChild(d);return a},CLASS_NAME:"OpenLayers.Format.GML"});OpenLayers.Control.PinchZoom=OpenLayers.Class(OpenLayers.Control,{type:OpenLayers.Control.TYPE_TOOL,containerCenter:null,pinchOrigin:null,currentCenter:null,autoActivate:true,initialize:function(a){OpenLayers.Control.prototype.initialize.apply(this,arguments);this.handler=new OpenLayers.Handler.Pinch(this,{start:this.pinchStart,move:this.pinchMove,done:this.pinchDone},this.handlerOptions)},activate:function(){var a=OpenLayers.Control.prototype.activate.apply(this,arguments);if(a){this.map.events.on({moveend:this.updateContainerCenter,scope:this});this.updateContainerCenter()}return a},deactivate:function(){var a=OpenLayers.Control.prototype.deactivate.apply(this,arguments);if(this.map&&this.map.events){this.map.events.un({moveend:this.updateContainerCenter,scope:this})}return a},updateContainerCenter:function(){var a=this.map.layerContainerDiv;this.containerCenter={x:parseInt(a.style.left,10)+50,y:parseInt(a.style.top,10)+50}},pinchStart:function(a,b){this.pinchOrigin=a.xy;this.currentCenter=a.xy},pinchMove:function(b,h){var g=h.scale;var e=this.containerCenter;var d=this.pinchOrigin;var f=b.xy;var c=Math.round((f.x-d.x)+(g-1)*(e.x-d.x));var a=Math.round((f.y-d.y)+(g-1)*(e.y-d.y));this.applyTransform("translate("+c+"px, "+a+"px) scale("+g+")");this.currentCenter=f},applyTransform:function(a){var b=this.map.layerContainerDiv.style;b["-webkit-transform"]=a;b["-moz-transform"]=a},pinchDone:function(b,h,g){this.applyTransform("");var f=this.map.getZoomForResolution(this.map.getResolution()/g.scale,true);if(f!==this.map.getZoom()||!this.currentCenter.equals(this.pinchOrigin)){var d=this.map.getResolutionForZoom(f);var a=this.map.getLonLatFromPixel(this.pinchOrigin);var c=this.currentCenter;var e=this.map.getSize();a.lon+=d*((e.w/2)-c.x);a.lat-=d*((e.h/2)-c.y);this.map.div.clientWidth=this.map.div.clientWidth;this.map.setCenter(a,f)}},CLASS_NAME:"OpenLayers.Control.PinchZoom"});OpenLayers.Control.TouchNavigation=OpenLayers.Class(OpenLayers.Control,{dragPan:null,dragPanOptions:null,pinchZoom:null,pinchZoomOptions:null,clickHandlerOptions:null,documentDrag:false,autoActivate:true,initialize:function(a){this.handlers={};OpenLayers.Control.prototype.initialize.apply(this,arguments)},destroy:function(){this.deactivate();if(this.dragPan){this.dragPan.destroy()}this.dragPan=null;if(this.pinchZoom){this.pinchZoom.destroy();delete this.pinchZoom}OpenLayers.Control.prototype.destroy.apply(this,arguments)},activate:function(){if(OpenLayers.Control.prototype.activate.apply(this,arguments)){this.dragPan.activate();this.handlers.click.activate();this.pinchZoom.activate();return true}return false},deactivate:function(){if(OpenLayers.Control.prototype.deactivate.apply(this,arguments)){this.dragPan.deactivate();this.handlers.click.deactivate();this.pinchZoom.deactivate();return true}return false},draw:function(){var a={click:this.defaultClick,dblclick:this.defaultDblClick};var b=OpenLayers.Util.extend({"double":true,stopDouble:true,pixelTolerance:2},this.clickHandlerOptions);this.handlers.click=new OpenLayers.Handler.Click(this,a,b);this.dragPan=new OpenLayers.Control.DragPan(OpenLayers.Util.extend({map:this.map,documentDrag:this.documentDrag},this.dragPanOptions));this.dragPan.draw();this.pinchZoom=new OpenLayers.Control.PinchZoom(OpenLayers.Util.extend({map:this.map},this.pinchZoomOptions))},defaultClick:function(a){if(a.lastTouches&&a.lastTouches.length==2){this.map.zoomOut()}},defaultDblClick:function(b){var a=this.map.getLonLatFromViewPortPx(b.xy);this.map.setCenter(a,this.map.zoom+1)},CLASS_NAME:"OpenLayers.Control.TouchNavigation"});OpenLayers.Layer.WMTS=OpenLayers.Class(OpenLayers.Layer.Grid,{isBaseLayer:true,version:"1.0.0",requestEncoding:"KVP",url:null,layer:null,matrixSet:null,style:null,format:"image/jpeg",tileOrigin:null,tileFullExtent:null,formatSuffix:null,matrixIds:null,dimensions:null,params:null,zoomOffset:0,serverResolutions:null,formatSuffixMap:{"image/png":"png","image/png8":"png","image/png24":"png","image/png32":"png",png:"png","image/jpeg":"jpg","image/jpg":"jpg",jpeg:"jpg",jpg:"jpg"},matrix:null,initialize:function(c){var f={url:true,layer:true,style:true,matrixSet:true};for(var g in f){if(!(g in c)){throw new Error("Missing property '"+g+"' in layer configuration.")}}c.params=OpenLayers.Util.upperCaseObject(c.params);var b=[c.name,c.url,c.params,c];OpenLayers.Layer.Grid.prototype.initialize.apply(this,b);if(!this.formatSuffix){this.formatSuffix=this.formatSuffixMap[this.format]||this.format.split("/").pop()}if(this.matrixIds){var a=this.matrixIds.length;if(a&&typeof this.matrixIds[0]==="string"){var e=this.matrixIds;this.matrixIds=new Array(a);for(var d=0;d<a;++d){this.matrixIds[d]={identifier:e[d]}}}}},setMap:function(){OpenLayers.Layer.Grid.prototype.setMap.apply(this,arguments);this.updateMatrixProperties()},updateMatrixProperties:function(){this.matrix=this.getMatrix();if(this.matrix){if(this.matrix.topLeftCorner){this.tileOrigin=this.matrix.topLeftCorner}if(this.matrix.tileWidth&&this.matrix.tileHeight){this.tileSize=new OpenLayers.Size(this.matrix.tileWidth,this.matrix.tileHeight)}if(!this.tileOrigin){this.tileOrigin=new OpenLayers.LonLat(this.maxExtent.left,this.maxExtent.top)}if(!this.tileFullExtent){this.tileFullExtent=this.maxExtent}}},moveTo:function(b,a,c){if(a||!this.matrix){this.updateMatrixProperties()}return OpenLayers.Layer.Grid.prototype.moveTo.apply(this,arguments)},clone:function(a){if(a==null){a=new OpenLayers.Layer.WMTS(this.options)}a=OpenLayers.Layer.Grid.prototype.clone.apply(this,[a]);return a},getIdentifier:function(){return this.getServerZoom()},getMatrix:function(){var b;if(!this.matrixIds||this.matrixIds.length===0){b={identifier:this.getIdentifier()}}else{if("scaleDenominator" in this.matrixIds[0]){var a=OpenLayers.METERS_PER_INCH*OpenLayers.INCHES_PER_UNIT[this.units]*this.getServerResolution()/0.00028;var e=Number.POSITIVE_INFINITY;var f;for(var c=0,d=this.matrixIds.length;c<d;++c){f=Math.abs(1-(this.matrixIds[c].scaleDenominator/a));if(f<e){e=f;b=this.matrixIds[c]}}}else{b=this.matrixIds[this.getIdentifier()]}}return b},getTileInfo:function(f){var b=this.getServerResolution();var d=(f.lon-this.tileOrigin.lon)/(b*this.tileSize.w);var c=(this.tileOrigin.lat-f.lat)/(b*this.tileSize.h);var a=Math.floor(d);var e=Math.floor(c);return{col:a,row:e,i:Math.floor((d-a)*this.tileSize.w),j:Math.floor((c-e)*this.tileSize.h)}},getURL:function(a){a=this.adjustBounds(a);var d="";if(!this.tileFullExtent||this.tileFullExtent.intersectsBounds(a)){var c=a.getCenterLonLat();var f=this.getTileInfo(c);var k=this.matrix.identifier;var b=this.dimensions,g;if(this.requestEncoding.toUpperCase()==="REST"){g=this.params;if(typeof this.url==="string"&&this.url.indexOf("{")!==-1){var l=this.url.replace(/\{/g,"${");var e={style:this.style,Style:this.style,TileMatrixSet:this.matrixSet,TileMatrix:this.matrix.identifier,TileRow:f.row,TileCol:f.col};if(b){var h,j;for(j=b.length-1;j>=0;--j){h=b[j];e[h]=g[h.toUpperCase()]}}d=OpenLayers.String.format(l,e)}else{var n=this.version+"/"+this.layer+"/"+this.style+"/";if(b){for(var j=0;j<b.length;j++){if(g[b[j]]){n=n+g[b[j]]+"/"}}}n=n+this.matrixSet+"/"+this.matrix.identifier+"/"+f.row+"/"+f.col+"."+this.formatSuffix;if(OpenLayers.Util.isArray(this.url)){d=this.selectUrl(n,this.url)}else{d=this.url}if(!d.match(/\/$/)){d=d+"/"}d=d+n}}else{if(this.requestEncoding.toUpperCase()==="KVP"){g={SERVICE:"WMTS",REQUEST:"GetTile",VERSION:this.version,LAYER:this.layer,STYLE:this.style,TILEMATRIXSET:this.matrixSet,TILEMATRIX:this.matrix.identifier,TILEROW:f.row,TILECOL:f.col,FORMAT:this.format};d=OpenLayers.Layer.Grid.prototype.getFullRequestString.apply(this,[g])}}}return d},mergeNewParams:function(a){if(this.requestEncoding.toUpperCase()==="KVP"){return OpenLayers.Layer.Grid.prototype.mergeNewParams.apply(this,[OpenLayers.Util.upperCaseObject(a)])}},CLASS_NAME:"OpenLayers.Layer.WMTS"});OpenLayers.Renderer.VML=OpenLayers.Class(OpenLayers.Renderer.Elements,{xmlns:"urn:schemas-microsoft-com:vml",symbolCache:{},offset:null,initialize:function(b){if(!this.supported()){return}if(!document.namespaces.olv){document.namespaces.add("olv",this.xmlns);var e=document.createStyleSheet();var c=["shape","rect","oval","fill","stroke","imagedata","group","textbox"];for(var d=0,a=c.length;d<a;d++){e.addRule("olv\\:"+c[d],"behavior: url(#default#VML); position: absolute; display: inline-block;")}}OpenLayers.Renderer.Elements.prototype.initialize.apply(this,arguments)},supported:function(){return !!(document.namespaces)},setExtent:function(k,b){var a=OpenLayers.Renderer.Elements.prototype.setExtent.apply(this,arguments);var d=this.getResolution();var c=(k.left/d)|0;var h=(k.top/d-this.size.h)|0;if(b||!this.offset){this.offset={x:c,y:h};c=0;h=0}else{c=c-this.offset.x;h=h-this.offset.y}var n=(c-this.xOffset)+" "+h;this.root.coordorigin=n;var j=[this.root,this.vectorRoot,this.textRoot];var g;for(var e=0,f=j.length;e<f;++e){g=j[e];var l=this.size.w+" "+this.size.h;g.coordsize=l}this.root.style.flip="y";return a},setSize:function(f){OpenLayers.Renderer.prototype.setSize.apply(this,arguments);var d=[this.rendererRoot,this.root,this.vectorRoot,this.textRoot];var c=this.size.w+"px";var g=this.size.h+"px";var b;for(var e=0,a=d.length;e<a;++e){b=d[e];b.style.width=c;b.style.height=g}},getNodeType:function(c,b){var a=null;switch(c.CLASS_NAME){case"OpenLayers.Geometry.Point":if(b.externalGraphic){a="olv:rect"}else{if(this.isComplexSymbol(b.graphicName)){a="olv:shape"}else{a="olv:oval"}}break;case"OpenLayers.Geometry.Rectangle":a="olv:rect";break;case"OpenLayers.Geometry.LineString":case"OpenLayers.Geometry.LinearRing":case"OpenLayers.Geometry.Polygon":case"OpenLayers.Geometry.Curve":a="olv:shape";break;default:break}return a},setStyle:function(e,b,r,k){b=b||e._style;r=r||e._options;var c=b.fillColor;if(e._geometryClass==="OpenLayers.Geometry.Point"){if(b.externalGraphic){r.isFilled=true;if(b.graphicTitle){e.title=b.graphicTitle}var d=b.graphicWidth||b.graphicHeight;var l=b.graphicHeight||b.graphicWidth;d=d?d:b.pointRadius*2;l=l?l:b.pointRadius*2;var g=this.getResolution();var i=(b.graphicXOffset!=undefined)?b.graphicXOffset:-(0.5*d);var f=(b.graphicYOffset!=undefined)?b.graphicYOffset:-(0.5*l);e.style.left=((((k.x-this.featureDx)/g-this.offset.x)+i)|0)+"px";e.style.top=(((k.y/g-this.offset.y)-(f+l))|0)+"px";e.style.width=d+"px";e.style.height=l+"px";e.style.flip="y";c="none";r.isStroked=false}else{if(this.isComplexSymbol(b.graphicName)){var a=this.importSymbol(b.graphicName);e.path=a.path;e.coordorigin=a.left+","+a.bottom;var q=a.size;e.coordsize=q+","+q;this.drawCircle(e,k,b.pointRadius);e.style.flip="y"}else{this.drawCircle(e,k,b.pointRadius)}}}if(r.isFilled){e.fillcolor=c}else{e.filled="false"}var j=e.getElementsByTagName("fill");var p=(j.length==0)?null:j[0];if(!r.isFilled){if(p){e.removeChild(p)}}else{if(!p){p=this.createNode("olv:fill",e.id+"_fill")}p.opacity=b.fillOpacity;if(e._geometryClass==="OpenLayers.Geometry.Point"&&b.externalGraphic){if(b.graphicOpacity){p.opacity=b.graphicOpacity}p.src=b.externalGraphic;p.type="frame";if(!(b.graphicWidth&&b.graphicHeight)){p.aspect="atmost"}}if(p.parentNode!=e){e.appendChild(p)}}var o=b.rotation;if((o!==undefined||e._rotation!==undefined)){e._rotation=o;if(b.externalGraphic){this.graphicRotate(e,i,f,b);p.opacity=0}else{if(e._geometryClass==="OpenLayers.Geometry.Point"){e.style.rotation=o||0}}}var h=e.getElementsByTagName("stroke");var n=(h.length==0)?null:h[0];if(!r.isStroked){e.stroked=false;if(n){n.on=false}}else{if(!n){n=this.createNode("olv:stroke",e.id+"_stroke");e.appendChild(n)}n.on=true;n.color=b.strokeColor;n.weight=b.strokeWidth+"px";n.opacity=b.strokeOpacity;n.endcap=b.strokeLinecap=="butt"?"flat":(b.strokeLinecap||"round");if(b.strokeDashstyle){n.dashstyle=this.dashStyle(b)}}if(b.cursor!="inherit"&&b.cursor!=null){e.style.cursor=b.cursor}return e},graphicRotate:function(o,s,e,r){var r=r||o._style;var p=r.rotation||0;var a,j;if(!(r.graphicWidth&&r.graphicHeight)){var u=new Image();u.onreadystatechange=OpenLayers.Function.bind(function(){if(u.readyState=="complete"||u.readyState=="interactive"){a=u.width/u.height;j=Math.max(r.pointRadius*2,r.graphicWidth||0,r.graphicHeight||0);s=s*a;r.graphicWidth=j*a;r.graphicHeight=j;this.graphicRotate(o,s,e,r)}},this);u.src=r.externalGraphic;return}else{j=Math.max(r.graphicWidth,r.graphicHeight);a=r.graphicWidth/r.graphicHeight}var n=Math.round(r.graphicWidth||j*a);var k=Math.round(r.graphicHeight||j);o.style.width=n+"px";o.style.height=k+"px";var l=document.getElementById(o.id+"_image");if(!l){l=this.createNode("olv:imagedata",o.id+"_image");o.appendChild(l)}l.style.width=n+"px";l.style.height=k+"px";l.src=r.externalGraphic;l.style.filter="progid:DXImageTransform.Microsoft.AlphaImageLoader(src='', sizingMethod='scale')";var f=p*Math.PI/180;var h=Math.sin(f);var d=Math.cos(f);var g="progid:DXImageTransform.Microsoft.Matrix(M11="+d+",M12="+(-h)+",M21="+h+",M22="+d+",SizingMethod='auto expand')\n";var b=r.graphicOpacity||r.fillOpacity;if(b&&b!=1){g+="progid:DXImageTransform.Microsoft.BasicImage(opacity="+b+")\n"}o.style.filter=g;var q=new OpenLayers.Geometry.Point(-s,-e);var c=new OpenLayers.Bounds(0,0,n,k).toGeometry();c.rotate(r.rotation,q);var i=c.getBounds();o.style.left=Math.round(parseInt(o.style.left)+i.left)+"px";o.style.top=Math.round(parseInt(o.style.top)-i.bottom)+"px"},postDraw:function(a){a.style.visibility="visible";var c=a._style.fillColor;var b=a._style.strokeColor;if(c=="none"&&a.fillcolor!=c){a.fillcolor=c}if(b=="none"&&a.strokecolor!=b){a.strokecolor=b}},setNodeDimension:function(b,e){var d=e.getBounds();if(d){var a=this.getResolution();var c=new OpenLayers.Bounds(((d.left-this.featureDx)/a-this.offset.x)|0,(d.bottom/a-this.offset.y)|0,((d.right-this.featureDx)/a-this.offset.x)|0,(d.top/a-this.offset.y)|0);b.style.left=c.left+"px";b.style.top=c.top+"px";b.style.width=c.getWidth()+"px";b.style.height=c.getHeight()+"px";b.coordorigin=c.left+" "+c.top;b.coordsize=c.getWidth()+" "+c.getHeight()}},dashStyle:function(a){var c=a.strokeDashstyle;switch(c){case"solid":case"dot":case"dash":case"dashdot":case"longdash":case"longdashdot":return c;default:var b=c.split(/[ ,]/);if(b.length==2){if(1*b[0]>=2*b[1]){return"longdash"}return(b[0]==1||b[1]==1)?"dot":"dash"}else{if(b.length==4){return(1*b[0]>=2*b[1])?"longdashdot":"dashdot"}}return"solid"}},createNode:function(a,c){var b=document.createElement(a);if(c){b.id=c}b.unselectable="on";b.onselectstart=OpenLayers.Function.False;return b},nodeTypeCompare:function(c,b){var d=b;var a=d.indexOf(":");if(a!=-1){d=d.substr(a+1)}var e=c.nodeName;a=e.indexOf(":");if(a!=-1){e=e.substr(a+1)}return(d==e)},createRenderRoot:function(){return this.nodeFactory(this.container.id+"_vmlRoot","div")},createRoot:function(a){return this.nodeFactory(this.container.id+a,"olv:group")},drawPoint:function(a,b){return this.drawCircle(a,b,1)},drawCircle:function(d,e,a){if(!isNaN(e.x)&&!isNaN(e.y)){var b=this.getResolution();d.style.left=((((e.x-this.featureDx)/b-this.offset.x)|0)-a)+"px";d.style.top=(((e.y/b-this.offset.y)|0)-a)+"px";var c=a*2;d.style.width=c+"px";d.style.height=c+"px";return d}return false},drawLineString:function(a,b){return this.drawLine(a,b,false)},drawLinearRing:function(a,b){return this.drawLine(a,b,true)},drawLine:function(b,k,g){this.setNodeDimension(b,k);var c=this.getResolution();var a=k.components.length;var e=new Array(a);var h,l,j;for(var f=0;f<a;f++){h=k.components[f];l=((h.x-this.featureDx)/c-this.offset.x)|0;j=(h.y/c-this.offset.y)|0;e[f]=" "+l+","+j+" l "}var d=(g)?" x e":" e";b.path="m"+e.join("")+d;return b},drawPolygon:function(c,n){this.setNodeDimension(c,n);var d=this.getResolution();var s=[];var e,k,p,a,g,b,f,r,h,q,o,l;for(e=0,k=n.components.length;e<k;e++){s.push("m");p=n.components[e].components;a=(e===0);g=null;b=null;for(f=0,r=p.length;f<r;f++){h=p[f];o=((h.x-this.featureDx)/d-this.offset.x)|0;l=(h.y/d-this.offset.y)|0;q=" "+o+","+l;s.push(q);if(f==0){s.push(" l")}if(!a){if(!g){g=q}else{if(g!=q){if(!b){b=q}else{if(b!=q){a=true}}}}}}s.push(a?" x ":" ")}s.push("e");c.path=s.join("");return c},drawRectangle:function(b,c){var a=this.getResolution();b.style.left=(((c.x-this.featureDx)/a-this.offset.x)|0)+"px";b.style.top=((c.y/a-this.offset.y)|0)+"px";b.style.width=((c.width/a)|0)+"px";b.style.height=((c.height/a)|0)+"px";return b},drawText:function(d,a,h){var g=this.nodeFactory(d+this.LABEL_ID_SUFFIX,"olv:rect");var f=this.nodeFactory(d+this.LABEL_ID_SUFFIX+"_textbox","olv:textbox");var c=this.getResolution();g.style.left=(((h.x-this.featureDx)/c-this.offset.x)|0)+"px";g.style.top=((h.y/c-this.offset.y)|0)+"px";g.style.flip="y";f.innerText=a.label;if(a.cursor!="inherit"&&a.cursor!=null){f.style.cursor=a.cursor}if(a.fontColor){f.style.color=a.fontColor}if(a.fontOpacity){f.style.filter="alpha(opacity="+(a.fontOpacity*100)+")"}if(a.fontFamily){f.style.fontFamily=a.fontFamily}if(a.fontSize){f.style.fontSize=a.fontSize}if(a.fontWeight){f.style.fontWeight=a.fontWeight}if(a.fontStyle){f.style.fontStyle=a.fontStyle}if(a.labelSelect===true){g._featureId=d;f._featureId=d;f._geometry=h;f._geometryClass=h.CLASS_NAME}f.style.whiteSpace="nowrap";f.inset="1px,0px,0px,0px";if(!g.parentNode){g.appendChild(f);this.textRoot.appendChild(g)}var e=a.labelAlign||"cm";if(e.length==1){e+="m"}var i=f.clientWidth*(OpenLayers.Renderer.VML.LABEL_SHIFT[e.substr(0,1)]);var b=f.clientHeight*(OpenLayers.Renderer.VML.LABEL_SHIFT[e.substr(1,1)]);g.style.left=parseInt(g.style.left)-i-1+"px";g.style.top=parseInt(g.style.top)+b+"px"},moveRoot:function(b){var a=this.map.getLayer(b.container.id);if(a instanceof OpenLayers.Layer.Vector.RootContainer){a=this.map.getLayer(this.container.id)}a&&a.renderer.clear();OpenLayers.Renderer.Elements.prototype.moveRoot.apply(this,arguments);a&&a.redraw()},importSymbol:function(d){var b=this.container.id+"-"+d;var a=this.symbolCache[b];if(a){return a}var c=OpenLayers.Renderer.symbol[d];if(!c){throw new Error(d+" is not a valid symbol name")}var k=new OpenLayers.Bounds(Number.MAX_VALUE,Number.MAX_VALUE,0,0);var e=["m"];for(var f=0;f<c.length;f=f+2){var h=c[f];var g=c[f+1];k.left=Math.min(k.left,h);k.bottom=Math.min(k.bottom,g);k.right=Math.max(k.right,h);k.top=Math.max(k.top,g);e.push(h);e.push(g);if(f==0){e.push("l")}}e.push("x e");var l=e.join(" ");var j=(k.getWidth()-k.getHeight())/2;if(j>0){k.bottom=k.bottom-j;k.top=k.top+j}else{k.left=k.left+j;k.right=k.right-j}a={path:l,size:k.getWidth(),left:k.left,bottom:k.bottom};this.symbolCache[b]=a;return a},CLASS_NAME:"OpenLayers.Renderer.VML"});OpenLayers.Renderer.VML.LABEL_SHIFT={l:0,c:0.5,r:1,t:0,m:0.5,b:1};OpenLayers.Protocol=OpenLayers.Class({format:null,options:null,autoDestroy:true,defaultFilter:null,initialize:function(a){a=a||{};OpenLayers.Util.extend(this,a);this.options=a},mergeWithDefaultFilter:function(b){var a;if(b&&this.defaultFilter){a=new OpenLayers.Filter.Logical({type:OpenLayers.Filter.Logical.AND,filters:[this.defaultFilter,b]})}else{a=b||this.defaultFilter||undefined}return a},destroy:function(){this.options=null;this.format=null},read:function(a){a=a||{};a.filter=this.mergeWithDefaultFilter(a.filter)},create:function(){},update:function(){},"delete":function(){},commit:function(){},abort:function(a){},createCallback:function(c,a,b){return OpenLayers.Function.bind(function(){c.apply(this,[a,b])},this)},CLASS_NAME:"OpenLayers.Protocol"});OpenLayers.Protocol.Response=OpenLayers.Class({code:null,requestType:null,last:true,features:null,data:null,reqFeatures:null,priv:null,error:null,initialize:function(a){OpenLayers.Util.extend(this,a)},success:function(){return this.code>0},CLASS_NAME:"OpenLayers.Protocol.Response"});OpenLayers.Protocol.Response.SUCCESS=1;OpenLayers.Protocol.Response.FAILURE=0;OpenLayers.Protocol.HTTP=OpenLayers.Class(OpenLayers.Protocol,{url:null,headers:null,params:null,callback:null,scope:null,readWithPOST:false,updateWithPOST:false,deleteWithPOST:false,wildcarded:false,srsInBBOX:false,initialize:function(a){a=a||{};this.params={};this.headers={};OpenLayers.Protocol.prototype.initialize.apply(this,arguments);if(!this.filterToParams&&OpenLayers.Format.QueryStringFilter){var b=new OpenLayers.Format.QueryStringFilter({wildcarded:this.wildcarded,srsInBBOX:this.srsInBBOX});this.filterToParams=function(c,d){return b.write(c,d)}}},destroy:function(){this.params=null;this.headers=null;OpenLayers.Protocol.prototype.destroy.apply(this)},read:function(a){OpenLayers.Protocol.prototype.read.apply(this,arguments);a=a||{};a.params=OpenLayers.Util.applyDefaults(a.params,this.options.params);a=OpenLayers.Util.applyDefaults(a,this.options);if(a.filter&&this.filterToParams){a.params=this.filterToParams(a.filter,a.params)}var b=(a.readWithPOST!==undefined)?a.readWithPOST:this.readWithPOST;var d=new OpenLayers.Protocol.Response({requestType:"read"});if(b){var c=a.headers||{};c["Content-Type"]="application/x-www-form-urlencoded";d.priv=OpenLayers.Request.POST({url:a.url,callback:this.createCallback(this.handleRead,d,a),data:OpenLayers.Util.getParameterString(a.params),headers:c})}else{d.priv=OpenLayers.Request.GET({url:a.url,callback:this.createCallback(this.handleRead,d,a),params:a.params,headers:a.headers})}return d},handleRead:function(b,a){this.handleResponse(b,a)},create:function(b,a){a=OpenLayers.Util.applyDefaults(a,this.options);var c=new OpenLayers.Protocol.Response({reqFeatures:b,requestType:"create"});c.priv=OpenLayers.Request.POST({url:a.url,callback:this.createCallback(this.handleCreate,c,a),headers:a.headers,data:this.format.write(b)});return c},handleCreate:function(b,a){this.handleResponse(b,a)},update:function(c,b){b=b||{};var a=b.url||c.url||this.options.url+"/"+c.fid;b=OpenLayers.Util.applyDefaults(b,this.options);var d=new OpenLayers.Protocol.Response({reqFeatures:c,requestType:"update"});var e=this.updateWithPOST?"POST":"PUT";d.priv=OpenLayers.Request[e]({url:a,callback:this.createCallback(this.handleUpdate,d,b),headers:b.headers,data:this.format.write(c)});return d},handleUpdate:function(b,a){this.handleResponse(b,a)},"delete":function(d,c){c=c||{};var b=c.url||d.url||this.options.url+"/"+d.fid;c=OpenLayers.Util.applyDefaults(c,this.options);var e=new OpenLayers.Protocol.Response({reqFeatures:d,requestType:"delete"});var f=this.deleteWithPOST?"POST":"DELETE";var a={url:b,callback:this.createCallback(this.handleDelete,e,c),headers:c.headers};if(this.deleteWithPOST){a.data=this.format.write(d)}e.priv=OpenLayers.Request[f](a);return e},handleDelete:function(b,a){this.handleResponse(b,a)},handleResponse:function(c,a){var b=c.priv;if(a.callback){if(b.status>=200&&b.status<300){if(c.requestType!="delete"){c.features=this.parseFeatures(b)}c.code=OpenLayers.Protocol.Response.SUCCESS}else{c.code=OpenLayers.Protocol.Response.FAILURE}a.callback.call(a.scope,c)}},parseFeatures:function(a){var b=a.responseXML;if(!b||!b.documentElement){b=a.responseText}if(!b||b.length<=0){return null}return this.format.read(b)},commit:function(b,r){r=OpenLayers.Util.applyDefaults(r,this.options);var d=[],n=0;var k={};k[OpenLayers.State.INSERT]=[];k[OpenLayers.State.UPDATE]=[];k[OpenLayers.State.DELETE]=[];var q,l,c=[];for(var e=0,j=b.length;e<j;++e){q=b[e];l=k[q.state];if(l){l.push(q);c.push(q)}}var g=(k[OpenLayers.State.INSERT].length>0?1:0)+k[OpenLayers.State.UPDATE].length+k[OpenLayers.State.DELETE].length;var p=true;var a=new OpenLayers.Protocol.Response({reqFeatures:c});function h(u){var s=u.features?u.features.length:0;var x=new Array(s);for(var w=0;w<s;++w){x[w]=u.features[w].fid}a.insertIds=x;o.apply(this,[u])}function o(i){this.callUserCallback(i,r);p=p&&i.success();n++;if(n>=g){if(r.callback){a.code=p?OpenLayers.Protocol.Response.SUCCESS:OpenLayers.Protocol.Response.FAILURE;r.callback.apply(r.scope,[a])}}}var f=k[OpenLayers.State.INSERT];if(f.length>0){d.push(this.create(f,OpenLayers.Util.applyDefaults({callback:h,scope:this},r.create)))}f=k[OpenLayers.State.UPDATE];for(var e=f.length-1;e>=0;--e){d.push(this.update(f[e],OpenLayers.Util.applyDefaults({callback:o,scope:this},r.update)))}f=k[OpenLayers.State.DELETE];for(var e=f.length-1;e>=0;--e){d.push(this["delete"](f[e],OpenLayers.Util.applyDefaults({callback:o,scope:this},r["delete"])))}return d},abort:function(a){if(a){a.priv.abort()}},callUserCallback:function(c,a){var b=a[c.requestType];if(b&&b.callback){b.callback.call(b.scope,c)}},CLASS_NAME:"OpenLayers.Protocol.HTTP"});OpenLayers.Protocol.Script=OpenLayers.Class(OpenLayers.Protocol,{url:null,params:null,callback:null,callbackTemplate:"OpenLayers.Protocol.Script.registry.${id}",callbackKey:"callback",callbackPrefix:"",scope:null,format:null,pendingRequests:null,srsInBBOX:false,initialize:function(a){a=a||{};this.params={};this.pendingRequests={};OpenLayers.Protocol.prototype.initialize.apply(this,arguments);if(!this.format){this.format=new OpenLayers.Format.GeoJSON()}if(!this.filterToParams&&OpenLayers.Format.QueryStringFilter){var b=new OpenLayers.Format.QueryStringFilter({srsInBBOX:this.srsInBBOX});this.filterToParams=function(c,d){return b.write(c,d)}}},read:function(b){OpenLayers.Protocol.prototype.read.apply(this,arguments);b=OpenLayers.Util.applyDefaults(b,this.options);b.params=OpenLayers.Util.applyDefaults(b.params,this.options.params);if(b.filter&&this.filterToParams){b.params=this.filterToParams(b.filter,b.params)}var a=new OpenLayers.Protocol.Response({requestType:"read"});var c=this.createRequest(b.url,b.params,OpenLayers.Function.bind(function(d){a.data=d;this.handleRead(a,b)},this));a.priv=c;return a},createRequest:function(c,e,g){var f=OpenLayers.Protocol.Script.register(g);var b=OpenLayers.String.format(this.callbackTemplate,{id:f});e=OpenLayers.Util.extend({},e);e[this.callbackKey]=this.callbackPrefix+b;c=OpenLayers.Util.urlAppend(c,OpenLayers.Util.getParameterString(e));var a=document.createElement("script");a.type="text/javascript";a.src=c;a.id="OpenLayers_Protocol_Script_"+f;this.pendingRequests[a.id]=a;var d=document.getElementsByTagName("head")[0];d.appendChild(a);return a},destroyRequest:function(a){OpenLayers.Protocol.Script.unregister(a.id.split("_").pop());delete this.pendingRequests[a.id];if(a.parentNode){a.parentNode.removeChild(a)}},handleRead:function(a,b){this.handleResponse(a,b)},handleResponse:function(a,b){if(b.callback){if(a.data){a.features=this.parseFeatures(a.data);a.code=OpenLayers.Protocol.Response.SUCCESS}else{a.code=OpenLayers.Protocol.Response.FAILURE}this.destroyRequest(a.priv);b.callback.call(b.scope,a)}},parseFeatures:function(a){return this.format.read(a)},abort:function(a){if(a){this.destroyRequest(a.priv)}else{for(var b in this.pendingRequests){this.destroyRequest(this.pendingRequests[b])}}},destroy:function(){this.abort();delete this.params;delete this.format;OpenLayers.Protocol.prototype.destroy.apply(this)},CLASS_NAME:"OpenLayers.Protocol.Script"});(function(){var b=OpenLayers.Protocol.Script;var a=0;b.registry={};b.register=function(d){var c="c"+(++a);b.registry[c]=function(){d.apply(this,arguments)};return c};b.unregister=function(c){delete b.registry[c]}})();var Proj4js={defaultDatum:"WGS84",transform:function(d,b,a){if(!d.readyToUse){this.reportError("Proj4js initialization for:"+d.srsCode+" not yet complete");return a}if(!b.readyToUse){this.reportError("Proj4js initialization for:"+b.srsCode+" not yet complete");return a}if(d.datum&&b.datum&&(((d.datum.datum_type==Proj4js.common.PJD_3PARAM||d.datum.datum_type==Proj4js.common.PJD_7PARAM)&&b.datumCode!="WGS84")||((b.datum.datum_type==Proj4js.common.PJD_3PARAM||b.datum.datum_type==Proj4js.common.PJD_7PARAM)&&d.datumCode!="WGS84"))){var c=Proj4js.WGS84;this.transform(d,c,a);d=c}if(d.axis!="enu"){this.adjust_axis(d,false,a)}if(d.projName=="longlat"){a.x*=Proj4js.common.D2R;a.y*=Proj4js.common.D2R}else{if(d.to_meter){a.x*=d.to_meter;a.y*=d.to_meter}d.inverse(a)}if(d.from_greenwich){a.x+=d.from_greenwich}a=this.datum_transform(d.datum,b.datum,a);if(b.from_greenwich){a.x-=b.from_greenwich}if(b.projName=="longlat"){a.x*=Proj4js.common.R2D;a.y*=Proj4js.common.R2D}else{b.forward(a);if(b.to_meter){a.x/=b.to_meter;a.y/=b.to_meter}}if(b.axis!="enu"){this.adjust_axis(b,true,a)}return a},datum_transform:function(a,j,k){if(a.compare_datums(j)){return k}if(a.datum_type==Proj4js.common.PJD_NODATUM||j.datum_type==Proj4js.common.PJD_NODATUM){return k}var g=a.a;var b=a.es;var c=j.a;var n=j.es;var f=a.datum_type;if(f==Proj4js.common.PJD_GRIDSHIFT){if(this.apply_gridshift(a,0,k)==0){a.a=Proj4js.common.SRS_WGS84_SEMIMAJOR;a.es=Proj4js.common.SRS_WGS84_ESQUARED}else{if(!a.datum_params){a.a=g;a.es=a.es;return k}var h=1;for(var e=0,d=a.datum_params.length;e<d;e++){h*=a.datum_params[e]}if(h==0){a.a=g;a.es=a.es;return k}f=a.datum_params.length>3?Proj4js.common.PJD_7PARAM:Proj4js.common.PJD_3PARAM}}if(j.datum_type==Proj4js.common.PJD_GRIDSHIFT){j.a=Proj4js.common.SRS_WGS84_SEMIMAJOR;j.es=Proj4js.common.SRS_WGS84_ESQUARED}if(a.es!=j.es||a.a!=j.a||f==Proj4js.common.PJD_3PARAM||f==Proj4js.common.PJD_7PARAM||j.datum_type==Proj4js.common.PJD_3PARAM||j.datum_type==Proj4js.common.PJD_7PARAM){a.geodetic_to_geocentric(k);if(a.datum_type==Proj4js.common.PJD_3PARAM||a.datum_type==Proj4js.common.PJD_7PARAM){a.geocentric_to_wgs84(k)}if(j.datum_type==Proj4js.common.PJD_3PARAM||j.datum_type==Proj4js.common.PJD_7PARAM){j.geocentric_from_wgs84(k)}j.geocentric_to_geodetic(k)}if(j.datum_type==Proj4js.common.PJD_GRIDSHIFT){this.apply_gridshift(j,1,k)}a.a=g;a.es=b;j.a=c;j.es=n;return k},apply_gridshift:function(c,d,k){if(c.grids==null||c.grids.length==0){return -38}var j={x:k.x,y:k.y};var a={x:Number.NaN,y:Number.NaN};var h=false;for(var e=0,b=c.grids.length;e<b;e++){var g=c.grids[e];h=g.mandatory;var f=g.grid;if(f==null){if(g.mandatory){this.reportError("unable to find '"+g.name+"' grid.");return -48}continue}var n=(Math.abs(f.del[1])+Math.abs(f.del[0]))/10000;if(f.ll[1]-n>j.y||f.ll[0]-n>j.x||f.ll[1]+(f.lim[1]-1)*f.del[1]+n<j.y||f.ll[0]+(f.lim[0]-1)*f.del[0]+n<j.x){continue}if(g.name=="null"){a.x=j.x;a.y=j.y}else{a=Proj4js.common.nad_cvt(j,d,f)}if(!isNaN(a.x)){break}}if(isNaN(a.x)){if(!h){this.reportError("failed to find a grid shift table for location '"+j.x*Proj4js.common.R2D+" "+j.y*Proj4js.common.R2D+" tried: '"+c.nadgrids+"'");return -48}return -1}k.x=a.x;k.y=a.y;return 0},adjust_axis:function(e,g,d){var c=d.x,j=d.y,a=d.z||0;var f,h;for(var b=0;b<3;b++){if(g&&b==2&&d.z===undefined){continue}if(b==0){f=c;h="x"}else{if(b==1){f=j;h="y"}else{f=a;h="z"}}switch(e.axis[b]){case"e":d[h]=f;break;case"w":d[h]=-f;break;case"n":d[h]=f;break;case"s":d[h]=-f;break;case"u":if(d[h]!==undefined){d.z=f}break;case"d":if(d[h]!==undefined){d.z=-f}break;default:alert("ERROR: unknow axis ("+e.axis[b]+") - check definition of "+e.projName);return null}}return d},reportError:function(a){},extend:function(a,d){a=a||{};if(d){for(var c in d){var b=d[c];if(b!==undefined){a[c]=b}}}return a},Class:function(){var b=function(){this.initialize.apply(this,arguments)};var a={};var d;for(var c=0;c<arguments.length;++c){if(typeof arguments[c]=="function"){d=arguments[c].prototype}else{d=arguments[c]}Proj4js.extend(a,d)}b.prototype=a;return b},bind:function(c,b){var a=Array.prototype.slice.apply(arguments,[2]);return function(){var d=a.concat(Array.prototype.slice.apply(arguments,[0]));return c.apply(b,d)}},scriptName:"proj4js.js",defsLookupService:"http://spatialreference.org/ref",libPath:null,getScriptLocation:function(){if(this.libPath){return this.libPath}var e=this.scriptName;var d=e.length;var a=document.getElementsByTagName("script");for(var c=0;c<a.length;c++){var f=a[c].getAttribute("src");if(f){var b=f.lastIndexOf(e);if((b>-1)&&(b+d==f.length)){this.libPath=f.slice(0,-d);break}}}return this.libPath||""},loadScript:function(d,e,c,a){var b=document.createElement("script");b.defer=false;b.type="text/javascript";b.id=d;b.onload=e;b.onerror=c;b.loadCheck=a;if(/MSIE/.test(navigator.userAgent)){b.onreadystatechange=this.checkReadyState}document.getElementsByTagName("head")[0].appendChild(b);b.src=d},checkReadyState:function(){if(this.readyState=="loaded"){if(!this.loadCheck()){this.onerror()}else{this.onload()}}}};Proj4js.Proj=Proj4js.Class({readyToUse:false,title:null,projName:null,units:null,datum:null,x0:0,y0:0,localCS:false,queue:null,initialize:function(c,d){this.srsCodeInput=c;this.queue=[];if(d){this.queue.push(d)}if((c.indexOf("GEOGCS")>=0)||(c.indexOf("GEOCCS")>=0)||(c.indexOf("PROJCS")>=0)||(c.indexOf("LOCAL_CS")>=0)){this.parseWKT(c);this.deriveConstants();this.loadProjCode(this.projName);return}if(c.indexOf("urn:")==0){var a=c.split(":");if((a[1]=="ogc"||a[1]=="x-ogc")&&(a[2]=="def")&&(a[3]=="crs")){c=a[4]+":"+a[a.length-1]}}else{if(c.indexOf("http://")==0){var b=c.split("#");if(b[0].match(/epsg.org/)){c="EPSG:"+b[1]}else{if(b[0].match(/RIG.xml/)){c="IGNF:"+b[1]}else{if(b[0].indexOf("/def/crs/")!=-1){b=c.split("/");c=b.pop();b.pop();c=b.pop()+":"+c}}}}}this.srsCode=c.toUpperCase();if(this.srsCode.indexOf("EPSG")==0){this.srsCode=this.srsCode;this.srsAuth="epsg";this.srsProjNumber=this.srsCode.substring(5)}else{if(this.srsCode.indexOf("IGNF")==0){this.srsCode=this.srsCode;this.srsAuth="IGNF";this.srsProjNumber=this.srsCode.substring(5)}else{if(this.srsCode.indexOf("CRS")==0){this.srsCode=this.srsCode;this.srsAuth="CRS";this.srsProjNumber=this.srsCode.substring(4)}else{this.srsAuth="";this.srsProjNumber=this.srsCode}}}this.loadProjDefinition()},loadProjDefinition:function(){if(Proj4js.defs[this.srsCode]){this.defsLoaded();return}var a=Proj4js.getScriptLocation()+"defs/"+this.srsAuth.toUpperCase()+this.srsProjNumber+".js";Proj4js.loadScript(a,Proj4js.bind(this.defsLoaded,this),Proj4js.bind(this.loadFromService,this),Proj4js.bind(this.checkDefsLoaded,this))},loadFromService:function(){var a=Proj4js.defsLookupService+"/"+this.srsAuth+"/"+this.srsProjNumber+"/proj4js/";Proj4js.loadScript(a,Proj4js.bind(this.defsLoaded,this),Proj4js.bind(this.defsFailed,this),Proj4js.bind(this.checkDefsLoaded,this))},defsLoaded:function(){this.parseDefs();this.loadProjCode(this.projName)},checkDefsLoaded:function(){if(Proj4js.defs[this.srsCode]){return true}else{return false}},defsFailed:function(){Proj4js.reportError("failed to load projection definition for: "+this.srsCode);Proj4js.defs[this.srsCode]="+proj=identity";this.defsLoaded()},loadProjCode:function(b){if(Proj4js.Proj[b]){this.initTransforms();return}var a=Proj4js.getScriptLocation()+"projCode/"+b+".js";Proj4js.loadScript(a,Proj4js.bind(this.loadProjCodeSuccess,this,b),Proj4js.bind(this.loadProjCodeFailure,this,b),Proj4js.bind(this.checkCodeLoaded,this,b))},loadProjCodeSuccess:function(a){if(Proj4js.Proj[a].dependsOn){this.loadProjCode(Proj4js.Proj[a].dependsOn)}else{this.initTransforms()}},loadProjCodeFailure:function(a){Proj4js.reportError("failed to find projection file for: "+a)},checkCodeLoaded:function(a){if(Proj4js.Proj[a]){return true}else{return false}},initTransforms:function(){Proj4js.extend(this,Proj4js.Proj[this.projName]);this.init();this.readyToUse=true;if(this.queue){var a;while((a=this.queue.shift())){a.call(this,this)}}},wktRE:/^(\w+)\[(.*)\]$/,parseWKT:function(k){var h=k.match(this.wktRE);if(!h){return}var n=h[1];var l=h[2];var g=l.split(",");var p;if(n.toUpperCase()=="TOWGS84"){p=n}else{p=g.shift()}p=p.replace(/^\"/,"");p=p.replace(/\"$/,"");var o=new Array();var b=0;var f="";for(var e=0;e<g.length;++e){var c=g[e];for(var d=0;d<c.length;++d){if(c.charAt(d)=="["){++b}if(c.charAt(d)=="]"){--b}}f+=c;if(b===0){o.push(f);f=""}else{f+=","}}switch(n){case"LOCAL_CS":this.projName="identity";this.localCS=true;this.srsCode=p;break;case"GEOGCS":this.projName="longlat";this.geocsCode=p;if(!this.srsCode){this.srsCode=p}break;case"PROJCS":this.srsCode=p;break;case"GEOCCS":break;case"PROJECTION":this.projName=Proj4js.wktProjections[p];break;case"DATUM":this.datumName=p;break;case"LOCAL_DATUM":this.datumCode="none";break;case"SPHEROID":this.ellps=p;this.a=parseFloat(o.shift());this.rf=parseFloat(o.shift());break;case"PRIMEM":this.from_greenwich=parseFloat(o.shift());break;case"UNIT":this.units=p;this.unitsPerMeter=parseFloat(o.shift());break;case"PARAMETER":var a=p.toLowerCase();var q=parseFloat(o.shift());switch(a){case"false_easting":this.x0=q;break;case"false_northing":this.y0=q;break;case"scale_factor":this.k0=q;break;case"central_meridian":this.long0=q*Proj4js.common.D2R;break;case"latitude_of_origin":this.lat0=q*Proj4js.common.D2R;break;case"more_here":break;default:break}break;case"TOWGS84":this.datum_params=o;break;case"AXIS":var a=p.toLowerCase();var q=o.shift();switch(q){case"EAST":q="e";break;case"WEST":q="w";break;case"NORTH":q="n";break;case"SOUTH":q="s";break;case"UP":q="u";break;case"DOWN":q="d";break;case"OTHER":default:q=" ";break}if(!this.axis){this.axis="enu"}switch(a){case"x":this.axis=q+this.axis.substr(1,2);break;case"y":this.axis=this.axis.substr(0,1)+q+this.axis.substr(2,1);break;case"z":this.axis=this.axis.substr(0,2)+q;break;default:break}case"MORE_HERE":break;default:break}for(var e=0;e<o.length;++e){this.parseWKT(o[e])}},parseDefs:function(){var b=new RegExp("(title|proj|units|datum|nadgrids|ellps|a|b|rf|lat_0|lat_1|lat_2|lat_ts|lon_0|lon_1|lon_2|alpha|lonc|x_0|y_0|k_0|k|r_a|zone|south|towgs84|to_meter|from_greenwich|pm|axis|czech|wktext|no_rot|no_off|no_defs)");this.defData=Proj4js.defs[this.srsCode];var f,c;if(!this.defData){return}var a=this.defData.split("+");for(var g=0;g<a.length;g++){var e=a[g].split("=");f=e[0].toLowerCase();c=e[1];switch(f.replace(/\s/gi,"")){case"":break;case"title":this.title=c;while(!a[g+1].match(b)){this.title+="+"+a[++g]}break;case"proj":this.projName=c.replace(/\s/gi,"");break;case"units":this.units=c.replace(/\s/gi,"");break;case"datum":this.datumCode=c.replace(/\s/gi,"");break;case"nadgrids":this.nadgrids=c.replace(/\s/gi,"");break;case"ellps":this.ellps=c.replace(/\s/gi,"");break;case"a":this.a=parseFloat(c);break;case"b":this.b=parseFloat(c);break;case"rf":this.rf=parseFloat(c);break;case"lat_0":this.lat0=c*Proj4js.common.D2R;break;case"lat_1":this.lat1=c*Proj4js.common.D2R;break;case"lat_2":this.lat2=c*Proj4js.common.D2R;break;case"lat_ts":this.lat_ts=c*Proj4js.common.D2R;break;case"lon_0":this.long0=c*Proj4js.common.D2R;break;case"lon_1":this.long1=c*Proj4js.common.D2R;break;case"lon_2":this.long2=c*Proj4js.common.D2R;break;case"no_rot":this.no_rot=true;break;case"no_off":this.no_off=true;break;case"alpha":this.alpha=parseFloat(c)*Proj4js.common.D2R;break;case"lonc":this.longc=c*Proj4js.common.D2R;break;case"x_0":this.x0=parseFloat(c);break;case"y_0":this.y0=parseFloat(c);break;case"k_0":this.k0=parseFloat(c);break;case"k":this.k0=parseFloat(c);break;case"r_a":this.R_A=true;break;case"zone":this.zone=parseInt(c,10);break;case"south":this.utmSouth=true;break;case"towgs84":this.datum_params=c.split(",");break;case"to_meter":this.to_meter=parseFloat(c);break;case"from_greenwich":this.from_greenwich=c*Proj4js.common.D2R;break;case"czech":this.czech=true;break;case"pm":c=c.replace(/\s/gi,"");this.from_greenwich=Proj4js.PrimeMeridian[c]?Proj4js.PrimeMeridian[c]:parseFloat(c);this.from_greenwich*=Proj4js.common.D2R;break;case"axis":c=c.replace(/\s/gi,"");var d="ewnsud";if(c.length==3&&d.indexOf(c.substr(0,1))!=-1&&d.indexOf(c.substr(1,1))!=-1&&d.indexOf(c.substr(2,1))!=-1){this.axis=c}break;case"wktext":break;case"no_defs":break;default:}}this.deriveConstants()},deriveConstants:function(){if(this.nadgrids&&this.nadgrids.length==0){this.nadgrids=null}if(this.nadgrids){this.grids=this.nadgrids.split(",");var f=null,b=this.grids.length;if(b>0){for(var c=0;c<b;c++){f=this.grids[c];var a=f.split("@");if(a[a.length-1]==""){Proj4js.reportError("nadgrids syntax error '"+this.nadgrids+"' : empty grid found");continue}this.grids[c]={mandatory:a.length==1,name:a[a.length-1],grid:Proj4js.grids[a[a.length-1]]};if(this.grids[c].mandatory&&!this.grids[c].grid){Proj4js.reportError("Missing '"+this.grids[c].name+"'")}}}}if(this.datumCode&&this.datumCode!="none"){var d=Proj4js.Datum[this.datumCode];if(d){this.datum_params=d.towgs84?d.towgs84.split(","):null;this.ellps=d.ellipse;this.datumName=d.datumName?d.datumName:this.datumCode}}if(!this.a){var e=Proj4js.Ellipsoid[this.ellps]?Proj4js.Ellipsoid[this.ellps]:Proj4js.Ellipsoid.WGS84;Proj4js.extend(this,e)}if(this.rf&&!this.b){this.b=(1-1/this.rf)*this.a}if(this.rf===0||Math.abs(this.a-this.b)<Proj4js.common.EPSLN){this.sphere=true;this.b=this.a}this.a2=this.a*this.a;this.b2=this.b*this.b;this.es=(this.a2-this.b2)/this.a2;this.e=Math.sqrt(this.es);if(this.R_A){this.a*=1-this.es*(Proj4js.common.SIXTH+this.es*(Proj4js.common.RA4+this.es*Proj4js.common.RA6));this.a2=this.a*this.a;this.b2=this.b*this.b;this.es=0}this.ep2=(this.a2-this.b2)/this.b2;if(!this.k0){this.k0=1}if(!this.axis){this.axis="enu"}this.datum=new Proj4js.datum(this)}});Proj4js.Proj.longlat={init:function(){},forward:function(a){return a},inverse:function(a){return a}};Proj4js.Proj.identity=Proj4js.Proj.longlat;Proj4js.defs={WGS84:"+title=WGS 84 (long/lat) +proj=longlat +ellps=WGS84 +datum=WGS84 +units=degrees","EPSG:4326":"+title=WGS 84 (long/lat) +proj=longlat +ellps=WGS84 +datum=WGS84 +units=degrees","EPSG:4269":"+title=NAD83 (long/lat) +proj=longlat +a=6378137.0 +b=6356752.31414036 +ellps=GRS80 +datum=NAD83 +units=degrees","EPSG:3857":"+title=WGS 84 / Pseudo-Mercator +proj=merc +a=6378137 +b=6378137 +lat_ts=0.0 +lon_0=0.0 +x_0=0.0 +y_0=0 +k=1.0 +units=m +nadgrids=@null +no_defs"};Proj4js.defs["EPSG:3785"]=Proj4js.defs["EPSG:3857"];Proj4js.defs.GOOGLE=Proj4js.defs["EPSG:3857"];Proj4js.defs["EPSG:900913"]=Proj4js.defs["EPSG:3857"];Proj4js.defs["EPSG:102113"]=Proj4js.defs["EPSG:3857"];Proj4js.common={PI:3.141592653589793,HALF_PI:1.5707963267948966,TWO_PI:6.283185307179586,FORTPI:0.7853981633974483,R2D:57.29577951308232,D2R:0.017453292519943295,SEC_TO_RAD:0.00000484813681109536,EPSLN:1e-10,MAX_ITER:20,COS_67P5:0.3826834323650898,AD_C:1.0026,PJD_UNKNOWN:0,PJD_3PARAM:1,PJD_7PARAM:2,PJD_GRIDSHIFT:3,PJD_WGS84:4,PJD_NODATUM:5,SRS_WGS84_SEMIMAJOR:6378137,SRS_WGS84_ESQUARED:0.006694379990141316,SIXTH:0.16666666666666666,RA4:0.04722222222222222,RA6:0.022156084656084655,RV4:0.06944444444444445,RV6:0.04243827160493827,msfnz:function(c,b,d){var a=c*b;return d/(Math.sqrt(1-a*a))},tsfnz:function(e,d,c){var a=e*c;var b=0.5*e;a=Math.pow(((1-a)/(1+a)),b);return(Math.tan(0.5*(this.HALF_PI-d))/a)},phi2z:function(g,f){var e=0.5*g;var a,b;var d=this.HALF_PI-2*Math.atan(f);for(var c=0;c<=15;c++){a=g*Math.sin(d);b=this.HALF_PI-2*Math.atan(f*(Math.pow(((1-a)/(1+a)),e)))-d;d+=b;if(Math.abs(b)<=1e-10){return d}}alert("phi2z has NoConvergence");return(-9999)},qsfnz:function(c,b){var a;if(c>1e-7){a=c*b;return((1-c*c)*(b/(1-a*a)-(0.5/c)*Math.log((1-a)/(1+a))))}else{return(2*b)}},iqsfnz:function(c,a){var j=1-(1-c*c)/(2*c)*Math.log((1-c)/(1+c));if(Math.abs(Math.abs(a)-j)<0.000001){if(a<0){return(-1*Proj4js.common.HALF_PI)}else{return Proj4js.common.HALF_PI}}var g=Math.asin(0.5*a);var e;var h;var f;var b;for(var d=0;d<30;d++){h=Math.sin(g);f=Math.cos(g);b=c*h;e=Math.pow(1-b*b,2)/(2*f)*(a/(1-c*c)-h/(1-b*b)+0.5/c*Math.log((1-b)/(1+b)));g+=e;if(Math.abs(e)<=1e-10){return g}}alert("IQSFN-CONV:Latitude failed to converge after 30 iterations");return(NaN)},asinz:function(a){if(Math.abs(a)>1){a=(a>1)?1:-1}return Math.asin(a)},e0fn:function(a){return(1-0.25*a*(1+a/16*(3+1.25*a)))},e1fn:function(a){return(0.375*a*(1+0.25*a*(1+0.46875*a)))},e2fn:function(a){return(0.05859375*a*a*(1+0.75*a))},e3fn:function(a){return(a*a*a*(35/3072))},mlfn:function(e,d,c,b,a){return(e*a-d*Math.sin(2*a)+c*Math.sin(4*a)-b*Math.sin(6*a))},imlfn:function(h,g,f,e,d){var c;var a;c=h/g;for(var b=0;b<15;b++){a=(h-(g*c-f*Math.sin(2*c)+e*Math.sin(4*c)-d*Math.sin(6*c)))/(g-2*f*Math.cos(2*c)+4*e*Math.cos(4*c)-6*d*Math.cos(6*c));c+=a;if(Math.abs(a)<=1e-10){return c}}Proj4js.reportError("IMLFN-CONV:Latitude failed to converge after 15 iterations");return NaN},srat:function(a,b){return(Math.pow((1-a)/(1+a),b))},sign:function(a){if(a<0){return(-1)}else{return(1)}},adjust_lon:function(a){a=(Math.abs(a)<this.PI)?a:(a-(this.sign(a)*this.TWO_PI));return a},adjust_lat:function(a){a=(Math.abs(a)<this.HALF_PI)?a:(a-(this.sign(a)*this.PI));return a},latiso:function(d,c,b){if(Math.abs(c)>this.HALF_PI){return +Number.NaN}if(c==this.HALF_PI){return Number.POSITIVE_INFINITY}if(c==-1*this.HALF_PI){return -1*Number.POSITIVE_INFINITY}var a=d*b;return Math.log(Math.tan((this.HALF_PI+c)/2))+d*Math.log((1-a)/(1+a))/2},fL:function(b,a){return 2*Math.atan(b*Math.exp(a))-this.HALF_PI},invlatiso:function(e,c){var b=this.fL(1,c);var d=0;var a=0;do{d=b;a=e*Math.sin(d);b=this.fL(Math.exp(e*Math.log((1+a)/(1-a))/2),c)}while(Math.abs(b-d)>1e-12);return b},sinh:function(a){var b=Math.exp(a);b=(b-1/b)/2;return b},cosh:function(a){var b=Math.exp(a);b=(b+1/b)/2;return b},tanh:function(a){var b=Math.exp(a);b=(b-1/b)/(b+1/b);return b},asinh:function(a){var b=(a>=0?1:-1);return b*(Math.log(Math.abs(a)+Math.sqrt(a*a+1)))},acosh:function(a){return 2*Math.log(Math.sqrt((a+1)/2)+Math.sqrt((a-1)/2))},atanh:function(a){return Math.log((a-1)/(a+1))/2},gN:function(b,f,d){var c=f*d;return b/Math.sqrt(1-c*c)},pj_enfn:function(c){var a=new Array();a[0]=this.C00-c*(this.C02+c*(this.C04+c*(this.C06+c*this.C08)));a[1]=c*(this.C22-c*(this.C04+c*(this.C06+c*this.C08)));var b=c*c;a[2]=b*(this.C44-c*(this.C46+c*this.C48));b*=c;a[3]=b*(this.C66-c*this.C68);a[4]=b*c*this.C88;return a},pj_mlfn:function(d,a,c,b){c*=a;a*=a;return(b[0]*d-c*(b[1]+a*(b[2]+a*(b[3]+a*b[4]))))},pj_inv_mlfn:function(a,h,c){var b=1/(1-h);var g=a;for(var e=Proj4js.common.MAX_ITER;e;--e){var f=Math.sin(g);var d=1-h*f*f;d=(this.pj_mlfn(g,f,Math.cos(g),c)-a)*(d*Math.sqrt(d))*b;g-=d;if(Math.abs(d)<Proj4js.common.EPSLN){return g}}Proj4js.reportError("cass:pj_inv_mlfn: Convergence error");return g},nad_intr:function(b,i){var o={x:(b.x-1e-7)/i.del[0],y:(b.y-1e-7)/i.del[1]};var h={x:Math.floor(o.x),y:Math.floor(o.y)};var k={x:o.x-1*h.x,y:o.y-1*h.y};var c={x:Number.NaN,y:Number.NaN};var e;if(h.x<0){if(!(h.x==-1&&k.x>0.99999999999)){return c}++h.x;k.x=0}else{e=h.x+1;if(e>=i.lim[0]){if(!(e==i.lim[0]&&k.x<1e-11)){return c}--h.x;k.x=1}}if(h.y<0){if(!(h.y==-1&&k.y>0.99999999999)){return c}++h.y;k.y=0}else{e=h.y+1;if(e>=i.lim[1]){if(!(e==i.lim[1]&&k.y<1e-11)){return c}--h.y;k.y=1}}e=(h.y*i.lim[0])+h.x;var f={x:i.cvs[e][0],y:i.cvs[e][1]};e++;var a={x:i.cvs[e][0],y:i.cvs[e][1]};e+=i.lim[0];var p={x:i.cvs[e][0],y:i.cvs[e][1]};e--;var d={x:i.cvs[e][0],y:i.cvs[e][1]};var g=k.x*k.y,j=k.x*(1-k.y),n=(1-k.x)*(1-k.y),l=(1-k.x)*k.y;c.x=(n*f.x+j*a.x+l*d.x+g*p.x);c.y=(n*f.y+j*a.y+l*d.y+g*p.y);return c},nad_cvt:function(a,c,f){var b={x:Number.NaN,y:Number.NaN};if(isNaN(a.x)){return b}var d={x:a.x,y:a.y};d.x-=f.ll[0];d.y-=f.ll[1];d.x=Proj4js.common.adjust_lon(d.x-Proj4js.common.PI)+Proj4js.common.PI;var k=Proj4js.common.nad_intr(d,f);if(c){if(isNaN(k.x)){return b}k.x=d.x+k.x;k.y=d.y-k.y;var e=9,j=1e-12;var g,h;do{h=Proj4js.common.nad_intr(k,f);if(isNaN(h.x)){this.reportError("Inverse grid shift iteration failed, presumably at grid edge.  Using first approximation.");break}g={x:k.x-h.x-d.x,y:k.y+h.y-d.y};k.x-=g.x;k.y-=g.y}while(e--&&Math.abs(g.x)>j&&Math.abs(g.y)>j);if(e<0){this.reportError("Inverse grid shift iterator failed to converge.");return b}b.x=Proj4js.common.adjust_lon(k.x+f.ll[0]);b.y=k.y+f.ll[1]}else{if(!isNaN(k.x)){b.x=a.x-k.x;b.y=a.y+k.y}}return b},C00:1,C02:0.25,C04:0.046875,C06:0.01953125,C08:0.01068115234375,C22:0.75,C44:0.46875,C46:0.013020833333333334,C48:0.007120768229166667,C66:0.3645833333333333,C68:0.005696614583333333,C88:0.3076171875};Proj4js.datum=Proj4js.Class({initialize:function(b){this.datum_type=Proj4js.common.PJD_WGS84;if(!b){return}if(b.datumCode&&b.datumCode=="none"){this.datum_type=Proj4js.common.PJD_NODATUM}if(b.datum_params){for(var a=0;a<b.datum_params.length;a++){b.datum_params[a]=parseFloat(b.datum_params[a])}if(b.datum_params[0]!=0||b.datum_params[1]!=0||b.datum_params[2]!=0){this.datum_type=Proj4js.common.PJD_3PARAM}if(b.datum_params.length>3){if(b.datum_params[3]!=0||b.datum_params[4]!=0||b.datum_params[5]!=0||b.datum_params[6]!=0){this.datum_type=Proj4js.common.PJD_7PARAM;b.datum_params[3]*=Proj4js.common.SEC_TO_RAD;b.datum_params[4]*=Proj4js.common.SEC_TO_RAD;b.datum_params[5]*=Proj4js.common.SEC_TO_RAD;b.datum_params[6]=(b.datum_params[6]/1000000)+1}}}this.datum_type=b.grids?Proj4js.common.PJD_GRIDSHIFT:this.datum_type;this.a=b.a;this.b=b.b;this.es=b.es;this.ep2=b.ep2;this.datum_params=b.datum_params;if(this.datum_type==Proj4js.common.PJD_GRIDSHIFT){this.grids=b.grids}},compare_datums:function(a){if(this.datum_type!=a.datum_type){return false}else{if(this.a!=a.a||Math.abs(this.es-a.es)>5e-11){return false}else{if(this.datum_type==Proj4js.common.PJD_3PARAM){return(this.datum_params[0]==a.datum_params[0]&&this.datum_params[1]==a.datum_params[1]&&this.datum_params[2]==a.datum_params[2])}else{if(this.datum_type==Proj4js.common.PJD_7PARAM){return(this.datum_params[0]==a.datum_params[0]&&this.datum_params[1]==a.datum_params[1]&&this.datum_params[2]==a.datum_params[2]&&this.datum_params[3]==a.datum_params[3]&&this.datum_params[4]==a.datum_params[4]&&this.datum_params[5]==a.datum_params[5]&&this.datum_params[6]==a.datum_params[6])}else{if(this.datum_type==Proj4js.common.PJD_GRIDSHIFT||a.datum_type==Proj4js.common.PJD_GRIDSHIFT){return this.nadgrids==a.nadgrids}else{return true}}}}}},geodetic_to_geocentric:function(c){var l=c.x;var h=c.y;var d=c.z?c.z:0;var e;var b;var a;var j=0;var k;var i;var g;var f;if(h<-Proj4js.common.HALF_PI&&h>-1.001*Proj4js.common.HALF_PI){h=-Proj4js.common.HALF_PI}else{if(h>Proj4js.common.HALF_PI&&h<1.001*Proj4js.common.HALF_PI){h=Proj4js.common.HALF_PI}else{if((h<-Proj4js.common.HALF_PI)||(h>Proj4js.common.HALF_PI)){Proj4js.reportError("geocent:lat out of range:"+h);return null}}}if(l>Proj4js.common.PI){l-=(2*Proj4js.common.PI)}i=Math.sin(h);f=Math.cos(h);g=i*i;k=this.a/(Math.sqrt(1-this.es*g));e=(k+d)*f*Math.cos(l);b=(k+d)*f*Math.sin(l);a=((k*(1-this.es))+d)*i;c.x=e;c.y=b;c.z=a;return j},geocentric_to_geodetic:function(w){var B=1e-12;var x=(B*B);var f=30;var l;var h;var a;var o;var b;var n;var k;var A;var z;var j;var s;var r;var e;var y;var g=w.x;var d=w.y;var c=w.z?w.z:0;var i;var u;var q;e=false;l=Math.sqrt(g*g+d*d);h=Math.sqrt(g*g+d*d+c*c);if(l/this.a<B){e=true;i=0;if(h/this.a<B){u=Proj4js.common.HALF_PI;q=-this.b;return}}else{i=Math.atan2(d,g)}a=c/h;o=l/h;b=1/Math.sqrt(1-this.es*(2-this.es)*o*o);A=o*(1-this.es)*b;z=a*b;y=0;do{y++;k=this.a/Math.sqrt(1-this.es*z*z);q=l*A+c*z-k*(1-this.es*z*z);n=this.es*k/(k+q);b=1/Math.sqrt(1-n*(2-n)*o*o);j=o*(1-n)*b;s=a*b;r=s*A-j*z;A=j;z=s}while(r*r>x&&y<f);u=Math.atan(s/Math.abs(j));w.x=i;w.y=u;w.z=q;return w},geocentric_to_geodetic_noniter:function(u){var d=u.x;var c=u.y;var a=u.z?u.z:0;var g;var s;var l;var e;var o;var r;var n;var j;var h;var i;var y;var f;var x;var w;var q;var k;var b;d=parseFloat(d);c=parseFloat(c);a=parseFloat(a);b=false;if(d!=0){g=Math.atan2(c,d)}else{if(c>0){g=Proj4js.common.HALF_PI}else{if(c<0){g=-Proj4js.common.HALF_PI}else{b=true;g=0;if(a>0){s=Proj4js.common.HALF_PI}else{if(a<0){s=-Proj4js.common.HALF_PI}else{s=Proj4js.common.HALF_PI;l=-this.b;return}}}}}o=d*d+c*c;e=Math.sqrt(o);r=a*Proj4js.common.AD_C;j=Math.sqrt(r*r+o);i=r/j;f=e/j;y=i*i*i;n=a+this.b*this.ep2*y;k=e-this.a*this.es*f*f*f;h=Math.sqrt(n*n+k*k);x=n/h;w=k/h;q=this.a/Math.sqrt(1-this.es*x*x);if(w>=Proj4js.common.COS_67P5){l=e/w-q}else{if(w<=-Proj4js.common.COS_67P5){l=e/-w-q}else{l=a/x+q*(this.es-1)}}if(b==false){s=Math.atan(x/w)}u.x=g;u.y=s;u.z=l;return u},geocentric_to_wgs84:function(b){if(this.datum_type==Proj4js.common.PJD_3PARAM){b.x+=this.datum_params[0];b.y+=this.datum_params[1];b.z+=this.datum_params[2]}else{if(this.datum_type==Proj4js.common.PJD_7PARAM){var f=this.datum_params[0];var d=this.datum_params[1];var i=this.datum_params[2];var e=this.datum_params[3];var j=this.datum_params[4];var h=this.datum_params[5];var g=this.datum_params[6];var c=g*(b.x-h*b.y+j*b.z)+f;var a=g*(h*b.x+b.y-e*b.z)+d;var k=g*(-j*b.x+e*b.y+b.z)+i;b.x=c;b.y=a;b.z=k}}},geocentric_from_wgs84:function(c){if(this.datum_type==Proj4js.common.PJD_3PARAM){c.x-=this.datum_params[0];c.y-=this.datum_params[1];c.z-=this.datum_params[2]}else{if(this.datum_type==Proj4js.common.PJD_7PARAM){var g=this.datum_params[0];var d=this.datum_params[1];var j=this.datum_params[2];var f=this.datum_params[3];var k=this.datum_params[4];var i=this.datum_params[5];var h=this.datum_params[6];var e=(c.x-g)/h;var b=(c.y-d)/h;var a=(c.z-j)/h;c.x=e+i*b-k*a;c.y=-i*e+b+f*a;c.z=k*e-f*b+a}}}});Proj4js.Point=Proj4js.Class({initialize:function(a,d,c){if(typeof a=="object"){this.x=a[0];this.y=a[1];this.z=a[2]||0}else{if(typeof a=="string"&&typeof d=="undefined"){var b=a.split(",");this.x=parseFloat(b[0]);this.y=parseFloat(b[1]);this.z=parseFloat(b[2])||0}else{this.x=a;this.y=d;this.z=c||0}}},clone:function(){return new Proj4js.Point(this.x,this.y,this.z)},toString:function(){return("x="+this.x+",y="+this.y)},toShortString:function(){return(this.x+", "+this.y)}});Proj4js.PrimeMeridian={greenwich:0,lisbon:-9.131906111111,paris:2.337229166667,bogota:-74.080916666667,madrid:-3.687938888889,rome:12.452333333333,bern:7.439583333333,jakarta:106.807719444444,ferro:-17.666666666667,brussels:4.367975,stockholm:18.058277777778,athens:23.7163375,oslo:10.722916666667};Proj4js.Ellipsoid={MERIT:{a:6378137,rf:298.257,ellipseName:"MERIT 1983"},SGS85:{a:6378136,rf:298.257,ellipseName:"Soviet Geodetic System 85"},GRS80:{a:6378137,rf:298.257222101,ellipseName:"GRS 1980(IUGG, 1980)"},IAU76:{a:6378140,rf:298.257,ellipseName:"IAU 1976"},airy:{a:6377563.396,b:6356256.91,ellipseName:"Airy 1830"},"APL4.":{a:6378137,rf:298.25,ellipseName:"Appl. Physics. 1965"},NWL9D:{a:6378145,rf:298.25,ellipseName:"Naval Weapons Lab., 1965"},mod_airy:{a:6377340.189,b:6356034.446,ellipseName:"Modified Airy"},andrae:{a:6377104.43,rf:300,ellipseName:"Andrae 1876 (Den., Iclnd.)"},aust_SA:{a:6378160,rf:298.25,ellipseName:"Australian Natl & S. Amer. 1969"},GRS67:{a:6378160,rf:298.247167427,ellipseName:"GRS 67(IUGG 1967)"},bessel:{a:6377397.155,rf:299.1528128,ellipseName:"Bessel 1841"},bess_nam:{a:6377483.865,rf:299.1528128,ellipseName:"Bessel 1841 (Namibia)"},clrk66:{a:6378206.4,b:6356583.8,ellipseName:"Clarke 1866"},clrk80:{a:6378249.145,rf:293.4663,ellipseName:"Clarke 1880 mod."},CPM:{a:6375738.7,rf:334.29,ellipseName:"Comm. des Poids et Mesures 1799"},delmbr:{a:6376428,rf:311.5,ellipseName:"Delambre 1810 (Belgium)"},engelis:{a:6378136.05,rf:298.2566,ellipseName:"Engelis 1985"},evrst30:{a:6377276.345,rf:300.8017,ellipseName:"Everest 1830"},evrst48:{a:6377304.063,rf:300.8017,ellipseName:"Everest 1948"},evrst56:{a:6377301.243,rf:300.8017,ellipseName:"Everest 1956"},evrst69:{a:6377295.664,rf:300.8017,ellipseName:"Everest 1969"},evrstSS:{a:6377298.556,rf:300.8017,ellipseName:"Everest (Sabah & Sarawak)"},fschr60:{a:6378166,rf:298.3,ellipseName:"Fischer (Mercury Datum) 1960"},fschr60m:{a:6378155,rf:298.3,ellipseName:"Fischer 1960"},fschr68:{a:6378150,rf:298.3,ellipseName:"Fischer 1968"},helmert:{a:6378200,rf:298.3,ellipseName:"Helmert 1906"},hough:{a:6378270,rf:297,ellipseName:"Hough"},intl:{a:6378388,rf:297,ellipseName:"International 1909 (Hayford)"},kaula:{a:6378163,rf:298.24,ellipseName:"Kaula 1961"},lerch:{a:6378139,rf:298.257,ellipseName:"Lerch 1979"},mprts:{a:6397300,rf:191,ellipseName:"Maupertius 1738"},new_intl:{a:6378157.5,b:6356772.2,ellipseName:"New International 1967"},plessis:{a:6376523,rf:6355863,ellipseName:"Plessis 1817 (France)"},krass:{a:6378245,rf:298.3,ellipseName:"Krassovsky, 1942"},SEasia:{a:6378155,b:6356773.3205,ellipseName:"Southeast Asia"},walbeck:{a:6376896,b:6355834.8467,ellipseName:"Walbeck"},WGS60:{a:6378165,rf:298.3,ellipseName:"WGS 60"},WGS66:{a:6378145,rf:298.25,ellipseName:"WGS 66"},WGS72:{a:6378135,rf:298.26,ellipseName:"WGS 72"},WGS84:{a:6378137,rf:298.257223563,ellipseName:"WGS 84"},sphere:{a:6370997,b:6370997,ellipseName:"Normal Sphere (r=6370997)"}};Proj4js.Datum={WGS84:{towgs84:"0,0,0",ellipse:"WGS84",datumName:"WGS84"},GGRS87:{towgs84:"-199.87,74.79,246.62",ellipse:"GRS80",datumName:"Greek_Geodetic_Reference_System_1987"},NAD83:{towgs84:"0,0,0",ellipse:"GRS80",datumName:"North_American_Datum_1983"},NAD27:{nadgrids:"@conus,@alaska,@ntv2_0.gsb,@ntv1_can.dat",ellipse:"clrk66",datumName:"North_American_Datum_1927"},potsdam:{towgs84:"606.0,23.0,413.0",ellipse:"bessel",datumName:"Potsdam Rauenberg 1950 DHDN"},carthage:{towgs84:"-263.0,6.0,431.0",ellipse:"clark80",datumName:"Carthage 1934 Tunisia"},hermannskogel:{towgs84:"653.0,-212.0,449.0",ellipse:"bessel",datumName:"Hermannskogel"},ire65:{towgs84:"482.530,-130.596,564.557,-1.042,-0.214,-0.631,8.15",ellipse:"mod_airy",datumName:"Ireland 1965"},nzgd49:{towgs84:"59.47,-5.04,187.44,0.47,-0.1,1.024,-4.5993",ellipse:"intl",datumName:"New Zealand Geodetic Datum 1949"},OSGB36:{towgs84:"446.448,-125.157,542.060,0.1502,0.2470,0.8421,-20.4894",ellipse:"airy",datumName:"Airy 1830"}};Proj4js.WGS84=new Proj4js.Proj("WGS84");Proj4js.Datum.OSB36=Proj4js.Datum.OSGB36;Proj4js.wktProjections={"Lambert Tangential Conformal Conic Projection":"lcc",Mercator:"merc","Popular Visualisation Pseudo Mercator":"merc",Mercator_1SP:"merc",Transverse_Mercator:"tmerc","Transverse Mercator":"tmerc","Lambert Azimuthal Equal Area":"laea","Universal Transverse Mercator System":"utm"};Proj4js.grids={"null":{ll:[-3.14159265,-1.57079633],del:[3.14159265,1.57079633],lim:[3,3],count:9,cvs:[[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0]]}};Proj4js.ProxyHost="";Proj4js.ProxyHostFQDN=null;Proj4js.getFQDNForUrl=function(a){if(a){var b=a.match(/^[a-z]+:\/\/([^\/]+)\/?/i);if(b){return b[1]}return window.location.host}return null};Proj4js.setProxyUrl=function(a){Proj4js.ProxyHost=a;Proj4js.ProxyHostFQDN=Proj4js.getFQDNForUrl(a)};Proj4js.Try=function(){var d=null;for(var c=0,a=arguments.length;c<a;c++){var b=arguments[c];try{d=b();break}catch(f){}}return d};Proj4js.loadScript=function(b,d,g,i){var e={loaded:false,onload:d,onfail:g,loadCheck:i,transport:Proj4js.Try(function(){return new XMLHttpRequest()},function(){return new ActiveXObject("Msxml2.XMLHTTP")},function(){return new ActiveXObject("Microsoft.XMLHTTP")})||null};if(!e.transport){return}if(e.transport.overrideMimeType){e.transport.overrideMimeType("text/xml")}var f="_tick_="+new Date().getTime();b+=(b.indexOf("?")+1?"&":"?")+f;if(Proj4js.ProxyHost){if(b.indexOf(Proj4js.ProxyHost)!=0){if(b.search(/^[a-z]+:\/\//i)!=-1){var h=b.match(/^[a-z]+:\/\/([^\/]*)\/?/i);if(h){h=h[1]}if(Proj4js.ProxyHostFQDN!=h){b=Proj4js.ProxyHost+encodeURIComponent(b)}}}}e.transport.open("GET",b,false);e.transport.onreadystatechange=Proj4js.bind(Proj4js.onStateChange,Proj4js,e);var c={"X-Requested-With":"XMLHttpRequest",Accept:"text/javascript, text/html, application/xml, text/xml, */*",Proj4js:true};for(var a in c){e.transport.setRequestHeader(a,c[a])}e.transport.send(null);if(e.transport.overrideMimeType){Proj4js.onStateChange(e)}};Proj4js.onStateChange=function(request){if(request.transport.readyState>1&&!(request.transport.readyState==4&&request.loaded)){var state=0;try{state=request.transport.status||0}catch(e){state=0}var success=state==0||(state>=200&&state<300);if(request.transport.readyState==4){request.loaded=true;if(success){eval(request.transport.responseText);if(request.loadCheck&&!request.loadCheck()){if(request.onfail){request.onfail()}}else{if(request.onload){request.onload()}}}else{if(request.onfail){request.onfail()}}request.transport.onreadystatechange=function(){}}}};Proj4js.checkReadyState=function(){};Proj4js.Proj.tmerc={init:function(){this.e0=Proj4js.common.e0fn(this.es);this.e1=Proj4js.common.e1fn(this.es);this.e2=Proj4js.common.e2fn(this.es);this.e3=Proj4js.common.e3fn(this.es);this.ml0=this.a*Proj4js.common.mlfn(this.e0,this.e1,this.e2,this.e3,this.lat0)},forward:function(d){var a=d.x;var o=d.y;var g=Proj4js.common.adjust_lon(a-this.long0);var e;var w,s;var u=Math.sin(o);var k=Math.cos(o);if(this.sphere){var r=k*Math.sin(g);if((Math.abs(Math.abs(r)-1))<1e-10){Proj4js.reportError("tmerc:forward: Point projects into infinity");return(93)}else{w=0.5*this.a*this.k0*Math.log((1+r)/(1-r));e=Math.acos(k*Math.cos(g)/Math.sqrt(1-r*r));if(o<0){e=-e}s=this.a*this.k0*(e-this.lat0)}}else{var j=k*g;var i=Math.pow(j,2);var l=this.ep2*Math.pow(k,2);var q=Math.tan(o);var z=Math.pow(q,2);e=1-this.es*Math.pow(u,2);var f=this.a/Math.sqrt(e);var h=this.a*Proj4js.common.mlfn(this.e0,this.e1,this.e2,this.e3,o);w=this.k0*f*j*(1+i/6*(1-z+l+i/20*(5-18*z+Math.pow(z,2)+72*l-58*this.ep2)))+this.x0;s=this.k0*(h-this.ml0+f*q*(i*(0.5+i/24*(5-z+9*l+4*Math.pow(l,2)+i/30*(61-58*z+Math.pow(z,2)+600*l-330*this.ep2)))))+this.y0}d.x=w;d.y=s;return d},inverse:function(C){var k,e;var L;var E;var q=6;var o,j;if(this.sphere){var H=Math.exp(C.x/(this.a*this.k0));var G=0.5*(H-1/H);var J=this.lat0+C.y/(this.a*this.k0);var F=Math.cos(J);k=Math.sqrt((1-F*F)/(1+G*G));o=Proj4js.common.asinz(k);if(J<0){o=-o}if((G==0)&&(F==0)){j=this.long0}else{j=Proj4js.common.adjust_lon(Math.atan2(G,F)+this.long0)}}else{var u=C.x-this.x0;var s=C.y-this.y0;k=(this.ml0+s/this.k0)/this.a;e=k;for(E=0;true;E++){L=((k+this.e1*Math.sin(2*e)-this.e2*Math.sin(4*e)+this.e3*Math.sin(6*e))/this.e0)-e;e+=L;if(Math.abs(L)<=Proj4js.common.EPSLN){break}if(E>=q){Proj4js.reportError("tmerc:inverse: Latitude failed to converge");return(95)}}if(Math.abs(e)<Proj4js.common.HALF_PI){var b=Math.sin(e);var M=Math.cos(e);var w=Math.tan(e);var K=this.ep2*Math.pow(M,2);var l=Math.pow(K,2);var z=Math.pow(w,2);var a=Math.pow(z,2);k=1-this.es*Math.pow(b,2);var D=this.a/Math.sqrt(k);var A=D*(1-this.es)/k;var I=u/(D*this.k0);var B=Math.pow(I,2);o=e-(D*w*B/A)*(0.5-B/24*(5+3*z+10*K-4*l-9*this.ep2-B/30*(61+90*z+298*K+45*a-252*this.ep2-3*l)));j=Proj4js.common.adjust_lon(this.long0+(I*(1-B/6*(1+2*z+K-B/20*(5-2*K+28*z-3*l+8*this.ep2+24*a)))/M))}else{o=Proj4js.common.HALF_PI*Proj4js.common.sign(s);j=this.long0}}C.x=j;C.y=o;return C}};Proj4js.defs["IGNF:UTM42SW84"]="+title=World Geodetic System 1984 UTM fuseau 42 Sud +proj=tmerc +nadgrids=null +wktext +towgs84=0.0000,0.0000,0.0000 +a=6378137.0000 +rf=298.2572221010000 +lat_0=0.000000000 +lon_0=69.000000000 +k_0=0.99960000 +x_0=500000.000 +y_0=10000000.000 +units=m +no_defs";Proj4js.Proj.merc={init:function(){if(this.lat_ts){if(this.sphere){this.k0=Math.cos(this.lat_ts)}else{this.k0=Proj4js.common.msfnz(this.es,Math.sin(this.lat_ts),Math.cos(this.lat_ts))}}},forward:function(e){var f=e.x;var d=e.y;if(d*Proj4js.common.R2D>90&&d*Proj4js.common.R2D<-90&&f*Proj4js.common.R2D>180&&f*Proj4js.common.R2D<-180){Proj4js.reportError("merc:forward: llInputOutOfRange: "+f+" : "+d);return null}var a,g;if(Math.abs(Math.abs(d)-Proj4js.common.HALF_PI)<=Proj4js.common.EPSLN){Proj4js.reportError("merc:forward: ll2mAtPoles");return null}else{if(this.sphere){a=this.x0+this.a*this.k0*Proj4js.common.adjust_lon(f-this.long0);g=this.y0+this.a*this.k0*Math.log(Math.tan(Proj4js.common.FORTPI+0.5*d))}else{var c=Math.sin(d);var b=Proj4js.common.tsfnz(this.e,d,c);a=this.x0+this.a*this.k0*Proj4js.common.adjust_lon(f-this.long0);g=this.y0-this.a*this.k0*Math.log(b)}e.x=a;e.y=g;return e}},inverse:function(d){var a=d.x-this.x0;var f=d.y-this.y0;var e,c;if(this.sphere){c=Proj4js.common.HALF_PI-2*Math.atan(Math.exp(-f/this.a*this.k0))}else{var b=Math.exp(-f/(this.a*this.k0));c=Proj4js.common.phi2z(this.e,b);if(c==-9999){Proj4js.reportError("merc:inverse: lat = -9999");return null}}e=Proj4js.common.adjust_lon(this.long0+a/(this.a*this.k0));d.x=e;d.y=c;return d}};Proj4js.defs["IGNF:RGPFUTM6S"]="+title=RGPF - UTM fuseau 6 Sud +proj=tmerc +nadgrids=null +wktext +towgs84=0.0000,0.0000,0.0000 +a=6378137.0000 +rf=298.2572221010000 +lat_0=0.000000000 +lon_0=-147.000000000 +k_0=0.99960000 +x_0=500000.000 +y_0=10000000.000 +units=m +no_defs";Proj4js.defs["IGNF:WGS84G"]="+title=World Geodetic System 1984 +proj=longlat +nadgrids=null +wktext +towgs84=0.0000,0.0000,0.0000 +a=6378137.0000 +rf=298.2572221010000 +units=m +no_defs";Proj4js.Proj.lcc={init:function(){if(!this.lat2){this.lat2=this.lat0}if(!this.k0){this.k0=1}if(Math.abs(this.lat1+this.lat2)<Proj4js.common.EPSLN){Proj4js.reportError("lcc:init: Equal Latitudes");return}var j=this.b/this.a;this.e=Math.sqrt(1-j*j);var g=Math.sin(this.lat1);var e=Math.cos(this.lat1);var i=Proj4js.common.msfnz(this.e,g,e);var b=Proj4js.common.tsfnz(this.e,this.lat1,g);var f=Math.sin(this.lat2);var d=Math.cos(this.lat2);var h=Proj4js.common.msfnz(this.e,f,d);var a=Proj4js.common.tsfnz(this.e,this.lat2,f);var c=Proj4js.common.tsfnz(this.e,this.lat0,Math.sin(this.lat0));if(Math.abs(this.lat1-this.lat2)>Proj4js.common.EPSLN){this.ns=Math.log(i/h)/Math.log(b/a)}else{this.ns=g}this.f0=i/(this.ns*Math.pow(b,this.ns));this.rh=this.a*this.f0*Math.pow(c,this.ns);if(!this.title){this.title="Lambert Conformal Conic"}},forward:function(e){var f=e.x;var d=e.y;if(Math.abs(2*Math.abs(d)-Proj4js.common.PI)<=Proj4js.common.EPSLN){d=Proj4js.common.sign(d)*(Proj4js.common.HALF_PI-2*Proj4js.common.EPSLN)}var a=Math.abs(Math.abs(d)-Proj4js.common.HALF_PI);var c,g;if(a>Proj4js.common.EPSLN){c=Proj4js.common.tsfnz(this.e,d,Math.sin(d));g=this.a*this.f0*Math.pow(c,this.ns)}else{a=d*this.ns;if(a<=0){Proj4js.reportError("lcc:forward: No Projection");return null}g=0}var b=this.ns*Proj4js.common.adjust_lon(f-this.long0);e.x=this.k0*(g*Math.sin(b))+this.x0;e.y=this.k0*(this.rh-g*Math.cos(b))+this.y0;return e},inverse:function(b){var e,c,f;var g,a;var i=(b.x-this.x0)/this.k0;var h=(this.rh-(b.y-this.y0)/this.k0);if(this.ns>0){e=Math.sqrt(i*i+h*h);c=1}else{e=-Math.sqrt(i*i+h*h);c=-1}var d=0;if(e!=0){d=Math.atan2((c*i),(c*h))}if((e!=0)||(this.ns>0)){c=1/this.ns;f=Math.pow((e/(this.a*this.f0)),c);g=Proj4js.common.phi2z(this.e,f);if(g==-9999){return null}}else{g=-Proj4js.common.HALF_PI}a=Proj4js.common.adjust_lon(d/this.ns+this.long0);b.x=a;b.y=g;return b}};Proj4js.defs["EPSG:2154"]="+title=RGF93 / Lambert-93 +proj=lcc +lat_1=49 +lat_2=44 +lat_0=46.5 +lon_0=3 +x_0=700000 +y_0=6600000 +ellps=GRS80 +towgs84=0,0,0,0,0,0,0 +units=m +no_defs ";Proj4js.Proj.gstmerc={init:function(){var a=this.b/this.a;this.e=Math.sqrt(1-a*a);this.lc=this.long0;this.rs=Math.sqrt(1+this.e*this.e*Math.pow(Math.cos(this.lat0),4)/(1-this.e*this.e));var c=Math.sin(this.lat0);var b=Math.asin(c/this.rs);var d=Math.sin(b);this.cp=Proj4js.common.latiso(0,b,d)-this.rs*Proj4js.common.latiso(this.e,this.lat0,c);this.n2=this.k0*this.a*Math.sqrt(1-this.e*this.e)/(1-this.e*this.e*c*c);this.xs=this.x0;this.ys=this.y0-this.n2*b;if(!this.title){this.title="Gauss Schreiber transverse mercator"}},forward:function(e){var g=e.x;var d=e.y;var a=this.rs*(g-this.lc);var b=this.cp+(this.rs*Proj4js.common.latiso(this.e,d,Math.sin(d)));var f=Math.asin(Math.sin(a)/Proj4js.common.cosh(b));var c=Proj4js.common.latiso(0,f,Math.sin(f));e.x=this.xs+(this.n2*c);e.y=this.ys+(this.n2*Math.atan(Proj4js.common.sinh(b)/Math.cos(a)));return e},inverse:function(d){var b=d.x;var f=d.y;var a=Math.atan(Proj4js.common.sinh((b-this.xs)/this.n2)/Math.cos((f-this.ys)/this.n2));var e=Math.asin(Math.sin((f-this.ys)/this.n2)/Proj4js.common.cosh((b-this.xs)/this.n2));var c=Proj4js.common.latiso(0,e,Math.sin(e));d.x=this.lc+a/this.rs;d.y=Proj4js.common.invlatiso(this.e,(c-this.cp)/this.rs);return d}};Proj4js.defs["EPSG:27572"]="+title=NTF (Paris) / Lambert zone II +proj=lcc +lat_1=46.8 +lat_0=46.8 +lon_0=0 +k_0=0.99987742 +x_0=600000 +y_0=2200000 +a=6378249.2 +b=6356515 +towgs84=-168,-60,320,0,0,0,0 +pm=paris +units=m +no_defs ";Proj4js.defs["EPSG:4171"]="+title=RGF93 +proj=longlat +ellps=GRS80 +towgs84=0,0,0,0,0,0,0 +no_defs ";Proj4js.Proj.stere={ssfn_:function(a,c,b){c*=b;return(Math.tan(0.5*(Proj4js.common.HALF_PI+a))*Math.pow((1-c)/(1+c),0.5*b))},TOL:1e-8,NITER:8,CONV:1e-10,S_POLE:0,N_POLE:1,OBLIQ:2,EQUIT:3,init:function(){this.phits=this.lat_ts?this.lat_ts:Proj4js.common.HALF_PI;var a=Math.abs(this.lat0);if((Math.abs(a)-Proj4js.common.HALF_PI)<Proj4js.common.EPSLN){this.mode=this.lat0<0?this.S_POLE:this.N_POLE}else{this.mode=a>Proj4js.common.EPSLN?this.OBLIQ:this.EQUIT}this.phits=Math.abs(this.phits);if(this.es){var b;switch(this.mode){case this.N_POLE:case this.S_POLE:if(Math.abs(this.phits-Proj4js.common.HALF_PI)<Proj4js.common.EPSLN){this.akm1=2*this.k0/Math.sqrt(Math.pow(1+this.e,1+this.e)*Math.pow(1-this.e,1-this.e))}else{a=Math.sin(this.phits);this.akm1=Math.cos(this.phits)/Proj4js.common.tsfnz(this.e,this.phits,a);a*=this.e;this.akm1/=Math.sqrt(1-a*a)}break;case this.EQUIT:this.akm1=2*this.k0;break;case this.OBLIQ:a=Math.sin(this.lat0);b=2*Math.atan(this.ssfn_(this.lat0,a,this.e))-Proj4js.common.HALF_PI;a*=this.e;this.akm1=2*this.k0*Math.cos(this.lat0)/Math.sqrt(1-a*a);this.sinX1=Math.sin(b);this.cosX1=Math.cos(b);break}}else{switch(this.mode){case this.OBLIQ:this.sinph0=Math.sin(this.lat0);this.cosph0=Math.cos(this.lat0);case this.EQUIT:this.akm1=2*this.k0;break;case this.S_POLE:case this.N_POLE:this.akm1=Math.abs(this.phits-Proj4js.common.HALF_PI)>=Proj4js.common.EPSLN?Math.cos(this.phits)/Math.tan(Proj4js.common.FORTPI-0.5*this.phits):2*this.k0;break}}},forward:function(c){var b=c.x;b=Proj4js.common.adjust_lon(b-this.long0);var i=c.y;var n,k;if(this.sphere){var a,f,l,g;a=Math.sin(i);f=Math.cos(i);l=Math.cos(b);g=Math.sin(b);switch(this.mode){case this.EQUIT:k=1+f*l;if(k<=Proj4js.common.EPSLN){Proj4js.reportError("stere:forward:Equit")}k=this.akm1/k;n=k*f*g;k*=a;break;case this.OBLIQ:k=1+this.sinph0*a+this.cosph0*f*l;if(k<=Proj4js.common.EPSLN){Proj4js.reportError("stere:forward:Obliq")}k=this.akm1/k;n=k*f*g;k*=this.cosph0*a-this.sinph0*f*l;break;case this.N_POLE:l=-l;i=-i;case this.S_POLE:if(Math.abs(i-Proj4js.common.HALF_PI)<this.TOL){Proj4js.reportError("stere:forward:S_POLE")}k=this.akm1*Math.tan(Proj4js.common.FORTPI+0.5*i);n=g*k;k*=l;break}}else{l=Math.cos(b);g=Math.sin(b);a=Math.sin(i);var j,h;if(this.mode==this.OBLIQ||this.mode==this.EQUIT){var e=2*Math.atan(this.ssfn_(i,a,this.e));j=Math.sin(e-Proj4js.common.HALF_PI);h=Math.cos(e)}switch(this.mode){case this.OBLIQ:var d=this.akm1/(this.cosX1*(1+this.sinX1*j+this.cosX1*h*l));k=d*(this.cosX1*j-this.sinX1*h*l);n=d*h;break;case this.EQUIT:var d=2*this.akm1/(1+h*l);k=d*j;n=d*h;break;case this.S_POLE:i=-i;l=-l;a=-a;case this.N_POLE:n=this.akm1*Proj4js.common.tsfnz(this.e,i,a);k=-n*l;break}n=n*g}c.x=n*this.a+this.x0;c.y=k*this.a+this.y0;return c},inverse:function(d){var s=(d.x-this.x0)/this.a;var o=(d.y-this.y0)/this.a;var b,n;var h,a,r=0,e=0,q,g=0,k=0;var j;if(this.sphere){var l,u,f,w;u=Math.sqrt(s*s+o*o);l=2*Math.atan(u/this.akm1);f=Math.sin(l);w=Math.cos(l);b=0;switch(this.mode){case this.EQUIT:if(Math.abs(u)<=Proj4js.common.EPSLN){n=0}else{n=Math.asin(o*f/u)}if(w!=0||s!=0){b=Math.atan2(s*f,w*u)}break;case this.OBLIQ:if(Math.abs(u)<=Proj4js.common.EPSLN){n=this.phi0}else{n=Math.asin(w*this.sinph0+o*f*this.cosph0/u)}l=w-this.sinph0*Math.sin(n);if(l!=0||s!=0){b=Math.atan2(s*f*this.cosph0,l*u)}break;case this.N_POLE:o=-o;case this.S_POLE:if(Math.abs(u)<=Proj4js.common.EPSLN){n=this.phi0}else{n=Math.asin(this.mode==this.S_POLE?-w:w)}b=(s==0&&o==0)?0:Math.atan2(s,o);break}d.x=Proj4js.common.adjust_lon(b+this.long0);d.y=n}else{q=Math.sqrt(s*s+o*o);switch(this.mode){case this.OBLIQ:case this.EQUIT:r=2*Math.atan2(q*this.cosX1,this.akm1);h=Math.cos(r);a=Math.sin(r);if(q==0){e=Math.asin(h*this.sinX1)}else{e=Math.asin(h*this.sinX1+(o*a*this.cosX1/q))}r=Math.tan(0.5*(Proj4js.common.HALF_PI+e));s*=a;o=q*this.cosX1*h-o*this.sinX1*a;k=Proj4js.common.HALF_PI;g=0.5*this.e;break;case this.N_POLE:o=-o;case this.S_POLE:r=-q/this.akm1;e=Proj4js.common.HALF_PI-2*Math.atan(r);k=-Proj4js.common.HALF_PI;g=-0.5*this.e;break}for(j=this.NITER;j--;e=n){a=this.e*Math.sin(e);n=2*Math.atan(r*Math.pow((1+a)/(1-a),g))-k;if(Math.abs(e-n)<this.CONV){if(this.mode==this.S_POLE){n=-n}b=(s==0&&o==0)?0:Math.atan2(s,o);d.x=Proj4js.common.adjust_lon(b+this.long0);d.y=n;return d}}}}};Proj4js.defs["IGNF:RGNCUTM58S"]="+title=Reseau Geodesique de Nouvelle-Caledonie - UTM fuseau 58 Sud +proj=tmerc +nadgrids=null +wktext +towgs84=0.0000,0.0000,0.0000 +a=6378137.0000 +rf=298.2572221010000 +lat_0=0.000000000 +lon_0=165.000000000 +k_0=0.99960000 +x_0=500000.000 +y_0=10000000.000 +units=m +no_defs";Proj4js.defs["EPSG:27582"]="+title=NTF (Paris) / France II (deprecated) +proj=lcc +lat_1=46.8 +lat_0=46.8 +lon_0=0 +k_0=0.99987742 +x_0=600000 +y_0=2200000 +a=6378249.2 +b=6356515 +towgs84=-168,-60,320,0,0,0,0 +pm=paris +units=m +no_defs ";Proj4js.defs["IGNF:RGSPM06U21"]="+title=Saint-Pierre-et-Miquelon (2006) UTM Fuseau 21 Nord +proj=tmerc +nadgrids=null +wktext +towgs84=0.0000,0.0000,0.0000 +a=6378137.0000 +rf=298.2572221010000 +lat_0=0.000000000 +lon_0=-57.000000000 +k_0=0.99960000 +x_0=500000.000 +y_0=0.000 +units=m +no_defs";Proj4js.defs["IGNF:UTM43SW84"]="+title=World Geodetic System 1984 UTM fuseau 43 Sud +proj=tmerc +nadgrids=null +wktext +towgs84=0.0000,0.0000,0.0000 +a=6378137.0000 +rf=298.2572221010000 +lat_0=0.000000000 +lon_0=75.000000000 +k_0=0.99960000 +x_0=500000.000 +y_0=10000000.000 +units=m +no_defs";Proj4js.defs["IGNF:RGM04UTM38S"]="+title=UTM fuseau 38 Sud (Reseau Geodesique de Mayotte 2004) +proj=tmerc +nadgrids=null +wktext +towgs84=0.0000,0.0000,0.0000 +a=6378137.0000 +rf=298.2572221010000 +lat_0=0.000000000 +lon_0=45.000000000 +k_0=0.99960000 +x_0=500000.000 +y_0=10000000.000 +units=m +no_defs";Proj4js.defs["IGNF:LAMBE"]="+title=Lambert II etendu +proj=lcc +nadgrids=ntf_r93.gsb,null +wktext +towgs84=-168.0000,-60.0000,320.0000 +a=6378249.2000 +rf=293.4660210000000 +pm=2.337229167 +lat_0=46.800000000 +lon_0=0.000000000 +k_0=0.99987742 +lat_1=46.800000000 +x_0=600000.000 +y_0=2200000.000 +units=m +no_defs";Proj4js.defs["IGNF:UTM22RGFG95"]="+title=RGFG95 UTM fuseau 22 Nord-Guyane +proj=tmerc +nadgrids=null +wktext +towgs84=0.0000,0.0000,0.0000 +a=6378137.0000 +rf=298.2572221010000 +lat_0=0.000000000 +lon_0=-51.000000000 +k_0=0.99960000 +x_0=500000.000 +y_0=0.000 +units=m +no_defs";Proj4js.defs["IGNF:RGPFUTM5S"]="+title=RGPF - UTM fuseau 5 Sud +proj=tmerc +nadgrids=null +wktext +towgs84=0.0000,0.0000,0.0000 +a=6378137.0000 +rf=298.2572221010000 +lat_0=0.000000000 +lon_0=-153.000000000 +k_0=0.99960000 +x_0=500000.000 +y_0=10000000.000 +units=m +no_defs";Proj4js.defs["IGNF:TERA50STEREO"]="+title=Terre Adelie 1950 +proj=stere +towgs84=324.9120,153.2820,172.0260 +a=6378388.0000 +rf=297.0000000000000 +lat_0=-90.000000000 +lon_0=140.000000000 +lat_ts=-67 +k=0.96027295 +x_0=300000.000 +y_0=-2299363.482 +units=m +no_defs";Proj4js.Proj.eqc={init:function(){if(!this.x0){this.x0=0}if(!this.y0){this.y0=0}if(!this.lat0){this.lat0=0}if(!this.long0){this.long0=0}if(!this.lat_ts){this.lat_ts=0}if(!this.title){this.title="Equidistant Cylindrical (Plate Carre)"}this.rc=Math.cos(this.lat_ts)},forward:function(d){var e=d.x;var c=d.y;var b=Proj4js.common.adjust_lon(e-this.long0);var a=Proj4js.common.adjust_lat(c-this.lat0);d.x=this.x0+(this.a*b*this.rc);d.y=this.y0+(this.a*a);return d},inverse:function(b){var a=b.x;var c=b.y;b.x=Proj4js.common.adjust_lon(this.long0+((a-this.x0)/(this.a*this.rc)));b.y=Proj4js.common.adjust_lat(this.lat0+((c-this.y0)/(this.a)));return b}};Proj4js.defs["IGNF:RGNCUTM57S"]="+title=Reseau Geodesique de Nouvelle-Caledonie - UTM fuseau 57 Sud +proj=tmerc +nadgrids=null +wktext +towgs84=0.0000,0.0000,0.0000 +a=6378137.0000 +rf=298.2572221010000 +lat_0=0.000000000 +lon_0=159.000000000 +k_0=0.99960000 +x_0=500000.000 +y_0=10000000.000 +units=m +no_defs";Proj4js.defs["IGNF:UTM01SW84"]="+title=World Geodetic System 1984 UTM fuseau 01 Sud +proj=tmerc +nadgrids=null +wktext +towgs84=0.0000,0.0000,0.0000 +a=6378137.0000 +rf=298.2572221010000 +lat_0=0.000000000 +lon_0=-177.000000000 +k_0=0.99960000 +x_0=500000.000 +y_0=10000000.000 +units=m +no_defs";Proj4js.defs["IGNF:UTM39SW84"]="+title=World Geodetic System 1984 UTM fuseau 39 Sud +proj=tmerc +nadgrids=null +wktext +towgs84=0.0000,0.0000,0.0000 +a=6378137.0000 +rf=298.2572221010000 +lat_0=0.000000000 +lon_0=51.000000000 +k_0=0.99960000 +x_0=500000.000 +y_0=10000000.000 +units=m +no_defs";Proj4js.defs["IGNF:LAMB93"]="+title=Lambert 93 +proj=lcc +nadgrids=null +wktext +towgs84=0.0000,0.0000,0.0000 +a=6378137.0000 +rf=298.2572221010000 +lat_0=46.500000000 +lon_0=3.000000000 +lat_1=44.000000000 +lat_2=49.000000000 +x_0=700000.000 +y_0=6600000.000 +units=m +no_defs";Proj4js.defs["IGNF:RGNCUTM59S"]="+title=Reseau Geodesique de Nouvelle-Caledonie - UTM fuseau 59 Sud +proj=tmerc +nadgrids=null +wktext +towgs84=0.0000,0.0000,0.0000 +a=6378137.0000 +rf=298.2572221010000 +lat_0=0.000000000 +lon_0=171.000000000 +k_0=0.99960000 +x_0=500000.000 +y_0=10000000.000 +units=m +no_defs";Proj4js.defs["IGNF:RGPFUTM7S"]="+title=RGPF - UTM fuseau 7 Sud +proj=tmerc +nadgrids=null +wktext +towgs84=0.0000,0.0000,0.0000 +a=6378137.0000 +rf=298.2572221010000 +lat_0=0.000000000 +lon_0=-141.000000000 +k_0=0.99960000 +x_0=500000.000 +y_0=10000000.000 +units=m +no_defs";Proj4js.defs["IGNF:REUN47GAUSSL"]="+title=Reunion Gauss Laborde +proj=gstmerc +towgs84=789.5240,-626.4860,-89.9040,0.6006,76.7946,-10.5788,-32.324100 +a=6378388.0000 +rf=297.0000000000000 +lat_0=-21.116666667 +lon_0=55.533333333 +k_0=1.00000000 +x_0=160000.000 +y_0=50000.000 +units=m +no_defs";Proj4js.defs["CRS:84"]="+title=WGS 84 longitude-latitude +proj=longlat +ellps=WGS84 +datum=WGS84 +no_defs ";Proj4js.defs["IGNF:UTM20W84GUAD"]="+title=World Geodetic System 1984 UTM fuseau 20 Nord-Guadeloupe +proj=tmerc +nadgrids=null +wktext +towgs84=0.0000,0.0000,0.0000 +a=6378137.0000 +rf=298.2572221010000 +lat_0=0.000000000 +lon_0=-63.000000000 +k_0=0.99960000 +x_0=500000.000 +y_0=0.000 +units=m +no_defs";Proj4js.defs["IGNF:UTM20W84MART"]="+title=World Geodetic System 1984 UTM fuseau 20 Nord-Martinique +proj=tmerc +nadgrids=null +wktext +towgs84=0.0000,0.0000,0.0000 +a=6378137.0000 +rf=298.2572221010000 +lat_0=0.000000000 +lon_0=-63.000000000 +k_0=0.99960000 +x_0=500000.000 +y_0=0.000 +units=m +no_defs";Proj4js.defs["IGNF:RGR92UTM40S"]="+title=RGR92 UTM fuseau 40 Sud +proj=tmerc +nadgrids=null +wktext +towgs84=0.0000,0.0000,0.0000 +a=6378137.0000 +rf=298.2572221010000 +lat_0=0.000000000 +lon_0=57.000000000 +k_0=0.99960000 +x_0=500000.000 +y_0=10000000.000 +units=m +no_defs";window.OpenLayers=window.OpenLayers||{};OpenLayers._document=null;OpenLayers.getDoc=function(){return OpenLayers._document||document};OpenLayers.setDoc=function(a){OpenLayers._document=a};if(!OpenLayers.Class){alert("OpenLayers.Class is mandatory")}if(typeof(OpenLayers.inherit)!=="function"){OpenLayers.overload=function(P,F){var pProtoInitialize=typeof(F.initialize)=="function"?P.prototype.initialize:null;OpenLayers.Util.extend(P.prototype,F);if(pProtoInitialize!==null){for(var pn in P){if(typeof(P[pn])=="function"&&P[pn].prototype.initialize===pProtoInitialize){var f={};f=eval('{"initialize":'+F.initialize.toString()+"}");P[pn]=OpenLayers.overload(P[pn],f)}}}return P}}else{OpenLayers.overload=function(c,b){if(typeof(b.initialize)==="function"){var a=c.prototype;var d=OpenLayers.Util.extend({},c);c=b.initialize;c.prototype=a;OpenLayers.Util.extend(c,d)}OpenLayers.Util.extend(c.prototype,b);return c}}if(OpenLayers.Bounds){OpenLayers.Bounds=OpenLayers.overload(OpenLayers.Bounds,{intersectsBounds:function(a,n){if(typeof n==="boolean"){n={inclusive:n}}n=n||{};if(n.worldBounds){var l=this.wrapDateLine(n.worldBounds);a=a.wrapDateLine(n.worldBounds)}else{l=this}if(n.inclusive==null){n.inclusive=true}var h=false;var i=(l.left==a.right||l.right==a.left||l.top==a.bottom||l.bottom==a.top);if(n.inclusive||!i){var j=(((a.bottom>=l.bottom)&&(a.bottom<=l.top))||((l.bottom>=a.bottom)&&(l.bottom<=a.top)));var k=(((a.top>=l.bottom)&&(a.top<=l.top))||((l.top>a.bottom)&&(l.top<a.top)));var d=(((a.left>=l.left)&&(a.left<=l.right))||((l.left>=a.left)&&(l.left<=a.right)));var c=(((a.right>=l.left)&&(a.right<=l.right))||((l.right>=a.left)&&(l.right<=a.right)));h=((j||k)&&(d||c))}if(n.worldBounds&&!h){var g=n.worldBounds;var b=g.getWidth();var f=!g.containsBounds(l);var e=!g.containsBounds(a);if(f&&!e){a=a.add(-b,0);h=l.intersectsBounds(a,{inclusive:n.inclusive})}else{if(e&&!f){l=l.add(-b,0);h=a.intersectsBounds(l,{inclusive:n.inclusive})}}}return h},transform:function(s,h,y){if(!y){var l=OpenLayers.Projection.transform({x:this.left,y:this.bottom},s,h);var g=OpenLayers.Projection.transform({x:this.right,y:this.top},s,h);this.left=Math.min(l.x,g.x);this.bottom=Math.min(l.y,g.y);this.right=Math.max(g.x,l.x);this.top=Math.max(g.y,l.y);return this}var z=h.getProjName()=="longlat"?0.000028:1;var b,d,A,o;var c=1;for(var w=0;w<7;w++){var n=(this.right-this.left)/(1*c);var k=(this.top-this.bottom)/(1*c);var q;var a,x,f,B;var C=[],e=0;for(var u=0;u<c;u++){C[e++]={x:this.left+u*n,y:this.bottom};C[e++]={x:this.right,y:this.bottom+u*k};C[e++]={x:this.right-u*n,y:this.top};C[e++]={x:this.left,y:this.top-u*k}}C=OpenLayers.Projection.transform(C,s,h);if(a==undefined){a=f=C[0].x;x=B=C[0].y}for(var r=0;r<e;r++){q=C[r];if(q.x<a){a=q.x}if(q.y<x){x=q.y}if(q.x>f){f=q.x}if(q.y>B){B=q.y}}C=null;if(b!=undefined&&Math.abs(a-b)<z&&Math.abs(x-d)<z&&Math.abs(f-A)<z&&Math.abs(B-o)<z){this.left=a;this.bottom=x;this.right=f;this.top=B;return this}b=a;d=x;A=f;o=B;c*=2}this.left=b;this.bottom=d;this.right=A;this.top=o;return this}})}if(OpenLayers.LonLat){OpenLayers.LonLat=OpenLayers.overload(OpenLayers.LonLat,{equals:function(e,d){var c=false;if(!d){d=0.000001}if(e!=null){var b=(!isNaN(this.lon)&&!isNaN(e.lon))?Math.abs(this.lon-e.lon):1;var a=(!isNaN(this.lat)&&!isNaN(e.lat))?Math.abs(this.lat-e.lat):1;c=((b<=d&&a<=d)||(isNaN(this.lon)&&isNaN(this.lat)&&isNaN(e.lon)&&isNaN(e.lat)))}return c}})}OpenLayers.Lang=OpenLayers.Lang||{};OpenLayers.Lang.en=OpenLayers.Lang.en||{};OpenLayers.Lang.en["no.proj.implementation.found"]="No implementation for Projection handling found";OpenLayers.Lang.en["unknown.crs"]="Unknown CRS : ${crs}";OpenLayers.Lang.en.dd="degrees";OpenLayers.Lang.de=OpenLayers.Lang.de||OpenLayers.Util.applyDefaults({},OpenLayers.Lang.en);OpenLayers.Lang.de["no.proj.implementation.found"]="Keine umsetzung für projektions-handling gefunden";OpenLayers.Lang.de["unknown.crs"]="Unknown CRS : ${crs}";OpenLayers.Lang.de.dd="grad";OpenLayers.Lang.es=OpenLayers.Lang.es||OpenLayers.Util.applyDefaults({},OpenLayers.Lang.en);OpenLayers.Lang.es.W="Oe";OpenLayers.Lang.es.E="Or";OpenLayers.Lang.es["no.proj.implementation.found"]="No aplicación para el manejo de proyección encontrado";OpenLayers.Lang.es["unknown.crs"]="Unknown CRS : ${crs}";OpenLayers.Lang.es.dd="grados";OpenLayers.Lang.fr=OpenLayers.Lang.fr||OpenLayers.Util.applyDefaults({},OpenLayers.Lang.en);OpenLayers.Lang.fr["no.proj.implementation.found"]="Aucune implémentation d'un gestionnaire de projections n'a été chargé";OpenLayers.Lang.fr["unknown.crs"]="CRS inconnu : ${crs}";OpenLayers.Lang.fr.dd="degrés";OpenLayers.Lang.it=OpenLayers.Lang.it||OpenLayers.Util.applyDefaults({},OpenLayers.Lang.en);OpenLayers.Lang.it.W="O";OpenLayers.Lang.it.E="E";OpenLayers.Lang.it.N="N";OpenLayers.Lang.it.S="S";OpenLayers.Lang.it["no.proj.implementation.found"]="No di attuazione per la gestione di proiezione trovato";OpenLayers.Lang.it["unknown.crs"]="Unknown CRS : ${crs}";OpenLayers.Lang.it.dd="gradi";if(OpenLayers.Util){OpenLayers.Util.extend(OpenLayers.INCHES_PER_UNIT,{deg:OpenLayers.INCHES_PER_UNIT.dd,degre:OpenLayers.INCHES_PER_UNIT.dd,degree:OpenLayers.INCHES_PER_UNIT.dd,rad:OpenLayers.INCHES_PER_UNIT.dd*0.017453292519943295,gon:OpenLayers.INCHES_PER_UNIT.dd*1.1111111111111112,m:OpenLayers.INCHES_PER_UNIT.Meter,meters:OpenLayers.INCHES_PER_UNIT.Meter,meter:OpenLayers.INCHES_PER_UNIT.Meter,metres:OpenLayers.INCHES_PER_UNIT.Meter,metre:OpenLayers.INCHES_PER_UNIT.Meter});OpenLayers.Util.getResolutionFromScale=function(d,a){var b;if(d){if(a==null||OpenLayers.INCHES_PER_UNIT[a]==undefined){a="degrees"}var c=OpenLayers.Util.normalizeScale(d);b=1/(c*OpenLayers.INCHES_PER_UNIT[a]*OpenLayers.DOTS_PER_INCH)}return b};OpenLayers.Util.getScaleFromResolution=function(b,a){if(a==null||OpenLayers.INCHES_PER_UNIT[a]==undefined){a="degrees"}var c=b*OpenLayers.INCHES_PER_UNIT[a]*OpenLayers.DOTS_PER_INCH;return c};OpenLayers.Util.rad=function(a){return a*0.017453292519943295};OpenLayers.Util.deg=function(a){return a*57.29577951308232};OpenLayers.Util.gon=function(a){return a*1.1111111111111112};OpenLayers.Util.distVincenty=function(g,e,i){if(i==undefined||!(i instanceof OpenLayers.Projection)){i=OpenLayers.Projection.CRS84}var P=i.getProperty("semi_major")||6378137,O=i.getProperty("semi_minor")||6356752.3142,J=i.getProperty("inverse_flattening")||298.257223563;J=1/J;var o=OpenLayers.Util.rad(e.lon-g.lon);var N=Math.atan((1-J)*Math.tan(OpenLayers.Util.rad(g.lat)));var M=Math.atan((1-J)*Math.tan(OpenLayers.Util.rad(e.lat)));var n=Math.sin(N),j=Math.cos(N);var l=Math.sin(M),h=Math.cos(M);var u=o,p=2*Math.PI;var r=20;while(Math.abs(u-p)>1e-12&&--r>0){var F=Math.sin(u),c=Math.cos(u);var Q=Math.sqrt((h*F)*(h*F)+(j*l-n*h*c)*(j*l-n*h*c));if(Q==0){return 0}var H=n*l+j*h*c;var E=Math.atan2(Q,H);var k=Math.asin(j*h*F/Q);var I=Math.cos(k)*Math.cos(k);var q=H-2*n*l/I;var y=J/16*I*(4+J*(4-3*I));p=u;u=o+(1-y)*J*Math.sin(k)*(E+y*Q*(q+y*H*(-1+2*q*q)))}if(r==0){return NaN}var x=I*(P*P-O*O)/(O*O);var D=1+x/16384*(4096+x*(-768+x*(320-175*x)));var z=x/1024*(256+x*(-128+x*(74-47*x)));var G=z*Q*(q+z/4*(H*(-1+2*q*q)-z/6*q*(-3+4*Q*Q)*(-3+4*q*q)));var w=O*D*(E-G);var K=w.toFixed(3)/1000;return K};OpenLayers.Util.resolveUrl=function(b,j){j=j||"";if(j.match(/^\//)){j=window.location.protocol+"//"+window.location.host+j}var i=window.location.href.split("/");var e=i.pop();var d=i.join("/")+"/";b=b||d;var h=/^(?:([^:\/?\#]+):)?(?:\/\/([^\/?\#]*))?([^?\#]*)(?:\?([^\#]*))?(?:\#(.*))?/;var g=j.match(h);if(g[1]){return j}j=j.replace(/\/\.\//g,"/");j=j.replace(/\/\.$/,"/");var a=/\/((?!\.\.\/)[^\/]*)\/\.\.\//;while(j.match(a)){j=j.replace(a,"/")}j=j.replace(/\/([^\/]*)\/\.\.$/,"/");var c=b.match(h);if(c[2]&&!c[3]){return"/"+j}a=/^(.*)\//;return b.match(a)[0]+j}}if(OpenLayers.Control){OpenLayers.UI=OpenLayers.UI||OpenLayers.Class({initialize:function(a){}})}if(OpenLayers.Feature&&OpenLayers.Feature.Vector){OpenLayers.Feature.Vector=OpenLayers.overload(OpenLayers.Feature.Vector,{destroyPopup:function(){OpenLayers.Feature.prototype.destroyPopup.apply(this,arguments)}})}if(OpenLayers.Rule){OpenLayers.Rule=OpenLayers.overload(OpenLayers.Rule,{clone:function(){var b=OpenLayers.Util.extend({},this);if(this.symbolizers){var a=this.symbolizers.length;b.symbolizers=new Array(a);for(var d=0;d<a;++d){b.symbolizers[d]=this.symbolizers[d].clone()}}else{b.symbolizer={};var f,e;for(var c in this.symbolizer){f=this.symbolizer[c];e=typeof f;if(e==="object"){b.symbolizer[c]=OpenLayers.Util.extend({},f)}else{if(e==="string"){b.symbolizer[c]=f}}}}b.filter=this.filter&&this.filter.clone();b.context=typeof this.context==="function"?this.context:this.context&&OpenLayers.Util.extend({},this.context);return new OpenLayers.Rule(b)}})}if(OpenLayers.Format&&OpenLayers.Format.XML){OpenLayers.Format.XML=OpenLayers.overload(OpenLayers.Format.XML,{write:function(b){var c;if(b.xml!=undefined){c=b.xml}else{var a=new XMLSerializer();if(b.nodeType==1){var d=OpenLayers.getDoc().implementation.createDocument("","",null);if(d.importNode){b=d.importNode(b,true)}d.appendChild(b);c=a.serializeToString(d)}else{c=a.serializeToString(b)}}return c},setAttributeNS:function(d,c,a,e){if(e==null||e==undefined){e=""}if(d.setAttributeNS){d.setAttributeNS(c,a,e)}else{if(this.xmldom){if(c){var b=d.ownerDocument.createNode(2,a,c);b.nodeValue=e;d.setAttributeNode(b)}else{d.setAttribute(a,e)}}else{throw OpenLayers.i18n("xml.setattributens")}}},writeNode:function(a,f,d){var e,c;var b=a.indexOf(":");if(b>0){e=a.substring(0,b);c=a.substring(b+1)}else{if(d){e=this.namespaceAlias[d.namespaceURI]}else{e=this.defaultPrefix}c=a}var g=this.writers[e][c].apply(this,[f]);if(d&&g){d.appendChild(g)}return g}})}if(OpenLayers.Format&&OpenLayers.Format.XML&&OpenLayers.Format.XML.VersionedOGC){OpenLayers.Format.XML.VersionedOGC=OpenLayers.Class(OpenLayers.Format.XML.VersionedOGC,{read:function(d,c){if(typeof d=="string"){d=OpenLayers.Format.XML.prototype.read.apply(this,[d])}var b=d.nodeType==9?d.documentElement:d;var a=this.getVersion(b);this.parser=this.getParser(a);var f=this.parser.read(b,c);if(f){if(this.errorProperty!==null&&f[this.errorProperty]===undefined){var e=new OpenLayers.Format.OGCExceptionReport();f.error=e.read(b)}if(!(OpenLayers.Util.isArray(f))){f.version=a}}return f}})}if(OpenLayers.Format.WMC&&OpenLayers.Format.WMC.v1){OpenLayers.Format.WMC.v1=OpenLayers.overload(OpenLayers.Format.WMC.v1,{read:function(c){if(typeof c=="string"){c=OpenLayers.Format.XML.prototype.read.apply(this,[c])}var a=c.nodeType==9?c.documentElement:c;this.rootPrefix=a.prefix;var b={version:a.getAttribute("version")};this.runChildNodes(b,a);return b},read_wmc_Server:function(b,a){var c=a.getAttribute("service");b.metadata.type=c||"OGC:WMS";b.version=a.getAttribute("version");b.url=this.getOnlineResource_href(a);b.metadata.servertitle=a.getAttribute("title")},read_wmc_dataURL:function(c,b){var d={};var a=b.getElementsByTagName("OnlineResource");if(a.length>0){this.read_wmc_OnlineResource(d,a[0])}c.dataURL=d.href},read_wmc_SRS:function(c,b){var a=this.getChildValue(b);if(a){c.projection=new OpenLayers.Projection(a)}},read_wmc_nativeProjection:function(c,b){var a=this.getChildValue(b);if(a){c.nativeProjection=new OpenLayers.Projection(a.replace(/epsg/,"EPSG"))}}})}if(OpenLayers.Format.WMC&&OpenLayers.Format.WMC.v1_1_0){OpenLayers.Format.WMC.v1_1_0=OpenLayers.overload(OpenLayers.Format.WMC.v1_1_0,{read_wmc_SRS:function(c,b){if(!("srs" in c)){c.srs={}}var a=this.getChildValue(b);if(a){c.srs[a]=true;c.projection=new OpenLayers.Projection(a.replace(/epsg/,"EPSG"))}}})}if(OpenLayers.Geometry&&OpenLayers.Geometry.Point){OpenLayers.Geometry.Point=OpenLayers.overload(OpenLayers.Geometry.Point,{transform:function(b,a){OpenLayers.Projection.transform(this,b,a);return this}})}if(OpenLayers.Geometry&&OpenLayers.Geometry.MultiPoint){OpenLayers.Geometry.MultiPoint=OpenLayers.overload(OpenLayers.Geometry.MultiPoint,{transform:function(b,a){OpenLayers.Projection.transform(this.components,b,a);if(b&&a){this.bounds=null}return this}})}if(OpenLayers.Geometry&&OpenLayers.Geometry.Curve){OpenLayers.Geometry.Curve=OpenLayers.overload(OpenLayers.Geometry.Curve,{transform:OpenLayers.Geometry.MultiPoint.prototype.transform,getGeodesicLength:function(b){var e=this;var c=b||OpenLayers.Projection.CRS84;if(b){if(!OpenLayers.Projection.CRS84.equals(b)){e=this.clone().transform(b,OpenLayers.Projection.CRS84);c=OpenLayers.Projection.CRS84}}var f=0;if(e.components&&(e.components.length>1)){var h,g;for(var d=1,a=e.components.length;d<a;d++){h=e.components[d-1];g=e.components[d];f+=OpenLayers.Util.distVincenty({lon:h.x,lat:h.y},{lon:g.x,lat:g.y},c)}}return f*1000}})}if(OpenLayers.Geometry&&OpenLayers.Geometry.LineString){OpenLayers.Geometry.LineString=OpenLayers.overload(OpenLayers.Geometry.LineString,{transform:OpenLayers.Geometry.MultiPoint.prototype.transform,getGeodesicLength:OpenLayers.Geometry.Curve.prototype.getGeodesicLength})}if(OpenLayers.Geometry&&OpenLayers.Geometry.LinearRing){OpenLayers.Geometry.LinearRing=OpenLayers.overload(OpenLayers.Geometry.LinearRing,{getGeodesicArea:function(e){var c=this;var g=e||OpenLayers.Projection.CRS84;if(e){if(!OpenLayers.Projection.CRS84.equals(e)){g=OpenLayers.Projection.CRS84;c=this.clone().transform(e,g)}}var b=0;var f=c.components&&c.components.length;var h=g.getProperty("semi_major")||6378137;if(f>2){var k,j;for(var d=0;d<f-1;d++){k=c.components[d];j=c.components[d+1];b+=OpenLayers.Util.rad(j.x-k.x)*(2+Math.sin(OpenLayers.Util.rad(k.y))+Math.sin(OpenLayers.Util.rad(j.y)))}b=b*h*h/2}return b},containsPoint:function(n){var u=OpenLayers.Number.limitSigDigs;var l=14;var k=u(n.x,l);var j=u(n.y,l);function s(A,w,z,i,x){return(A-x)*((i-w)/(x-z))+i}var a=this.components.length-1;var g,f,r,d,p,b,e,c;var h=0;for(var o=0;o<a;++o){g=this.components[o];r=u(g.x,l);d=u(g.y,l);f=this.components[o+1];p=u(f.x,l);b=u(f.y,l);if(d==b){if(j==d){if(r<=p&&(k>=r&&k<=p)||r>=p&&(k<=r&&k>=p)){h=-1;break}}continue}e=u(s(j,r,d,p,b),l);if(e==k){if(d<b&&(j>=d&&j<=b)||d>b&&(j<=d&&j>=b)){h=-1;break}}if(e<=k){continue}if(r!=p&&(e<Math.min(r,p)||e>Math.max(r,p))){continue}if(d<b&&(j>=d&&j<b)||d>b&&(j<d&&j>=b)){++h}}var q=(h==-1)?1:!!(h&1);return q}})}if(OpenLayers.Event){OpenLayers.Event.stopObservingElement=function(a){var b=OpenLayers.Util.getElement(a);if(b){var c=b._eventCacheID;if(c){this._removeElementObservers(OpenLayers.Event.observers[c])}}}}if(OpenLayers.Projection){OpenLayers.Projection=OpenLayers.overload(OpenLayers.Projection,{domainOfValidity:null,initialize:function(f,c){OpenLayers.Util.extend(this,c);this.projCode=f;this.options=OpenLayers.Util.extend({},c);this.aliases=OpenLayers.Util.extend({},this.options.aliases);if(window.Proj4js){if(!Proj4js.defs["EPSG:3857"]){Proj4js.defs["EPSG:3857"]="+title=WGS 84 / Pseudo-Mercator +proj=merc +a=6378137 +b=6378137 +lat_ts=0.0 +lon_0=0.0 +x_0=0.0 +y_0=0 +k=1.0 +units=m +nadgrids=@null +no_defs"}this.proj=null;try{this.proj=new Proj4js.Proj(f)}catch(d){throw OpenLayers.i18n("unknown.crs",{crs:f})}}if(this.proj==null){throw OpenLayers.i18n("no.proj.implementation.found")}if(f=="EPSG:4326"||f=="CRS:84"||f=="IGNF:WGS84G"||f=="WGS84"){this.domainOfValidity=new OpenLayers.Bounds(-180,-90,180,90)}else{if(f=="EPSG:3857"||f=="EPSG:900913"||f=="EPSG:102113"||f=="GOOGLE"){this.domainOfValidity=new OpenLayers.Bounds(-180,-85.05113,180,85.05113)}else{if(this.isUTMZoneProjection()){var b=-180,a=-90,e=180,g=90;if(this.getProjName()=="utm"){e=this.getProperty("zone")*6-180;b=e-6;g=84;a=0;if(this.getProperty("south")===true){g=0;a=-80}}else{if(this.getProjName()=="stere"){if(this.getProperty("standard_parallel_1")>0){a=84}else{g=-80}}}this.domainOfValidity=new OpenLayers.Bounds(b,a,e,g)}}}},getCode:function(){if(window.Proj4js&&(this.proj instanceof Proj4js.Proj)){return this.proj.srsCode}return this.projCode},getUnits:function(){if(window.Proj4js&&(this.proj instanceof Proj4js.Proj)){return this.proj.units||(this.proj.projName=="longlat"?"dd":"m")}return null},clone:function(){if(this.proj==null){return null}var a=new OpenLayers.Projection(this.projCode,this.options);a.aliases=OpenLayers.Util.extend({},this.aliases);return a},getProjName:function(){if(window.Proj4js&&(this.proj instanceof Proj4js.Proj)){return this.proj.projName}return null},getTitle:function(b){var a=OpenLayers.i18n(this.projCode);if(a==this.projCode){a=this.getProperty("title");if(a==null&&!(b&&b.force===true)){a=this.projCode}}return a||""},getDatum:function(){if(window.Proj4js&&(this.proj instanceof Proj4js.Proj)){return this.proj.datum}return null},getProperty:function(a){if(a==undefined){return null}if(window.Proj4js&&(this.proj instanceof Proj4js.Proj)){switch(a){case"projcs":a="projName";break;case"datum":a="datumCode";break;case"spheroid":a="ellps";break;case"nadgrids":a="nagrids";break;case"semi_major":a="a";break;case"semi_minor":a="b";break;case"inverse_flattening":a="rf";break;case"standard_parallel_1":a=(this.getProjName().match(/t?merc|eqc|stere|utm/)?"lat_ts":"lat1");break;case"standard_parallel_2":a="lat2";break;case"latitude_of_center":case"latitude_of_origin":a="lat0";break;case"longitude_of_center":case"central_meridian":a="long0";break;case"false_easting":a="x0";break;case"false_northing":a="y0";break;case"scale_factor":a="k0";break;case"south":a="utmSouth";break;case"towgs84":a="datum_params";break;case"primem":a="from_greenwich";break;default:break}return this.proj[a]}return null},equals:function(b){var a=false;if(this.proj&&b){var c=b instanceof OpenLayers.Projection?b.getCode():b;if(this.getCode()==c){a=true}else{a=this.isAliasOf(b)}}return a},isAliasOf:function(j){if(!this.proj||!j){return false}var c=this.getCode(),b=j instanceof OpenLayers.Projection?j.getCode():j;if(this.aliases[b]===true){return true}if(this.aliases[b]===false){return false}var h=false,g=false;for(var e in OpenLayers.Projection.WKALIASES){if(OpenLayers.Projection.WKALIASES.hasOwnProperty(e)){var n=OpenLayers.Projection.WKALIASES[e];for(var f=0,d=n.length;f<d&&!(h&&g);f++){if(c==n[f]){h=true;if(b==c){g=true;break}continue}if(b==n[f]){g=true;continue}}if(h||g){break}}}this.aliases[b]=(h&&g);return this.aliases[b]},isWebMercator:function(){var a=this.getCode();switch(a){case"GOOGLE":case"EPSG:3857":case"EPSG:102113":case"EPSG:900913":return true;default:return false}},isCompatibleWith:function(c){if(!this.proj||!c){return false}var g;try{g=c instanceof OpenLayers.Projection?c:new OpenLayers.Projection(c)}catch(f){OpenLayers.Console.error(f.message);return false}var b=false;if(this.equals(g)){b=true}else{try{var a=this.getProjName(),d=g.getProjName();if((a=="longlat"||a=="eqc"||(a=="merc"&&this.isWebMercator()))&&(d=="longlat"||d=="eqc"||(d=="merc"&&g.isWebMercator()))){b=true;if((a!="merc"&&d!="merc")&&this.getDatum()&&g.getDatum()){b=this.getDatum().compare_datums(g.getDatum())}if(b&&this.domainOfValidity&&g.domainOfValidity){b=this.domainOfValidity.intersectsBounds(g.domainOfValidity,true)}}else{}}catch(f){}}if(!(g==c)){g.destroy();g=null}return b},isUTMZoneProjection:function(){if(this.proj==null){return false}if(this.getProjName()=="utm"&&this.getProperty("zone")!=null){return true}if(this.getProjName()=="stere"&&this.getProperty("central_meridian")==0&&this.getProperty("latitude_of_origin")===this.getProperty("standard_parallel_1")&&Math.abs(this.getProperty("latitude_of_origin"))==1.57079632679){return true}return false},isAxisInverted:function(){if(window.Proj4js&&(this.proj instanceof Proj4js.Proj)){if(this.axisInverted===undefined){this.axisInverted=OpenLayers.Projection.INVERTED_AXIS[this.proj.srsCode]===1}return this.axisInverted}return false},destroy:function(){if(this.proj){delete this.proj}if(this.projCode){delete this.projCode}if(this.domainOfValidity){delete this.domainOfValidity}delete this.options;delete this.aliases}});OpenLayers.Projection.WKALIASES={WGS84G:["WGS84","EPSG:4326","CRS:84","IGNF:WGS84G","IGNF:WGS84RRAFGEO","IGNF:RGF93G","IGNF:RGFG95GEO","IGNF:RGM04GEO","IGNF:RGNCGEO","IGNF:RGPFGEO","IGNF:RGR92GEO","IGNF:RGSPM06GEO","EPSG:4171","EPSG:4624","EPSG:4627","EPSG:4640","EPSG:4687","EPSG:4749","EPSG:4258"],LAMB93:["IGNF:LAMB93","EPSG:2154"],LAMBE:["IGNF:LAMBE","EPSG:27572","EPSG:27582"],UTM39SW84:["IGNF:UTM39SW84","EPSG:32739"],UTM20W84GUAD:["IGNF:UTM20W84GUAD","EPSG:2969","EPSG:4559","EPSG:32620"],UTM22RGFG95:["IGNF:UTM22RGFG95","EPSG:2972","EPSG:32622"],UTM42SW84:["IGNF:UTM42SW84","EPSG:32742"],UTM20W84MART:["IGNF:UTM20W84MART","EPSG:2989","EPSG:4559","EPSG:32620"],RGM04UTM38S:["IGNF:RGM04UTM38S","EPSG:4471","EPSG:32738"],RGNCUTM57S:["IGNF:RGNCUTM57S","EPSG:32757"],RGNCUTM58S:["IGNF:RGNCUTM58S","EPSG:32758"],RGNCUTM59S:["IGNF:RGNCUTM59S","EPSG:32759"],RGPFUTM5S:["IGNF:RGPFUTM5S","EPSG:3296","EPSG:32705"],RGPFUTM6S:["IGNF:RGPFUTM6S","EPSG:3297","EPSG:32706"],RGPFUTM7S:["IGNF:RGPFUTM7S","EPSG:3298","EPSG:32707"],RGR92UTM40S:["IGNF:RGR92UTM40S","EPSG:2975","EPSG:32740"],UTM43SW84:["IGNF:UTM43SW84","EPSG:32743"],RGSPM06U21:["IGNF:RGSPM06U21","EPSG:4467","EPSG:32606"],UTM01SW84:["IGNF:UTM01SW84","EPSG:32701"],WGS84WMSV:["GOOGLE","EPSG:3857","EPSG:900913","EPSG:102113"],GEOPORTALFXX:["IGNF:GEOPORTALFXX","EPSG:310024802"],GEOPORTALANF:["IGNF:GEOPORTALANF","EPSG:310915814"],GEOPORTALGUF:["IGNF:GEOPORTALGUF","EPSG:310486805"],GEOPORTALREU:["IGNF:GEOPORTALREU","EPSG:310700806"],GEOPORTALMYT:["IGNF:GEOPORTALMYT","EPSG:310702807"],GEOPORTALSPM:["IGNF:GEOPORTALSPM","EPSG:310706808"],GEOPORTALNCL:["IGNF:GEOPORTALNCL","EPSG:310547809"],GEOPORTALWLF:["IGNF:GEOPORTALWLF","EPSG:310642810"],GEOPORTALPYF:["IGNF:GEOPORTALPYF","EPSG:310032811"],GEOPORTALKER:["IGNF:GEOPORTALKER","EPSG:310642812"],GEOPORTALCRZ:["IGNF:GEOPORTALCRZ","EPSG:310642801"],GEOPORTALASP:["IGNF:GEOPORTALASP","EPSG:310642813"],TERA50STEREO:["IGNF:TERA50STEREO","EPSG:2986"],MILLER:["IGNF:MILLER","EPSG:310642901"]};OpenLayers.Projection.INVERTED_AXIS={"EPSG:2036":1,"EPSG:2044":1,"EPSG:2045":1,"EPSG:2065":1,"EPSG:2081":1,"EPSG:2082":1,"EPSG:2083":1,"EPSG:2085":1,"EPSG:2086":1,"EPSG:2091":1,"EPSG:2092":1,"EPSG:2093":1,"EPSG:2096":1,"EPSG:2097":1,"EPSG:2098":1,"EPSG:2105":1,"EPSG:2106":1,"EPSG:2107":1,"EPSG:2108":1,"EPSG:2109":1,"EPSG:2110":1,"EPSG:2111":1,"EPSG:2112":1,"EPSG:2113":1,"EPSG:2114":1,"EPSG:2115":1,"EPSG:2116":1,"EPSG:2117":1,"EPSG:2118":1,"EPSG:2119":1,"EPSG:2120":1,"EPSG:2121":1,"EPSG:2122":1,"EPSG:2123":1,"EPSG:2124":1,"EPSG:2125":1,"EPSG:2126":1,"EPSG:2127":1,"EPSG:2128":1,"EPSG:2129":1,"EPSG:2130":1,"EPSG:2131":1,"EPSG:2132":1,"EPSG:2166":1,"EPSG:2167":1,"EPSG:2168":1,"EPSG:2169":1,"EPSG:2170":1,"EPSG:2171":1,"EPSG:2172":1,"EPSG:2173":1,"EPSG:2174":1,"EPSG:2175":1,"EPSG:2176":1,"EPSG:2177":1,"EPSG:2178":1,"EPSG:2179":1,"EPSG:2180":1,"EPSG:2193":1,"EPSG:2199":1,"EPSG:2200":1,"EPSG:2206":1,"EPSG:2207":1,"EPSG:2208":1,"EPSG:2209":1,"EPSG:2210":1,"EPSG:2211":1,"EPSG:2212":1,"EPSG:2319":1,"EPSG:2320":1,"EPSG:2321":1,"EPSG:2322":1,"EPSG:2323":1,"EPSG:2324":1,"EPSG:2325":1,"EPSG:2326":1,"EPSG:2327":1,"EPSG:2328":1,"EPSG:2329":1,"EPSG:2330":1,"EPSG:2331":1,"EPSG:2332":1,"EPSG:2333":1,"EPSG:2334":1,"EPSG:2335":1,"EPSG:2336":1,"EPSG:2337":1,"EPSG:2338":1,"EPSG:2339":1,"EPSG:2340":1,"EPSG:2341":1,"EPSG:2342":1,"EPSG:2343":1,"EPSG:2344":1,"EPSG:2345":1,"EPSG:2346":1,"EPSG:2347":1,"EPSG:2348":1,"EPSG:2349":1,"EPSG:2350":1,"EPSG:2351":1,"EPSG:2352":1,"EPSG:2353":1,"EPSG:2354":1,"EPSG:2355":1,"EPSG:2356":1,"EPSG:2357":1,"EPSG:2358":1,"EPSG:2359":1,"EPSG:2360":1,"EPSG:2361":1,"EPSG:2362":1,"EPSG:2363":1,"EPSG:2364":1,"EPSG:2365":1,"EPSG:2366":1,"EPSG:2367":1,"EPSG:2368":1,"EPSG:2369":1,"EPSG:2370":1,"EPSG:2371":1,"EPSG:2372":1,"EPSG:2373":1,"EPSG:2374":1,"EPSG:2375":1,"EPSG:2376":1,"EPSG:2377":1,"EPSG:2378":1,"EPSG:2379":1,"EPSG:2380":1,"EPSG:2381":1,"EPSG:2382":1,"EPSG:2383":1,"EPSG:2384":1,"EPSG:2385":1,"EPSG:2386":1,"EPSG:2387":1,"EPSG:2388":1,"EPSG:2389":1,"EPSG:2390":1,"EPSG:2391":1,"EPSG:2392":1,"EPSG:2393":1,"EPSG:2394":1,"EPSG:2395":1,"EPSG:2396":1,"EPSG:2397":1,"EPSG:2398":1,"EPSG:2399":1,"EPSG:2400":1,"EPSG:2401":1,"EPSG:2402":1,"EPSG:2403":1,"EPSG:2404":1,"EPSG:2405":1,"EPSG:2406":1,"EPSG:2407":1,"EPSG:2408":1,"EPSG:2409":1,"EPSG:2410":1,"EPSG:2411":1,"EPSG:2412":1,"EPSG:2413":1,"EPSG:2414":1,"EPSG:2415":1,"EPSG:2416":1,"EPSG:2417":1,"EPSG:2418":1,"EPSG:2419":1,"EPSG:2420":1,"EPSG:2421":1,"EPSG:2422":1,"EPSG:2423":1,"EPSG:2424":1,"EPSG:2425":1,"EPSG:2426":1,"EPSG:2427":1,"EPSG:2428":1,"EPSG:2429":1,"EPSG:2430":1,"EPSG:2431":1,"EPSG:2432":1,"EPSG:2433":1,"EPSG:2434":1,"EPSG:2435":1,"EPSG:2436":1,"EPSG:2437":1,"EPSG:2438":1,"EPSG:2439":1,"EPSG:2440":1,"EPSG:2441":1,"EPSG:2442":1,"EPSG:2443":1,"EPSG:2444":1,"EPSG:2445":1,"EPSG:2446":1,"EPSG:2447":1,"EPSG:2448":1,"EPSG:2449":1,"EPSG:2450":1,"EPSG:2451":1,"EPSG:2452":1,"EPSG:2453":1,"EPSG:2454":1,"EPSG:2455":1,"EPSG:2456":1,"EPSG:2457":1,"EPSG:2458":1,"EPSG:2459":1,"EPSG:2460":1,"EPSG:2461":1,"EPSG:2462":1,"EPSG:2463":1,"EPSG:2464":1,"EPSG:2465":1,"EPSG:2466":1,"EPSG:2467":1,"EPSG:2468":1,"EPSG:2469":1,"EPSG:2470":1,"EPSG:2471":1,"EPSG:2472":1,"EPSG:2473":1,"EPSG:2474":1,"EPSG:2475":1,"EPSG:2476":1,"EPSG:2477":1,"EPSG:2478":1,"EPSG:2479":1,"EPSG:2480":1,"EPSG:2481":1,"EPSG:2482":1,"EPSG:2483":1,"EPSG:2484":1,"EPSG:2485":1,"EPSG:2486":1,"EPSG:2487":1,"EPSG:2488":1,"EPSG:2489":1,"EPSG:2490":1,"EPSG:2491":1,"EPSG:2492":1,"EPSG:2493":1,"EPSG:2494":1,"EPSG:2495":1,"EPSG:2496":1,"EPSG:2497":1,"EPSG:2498":1,"EPSG:2499":1,"EPSG:2500":1,"EPSG:2501":1,"EPSG:2502":1,"EPSG:2503":1,"EPSG:2504":1,"EPSG:2505":1,"EPSG:2506":1,"EPSG:2507":1,"EPSG:2508":1,"EPSG:2509":1,"EPSG:2510":1,"EPSG:2511":1,"EPSG:2512":1,"EPSG:2513":1,"EPSG:2514":1,"EPSG:2515":1,"EPSG:2516":1,"EPSG:2517":1,"EPSG:2518":1,"EPSG:2519":1,"EPSG:2520":1,"EPSG:2521":1,"EPSG:2522":1,"EPSG:2523":1,"EPSG:2524":1,"EPSG:2525":1,"EPSG:2526":1,"EPSG:2527":1,"EPSG:2528":1,"EPSG:2529":1,"EPSG:2530":1,"EPSG:2531":1,"EPSG:2532":1,"EPSG:2533":1,"EPSG:2534":1,"EPSG:2535":1,"EPSG:2536":1,"EPSG:2537":1,"EPSG:2538":1,"EPSG:2539":1,"EPSG:2540":1,"EPSG:2541":1,"EPSG:2542":1,"EPSG:2543":1,"EPSG:2544":1,"EPSG:2545":1,"EPSG:2546":1,"EPSG:2547":1,"EPSG:2548":1,"EPSG:2549":1,"EPSG:2551":1,"EPSG:2552":1,"EPSG:2553":1,"EPSG:2554":1,"EPSG:2555":1,"EPSG:2556":1,"EPSG:2557":1,"EPSG:2558":1,"EPSG:2559":1,"EPSG:2560":1,"EPSG:2561":1,"EPSG:2562":1,"EPSG:2563":1,"EPSG:2564":1,"EPSG:2565":1,"EPSG:2566":1,"EPSG:2567":1,"EPSG:2568":1,"EPSG:2569":1,"EPSG:2570":1,"EPSG:2571":1,"EPSG:2572":1,"EPSG:2573":1,"EPSG:2574":1,"EPSG:2575":1,"EPSG:2576":1,"EPSG:2577":1,"EPSG:2578":1,"EPSG:2579":1,"EPSG:2580":1,"EPSG:2581":1,"EPSG:2582":1,"EPSG:2583":1,"EPSG:2584":1,"EPSG:2585":1,"EPSG:2586":1,"EPSG:2587":1,"EPSG:2588":1,"EPSG:2589":1,"EPSG:2590":1,"EPSG:2591":1,"EPSG:2592":1,"EPSG:2593":1,"EPSG:2594":1,"EPSG:2595":1,"EPSG:2596":1,"EPSG:2597":1,"EPSG:2598":1,"EPSG:2599":1,"EPSG:2600":1,"EPSG:2601":1,"EPSG:2602":1,"EPSG:2603":1,"EPSG:2604":1,"EPSG:2605":1,"EPSG:2606":1,"EPSG:2607":1,"EPSG:2608":1,"EPSG:2609":1,"EPSG:2610":1,"EPSG:2611":1,"EPSG:2612":1,"EPSG:2613":1,"EPSG:2614":1,"EPSG:2615":1,"EPSG:2616":1,"EPSG:2617":1,"EPSG:2618":1,"EPSG:2619":1,"EPSG:2620":1,"EPSG:2621":1,"EPSG:2622":1,"EPSG:2623":1,"EPSG:2624":1,"EPSG:2625":1,"EPSG:2626":1,"EPSG:2627":1,"EPSG:2628":1,"EPSG:2629":1,"EPSG:2630":1,"EPSG:2631":1,"EPSG:2632":1,"EPSG:2633":1,"EPSG:2634":1,"EPSG:2635":1,"EPSG:2636":1,"EPSG:2637":1,"EPSG:2638":1,"EPSG:2639":1,"EPSG:2640":1,"EPSG:2641":1,"EPSG:2642":1,"EPSG:2643":1,"EPSG:2644":1,"EPSG:2645":1,"EPSG:2646":1,"EPSG:2647":1,"EPSG:2648":1,"EPSG:2649":1,"EPSG:2650":1,"EPSG:2651":1,"EPSG:2652":1,"EPSG:2653":1,"EPSG:2654":1,"EPSG:2655":1,"EPSG:2656":1,"EPSG:2657":1,"EPSG:2658":1,"EPSG:2659":1,"EPSG:2660":1,"EPSG:2661":1,"EPSG:2662":1,"EPSG:2663":1,"EPSG:2664":1,"EPSG:2665":1,"EPSG:2666":1,"EPSG:2667":1,"EPSG:2668":1,"EPSG:2669":1,"EPSG:2670":1,"EPSG:2671":1,"EPSG:2672":1,"EPSG:2673":1,"EPSG:2674":1,"EPSG:2675":1,"EPSG:2676":1,"EPSG:2677":1,"EPSG:2678":1,"EPSG:2679":1,"EPSG:2680":1,"EPSG:2681":1,"EPSG:2682":1,"EPSG:2683":1,"EPSG:2684":1,"EPSG:2685":1,"EPSG:2686":1,"EPSG:2687":1,"EPSG:2688":1,"EPSG:2689":1,"EPSG:2690":1,"EPSG:2691":1,"EPSG:2692":1,"EPSG:2693":1,"EPSG:2694":1,"EPSG:2695":1,"EPSG:2696":1,"EPSG:2697":1,"EPSG:2698":1,"EPSG:2699":1,"EPSG:2700":1,"EPSG:2701":1,"EPSG:2702":1,"EPSG:2703":1,"EPSG:2704":1,"EPSG:2705":1,"EPSG:2706":1,"EPSG:2707":1,"EPSG:2708":1,"EPSG:2709":1,"EPSG:2710":1,"EPSG:2711":1,"EPSG:2712":1,"EPSG:2713":1,"EPSG:2714":1,"EPSG:2715":1,"EPSG:2716":1,"EPSG:2717":1,"EPSG:2718":1,"EPSG:2719":1,"EPSG:2720":1,"EPSG:2721":1,"EPSG:2722":1,"EPSG:2723":1,"EPSG:2724":1,"EPSG:2725":1,"EPSG:2726":1,"EPSG:2727":1,"EPSG:2728":1,"EPSG:2729":1,"EPSG:2730":1,"EPSG:2731":1,"EPSG:2732":1,"EPSG:2733":1,"EPSG:2734":1,"EPSG:2735":1,"EPSG:2738":1,"EPSG:2739":1,"EPSG:2740":1,"EPSG:2741":1,"EPSG:2742":1,"EPSG:2743":1,"EPSG:2744":1,"EPSG:2745":1,"EPSG:2746":1,"EPSG:2747":1,"EPSG:2748":1,"EPSG:2749":1,"EPSG:2750":1,"EPSG:2751":1,"EPSG:2752":1,"EPSG:2753":1,"EPSG:2754":1,"EPSG:2755":1,"EPSG:2756":1,"EPSG:2757":1,"EPSG:2758":1,"EPSG:2935":1,"EPSG:2936":1,"EPSG:2937":1,"EPSG:2938":1,"EPSG:2939":1,"EPSG:2940":1,"EPSG:2941":1,"EPSG:2953":1,"EPSG:2963":1,"EPSG:3006":1,"EPSG:3007":1,"EPSG:3008":1,"EPSG:3009":1,"EPSG:3010":1,"EPSG:3011":1,"EPSG:3012":1,"EPSG:3013":1,"EPSG:3014":1,"EPSG:3015":1,"EPSG:3016":1,"EPSG:3017":1,"EPSG:3018":1,"EPSG:3019":1,"EPSG:3020":1,"EPSG:3021":1,"EPSG:3022":1,"EPSG:3023":1,"EPSG:3024":1,"EPSG:3025":1,"EPSG:3026":1,"EPSG:3027":1,"EPSG:3028":1,"EPSG:3029":1,"EPSG:3030":1,"EPSG:3034":1,"EPSG:3035":1,"EPSG:3038":1,"EPSG:3039":1,"EPSG:3040":1,"EPSG:3041":1,"EPSG:3042":1,"EPSG:3043":1,"EPSG:3044":1,"EPSG:3045":1,"EPSG:3046":1,"EPSG:3047":1,"EPSG:3048":1,"EPSG:3049":1,"EPSG:3050":1,"EPSG:3051":1,"EPSG:3058":1,"EPSG:3059":1,"EPSG:3068":1,"EPSG:3114":1,"EPSG:3115":1,"EPSG:3116":1,"EPSG:3117":1,"EPSG:3118":1,"EPSG:3120":1,"EPSG:3126":1,"EPSG:3127":1,"EPSG:3128":1,"EPSG:3129":1,"EPSG:3130":1,"EPSG:3131":1,"EPSG:3132":1,"EPSG:3133":1,"EPSG:3134":1,"EPSG:3135":1,"EPSG:3136":1,"EPSG:3137":1,"EPSG:3138":1,"EPSG:3139":1,"EPSG:3140":1,"EPSG:3146":1,"EPSG:3147":1,"EPSG:3150":1,"EPSG:3151":1,"EPSG:3152":1,"EPSG:3300":1,"EPSG:3301":1,"EPSG:3328":1,"EPSG:3329":1,"EPSG:3330":1,"EPSG:3331":1,"EPSG:3332":1,"EPSG:3333":1,"EPSG:3334":1,"EPSG:3335":1,"EPSG:3346":1,"EPSG:3350":1,"EPSG:3351":1,"EPSG:3352":1,"EPSG:3366":1,"EPSG:3386":1,"EPSG:3387":1,"EPSG:3388":1,"EPSG:3389":1,"EPSG:3390":1,"EPSG:3396":1,"EPSG:3397":1,"EPSG:3398":1,"EPSG:3399":1,"EPSG:3407":1,"EPSG:3414":1,"EPSG:3416":1,"EPSG:3764":1,"EPSG:3788":1,"EPSG:3789":1,"EPSG:3790":1,"EPSG:3791":1,"EPSG:3793":1,"EPSG:3795":1,"EPSG:3796":1,"EPSG:3819":1,"EPSG:3821":1,"EPSG:3823":1,"EPSG:3824":1,"EPSG:3833":1,"EPSG:3834":1,"EPSG:3835":1,"EPSG:3836":1,"EPSG:3837":1,"EPSG:3838":1,"EPSG:3839":1,"EPSG:3840":1,"EPSG:3841":1,"EPSG:3842":1,"EPSG:3843":1,"EPSG:3844":1,"EPSG:3845":1,"EPSG:3846":1,"EPSG:3847":1,"EPSG:3848":1,"EPSG:3849":1,"EPSG:3850":1,"EPSG:3851":1,"EPSG:3852":1,"EPSG:3854":1,"EPSG:3873":1,"EPSG:3874":1,"EPSG:3875":1,"EPSG:3876":1,"EPSG:3877":1,"EPSG:3878":1,"EPSG:3879":1,"EPSG:3880":1,"EPSG:3881":1,"EPSG:3882":1,"EPSG:3883":1,"EPSG:3884":1,"EPSG:3885":1,"EPSG:3888":1,"EPSG:3889":1,"EPSG:3906":1,"EPSG:3907":1,"EPSG:3908":1,"EPSG:3909":1,"EPSG:3910":1,"EPSG:3911":1,"EPSG:4001":1,"EPSG:4002":1,"EPSG:4003":1,"EPSG:4004":1,"EPSG:4005":1,"EPSG:4006":1,"EPSG:4007":1,"EPSG:4008":1,"EPSG:4009":1,"EPSG:4010":1,"EPSG:4011":1,"EPSG:4012":1,"EPSG:4013":1,"EPSG:4014":1,"EPSG:4015":1,"EPSG:4016":1,"EPSG:4017":1,"EPSG:4018":1,"EPSG:4019":1,"EPSG:4020":1,"EPSG:4021":1,"EPSG:4022":1,"EPSG:4023":1,"EPSG:4024":1,"EPSG:4025":1,"EPSG:4026":1,"EPSG:4027":1,"EPSG:4028":1,"EPSG:4029":1,"EPSG:4030":1,"EPSG:4031":1,"EPSG:4032":1,"EPSG:4033":1,"EPSG:4034":1,"EPSG:4035":1,"EPSG:4036":1,"EPSG:4037":1,"EPSG:4038":1,"EPSG:4040":1,"EPSG:4041":1,"EPSG:4042":1,"EPSG:4043":1,"EPSG:4044":1,"EPSG:4045":1,"EPSG:4046":1,"EPSG:4047":1,"EPSG:4052":1,"EPSG:4053":1,"EPSG:4054":1,"EPSG:4055":1,"EPSG:4074":1,"EPSG:4075":1,"EPSG:4080":1,"EPSG:4081":1,"EPSG:4120":1,"EPSG:4121":1,"EPSG:4122":1,"EPSG:4123":1,"EPSG:4124":1,"EPSG:4125":1,"EPSG:4126":1,"EPSG:4127":1,"EPSG:4128":1,"EPSG:4129":1,"EPSG:4130":1,"EPSG:4131":1,"EPSG:4132":1,"EPSG:4133":1,"EPSG:4134":1,"EPSG:4135":1,"EPSG:4136":1,"EPSG:4137":1,"EPSG:4138":1,"EPSG:4139":1,"EPSG:4140":1,"EPSG:4141":1,"EPSG:4142":1,"EPSG:4143":1,"EPSG:4144":1,"EPSG:4145":1,"EPSG:4146":1,"EPSG:4147":1,"EPSG:4148":1,"EPSG:4149":1,"EPSG:4150":1,"EPSG:4151":1,"EPSG:4152":1,"EPSG:4153":1,"EPSG:4154":1,"EPSG:4155":1,"EPSG:4156":1,"EPSG:4157":1,"EPSG:4158":1,"EPSG:4159":1,"EPSG:4160":1,"EPSG:4161":1,"EPSG:4162":1,"EPSG:4163":1,"EPSG:4164":1,"EPSG:4165":1,"EPSG:4166":1,"EPSG:4167":1,"EPSG:4168":1,"EPSG:4169":1,"EPSG:4170":1,"EPSG:4171":1,"EPSG:4172":1,"EPSG:4173":1,"EPSG:4174":1,"EPSG:4175":1,"EPSG:4176":1,"EPSG:4178":1,"EPSG:4179":1,"EPSG:4180":1,"EPSG:4181":1,"EPSG:4182":1,"EPSG:4183":1,"EPSG:4184":1,"EPSG:4185":1,"EPSG:4188":1,"EPSG:4189":1,"EPSG:4190":1,"EPSG:4191":1,"EPSG:4192":1,"EPSG:4193":1,"EPSG:4194":1,"EPSG:4195":1,"EPSG:4196":1,"EPSG:4197":1,"EPSG:4198":1,"EPSG:4199":1,"EPSG:4200":1,"EPSG:4201":1,"EPSG:4202":1,"EPSG:4203":1,"EPSG:4204":1,"EPSG:4205":1,"EPSG:4206":1,"EPSG:4207":1,"EPSG:4208":1,"EPSG:4209":1,"EPSG:4210":1,"EPSG:4211":1,"EPSG:4212":1,"EPSG:4213":1,"EPSG:4214":1,"EPSG:4215":1,"EPSG:4216":1,"EPSG:4218":1,"EPSG:4219":1,"EPSG:4220":1,"EPSG:4221":1,"EPSG:4222":1,"EPSG:4223":1,"EPSG:4224":1,"EPSG:4225":1,"EPSG:4226":1,"EPSG:4227":1,"EPSG:4228":1,"EPSG:4229":1,"EPSG:4230":1,"EPSG:4231":1,"EPSG:4232":1,"EPSG:4233":1,"EPSG:4234":1,"EPSG:4235":1,"EPSG:4236":1,"EPSG:4237":1,"EPSG:4238":1,"EPSG:4239":1,"EPSG:4240":1,"EPSG:4241":1,"EPSG:4242":1,"EPSG:4243":1,"EPSG:4244":1,"EPSG:4245":1,"EPSG:4246":1,"EPSG:4247":1,"EPSG:4248":1,"EPSG:4249":1,"EPSG:4250":1,"EPSG:4251":1,"EPSG:4252":1,"EPSG:4253":1,"EPSG:4254":1,"EPSG:4255":1,"EPSG:4256":1,"EPSG:4257":1,"EPSG:4258":1,"EPSG:4259":1,"EPSG:4260":1,"EPSG:4261":1,"EPSG:4262":1,"EPSG:4263":1,"EPSG:4264":1,"EPSG:4265":1,"EPSG:4266":1,"EPSG:4267":1,"EPSG:4268":1,"EPSG:4269":1,"EPSG:4270":1,"EPSG:4271":1,"EPSG:4272":1,"EPSG:4273":1,"EPSG:4274":1,"EPSG:4275":1,"EPSG:4276":1,"EPSG:4277":1,"EPSG:4278":1,"EPSG:4279":1,"EPSG:4280":1,"EPSG:4281":1,"EPSG:4282":1,"EPSG:4283":1,"EPSG:4284":1,"EPSG:4285":1,"EPSG:4286":1,"EPSG:4287":1,"EPSG:4288":1,"EPSG:4289":1,"EPSG:4291":1,"EPSG:4292":1,"EPSG:4293":1,"EPSG:4294":1,"EPSG:4295":1,"EPSG:4296":1,"EPSG:4297":1,"EPSG:4298":1,"EPSG:4299":1,"EPSG:4300":1,"EPSG:4301":1,"EPSG:4302":1,"EPSG:4303":1,"EPSG:4304":1,"EPSG:4306":1,"EPSG:4307":1,"EPSG:4308":1,"EPSG:4309":1,"EPSG:4310":1,"EPSG:4311":1,"EPSG:4312":1,"EPSG:4313":1,"EPSG:4314":1,"EPSG:4315":1,"EPSG:4316":1,"EPSG:4317":1,"EPSG:4318":1,"EPSG:4319":1,"EPSG:4322":1,"EPSG:4324":1,"EPSG:4326":1,"EPSG:4327":1,"EPSG:4329":1,"EPSG:4339":1,"EPSG:4341":1,"EPSG:4343":1,"EPSG:4345":1,"EPSG:4347":1,"EPSG:4349":1,"EPSG:4351":1,"EPSG:4353":1,"EPSG:4355":1,"EPSG:4357":1,"EPSG:4359":1,"EPSG:4361":1,"EPSG:4363":1,"EPSG:4365":1,"EPSG:4367":1,"EPSG:4369":1,"EPSG:4371":1,"EPSG:4373":1,"EPSG:4375":1,"EPSG:4377":1,"EPSG:4379":1,"EPSG:4381":1,"EPSG:4383":1,"EPSG:4386":1,"EPSG:4388":1,"EPSG:4417":1,"EPSG:4434":1,"EPSG:4463":1,"EPSG:4466":1,"EPSG:4469":1,"EPSG:4470":1,"EPSG:4472":1,"EPSG:4475":1,"EPSG:4480":1,"EPSG:4482":1,"EPSG:4483":1,"EPSG:4490":1,"EPSG:4491":1,"EPSG:4492":1,"EPSG:4493":1,"EPSG:4494":1,"EPSG:4495":1,"EPSG:4496":1,"EPSG:4497":1,"EPSG:4498":1,"EPSG:4499":1,"EPSG:4500":1,"EPSG:4501":1,"EPSG:4502":1,"EPSG:4503":1,"EPSG:4504":1,"EPSG:4505":1,"EPSG:4506":1,"EPSG:4507":1,"EPSG:4508":1,"EPSG:4509":1,"EPSG:4510":1,"EPSG:4511":1,"EPSG:4512":1,"EPSG:4513":1,"EPSG:4514":1,"EPSG:4515":1,"EPSG:4516":1,"EPSG:4517":1,"EPSG:4518":1,"EPSG:4519":1,"EPSG:4520":1,"EPSG:4521":1,"EPSG:4522":1,"EPSG:4523":1,"EPSG:4524":1,"EPSG:4525":1,"EPSG:4526":1,"EPSG:4527":1,"EPSG:4528":1,"EPSG:4529":1,"EPSG:4530":1,"EPSG:4531":1,"EPSG:4532":1,"EPSG:4533":1,"EPSG:4534":1,"EPSG:4535":1,"EPSG:4536":1,"EPSG:4537":1,"EPSG:4538":1,"EPSG:4539":1,"EPSG:4540":1,"EPSG:4541":1,"EPSG:4542":1,"EPSG:4543":1,"EPSG:4544":1,"EPSG:4545":1,"EPSG:4546":1,"EPSG:4547":1,"EPSG:4548":1,"EPSG:4549":1,"EPSG:4550":1,"EPSG:4551":1,"EPSG:4552":1,"EPSG:4553":1,"EPSG:4554":1,"EPSG:4555":1,"EPSG:4557":1,"EPSG:4558":1,"EPSG:4568":1,"EPSG:4569":1,"EPSG:4570":1,"EPSG:4571":1,"EPSG:4572":1,"EPSG:4573":1,"EPSG:4574":1,"EPSG:4575":1,"EPSG:4576":1,"EPSG:4577":1,"EPSG:4578":1,"EPSG:4579":1,"EPSG:4580":1,"EPSG:4581":1,"EPSG:4582":1,"EPSG:4583":1,"EPSG:4584":1,"EPSG:4585":1,"EPSG:4586":1,"EPSG:4587":1,"EPSG:4588":1,"EPSG:4589":1,"EPSG:4600":1,"EPSG:4601":1,"EPSG:4602":1,"EPSG:4603":1,"EPSG:4604":1,"EPSG:4605":1,"EPSG:4606":1,"EPSG:4607":1,"EPSG:4608":1,"EPSG:4609":1,"EPSG:4610":1,"EPSG:4611":1,"EPSG:4612":1,"EPSG:4613":1,"EPSG:4614":1,"EPSG:4615":1,"EPSG:4616":1,"EPSG:4617":1,"EPSG:4618":1,"EPSG:4619":1,"EPSG:4620":1,"EPSG:4621":1,"EPSG:4622":1,"EPSG:4623":1,"EPSG:4624":1,"EPSG:4625":1,"EPSG:4626":1,"EPSG:4627":1,"EPSG:4628":1,"EPSG:4629":1,"EPSG:4630":1,"EPSG:4631":1,"EPSG:4632":1,"EPSG:4633":1,"EPSG:4634":1,"EPSG:4635":1,"EPSG:4636":1,"EPSG:4637":1,"EPSG:4638":1,"EPSG:4639":1,"EPSG:4640":1,"EPSG:4641":1,"EPSG:4642":1,"EPSG:4643":1,"EPSG:4644":1,"EPSG:4645":1,"EPSG:4646":1,"EPSG:4652":1,"EPSG:4653":1,"EPSG:4654":1,"EPSG:4655":1,"EPSG:4656":1,"EPSG:4657":1,"EPSG:4658":1,"EPSG:4659":1,"EPSG:4660":1,"EPSG:4661":1,"EPSG:4662":1,"EPSG:4663":1,"EPSG:4664":1,"EPSG:4665":1,"EPSG:4666":1,"EPSG:4667":1,"EPSG:4668":1,"EPSG:4669":1,"EPSG:4670":1,"EPSG:4671":1,"EPSG:4672":1,"EPSG:4673":1,"EPSG:4674":1,"EPSG:4675":1,"EPSG:4676":1,"EPSG:4677":1,"EPSG:4678":1,"EPSG:4679":1,"EPSG:4680":1,"EPSG:4681":1,"EPSG:4682":1,"EPSG:4683":1,"EPSG:4684":1,"EPSG:4685":1,"EPSG:4686":1,"EPSG:4687":1,"EPSG:4688":1,"EPSG:4689":1,"EPSG:4690":1,"EPSG:4691":1,"EPSG:4692":1,"EPSG:4693":1,"EPSG:4694":1,"EPSG:4695":1,"EPSG:4696":1,"EPSG:4697":1,"EPSG:4698":1,"EPSG:4699":1,"EPSG:4700":1,"EPSG:4701":1,"EPSG:4702":1,"EPSG:4703":1,"EPSG:4704":1,"EPSG:4705":1,"EPSG:4706":1,"EPSG:4707":1,"EPSG:4708":1,"EPSG:4709":1,"EPSG:4710":1,"EPSG:4711":1,"EPSG:4712":1,"EPSG:4713":1,"EPSG:4714":1,"EPSG:4715":1,"EPSG:4716":1,"EPSG:4717":1,"EPSG:4718":1,"EPSG:4719":1,"EPSG:4720":1,"EPSG:4721":1,"EPSG:4722":1,"EPSG:4723":1,"EPSG:4724":1,"EPSG:4725":1,"EPSG:4726":1,"EPSG:4727":1,"EPSG:4728":1,"EPSG:4729":1,"EPSG:4730":1,"EPSG:4731":1,"EPSG:4732":1,"EPSG:4733":1,"EPSG:4734":1,"EPSG:4735":1,"EPSG:4736":1,"EPSG:4737":1,"EPSG:4738":1,"EPSG:4739":1,"EPSG:4740":1,"EPSG:4741":1,"EPSG:4742":1,"EPSG:4743":1,"EPSG:4744":1,"EPSG:4745":1,"EPSG:4746":1,"EPSG:4747":1,"EPSG:4748":1,"EPSG:4749":1,"EPSG:4750":1,"EPSG:4751":1,"EPSG:4752":1,"EPSG:4753":1,"EPSG:4754":1,"EPSG:4755":1,"EPSG:4756":1,"EPSG:4757":1,"EPSG:4758":1,"EPSG:4759":1,"EPSG:4760":1,"EPSG:4761":1,"EPSG:4762":1,"EPSG:4763":1,"EPSG:4764":1,"EPSG:4765":1,"EPSG:4766":1,"EPSG:4767":1,"EPSG:4768":1,"EPSG:4769":1,"EPSG:4770":1,"EPSG:4771":1,"EPSG:4772":1,"EPSG:4773":1,"EPSG:4774":1,"EPSG:4775":1,"EPSG:4776":1,"EPSG:4777":1,"EPSG:4778":1,"EPSG:4779":1,"EPSG:4780":1,"EPSG:4781":1,"EPSG:4782":1,"EPSG:4783":1,"EPSG:4784":1,"EPSG:4785":1,"EPSG:4786":1,"EPSG:4787":1,"EPSG:4788":1,"EPSG:4789":1,"EPSG:4790":1,"EPSG:4791":1,"EPSG:4792":1,"EPSG:4793":1,"EPSG:4794":1,"EPSG:4795":1,"EPSG:4796":1,"EPSG:4797":1,"EPSG:4798":1,"EPSG:4799":1,"EPSG:4800":1,"EPSG:4801":1,"EPSG:4802":1,"EPSG:4803":1,"EPSG:4804":1,"EPSG:4805":1,"EPSG:4806":1,"EPSG:4807":1,"EPSG:4808":1,"EPSG:4809":1,"EPSG:4810":1,"EPSG:4811":1,"EPSG:4812":1,"EPSG:4813":1,"EPSG:4814":1,"EPSG:4815":1,"EPSG:4816":1,"EPSG:4817":1,"EPSG:4818":1,"EPSG:4819":1,"EPSG:4820":1,"EPSG:4821":1,"EPSG:4822":1,"EPSG:4823":1,"EPSG:4824":1,"EPSG:4839":1,"EPSG:4855":1,"EPSG:4856":1,"EPSG:4857":1,"EPSG:4858":1,"EPSG:4859":1,"EPSG:4860":1,"EPSG:4861":1,"EPSG:4862":1,"EPSG:4863":1,"EPSG:4864":1,"EPSG:4865":1,"EPSG:4866":1,"EPSG:4867":1,"EPSG:4868":1,"EPSG:4869":1,"EPSG:4870":1,"EPSG:4871":1,"EPSG:4872":1,"EPSG:4873":1,"EPSG:4874":1,"EPSG:4875":1,"EPSG:4876":1,"EPSG:4877":1,"EPSG:4878":1,"EPSG:4879":1,"EPSG:4880":1,"EPSG:4883":1,"EPSG:4885":1,"EPSG:4887":1,"EPSG:4889":1,"EPSG:4891":1,"EPSG:4893":1,"EPSG:4895":1,"EPSG:4898":1,"EPSG:4900":1,"EPSG:4901":1,"EPSG:4902":1,"EPSG:4903":1,"EPSG:4904":1,"EPSG:4907":1,"EPSG:4909":1,"EPSG:4921":1,"EPSG:4923":1,"EPSG:4925":1,"EPSG:4927":1,"EPSG:4929":1,"EPSG:4931":1,"EPSG:4933":1,"EPSG:4935":1,"EPSG:4937":1,"EPSG:4939":1,"EPSG:4941":1,"EPSG:4943":1,"EPSG:4945":1,"EPSG:4947":1,"EPSG:4949":1,"EPSG:4951":1,"EPSG:4953":1,"EPSG:4955":1,"EPSG:4957":1,"EPSG:4959":1,"EPSG:4961":1,"EPSG:4963":1,"EPSG:4965":1,"EPSG:4967":1,"EPSG:4969":1,"EPSG:4971":1,"EPSG:4973":1,"EPSG:4975":1,"EPSG:4977":1,"EPSG:4979":1,"EPSG:4981":1,"EPSG:4983":1,"EPSG:4985":1,"EPSG:4987":1,"EPSG:4989":1,"EPSG:4991":1,"EPSG:4993":1,"EPSG:4995":1,"EPSG:4997":1,"EPSG:4999":1,"EPSG:5012":1,"EPSG:5013":1,"EPSG:5017":1,"EPSG:5048":1,"EPSG:5105":1,"EPSG:5106":1,"EPSG:5107":1,"EPSG:5108":1,"EPSG:5109":1,"EPSG:5110":1,"EPSG:5111":1,"EPSG:5112":1,"EPSG:5113":1,"EPSG:5114":1,"EPSG:5115":1,"EPSG:5116":1,"EPSG:5117":1,"EPSG:5118":1,"EPSG:5119":1,"EPSG:5120":1,"EPSG:5121":1,"EPSG:5122":1,"EPSG:5123":1,"EPSG:5124":1,"EPSG:5125":1,"EPSG:5126":1,"EPSG:5127":1,"EPSG:5128":1,"EPSG:5129":1,"EPSG:5130":1,"EPSG:5132":1,"EPSG:5167":1,"EPSG:5168":1,"EPSG:5169":1,"EPSG:5170":1,"EPSG:5171":1,"EPSG:5172":1,"EPSG:5173":1,"EPSG:5174":1,"EPSG:5175":1,"EPSG:5176":1,"EPSG:5177":1,"EPSG:5178":1,"EPSG:5179":1,"EPSG:5180":1,"EPSG:5181":1,"EPSG:5182":1,"EPSG:5183":1,"EPSG:5184":1,"EPSG:5185":1,"EPSG:5186":1,"EPSG:5187":1,"EPSG:5188":1,"EPSG:5224":1,"EPSG:5228":1,"EPSG:5229":1,"EPSG:5233":1,"EPSG:5245":1,"EPSG:5246":1,"EPSG:5251":1,"EPSG:5252":1,"EPSG:5253":1,"EPSG:5254":1,"EPSG:5255":1,"EPSG:5256":1,"EPSG:5257":1,"EPSG:5258":1,"EPSG:5259":1,"EPSG:5263":1,"EPSG:5264":1,"EPSG:5269":1,"EPSG:5270":1,"EPSG:5271":1,"EPSG:5272":1,"EPSG:5273":1,"EPSG:5274":1,"EPSG:5275":1,"EPSG:5801":1,"EPSG:5802":1,"EPSG:5803":1,"EPSG:5804":1,"EPSG:5808":1,"EPSG:5809":1,"EPSG:5810":1,"EPSG:5811":1,"EPSG:5812":1,"EPSG:5813":1,"EPSG:5814":1,"EPSG:5815":1,"EPSG:5816":1,"EPSG:20004":1,"EPSG:20005":1,"EPSG:20006":1,"EPSG:20007":1,"EPSG:20008":1,"EPSG:20009":1,"EPSG:20010":1,"EPSG:20011":1,"EPSG:20012":1,"EPSG:20013":1,"EPSG:20014":1,"EPSG:20015":1,"EPSG:20016":1,"EPSG:20017":1,"EPSG:20018":1,"EPSG:20019":1,"EPSG:20020":1,"EPSG:20021":1,"EPSG:20022":1,"EPSG:20023":1,"EPSG:20024":1,"EPSG:20025":1,"EPSG:20026":1,"EPSG:20027":1,"EPSG:20028":1,"EPSG:20029":1,"EPSG:20030":1,"EPSG:20031":1,"EPSG:20032":1,"EPSG:20064":1,"EPSG:20065":1,"EPSG:20066":1,"EPSG:20067":1,"EPSG:20068":1,"EPSG:20069":1,"EPSG:20070":1,"EPSG:20071":1,"EPSG:20072":1,"EPSG:20073":1,"EPSG:20074":1,"EPSG:20075":1,"EPSG:20076":1,"EPSG:20077":1,"EPSG:20078":1,"EPSG:20079":1,"EPSG:20080":1,"EPSG:20081":1,"EPSG:20082":1,"EPSG:20083":1,"EPSG:20084":1,"EPSG:20085":1,"EPSG:20086":1,"EPSG:20087":1,"EPSG:20088":1,"EPSG:20089":1,"EPSG:20090":1,"EPSG:20091":1,"EPSG:20092":1,"EPSG:21413":1,"EPSG:21414":1,"EPSG:21415":1,"EPSG:21416":1,"EPSG:21417":1,"EPSG:21418":1,"EPSG:21419":1,"EPSG:21420":1,"EPSG:21421":1,"EPSG:21422":1,"EPSG:21423":1,"EPSG:21453":1,"EPSG:21454":1,"EPSG:21455":1,"EPSG:21456":1,"EPSG:21457":1,"EPSG:21458":1,"EPSG:21459":1,"EPSG:21460":1,"EPSG:21461":1,"EPSG:21462":1,"EPSG:21463":1,"EPSG:21473":1,"EPSG:21474":1,"EPSG:21475":1,"EPSG:21476":1,"EPSG:21477":1,"EPSG:21478":1,"EPSG:21479":1,"EPSG:21480":1,"EPSG:21481":1,"EPSG:21482":1,"EPSG:21483":1,"EPSG:21896":1,"EPSG:21897":1,"EPSG:21898":1,"EPSG:21899":1,"EPSG:22171":1,"EPSG:22172":1,"EPSG:22173":1,"EPSG:22174":1,"EPSG:22175":1,"EPSG:22176":1,"EPSG:22177":1,"EPSG:22181":1,"EPSG:22182":1,"EPSG:22183":1,"EPSG:22184":1,"EPSG:22185":1,"EPSG:22186":1,"EPSG:22187":1,"EPSG:22191":1,"EPSG:22192":1,"EPSG:22193":1,"EPSG:22194":1,"EPSG:22195":1,"EPSG:22196":1,"EPSG:22197":1,"EPSG:25884":1,"EPSG:27205":1,"EPSG:27206":1,"EPSG:27207":1,"EPSG:27208":1,"EPSG:27209":1,"EPSG:27210":1,"EPSG:27211":1,"EPSG:27212":1,"EPSG:27213":1,"EPSG:27214":1,"EPSG:27215":1,"EPSG:27216":1,"EPSG:27217":1,"EPSG:27218":1,"EPSG:27219":1,"EPSG:27220":1,"EPSG:27221":1,"EPSG:27222":1,"EPSG:27223":1,"EPSG:27224":1,"EPSG:27225":1,"EPSG:27226":1,"EPSG:27227":1,"EPSG:27228":1,"EPSG:27229":1,"EPSG:27230":1,"EPSG:27231":1,"EPSG:27232":1,"EPSG:27391":1,"EPSG:27392":1,"EPSG:27393":1,"EPSG:27394":1,"EPSG:27395":1,"EPSG:27396":1,"EPSG:27397":1,"EPSG:27398":1,"EPSG:27492":1,"EPSG:28402":1,"EPSG:28403":1,"EPSG:28404":1,"EPSG:28405":1,"EPSG:28406":1,"EPSG:28407":1,"EPSG:28408":1,"EPSG:28409":1,"EPSG:28410":1,"EPSG:28411":1,"EPSG:28412":1,"EPSG:28413":1,"EPSG:28414":1,"EPSG:28415":1,"EPSG:28416":1,"EPSG:28417":1,"EPSG:28418":1,"EPSG:28419":1,"EPSG:28420":1,"EPSG:28421":1,"EPSG:28422":1,"EPSG:28423":1,"EPSG:28424":1,"EPSG:28425":1,"EPSG:28426":1,"EPSG:28427":1,"EPSG:28428":1,"EPSG:28429":1,"EPSG:28430":1,"EPSG:28431":1,"EPSG:28432":1,"EPSG:28462":1,"EPSG:28463":1,"EPSG:28464":1,"EPSG:28465":1,"EPSG:28466":1,"EPSG:28467":1,"EPSG:28468":1,"EPSG:28469":1,"EPSG:28470":1,"EPSG:28471":1,"EPSG:28472":1,"EPSG:28473":1,"EPSG:28474":1,"EPSG:28475":1,"EPSG:28476":1,"EPSG:28477":1,"EPSG:28478":1,"EPSG:28479":1,"EPSG:28480":1,"EPSG:28481":1,"EPSG:28482":1,"EPSG:28483":1,"EPSG:28484":1,"EPSG:28485":1,"EPSG:28486":1,"EPSG:28487":1,"EPSG:28488":1,"EPSG:28489":1,"EPSG:28490":1,"EPSG:28491":1,"EPSG:28492":1,"EPSG:29701":1,"EPSG:29702":1,"EPSG:30161":1,"EPSG:30162":1,"EPSG:30163":1,"EPSG:30164":1,"EPSG:30165":1,"EPSG:30166":1,"EPSG:30167":1,"EPSG:30168":1,"EPSG:30169":1,"EPSG:30170":1,"EPSG:30171":1,"EPSG:30172":1,"EPSG:30173":1,"EPSG:30174":1,"EPSG:30175":1,"EPSG:30176":1,"EPSG:30177":1,"EPSG:30178":1,"EPSG:30179":1,"EPSG:30800":1,"EPSG:31251":1,"EPSG:31252":1,"EPSG:31253":1,"EPSG:31254":1,"EPSG:31255":1,"EPSG:31256":1,"EPSG:31257":1,"EPSG:31258":1,"EPSG:31259":1,"EPSG:31275":1,"EPSG:31276":1,"EPSG:31277":1,"EPSG:31278":1,"EPSG:31279":1,"EPSG:31281":1,"EPSG:31282":1,"EPSG:31283":1,"EPSG:31284":1,"EPSG:31285":1,"EPSG:31286":1,"EPSG:31287":1,"EPSG:31288":1,"EPSG:31289":1,"EPSG:31290":1,"EPSG:31466":1,"EPSG:31467":1,"EPSG:31468":1,"EPSG:31469":1,"EPSG:31700":1};OpenLayers.Projection.getUTMZone=function(b){var a=""+(Math.floor(b/6)+31);return a};OpenLayers.Projection.getMGRSZone=function(a,e){var c=["C","D","E","F","G","H","J","K","L","M","N","P","Q","R","S","T","U","V","W"];var b;if(e.lat<-80){if(e.lon<0){b="A"}else{b="B"}return b}if(e.lat>84){if(e.lon<0){b="Y"}else{b="Z"}return b}if(e.lat>72){if(e.lon<0||e.lon>42){b=a+"X"}else{if(e.lon<=9){b="31X"}else{if(e.lon<=21){b="33X"}else{if(e.lon<=33){b="35X"}else{b="37X"}}}}return b}var d=Math.abs(parseInt((e.lat+80)/8,10));b=a+c[d];if(b=="31V"&&e.lon>3){b="32V"}return b};OpenLayers.Projection.transform=function(d,e,b){if(e&&b){if(window.Proj4js&&(e.proj instanceof Proj4js.Proj)&&(b.proj instanceof Proj4js.Proj)){if(!e.equals(b)){if(OpenLayers.Util.isArray(d)){for(var c=0,a=d.length;c<a;c++){d[c]=Proj4js.transform(e.proj,b.proj,d[c]);if(d[c] instanceof OpenLayers.Geometry){d[c].bounds=null}}}else{d=Proj4js.transform(e.proj,b.proj,d);if(d instanceof OpenLayers.Geometry){d.bounds=null}}}}else{if(typeof(e.getCode)=="function"){e=e.getCode()}if(typeof(b.getCode)=="function"){b=b.getCode()}if(OpenLayers.Projection.transforms[e]&&OpenLayers.Projection.transforms[e][b]){if(OpenLayers.Util.isArray(d)){for(var c=0,a=d.length;c<a;c++){OpenLayers.Projection.transforms[e][b](d[c]);if(d[c] instanceof OpenLayers.Geometry){d[c].bounds=null}}}else{OpenLayers.Projection.transforms[e][b](d);if(d instanceof OpenLayers.Geometry){d.bounds=null}}}}}return d};OpenLayers.Projection.CRS84=new OpenLayers.Projection("WGS84");OpenLayers.Projection.WebMercator=new OpenLayers.Projection("EPSG:3857")}if(OpenLayers.Map){OpenLayers.Map=OpenLayers.overload(OpenLayers.Map,{removeLayer:function(c,e){if(e==null){e=true}if(c.isFixed){this.viewPortDiv.removeChild(c.div)}else{if(this.layerContainerDiv.childNodes.length>0){this.layerContainerDiv.removeChild(c.div)}}OpenLayers.Util.removeItem(this.layers,c);c.removeMap(this);c.map=null;if(this.baseLayer==c){this.baseLayer=null;if(e){for(var b=0,a=this.layers.length;b<a;b++){var d=this.layers[b];if(d.isBaseLayer||this.allOverlays){this.setBaseLayer(d);break}}}}this.resetLayersZIndex();this.events.triggerEvent("removelayer",{layer:c});c.events.triggerEvent("removed",{map:this,layer:c})},isValidLonLat:function(d){var c=false;if(d!=null){var a=this.getMaxExtent();if(this.baseLayer){var b=this.baseLayer.wrapDateLine&&a;c=a.containsLonLat(d,{worldBounds:b})}else{c=a.containsLonLat(d)}}return c},isValidZoomLevel:function(c){var a=(c!=null);try{a=a&&(c>=(this.getRestrictedMinZoom()||0))}catch(b){a=a&&(c>=0)}a=a&&(c<this.getNumZoomLevels());if(this.minZoomLevel!=undefined){a=a&&(c>=this.minZoomLevel)}if(this.maxZoomLevel!=undefined){a=a&&(c<=this.maxZoomLevel)}return a},getProjection:function(){var a=null;if(this.baseLayer!=null){a=this.baseLayer.projection}else{a=this.projection}if(a&&typeof(a)=="string"){a=new OpenLayers.Projection(a)}return a?a:null},getProjectionObject:function(){return this.getProjection()},getDisplayProjection:function(){var a=null;if(this.displayProjection){a=this.displayProjection}else{a=this.getProjection()}return a},getMaxExtent:function(b){var a=null;if(b&&b.restricted&&this.restrictedExtent){a=this.restrictedExtent}else{if(this.baseLayer!=null){a=this.baseLayer.maxExtent}}if(!a){this.maxExtent=new OpenLayers.Bounds(-180,-90,180,90);this.maxExtent.transform(OpenLayers.Projection.CRS84,this.getProjection(),true);a=this.maxExtent}return a}})}if(OpenLayers.Layer){OpenLayers.Layer=OpenLayers.overload(OpenLayers.Layer,{savedStates:{},initialize:function(b,a){this.metadata={};this.addOptions(a);this.name=b;if(this.id==null){this.id=OpenLayers.Util.createUniqueID(this.CLASS_NAME+"_");this.div=OpenLayers.Util.createDiv(this.id);this.div.style.width="100%";this.div.style.height="100%";this.div.dir="ltr";this.events=new OpenLayers.Events(this,this.div,this.EVENT_TYPES);if(this.eventListeners instanceof Object){this.events.on(this.eventListeners)}}this.savedStates={};if(this.GeoRM){if(!this.events){this.events=new OpenLayers.Events(this,this.div,this.EVENT_TYPES)}this.events.register("loadstart",this,this.updateGeoRM);this.events.register("move",this,this.updateGeoRM);this.events.register("moveend",this,this.updateGeoRM)}},calculateResolutions:function(k){var l,j,g;var n=k.maxResolution;if(k.minScale!=null){n=OpenLayers.Util.getResolutionFromScale(k.minScale,this.units)}else{if(n=="auto"&&this.maxExtent!=null){l=this.map.getSize();j=this.maxExtent.getWidth()/l.w;g=this.maxExtent.getHeight()/l.h;n=Math.max(j,g)}}var f=k.minResolution;if(k.maxScale!=null){f=OpenLayers.Util.getResolutionFromScale(k.maxScale,this.units)}else{if(k.minResolution=="auto"&&this.minExtent!=null){l=this.map.getSize();j=this.minExtent.getWidth()/l.w;g=this.minExtent.getHeight()/l.h;f=Math.max(j,g)}}var a=k.maxZoomLevel;var b=k.numZoomLevels;if(typeof f==="number"&&typeof n==="number"&&b===undefined){var h=n/f;b=Math.floor(Math.log(h)/Math.log(2))+1}else{if(b===undefined&&a!=null){b=a+1}}if(typeof b!=="number"||b<=0||(typeof n!=="number"&&typeof f!=="number")){return}var d=new Array(b);var c=2;if(typeof f=="number"&&typeof n=="number"){c=Math.pow((n/f),(1/(b-1)))}var e;if(typeof n==="number"){for(e=0;e<b;e++){d[e]=n/Math.pow(c,e)}}else{for(e=0;e<b;e++){d[b-1-e]=f*Math.pow(c,e)}}return d},destroy:function(a){if(a==null){a=true}if(this.map!=null){this.map.removeLayer(this,a)}this.projection=null;this.map=null;this.name=null;this.div=null;this.options=null;this.savedStates=null;if(this.constraints){this.constraints=null}if(this.GeoRM){this.events.unregister("moveend",this,this.updateGeoRM);this.events.unregister("move",this,this.updateGeoRM);this.events.unregister("loadstart",this,this.updateGeoRM)}if(this.events){if(this.eventListeners){this.events.un(this.eventListeners)}this.events.destroy()}this.eventListeners=null;this.events=null},clone:function(a){if(a==null){a=new OpenLayers.Layer(this.name,this.getOptions())}OpenLayers.Util.applyDefaults(a,this);a.map=null;a.savedStates={};return a},updateGeoRM:function(){return true},getNativeProjection:function(){if(this.isBaseLayer){this.projection=this.projection||this.nativeProjection}if(!this.projection&&this.map){this.projection=this.map.getProjection()}if(this.projection&&typeof(this.projection)=="string"){this.projection=new OpenLayers.Projection(this.projection)}return this.projection}})}if(OpenLayers.Popup){OpenLayers.Popup=OpenLayers.overload(OpenLayers.Popup,{closeBoxDisplayClass:"olPopupCloseBox",updateSize:function(){var e="<div class='"+this.contentDisplayClass+"'>"+this.contentDiv.innerHTML+"</div>";var h=(this.map)?this.map.div:OpenLayers.getDoc().body;var i=OpenLayers.Util.getRenderedDimensions(e,null,{displayClass:this.displayClass,containerElement:h});var g=this.getSafeContentSize(i);var f=null;if(g.equals(i)){f=i}else{var b=new OpenLayers.Size();b.w=(g.w<i.w)?g.w:null;b.h=(g.h<i.h)?g.h:null;if(b.w&&b.h){f=g}else{var d=OpenLayers.Util.getRenderedDimensions(e,b,{displayClass:this.contentDisplayClass,containerElement:h});var c=OpenLayers.Element.getStyle(this.contentDiv,"overflow");if((c!="hidden")&&(d.equals(g))){var a=OpenLayers.Util.getScrollbarWidth();if(b.w){d.h+=a}else{d.w+=a}}f=this.getSafeContentSize(d)}}this.setSize(f)},addCloseBox:function(c){this.closeDiv=OpenLayers.Util.createDiv(this.id+"_close",null,new OpenLayers.Size(17,17));this.closeDiv.className=this.closeBoxDisplayClass;var b=this.getContentDivPadding();this.closeDiv.style.right=b.right+"px";this.closeDiv.style.top=b.top+"px";this.groupDiv.appendChild(this.closeDiv);var a=c||this.defaultCloseBoxCallback;OpenLayers.Event.observe(this.closeDiv,"touchend",OpenLayers.Function.bindAsEventListener(a,this));OpenLayers.Event.observe(this.closeDiv,"click",OpenLayers.Function.bindAsEventListener(a,this))},defaultCloseBoxCallback:function(a){this.hide();OpenLayers.Event.stop(a)}})}if(OpenLayers.Popup&&OpenLayers.Popup.Anchored){OpenLayers.Popup.Anchored=OpenLayers.overload(OpenLayers.Popup.Anchored,{calculateNewPx:function(b){var e=b.offset(this.anchor.offset);var a=this.size||this.contentSize;var d=(this.relativePosition&&this.relativePosition.charAt(0)=="t");e.y+=(d)?-a.h:this.anchor.size.h;var c=(this.relativePosition&&this.relativePosition.charAt(1)=="l");e.x+=(c)?-a.w:this.anchor.size.w;return e}})}if(OpenLayers.Layer&&OpenLayers.Layer.HTTPRequest){OpenLayers.Layer.HTTPRequest=OpenLayers.overload(OpenLayers.Layer.HTTPRequest,{mergeNewParams:function(b){this.params=OpenLayers.Util.extend(this.params,b);if(this.GeoRM){OpenLayers.Util.extend(this.params,this.GeoRM.token);if(this.GeoRM.transport=="referrer"){OpenLayers.Util.extend(this.params,Geoportal.GeoRMHandler.getCookieReferrer((this.map?this.map.div:null),true))}}var a=this.redraw();if(this.map!=null){this.map.events.triggerEvent("changelayer",{layer:this,property:"params"})}return a},getFullRequestString:function(g,d){var b=d||this.url;var f=OpenLayers.Util.extend({},this.params);f=OpenLayers.Util.extend(f,g);if(this.GeoRM){OpenLayers.Util.extend(f,this.GeoRM.token);if(this.GeoRM.transport=="referrer"){OpenLayers.Util.extend(f,Geoportal.GeoRMHandler.getCookieReferrer((this.map?this.map.div:null),true))}}var e=OpenLayers.Util.getParameterString(f);if(OpenLayers.Util.isArray(b)){b=this.selectUrl(e,b)}var a=OpenLayers.Util.upperCaseObject(OpenLayers.Util.getParameters(b));for(var c in f){if(c.toUpperCase() in a){delete f[c]}}e=OpenLayers.Util.getParameterString(f);return OpenLayers.Util.urlAppend(b,e)}})}if(OpenLayers.Tile){OpenLayers.Tile=OpenLayers.overload(OpenLayers.Tile,{initialize:function(e,a,f,c,d,b){this.layer=e;this.position=a.clone();this.setBounds(f);this.url=c;if(d){this.size=d.clone()}this.id=OpenLayers.Util.createUniqueID("Tile_");OpenLayers.Util.extend(this,b);this.events=new OpenLayers.Events(this);if(this.eventListeners instanceof Object){this.events.on(this.eventListeners)}if(e.GeoRM){this.events.register("reload",this,this.updateGeoRM);this.events.register("loadstart",this,this.updateGeoRM)}},destroy:function(){if(this.layer.GeoRM){this.events.unregister("reload",this,this.updateGeoRM);this.events.unregister("loadstart",this,this.updateGeoRM)}this.layer=null;this.bounds=null;this.size=null;this.position=null;if(this.eventListeners){this.events.un(this.eventListeners)}this.events.destroy();this.eventListeners=null;this.events=null},updateGeoRM:function(){return true},shouldDraw:function(){var b=false,a=this.layer.resample?this.layer.nativeMaxExtent:this.layer.maxExtent;if(a){var d=this.layer.map;var c=d.baseLayer.wrapDateLine&&d.getMaxExtent();if(this.bounds.intersectsBounds(a,{inclusive:false,worldBounds:c})){b=true}}return b||this.layer.displayOutsideMaxExtent}})}if(OpenLayers.Tile&&OpenLayers.Tile.Image){OpenLayers.Tile.Image=OpenLayers.overload(OpenLayers.Tile.Image,{onImageError:function(){var a=this.imgDiv;if(a.src!=null){this.imageReloadAttempts++;if(this.imageReloadAttempts<=OpenLayers.IMAGE_RELOAD_ATTEMPTS){this.setImgSrc(this.layer.getURL(this.bounds))}else{if(a.src.match(/^http:\/\/[abc]\.[a-z]+\.openstreetmap\.org\//)){a.src="http://openstreetmap.org/openlayers/img/404.png"}else{if(a.src.match(/^http:\/\/[def]\.tah\.openstreetmap\.org\//)){}else{if(this.layer.onLoadError){a.src=this.layer.onLoadError()}else{if(a.src.match(/^http:\/\/[a-z0-9-]+\.ign\.fr\//)||a.src.match(/^https:\/\/[a-z0-9-]+\.ign\.fr\//)){if(a.src.match(/TRANSPARENT=true/i)||(a.src.match(/SERVICE=WMTS/i)&&!a.src.match(/FORMAT=image[^\&]*jp.?g/i))){a.src=OpenLayers.Util.getImagesLocation()+"blank.gif"}else{a.src=Geoportal.Util.getImagesLocation()+"nodata.jpg"}}else{OpenLayers.Element.addClass(a,"olImageLoadError")}}}}this.events.triggerEvent("loaderror");this.onImageLoad()}}}})}if(OpenLayers.Layer&&OpenLayers.Layer.Grid){OpenLayers.Layer.Grid=OpenLayers.overload(OpenLayers.Layer.Grid,{mergeNewParams:OpenLayers.Layer.HTTPRequest.prototype.mergeNewParams,getFullRequestString:OpenLayers.Layer.HTTPRequest.prototype.getFullRequestString,getTileBounds:function(d){var c,f,e,b;if(this.resample){c=this.nativeMaxExtent;f=this.nativeResolution;e=f*this.nativeTileSize.w;b=f*this.nativeTileSize.h}else{c=this.maxExtent;f=this.getResolution();e=f*this.tileSize.w;b=f*this.tileSize.h}var h=this.getLonLatFromViewPortPx(d);if(this.resample){h.transform(this.map.getProjection(),this.getNativeProjection())}var a=c.left+(e*Math.floor((h.lon-c.left)/e));var g=c.bottom+(b*Math.floor((h.lat-c.bottom)/b));return new OpenLayers.Bounds(a,g,a+e,g+b)},transformDiv:function(e){if(isNaN(e)){return}this.div.style.width=100*e+"%";this.div.style.height=100*e+"%";var b=this.map.getSize();var d=parseInt(this.map.layerContainerDiv.style.left,10);var c=parseInt(this.map.layerContainerDiv.style.top,10);var a=(d-(b.w/2))*(e-1);var f=(c-(b.h/2))*(e-1);this.div.style.left=a+"%";this.div.style.top=f+"%"},getTileOrigin:function(){var b=this.tileOrigin;if(!b){var c=this.getMaxExtent();var a=({tl:["left","top"],tr:["right","top"],bl:["left","bottom"],br:["right","bottom"]})[this.tileOriginCorner];b=new OpenLayers.LonLat(c?c[a[0]]:0,c?c[a[1]]:0)}return b},removeExcessTiles:function(e,c){var b,a;while(this.grid.length>e){var f=this.grid.pop();for(b=0,a=f.length;b<a;b++){var d=f[b];if(~OpenLayers.Util.indexOf(this.tileQueue,d)){this.tileQueue.splice(OpenLayers.Util.indexOf(this.tileQueue,d),1)}this.destroyTile(d)}}for(b=0,a=this.grid.length;b<a;b++){while(this.grid[b].length>c){var f=this.grid[b];var d=f.pop();if(~OpenLayers.Util.indexOf(this.tileQueue,d)){this.tileQueue.splice(OpenLayers.Util.indexOf(this.tileQueue,d),1)}this.destroyTile(d)}}},gridResolution:null,gridLayout:null,rowSign:null,calculateGridLayout:function(a,j,e){var h=e*this.tileSize.w;var d=e*this.tileSize.h;var g=a.left-j.lon;var i=Math.floor(g/h)-this.buffer;var c=this.rowSign;var b=c*(j.lat-a.top+d);var f=Math[~c?"floor":"ceil"](b/d)-this.buffer*c;return{tilelon:h,tilelat:d,startcol:i,startrow:f}},clearGrid:function(){this.clearTileQueue();if(this.grid){for(var f=0,b=this.grid.length;f<b;f++){var e=this.grid[f];for(var c=0,a=e.length;c<a;c++){var d=e[c];this.destroyTile(d)}}this.grid=[];this.gridResolution=null;this.gridLayout=null}},initialize:function(c,b,d,a){OpenLayers.Layer.HTTPRequest.prototype.initialize.apply(this,arguments);this.grid=[];this.tileQueue=[];if(this.removeBackBufferDelay===null){this.removeBackBufferDelay=this.singleTile?0:2500}if(this.className===null){this.className=this.singleTile?"olLayerGridSingleTile":"olLayerGrid"}if(!OpenLayers.Animation.isNative){this.deferMoveGriddedTiles=OpenLayers.Function.bind(function(){this.moveGriddedTiles(true);this.moveTimerId=null},this)}this.rowSign=this.tileOriginCorner.substr(0,1)==="t"?1:-1},getServerResolution:function(c){var f=Number.POSITIVE_INFINITY;c=c||this.map.getResolution();if(this.serverResolutions&&OpenLayers.Util.indexOf(this.serverResolutions,c)===-1){var d,b,e,a;for(d=this.serverResolutions.length-1;d>=0;d--){e=this.serverResolutions[d];b=Math.abs(e-c);if(b>f){break}f=b;a=e}c=a}return c},getTileBoundsForGridIndex:function(i,e){var h=this.getTileOrigin();var d=this.gridLayout;var f=d.tilelon;var c=d.tilelat;var a=d.startcol;var g=d.startrow;var b=this.rowSign;return new OpenLayers.Bounds(h.lon+(a+e)*f,h.lat-(g+i*b)*c*b,h.lon+(a+e+1)*f,h.lat-(g+(i-1)*b)*c*b)},initGriddedTiles:function(g){this.clearTileQueue();var e=this.map.getSize();var E=this.getTileOrigin();var r=this.map.getResolution(),p=this.getServerResolution(),h=r/p,n={w:this.tileSize.w/h,h:this.tileSize.h/h};var z=Math.ceil(e.h/n.h)+2*this.buffer+1;var A=Math.ceil(e.w/n.w)+2*this.buffer+1;var q=this.calculateGridLayout(g,E,p);this.gridLayout=q;var d=q.tilelon;var j=q.tilelat;this.map.layerContainerOriginPx=this.map.getPixelFromLonLat(this.map.layerContainerOrigin);this.map.layerContainerOriginPx.x-=Math.round(this.map.size.w/2);this.map.layerContainerOriginPx.y-=Math.round(this.map.size.h/2);var a=this.map.layerContainerOriginPx.x;var w=this.map.layerContainerOriginPx.y;var b=this.getTileBoundsForGridIndex(0,0);var k=this.map.getViewPortPxFromLonLat(new OpenLayers.LonLat(b.left,b.top));k.x=Math.round(k.x)-a;k.y=Math.round(k.y)-w;var B=[],C=this.map.getCenter();var y=0;var c=0;do{var f=this.grid[y];if(!f){f=[];this.grid.push(f)}c=0;do{b=this.getTileBoundsForGridIndex(y,c);var o=k.clone();o.x=o.x+c*Math.round(n.w);o.y=o.y+y*Math.round(n.h);var D=f[c];if(!D){D=this.addTile(b,o);this.addTileMonitoringHooks(D);f.push(D)}else{D.moveTo(b,o,false)}var u=b.getCenterLonLat();B.push({tile:D,distance:Math.pow(u.lon-C.lon,2)+Math.pow(u.lat-C.lat,2)});c+=1}while((b.right<=g.right+d*this.buffer)||c<A);y+=1}while((b.bottom>=g.bottom-j*this.buffer)||y<z);this.removeExcessTiles(y,c);var r=this.getServerResolution(),s=r===this.gridResolution;this.gridResolution=r;B.sort(function(F,i){return F.distance-i.distance});for(var x=0,l=B.length;x<l;++x){B[x].tile.draw(s)}}})}if(OpenLayers.Layer&&OpenLayers.Layer.Vector){OpenLayers.Layer.Vector=OpenLayers.overload(OpenLayers.Layer.Vector,{addFeatures:function(b,k){if(!(OpenLayers.Util.isArray(b))){b=[b]}var h=!k||!k.silent;if(h){var a={features:b};var g=this.events.triggerEvent("beforefeaturesadded",a);if(g===false){return}b=a.features}var d=[];for(var c=0,f=b.length;c<f;c++){if(c!=(b.length-1)){this.renderer.locked=true}else{this.renderer.locked=false}var j=b[c];if(!(j instanceof OpenLayers.Feature.Vector)){continue}if(this.geometryType&&!(j.geometry instanceof this.geometryType)){var e=OpenLayers.i18n("componentShouldBe",{geomType:this.geometryType.prototype.CLASS_NAME});throw e}j.layer=this;if(!j.style&&this.style){j.style=OpenLayers.Util.extend({},this.style)}if(h){if(this.events.triggerEvent("beforefeatureadded",{feature:j})===false){continue}this.preFeatureInsert(j)}d.push(j);this.features.push(j);this.drawFeature(j);if(h){this.events.triggerEvent("featureadded",{feature:j});this.onFeatureInsert(j)}}if(h){this.events.triggerEvent("featuresadded",{features:d})}}})}if(OpenLayers.Layer&&OpenLayers.Layer.WMS){OpenLayers.Layer.WMS=OpenLayers.overload(OpenLayers.Layer.WMS,{getFullRequestString:function(e,c){var b=this.getNativeProjection();var a="SRS";if(parseFloat(this.params.VERSION)>=1.3){a="CRS";if(typeof(this.layerLimit)=="number"){var d=this.params.LAYERS.split(",");if(this.layerLimit<d.length){this.params.LAYERS=d.slice(0,this.layerLimit).join(",");OpenLayers.Console.warn("["+d.slice(this.layerLimit).join(",")+"]")}}}this.params[a]=(b==null)?"none":b.getCode();return OpenLayers.Layer.Grid.prototype.getFullRequestString.apply(this,arguments)},reverseAxisOrder:function(){var a=this.getNativeProjection();if(a==null){a=this.map.getProjection()}return(parseFloat(this.params.VERSION)>=1.3&&(!!this.yx[a.getCode()]||OpenLayers.Projection.defaults[a.getCode()].yx))},getURL:function(c){var f=c.clone();f=this.adjustBounds(f);f.transform(this.map.getProjection(),this.getNativeProjection(),true);var d=this.getImageSize();var g={};var b=this.reverseAxisOrder();g.BBOX=this.encodeBBOX?f.toBBOX(null,b):f.toArray(b);g.WIDTH=d.w;g.HEIGHT=d.h;var a=this.getFullRequestString(g);return a},getDataExtent:function(){return this.maxExtent}})}if(OpenLayers.Layer&&OpenLayers.Layer.Vector&&OpenLayers.Layer.Vector.RootContainer){OpenLayers.Layer.Vector.RootContainer=OpenLayers.overload(OpenLayers.Layer.Vector.RootContainer,{setMap:function(a){OpenLayers.Layer.Vector.prototype.setMap.apply(this,arguments);this.collectRoots();a.events.on({changelayer:this.handleChangeLayer,removelayer:this.handleRemoveLayer,scope:this})},removeMap:function(a){a.events.un({changelayer:this.handleChangeLayer,removelayer:this.handleRemoveLayer,scope:this});this.resetRoots();OpenLayers.Layer.Vector.prototype.removeMap.apply(this,arguments)},handleRemoveLayer:function(a){var c=a.layer;for(var b=0;b<this.layers.length;b++){if(c==this.layers[b]){this.layers.splice(b,1);this.renderer.eraseFeatures(c.features);return}}}})}if(OpenLayers.Protocol&&OpenLayers.Protocol.Script){OpenLayers.Protocol.Script=OpenLayers.overload(OpenLayers.Protocol.Script,{createRequest:function(b,f,j){var d=OpenLayers.Protocol.Script.register(j);var c="OpenLayers.Protocol.Script.registry.regId"+d;f=OpenLayers.Util.extend({},f);f[this.callbackKey]=this.callbackPrefix+c;if(b==null){b=OpenLayers.Util.urlAppend(b,OpenLayers.Util.getParameterString(f))}else{var l=b.search("http://");var e=b.search("https://");if((l>-1)||(e>-1)){b=OpenLayers.Util.urlAppend(b,OpenLayers.Util.getParameterString(f))}}var i=document.createElement("script");i.type="text/javascript";i.src=b;i.id="OpenLayers_Protocol_Script_"+d;var h=this.options.onError||function(){};var k=this;i.onerror=function(){h.call(k)};var a=navigator.userAgent.toLowerCase();if(/msie/.test(a)&&!/opera/.test(a)){i.onreadystatechange=function(){if(this.readyState=="loaded"){if(this.childNodes.length==0){h.call(k)}}}}this.pendingRequests[i.id]=i;var g=document.getElementsByTagName("head")[0];g.appendChild(i);return i}});(function(){var b=OpenLayers.Protocol.Script;var a=0;b.registry={};b.register=function(d){var c=++a;b.registry["regId"+c]=function(){b.unregister(c);d.apply(this,arguments)};return c};b.unregister=function(c){delete b.registry["regId"+c]}})()}if(OpenLayers.Layer&&OpenLayers.Layer.GML){OpenLayers.Layer.GML=OpenLayers.overload(OpenLayers.Layer.GML,{addFeatures:OpenLayers.Layer.Vector.prototype.addFeatures,clone:function(a){if(a==null){a=new OpenLayers.Layer.GML(this.name,this.url,this.getOptions())}a=OpenLayers.Layer.Vector.prototype.clone.apply(this,[a]);a.savedStates={};return a}})}if(OpenLayers.Layer&&OpenLayers.Layer.XYZ){OpenLayers.Layer.XYZ=OpenLayers.overload(OpenLayers.Layer.XYZ,{getFullRequestString:OpenLayers.Layer.HTTPRequest.prototype.getFullRequestString})}if(OpenLayers.Popup&&OpenLayers.Popup.Framed){OpenLayers.Popup.Framed=OpenLayers.overload(OpenLayers.Popup.Framed,{destroy:function(){this.imageSrc=null;this.imageSize=null;this.isAlphaImage=null;this.fixedRelativePosition=false;this.positionBlocks=null;if(this.blocks){for(var a=0;a<this.blocks.length;a++){var b=this.blocks[a];if(b.image){b.div.removeChild(b.image)}b.image=null;if(b.div){this.groupDiv.removeChild(b.div)}b.div=null}this.blocks=null}OpenLayers.Popup.Anchored.prototype.destroy.apply(this,arguments)}})}if(OpenLayers.Control&&OpenLayers.Control.KeyboardDefaults){OpenLayers.Control.KeyboardDefaults=OpenLayers.overload(OpenLayers.Control.KeyboardDefaults,{defaultKeyPress:function(a){var c=true;switch(a.keyCode){case OpenLayers.Event.KEY_LEFT:this.map.pan(-this.slideFactor,0);break;case OpenLayers.Event.KEY_RIGHT:this.map.pan(this.slideFactor,0);break;case OpenLayers.Event.KEY_UP:this.map.pan(0,-this.slideFactor);break;case OpenLayers.Event.KEY_DOWN:this.map.pan(0,this.slideFactor);break;case 33:var b=this.map.getSize();this.map.pan(0,-0.75*b.h);break;case 34:var b=this.map.getSize();this.map.pan(0,0.75*b.h);break;case 35:var b=this.map.getSize();this.map.pan(0.75*b.w,0);break;case 36:var b=this.map.getSize();this.map.pan(-0.75*b.w,0);break;case 43:case 61:case 187:case 107:this.map.zoomIn();break;case 45:case 54:case 109:case 189:case 95:this.map.zoomOut();break;default:c=false;break}if(c===true){OpenLayers.Event.stop(a)}}})}var __Geoportal$compatWrapperFunc=function(c,a,d){OpenLayers.Console.log(this.CLASS_NAME+", property "+c+" changed from ["+a+"] to ["+d+"]");var b=this.getUI();switch(c){case"allowSelection":if(b){b.setSelectable(!d)}break;default:if(b){b[c]=d}break}};OpenLayers.ProxyHostFQDN=null;OpenLayers._getScriptLocation=(function(){var a=function(j){var h=OpenLayers.getDoc().documentElement.getElementsByTagName("script"),k,e,f="";for(var g=0,d=h.length;g<d;g++){k=h[g].getAttribute("src");if(k){var e=k.match(j);if(e){f=e[1];break}}}return f};var c=new RegExp("(^|(.*?\\/))((lib/OpenLayers/SingleFile)\\.js)(\\?|$)");var b=a(c);if(b===""){c=new RegExp("(^|(.*?\\/))((Geoportal(Gouv|Flash|Mobile|Standard|Extended)?)\\.js)(\\?|$)");b=a(c)}return(function(){return b})})();if(Proj4js){Proj4js.getScriptLocation=(function(){var a=function(j){var h=OpenLayers.getDoc().documentElement.getElementsByTagName("script"),k,e,f="";for(var g=0,d=h.length;g<d;g++){k=h[g].getAttribute("src");if(k){var e=k.match(j);if(e){f=e[1];break}}}return f};var c=new RegExp("(^|(.*?\\/))((lib/proj4js)\\.js)(\\?|$)");var b=a(c);if(b===""){c=new RegExp("(^|(.*?\\/))((Geoportal(Gouv|Flash|Mobile|Standard|Extended)?)\\.js)(\\?|$)");b=a(c)}else{b+="lib/"}return(function(){return b})})()}OpenLayers.Class.newObject=function(b,a){function c(){return b.prototype.initialize.apply(this,a)}c.prototype=b.prototype;return new c()};OpenLayers.Class.getClass=function(clName){var clazz;try{clazz=eval(clName)}catch(e){clazz=undefined}return typeof(clazz)=="undefined"?undefined:clazz};OpenLayers.Class.watchObject=function(c,e,d){if(!c){return}if(!e){return}if(c[e]===undefined){return}if(typeof(d)!="function"){return}if(!c.__watchTimers){c.__watchTimers={}}else{for(var b in c.__watchTimers){window.clearInterval(c.__watchTimers[b]);c.__watchTimers[b]=null}}c.__watchTimers[e]=null;for(var b in c.__watchTimers){var a=c[b];(function(h,f,g){h.__watchTimers[g]=setInterval(function(){if(f!=h[g]){d.call(h,g,f,h[g]);f=h[g]}},200)})(c,a,b)}return c};OpenLayers.Class.unwatchObject=function(b,c){if(!b){return}if(!b.__watchTimers){return}if(!c){for(var a in b.__watchTimers){OpenLayers.Class.unwatchObject(b,a)}return}if(b[c]===undefined){return}if(b.__watchTimers[c]===undefined){return}if(b.__watchTimers[c]!==null){OpenLayers.Console.log("unwatching "+c);window.clearInterval(b.__watchTimers[c])}delete b.__watchTimers[c]};if(OpenLayers.String){OpenLayers.String.preg_replace=function(h,g,d){var f=new String(h);for(var c=0,a=g.length;c<a;c++){if(g[c]&&(g[c] instanceof String)){g[c]=new RegExp(g[c],"g")}var e=g[c];var b=d[c];f=f.replace(e,val)}return f};OpenLayers.String.stripAccentedLetters=(function(){var b=/[ÀÁÂÃÄÅÆàáâãäåæÒÓÔÕÕÖØòóôõöøÈÉÊËèéêëðÇçÐÌÍÎÏìíîïÙÚÛÜùúûüÑñŠšÞþßŸÿýŽž]/g;var a={"À":"A","Á":"A","Â":"A","Ã":"A","Ä":"A","Å":"A","Æ":"A","à":"a","á":"a","â":"a","ã":"a","ä":"a","å":"a","æ":"a","Ò":"O","Ó":"O","Ô":"O","Õ":"O","Õ":"O","Ö":"O","Ø":"O","ò":"o","ó":"o","ô":"o","õ":"o","ö":"o","ø":"o","œ":"oe","È":"E","É":"E","Ê":"E","Ë":"E","è":"e","é":"e","ê":"e","ë":"e","ð":"e","Ç":"C","ç":"c","Ð":"D","Ì":"I","Í":"I","Î":"I","Ï":"I","ì":"i","í":"i","î":"i","ï":"i","Ù":"U","Ú":"U","Û":"U","Ü":"U","ù":"u","ú":"u","û":"u","ü":"u","Ñ":"n","ñ":"n","Š":"S","š":"s","Þ":"b","þ":"b","ß":"s","Ÿ":"Y","ÿ":"y","ý":"y","Ž":"Z","ž":"z"};return function(c){if(c){return c.replace(b,function(d){return a[d]})}return c}})();OpenLayers.String.sprintf=function(){function g(l,a,i,k){var j=(l.length>=a)?"":Array(1+a-l.length>>>0).join(i);return k?l+j:j+l}function d(k,j,n,a,i){var l=a-k.length;if(l>0){if(n||!i){k=g(k,a," ",n)}else{k=k.slice(0,j.length)+g("",l,"0",true)+k.slice(j.length)}}return k}function h(o,n,l,p,i,a,k){var j=o>>>0;l=l&&j&&{"2":"0b","8":"0","16":"0x"}[n]||"";o=l+g(j.toString(n),a||0,"0",false);return d(o,l,p,i,k)}function b(k,l,i,a,j){if(a!=null){k=k.slice(0,a)}return d(k,"",l,i,j)}var c=arguments,e=0,f=c[e++];return f.replace(OpenLayers.String.sprintf.regex,function(u,z,k,i,B,q,y){if(u=="%%"){return"%"}var l=false,x="",s=false,w=false;for(var p=0;k&&p<k.length;p++){switch(k.charAt(p)){case" ":x=" ";break;case"+":x="+";break;case"-":l=true;break;case"0":s=true;break;case"#":w=true;break}}if(!i){i=0}else{if(i=="*"){i=+c[e++]}else{if(i.charAt(0)=="*"){i=+c[i.slice(1,-1)]}else{i=+i}}}if(i<0){i=-i;l=true}if(!isFinite(i)){throw new Error("sprintf: (minimum-)width must be finite")}if(!q){q="fFeE".indexOf(y)>-1?6:(y=="d")?0:void (0)}else{if(q=="*"){q=+c[e++]}else{if(q.charAt(0)=="*"){q=+c[q.slice(1,-1)]}else{q=+q}}}var A=z?c[z.slice(0,-1)]:c[e++];switch(y){case"s":return b(String(A),l,i,q,s);case"c":return b(String.fromCharCode(+A),l,i,q,s);case"b":return h(A,2,w,l,i,q,s);case"o":return h(A,8,w,l,i,q,s);case"x":return h(A,16,w,l,i,q,s);case"X":return h(A,16,w,l,i,q,s).toUpperCase();case"u":return h(A,10,w,l,i,q,s);case"i":case"d":var o=parseInt(+A);var r=o<0?"-":x;A=r+g(String(Math.abs(o)),q,"0",false);return d(A,r,l,i,s);case"e":case"E":case"f":case"F":case"g":case"G":var o=+A;var r=o<0?"-":x;var a=["toExponential","toFixed","toPrecision"]["efg".indexOf(y.toLowerCase())];var n=["toString","toUpperCase"]["eEfFgG".indexOf(y)%2];A=r+Math.abs(o)[a](q);return d(A,r,l,i,s)[n]();default:return u}})};OpenLayers.String.sprintf.regex=/%%|%(\d+\$)?([-+#0 ]*)(\*\d+\$|\*|\d+)?(\.(\*\d+\$|\*|\d+))?([scboxXuidfegEG])/g}if(!window.Node||!Node.ELEMENT_NODE){Node={ELEMENT_NODE:1,ATTRIBUTE_NODE:2,TEXT_NODE:3,CDATA_SECTION_NODE:4,ENTITY_REFERENCE_NODE:5,ENTITY_NODE:6,PROCESSING_INSTRUCTION_NODE:7,COMMENT_NODE:8,DOCUMENT_NODE:9,DOCUMENT_TYPE_NODE:10,DOCUMENT_FRAGMENT_NODE:11,NOTATION_NODE:12}}if(OpenLayers.Element){OpenLayers.Element.getElementsByTagName=function(a,c){var b=null;if(!c){c=OpenLayers.getDoc()}if(typeof(c.getElementsByTagName)!="undefined"){b=c.getElementsByTagName(a);if(a=="*"&&(!b||!b.length)){b=c.all}}else{if(a=="*"){b=c.all}else{if(c.all&&c.all.tags){b=b.all.tags(t)}}}return b||[]};OpenLayers.Element.getElementsByClassName=function(h,b,f){var e=function(l,i,j){var k=j.getElementsByClassName(l);return k||[]};var d=function(q,u,n){var j=[];var k="";for(var p=0,o=q.length;p<o;p++){k+="[contains(concat(' ', @class, ' '), ' "+q[p]+" ')]"}var s=[];try{s=OpenLayers.getDoc().evaluate(".//"+u+k,n,null,XPathResult.ORDERED_NODE_SNAPSHOT_TYPE,null)}catch(r){return null}for(var p=0,o=s.length;p<o;p++){j[j.length]=s.snapshotItem(p)}return j||[]};var a=function(u,z,p){var k=[];for(var s=0,q=u.length;s<q;s++){var y=new RegExp("\\b"+u[s].replace(/([(){}|*+?.,^$\[\]\\])/g,"\\$1")+"\\b");var w=OpenLayers.Element.getElementsByTagName(z,p);for(var r=0,o=w.length;r<o;r++){if(y.test(w[r].className)){k[k.length]=w[r]}}}return k||[]};if(!f){f=OpenLayers.getDoc()}if(!b){b="*"}if(!h){return[]}if(f.getElementsByClassName){return e(h,b,f)}var g=null;var c=h.split(" ");if(OpenLayers.getDoc().evaluate){g=d(c,b,f)}if(!g){g=a(c,b,f)}return g||[]};OpenLayers.Element.importNode=function(k,e,f){if(k.importNode){return k.importNode(e,f)}var l=null,h=null,c=false;var a=["shape","rect","oval","fill","stroke","imagedata","group","textbox"];switch(e.nodeType){case Node.ELEMENT_NODE:if(f&&e.tagName&&OpenLayers.Util.indexOf(a,e.tagName)!=-1){if(e.__detached!==true){h=e.ownerDocument.createElement("div");h.id="dummy_"+e.id;e.parentNode.insertBefore(h,e);e.parentNode.removeChild(e);e.__detached=true}c=true;l=k.createElement(e.scopeName+":"+e.tagName)}else{l=k.createElement(e.nodeName)}if(e.attributes&&e.attributes.length>0){for(var d=0,j=e.attributes.length;d<j;d++){var g=e.attributes[d];if(c===true&&g.nodeName==="__detached"){continue}l.setAttribute(g.nodeName,e.getAttribute(g.nodeName))}}if(f&&e.childNodes&&e.childNodes.length>0){for(var d=0,j=e.childNodes.length;d<j;d++){var b=e.childNodes[d];if(c===true){b.__detached=true}l.appendChild(OpenLayers.Element.importNode(k,b,f));if(c===true){b.removeAttribute("__detached")}}}if(h){e.removeAttribute("__detached");h.parentNode.insertBefore(e,h);h.parentNode.removeChild(h);h=null}break;case Node.TEXT_NODE:case Node.CDATA_SECTION_NODE:l=k.createTextNode(e.nodeValue);break;case Node.COMMENT_NODE:l=k.createCommentNode(e.nodeValue);break;default:OpenLayers.Console.error("OpenLayers.Element.importNode: unsupported "+e.nodeType+"=["+e.innerHTML+"]");break}return l};OpenLayers.Element.getStyle=function(c,d){c=OpenLayers.Util.getElement(c);var e=null;if(c&&c.style){e=c.style[OpenLayers.String.camelize(d)];if(!e){if(c.ownerDocument.defaultView&&c.ownerDocument.defaultView.getComputedStyle){var b=c.ownerDocument.defaultView.getComputedStyle(c,null);e=b?b.getPropertyValue(d):null}else{if(c.currentStyle){e=c.currentStyle[OpenLayers.String.camelize(d)]}}}var a=["left","top","right","bottom"];if(window.opera&&(OpenLayers.Util.indexOf(a,d)!=-1)&&(OpenLayers.Element.getStyle(c,"position")=="static")){e="auto"}}return e=="auto"?null:e};OpenLayers.Element.insertAfter=function(a,b){if(!b){return null}if(b.nextSibling){return b.parentNode.insertBefore(a,b.nextSibling)}return b.parentNode.appendChild(a)};OpenLayers.Element.addCss=function(b){var a=OpenLayers.getDoc().createElement("style");a.setAttribute("type","text/css");if(a.styleSheet){a.styleSheet.cssText=b}else{a.appendChild(OpenLayers.getDoc().createTextNode(b))}try{OpenLayers.getDoc().getElementsByTagName("head")[0].appendChild(a);return a}catch(c){return null}}}OpenLayers.Util.extend(OpenLayers.Lang.en,{"olControlDragPan.title":"Pan","olControlZoomBox.title":"Zoom in","olControlZoomToMaxExtent.title":"Zoom to max extent","Document contains no parsing errors":"Document contains no parsing errors","Document is empty":"Document is empty","Not well-formed or other error":"Not well-formed or other error","xml.parse.error":"XML Parsing Error: ${reason}\nLocation: ${url}\nLine Number ${line}, Column ${linepos}:\n ${srcText}\n","xml.setattributens":"setAttributeNS not implemented",graticule:"Graticule",uiNotSupported:"None of the declared User Interfaces is supported.  Currently declared User Interfaces are :\n${uis}","wmc.version.not.supported":"Can't find a WMC parser for version ${v}"});OpenLayers.Util.extend(OpenLayers.Lang.de,{"olControlDragPan.title":OpenLayers.Lang.en["olControlDragPan.title"],"olControlZoomBox.title":OpenLayers.Lang.en["olControlZoomBox.title"],"olControlZoomToMaxExtent.title":OpenLayers.Lang.en["olControlZoomToMaxExtent.title"],"Document contains no parsing errors":OpenLayers.Lang.en["Document contains no parsing errors"],"Document is empty":OpenLayers.Lang.en["Document is empty"],"Not well-formed or other error":OpenLayers.Lang.en["Not well-formed or other error"],"xml.parse.error":OpenLayers.Lang.en["xml.parse.error"],"xml.setattributens":OpenLayers.Lang.en["xml.setattributens"],graticule:"Geografische Koordinaten",uiNotSupported:"Keine der angegebenen User Interfaces unterstützt.  Derzeit erklärte User Interfaces sind :\n${uis}","wmc.version.not.supported":"Kann nicht finden eine WMC-Parser für Version ${v}"});OpenLayers.Util.extend(OpenLayers.Lang.es,{"olControlDragPan.title":OpenLayers.Lang.en["olControlDragPan.title"],"olControlZoomBox.title":OpenLayers.Lang.en["olControlZoomBox.title"],"olControlZoomToMaxExtent.title":OpenLayers.Lang.en["olControlZoomToMaxExtent.title"],"Document contains no parsing errors":OpenLayers.Lang.en["Document contains no parsing errors"],"Document is empty":OpenLayers.Lang.en["Document is empty"],"Not well-formed or other error":OpenLayers.Lang.en["Not well-formed or other error"],"xml.parse.error":OpenLayers.Lang.en["xml.parse.error"],"xml.setattributens":OpenLayers.Lang.en["xml.setattributens"],graticule:"Coordenadas geográficas",uiNotSupported:"Ninguna de las interfaces de usuario con el apoyo declarado. Actualmente declaró interfaces de usuario son los siguientes :\n${uis}","wmc.version.not.supported":"No se puede encontrar un programa de análisis de la versión ${v} de WMC"});OpenLayers.Util.extend(OpenLayers.Lang.fr,{"olControlDragPan.title":"Déplacer le fond de carte","olControlZoomBox.title":"Se rapprocher","olControlZoomToMaxExtent.title":"Voir l'emprise totale","Document contains no parsing errors":"Le document ne contient aucune erreur d'analyse","Document is empty":"Le document est vide","Not well-formed or other error":"Le document n'est pas bien formé ou une autre erreur s'est produite","xml.parse.error":"Erreur d'analyse XML : ${reason}\nLocalisation : ${url}\nNuméro de ligne ${line}, colonne ${linepos} :\n ${srcText}\n","xml.setattributens":"setAttributeNS n'est pas implementé",graticule:"Repères géographiques",uiNotSupported:"Aucune Interface Utilisateur déclarée n'est pas supportée. Les interfaces déclarées sont :\n${uis}","wmc.version.not.supported":"Impossible de trouver un analyseur pour la version ${v} de WMC"});OpenLayers.Util.extend(OpenLayers.Lang.it,{"olControlDragPan.title":OpenLayers.Lang.en["olControlDragPan.title"],"olControlZoomBox.title":OpenLayers.Lang.en["olControlZoomBox.title"],"olControlZoomToMaxExtent.title":OpenLayers.Lang.en["olControlZoomToMaxExtent.title"],"Document contains no parsing errors":OpenLayers.Lang.en["Document contains no parsing errors"],"Document is empty":OpenLayers.Lang.en["Document is empty"],"Not well-formed or other error":OpenLayers.Lang.en["Not well-formed or other error"],"xml.parse.error":OpenLayers.Lang.en["xml.parse.error"],"xml.setattributens":OpenLayers.Lang.en["xml.setattributens"],graticule:"Coordinate geografiche",uiNotSupported:"Nessuna delle interfacce utente dichiarato è supportato. Interfacce utente attualmente dichiarati sono :\n${uis}","wmc.version.not.supported":"Impossibile trovare un parser WMC per la versione ${v}"});OpenLayers.Util.DEFAULT_PRECISION=0;OpenLayers.Util.getElement=function(){var d=[];for(var c=0,a=arguments.length;c<a;c++){var b=arguments[c];if(typeof b=="string"){b=OpenLayers.getDoc().getElementById(b)}if(arguments.length==1){return b}d.push(b)}return d};OpenLayers.Util.createDiv=function(a,i,h,f,e,c,b,g){var d=OpenLayers.getDoc().createElement("div");if(f){d.style.backgroundImage="url("+f+")"}if(!a){a=OpenLayers.Util.createUniqueID("OpenLayersDiv")}if(!e){e="absolute"}OpenLayers.Util.modifyDOMElement(d,a,i,h,e,c,b,g);return d};OpenLayers.Util.createImage=function(a,i,h,e,d,c,f,j){var b=OpenLayers.getDoc().createElement("img");if(!a){a=OpenLayers.Util.createUniqueID("OpenLayersDiv")}if(!d){d="relative"}OpenLayers.Util.modifyDOMElement(b,a,i,h,d,c,null,f);if(j){b.style.display="none";function g(){b.style.display="";OpenLayers.Event.stopObservingElement(b)}OpenLayers.Event.observe(b,"load",g);OpenLayers.Event.observe(b,"error",g)}b.style.alt=a;b.galleryImg="no";if(e){b.src=e}return b};OpenLayers.Util.alphaHack=function(){if(OpenLayers.Util.alphaHackNeeded==null){var d=navigator.appVersion.split("MSIE");var a=parseFloat(d[1]);var b=false;try{b=!!(OpenLayers.getDoc().body.filters)}catch(c){}OpenLayers.Util.alphaHackNeeded=(b&&(a>=5.5)&&(a<7))}return OpenLayers.Util.alphaHackNeeded};OpenLayers.Util.pagePosition=function(d){var i=[0,0];var h=OpenLayers.Util.getViewportElement();if(!d||d==window||d==h){return i}var j=OpenLayers.getDoc();var f=OpenLayers.IS_GECKO&&j.getBoxObjectFor&&OpenLayers.Element.getStyle(d,"position")=="absolute"&&(d.style.top==""||d.style.left=="");var k=null;var g;if(d.getBoundingClientRect){g=d.getBoundingClientRect();var b=h.scrollTop;var c=h.scrollLeft;i[0]=g.left+c;i[1]=g.top+b}else{if(j.getBoxObjectFor&&!f){g=j.getBoxObjectFor(d);var a=j.getBoxObjectFor(h);i[0]=g.screenX-a.screenX;i[1]=g.screenY-a.screenY}else{i[0]=d.offsetLeft;i[1]=d.offsetTop;k=d.offsetParent;if(k!=d){while(k){i[0]+=k.offsetLeft;i[1]+=k.offsetTop;k=k.offsetParent}}var e=OpenLayers.BROWSER_NAME;if(e=="opera"||(e=="safari"&&OpenLayers.Element.getStyle(d,"position")=="absolute")){i[1]-=j.body.offsetTop}k=d.offsetParent;while(k&&k!=j.body){i[0]-=k.scrollLeft;if(e!="opera"||k.tagName!="TR"){i[1]-=k.scrollTop}k=k.offsetParent}}}return i};OpenLayers.Util.createUrlObject=function(c,k){k=k||{};if(!(/^\w+:\/\//).test(c)){var g=window.location;var e=g.port?":"+g.port:"";var h=g.protocol+"//"+g.host.split(":").shift()+e;if(c.indexOf("/")===0){c=h+c}else{var f=g.pathname.split("/");f.pop();c=h+f.join("/")+"/"+c}}if(k.ignoreCase){c=c.toLowerCase()}var i=OpenLayers.getDoc().createElement("a");i.href=c;var d={};d.host=i.host.split(":").shift();d.protocol=i.protocol;if(k.ignorePort80){d.port=(i.port=="80"||i.port=="0")?"":i.port}else{d.port=(i.port==""||i.port=="0")?"80":i.port}d.hash=(k.ignoreHash||i.hash==="#")?"":i.hash;var b=i.search;if(!b){var j=c.indexOf("?");b=(j!=-1)?c.substr(j):""}d.args=OpenLayers.Util.getParameters(b);d.pathname=(i.pathname.charAt(0)=="/")?i.pathname:"/"+i.pathname;return d};OpenLayers.Util.getRenderedDimensions=function(b,p,q){var n,e;q=q||{};var a=(q.containerElement?q.containerElement.ownerDocument:OpenLayers.getDoc()).createElement("div");a.style.visibility="hidden";var o=(q.containerElement)?q.containerElement:OpenLayers.getDoc().body;var r=false;var g=null;var k=o;while(k&&k.tagName.toLowerCase()!="body"){var j=OpenLayers.Element.getStyle(k,"position");if(j=="absolute"){r=true;break}else{if(j&&j!="static"){break}}k=k.parentNode}if(r&&(o.clientHeight===0||o.clientWidth===0)){g=OpenLayers.getDoc().createElement("div");g.style.visibility="hidden";g.style.position="absolute";g.style.overflow="visible";g.style.width=OpenLayers.getDoc().body.clientWidth+"px";g.style.height=OpenLayers.getDoc().body.clientHeight+"px";g.appendChild(a)}a.style.position="absolute";if(p){if(p.w){n=p.w;a.style.width=n+"px"}else{if(p.h){e=p.h;a.style.height=e+"px"}}}if(q&&q.displayClass){a.className=q.displayClass}var f=OpenLayers.getDoc().createElement("div");f.innerHTML=b;f.style.overflow="visible";if(f.childNodes){for(var d=0,c=f.childNodes.length;d<c;d++){if(!f.childNodes[d].style){continue}f.childNodes[d].style.overflow="visible"}}a.appendChild(f);if(g){o.appendChild(g)}else{o.appendChild(a)}if(!n){n=parseInt(f.scrollWidth);a.style.width=n+"px"}if(!e){e=parseInt(f.scrollHeight)}a.removeChild(f);if(g){g.removeChild(a);o.removeChild(g)}else{o.removeChild(a)}return new OpenLayers.Size(n,e)};OpenLayers.Util.getScrollbarWidth=function(){var c=OpenLayers.Util._scrollbarWidth;if(c==null){var f=null;var e=null;var a=0;var b=0;var d=OpenLayers.getDoc();f=d.createElement("div");f.style.position="absolute";f.style.top="-1000px";f.style.left="-1000px";f.style.width="100px";f.style.height="50px";f.style.overflow="hidden";e=d.createElement("div");e.style.width="100%";e.style.height="200px";f.appendChild(e);d.body.appendChild(f);a=e.offsetWidth;f.style.overflow="scroll";b=e.offsetWidth;d.body.removeChild(d.body.lastChild);OpenLayers.Util._scrollbarWidth=(a-b);c=OpenLayers.Util._scrollbarWidth}return c};OpenLayers.Util.invertRGBColor=function(d){var c=d.match(/^#([0-9A-F]{3}([0-9A-F]{3})?)$/i);var f=255,e=255,a=255;if(c){if(c[1].length===6){f=parseInt(c[1].substr(0,2),16);e=parseInt(c[1].substr(2,2),16);a=parseInt(c[1].substr(4,2),16)}else{f=parseInt(c[1].charAt(0)+c[1].charAt(0),16);e=parseInt(c[1].charAt(1)+c[1].charAt(1),16);a=parseInt(c[1].charAt(2)+c[1].charAt(2),16)}}var h=function(b){return(b.length<2)?("0"+b):b};return"#"+h((255-f).toString(16))+h((255-e).toString(16))+h((255-a).toString(16))};if(OpenLayers.Control){OpenLayers.UI=OpenLayers.Class({allowSelection:false,displayClass:"",title:"",position:null,container:null,component:null,initialize:function(a){OpenLayers.Util.extend(this,a||{})},destroy:function(){this.component=null;this.position=null;this.container=null},supported:function(){return true},setSelectable:function(b){if(this.container){var a=(b===false?"on":"off");var c=(b===false?OpenLayers.Function.False:OpenLayers.Function.True);OpenLayers.Element.removeClass(this.container,"olControlNoSelect");if(b===false){OpenLayers.Element.addClass(this.container,"olControlNoSelect")}this.container.setAttribute("unselectable",a,0);this.container.onselectstart=c;this.allowSelection=b||false}},createContainer:function(){return OpenLayers.Util.createDiv(this.id)},render:function(a){a=a||{};if(this.container==null){this.container=this.createContainer();OpenLayers.Element.addClass(this.container,this.displayClass);if(!this.allowSelection){this.setSelectable(false)}}else{if(a.force===true){this.reset()}this.setSelectable(!!this.allowSelection)}var c=a.style&&a.style.left&&a.style.top;if(this.position){if(!c){a.style={left:this.position.x+"px",top:this.position.y+"px"}}}if(c){this.position=new OpenLayers.Pixel(parseInt(a.style.left),parseInt(a.style.top))}if(a.style){for(var b in a.style){if(typeof this.container.style==="object"){try{this.container.style[b]=a.style[b]}catch(d){}}}}return this.container},draw:function(){this.changeLang();return this.container},reset:function(){if(this.container){this.container.innerHTML=""}},changeLang:function(a){if(this.title!=""&&this.container){this.container.title=OpenLayers.i18n(this.title)}},getComponent:function(){return this.component},setComponent:function(a){this.component=a;if(!this.displayClass){this.displayClass=a.CLASS_NAME.replace("OpenLayers.","ol").replace(/\./g,"")}},getDom:function(){return this.container},getPosition:function(){return this.position},setTitle:function(a){this.title=a;if(this.container){this.container.title=a}},setClass:function(a){if(a===undefined){a=this.displayClass}this.container.className=a},addClass:function(a){if(a!==undefined){OpenLayers.Element.addClass(this.container,a)}},CLASS_NAME:"OpenLayers.UI"});OpenLayers.UI.JQuery=OpenLayers.Class(OpenLayers.UI,{supported:function(){return typeof(window.jQuery)=="function"},CLASS_NAME:"OpenLayers.UI.JQuery"});OpenLayers.UI.JQuery.Mobile=OpenLayers.Class(OpenLayers.UI.JQuery,{supported:function(){return typeof(window.jQuery)=="function"&&typeof(window.jQuery.mobile)=="object"},CLASS_NAME:"OpenLayers.UI.JQuery.Mobile"});OpenLayers.Control=OpenLayers.overload(OpenLayers.Control,{activeOverMapOnly:false,uis:["OpenLayers.UI"],ui:null,noUI:false,initialize:function(a){a=a||{};a.uiOptions=a.uiOptions||{};OpenLayers.Util.extend(a.uiOptions,{allowSelection:a.uiOptions.allowSelection||a.allowSelection||false,displayClass:a.uiOptions.displayClass||a.displayClass||"",title:a.uiOptions.title||a.title||"",position:a.uiOptions.position||(a.position?a.position.clone():null)});var b=false;if(a.allowSelection!==undefined){b=true;delete a.allowSelection}if(a.displayClass!==undefined){b=true;delete a.displayClass}if(a.title!==undefined){b=true;delete a.title}if(a.position!==undefined){b=true;delete a.position}OpenLayers.Util.extend(this,a);this.events=new OpenLayers.Events(this,null,this.EVENT_TYPES);if(this.eventListeners instanceof Object){this.events.on(this.eventListeners)}if(this.id==null){this.id=OpenLayers.Util.createUniqueID(this.CLASS_NAME+"_")}if(!this.ui||!this.ui.supported()){this.assignUI()}if(!this.ui||!this.ui.supported()){this.ui=null;OpenLayers.Console.userError(OpenLayers.i18n("uiNotSupported",{uis:this.uis.join("\n")}))}if(b){OpenLayers.Class.watchObject(this,"allowSelection",__Geoportal$compatWrapperFunc);OpenLayers.Class.watchObject(this,"position",__Geoportal$compatWrapperFunc);OpenLayers.Class.watchObject(this,"displayClass",__Geoportal$compatWrapperFunc);OpenLayers.Class.watchObject(this,"title",__Geoportal$compatWrapperFunc)}},setSelectable:function(a){if(!this.allowSelection){this.ui&&this.ui.setSelectable(a)}},setDisplayClass:function(a){this.getUI().displayClass=a},getDisplayClass:function(){return this.getUI().displayClass},setTitle:function(a){this.getUI().setTitle(a)},getTitle:function(){return this.getUI().title},setClass:function(a){this.getUI().setClass(a)},addClass:function(a){this.getUI().addClass(a)},destroy:function(){OpenLayers.Class.unwatchObject(this);if(this.ui){this.ui.destroy();this.ui=null}if(this.events){if(this.eventListeners){this.events.un(this.eventListeners)}this.events.destroy();this.events=null}this.eventListeners=null;if(this.handler){this.handler.destroy();this.handler=null}if(this.handlers){for(var a in this.handlers){if(this.handlers.hasOwnProperty(a)&&typeof this.handlers[a].destroy=="function"){this.handlers[a].destroy()}}this.handlers=null}if(this.map){if(this.activeOverMapOnly===true){this.map.events.unregister("mapmouseover",this,this.onMouseOver);this.map.events.unregister("mapmouseout",this,this.onMouseOut)}this.map.events.unregister("changelang",this,this.changeLang);this.map.removeControl(this);this.map=null}this.div=null},onMouseOver:function(){this.activate()},onMouseOut:function(){this.deactivate()},setMap:function(a){this.map=a;this.map.events.register("changelang",this,this.changeLang);if(this.activeOverMapOnly===true){this.map.events.register("mapmouseover",this,this.onMouseOver);this.map.events.register("mapmouseout",this,this.onMouseOut)}if(this.handler){this.handler.setMap(a)}},draw:function(b){if(this.noUI===true){return this.div||null}var a={};if(b!=null){a.style={left:b.x+"px",top:b.y+"px"}}this.div=this.ui.render(a);this.ui.draw();return this.div},changeLang:function(a){this.ui.changeLang(a)},assignUI:function(){if(!this.uis){this.uis=[];var cp=this.CLASS_NAME.split(".");cp[1]="UI";while(cp.length>1){this.uis.push(cp.join("."));cp.pop()}}for(var i=0,len=this.uis.length;i<len;i++){var uiClass=this.uis[i];var ui=null;if(typeof(uiClass)=="function"){ui=uiClass}else{try{ui=eval(uiClass)}catch(e){}if(ui){var cp=this.CLASS_NAME.split(".");var cn=cp.shift();cn=cp.shift();while((cn=cp.shift())){if(typeof(ui[cn])=="function"){ui=ui[cn]}else{break}}}}if(ui&&ui.prototype.supported()){OpenLayers.Util.extend(this.uiOptions,{container:this.div||null,id:this.id});this.ui=new ui(this.uiOptions);this.ui.setComponent(this);break}}},getUI:function(){return this.ui},activate:function(){if(this.active){return false}if(this.handler){this.handler.activate()}this.active=true;if(this.map){OpenLayers.Element.addClass(this.map.viewPortDiv,this.getDisplayClass().replace(/ /g,"")+"Active")}this.events.triggerEvent("activate");return true},deactivate:function(){if(this.active){if(this.handler){this.handler.deactivate()}this.active=false;if(this.map){OpenLayers.Element.removeClass(this.map.viewPortDiv,this.getDisplayClass().replace(/ /g,"")+"Active")}this.events.triggerEvent("deactivate");return true}return false}})}if(OpenLayers.Events){OpenLayers.Events=OpenLayers.overload(OpenLayers.Events,{register:function(c,f,d,a){if(c in OpenLayers.Events&&!this.extensions[c]){this.extensions[c]=new OpenLayers.Events[c](this)}if(d!=null){if(f==null){f=this.object}var b=this.listeners[c];if(!b){b=[];this.listeners[c]=b;this.extensionCount[c]=0}var e={obj:f,func:d};if(typeof a==="boolean"||typeof a==="object"){if(a){b.splice(this.extensionCount[c],0,e);if(typeof a==="object"&&a.extension){this.extensionCount[c]++}}else{b.push(e)}}else{if(typeof a==="number"){if(a<=0){b.unshift(e)}else{if(a<b.length){b.splice(a,0,e)}else{b.push(e)}}}else{b.push(e)}}}},getMousePosition:function(a){var c=this.element.ownerDocument||OpenLayers.getDoc();if(!this.includeXY){this.clearMouseCache()}else{if(!this.element.hasScrollEvent){OpenLayers.Event.observe(window,"scroll",this.clearMouseListener);this.element.hasScrollEvent=true}}if(!this.element.scrolls){var b=OpenLayers.Util.getViewportElement();this.element.scrolls=[b.scrollLeft,b.scrollTop]}if(!this.element.lefttop){this.element.lefttop=[(c.documentElement.clientLeft||0),(c.documentElement.clientTop||0)]}if(!this.element.offsets){this.element.offsets=OpenLayers.Util.pagePosition(this.element)}return new OpenLayers.Pixel((a.clientX+this.element.scrolls[0])-this.element.offsets[0]-this.element.lefttop[0],(a.clientY+this.element.scrolls[1])-this.element.offsets[1]-this.element.lefttop[1])}})}if(OpenLayers.Control&&OpenLayers.Control.OverviewMap){OpenLayers.Control.OverviewMap=OpenLayers.overload(OpenLayers.Control.OverviewMap,{destroy:function(){if(!this.mapDiv){return}if(this.handlers.click){this.handlers.click.destroy()}if(this.handlers.drag){this.handlers.drag.destroy()}if(this.ovmap&&this.ovmap.viewPortDiv&&this.ovmap.viewPortDiv.childNodes.length>0&&this.extentRectangle&&this.extentRectangle.parentNode===this.extentRectangle){this.ovmap.viewPortDiv.removeChild(this.extentRectangle)}this.extentRectangle=null;if(this.rectEvents){this.rectEvents.destroy();this.rectEvents=null}if(this.ovmap){this.ovmap.destroy();this.ovmap=null}if(this.element.childNodes.length>0){this.element.removeChild(this.mapDiv)}this.mapDiv=null;if(this.div.childNodes.length>0){this.div.removeChild(this.element)}this.element=null;if(this.maximizeDiv){if(this.div.childNodes.length>0){this.div.removeChild(this.maximizeDiv)}this.maximizeDiv=null}if(this.minimizeDiv){if(this.div.childNodes.length>0){this.div.removeChild(this.minimizeDiv)}this.minimizeDiv=null}this.map.events.un({buttonclick:this.onButtonClick,moveend:this.update,changebaselayer:this.baseLayerDraw,scope:this});OpenLayers.Control.prototype.destroy.apply(this,arguments)},showToggle:function(a){if(!this.outsideViewport){this.maximizeDiv.style.display=a?"":"none";this.minimizeDiv.style.display=a?"none":""}},draw:function(){OpenLayers.Control.prototype.draw.apply(this,arguments);if(this.layers.length===0){if(this.map.baseLayer){var b=this.map.baseLayer.clone();this.layers=[b]}else{this.map.events.register("changebaselayer",this,this.baseLayerDraw);return this.div}}this.element=this.div.ownerDocument.createElement("div");this.element.className=this.getDisplayClass()+"Element";this.element.style.display="none";this.mapDiv=this.div.ownerDocument.createElement("div");this.mapDiv.style.width=this.size.w+"px";this.mapDiv.style.height=this.size.h+"px";this.mapDiv.style.position="relative";this.mapDiv.style.overflow="hidden";this.mapDiv.id=OpenLayers.Util.createUniqueID("overviewMap");this.extentRectangle=this.div.ownerDocument.createElement("div");this.extentRectangle.style.position="absolute";this.extentRectangle.style.zIndex=1000;this.extentRectangle.className=this.getDisplayClass()+"ExtentRectangle";this.element.appendChild(this.mapDiv);this.div.appendChild(this.element);if(!this.outsideViewport){this.div.className+=" "+this.getDisplayClass()+"Container";var a=OpenLayers.Util.getImageLocation("layer-switcher-maximize.png");this.maximizeDiv=OpenLayers.Util.createAlphaImageDiv(this.getDisplayClass()+"MaximizeButton",null,null,a,"absolute");this.maximizeDiv.style.display="none";this.maximizeDiv.className=this.getDisplayClass()+"MaximizeButton olButton";this.div.appendChild(this.maximizeDiv);var a=OpenLayers.Util.getImageLocation("layer-switcher-minimize.png");this.minimizeDiv=OpenLayers.Util.createAlphaImageDiv("OpenLayers_Control_minimizeDiv",null,null,a,"absolute");this.minimizeDiv.style.display="none";this.minimizeDiv.className=this.getDisplayClass()+"MinimizeButton olButton";this.div.appendChild(this.minimizeDiv);this.minimizeControl()}else{this.element.style.display=""}if(this.map.getExtent()){this.update()}this.map.events.on({buttonclick:this.onButtonClick,moveend:this.update,scope:this});if(this.maximized){this.maximizeControl()}return this.div},updateOverview:function(){var c=this.map.getResolution();var b=this.ovmap.getResolution();var d=b/c;if(d>this.maxRatio){b=this.maxRatio*c}else{if(d<=this.minRatio){b=this.minRatio*c}}var a;if(this.ovmap.getProjection()!=this.map.getProjection()){a=this.map.center.clone();a.transform(this.map.getProjectionObject(),this.ovmap.getProjectionObject())}else{a=this.map.center}this.ovmap.setCenter(a,this.ovmap.getZoomForResolution(b*this.resolutionFactor));this.updateRectToMap()},setRectPxBounds:function(d){var g=Math.max(d.top,0);var e=Math.max(d.left,0);var b=Math.min(d.top+Math.abs(d.getHeight()),this.ovmap.size.h-this.hComp);var h=Math.min(d.left+d.getWidth(),this.ovmap.size.w-this.wComp);var c=Math.max(h-e,0);var i=Math.max(b-g,0);if(c<this.minRectSize||i<this.minRectSize){this.extentRectangle.className=this.getDisplayClass()+this.minRectDisplayClass;var f=e+(c/2)-(this.minRectSize/2);var a=g+(i/2)-(this.minRectSize/2);this.extentRectangle.style.top=Math.round(a)+"px";this.extentRectangle.style.left=Math.round(f)+"px";this.extentRectangle.style.height=this.minRectSize+"px";this.extentRectangle.style.width=this.minRectSize+"px"}else{this.extentRectangle.className=this.getDisplayClass()+"ExtentRectangle";this.extentRectangle.style.top=Math.round(g)+"px";this.extentRectangle.style.left=Math.round(e)+"px";this.extentRectangle.style.height=Math.round(i)+"px";this.extentRectangle.style.width=Math.round(c)+"px"}this.rectPxBounds=new OpenLayers.Bounds(Math.round(e),Math.round(b),Math.round(h),Math.round(g))}})}if(OpenLayers.Strategy&&OpenLayers.Strategy.Filter){OpenLayers.Strategy.Filter=OpenLayers.overload(OpenLayers.Strategy.Filter,{activate:function(){var a=OpenLayers.Strategy.prototype.activate.apply(this,arguments);if(a){this.cache=[];this.layer.events.on({beforefeaturesadded:this.handleAdd,beforefeaturesremoved:this.handleRemove,scope:this});this.layer.map.events.on({changebaselayer:this.changeBaseLayer,scope:this})}return a},deactivate:function(){this.cache=null;if(this.layer&&this.layer.events){this.layer.events.un({beforefeaturesadded:this.handleAdd,beforefeaturesremoved:this.handleRemove,scope:this});this.layer.map.events.on({changebaselayer:this.changeBaseLayer,scope:this})}return OpenLayers.Strategy.prototype.deactivate.apply(this,arguments)},transform:function(e,b){if(this.cache){for(var d=0,a=this.cache.length;d<a;d++){var c=this.cache[d];c.geometry.transform(e,b)}}},changeBaseLayer:function(a){if(!this.layer.isBaseLayer&&!this.caching){var b=a.baseLayer?a.baseLayer.getNativeProjection():null;if(b==null){return false}var c=this.layer.map.getProjection();this.transform(b,c)}return true}})}if(OpenLayers.Handler&&OpenLayers.Handler.Drag){OpenLayers.Handler.Drag=OpenLayers.overload(OpenLayers.Handler.Drag,{dragstart:function(b){var a=true;this.dragging=false;if(this.checkModifiers(b)&&(OpenLayers.Event.isLeftClick(b)||OpenLayers.Event.isSingleTouch(b))){this.started=true;this.start=b.xy;this.last=b.xy;OpenLayers.Element.addClass(this.map.viewPortDiv,"olDragDown");this.down(b);this.callback("down",[b.xy]);OpenLayers.Event.stop(b);var c=this.map.div.ownerDocument||OpenLayers.getDoc();if(!this.oldOnselectstart){this.oldOnselectstart=(c.onselectstart)?c.onselectstart:OpenLayers.Function.True}c.onselectstart=OpenLayers.Function.False;a=!this.stopDown}else{this.started=false;this.start=null;this.last=null}return a},dragmove:function(a){this.lastMoveEvt=a;if(this.started&&!this.timeoutId&&(a.xy.x!=this.last.x||a.xy.y!=this.last.y)){var b=this.map.div.ownerDocument||OpenLayers.getDoc();if(this.documentDrag===true&&this.documentEvents){if(a.element===document){this.adjustXY(a);this.setEvent(a)}else{this.destroyDocumentEvents()}}if(this.interval>0){this.timeoutId=setTimeout(OpenLayers.Function.bind(this.removeTimeout,this),this.interval)}this.dragging=true;this.move(a);this.callback("move",[a.xy]);if(!this.oldOnselectstart){this.oldOnselectstart=b.onselectstart;b.onselectstart=OpenLayers.Function.False}this.last=a.xy}return true},dragend:function(b){if(this.started){if(this.documentDrag===true&&this.documentEvents){this.adjustXY(b);this.removeDocumentEvents()}var a=(this.start!=this.last);this.started=false;this.dragging=false;OpenLayers.Element.removeClass(this.map.viewPortDiv,"olDragDown");this.up(b);this.callback("up",[b.xy]);if(a){this.callback("done",[b.xy])}var c=this.map.div.ownerDocument||OpenLayers.getDoc();c.onselectstart=this.oldOnselectstart}return true},mouseout:function(b){if(this.started&&OpenLayers.Util.mouseLeft(b,this.map.viewPortDiv)){var c=this.map.div.ownerDocument||OpenLayers.getDoc();if(this.documentDrag===true){this.addDocumentEvents()}else{var a=(this.start!=this.last);this.started=false;this.dragging=false;OpenLayers.Element.removeClass(this.map.viewPortDiv,"olDragDown");this.out(b);this.callback("out",[]);if(a){this.callback("done",[b.xy])}if(c.onselectstart){c.onselectstart=this.oldOnselectstart}}}return true},addDocumentEvents:function(){var a=this.map.div.ownerDocument||OpenLayers.getDoc();OpenLayers.Element.addClass(a.body,"olDragDown");this.documentEvents=true;OpenLayers.Event.observe(a,"mousemove",this._docMove);OpenLayers.Event.observe(a,"mouseup",this._docUp)},removeDocumentEvents:function(){var a=this.map.div.ownerDocument||OpenLayers.getDoc();OpenLayers.Element.removeClass(a.body,"olDragDown");this.documentEvents=false;OpenLayers.Event.stopObserving(a,"mousemove",this._docMove);OpenLayers.Event.stopObserving(a,"mouseup",this._docUp)}})}if(OpenLayers.Renderer){OpenLayers.Renderer=OpenLayers.overload(OpenLayers.Renderer,{setExtent:function(a,b){this.extent=(a?a.clone():new OpenLayers.Bounds(0,0,0,0));if(b){this.resolution=null}},getResolution:function(){this.resolution=this.resolution||(this.map?this.map.getResolution():null);return this.resolution}})}if(OpenLayers.Renderer&&OpenLayers.Renderer.Canvas){OpenLayers.Renderer.Canvas=OpenLayers.overload(OpenLayers.Renderer.Canvas,{HALO_ID_SUFFIX:"_halo",initialize:function(a,b){OpenLayers.Renderer.prototype.initialize.apply(this,arguments);this.root=OpenLayers.getDoc().createElement("canvas");this.container.appendChild(this.root);this.canvas=this.root.getContext("2d");this.features={};if(this.hitDetection){this.hitCanvas=document.createElement("canvas");this.hitContext=this.hitCanvas.getContext("2d")}this.geometryMap={}},supported:function(){var a=OpenLayers.getDoc().createElement("canvas");return !!a.getContext},drawText:function(l,a){var n=this.getLocalXY(l);this.setCanvasStyle("reset");this.canvas.fillStyle=a.fontColor;this.canvas.globalAlpha=a.fontOpacity||1;var d=[a.fontStyle?a.fontStyle:"normal","normal",a.fontWeight?a.fontWeight:"normal",a.fontSize?a.fontSize:"1em",a.fontFamily?a.fontFamily:"sans-serif"].join(" ");var c=a.label.split("\n");var f=c.length;if(this.canvas.fillText){this.canvas.font=d;this.canvas.textAlign=OpenLayers.Renderer.Canvas.LABEL_ALIGN[a.labelAlign[0]]||"center";this.canvas.textBaseline=OpenLayers.Renderer.Canvas.LABEL_ALIGN[a.labelAlign[1]]||"middle";var j=OpenLayers.Renderer.Canvas.LABEL_FACTOR[a.labelAlign[1]];if(j==null){j=-0.5}var k=this.canvas.measureText("Mg").height||this.canvas.measureText("xx").width;n[1]+=k*j*(f-1);for(var e=0;e<f;e++){if(a.labelOutlineWidth){this.canvas.save();this.canvas.strokeStyle=a.labelOutlineColor;this.canvas.lineWidth=a.labelOutlineWidth;this.canvas.strokeText(c[e],n[0],n[1]+(k*e)+1);this.canvas.restore()}this.canvas.fillText(c[e],n[0],n[1]+(k*e))}if(a.labelHaloColor){this.canvas.strokeStyle=a.labelHaloColor;this.canvas.lineWidth=a.labelHaloWidth||2;this.canvas.strokeText(a.label,n[0],n[1])}}else{if(this.canvas.mozDrawText){this.canvas.mozTextStyle=d;var b=OpenLayers.Renderer.Canvas.LABEL_FACTOR[a.labelAlign[0]];if(b==null){b=-0.5}var j=OpenLayers.Renderer.Canvas.LABEL_FACTOR[a.labelAlign[1]];if(j==null){j=-0.5}var k=this.canvas.mozMeasureText("xx");n[1]+=k*(1+(j*f));for(var e=0;e<f;e++){var h=n[0]+(b*this.canvas.mozMeasureText(c[e]));var g=n[1]+(e*k);this.canvas.translate(h,g);this.canvas.mozDrawText(c[e]);this.canvas.translate(-h,-g)}}}this.setCanvasStyle("reset")}})}if(OpenLayers.Format&&OpenLayers.Format.XML){OpenLayers.Format.XML=OpenLayers.overload(OpenLayers.Format.XML,{createElementNS:function(c,a){var b;var d=a.split(":")[0];if(d!=a&&d==this.defaultPrefix){a=a.split(":")[1]}if(this.xmldom){if(typeof c=="string"){b=this.xmldom.createNode(1,a,c)}else{b=this.xmldom.createNode(1,a,"")}}else{b=OpenLayers.getDoc().createElementNS(c,a)}return b},createTextNode:function(b){var a;if(typeof b!=="string"){b=String(b)}if(this.xmldom){a=this.xmldom.createTextNode(b)}else{a=OpenLayers.getDoc().createTextNode(b)}return a},read:function(d){var b=d.indexOf("<");if(b>0){d=d.substring(b)}var c=OpenLayers.Util.Try(OpenLayers.Function.bind((function(){var e;if(window.ActiveXObject&&!this.xmldom){e=new ActiveXObject("Microsoft.XMLDOM")}else{e=this.xmldom}e.loadXML(d);return e}),this),function(){return new DOMParser().parseFromString(d,"text/xml")},function(){var e=new XMLHttpRequest();e.open("GET","data:text/xml;charset=utf-8,"+encodeURIComponent(d),false);if(e.overrideMimeType){e.overrideMimeType("text/xml")}e.send(null);return e.responseXML});var a=OpenLayers.Request.XMLHttpRequest.getParseErrorText(c);if(a!=OpenLayers.Request.XMLHttpRequest.PARSED_OK&&a!=OpenLayers.Request.XMLHttpRequest.PARSED_EMPTY){alert(OpenLayers.i18n(a))}if(this.keepData){this.data=c}return c},readNode:function(c,e){if(!e){e={}}if(!c){return e}var d=this.readers[c.namespaceURI?this.namespaceAlias[c.namespaceURI]:this.defaultPrefix];if(d){var b=c.localName||c.nodeName.split(":").pop();var a=d[b]||d["*"];if(a){a.apply(this,[c,e])}}return e},readChildNodes:function(d,e){if(!e){e={}}if(!d){return e}var c=d.childNodes;var f;for(var b=0,a=c.length;b<a;++b){f=c[b];if(f.nodeType==1){this.readNode(f,e)}}return e}});var _class=OpenLayers.Format.XML;var originalWriteFunction=_class.prototype.write;var patchedWriteFunction=function(){var a=originalWriteFunction.apply(this,arguments);a=a.replace(new RegExp('xmlns:NS\\d+="" NS\\d+:',"g"),"");return a};_class.prototype.write=patchedWriteFunction}if(OpenLayers.Format&&OpenLayers.Format.OSM){OpenLayers.Format.OSM=OpenLayers.overload(OpenLayers.Format.OSM,{readNode:OpenLayers.Format.XML.prototype.readNode,readChildNodes:OpenLayers.Format.XML.prototype.readChildNodes})}if(OpenLayers.Format&&OpenLayers.Format.GML){OpenLayers.Format.GML=OpenLayers.overload(OpenLayers.Format.GML,{readNode:OpenLayers.Format.XML.prototype.readNode,readChildNodes:OpenLayers.Format.XML.prototype.readChildNodes,read:function(f){if(typeof f=="string"){f=OpenLayers.Format.XML.prototype.read.apply(this,[f])}var b=f.nodeType==9?f.documentElement:f;var g=this.getElementsByTagNameNS(b,this.gmlns,this.featureName);var e=[];for(var d=0,a=g.length;d<a;d++){var c=this.parseFeature(g[d]);if(c){e.push(c)}}return e},createFeatureXML:function(j){var h=j.geometry;var e=this.buildGeometryNode(h);if(this.externalProjection){e.setAttribute("srsName",this.externalProjection.toString())}var i=this.createElementNS(this.featureNS,this.featurePrefix+":"+this.geometryName);i.appendChild(e);var a=this.createElementNS(this.gmlns,"gml:"+this.featureName);var k=this.createElementNS(this.featureNS,this.featurePrefix+":"+this.layerName);var c=j.fid||j.id;k.setAttribute("fid",c);k.appendChild(i);for(var g in j.attributes){var f=this.createTextNode(j.attributes[g]);var d=g.substring(g.lastIndexOf(":")+1);var b=this.createElementNS(this.featureNS,this.featurePrefix+":"+d);b.appendChild(f);k.appendChild(b)}a.appendChild(k);return a},buildCoordinatesNode:function(g){var a=this.createElementNS(this.gmlns,"gml:coordinates");a.setAttribute("decimal",".");a.setAttribute("cs",",");a.setAttribute("ts"," ");var c=[];if(g instanceof OpenLayers.Bounds){c.push(g.left+","+g.bottom);c.push(g.right+","+g.top)}else{var j=(g.components)?g.components:[g];var h=this.xy?"x":"y",f=this.xy?"y":"x";for(var d=0,e=j.length;d<e;d++){c.push(j[d][h]+","+j[d][f])}}var b=this.createTextNode(c.join(" "));a.appendChild(b);return a}})}if(OpenLayers.Handler&&OpenLayers.Handler.Feature){OpenLayers.Handler.Feature=OpenLayers.overload(OpenLayers.Handler.Feature,{handleMapEvents:function(a){if(a.property=="order"){if(this.layer.CLASS_NAME=="OpenLayers.Layer.Vector.RootContainer"){this.moveLayerToTop()}}},moveLayerToTop:function(){if(this.map){var a=Math.max(this.map.Z_INDEX_BASE.Feature-1,this.layer.getZIndex())+1;this.layer.setZIndex(a)}},moveLayerBack:function(){if(this.map){var a=this.layer.getZIndex()-1;if(a>=this.map.Z_INDEX_BASE.Feature){this.layer.setZIndex(a)}else{this.map.setLayerZIndex(this.layer,this.map.getLayerIndex(this.layer))}}},triggerCallback:function(d,e,b){var c=this.EVENTMAP[d][e];if(c){if(d=="click"&&this.up&&this.down){var a=Math.sqrt(Math.pow(this.up.x-this.down.x,2)+Math.pow(this.up.y-this.down.y,2));if(a<=this.clickTolerance){this.callback(c,b)}this.down=null}else{this.callback(c,b)}}}})}if(OpenLayers.Control&&OpenLayers.Control.DragFeature){OpenLayers.Control.DragFeature=OpenLayers.overload(OpenLayers.Control.DragFeature,{deactivate:function(){this.handlers.drag.deactivate();this.handlers.feature.deactivate();this.feature=null;this.dragging=false;this.lastPixel=null;OpenLayers.Element.removeClass(this.map.viewPortDiv,this.getDisplayClass()+"Over");return OpenLayers.Control.prototype.deactivate.apply(this,arguments)},overFeature:function(b){var a=false;if(!this.handlers.drag.dragging){this.feature=b;this.handlers.drag.activate();a=true;this.over=true;OpenLayers.Element.addClass(this.map.viewPortDiv,this.getDisplayClass()+"Over");this.onEnter(b)}else{if(this.feature.id==b.id){this.over=true}else{this.over=false}}return a},outFeature:function(a){if(!this.handlers.drag.dragging){this.over=false;this.handlers.drag.deactivate();OpenLayers.Element.removeClass(this.map.viewPortDiv,this.getDisplayClass()+"Over");this.onLeave(a);this.feature=null}else{if(this.feature.id==a.id){this.over=false}}}})}if(OpenLayers.Map){OpenLayers.Map=OpenLayers.overload(OpenLayers.Map,{EVENT_TYPES:["preaddlayer","addlayer","preremovelayer","removelayer","changelayer","movestart","move","moveend","zoomend","popupopen","popupclose","addmarker","removemarker","clearmarkers","mouseover","mouseout","mousemove","dragstart","drag","dragend","changebaselayer","mapmouseover","mapmouseout","changelang","changedisplayprojection","controlactivated","controlvisibilitychanged","controldeleted","beforemove","activelayer"],mapMouseDelay:100,isMouseOver:false,onMouseOver:function(a){if(this.outMapEventsTimer){window.clearTimeout(this.outMapEventsTimer);this.outMapEventsTimer=null}if(this.isMouseOver){return}this.isMouseOver=true;this.events.triggerEvent("mapmouseover")},onMouseOut:function(a){if(!this.outMapEventsTimer){this.outMapEventsTimer=window.setTimeout(OpenLayers.Function.bind(function(){this.outMapEventsTimer=null;if(!this.isMouseOver){return}this.isMouseOver=false;this.events.triggerEvent("mapmouseout")},this),this.mapMouseDelay)}},initialize:function(b,j){if(arguments.length===1&&typeof b==="object"){j=b;b=j&&j.div}this.tileSize=new OpenLayers.Size(OpenLayers.Map.TILE_WIDTH,OpenLayers.Map.TILE_HEIGHT);this.paddingForPopups=new OpenLayers.Bounds(15,15,15,15);this.theme=OpenLayers._getScriptLocation()+"theme/default/style.css";this.options=OpenLayers.Util.extend({},j);OpenLayers.Util.extend(this,j);var a=this.projection instanceof OpenLayers.Projection?this.projection.projCode:this.projection;OpenLayers.Util.applyDefaults(this,OpenLayers.Projection.defaults[a]);if(this.maxExtent&&!(this.maxExtent instanceof OpenLayers.Bounds)){this.maxExtent=new OpenLayers.Bounds(this.maxExtent)}if(this.minExtent&&!(this.minExtent instanceof OpenLayers.Bounds)){this.minExtent=new OpenLayers.Bounds(this.minExtent)}if(this.restrictedExtent&&!(this.restrictedExtent instanceof OpenLayers.Bounds)){this.restrictedExtent=new OpenLayers.Bounds(this.restrictedExtent)}if(this.center&&!(this.center instanceof OpenLayers.LonLat)){this.center=new OpenLayers.LonLat(this.center)}this.layers=[];this.id=OpenLayers.Util.createUniqueID("OpenLayers.Map_");this.div=OpenLayers.Util.getElement(b);if(!this.div){this.div=OpenLayers.getDoc().createElement("div");this.div.style.height="1px";this.div.style.width="1px"}OpenLayers.Element.addClass(this.div,"olMap");var d=this.id+"_OpenLayers_ViewPort";this.viewPortDiv=OpenLayers.Util.createDiv(d,null,null,null,"relative",null,"hidden");this.viewPortDiv.style.width="100%";this.viewPortDiv.style.height="100%";this.viewPortDiv.className="olMapViewport";this.div.appendChild(this.viewPortDiv);this.events=new OpenLayers.Events(this,this.viewPortDiv,null,this.fallThrough,{includeXY:true});d=this.id+"_OpenLayers_Container";this.layerContainerDiv=OpenLayers.Util.createDiv(d);this.layerContainerDiv.style.width="100px";this.layerContainerDiv.style.height="100px";this.layerContainerDiv.style.zIndex=this.Z_INDEX_BASE.Popup-1;this.viewPortDiv.appendChild(this.layerContainerDiv);this.updateSize();if(this.eventListeners instanceof Object){this.events.on(this.eventListeners)}this.events.register("movestart",this,this.updateSize);if(parseFloat(navigator.appVersion.split("MSIE")[1])<9){this.events.register("resize",this,this.updateSize)}else{this.updateSizeDestroy=OpenLayers.Function.bind(this.updateSize,this);OpenLayers.Event.observe(window,"resize",this.updateSizeDestroy)}if(this.theme){var e=true;var c=this.div.ownerDocument.getElementsByTagName("link");for(var f=0,g=c.length;f<g;++f){if(OpenLayers.Util.isEquivalentUrl(c.item(f).href,this.theme)){e=false;break}}if(e){var h=this.div.ownerDocument.createElement("link");h.setAttribute("rel","stylesheet");h.setAttribute("type","text/css");h.setAttribute("href",this.theme);this.div.ownerDocument.getElementsByTagName("head")[0].appendChild(h)}}if(this.controls==null){this.controls=[];if(OpenLayers.Control!=null){if(OpenLayers.Control.Navigation){this.controls.push(new OpenLayers.Control.Navigation())}else{if(OpenLayers.Control.TouchNavigation){this.controls.push(new OpenLayers.Control.TouchNavigation())}}if(OpenLayers.Control.Zoom){this.controls.push(new OpenLayers.Control.Zoom())}else{if(OpenLayers.Control.PanZoom){this.controls.push(new OpenLayers.Control.PanZoom())}}if(OpenLayers.Control.ArgParser){this.controls.push(new OpenLayers.Control.ArgParser())}if(OpenLayers.Control.Attribution){this.controls.push(new OpenLayers.Control.Attribution())}}}for(var f=0,g=this.controls.length;f<g;f++){this.addControlToMap(this.controls[f])}this.popups=[];this.unloadDestroy=OpenLayers.Function.bind(this.destroy,this);if(this.mapmouseEventsEnable===true){this.events.register("mouseover",this,this.onMouseOver);this.events.register("mouseout",this,this.onMouseOut)}OpenLayers.Event.observe(window,"unload",this.unloadDestroy);if(j&&j.layers){delete this.center;this.addLayers(j.layers);if(j.center&&!this.getCenter()){this.setCenter(j.center,j.zoom)}}},destroy:function(){if(!this.unloadDestroy){return false}if(this.panTween){this.panTween.stop();this.panTween=null}if(this.mapmouseEventsEnable===true){this.events.unregister("mouseover",this,this.onMouseOver);this.events.unregister("mouseout",this,this.onMouseOut)}OpenLayers.Event.stopObserving(window,"unload",this.unloadDestroy);this.unloadDestroy=null;if(this.updateSizeDestroy){OpenLayers.Event.stopObserving(window,"resize",this.updateSizeDestroy)}else{this.events.unregister("resize",this,this.updateSize)}this.paddingForPopups=null;if(this.controls!=null){for(var a=this.controls.length-1;a>=0;--a){if(this.controls[a]){this.controls[a].destroy()}}this.controls=null}if(this.layers!=null){var a=this.layers.length-1;while(a>=0){this.layers[a].destroy(false);a=this.layers.length-1}this.layers=null}if(this.viewPortDiv){if(this.div.childNodes.length>0){this.div.removeChild(this.viewPortDiv)}}this.viewPortDiv=null;if(this.eventListeners){this.events.un(this.eventListeners);this.eventListeners=null}this.events.destroy();this.events=null},moveTo:function(j,b,e){if(!e){e={}}if(b!=null){b=parseFloat(b);if(!this.fractionalZoom){b=Math.round(b)}}var s={zoom:b,lonlat:j,options:e};if(this.events.triggerEvent("beforemove",s)===false){return}b=s.zoom;j=s.lonlat;var A=j?j.clone():null;var u=e.dragging||this.dragging;var l=e.forceZoomChange;if(!this.getCachedCenter()&&!this.isValidLonLat(A)){A=this.getMaxExtent().getCenterLonLat();this.center=A.clone()}if(this.restrictedExtent!=null){if(A==null){A=this.getCenter()}if(b==null){b=this.getZoom()}var w=this.getResolutionForZoom(b);var p=this.calculateBounds(A,w);if(p!=null&&!this.restrictedExtent.containsBounds(p)){var D=this.restrictedExtent.getCenterLonLat();if(p.getWidth()>this.restrictedExtent.getWidth()){A=new OpenLayers.LonLat(D.lon,A.lat)}else{if(p.left<this.restrictedExtent.left){A=A.add(this.restrictedExtent.left-p.left,0)}else{if(p.right>this.restrictedExtent.right){A=A.add(this.restrictedExtent.right-p.right,0)}}}if(p.getHeight()>this.restrictedExtent.getHeight()){A=new OpenLayers.LonLat(A.lon,D.lat)}else{if(p.bottom<this.restrictedExtent.bottom){A=A.add(0,this.restrictedExtent.bottom-p.bottom)}else{if(p.top>this.restrictedExtent.top){A=A.add(0,this.restrictedExtent.top-p.top)}}}}}var n=l||((this.isValidZoomLevel(b))&&(b!=this.getZoom()));var o=(this.getProjection()?this.getProjection().getProjName()=="longlat"?0.000028:1:undefined);var h=!(A&&this.isValidLonLat(A)&&A.equals(this.center,o));if(n||h||u){u||this.events.triggerEvent("movestart");if(h&&A!=null){if(!n&&this.center){this.centerLayerContainer(A)}this.center=A.clone()}var E=n?this.getResolutionForZoom(b):this.getResolution();if(n||this.layerContainerOrigin==null){this.layerContainerOrigin=this.getCachedCenter();this.layerContainerDiv.style.left="0px";this.layerContainerDiv.style.top="0px";var r=this.getMaxExtent({restricted:true});var d=r.getCenterLonLat();var k=this.center.lon-d.lon;var c=d.lat-this.center.lat;var B=Math.round(r.getWidth()/E);var z=Math.round(r.getHeight()/E);var f=(this.size.w-B)/2-k/E;var q=(this.size.h-z)/2-c/E;this.minPx=new OpenLayers.Pixel(f,q);this.maxPx=new OpenLayers.Pixel(f+B,q+z)}if(n){this.zoom=b;this.resolution=E;this.viewRequestID++}var g=this.getExtent();if(g&&this.baseLayer&&this.baseLayer.visibility){this.baseLayer.inRange=this.baseLayer.calculateInRange();this.baseLayer.moveTo(g,n,e.dragging);e.dragging||this.baseLayer.events.triggerEvent("moveend",{zoomChanged:n})}g=this.baseLayer&&this.baseLayer.getExtent()||null;for(var x=this.layers.length-1;x>=0;--x){var C=this.layers[x];if(!C){continue}if(C.isBaseLayer&&C!==this.baseLayer){continue}if(C!==this.baseLayer&&!C.isBaseLayer){var a=C.calculateInRange();if(C.inRange!=a){C.inRange=a;if(!a){C.display(false)}else{n=true}this.events.triggerEvent("changelayer",{layer:C,property:"visibility"})}if(a&&C.visibility){C.moveTo(g,n,e.dragging);e.dragging||C.events.triggerEvent("moveend",{zoomChanged:n})}}}this.events.triggerEvent("move");u||this.events.triggerEvent("moveend");if(n){for(var x=0,y=this.popups.length;x<y;x++){this.popups[x].updatePosition()}this.events.triggerEvent("zoomend")}}},setBaseLayer:function(d,e,h){if(d!=this.baseLayer){var g=null;var f=null;var i=null;if(this.baseLayer){g=this.baseLayer;f=this.getProjection();i=this.baseLayer.getExtent()}if(OpenLayers.Util.indexOf(this.layers,d)!=-1){var a=this.getCachedCenter();var j=OpenLayers.Util.getResolutionFromScale(this.getScale(),d.units);if(d.events.triggerEvent("loadstart")===false){return}if(this.baseLayer!=null&&!this.allOverlays){this.baseLayer.setVisibility(false)}this.baseLayer=d;this.viewRequestID++;if(!this.allOverlays||this.baseLayer.visibility){this.baseLayer.setVisibility(true)}this.events.triggerEvent("changebaselayer",{layer:d,baseLayer:g});d.events.triggerEvent("loadend");if(a!=null||e!=null){var b=(e)?e.clone():(i)?i.getCenterLonLat():a;b.transform(f,this.getProjection());var c=(typeof(h)=="number")?h:(i)?this.getZoomForExtent(i,true):this.getZoomForResolution(this.resolution,true);this.setCenter(b,c,false,true)}}}},addControlToMap:function(b,a){b.outsideViewport=b.outsideViewport||(b.div!=null);if(this.displayProjection&&!b.displayProjection){b.displayProjection=this.displayProjection}b.setMap(this);var c=b.draw(a);if(c){if(!c.style.zIndex){c.style.zIndex=this.Z_INDEX_BASE.Control+this.controls.length}if(!b.outsideViewport){this.viewPortDiv.appendChild(c)}}if(b.autoActivate){b.activate()}},removeControl:function(a){if((a)&&(a==this.getControl(a.id))){this.events.triggerEvent("controldeleted",{control:a});if(a.div&&(a.div.parentNode==this.viewPortDiv)){this.viewPortDiv.removeChild(a.div)}OpenLayers.Util.removeItem(this.controls,a)}},calculateBounds:function(a,b){var e=null;if(a==null){a=this.getCachedCenter()}if(b==null){b=this.getResolution()}if((a!=null)&&(b!=null)){var d=this.getSize();if(d!=null){var f=d.w*b;var c=d.h*b;e=new OpenLayers.Bounds(a.lon-f/2,a.lat-c/2,a.lon+f/2,a.lat+c/2)}}return e},getApproxScaleDenominator:function(g){var f=0;if(this.baseLayer!=null){g=(g!=undefined?g:this.getZoom());var b=this.baseLayer.getResolutionForZoom(g);var a=this.baseLayer.getNativeProjection().getUnits();f=Math.round(OpenLayers.Util.getScaleFromResolution(b,a)||0);if(f>0){var h=Math.floor(Math.log(f)/Math.log(10));var e=Math.exp(h*Math.log(10));var c=f/e;f=Math.round(Math.round(c)*e)}}return f}})}if(OpenLayers.Layer){OpenLayers.Layer=OpenLayers.overload(OpenLayers.Layer,{dataURL:null,metadataURL:null,onLoadError:null,transform:function(b,a){},changeBaseLayer:function(a){if(!a){return false}if(!(a.baseLayer)){return false}if(!this.map){return false}if(this.isBaseLayer){return true}var c=this.map.getProjection();var b=a.baseLayer.getNativeProjection();if(this.maxExtent){this.maxExtent.transform(b,c,true)}if(this.restrictedExtent){this.restrictedExtent.transform(b,c,true)}if(this.territory&&a.layer.territory&&this.territory!=a.layer.territory){this.displayInLayerSwitcher=false;this.setVisibility(false)}else{if(this.aggregate!=undefined){this.setVisibility(this.aggregate.visibility)}}return true},getCompatibleProjection:function(c){if(this.aggregate!=undefined){return undefined}var b=this.getNativeProjection();if(b==null){if(this.map==null){return undefined}return null}if(c==null){if(this.map==null){return undefined}c=this.map.baseLayer;if(c==null){return undefined}}if(c.territory&&this.territory&&c.territory!==this.territory){return null}var d=c.getNativeProjection();var a=b.isCompatibleWith(d)?b:null;return a},setMap:function(a){if(this.map==null){this.map=a;this.projection=this.getNativeProjection();if(this.projection){this.units=this.projection.getUnits()||this.units||this.map.units}if(this.maxExtent){if(this.isBaseLayer){}else{this.maxExtent.transform(this.projection,this.map.getProjection(),true)}}if(this.minExtent){if(this.isBaseLayer){}else{this.minExtent.transform(this.projection,this.map.getProjection(),true)}}if(!this.maxExtent||!this.minExtent){var b=null;for(var f=0,d=a.layers.length;f<d;f++){var h=a.layers[f];if(!h.isBaseLayer){continue}if(this.projection.equals(h.getNativeProjection())){b=h;break}if(this.projection.isCompatibleWith(h.getNativeProjection())){b=h;continue}}if(!this.maxExtent){if(b&&b.maxExtent){this.maxExtent=b.maxExtent.clone().transform(b.getNativeProjection(),this.map.getProjection(),true)}else{this.maxExtent=(new OpenLayers.Bounds(-180,-90,180,90)).transform(OpenLayers.Projection.CRS84,this.map.getProjection(),true)}}if(!this.minExtent){if(b&&b.minExtent){this.minExtent=b.minExtent.clone().transform(b.getNativeProjection(),this.map.getProjection(),true)}else{this.minExtent=null}}}if(this.restrictedExtent){this.restrictedExtent.transform(this.projection,this.map.getProjection(),true)}if(this.originators){for(var f=0,d=this.originators.length;f<d;f++){var c=this.originators[f];if(c.extent){if(!(OpenLayers.Util.isArray(c.extent))){c.extent=[c.extent]}for(var e=0,g=c.extent.length;e<g;e++){c.extent[e].transform(this.projection,this.map.getProjection(),true)}}}}this.initResolutions();if(!this.isBaseLayer){this.inRange=this.calculateInRange();var k=((this.visibility)&&(this.inRange));this.div.style.display=k?"":"none"}this.setTileSize()}},calculateInRange:function(){var g=false;if(this.alwaysInRange){g=true}else{if(this.map){var c=this.map.getResolution();g=((c>=this.minResolution)&&(c<=this.maxResolution));if(g&&!this.isBaseLayer&&this.maxExtent){var e=this.map.calculateBounds();if(e){var a=this.restrictedExtent||this.maxExtent;g=e.intersectsBounds(a);if(g&&this.constraints){g=false;for(var d=0,b=this.constraints.length;d<b;d++){var f=this.constraints[d];if((c>=f.minResolution)&&(c<=f.maxResolution)){if(e.intersectsBounds(f.maxExtent)){g=true;break}}}}}}}}return g},initResolutions:function(){var e,a,h;var f={},d=true;for(e=0,a=this.RESOLUTION_PROPERTIES.length;e<a;e++){h=this.RESOLUTION_PROPERTIES[e];f[h]=this.options[h];if(d&&this.options[h]){d=false}}if(this.alwaysInRange==null){this.alwaysInRange=d}if(f.resolutions==null){f.resolutions=this.resolutionsFromScales(f.scales)}if(f.resolutions==null){f.resolutions=this.calculateResolutions(f)}if(f.resolutions==null){for(e=0,a=this.RESOLUTION_PROPERTIES.length;e<a;e++){h=this.RESOLUTION_PROPERTIES[e];f[h]=this.options[h]!=null?this.options[h]:this.map[h]}if(f.resolutions==null){f.resolutions=this.resolutionsFromScales(f.scales)}if(f.resolutions==null){f.resolutions=this.calculateResolutions(f)}}var c;if(this.options.maxResolution&&this.options.maxResolution!=="auto"){c=this.options.maxResolution}if(this.options.minScale){c=OpenLayers.Util.getResolutionFromScale(this.options.minScale,this.units)}var b;if(this.options.minResolution&&this.options.minResolution!=="auto"){b=this.options.minResolution}if(this.options.maxScale){b=OpenLayers.Util.getResolutionFromScale(this.options.maxScale,this.units)}if(f.resolutions){f.resolutions.sort(function(j,i){return(i-j)});if(!c){c=f.resolutions[0]}if(!b){var g=f.resolutions.length-1;b=f.resolutions[g]}}this.resolutions=f.resolutions;if(this.resolutions){a=this.resolutions.length;this.scales=new Array(a);for(e=0;e<a;e++){this.scales[e]=OpenLayers.Util.getScaleFromResolution(this.resolutions[e],this.units)}this.numZoomLevels=a}this.minResolution=b;if(b){this.maxScale=OpenLayers.Util.getScaleFromResolution(b,this.units)}this.maxResolution=c;if(c){this.minScale=OpenLayers.Util.getScaleFromResolution(c,this.units)}this.minZoomLevel=typeof(this.options.minZoomLevel)=="number"?this.options.minZoomLevel:this.map.minZoomLevel||0;if(this.minZoomLevel<0){this.minZoomLevel=0}this.maxZoomLevel=this.options.maxZoomLevel||this.map.maxZoomLevel;if(this.resolutions){this.maxZoomLevel=this.maxZoomLevel||this.resolutions.length-1;if(this.maxZoomLevel>this.resolutions.length){this.maxZoomLevel=this.resolutions.length-1}if(this.minZoomLevel>this.resolutions.length){this.minZoomLevel=0}this.maxResolution=this.resolutions[this.minZoomLevel];this.minResolution=this.resolutions[this.maxZoomLevel];this.minScale=this.scales[this.minZoomLevel];this.maxScale=this.scales[this.maxZoomLevel]}},setOpacity:function(b){if(b!=this.opacity){this.opacity=b;var f=this.div.childNodes;for(var d=0,a=f.length;d<a;++d){var c=f[d].firstChild||f[d];var e=f[d].lastChild;if(e&&e.nodeName.toLowerCase()==="iframe"){c=e.parentNode}if(c){OpenLayers.Util.modifyDOMElement(c,null,null,null,null,null,null,b)}}if(this.map!=null){this.map.events.triggerEvent("changelayer",{layer:this,property:"opacity"})}}}})}if(OpenLayers.StyleMap){OpenLayers.StyleMap=OpenLayers.overload(OpenLayers.StyleMap,{clone:function(){var c={};for(var b in this.styles){c[b]=this.styles[b].clone()}var a={};a.extendDefault=this.extendDefault;return new OpenLayers.StyleMap(c,a)}})}if(OpenLayers.Layer&&OpenLayers.Layer.Vector){OpenLayers.Layer.Vector=OpenLayers.overload(OpenLayers.Layer.Vector,{setOpacity:function(a){if(a!=this.opacity){this.opacity=a;if(this.renderer&&this.renderer.root){OpenLayers.Util.modifyDOMElement(this.renderer.root,null,null,null,null,null,null,a);if(this.map!=null){this.map.events.triggerEvent("changelayer",{layer:this,property:"opacity"})}}}},transform:function(e,b){if(this.protocol){this.protocol.format.internalProjection=b.clone()}else{if(this.format){this.format.internalProjection=b.clone()}else{if(!this.formatOptions){this.formatOptions={}}this.formatOptions.internalProjection=b.clone()}}for(var d=0,a=this.features.length;d<a;d++){var c=this.features[d];c.geometry.transform(e,b);if(c.popup&&c.popup.lonlat){c.popup.hide();c.popup.lonlat.transform(e,b)}}},changeBaseLayer:function(a){if(OpenLayers.Layer.prototype.changeBaseLayer.apply(this,arguments)===false){return false}if(!this.isBaseLayer){var b=this.getVisibility();if(b){this.setVisibility(false)}var d=this.map.getProjection();var c=a.baseLayer?a.baseLayer.getNativeProjection():null;this.addOptions({projection:d.clone()});if(c){this.transform(c,d)}if(b){this.setVisibility(true)}}return true},getCompatibleProjection:function(b){if(this.aggregate!=undefined){return undefined}var a=this.getNativeProjection();if(a==null){if(this.map==null){return undefined}return null}return a}})}if(OpenLayers.Layer&&OpenLayers.Layer.Vector&&OpenLayers.Layer.Vector.RootContainer){OpenLayers.Layer.Vector.RootContainer=OpenLayers.overload(OpenLayers.Layer.Vector.RootContainer,{changeBaseLayer:function(a){if(OpenLayers.Layer.prototype.changeBaseLayer.apply(this,arguments)===false){return false}return true},getCompatibleProjection:function(b){var a=this.getNativeProjection();if(a==null){if(this.map==null){return undefined}return null}return a}})}if(OpenLayers.Control&&OpenLayers.Control.SelectFeature){OpenLayers.Control.SelectFeature=OpenLayers.overload(OpenLayers.Control.SelectFeature,{initialize:function(c,a){OpenLayers.Control.prototype.initialize.apply(this,[a]);if(this.scope===null){this.scope=this}this.initLayer(c);var b={click:this.clickFeature,clickout:this.clickoutFeature};if(this.hover){b.over=this.overFeature;b.out=this.outFeature}this.callbacks=OpenLayers.Util.extend(b,this.callbacks);this.handlers={feature:new OpenLayers.Handler.Feature(this,this.layer,this.callbacks,OpenLayers.Util.extend({geometryTypes:this.geometryTypes},OpenLayers.Util.extend({},this.handlersOptions&&this.handlersOptions.feature)))};if(this.box){this.handlers.box=new OpenLayers.Handler.Box(this,{done:this.selectBox},{boxDivClassName:"olHandlerBoxSelectFeature"})}}})}if(OpenLayers.Handler&&OpenLayers.Handler.Keyboard){OpenLayers.Handler.Keyboard=OpenLayers.overload(OpenLayers.Handler.Keyboard,{activate:function(){if(OpenLayers.Handler.prototype.activate.apply(this,arguments)){for(var b=0,a=this.KEY_EVENTS.length;b<a;b++){OpenLayers.Event.observe(OpenLayers.getDoc(),this.KEY_EVENTS[b],this.eventListener)}return true}else{return false}},deactivate:function(){var c=false;if(OpenLayers.Handler.prototype.deactivate.apply(this,arguments)){for(var b=0,a=this.KEY_EVENTS.length;b<a;b++){OpenLayers.Event.stopObserving(OpenLayers.getDoc(),this.KEY_EVENTS[b],this.eventListener)}c=true}return c}})}if(OpenLayers.Handler&&OpenLayers.Handler.MouseWheel){OpenLayers.Handler.MouseWheel=OpenLayers.overload(OpenLayers.Handler.MouseWheel,{onWheelEvent:function(k){if(!this.map||!this.checkModifiers(k)){return}var g=false;var n=false;var f=false;var b=OpenLayers.Event.element(k);while((b!=null)&&!f&&!g){if(!g){try{var c;if(b.currentStyle){c=b.currentStyle.overflow}else{var a=b.ownerDocument.defaultView.getComputedStyle(b,null);c=a.getPropertyValue("overflow")}g=(c&&(c=="auto")||(c=="scroll"))}catch(d){}}if(!n){for(var h=0,j=this.map.layers.length;h<j;h++){if(b==this.map.layers[h].div||b==this.map.layers[h].pane){n=true;break}}}f=(b==this.map.div);b=b.parentNode}if(!g&&f){if(n){var l=0;if(!k){k=window.event}if(k.wheelDelta){l=k.wheelDelta/120;if(window.opera&&window.opera.version()<9.2){l=-l}}else{if(k.detail){l=-k.detail/3}}this.delta=this.delta+l;if(this.interval){window.clearTimeout(this._timeoutId);this._timeoutId=window.setTimeout(OpenLayers.Function.bind(function(){this.wheelZoom(k)},this),this.interval)}else{this.wheelZoom(k)}}OpenLayers.Event.stop(k)}},activate:function(a){if(OpenLayers.Handler.prototype.activate.apply(this,arguments)){var b=this.wheelListener;OpenLayers.Event.observe(window,"DOMMouseScroll",b);OpenLayers.Event.observe(window,"mousewheel",b);OpenLayers.Event.observe(OpenLayers.getDoc(),"mousewheel",b);return true}else{return false}},deactivate:function(a){if(OpenLayers.Handler.prototype.deactivate.apply(this,arguments)){var b=this.wheelListener;OpenLayers.Event.stopObserving(window,"DOMMouseScroll",b);OpenLayers.Event.stopObserving(window,"mousewheel",b);OpenLayers.Event.stopObserving(OpenLayers.getDoc(),"mousewheel",b);return true}else{return false}}})}if(OpenLayers.Tile&&OpenLayers.Tile.Image){OpenLayers.Tile.Image=OpenLayers.overload(OpenLayers.Tile.Image,{initialize:function(e,a,f,c,d,b){OpenLayers.Tile.prototype.initialize.apply(this,arguments);this.url=c;this.layerAlphaHack=this.layer.alpha&&OpenLayers.Util.alphaHack();if(this.maxGetUrlLength!=null||this.layer.gutter||this.layerAlphaHack){this.frame.style.position="absolute";this.frame.style.overflow="hidden"}if(this.maxGetUrlLength!=null){OpenLayers.Util.extend(this,OpenLayers.Tile.Image.IFrame)}}})}if(OpenLayers.Format&&OpenLayers.Format.WMSCapabilities){OpenLayers.Format.WMSCapabilities=OpenLayers.overload(OpenLayers.Format.WMSCapabilities,{readNode:OpenLayers.Format.XML.prototype.readNode,readChildNodes:OpenLayers.Format.XML.prototype.readChildNodes})}if(OpenLayers.Format&&OpenLayers.Format.WMSCapabilities&&OpenLayers.Format.WMSCapabilities.v1){(function(){var a=OpenLayers.Util.extend({},OpenLayers.Format.WMSCapabilities.v1.prototype.readers);a.wms["Layer"]=function(c,f){var l=c.getAttributeNode("queryable");var d=(l&&l.specified)?c.getAttribute("queryable"):null;l=c.getAttributeNode("cascaded");var j=(l&&l.specified)?c.getAttribute("cascaded"):null;l=c.getAttributeNode("opaque");var g=(l&&l.specified)?c.getAttribute("opaque"):null;var k=c.getAttribute("noSubsets");var b=c.getAttribute("fixedWidth");var i=c.getAttribute("fixedHeight");var h={nestedLayers:[],styles:[],srs:{},metadataURLs:[],bbox:{},dimensions:{},authorityURLs:{},identifiers:{},keywords:[],queryable:(d&&d!=="")?(d==="1"||d==="true"):null,cascaded:(j!==null)?parseInt(j):null,opaque:g?(g==="1"||g==="true"):null,noSubsets:(k!==null)?(k==="1"||k==="true"):null,fixedWidth:(b!=null)?parseInt(b):null,fixedHeight:(i!=null)?parseInt(i):null,dataURLs:[],featureListURLs:[]};f.nestedLayers.push(h);this.readChildNodes(c,h);if(h.name){var e=h.name.split(":");if(e.length>0){h.prefix=e[0]}}};a.wms["MetadataURL"]=function(b,c){var d={type:b.getAttribute("type"),formats:[]};c.metadataURLs.push(d);this.readChildNodes(b,d)};a.wms["DataURL"]=function(b,c){var d={};c.dataURLs.push(d);this.readChildNodes(b,d)};a.wms["FeatureListURL"]=function(c,d){var b={};d.featureListURLs.push(b);this.readChildNodes(onde,b)};OpenLayers.Format.WMSCapabilities.v1=OpenLayers.overload(OpenLayers.Format.WMSCapabilities.v1,{readers:a});a=null})()}if(OpenLayers.Format&&OpenLayers.Format.Filter){OpenLayers.Format.Filter=OpenLayers.overload(OpenLayers.Format.Filter,{readNode:OpenLayers.Format.XML.prototype.readNode,readChildNodes:OpenLayers.Format.XML.prototype.readChildNodes})}if(OpenLayers.Renderer&&OpenLayers.Renderer.Elements){OpenLayers.Renderer.Elements=OpenLayers.overload(OpenLayers.Renderer.Elements,{HALO_ID_SUFFIX:"_halo",removeText:function(e){var b=this.root.ownerDocument.getElementById(e+this.LABEL_ID_SUFFIX);if(b){this.textRoot.removeChild(b);var d=OpenLayers.getDoc().getElementById(e+this.LABEL_ID_SUFFIX+this.HALO_ID_SUFFIX);if(d){this.textRoot.removeChild(d)}}var f=this.root.ownerDocument.getElementById(e+this.LABEL_ID_SUFFIX+"_bg");if(f){this.textRoot.removeChild(f)}var c=this.root.ownerDocument.getElementById(e+this.LABEL_OUTLINE_SUFFIX);if(c){this.textRoot.removeChild(c)}var a=this.root.ownerDocument.getElementById(e+this.LABEL_OUTLINE_SUFFIX+"_bg");if(a){this.textRoot.removeChild(a)}}});OpenLayers.Renderer.symbol=OpenLayers.Util.extend(OpenLayers.Renderer.symbol,{lightning:[0,0,4,2,6,0,10,5,6,3,4,5,0,0],rectangle:[0,0,4,0,4,10,0,10,0,0],_square_:[-4,-5,-2,-3,-2,2,3,2,3,-3,-2,-3,-4,-5,5,-5,5,4,-4,4,-4,-5],blazon:[-10,-8,-10,10,0,15,10,10,10,-8],arrow:[-5,-2,3,-2,3,-3,6,0,3,3,3,2,-5,2,-5,-2],_arrow_:[-2,11,-2,4,-4,4,0,0,0,-11,0,0,4,4,2,4,2,11,-2,11],heart:[0,4,-4,0,-4,-2,-3,-3,-1,-3,0,-2,1,-3,3,-3,4,-2,4,0,0,4],_ruins_:[-100,1200,-216,1225,-312,1288,-375,1384,-400,1500,-375,1616,-312,1713,-216,1775,-100,1800,16,1775,113,1713,284,2025,188,2088,125,2184,100,2300,-300,2300,-325,2184,-387,2088,-484,2025,-600,2000,-716,2025,-812,2088,-875,2184,-900,2300,-875,2416,-812,2513,-716,2575,-600,2600,-484,2575,-387,2513,-325,2416,-300,2300,100,2300,125,2416,188,2513,284,2575,400,2600,516,2575,613,2513,675,2416,700,2300,675,2184,613,2088,516,2025,400,2000,284,2025,284,2025,113,1713,113,1713,175,1616,200,1500,175,1384,113,1288,16,1225,-100,1200],gaz:[0,10,6,10,5,10,5,1,1,1,1,4,1,4,6,4,6,4,6,0,0,0,0,3,-1,3,-1,9,0,9,0,3,0,4,1,4,1,10,0,10],_gaz_:[-6,0,-6,7,-5,7,-5,17,-7,17,-7,18,4,18,4,17,2,17,2,9,3,9,4,10,4,16,5,17,7,17,8,16,8,6,4,2,4,3,6,5,7,6,7,7,6,7,6,5,5,4,5,7,6,8,7,8,7,16,5,16,5,9,4,8,2,8,2,7,3,7,3,5,-4,5,-4,2,1,2,1,5,3,5,3,0,-6,0],car:[0,10,1,10,1,12,2,13,3,13,4,12,4,10,11,10,11,12,12,13,13,13,14,12,14,10,15,10,15,7,12,7,12,8,14,8,14,7,15,7,15,6,14,5,14,1,13,0,2,0,1,1,1,5,2,5,2,1,13,1,13,5,14,5,1,5,0,6,0,7,3,7,3,8,1,8,1,7,0,7,0,10],_car_:[0,9,1,9,1,11,2,12,3,12,4,11,4,9,11,9,11,11,12,12,13,12,14,11,14,9,15,9,15,6,14,6,14,7,12,7,12,6,15,6,15,5,14,4,13,0,2,0,1,4,2,4,3,1,12,1,13,4,1,4,0,5,0,6,3,6,3,7,1,7,1,6,0,6,0,9],_bus_:[-8,6,-7,7,-7,9,-6,10,-5,10,-4,9,-4,7,3,7,3,9,4,10,5,10,6,9,6,7,7,6,7,3,6,3,6,5,4,5,4,3,3,3,3,4,-4,4,-4,5,3,5,3,6,-4,6,-4,3,7,3,7,-7,6,-8,6,-6,-7,-6,-7,-7,6,-7,6,-8,-7,-8,-8,-7,-8,2,-7,2,-7,-4,-6,-5,-1,-5,-1,1,0,1,0,-5,5,-5,6,-4,6,1,5,1,4,0,2,0,1,1,-7,1,-7,3,-5,3,-5,5,-7,5,-7,2,-8,2,-8,6],bicycle:[0,6,1,8,3,9,5,9,7,8,8,6,8,4,7,2,5,1,6,-1,12,5,16,5,16,6,17,8,19,9,21,9,23,8,24,6,24,4,23,2,21,1,19,1,17,2,16,4,16,5,20,5,16,-1,12,5,16,-1,18,-3,14,-3,16,-2,16,-1,6,-1,7,-4,9,-4,7,-4,6,-1,4,5,5,1,3,1,1,2,0,4,0,6],_train_:[1,17,0,16,0,15,3,15,3,13,1,13,1,15,0,15,0,11,11,11,12,10,12,6,11,5,9,5,9,3,4,3,4,4,9,4,9,5,2,5,1,6,1,10,2,11,0,11,0,5,0,3,1,2,3,2,2,1,3,0,4,1,3,2,10,2,9,1,10,0,11,1,10,2,12,2,13,3,13,13,10,13,10,15,12,15,12,13,13,13,13,16,12,17,12,19,11,20,13,25,11,25,10,20,3,20,3,19,10,19,10,17,3,17,3,19,3,20,2,25,0,25,2,20,1,19,1,17],_ship_:[-2,12,0,20,0,22,-1,22,-3,23,-5,22,-7,23,-7,24,-5,23,-3,24,-1,23,1,24,3,23,5,24,7,23,9,24,11,23,13,24,15,23,17,24,17,25,15,24,13,25,11,24,9,25,7,24,5,25,3,24,1,25,-1,24,-3,25,-5,24,-7,25,-7,26,17,26,17,24,17,23,15,22,13,23,11,22,10,22,10,20,12,12,10,11,10,6,7,5,7,0,3,0,3,5,0,6,0,11,1,10,2,7,8,7,9,8,9,10,5,9,1,10,0,11,-2,12],airport:[40,-80,30,-70,20,-50,20,20,-100,70,-100,90,20,70,30,170,10,190,10,200,45,190,80,200,80,190,60,170,70,70,190,90,190,70,70,20,70,-50,60,-70,50,-80,40,-80],_airport_:[60,-80,50,-70,40,-50,50,-50,60,-60,70,-60,80,-50,40,-50,40,20,-80,70,-80,100,40,80,50,170,30,190,30,210,65,200,100,210,100,190,80,170,90,80,210,100,210,70,90,20,90,-50,80,-70,70,-80,60,-80],_boat_:[-5,1,-4,3,7,3,9,1,0,1,0,-11,9,0,-1,0,-1,-9,-7,0,0,0,0,1,-5,1],_baggage_:[0,3,0,8,1,9,10,9,11,8,11,3,10,2,9,2,9,9,8,9,8,2,4,2,4,1,7,1,7,2,8,2,8,0,3,0,3,2,3,2,3,9,2,9,2,2,1,2,0,3],_anchor_:[300,-400,222,-384,160,-340,116,-278,100,-200,116,-121,160,-59,219,-18,0,0,0,100,125,100,225,200,225,800,100,950,0,950,-93,914,-209,796,-250,700,-200,700,-300,500,-400,700,-346,700,-300,900,-150,1059,44,1156,200,1200,300,1300,400,1200,556,1156,750,1059,900,850,945,700,1000,700,900,500,800,700,850,700,809,818,693,914,600,950,500,950,375,800,375,200,475,100,600,100,600,0,381,-18,440,-59,484,-121,500,-200,400,-200,300,-100,200,-200,300,-300,400,-200,500,-200,484,-278,440,-340,378,-384,300,-400],christian:[4,0,6,0,6,4,10,4,10,6,6,6,6,14,4,14,4,6,0,6,0,4,4,4,4,0],_christian_:[3,8,2,8,2,3,0,3,0,2,2,2,2,0,3,0,3,2,5,2,5,3,3,3,3,16,3,8],church:[0,-500,-200,-462,-354,-354,-462,-200,-500,0,-462,200,-354,354,-200,462,0,500,200,462,354,354,462,200,500,0,462,-200,354,-354,200,-462,0,-500,0,-1400,400,-1400,-400,-1400,0,-1400,0,-1800],_church_:[250,200,250,400,50,400,50,500,250,500,250,800,180,825,90,890,25,980,0,1100,25,1210,90,1310,180,1375,300,1400,300,2000,300,1400,410,1375,510,1310,575,1210,600,1100,575,980,510,890,410,825,350,800,350,500,550,500,550,400,350,400,350,200,250,200],_church2_:[0,7,2,7,2,3,0,3,0,2,2,2,2,0,3,0,3,2,5,2,5,3,3,3,3,7,5,7,5,12,3,12,3,18,3,12,0,12,0,7],church2:[4,19,4,15,3,15,3,11,2,10,3,9,4,10,3,11,3,15,2,15,2,19,0,19,0,9,3,3,3,0,3,1,2,1,4,1,3,1,3,3,6,9,6,12,12,12,14,15,14,19,4,19],church3:[4,0,6,0,6,4,10,4,10,6,6,6,6,14,4,14,4,6,0,6,0,4,4,4,4,0],davidstar:[17,0,12,10,22,10,12,10,0,10,6,20,12,10,6,20,0,30,12,30,6,20,12,30,17,40,22,30,12,30,34,30,28,20,22,30,28,20,34,10,22,10,28,20,22,10,17,0],industry:[-4,4,-4,0,-1,-2,-1,0,2,-2,2,0,4,-2,5,-8,6,-8,7,-1,7,4,-4,4],tools:[-5,4,-5,3,-4,2,-3,2,-1,0,-4,-3,-4,-4,-3,-4,0,-1,2,-3,2,-4,3,-5,4,-5,3,-4,4,-3,5,-4,5,-3,4,-2,3,-2,1,0,2,1,3,1,5,3,5,4,4,5,3,5,1,3,1,2,0,1,-2,3,-2,4,-3,5,-4,5,-3,4,-4,3,-5,4],_recycle_:[18,31,27,41,3,43,9,46,0,62,18,93,54,93,54,68,26,68,31,59,36,63,27,41,18,31,40,43,54,19,59,28,53,31,77,32,90,31,67,44,81,67,72,67,72,61,59,80,72,100,72,93,90,93,108,62,90,31,77,32,86,12,81,15,72,0,36,0,18,31],mine:[-1,6,-1,6,0,7,0,7,3,4,3,4,6,7,6,7,7,6,4,3,6,1,6,1,7,2,7,2,9,0,6,-3,4,-1,5,0,3,2,1,0,2,-1,0,-3,-2,0,-2,3,0,1,2,3,-1,6],_nuclear_:[-225,-509,-578,-278,-809,75,-900,500,-100,500,-75,615,-12,712,75,775,200,800,200,1000,-9,959,-81,906,-412,1387,-225,1509,200,1600,625,1509,812,1387,478,903,393,959,200,1000,200,800,356,775,412,713,475,615,500,500,1300,500,1209,75,978,-278,625,-509,393,40,553,145,659,306,700,500,500,500,475,384,412,287,315,225,200,200,84,225,-12,287,-75,384,-100,500,-300,500,-259,306,-153,146,6,40,-225,-509],food:[-2,5,-3,4,0,1,-1,0,-2,0,-4,-4,-4,-5,1,0,3,-2,3,-3,5,-5,4,-3,6,-4,5,-2,7,-3,5,-1,4,-1,2,1,5,4,4,5,1,2,-2,5],_food_:[0,0,1,0,1,4,2,4,2,0,3,0,3,4,4,4,4,0,5,0,5,5,4,6,3,6,4,14,6,14,7,8,6,7,7,1,8,0,9,0,9,14,8,15,7,15,6,14,4,14,3,15,2,15,1,14,2,6,1,6,0,5,0,0],_food2_:[-1000,-400,-1000,-100,-425,700,-200,700,-100,800,-800,1400,-800,1600,-700,1700,-500,1700,75,1045,600,1700,800,1700,900,1600,900,1400,275,800,525,525,600,600,800,600,1300,100,1200,0,800,400,700,300,1100,-100,1000,-200,600,200,500,100,900,-300,800,-400,300,100,300,300,375,375,100,600,-1000,-400],_coffee_:[2,0,2,5,3,6,3,7,0,7,1,8,10,8,11,7,3,7,3,6,8,6,9,5,9,4,10,4,11,3,11,1,10,0,9,0,9,1,10,1,10,3,9,3,9,0,2,0],_bar_:[2,12,2,11,5,11,5,6,0,0,11,0,6,6,6,5,7,4,6,3,5,4,6,5,6,6,6,11,9,11,9,12,2,12],phone:[6,1,10,-2,10,-3,9,-4,4,0,9,-4,8,-5,4,-5,0,-3,-4,1,-6,5,-6,9,-5,10,-1,5,-5,10,-4,11,-3,11,0,7,0,6,-1,5,-1,4,3,0,4,0,5,1,6,1],letter:[0,2,4,-2,0,2,-4,-2,-4,4,-1,1,-4,4,4,4,1,1,4,4,4,-2,-4,-2,0,2],market:[-2,5,-3,6,-2,7,-1,6,-2,5,5,5,4,5,3,6,4,7,5,6,4,5,5,-1,5,-2,7,-2,5,-2,5,-1,-4,-1,-3,3,4,4,4,5,-2,5],_i_:[500,0,384,25,287,87,225,184,200,300,225,415,287,512,384,575,500,600,500,700,0,700,0,800,250,900,250,1500,0,1600,0,1700,1000,1700,1000,1600,750,1500,750,700,500,700,500,600,615,575,713,512,775,415,800,300,775,184,712,87,615,25,500,0],_theater_:[3,-4,7,-4,6,-1,5,-2,3,-3,2,-3,0,-3,1,-2,2,-3,3,-3,3,-2,5,-2,6,-1,5,2,4,1,2,-1,0,0,2,0,4,1,5,2,3,3,2,3,0,1,-1,0,-2,1,-4,0,-2,0,-1,0,-1,-2,-2,-2,-1,-3,-1,-6,-1,-5,-3,-3,-7,-3,-6,-2,-5,-1,-4,-1,-4,-2,-6,-2,-7,-3,-5,1,-3,2,-1,2,0,1,1,1,-1,3,-2,3,-5,2,-8,-4,-3,-4,-1,-6,3,-4],castle:[0,0,1,1,5,1,6,0,5,1,5,3,6,4,5,3,1,3,0,4,1,3,1,1,0,0],_castle_:[-6,-4,-7,-3,-5,-1,-5,2,-7,4,-6,5,-4,3,4,3,6,5,7,4,5,2,5,-1,7,-3,6,-4,4,-2,-4,-2,-6,-4],castle1:[-2,14,-1,3,-2,2,-2,-2,0,-2,0,0,2,0,2,-2,4,-2,4,0,6,0,6,-2,8,-2,8,2,7,3,8,14,5,14,5,9,4,8,2,8,1,9,1,14,-2,14],teepee:[1,-8,0,-6,-5,4,-2,4,0,0,2,4,6,4,-6,4,5,4,0,-6,-1,-8,0,-6,1,-8],_teepee_:[4,-2,2,-2,0,1,-2,-2,-4,-2,-1,2,-8,17,-11,17,-11,18,11,18,11,17,3,17,-3,17,0,10,3,17,8,17,1,2,4,-2],_trailer_:[1,0,0,1,2,2,6,2,6,4,2,4,2,2,0,1,0,8,5,8,6,7,7,7,8,8,8,9,7,10,6,10,5,9,5,8,4,8,4,7,6,6,7,6,9,7,9,8,14,8,14,7,12,7,12,4,12,1,11,2,11,4,8,4,8,2,11,2,12,1,11,0,1,0],_trailer2_:[5,6,8,6,9,8,15,8,15,7,13,7,13,3,12,1,10,0,3,0,1,1,0,3,1,4,2,2,4,1,6,1,6,4,8,4,8,1,9,1,11,2,12,4,1,4,0,3,0,8,5,8,5,9,6,10,7,10,8,9,8,8,7,7,6,7,5,8,4,8,5,6],museum:[1,0,0,1,1,2,2,2,2,9,2,5,4,5,4,8,4,5,6,5,6,9,6,5,2,5,2,2,3,2,4,1,3,0,1,0],_museum_:[-30,-110,-40,-110,-35,-120,-45,-120,-55,-130,-55,-160,-45,-170,-35,-170,-25,-175,-15,-170,-5,-170,5,-160,5,-130,-15,-130,-5,-140,-5,-150,-15,-160,-25,-155,-35,-160,-45,-150,-45,-140,-35,-130,-25,-135,-15,-130,5,-130,-5,-120,-15,-120,-10,-110,-20,-110,-20,-70,35,-70,45,-60,45,0,30,0,30,-50,25,-55,15,-55,15,0,0,0,0,-55,-15,-55,-15,0,-30,0,-30,-110],labyrinthe:[-1,6,-1,7,0,8,1,8,2,7,2,6,4,6,6,4,6,2,7,2,8,1,8,0,7,-1,6,-1,6,-3,4,-5,2,-5,2,-6,1,-7,0,-7,-1,-6,-1,-5,-3,-5,-5,-3,-5,-1,-6,-1,-7,0,-7,1,-6,2,-5,2,-5,4,-4,5,-3,4,-2,5,0,5,0,6,1,6,1,5,3,5,5,3,5,1,6,1,6,0,5,0,5,-2,4,-3,3,-2,2,-3,-1,-3,-3,-1,-3,2,-1,4,2,4,3,3,2,2,3,1,3,0,1,-2,0,-2,-1,-1,0,0,1,0,1,1,0,1,0,0,-1,-1,-2,0,-2,1,0,3,1,3,2,2,3,3,4,2,4,-1,3,-2,4,-3,3,-4,1,-4,1,-5,0,-5,0,-4,-2,-4,-4,-2,-4,0,-5,0,-5,1,-4,1,-4,3,-3,4,-4,5,-3,6,-1,6],flower:[-5,3,-5,5,-4,6,-2,6,-1,5,-1,2,0,2,2,5,4,5,5,4,5,2,4,1,1,1,1,0,4,-2,4,-4,3,-5,1,-5,0,-4,0,-1,-1,-1,-3,-4,-5,-4,-6,-3,-6,-1,-5,0,-2,0,-2,1,-2,0,-1,-1,0,-1,1,0,1,1,0,2,-1,2,-2,1,-5,3],_photo_:[1,1,0,2,0,6,1,7,5,7,5,6,3,6,3,5,5,5,5,3,3,3,3,6,2,5,2,3,3,2,5,2,6,3,6,5,5,6,5,7,8,7,9,6,9,2,8,2,8,3,7,3,7,2,8,2,9,2,8,1,6,1,5,0,3,0,2,1,1,1],stone:[10,60,10,30,0,30,0,10,80,0,90,10,90,30,80,30,80,60,55,60,60,30,30,30,35,60,10,60],parc:[7,4,10,0,14,6,9,5,14,6,10,12,9,7,10,12,4,12,7,8,4,12,0,6,5,7,0,6,4,0,5,5,4,0,10,0,7,4,9,5,9,7,7,8,5,7,5,5,7,4,7,4],_monument_:[-7,-2,-9,-1,-9,-3,0,-8,9,-3,9,-1,0,-6,-7,-2,0,-2,0,-3,-3,-3,0,-5,3,-3,0,-3,0,-2,7,-2,7,-1,7,6,5,6,5,0,3,0,3,6,1,6,1,0,-1,0,-1,6,-3,6,-3,0,-5,0,-5,6,-7,6,9,6,9,8,-9,8,-9,6,-7,6,-7,-2],_swamp_:[-3,0,-3,1,4,1,4,0,3,0,3,-2,4,-5,3,-5,2,-2,2,0,1,0,1,-3,0,-7,-1,-7,0,-3,0,0,-1,0,-1,-1,-2,-3,-3,-3,-2,-1,-2,0,-3,0],tree:[3,4,0,4,0,1,-3,1,0,-8,3,1,0,1,0,4,3,4],_wifi_:[9,8,9,9,19,9,20,8,20,1,19,0,1,0,0,1,0,8,1,9,9,9,9,7,6,7,5,5,4,7,2,2,3,2,4,4,5,2,6,4,7,2,8,2,6,7,9,7,9,4,10,4,10,3,9,3,9,2,10,2,10,7,9,7,9,8,11,7,11,2,13,1,19,1,19,8,17,8,17,7,18,7,18,4,17,4,17,3,18,3,18,2,17,2,17,8,12,8,12,7,13,7,13,5,15,5,15,4,13,4,13,3,16,3,16,2,12,2,12,8,9,8],home:[-10,-6,-10,10,10,10,10,-6,15,-6,0,-15,-15,-6],home2:[-2,6,0,5,2,3,6,-4,10,3,12,5,14,6,0,6,1,9,3,9,3,7,5,7,5,9,7,9,7,7,9,7,9,9,11,9,1,9,2,14,5,14,5,10,7,10,7,14,10,14,11,9,12,6,-2,6],foot:[0,0,5,0,5,2,4,3,5,4,6,3,5,2,5,0,10,0,10,1,8,1,8,5,10,5,8,5,8,1,10,1,10,6,5,6,5,4,6,3,5,2,4,3,5,4,5,6,0,6,0,5,2,5,2,1,0,1,2,1,2,5,0,5,0,0],_cloud_:[70,0,58,3,48,9,43,19,50,20,55,30,50,23,40,20,32,22,26,26,22,32,20,40,30,43,20,40,12,42,6,46,2,52,0,60,2,68,6,74,12,78,20,80,100,80,111,78,121,71,127,61,130,50,127,38,121,29,111,22,100,20,100,30,98,19,91,9,81,3,70,0],_sun_cloud_:[40,5,30,20,10,15,15,35,0,45,15,55,15,35,30,20,50,20,50,20,65,35,58,40,53,48,60,50,65,60,60,53,50,50,50,40,55,30,45,25,35,25,25,30,20,40,20,50,25,60,40,50,50,40,50,50,42,52,36,56,32,62,30,70,15,55,10,75,16,76,12,82,10,90,12,98,16,104,22,108,30,110,110,110,120,108,131,101,137,91,140,80,137,68,131,60,121,52,110,50,110,60,108,49,101,39,91,33,80,30,68,33,65,35,70,15,50,20,40,5],_rain_:[70,0,58,3,48,9,43,19,50,20,55,30,50,23,40,20,32,22,26,26,22,32,20,40,30,43,20,40,12,42,6,46,2,52,0,60,2,68,6,74,12,78,20,80,30,80,-10,120,0,120,10,110,0,110,10,100,20,100,30,90,20,90,30,80,50,80,0,130,10,130,20,120,10,120,20,110,30,110,40,100,30,100,40,90,50,90,60,80,70,80,30,120,40,120,50,110,40,110,50,100,60,100,70,90,60,90,70,80,90,80,40,130,50,130,60,120,50,120,60,110,70,110,80,100,70,100,80,90,90,90,100,80,111,78,121,71,127,61,130,50,127,38,121,29,111,22,100,20,100,30,98,19,91,9,81,3,70,0],_storm_:[70,0,58,3,48,9,43,19,50,20,55,30,50,23,40,20,32,22,26,26,22,32,20,40,30,43,20,40,12,42,6,46,2,52,0,60,2,68,6,74,12,78,20,80,60,80,30,100,50,110,30,160,80,110,60,100,80,80,100,80,111,78,121,71,127,61,130,50,127,38,121,29,111,22,100,20,100,30,98,19,91,9,81,3,70,0],_sun_:[12,4,9,6,9,2,6,-1,2,-1,-1,2,-1,6,2,9,6,9,5,8,7,7,8,5,8,3,7,1,5,0,3,0,1,1,0,3,0,5,1,7,3,8,5,8,6,9,9,6,10,10,6,9,4,12,2,9,-2,10,-1,6,-4,4,-1,2,-2,-2,2,-1,4,-4,6,-1,10,-2,9,2,12,4],_snow_:[1,-40,1,-29,-7,-34,-10,-29,1,-22,1,-16,-5,-19,-7,-14,-1,-11,-11,-6,-11,-13,-16,-13,-16,-7,-21,-10,-21,-23,-27,-23,-27,-13,-38,-19,-41,-13,-31,-8,-39,-4,-36,1,-24,-4,-19,-2,-24,1,-21,5,-16,2,-16,12,-21,9,-24,14,-19,16,-24,19,-36,13,-39,18,-31,22,-41,27,-38,33,-27,28,-27,37,-21,37,-21,25,-16,22,-16,27,-11,27,-11,21,-1,26,-8,28,-5,33,1,31,1,36,-10,43,-7,48,1,43,1,55,7,55,7,43,15,48,19,43,7,36,7,31,13,33,15,28,10,26,19,21,19,27,24,27,24,22,29,25,29,37,35,37,35,28,46,33,49,27,39,22,47,18,44,13,32,19,27,16,32,14,29,9,24,12,24,2,30,5,32,1,27,-2,33,-5,44,1,47,-4,39,-8,49,-13,46,-19,36,-14,36,-23,30,-23,30,-10,24,-7,24,-13,19,-13,19,-6,10,-11,15,-14,13,-19,7,-16,7,-22,18,-29,15,-34,7,-29,7,-40,1,-40,4,-6,16,0,16,15,4,20,-8,15,-8,0,4,-6,1,-40],snow:[3,0,4,1,4,3,3,3,2,2,2,1,2,2,1,2,2,2,3,3,3,4,1,4,0,3,1,4,0,5,1,4,3,4,3,5,2,6,1,6,2,6,2,7,2,6,3,5,4,5,4,7,3,8,4,7,5,8,4,7,4,5,5,5,6,6,6,7,6,6,7,6,6,6,5,5,5,4,7,4,8,5,7,4,8,3,7,4,5,4,5,3,6,2,7,2,6,2,6,1,6,2,5,3,4,3,4,1,5,0,4,1,3,0],_poi_:[0,-300,-116,-275,-212,-212,-275,-116,-300,0,-275,116,-212,213,-164,244,0,700,3,1400,0,700,164,244,213,213,275,116,300,0,275,-116,213,-212,116,-275,0,-300,0,-200,78,-184,141,-141,184,-78,200,0,184,78,141,141,78,184,0,200,0,100,38,91,72,72,91,38,100,0,91,-37,72,-72,38,-91,0,-100,-37,-91,-72,-72,-91,-37,-100,0,-91,38,-72,72,-37,91,0,100,0,200,-78,184,-141,141,-184,78,-200,0,-184,-78,-141,-141,-78,-184,0,-200,0,-300],_flag_:[1,0,1,-6,5,-8,0,-10,0,0,-4,10,0,0,1,0],_view_:[-500,0,-462,200,-354,354,-200,462,0,500,200,462,354,354,462,200,500,0,462,-200,354,-354,480,-480,1117,-1400,1400,-1400,1400,-1117,480,-480,354,-354,200,-462,0,-500,0,-700,-200,-1800,0,-2000,200,-1800,0,-700,0,-500,-200,-462,-354,-354,-480,-480,-1117,-1400,-1400,-1400,-1400,-1117,-480,-480,-354,-354,-462,-200,-500,0],_view1_:[-5,-60,0,0,-20,-55,-30,-50,0,0,30,-50,20,-55,0,0,0,60,0,0,5,-60,-5,-60],_view3_:[-5,-60,0,0,-20,-55,-30,-50,0,0,-50,0,-50,10,0,0,-50,20,-50,30,0,0,-40,40,-30,40,0,0,30,40,40,40,0,0,50,30,50,20,0,0,50,10,50,0,0,0,30,-50,20,-55,0,0,5,-60,-5,-60]})}if(OpenLayers.Control&&OpenLayers.Control.Panel){OpenLayers.UI.Panel=OpenLayers.Class(OpenLayers.UI,{changeLang:function(b){OpenLayers.UI.prototype.changeLang.apply(this,arguments);var d;for(var c=0,a=this.component.controls.length;c<a;c++){d=this.component.controls[c];d.changeLang(b)}},addElement:function(a){this.container.appendChild(a)},CLASS_NAME:"OpenLayers.UI.Panel"});OpenLayers.UI.JQuery.Panel=OpenLayers.Class(OpenLayers.UI.Panel,OpenLayers.UI.JQuery,{CLASS_NAME:"OpenLayers.UI.JQuery.Panel"});OpenLayers.Control.Panel=OpenLayers.overload(OpenLayers.Control.Panel,{uis:["OpenLayers.UI.Panel"],destroy:function(){OpenLayers.Control.prototype.destroy.apply(this,arguments);for(var a,b=this.controls.length-1;b>=0;b--){a=this.controls[b];if(a.events){a.events.un({activate:this.redraw,deactivate:this.redraw,scope:this})}OpenLayers.Event.stopObservingElement(this.controls[b].div)}this.activeState=null;this.controls=null},addPanelDiv:function(f){var d=f.getUI();var b={position:""};var g=d.getDom();if(g!=null){for(var c in g.style){var a=g.style[c];if(a===null){continue}switch(typeof(a)){case"number":case"string":if(a){b[c]=g.style[c]}break;default:break}}}f.div=d.render({style:b});f.changeLang();g=d.getDom();OpenLayers.Element.addClass(g,"olButton");f.panel_div=g},activateControl:function(d){if(!this.active){return false}if(d.type==OpenLayers.Control.TYPE_BUTTON){d.trigger();this.redraw();return}if(d.type==OpenLayers.Control.TYPE_TOGGLE){if(d.active){d.deactivate()}else{if(this.map){this.map.events.triggerEvent("controlactivated",{control:d})}d.activate()}this.redraw();return}if(this.allowDepress&&d.active){d.deactivate()}else{var e;for(var b=0,a=this.controls.length;b<a;b++){e=this.controls[b];if(e!=d&&(e.type===OpenLayers.Control.TYPE_TOOL||e.type==null)){e.deactivate()}}if(this.map){this.map.events.triggerEvent("controlactivated",{control:d})}d.activate()}},addControls:function(b){if(!(OpenLayers.Util.isArray(b))){b=[b]}this.controls=this.controls.concat(b);for(var c=0,a=b.length;c<a;c++){this.addPanelDiv(b[c])}if(this.map){this.addControlsToMap(b);this.redraw()}},redraw:function(){for(var c=0,a=this.controls.length;c<a;c++){var d=this.controls[c];var b=d.div;if(b){if(b.parentNode){b=b.parentNode.removeChild(b)}if(this.active){if(d.active===true){OpenLayers.Control.Panel.prototype.iconOn.apply(d,[])}else{OpenLayers.Control.Panel.prototype.iconOff.apply(d,[])}this.div.appendChild(b)}}}if(!this.active){this.div.innerHTML=""}},iconOn:function(){var a=this.div;if(a.className!=""){a.className=a.className.replace(new RegExp("("+this.getDisplayClass()+")(Item((A|Ina)ctive|Disabled))?"),"$1ItemActive")}},iconOff:function(){var a=this.div;if(a.className!=""){a.className=a.className.replace(new RegExp("("+this.getDisplayClass()+")(Item((A|Ina)ctive|Disabled))?"),"$1ItemInactive")}},iconBlock:function(){var a=this.div;if(a.className!=""){a.className=a.className.replace(new RegExp("("+this.getDisplayClass()+")(Item((A|Ina)ctive|Disabled))?"),"$1ItemDisabled")}}})}if(OpenLayers.Control&&OpenLayers.Control.ZoomPanel){OpenLayers.Control.ZoomPanel=OpenLayers.overload(OpenLayers.Control.ZoomPanel,{initialize:function(a){a=a||{};OpenLayers.Control.Panel.prototype.initialize.apply(this,[a]);this.addControls([new OpenLayers.Control.ZoomIn(a["OpenLayers.Control.ZoomIn"]),new OpenLayers.Control.ZoomToMaxExtent(a["OpenLayers.Control.ZoomToMaxExtent"]),new OpenLayers.Control.ZoomOut(a["OpenLayers.Control.ZoomOut"])])}})}if(OpenLayers.Layer&&OpenLayers.Layer.HTTPRequest){OpenLayers.Layer.HTTPRequest=OpenLayers.overload(OpenLayers.Layer.HTTPRequest,{changeBaseLayer:function(a){if(OpenLayers.Layer.prototype.changeBaseLayer.apply(this,arguments)===false){return false}if(!this.isBaseLayer){var b={displayInLayerSwitcher:this.displayInLayerSwitcher};var c=this.getCompatibleProjection(a.layer);if(c!=null){b.projection=c.clone();if(this.aggregate==undefined){b.displayInLayerSwitcher=true}}else{if(this.aggregate==undefined){b.displayInLayerSwitcher=false;this.visibility=true;this.setVisibility(false)}}this.addOptions(b);this.redraw()}return true}})}if(OpenLayers.Layer&&OpenLayers.Layer.Grid){OpenLayers.Layer.Grid=OpenLayers.overload(OpenLayers.Layer.Grid,{changeBaseLayer:OpenLayers.Layer.HTTPRequest.prototype.changeBaseLayer,getCompatibleProjection:OpenLayers.Layer.HTTPRequest.prototype.getCompatibleProjection,addTileMonitoringHooks:function(a){a.onLoadStart=function(){if(this.loading===false){this.loading=true;if(this.events.triggerEvent("loadstart")===false){return}}this.events.triggerEvent("tileloadstart",{tile:a});this.numLoadingTiles++};a.onLoadEnd=function(){this.numLoadingTiles--;this.events.triggerEvent("tileloaded",{tile:a});if(this.tileQueue.length===0&&this.numLoadingTiles===0){this.loading=false;this.events.triggerEvent("loadend");if(this.backBuffer){this.backBufferTimerId=window.setTimeout(OpenLayers.Function.bind(this.removeBackBuffer,this),this.removeBackBufferDelay)}}};a.onLoadError=function(){this.events.triggerEvent("tileerror",{tile:a})};a.events.on({loadstart:a.onLoadStart,loadend:a.onLoadEnd,unload:a.onLoadEnd,loaderror:a.onLoadError,scope:this})}})}if(OpenLayers.Strategy&&OpenLayers.Strategy.Fixed){OpenLayers.Strategy.Fixed=OpenLayers.overload(OpenLayers.Strategy.Fixed,{response:null,load:function(a){if(this.response){this.layer.protocol.abort(this.response);this.layer.events.triggerEvent("loadend")}if(this.layer.events.triggerEvent("loadstart")===false){return}if(this.layer.protocol){this.response=this.layer.protocol.read(OpenLayers.Util.applyDefaults({callback:OpenLayers.Function.bind(this.merge,this,this.layer.map.getProjection()),filter:this.layer.filter},a))}this.layer.events.un({visibilitychanged:this.load,scope:this})},merge:function(f,h){this.layer.destroyFeatures();var e=h.features;if(e&&e.length>0){var g=null;if(this.layer.protocol&&this.layer.protocol.format&&this.layer.protocol.format.internalProjection&&this.layer.protocol.format.externalProjection){g=this.layer.protocol.format.internalProjection}if(!g){g=this.layer.projection}var d=f;if(!d.equals(g)){var c;for(var b=0,a=e.length;b<a;++b){c=e[b].geometry;if(c){c.transform(g,d)}}}this.layer.addFeatures(e)}this.response=null;this.layer.events.triggerEvent("loadend")}})}if(OpenLayers.Layer&&OpenLayers.Layer.WMS){OpenLayers.Layer.WMS=OpenLayers.overload(OpenLayers.Layer.WMS,{changeBaseLayer:function(a){var b=this.getVisibility();if(OpenLayers.Layer.prototype.changeBaseLayer.apply(this,arguments)===false){return false}if(!this.isBaseLayer){var d=this.getCompatibleProjection(a.layer);if(d!=null){var c={projection:d.clone(),displayInLayerSwitcher:this.displayInLayerSwitcher};if(this.maxExtent){c.maxExtent=this.maxExtent}this.addOptions(c);if(this.savedStates[a.layer.id]){this.setVisibility(!!this.savedStates[a.layer.id].visibility)}return true}this.displayInLayerSwitcher=false;if(!this.savedStates[a.baseLayer.id]){this.savedStates[a.baseLayer.id]={}}this.savedStates[a.baseLayer.id].visibility=b;if(!b){this.visibility=true}this.setVisibility(false)}return true},getCompatibleProjection:function(c){var b=OpenLayers.Layer.prototype.getCompatibleProjection.apply(this,arguments);if(b!=null){return b}c=c||this.map.baseLayer;if(c.territory&&this.territory&&c.territory!==this.territory){return null}var d=c.getNativeProjection();for(var a in this.srs){if(!(a instanceof OpenLayers.Projection)){b=new OpenLayers.Projection(a)}else{b=a}if(b.isCompatibleWith(d)){return b}b=null}return null}})}if(OpenLayers.Request){OpenLayers.Request.getFQDNForUrl=function(a){if(a){var b=a.match(/^[a-z]+:\/\/([^\/]+)\/?/i);if(b){return b[1]}return window.location.host}return null};OpenLayers.Request.setProxyUrl=function(a){OpenLayers.ProxyHost=a;OpenLayers.ProxyHostFQDN=OpenLayers.Request.getFQDNForUrl(a);Proj4js.setProxyUrl(a)};OpenLayers.Request.proxyfyUrl=function(c,d,a){if(c){if(!OpenLayers.String.startsWith(a,c)){if(a.search(/^[a-z]+:\/\//i)!=-1){var b=a.match(/^[a-z]+:\/\/([^\/]*)\/?/i);if(b){b=b[1]}if(d!=b){a=c+encodeURIComponent(a)}}}}return a};OpenLayers.Request.issue=function(d){var g=OpenLayers.Util.extend(this.DEFAULT_CONFIG,{proxy:OpenLayers.ProxyHost});d=OpenLayers.Util.applyDefaults(d,g);var k=false;for(var h in d.headers){if(d.headers.hasOwnProperty(h)){if(h.toLowerCase()==="x-requested-with"){k=true}}}if(k===false){d.headers["X-Requested-With"]="XMLHttpRequest"}var f=new OpenLayers.Request.XMLHttpRequest();var a=OpenLayers.Util.urlAppend(d.url,OpenLayers.Util.getParameterString(d.params||{}));var j=!(a.indexOf("http")==0);var b=!j&&a.match(this.URL_SPLIT_REGEX);if(b){var l=window.location;j=b[1]==l.protocol&&b[3]==l.hostname;var e=b[4],c=l.port;if(e!=80&&e!=""||c!="80"&&c!=""){j=j&&e==c}}if(!j){if(d.proxy){if(typeof d.proxy=="function"){a=d.proxy(a)}else{a=OpenLayers.Request.proxyfyUrl(d.proxy,OpenLayers.Request.getFQDNForUrl(d.proxy),a)}}else{OpenLayers.Console.warn(OpenLayers.i18n("proxyNeeded"),{url:a})}}f.open(d.method,a,d.async,d.user,d.password);for(var i in d.headers){f.setRequestHeader(i,d.headers[i])}var o=this.events;var n=this;f.onreadystatechange=function(){if(f.readyState==OpenLayers.Request.XMLHttpRequest.DONE){var p=o.triggerEvent("complete",{request:f,config:d,requestUrl:a});if(p!==false){n.runCallbacks({request:f,config:d,requestUrl:a})}}};if(d.async===false){f.send(d.data)}else{window.setTimeout(function(){if(f.readyState!==0){f.send(d.data)}},0)}return f};(function(){var g=window.XMLHttpRequest;var a=!!window.controllers,k=window.document.all&&!window.opera,l=k&&window.navigator.userAgent.match(/MSIE 7.0/);function d(){this._object=g&&!l&&(window.location.protocol!=="file:"||!window.ActiveXObject)?new g:new window.ActiveXObject("Microsoft.XMLHTTP");this._listeners=[]}function c(){return new d}c.prototype=d.prototype;if(a&&g.wrapped){c.wrapped=g.wrapped}c.UNSENT=0;c.OPENED=1;c.HEADERS_RECEIVED=2;c.LOADING=3;c.DONE=4;c.PARSED_OK="Document contains no parsing errors";c.PARSED_EMPTY="Document is empty";c.PARSED_UNKNOWN_ERROR="Not well-formed or other error";c.prototype.readyState=c.UNSENT;c.prototype.responseText="";c.prototype.responseXML=null;c.prototype.status=0;c.prototype.statusText="";c.prototype.priority="NORMAL";c.prototype.onreadystatechange=null;c.onreadystatechange=null;c.onopen=null;c.onsend=null;c.onabort=null;c.prototype.open=function(q,u,p,w,o){delete this._headers;if(arguments.length<3){p=true}this._async=p;var s=this,r=this.readyState,n;if(k&&p){n=function(){if(r!=c.DONE){e(s);s.abort()}};window.attachEvent("onunload",n)}if(c.onopen){c.onopen.apply(this,arguments)}if(arguments.length>4){this._object.open(q,u,p,w,o)}else{if(arguments.length>3){this._object.open(q,u,p,w)}else{this._object.open(q,u,p)}}this.readyState=c.OPENED;b(this);this._object.onreadystatechange=function(){if(a&&!p){return}s.readyState=s._object.readyState;i(s);if(s._aborted){s.readyState=c.UNSENT;return}if(s.readyState==c.DONE){e(s);if(k&&p){window.detachEvent("onunload",n)}}if(r!=s.readyState){b(s)}r=s.readyState}};function f(n){n._object.send(n._data);if(a&&!n._async){n.readyState=c.OPENED;i(n);while(n.readyState<c.DONE){n.readyState++;b(n);if(n._aborted){return}}}}c.prototype.send=function(n){if(c.onsend){c.onsend.apply(this,arguments)}if(!arguments.length){n=null}if(n&&n.nodeType){n=window.XMLSerializer?new window.XMLSerializer().serializeToString(n):n.xml;if(!oRequest._headers["Content-Type"]){oRequest._object.setRequestHeader("Content-Type","application/xml")}}this._data=n;f(this)};c.prototype.abort=function(){if(c.onabort){c.onabort.apply(this,arguments)}if(this.readyState>c.UNSENT){this._aborted=true}this._object.abort();e(this);this.readyState=c.UNSENT;delete this._data};c.prototype.getAllResponseHeaders=function(){return this._object.getAllResponseHeaders()};c.prototype.getResponseHeader=function(n){return this._object.getResponseHeader(n)};c.prototype.setRequestHeader=function(n,o){if(!this._headers){this._headers={}}this._headers[n]=o;this._object.setRequestHeader(n,o)};c.prototype.addEventListener=function(q,p,o){for(var n=0,r;r=this._listeners[n];n++){if(r[0]==q&&r[1]==p&&r[2]==o){return}}this._listeners.push([q,p,o])};c.prototype.removeEventListener=function(q,p,o){for(var n=0,r;r=this._listeners[n];n++){if(r[0]==q&&r[1]==p&&r[2]==o){break}}if(r){this._listeners.splice(n,1)}};c.prototype.dispatchEvent=function(o){var p={type:o.type,target:this,currentTarget:this,eventPhase:2,bubbles:o.bubbles,cancelable:o.cancelable,timeStamp:o.timeStamp,stopPropagation:function(){},preventDefault:function(){},initEvent:function(){}};if(p.type=="readystatechange"&&this.onreadystatechange){(this.onreadystatechange.handleEvent||this.onreadystatechange).apply(this,[p])}for(var n=0,q;q=this._listeners[n];n++){if(q[0]==p.type&&!q[2]){(q[1].handleEvent||q[1]).apply(this,[p])}}};c.prototype.toString=function(){return"[object XMLHttpRequest]"};c.toString=function(){return"[XMLHttpRequest]"};c.getParseErrorText=function(n){if(!n){return this.PARSED_EMPTY}var q=this.PARSED_OK;if(k){if(n.parseError&&n.parseError.errorCode&&n.parseError.errorCode!=0){q=OpenLayers.i18n("xml.parse.error",{reason:n.parseError.reason,url:n.parseError.url,line:n.parseError.line,linepos:n.parseError.linepos,srcText:n.parseError.srcText});for(var p=0;p<n.parseError.linepos;p++){q+="-"}q+="^\n"}else{if(!n.documentElement){return this.PARSED_EMPTY}}}else{if(n.documentElement&&n.documentElement.tagName=="parsererror"){q=n.documentElement.firstChild.data;q+="\n"+n.documentElement.firstChild.nextSibling.firstChild.data}else{if(n.getElementsByTagName("parsererror").length>0){var o=n.getElementsByTagName("parsererror")[0];q=h(o,true)+"\n"}else{if(n.parseError&&n.parseError.errorCode!=0){q=this.PARSED_UNKNOWN_ERROR}else{if(!n.documentElement){return this.PARSED_EMPTY}}}}}return q};function b(n){if(c.onreadystatechange){c.onreadystatechange.apply(n)}n.dispatchEvent({type:"readystatechange",bubbles:false,cancelable:false,timeStamp:new Date+0})}function h(x,p){var u="";var q=x.childNodes;for(var r=0,n=q.length;r<n;r++){var w=q[r];var o=w.nodeType;if(o==Node.TEXT_NODE||o==Node.CDATA_SECTION_NODE){u+=w.data}else{if(p===true&&(o==Node.ELEMENT_NODE||o==Node.DOCUMENT_NODE||o==Node.DOCUMENT_FRAGMENT_NODE)){u+=h(w,true)}}}return u}function j(p){var o=p.responseXML,n=p.responseText;if(k&&n&&o&&!o.documentElement){o=new window.ActiveXObject("Microsoft.XMLDOM");o.async=false;o.validateOnParse=false;o.loadXML(n)}if(o){if((k&&o.parseError&&o.parseError.errorCode!=0)||!o.documentElement||(o.documentElement&&o.documentElement.tagName=="parsererror")){return null}}return o}function i(n){try{n.responseText=n._object.responseText}catch(o){}try{n.responseXML=j(n._object)}catch(o){}try{n.status=n._object.status}catch(o){}try{n.statusText=n._object.statusText}catch(o){}}function e(n){n._object.onreadystatechange=new window.Function}if(!window.Function.prototype.apply){window.Function.prototype.apply=function(n,o){if(!o){o=[]}n.__func=this;n.__func(o[0],o[1],o[2],o[3],o[4]);delete n.__func}}OpenLayers.Request.XMLHttpRequest=c})()}if(OpenLayers.Format&&OpenLayers.Format.KML){OpenLayers.Format.KML=OpenLayers.overload(OpenLayers.Format.KML,{extractFolders:false,readNode:OpenLayers.Format.XML.prototype.readNode,readChildNodes:OpenLayers.Format.XML.prototype.readChildNodes,read:function(b){this.features=[];this.styles={};this.fetched={};if(this.extractFolders){this.folders={}}if(this.extractNetworkLinks){this.networkLinks=[]}var a={depth:0,styleBaseUrl:this.styleBaseUrl};this.parseData(b,a);return this.extractFolders?this.folders:this.features},parseData:function(c,l){if(typeof c=="string"){c=OpenLayers.Format.XML.prototype.read.apply(this,[c])}var g=["Link","NetworkLink","Style","StyleMap","Placemark"];for(var d=0,h=g.length;d<h;++d){var j=g[d];var b=this.getElementsByTagNameNS(c,"*",j);if(b.length==0){continue}switch(j.toLowerCase()){case"link":case"networklink":this.parseLinks(b,l);break;case"style":if(this.extractStyles){this.parseStyles(b,l)}break;case"stylemap":if(this.extractStyles){this.parseStyleMaps(b,l)}break;case"placemark":this.parseFeatures(b,l);break}}if(this.extractFolders){var e=[];for(var k in this.folders){e.push(this.folders[k])}this.folders=e}return this.features},parseStyle:function(D){var L={};var s=["LineStyle","PolyStyle","IconStyle","BalloonStyle","LabelStyle"];var e,l,O,g,d;for(var I=0,K=s.length;I<K;++I){e=s[I];l=this.getElementsByTagNameNS(D,"*",e)[0];if(!l){continue}switch(e.toLowerCase()){case"linestyle":var c=this.parseProperty(l,"*","color");var F=this.parseKmlColor(c);if(F){L.strokeColor=F.color;L.strokeOpacity=F.opacity}var C=this.parseProperty(l,"*","width");if(C){L.strokeWidth=C}break;case"polystyle":var c=this.parseProperty(l,"*","color");var F=this.parseKmlColor(c);if(F){L.fillOpacity=F.opacity;L.fillColor=F.color}var G=this.parseProperty(l,"*","fill");if(G=="0"){L.fillColor="none"}var j=this.parseProperty(l,"*","outline");if(j=="0"){L.strokeWidth="0"}break;case"iconstyle":var Q=parseFloat(this.parseProperty(l,"*","scale")||1);var C=32*Q;var A=32*Q;var P=this.getElementsByTagNameNS(l,"*","Icon")[0];if(P){var H=this.parseProperty(P,"*","href");if(H){var r=this.parseProperty(P,"*","w");var J=this.parseProperty(P,"*","h");var f="http://maps.google.com/mapfiles/kml";if(OpenLayers.String.startsWith(H,f)&&!r&&!J){r=64;J=64;Q=Q/2}r=r||J;J=J||r;if(r){C=parseInt(r)*Q}if(J){A=parseInt(J)*Q}var b=H.match(this.regExes.kmlIconPalette);if(b){var M=b[1];var z=b[2];var q=this.parseProperty(P,"*","x");var p=this.parseProperty(P,"*","y");var o=q?q/32:0;var n=p?(7-p/32):7;var k=n*8+o;H="http://maps.google.com/mapfiles/kml/pal"+M+"/icon"+k+z}L.graphicOpacity=1;L.externalGraphic=H}}var u=this.getElementsByTagNameNS(l,"*","hotSpot")[0];if(u){var q=parseFloat(u.getAttribute("x"));var p=parseFloat(u.getAttribute("y"));var E=u.getAttribute("xunits");if(E=="pixels"){L.graphicXOffset=-q*Q}else{if(E=="insetPixels"){L.graphicXOffset=-C+(q*Q)}else{if(E=="fraction"){L.graphicXOffset=-C*q}}}var N=u.getAttribute("yunits");if(N=="pixels"){L.graphicYOffset=-A+(p*Q)+1}else{if(N=="insetPixels"){L.graphicYOffset=-(p*Q)+1}else{if(N=="fraction"){L.graphicYOffset=-A*(1-p)+1}}}}L.graphicWidth=C;L.graphicHeight=A;break;case"balloonstyle":var a=this.getElementsByTagNameNS(l,"*","text")[0];if(a){a=OpenLayers.Util.getXmlNodeValue(a)}if(a){L.balloonStyle=a.replace(this.regExes.straightBracket,"${$1}")}break;case"labelstyle":var c=this.parseProperty(l,"*","color");var F=this.parseKmlColor(c);if(F){L.fontColor=F.color;L.fontOpacity=F.opacity;var Q=parseFloat(this.parseProperty(l,"*","scale")||1);L.label=true;L.labelAlign="cb";L.labelXOffset=20;L.labelYOffset=20;L.fontSize=(14*Q)+"px";L.fontWeight="bold";L.labelHaloColor=OpenLayers.Util.invertRGBColor(F.color);L.labelHaloWidth="2px"}break;default:}}if(!L.strokeColor&&L.fillColor){L.strokeColor=L.fillColor}var B=D.getAttribute("id");if(B&&L){L.id=B}return L},parseFeatures:function(c,q){var h=[];for(var j=0,l=c.length;j<l;j++){var e=c[j];var k=e.parentNode;var p=this.parseFeature.apply(this,[e]);if(p){if(this.extractStyles&&p.attributes&&p.attributes.styleUrl){p.style=this.getStyle(p.attributes.styleUrl,q)}if(this.extractStyles){var o=this.getElementsByTagNameNS(e,"*","Style")[0];if(o){var g=this.parseStyle(o);if(g){p.style=OpenLayers.Util.extend(p.style,g)}}}if(k&&k.nodeName.toLowerCase()=="folder"&&this.extractFolders){var d=this.parseAttributes(k);var b=d.name;if(this.folders[b]==undefined){this.folders[b]=d}if(this.folders[b]["features"]==undefined){this.folders[b]["features"]=[]}this.folders[b].features.push(p)}if(this.extractTracks){var n=this.getElementsByTagNameNS(e,this.namespaces.gx,"Track");if(n&&n.length>0){var f=n[0];var a={features:[],feature:p};this.readNode(f,a);if(a.features.length>0){h.push.apply(h,a.features)}}}else{if(this.extractStyles&&p.style&&p.style.label){p.style.label=p.attributes?p.attributes.name||"":""}h.push(p)}}else{throw"Bad Placemark: "+j}}this.features=this.features.concat(h)},parseAttributes:function(d){var e={};var f=d.getElementsByTagName("ExtendedData");if(f.length){e=this.parseExtendedData(f[0])}var b,n,l;var c=d.childNodes;for(var g=0,j=c.length;g<j;++g){b=c[g];if(b.nodeType==1){var a=(b.prefix)?b.nodeName.split(":")[1]:b.nodeName;n=b.childNodes;if(1<=n.length&&n.length<=3){var l;switch(n.length){case 1:l=n[0];break;case 2:if(n[0].nodeType==4){l=n[0];break}l=n[1];break;case 3:default:l=n[1];break}if(l.nodeType==3||l.nodeType==4){var k=OpenLayers.Util.getXmlNodeValue(l);if(k){k=k.replace(this.regExes.trimSpace,"");e[a]=k}continue}}if(a.match(/^Time(Stamp|Span)$/)){var h=this.parseAttributes(b);e[a]=h}}}return e},parseExtendedData:function(b){var d={};var h=1;var c=null;var f,j=0;var e,n,g,o,l,a;do{switch(h){case 1:c=b.getElementsByTagName("Data");break;case 2:c=b.getElementsByTagName("SimpleData");break;case 3:var k=this.getAttributeNodeNS(b,"xlink","prefix");if(k==null){c=[]}else{c=this.getElementsByTagNameNS(b,k.nodeValue,"*")}default:c=[];break}j=c.length;if(j==0){h++;continue}for(f=0;f<j;f++){e=c[f];n=h!=3?e.getAttribute("name"):(e.localName||e.nodeName.split(":").pop());g={};o=h==1?e.getElementsByTagName("value"):[e];l="";if(o.length>0){o=o[0].childNodes;switch(o.length){case 0:o=null;break;case 1:o=o[0];break;case 2:if(o[0].nodeType==4){o=o[0];break}o=o[1];break;case 3:default:o=o[1];break}if(o&&(o.nodeType==3||o.nodeType==4)){l=OpenLayers.Util.getXmlNodeValue(o);if(l){l=l.replace(this.regExes.trimSpace,"")}}}g.value=l;a=e.getElementsByTagName("displayName");if(a.length){g.displayName=this.getChildValue(a[0]);if(!n){n=g.displayName}}d[n]=g}h++}while(h<=3);return d},parseLinks:function(b,j){if(this.extractNetworkLinks){for(var e=0,f=b.length;e<f;e++){var h=b[e];if(h.nodeName.toLowerCase()=="networklink"){var g=this.parseNetworkLink.apply(this,[h]);this.networkLinks.push(g)}}}if(j.depth>=this.maxDepth){return false}var a=OpenLayers.Util.extend({},j);a.depth++;for(var e=0,f=b.length;e<f;e++){var c=this.parseProperty(b[e],"*","href");if(c&&!this.fetched[c]){this.fetched[c]=true;var d=this.fetchLink(c);if(d){this.parseData(d,a)}}}},parseRegion:function(a){var d=["LatLonAltBox","Lod"];var h,o;var j={};for(var c=0,e=d.length;c<e;++c){h=d[c];o=this.getElementsByTagNameNS(a,"*",h)[0];if(!o){continue}switch(h.toLowerCase()){case"latlonaltbox":var b=parseFloat(this.parseProperty(o,"*","north"));var f=parseFloat(this.parseProperty(o,"*","south"));var g=parseFloat(this.parseProperty(o,"*","east"));var k=parseFloat(this.parseProperty(o,"*","west"));j.latLonAltBox=new OpenLayers.Bounds(k,f,g,b);break;case"lod":var n=parseFloat(this.parseProperty(o,"*","minLodPixels"));var l=parseFloat(this.parseProperty(o,"*","maxLodPixels"));j.lod={minLodPixels:n,maxLodPixels:l};break;default:}}return j},parseNetworkLink:function(h){var d=["Region","Link"];var f,e;var g={};for(var c=0,a=d.length;c<a;++c){f=d[c];e=this.getElementsByTagNameNS(h,"*",f)[0];if(!e){continue}switch(f.toLowerCase()){case"region":g.region=this.parseRegion.apply(this,[e]);break;case"link":var b=this.parseProperty(e,"*","href");if(b){g.link={href:b}}break;default:}}return g},createPlacemarkXML:function(k){var d=this.createElementNS(this.kmlns,"name");var a=k.style&&k.style.label?k.style.label:k.attributes.name||k.id;d.appendChild(this.createTextNode(a));var j=this.createElementNS(this.kmlns,"description");var f=k.attributes.description||this.placemarksDesc;j.appendChild(this.createTextNode(f));var g=this.createElementNS(this.kmlns,"Placemark");if(k.fid!=null){g.setAttribute("id",k.fid)}g.appendChild(d);g.appendChild(j);var e=this.buildGeometryNode(k.geometry);g.appendChild(e);var b=this.createElementNS(this.kmlns,"ExtendedData");if(k.extendedData){for(var i in k.extendedData){var c=this.createElementNS(this.kmlns,"Data");c.setAttribute("name",i);var h=this.createElementNS(this.kmlns,"value");h.appendChild(this.createTextNode(k.extendedData[i]));c.appendChild(h);b.appendChild(c)}g.appendChild(b)}return g}})}if(OpenLayers.Format&&OpenLayers.Format.WMSCapabilities&&OpenLayers.Format.WMSCapabilities.v1_1){(function(){var b=OpenLayers.Util.extend({},OpenLayers.Format.WMSCapabilities.v1_1.prototype.readers);for(var a in ["Layer","MetadataURL","DataURL","FeatureTypeURL"]){b.wms[a]=OpenLayers.Format.WMSCapabilities.v1.prototype.readers.wms[a]}OpenLayers.Format.WMSCapabilities.v1_1=OpenLayers.overload(OpenLayers.Format.WMSCapabilities.v1_1,{readers:b});b=null})()}if(OpenLayers.Format&&OpenLayers.Format.WMSCapabilities&&OpenLayers.Format.WMSCapabilities.v1_1_0){(function(){var b=OpenLayers.Util.extend({},OpenLayers.Format.WMSCapabilities.v1_1_0.prototype.readers);for(var a in ["Layer","MetadataURL","DataURL","FeatureTypeURL"]){b.wms[a]=OpenLayers.Format.WMSCapabilities.v1_1.prototype.readers.wms[a]}OpenLayers.Format.WMSCapabilities.v1_1_0=OpenLayers.overload(OpenLayers.Format.WMSCapabilities.v1_1_0,{readers:b});b=null})()}if(OpenLayers.Format&&OpenLayers.Format.WMSCapabilities&&OpenLayers.Format.WMSCapabilities.v1_3){(function(){var b=OpenLayers.Util.extend({},OpenLayers.Format.WMSCapabilities.v1_3.prototype.readers);for(var a in ["Layer","MetadataURL","DataURL","FeatureTypeURL"]){b.wms[a]=OpenLayers.Format.WMSCapabilities.v1.prototype.readers.wms[a]}OpenLayers.Format.WMSCapabilities.v1_3=OpenLayers.overload(OpenLayers.Format.WMSCapabilities.v1_3,{readers:b});b=null})()}if(OpenLayers.Strategy&&OpenLayers.Strategy.BBOX){OpenLayers.Strategy.BBOX=OpenLayers.overload(OpenLayers.Strategy.BBOX,{destroy:function(){this.deactivate();if(this.srs){this.srs.destroy();this.srs=null}this.layer=null;this.options=null},calculateBounds:function(b){if(!b){b=this.getMapBounds().transform(this.layer.getNativeProjection(),this.layer.map.getProjection())}var a=b.getCenterLonLat();var e=b.getWidth()*this.ratio;var c=b.getHeight()*this.ratio;this.bounds=new OpenLayers.Bounds(a.lon-(e/2),a.lat-(c/2),a.lon+(e/2),a.lat+(c/2));var d=this.layer.protocol&&(this.layer.protocol.srsName||this.layer.protocol.srs);if(!this.srs&&d&&!this.layer.map.getProjection().equals(d)){this.srs=new OpenLayers.Projection(d)}if(this.srs){this.bounds.transform(this.layer.map.getProjection(),this.srs)}},createFilter:function(){var a=new OpenLayers.Filter.Spatial({type:OpenLayers.Filter.Spatial.BBOX,value:this.bounds,projection:(this.srs||this.layer.map.getProjection()).getCode()});if(this.layer.filter){a=new OpenLayers.Filter.Logical({type:OpenLayers.Filter.Logical.AND,filters:[this.layer.filter,a]})}return a},triggerRead:function(a){if(this.response){if(this.layer.protocol){this.layer.protocol.abort(this.response)}this.layer.events.triggerEvent("loadend")}if(this.layer.events.triggerEvent("loadstart")===false){return}this.layer.events.on({visibilitychanged:this.abortIf,scope:this});if(this.layer.protocol){this.response=this.layer.protocol.read(OpenLayers.Util.applyDefaults({filter:this.createFilter(),callback:this.merge,scope:this},a))}else{this.response=null}this.layer.events.un({visibilitychanged:this.abortIf,scope:this})},abortIf:function(a){if(this.response&&a.property&&a.property=="visibility"){if(a.layer===this.layer&&!this.layer.visibility){if(this.layer.protocol){this.layer.protocol.abort(this.response)}this.response=null;this.layer.events.triggerEvent("loadend")}}}})}if(OpenLayers.Control&&OpenLayers.Control.Attribution){OpenLayers.UI.Attribution=OpenLayers.Class(OpenLayers.UI,{draw:function(){var e=[];var d=(this.component&&this.component.map)||null;if(d&&d.layers){for(var c=0,a=d.layers.length;c<a;c++){var b=d.layers[c];if(b.attribution&&b.getVisibility()){if(OpenLayers.Util.indexOf(e,b.attribution)===-1){e.push(b.attribution)}}}this.container.innerHTML=e.join(this.separator)}return OpenLayers.UI.prototype.draw.apply(this,arguments)},CLASS_NAME:"OpenLayers.UI.Attribution"});OpenLayers.Control.Attribution=OpenLayers.overload(OpenLayers.Control.Attribution,{draw:function(){OpenLayers.Control.prototype.draw.apply(this,arguments);this.map.events.on({changebaselayer:this.updateAttribution,changelayer:this.updateAttribution,addlayer:this.updateAttribution,removelayer:this.updateAttribution,scope:this});this.updateAttribution();return this.div},updateAttribution:function(){this.getUI().draw()}})}if(OpenLayers.Ajax&&OpenLayers.Ajax.Request){OpenLayers.Ajax.Request=OpenLayers.overload(OpenLayers.Ajax.Request,{initialize:function(b,a){OpenLayers.Ajax.Base.prototype.initialize.apply(this,[a]);b=OpenLayers.Request.proxyfyUrl(b);this.transport=OpenLayers.Ajax.getTransport();this.request(b)}})}if(OpenLayers.Layer&&OpenLayers.Layer.XYZ){OpenLayers.Layer.XYZ=OpenLayers.overload(OpenLayers.Layer.XYZ,{changeBaseLayer:OpenLayers.Layer.HTTPRequest.prototype.changeBaseLayer})}if(OpenLayers.Format.WMC){OpenLayers.Format.WMC=OpenLayers.overload(OpenLayers.Format.WMC,{getParser:function(a){var b=a||this.version||this.defaultVersion;if(!this.parser||this.parser.VERSION!=b){var c=OpenLayers.Format.WMC["v"+b.replace(/\./g,"_")];if(!c){throw OpenLayers.i18n("wmc.version.not.supported",{v:a})}this.parser=new c(this.options)}return this.parser},layerToContext:function(c){var g=this.getParser();if(!c.params){c.params={}}var e={queryable:c.queryable,visibility:c.visibility,name:c.params.LAYERS,title:c.name,"abstract":c.metadata["abstract"],dataURL:c.metadata.dataURL,metadataURL:c.metadataURL,server:{version:c.params.VERSION,url:c.url},maxExtent:c.maxExtent,transparent:c.params.TRANSPARENT,numZoomLevels:c.numZoomLevels,units:c.units,isBaseLayer:c.isBaseLayer,opacity:c.opacity,displayInLayerSwitcher:c.displayInLayerSwitcher,singleTile:c.singleTile,tileSize:(c.singleTile||!c.tileSize)?undefined:{width:c.tileSize.w||OpenLayers.Map.TILE_WIDTH,height:c.tileSize.h||OpenLayers.Map.TILE_HEIGHT},minScale:(c.options.resolutions||c.options.scales||c.options.maxResolution||c.options.minScale)?c.minScale:undefined,maxScale:(c.options.resolutions||c.options.scales||c.options.minResolution||c.options.maxScale)?c.maxScale:undefined,formats:[],styles:[],srs:c.srs,dimensions:c.dimensions};if(c.metadata.servertitle){e.server.title=c.metadata.servertitle}if(c.metadata.formats&&c.metadata.formats.length>0){for(var b=0,a=c.metadata.formats.length;b<a;b++){var f=c.metadata.formats[b];e.formats.push({value:f.value,current:(f.value==c.params.FORMAT)})}}else{e.formats.push({value:c.params.FORMAT,current:true})}if(c.metadata.styles&&c.metadata.styles.length>0){for(var b=0,a=c.metadata.styles.length;b<a;b++){var d=c.metadata.styles[b];if((d.href==c.params.SLD)||(d.body==c.params.SLD_BODY)||(d.name==c.params.STYLES)){d.current=true}else{d.current=false}e.styles.push(d)}}else{e.styles.push({href:c.params.SLD,body:c.params.SLD_BODY,name:c.params.STYLES||g.defaultStyleName,title:g.defaultStyleTitle,current:true})}return e},toContext:function(h){var f={};var g=h.layers;if(typeof(OpenLayers.Map)!="undefined"&&(h instanceof OpenLayers.Map)){var e=h.metadata||{};f.bounds=h.getExtent();f.projection=h.projection;f.title=h.title;f.keywords=e.keywords;f["abstract"]=e["abstract"];f.logo=e.logo;f.descriptionURL=e.descriptionURL;f.contactInformation=e.contactInformation;f.maxExtent=h.maxExtent;var j=OpenLayers.Element.getDimensions(h.div);f.size=new OpenLayers.Size(j.width,j.height)}else{OpenLayers.Util.applyDefaults(f,h);if(f.layers!=undefined){delete (f.layers)}}if(f.layersContext==undefined){f.layersContext=[]}if(g!=undefined&&OpenLayers.Util.isArray(g)){for(var c=0,a=g.length;c<a;c++){var b=g[c];if(b instanceof OpenLayers.Layer){f.layersContext.push(this.layerToContext(b))}}}return f}})}if(OpenLayers.Format.WMC&&OpenLayers.Format.WMC.v1){OpenLayers.Format.WMC.v1=OpenLayers.overload(OpenLayers.Format.WMC.v1,{read_ol_minZoomLevel:function(c,a){var b=this.getChildValue(a);b=parseInt(b);if(!isNaN(b)){c.minZoomLevel=b}},read_ol_maxZoomLevel:function(c,a){var b=this.getChildValue(a);b=parseInt(b);if(!isNaN(b)){c.maxZoomLevel=b}},read_ol_resolutions:function(e,d){var b=this.getChildValue(d).split(",");for(var c=0,a=b.length;c<a;c++){b[c]=parseFloat(b[c])}e.resolutions=b},read_ol_nativeResolutions:function(e,d){var b=this.getChildValue(d).split(",");for(var c=0,a=b.length;c<a;c++){b[c]=parseFloat(b[c])}e.nativeResolutions=b},read_wmc_Window:function(b,d){var c=parseInt(d.getAttribute("width"))|0;var a=parseInt(d.getAttribute("height"))|0;b.window=b.window||{};if(c>0){b.window.width=c}if(a>0){b.window.height=a}},write_wmc_General:function(a){var c=this.createElementDefaultNS("General");if(a.size){c.appendChild(this.createElementDefaultNS("Window",null,{width:a.size.w,height:a.size.h}))}var b=a.bounds;c.appendChild(this.createElementDefaultNS("BoundingBox",null,{minx:b.left.toPrecision(18),miny:b.bottom.toPrecision(18),maxx:b.right.toPrecision(18),maxy:b.top.toPrecision(18),SRS:a.projection}));c.appendChild(this.createElementDefaultNS("Title",a.title||"none"));if(a.keywords){c.appendChild(this.write_wmc_KeywordList(a.keywords))}if(a["abstract"]){c.appendChild(this.createElementDefaultNS("Abstract",a["abstract"]))}if(a.logo){c.appendChild(this.write_wmc_URLType("LogoURL",a.logo.href,a.logo))}if(a.descriptionURL){c.appendChild(this.write_wmc_URLType("DescriptionURL",a.descriptionURL))}if(a.contactInformation){c.appendChild(this.write_wmc_ContactInformation(a.contactInformation))}c.appendChild(this.write_ol_MapExtension(a));return c},write_wmc_Layer:function(a){var b=this.createElementDefaultNS("Layer",null,{queryable:a.queryable?"1":"0",hidden:a.visibility?"0":"1"});b.appendChild(this.write_wmc_Server(a));b.appendChild(this.createElementDefaultNS("Name",a.name));b.appendChild(this.createElementDefaultNS("Title",a.title));if(a["abstract"]){b.appendChild(this.createElementDefaultNS("Abstract",a["abstract"]))}if(a.projection){b.appendChild(this.write_wmc_SRS(a))}if(a.dataURL){b.appendChild(this.write_wmc_dataURL(a))}if(a.metadataURL){b.appendChild(this.write_wmc_MetadataURL(a))}if(a.params&&a.params.FORMAT){b.appendChild(this.write_wmc_FormatList(a))}if(a.params){b.appendChild(this.write_wmc_StyleList(a))}b.appendChild(this.write_wmc_LayerExtension(a));return b},write_wmc_SRS:function(a){var b=this.createElementDefaultNS("SRS",""+a.projection);return b},write_wmc_LayerExtension:function(d){var f=this.createElementDefaultNS("Extension");if(d.resolutions){var a=this.createElementNS(this.namespaces.ol,"ol:resolutions");a.appendChild(this.createTextNode(d.resolutions.join(",")));f.appendChild(a)}var b=d.maxExtent;var k=this.createElementNS(this.namespaces.ol,"ol:maxExtent");this.setAttributes(k,{minx:b.left.toPrecision(10),miny:b.bottom.toPrecision(10),maxx:b.right.toPrecision(10),maxy:b.top.toPrecision(10)});f.appendChild(k);if(d.tileSize&&!d.singleTile){var l=this.createElementNS(this.namespaces.ol,"ol:tileSize");this.setAttributes(l,d.tileSize);f.appendChild(l)}if(d.nativeResolutions){var a=this.createElementNS(this.namespaces.ol,"ol:nativeResolutions");a.appendChild(this.createTextNode(d.nativeResolutions.join(",")));f.appendChild(a)}if(d.nativeProjection){var c=this.createElementNS(this.namespaces.ol,"ol:nativeProjection");c.appendChild(this.createTextNode(""+d.nativeProjection));f.appendChild(c)}var j=["transparent","numZoomLevels","units","isBaseLayer","opacity","displayInLayerSwitcher","singleTile","minZoomLevel","maxZoomLevel"];var e;for(var g=0,h=j.length;g<h;++g){e=this.createOLPropertyNode(d,j[g]);if(e){f.appendChild(e)}}return f},write_wmc_Server:function(b){var c=this.createElementDefaultNS("Server");var a={service:b.metadata.type||"OGC:WMS",version:b.version};if(b.metadata.servertitle){a.title=b.metadata.servertitle}this.setAttributes(c,a);c.appendChild(this.write_wmc_OnlineResource(b.url));return c},write_wmc_dataURL:function(a){var b=this.createElementDefaultNS("dataURL");b.appendChild(this.write_wmc_OnlineResource(a.dataURL));return b}})}if(OpenLayers.Renderer&&OpenLayers.Renderer.SVG){OpenLayers.Renderer.SVG=OpenLayers.overload(OpenLayers.Renderer.SVG,{HALO_ID_SUFFIX:OpenLayers.Renderer.Elements.prototype.HALO_ID_SUFFIX,removeText:OpenLayers.Renderer.Elements.prototype.removeText,supported:function(){var b="http://www.w3.org/TR/SVG11/feature#";var a=OpenLayers.getDoc();return(a.implementation&&(a.implementation.hasFeature("org.w3c.svg","1.0")||a.implementation.hasFeature(b+"SVG","1.1")||a.implementation.hasFeature(b+"BasicStructure","1.1")))},setExtent:function(b,d){OpenLayers.Renderer.Elements.prototype.setExtent.apply(this,arguments);var a=this.getResolution();var f=(b?-b.left/a:0)|0;var e=(b?b.top/a:0)|0;if(d){this.left=f;this.top=e;var c="0 0 "+this.size.w+" "+this.size.h;this.rendererRoot.setAttributeNS(null,"viewBox",c);this.translate(0,0);return true}else{var g=this.translate(f-this.left,e-this.top);if(!g){this.setExtent(b,true)}return g}},createNode:function(a,d){var c=this.root?this.root.ownerDocument:OpenLayers.getDoc();var b=c.createElementNS(this.xmlns,a);if(d){b.setAttributeNS(null,"id",d)}return b},drawText:function(A,C,b,u){var k=(!!C.labelOutlineWidth);if(k){var c=OpenLayers.Util.extend({},C);c.fontColor=c.labelOutlineColor;c.fontStrokeColor=c.labelOutlineColor;c.fontStrokeWidth=C.labelOutlineWidth;delete c.labelOutlineWidth;this.drawText(A,c,b)}var w=this.getResolution();var p=((b.x-this.featureDx)/w+this.left);var o=(b.y/w-this.top);var e=(k)?this.LABEL_OUTLINE_SUFFIX:this.LABEL_ID_SUFFIX+(u?this.HALO_ID_SUFFIX:"");var n=this.nodeFactory(A+e,"text");n.setAttributeNS(null,"x",p);n.setAttributeNS(null,"y",-o);if(C.fontColor){n.setAttributeNS(null,"fill",C.fontColor)}if(C.fontStrokeColor){n.setAttributeNS(null,"stroke",C.fontStrokeColor)}if(C.fontStrokeWidth){n.setAttributeNS(null,"stroke-width",C.fontStrokeWidth)}if(C.fontOpacity){n.setAttributeNS(null,"opacity",C.fontOpacity)}if(C.fontFamily){n.setAttributeNS(null,"font-family",C.fontFamily)}if(C.fontSize){n.setAttributeNS(null,"font-size",C.fontSize)}if(C.fontWeight){n.setAttributeNS(null,"font-weight",C.fontWeight)}if(C.fontStyle){n.setAttributeNS(null,"font-style",C.fontStyle)}if(C.fontStrokeColor){n.setAttributeNS(null,"stroke",C.fontStrokeColor)}if(C.fontStrokeWidth){n.setAttributeNS(null,"stroke-width",C.fontStrokeWidth)}if(C.labelSelect===true){n.setAttributeNS(null,"pointer-events","visible");n._featureId=A}else{n.setAttributeNS(null,"pointer-events","none")}var z=C.labelAlign||OpenLayers.Renderer.defaultSymbolizer.labelAlign;n.setAttributeNS(null,"text-anchor",OpenLayers.Renderer.SVG.LABEL_ALIGN[z[0]]||"middle");if(OpenLayers.IS_GECKO===true){n.setAttributeNS(null,"dominant-baseline",OpenLayers.Renderer.SVG.LABEL_ALIGN[z[1]]||"central")}var h=C.label.split("\n");var g=h.length;while(n.childNodes.length>g){n.removeChild(n.lastChild)}for(var B=0;B<g;B++){var l=this.nodeFactory(A+e+"_tspan_"+B,"tspan");if(C.labelSelect===true){l._featureId=A;l._geometry=b;l._geometryClass=b.CLASS_NAME}if(OpenLayers.IS_GECKO===false){l.setAttributeNS(null,"baseline-shift",OpenLayers.Renderer.SVG.LABEL_VSHIFT[z[1]]||"-35%")}l.setAttribute("x",p);if(B==0){var q=OpenLayers.Renderer.SVG.LABEL_VFACTOR[z[1]];if(q==null){q=-0.5}l.setAttribute("dy",(q*(g-1))+"em")}else{l.setAttribute("dy","1em")}l.textContent=(h[B]==="")?" ":h[B];if(!l.parentNode){n.appendChild(l)}}if(C.labelHaloColor){var s=OpenLayers.Util.extend({},C);s.fontColor=s.labelHaloColor;s.fontStrokeColor=s.labelHaloColor;s.fontStrokeWidth=C.labelHaloWidth||2;delete s.labelHaloColor;this.drawText(A,s,b,true)}if(!n.parentNode){this.textRoot.appendChild(n)}if(C.labelBackgroundColor||C.labelBorderColor||C.labelBorderSize){var f=this.nodeFactory(A+e+"_bg","rect");if(C.labelBackgroundColor){f.setAttributeNS(null,"fill",C.labelBackgroundColor)}if(C.labelBorderColor||C.labelBorderSize){f.setAttributeNS(null,"stroke",(C.labelBorderColor?C.labelBorderColor:"#000000"));f.setAttributeNS(null,"stroke-width",(C.labelBorderSize?C.labelBorderSize:"0.5"))}var a=n.getBBox();var D=a.width;var d=a.height;var r=2;if(C.labelPadding){var j=C.labelPadding.indexOf("px");if(j==-1){r=C.labelPadding}else{r=parseInt(C.labelPadding.substr(0,j))}}f.setAttributeNS(null,"x",a.x-r);f.setAttributeNS(null,"y",a.y-r);f.setAttributeNS(null,"height",(d+r*2)+"px");f.setAttributeNS(null,"width",(D+r*2)+"px");this.textRoot.insertBefore(f,n)}},importSymbol:function(f){if(!this.defs){this.defs=this.createDefs()}var b=this.container.id+"-"+f;var c=this.root.ownerDocument.getElementById(b);if(c!=null){return c}var e=OpenLayers.Renderer.symbol[f];if(!e){throw new Error(f+" is not a valid symbol name")}var h=this.nodeFactory(b,"symbol");var d=this.nodeFactory(null,"polygon");h.appendChild(d);var o=new OpenLayers.Bounds(Number.MAX_VALUE,Number.MAX_VALUE,0,0);var l=[];var k,j;for(var g=0;g<e.length;g=g+2){k=e[g];j=e[g+1];o.left=Math.min(o.left,k);o.bottom=Math.min(o.bottom,j);o.right=Math.max(o.right,k);o.top=Math.max(o.top,j);l.push(k,",",j)}d.setAttributeNS(null,"points",l.join(" "));var a=o.getWidth();var n=o.getHeight();var p=[o.left-a,o.bottom-n,a*3,n*3];h.setAttributeNS(null,"viewBox",p.join(" "));this.symbolMetrics[b]=[Math.max(a,n),o.getCenterLonLat().lon,o.getCenterLonLat().lat];this.defs.appendChild(h);return h}})}if(OpenLayers.Format&&OpenLayers.Format.WMSDescribeLayer){OpenLayers.Format.WMSDescribeLayer=OpenLayers.overload(OpenLayers.Format.WMSDescribeLayer,{readNode:OpenLayers.Format.XML.prototype.readNode,readChildNodes:OpenLayers.Format.XML.prototype.readChildNodes})}if(OpenLayers.Popup){OpenLayers.Popup=OpenLayers.overload(OpenLayers.Popup,{destroy:function(){this.id=null;this.lonlat=null;this.contentSize=null;this.size=null;this.contentHTML=null;this.backgroundColor=null;this.opacity=null;this.border=null;if(this.closeOnMove&&this.map){this.map.events.unregister("movestart",this,this.hide)}this.events.destroy();this.events=null;if(this.contentDiv){this.groupDiv.removeChild(this.contentDiv);this.contentDiv=null}this.contentDivPadding=null;if(this.closeDiv){OpenLayers.Event.stopObservingElement(this.closeDiv);this.groupDiv.removeChild(this.closeDiv)}this.closeDiv=null;this.div.removeChild(this.groupDiv);this.groupDiv=null;if(this.map!=null){if(!this.disableFirefoxOverflowHack&&OpenLayers.Util.getBrowserName()=="firefox"){this.map.events.unregister("movestart",this,this.onMoveStartPopup);this.map.events.unregister("moveend",this,this.onMoveEndPopup)}this.map.removePopup(this)}this.map=null;this.div=null;this.autoSize=null;this.minSize=null;this.maxSize=null;this.padding=null;this.panMapIfOutOfView=null},draw:function(a){if(a==null){if((this.lonlat!=null)&&(this.map!=null)){a=this.map.getLayerPxFromLonLat(this.lonlat)}}if(this.closeOnMove){this.map.events.register("movestart",this,this.hide)}if(!this.disableFirefoxOverflowHack&&OpenLayers.Util.getBrowserName()=="firefox"){this.map.events.register("movestart",this,this.onMoveStartPopup);this.map.events.register("moveend",this,this.onMoveEndPopup)}this.moveTo(a);if(!this.autoSize&&!this.size){this.setSize(this.contentSize)}this.setBackgroundColor();this.setOpacity();this.setBorder();this.setContentHTML();if(this.panMapIfOutOfView){this.panIntoView()}return this.div},onMoveStartPopup:function(){if(!this.contentDiv){return}var a=OpenLayers.getDoc().defaultView.getComputedStyle(this.contentDiv,null);var b=a.getPropertyValue("overflow");if(b!="hidden"){this.contentDiv._oldOverflow=b;this.contentDiv.style.overflow="hidden"}},onMoveEndPopup:function(){if(!this.contentDiv){return}var a=this.contentDiv._oldOverflow;if(a){this.contentDiv.style.overflow=a;this.contentDiv._oldOverflow=null}},updateSize:function(){var e="<div class='"+this.contentDisplayClass+"'>"+this.contentDiv.innerHTML+"</div>";var h=(this.map)?this.map.layerContainerDiv:OpenLayers.getDoc().body;var i=OpenLayers.Util.getRenderedDimensions(e,null,{displayClass:this.displayClass,containerElement:h});var g=this.getSafeContentSize(i);var f=null;if(g.equals(i)){f=i}else{var b=new OpenLayers.Size();b.w=(g.w<i.w)?g.w:null;b.h=(g.h<i.h)?g.h:null;if(b.w&&b.h){f=g}else{var d=OpenLayers.Util.getRenderedDimensions(e,b,{displayClass:this.contentDisplayClass,containerElement:h});var c=OpenLayers.Element.getStyle(this.contentDiv,"overflow");if((c!="hidden")&&(d.equals(g))){var a=OpenLayers.Util.getScrollbarWidth();if(b.w){d.h+=a}else{d.w+=a}}f=this.getSafeContentSize(d)}}this.setSize(f)},getContentDivPadding:function(){var a=this._contentDivPadding;if(!a){if(this.div.parentNode==null){this.div.style.display="none";OpenLayers.getDoc().body.appendChild(this.div)}a=new OpenLayers.Bounds(OpenLayers.Element.getStyle(this.contentDiv,"padding-left"),OpenLayers.Element.getStyle(this.contentDiv,"padding-bottom"),OpenLayers.Element.getStyle(this.contentDiv,"padding-right"),OpenLayers.Element.getStyle(this.contentDiv,"padding-top"));this._contentDivPadding=a;if(this.div.parentNode==OpenLayers.getDoc().body){OpenLayers.getDoc().body.removeChild(this.div);this.div.style.display=""}}return a},defaultCloseBoxCallback:function(a){this.hide();OpenLayers.Event.stop(a);if(!this.disableFirefoxOverflowHack&&OpenLayers.Util.getBrowserName()=="firefox"){if(this.map&&this.map.events){this.map.events.unregister("movestart",this,this.onMoveStartPopup);this.map.events.unregister("moveend",this,this.onMoveEndPopup)}}}})}if(OpenLayers.Format&&OpenLayers.Format.WMSGetFeatureInfo){OpenLayers.Format.WMSGetFeatureInfo=OpenLayers.overload(OpenLayers.Format.WMSGetFeatureInfo,{readNode:OpenLayers.Format.XML.prototype.readNode,readChildNodes:OpenLayers.Format.XML.prototype.readChildNodes})}if(OpenLayers.Format&&OpenLayers.Format.WMTSCapabilities){OpenLayers.Format.WMTSCapabilities=OpenLayers.overload(OpenLayers.Format.WMTSCapabilities,{readNode:OpenLayers.Format.XML.prototype.readNode,readChildNodes:OpenLayers.Format.XML.prototype.readChildNodes})}if(OpenLayers.Format&&OpenLayers.Format.CSWGetRecords&&OpenLayers.Format.CSWGetRecords.v2_0_2){(function(){var a=OpenLayers.Util.extend({},OpenLayers.Format.CSWGetRecords.v2_0_2.prototype.readers);a.ows["ExceptionReport"]=function(b,d){var c={};this.readChildNodes(b,c);if(b.attributes&&b.attributes.language){c.language=b.attributes.language}d.exceptionReport=c};a.ows["Exception"]=function(b,c){c.exception=this.getChildValue(b)};OpenLayers.Format.CSWGetRecords.v2_0_2=OpenLayers.overload(OpenLayers.Format.CSWGetRecords.v2_0_2,{readers:a});a=null})()}if(OpenLayers.Format&&OpenLayers.Format.WMTSCapabilities&&OpenLayers.Format.WMTSCapabilities.v1_0_0){(function(){var a=OpenLayers.Util.extend({},OpenLayers.Format.WMTSCapabilities.v1_0_0.prototype.readers);a.ows["WGS84BoundingBox"]=function(d,e){var b={};b.crs=d.getAttribute("crs");if(!b.crs){var c=d.localName||d.nodeName.split(":").pop();if(c==="WGS84BoundingBox"){b.crs="CRS:84"}}if(!e.boundingBoxes){e.boundingBoxes=[]}e.boundingBoxes.push(b);this.readChildNodes(d,b)};a.wmts["TileMatrixSetLimits"]=function(b,c){if(!c.limits){c.limits={}}this.readChildNodes(b,c)};a.wmts["TileMatrixLimits"]=function(b,c){this.readChildNodes(b,c);delete c.tileMatrix};a.wmts["TileMatrix"]=function(c,d){if(d.matrixIds){var b={supportedCRS:d.supportedCRS};this.readChildNodes(c,b);d.matrixIds.push(b)}else{d.tileMatrix=this.getChildValue(c);d.limits[d.tileMatrix]={}}};a.wmts["MinTileRow"]=function(b,c){c.limits[c.tileMatrix].minTileRow=parseInt(this.getChildValue(b))};a.wmts["MaxTileRow"]=function(b,c){c.limits[c.tileMatrix].maxTileRow=parseInt(this.getChildValue(b))};a.wmts["MinTileCol"]=function(b,c){c.limits[c.tileMatrix].minTileCol=parseInt(this.getChildValue(b))};a.wmts["MaxTileCol"]=function(b,c){c.limits[c.tileMatrix].maxTileCol=parseInt(this.getChildValue(b))};OpenLayers.Format.WMTSCapabilities.v1_0_0=OpenLayers.overload(OpenLayers.Format.WMTSCapabilities.v1_0_0,{readers:a});a=null})()}if(OpenLayers.Control&&OpenLayers.Control.ZoomBox){OpenLayers.Control.ZoomBox=OpenLayers.overload(OpenLayers.Control.ZoomBox,{noUI:true,draw:function(){OpenLayers.Control.prototype.draw.apply(this,arguments);this.handler=new OpenLayers.Handler.Box(this,{done:this.zoomBox},{keyMask:this.keyMask})}})}if(OpenLayers.Control&&OpenLayers.Control.DragPan){OpenLayers.Control.DragPan=OpenLayers.overload(OpenLayers.Control.DragPan,{noUI:true,draw:function(){OpenLayers.Control.prototype.draw.apply(this,arguments);if(this.enableKinetic){var a={interval:this.kineticInterval};if(typeof this.enableKinetic==="object"){a=OpenLayers.Util.extend(a,this.enableKinetic)}this.kinetic=new OpenLayers.Kinetic(a)}this.handler=new OpenLayers.Handler.Drag(this,{move:this.panMap,done:this.panMapDone,down:this.panMapStart},{interval:this.interval,documentDrag:this.documentDrag})}})}if(OpenLayers.Control&&OpenLayers.Control.Geolocate){OpenLayers.Control.Geolocate=OpenLayers.overload(OpenLayers.Control.Geolocate,{geolocate:function(b){var a=new OpenLayers.LonLat(b.coords.longitude,b.coords.latitude);if(this.map){a.transform(OpenLayers.Projection.CRS84,this.map.getProjection());if(this.bind){this.map.setCenter(a)}}this.events.triggerEvent("locationupdated",{position:b,point:new OpenLayers.Geometry.Point(a.lon,a.lat)})}})}if(OpenLayers.Control&&OpenLayers.Control.Navigation){OpenLayers.Control.Navigation=OpenLayers.overload(OpenLayers.Control.Navigation,{draw:function(){OpenLayers.Control.prototype.draw.apply(this,arguments);if(this.handleRightClicks){this.map.viewPortDiv.oncontextmenu=OpenLayers.Function.False}var a={click:this.defaultClick,dblclick:this.defaultDblClick,dblrightclick:this.defaultDblRightClick};var b={"double":true,stopDouble:true};this.handlers.click=new OpenLayers.Handler.Click(this,a,b);this.dragPan=new OpenLayers.Control.DragPan(OpenLayers.Util.extend({map:this.map,documentDrag:this.documentDrag},this.dragPanOptions));this.zoomBox=new OpenLayers.Control.ZoomBox({map:this.map,keyMask:this.zoomBoxKeyMask});this.dragPan.draw();this.zoomBox.draw();this.handlers.wheel=new OpenLayers.Handler.MouseWheel(this,{up:this.wheelUp,down:this.wheelDown},this.mouseWheelOptions);if(OpenLayers.Control.PinchZoom){this.pinchZoom=new OpenLayers.Control.PinchZoom(OpenLayers.Util.extend({map:this.map},this.pinchZoomOptions))}},deactivate:function(){if(this.pinchZoom){this.pinchZoom.deactivate()}if(this.zoomBox){this.zoomBox.deactivate()}if(this.dragPan){this.dragPan.deactivate()}if(this.handlers){if(this.handlers.click){this.handlers.click.deactivate()}if(this.handlers.wheel){this.handlers.wheel.deactivate()}}return OpenLayers.Control.prototype.deactivate.apply(this,arguments)}})}if(OpenLayers.Strategy&&OpenLayers.Strategy.Cluster){OpenLayers.Strategy.Cluster=OpenLayers.overload(OpenLayers.Strategy.Cluster,{activate:function(){var a=OpenLayers.Strategy.prototype.activate.call(this);if(a){this.layer.events.on({beforefeaturesadded:this.cacheFeatures,moveend:this.cluster,scope:this});this.layer.map.events.on({changebaselayer:this.changeBaseLayer,scope:this})}return a},deactivate:function(){var a=OpenLayers.Strategy.prototype.deactivate.call(this);if(a){this.clearCache();this.layer.events.un({beforefeaturesadded:this.cacheFeatures,moveend:this.cluster,scope:this});this.layer.map.events.un({changebaselayer:this.changeBaseLayer,scope:this})}return a},transform:function(e,b){if(this.features){for(var d=0,a=this.features.length;d<a;d++){var c=this.features[d];c.geometry.transform(e,b)}}},changeBaseLayer:function(a){if(!this.layer.isBaseLayer){var c=this.layer.map.getProjection();var b=a.baseLayer?a.baseLayer.getNativeProjection():null;if(!b){return false}this.transform(b,c)}return true}})}if(OpenLayers.Control&&OpenLayers.Control.Button){OpenLayers.UI.Button=OpenLayers.Class(OpenLayers.UI,{labelContainer:null,label:null,destroy:function(){this.labelContainer=null;OpenLayers.UI.prototype.destroy.apply(this,arguments)},createContainer:function(){var a=OpenLayers.getDoc().createElement("button");a.id=this.id;return a},draw:function(){if(!this.labelContainer){this.labelContainer=this.container.ownerDocument.createTextNode("");this.container.appendChild(this.labelContainer)}this.changeLang();return this.container},changeLang:function(a){OpenLayers.UI.prototype.changeLang.apply(this,arguments);if(this.labelContainer&&this.label){this.labelContainer.nodeValue=OpenLayers.i18n(this.label)}},CLASS_NAME:"OpenLayers.UI.Button"});OpenLayers.UI.JQuery.Button=OpenLayers.Class(OpenLayers.UI.Button,OpenLayers.UI.JQuery,{CLASS_NAME:"OpenLayers.UI.JQuery.Button"})}if(OpenLayers.Renderer&&OpenLayers.Renderer.VML){OpenLayers.Renderer.VML=OpenLayers.overload(OpenLayers.Renderer.VML,{HALO_ID_SUFFIX:OpenLayers.Renderer.Elements.prototype.HALO_ID_SUFFIX,removeText:OpenLayers.Renderer.Elements.prototype.removeText,initialize:function(b){if(!this.supported()){return}var f=OpenLayers.getDoc();if(!f.namespaces.olv){f.namespaces.add("olv",this.xmlns);var e=f.createStyleSheet();var c=["shape","rect","oval","fill","stroke","imagedata","group","textbox","fill","stroke","path","textpath"];for(var d=0,a=c.length;d<a;d++){e.addRule("olv\\:"+c[d],"behavior: url(#default#VML); position: absolute; display: inline-block;")}}OpenLayers.Renderer.Elements.prototype.initialize.apply(this,arguments)},supported:function(){return !!(OpenLayers.getDoc().namespaces)},setExtent:function(j,a){OpenLayers.Renderer.Elements.prototype.setExtent.apply(this,arguments);var c=this.getResolution();if(c==null){return false}var b=(j?j.left/c:0)|0;var f=(j?j.top/c-this.size.h:0)|0;if(a||!this.offset){this.offset={x:b,y:f};b=0;f=0}else{b=b-this.offset.x;f=f-this.offset.y}var l=b+" "+f;this.root.coordorigin=l;var h=[this.root,this.vectorRoot,this.textRoot];var g;for(var d=0,e=h.length;d<e;++d){g=h[d];var k=this.size.w+" "+this.size.h;g.coordsize=k}this.root.style.flip="y";return true},graphicRotate:function(o,s,e,r){var r=r||o._style;var p=r.rotation||0;var a,j;if(!(r.graphicWidth&&r.graphicHeight)){var u=new Image();u.onreadystatechange=OpenLayers.Function.bind(function(){if(u.readyState=="complete"||u.readyState=="interactive"){a=u.width/u.height;j=Math.max(r.pointRadius*2,r.graphicWidth||0,r.graphicHeight||0);s=s*a;r.graphicWidth=j*a;r.graphicHeight=j;this.graphicRotate(o,s,e,r)}},this);u.src=r.externalGraphic;return}else{j=Math.max(r.graphicWidth,r.graphicHeight);a=r.graphicWidth/r.graphicHeight}var n=Math.round(r.graphicWidth||j*a);var k=Math.round(r.graphicHeight||j);o.style.width=n+"px";o.style.height=k+"px";var l=this.root.ownerDocument.getElementById(o.id+"_image");if(!l){l=this.createNode("olv:imagedata",o.id+"_image");o.appendChild(l)}l.style.width=n+"px";l.style.height=k+"px";l.src=r.externalGraphic;l.style.filter="progid:DXImageTransform.Microsoft.AlphaImageLoader(src='', sizingMethod='scale')";var f=p*Math.PI/180;var h=Math.sin(f);var d=Math.cos(f);var g="progid:DXImageTransform.Microsoft.Matrix(M11="+d+",M12="+(-h)+",M21="+h+",M22="+d+",SizingMethod='auto expand')\n";var b=r.graphicOpacity||r.fillOpacity;if(b&&b!=1){g+="progid:DXImageTransform.Microsoft.BasicImage(opacity="+b+")\n"}o.style.filter=g;var q=new OpenLayers.Geometry.Point(-s,-e);var c=new OpenLayers.Bounds(0,0,n,k).toGeometry();c.rotate(r.rotation,q);var i=c.getBounds();o.style.left=Math.round(parseInt(o.style.left)+i.left)+"px";o.style.top=Math.round(parseInt(o.style.top)-i.bottom)+"px"},createNode:function(a,d){var c=this.root?this.root.ownerDocument:OpenLayers.getDoc();var b=c.createElement(a);if(d){b.id=d}b.unselectable="on";b.onselectstart=OpenLayers.Function.False;return b},drawText:function(e,a,i){if(a.labelHaloColor){var b=OpenLayers.Util.extend({},a);b.fontStrokeColor=b.labelHaloColor;b.fontStrokeWidth=b.labelHaloWidth||2;delete b.labelHaloColor;if(b.labelBackgroundColor){delete b.labelBackgroundColor}if(b.labelBorderColor){delete b.labelBorderColor}if(b.labelBorderSize){delete b.labelBorderSize}this.drawText2(e,b,i,true);delete a.labelHaloColor;if(a.labelHaloWidth){delete a.labelHaloWidth}this.drawText2(e,a,i,false);return}var h=this.nodeFactory(e+this.LABEL_ID_SUFFIX,"olv:rect");var g=this.nodeFactory(e+this.LABEL_ID_SUFFIX+"_textbox","olv:textbox");var d=this.getResolution();h.style.left=((i.x/d-this.offset.x)|0)+"px";h.style.top=((i.y/d-this.offset.y)|0)+"px";h.style.flip="y";g.innerText=a.label;if(a.labelBackgroundColor){g.style.backgroundColor=a.labelBackgroundColor}if(parseFloat((navigator.appVersion.match(/MSIE (\d+\.\d+);/i))[1])>=8){if(a.labelBorderColor||a.labelBorderSize){g.style.border=(a.labelBorderSize||"1px")+" solid "+(a.labelBorderColor||"#000000")}}if(a.cursor!="inherit"&&a.cursor!=null){g.style.cursor=a.cursor}if(a.fontColor){g.style.color=a.fontColor}if(a.fontOpacity){g.style.filter="alpha(opacity="+(a.fontOpacity*100)+")"}if(a.fontFamily){g.style.fontFamily=a.fontFamily}if(a.fontSize){g.style.fontSize=a.fontSize}if(a.fontWeight){g.style.fontWeight=a.fontWeight}if(a.fontStyle){g.style.fontStyle=a.fontStyle}if(a.labelSelect===true){h._featureId=e;g._featureId=e;g._geometry=i;g._geometryClass=i.CLASS_NAME}g.style.whiteSpace="nowrap";g.inset="1px,0px,0px,0px";if(!h.parentNode){h.appendChild(g);this.textRoot.appendChild(h)}var f=a.labelAlign||"cm";if(f.length==1){f+="m"}var j=g.clientWidth*(OpenLayers.Renderer.VML.LABEL_SHIFT[f.substr(0,1)]);var c=g.clientHeight*(OpenLayers.Renderer.VML.LABEL_SHIFT[f.substr(1,1)]);h.style.left=parseInt(h.style.left)-j-1+"px";h.style.top=parseInt(h.style.top)+c+"px"},drawText2:function(h,a,l,j){var k=this.nodeFactory(h+this.LABEL_ID_SUFFIX+(j?this.HALO_ID_SUFFIX:""),"olv:shape");if(!k.parentNode){this.textRoot.appendChild(k)}var g=this.getResolution();k.style.left=((l.x/g-this.offset.x)|0)+"px";k.style.top=((l.y/g-this.offset.y)|0)+"px";k.style.flip="y";k.style.position="absolute";k.style.width=1+"px";k.style.height=1+"px";k.style.antialias="true";var c=OpenLayers.getDoc().createElement("olv:fill");c.on="true";c.color=a.fontColor;k.appendChild(c);var b=OpenLayers.getDoc().createElement("olv:stroke");if(a.fontStrokeColor){b.on="true";b.color=a.fontStrokeColor}else{b.on="false"}if(a.fontStrokeWidth){b.weight=a.fontStrokeWidth}k.appendChild(b);var e=OpenLayers.getDoc().createElement("olv:path");e.textpathok="True";e.v="m 0,0 l 200,0";k.appendChild(e);var n=OpenLayers.getDoc().createElement("olv:textpath");n.on="true";n.fitpath="false";n.string=a.label;k.appendChild(n);if(a.cursor!="inherit"&&a.cursor!=null){n.style.cursor=a.cursor}if(a.fontColor){n.style.color=a.fontColor}if(a.fontOpacity){c.opacity=a.fontOpacity;b.opacity=a.fontOpacity}if(a.fontFamily){n.style.fontFamily=a.fontFamily}if(a.fontSize){n.style.fontSize=a.fontSize}if(a.fontWeight){n.style.fontWeight=a.fontWeight}if(a.fontStyle){n.style.fontStyle=a.fontStyle}var i=a.labelAlign||"cm";if(i.length==1){i+="m"}var f;switch(i.substr(0,1)){case"l":f="left";break;case"c":f="center";break;case"r":f="right";break}n.style["v-text-align"]=f;if(a.labelSelect===true){k._featureId=h;k._geometry=l;k._geometryClass=l.CLASS_NAME}n.style.whiteSpace="nowrap";n.inset="1px,0px,0px,0px";var o=n.clientWidth*(OpenLayers.Renderer.VML.LABEL_SHIFT[i.substr(0,1)]);var d=n.clientHeight*(OpenLayers.Renderer.VML.LABEL_SHIFT[i.substr(1,1)]);k.style.left=parseInt(k.style.left)-o-1+"px";k.style.top=parseInt(k.style.top)+d+"px"}})}if(OpenLayers.Control&&OpenLayers.Control.Graticule){OpenLayers.Control.Graticule=OpenLayers.overload(OpenLayers.Control.Graticule,{update:function(){var k=this.map.getExtent();if(!k){return}this.gratLayer.destroyFeatures();var l=OpenLayers.Projection.CRS84;var J=this.map.getProjection();var g=this.map.getResolution();switch(J.getProjName()){case"longlat":case"eqc":case"merc":this.numPoints=1;break;default:break}var M=this.map.getCenter();var F=new OpenLayers.Pixel(M.lon,M.lat);OpenLayers.Projection.transform(F,J,l);var A=this.targetSize*g;A*=A;var q;for(var E=0;E<this.intervals.length;++E){q=this.intervals[E];var K=q/2;var d=F.offset(new OpenLayers.Pixel(-K,-K));var b=F.offset(new OpenLayers.Pixel(K,K));OpenLayers.Projection.transform(d,l,J);OpenLayers.Projection.transform(b,l,J);var e=(d.x-b.x)*(d.x-b.x)+(d.y-b.y)*(d.y-b.y);if(e<=A){break}}F.x=Math.floor(F.x/q)*q;F.y=Math.floor(F.y/q)*q;var D=0;var r=[F.clone()];var p=F.clone();var B;do{p=p.offset(new OpenLayers.Pixel(0,q));B=OpenLayers.Projection.transform(p.clone(),l,J);r.unshift(p)}while(k.containsPixel(B)&&++D<1000);p=F.clone();do{p=p.offset(new OpenLayers.Pixel(0,-q));B=OpenLayers.Projection.transform(p.clone(),l,J);r.push(p)}while(k.containsPixel(B)&&++D<1000);D=0;var y=[F.clone()];p=F.clone();do{p=p.offset(new OpenLayers.Pixel(-q,0));B=OpenLayers.Projection.transform(p.clone(),l,J);y.unshift(p)}while(k.containsPixel(B)&&++D<1000);p=F.clone();do{p=p.offset(new OpenLayers.Pixel(q,0));B=OpenLayers.Projection.transform(p.clone(),l,J);y.push(p)}while(k.containsPixel(B)&&++D<1000);var a=[];for(var E=0;E<y.length;++E){var f=y[E].x;var x=[];var L=null;var G=Math.min(r[0].y,90);var o=Math.max(r[r.length-1].y,-90);var c=(G-o)/this.numPoints;var h=o;for(var C=0;C<=this.numPoints;++C){var H=new OpenLayers.Geometry.Point(f,h);H.transform(l,J);x.push(H);h+=c;if(H.y>=k.bottom&&!L){L=H}}if(this.labelled){var u=new OpenLayers.Geometry.Point(L.x,k.bottom);var I={value:f,label:this.labelled?OpenLayers.Util.getFormattedLonLat(f,"lon",this.labelFormat):"",labelAlign:"cb",xOffset:0,yOffset:2};this.gratLayer.addFeatures(new OpenLayers.Feature.Vector(u,I))}var w=new OpenLayers.Geometry.LineString(x);a.push(new OpenLayers.Feature.Vector(w))}for(var C=0;C<r.length;++C){h=r[C].y;if(h<-90||h>90){continue}var x=[];var z=y[0].x;var s=y[y.length-1].x;var n=(s-z)/this.numPoints;var f=z;var L=null;for(var E=0;E<=this.numPoints;++E){var H=new OpenLayers.Geometry.Point(f,h);H.transform(l,J);x.push(H);f+=n;if(H.x<k.right){L=H}}if(this.labelled){var u=new OpenLayers.Geometry.Point(k.right,L.y);var I={value:h,label:this.labelled?OpenLayers.Util.getFormattedLonLat(h,"lat",this.labelFormat):"",labelAlign:"rb",xOffset:-2,yOffset:2};this.gratLayer.addFeatures(new OpenLayers.Feature.Vector(u,I))}var w=new OpenLayers.Geometry.LineString(x);a.push(new OpenLayers.Feature.Vector(w))}this.gratLayer.addFeatures(a)},changeLang:function(a){if(this.gratLayer){this.update()}}})}if(OpenLayers.Control&&OpenLayers.Control.WMSGetFeatureInfo){OpenLayers.Control.WMSGetFeatureInfo=OpenLayers.overload(OpenLayers.Control.WMSGetFeatureInfo,{layerQueryable:function(a){if(!a.getVisibility()){return false}if(!a.calculateInRange()){return false}if(a.queryable===false){return false}return true},findLayers:function(){var e=this.layers||this.map.layers;var f=[];var d,b;for(var c=0,a=e.length;c<a;++c){d=e[c];if(d instanceof OpenLayers.Layer.WMS&&(!this.queryVisible||this.layerQueryable(d))){b=OpenLayers.Util.isArray(d.url)?d.url[0]:d.url;if(this.drillDown===false&&!this.url){this.url=b}if(this.drillDown===true||this.urlMatches(b)){f.push(d)}}}return f},buildWMSOptions:function(b,e,c,l){var j=[],n=[];for(var f=0,h=e.length;f<h;f++){j=j.concat(e[f].params.LAYERS);n=n.concat(this.getStyleNames(e[f]))}var a=e[0];var g=this.map.getProjection();var k=a.getNativeProjection();var d=OpenLayers.Util.extend({service:"WMS",version:a.params.VERSION,request:"GetFeatureInfo",layers:j,query_layers:j,styles:n,bbox:this.map.getExtent().transform(g,k).toBBOX(null,e[0].reverseAxisOrder()),feature_count:this.maxFeatures,height:this.map.getSize().h,width:this.map.getSize().w,format:l,info_format:a.params.INFO_FORMAT||this.infoFormat},(parseFloat(a.params.VERSION)>=1.3)?{crs:k,i:parseInt(c.x),j:parseInt(c.y)}:{srs:k,x:parseInt(c.x),y:parseInt(c.y)});OpenLayers.Util.applyDefaults(d,this.vendorParams);return{url:b,params:OpenLayers.Util.upperCaseObject(d),callback:function(i){this.handleResponse(c,i,b)},scope:this}},handleResponse:function(e,c,a){var d=c.responseXML;if(!d||!d.documentElement){d=c.responseText}var b;if(d&&this.infoFormat=="application/vnd.ogc.gml"){b=this.format.read(d)}if(this.drillDown===false){this.triggerGetFeatureInfo(c,e,b)}else{this._requestCount++;if(this.output==="object"){this._features=(this._features||[]).concat({url:a,features:b})}else{this._features=(this._features||[]).concat(b)}if(this._requestCount===this._numRequests){this.triggerGetFeatureInfo(c,e,this._features.concat());delete this._features;delete this._requestCount;delete this._numRequests}}}})}if(OpenLayers.Format&&OpenLayers.Format.WMSCapabilities&&OpenLayers.Format.WMSCapabilities.v1_1_1){(function(){var b=OpenLayers.Util.extend({},OpenLayers.Format.WMSCapabilities.v1_1_1.prototype.readers);for(var a in ["Layer","MetadataURL","DataURL","FeatureTypeURL"]){b.wms[a]=OpenLayers.Format.WMSCapabilities.v1_1.prototype.readers.wms[a]}OpenLayers.Format.WMSCapabilities.v1_1_1=OpenLayers.overload(OpenLayers.Format.WMSCapabilities.v1_1_1,{readers:b});b=null})()}if(OpenLayers.Format&&OpenLayers.Format.WMSCapabilities&&OpenLayers.Format.WMSCapabilities.v1_1_1_WMSC){(function(){var a=OpenLayers.Util.extend({},OpenLayers.Format.WMSCapabilities.v1_1_1_WMSC.prototype.readers);a.wms["TileSet"]=function(b,d){var c={srs:{},bbox:{},resolutions:[],formats:[],layers:[],styles:[]};this.readChildNodes(b,c);d.tileSets.push(c)};a.wms["Resolutions"]=function(f,g){var e=this.getChildValue(f);var c=e.split(/ +/);var b=c.length;if(b>0){for(var d=0;d<b;d++){c[d]=parseFloat(c[d]||0)}c.sort(function(i,h){return h-i});g.resolutions=c}};a.wms["Layers"]=function(b,c){if(c.layers){c.layers.push(this.getChildValue(b))}};a.wms["Styles"]=function(b,c){if(c.styles){c.styles.push(this.getChildValue(b))}};OpenLayers.Format.WMSCapabilities.v1_1_1_WMSC=OpenLayers.overload(OpenLayers.Format.WMSCapabilities.v1_1_1_WMSC,{readers:a});a=null})()}if(OpenLayers.Format&&OpenLayers.Format.WMSCapabilities&&OpenLayers.Format.WMSCapabilities.v1_3_0){(function(){var a=OpenLayers.Util.extend({},OpenLayers.Format.WMSCapabilities.v1_3_0.prototype.readers);a.wms=OpenLayers.Util.extend(a.wms,OpenLayers.Format.WMSCapabilities.v1_3.prototype.readers.wms);OpenLayers.Format.WMSCapabilities.v1_3_0=OpenLayers.overload(OpenLayers.Format.WMSCapabilities.v1_3_0,{readers:a});a=null})()}if(OpenLayers.Control&&OpenLayers.Control.KeyboardDefaults){OpenLayers.Control.KeyboardDefaults=OpenLayers.overload(OpenLayers.Control.KeyboardDefaults,{autoActivate:false,noUI:true,initialize:function(){OpenLayers.Control.prototype.initialize.apply(this,arguments);if(this.activeOverMapOnly!==true){this.autoActivate=true}},draw:function(){OpenLayers.Control.prototype.draw.apply(this,arguments);this.handler=new OpenLayers.Handler.Keyboard(this,{keydown:this.defaultKeyPress});if(this.activeOverMapOnly!==true){this.activate()}}})}if(OpenLayers.Control&&OpenLayers.Control.PinchZoom){OpenLayers.Control.PinchZoom=OpenLayers.overload(OpenLayers.Control.PinchZoom,{noUI:true})}if(OpenLayers.Control&&OpenLayers.Control.TouchNavigation){OpenLayers.Control.TouchNavigation=OpenLayers.overload(OpenLayers.Control.TouchNavigation,{noUI:true})}if(OpenLayers.Protocol&&!OpenLayers.Protocol.String){OpenLayers.Protocol.String=OpenLayers.Class(OpenLayers.Protocol,{data:null,initialize:function(a){OpenLayers.Protocol.prototype.initialize.apply(this,arguments)},destroy:function(){OpenLayers.Protocol.prototype.destroy.apply(this)},read:function(a){OpenLayers.Protocol.prototype.read.apply(this,arguments);a=OpenLayers.Util.applyDefaults(a,this.options);var b=new OpenLayers.Protocol.Response({requestType:"read"});b.priv={status:200,responseText:typeof(this.data)=="string"?this.data:null,responseXML:typeof(this.data)!="string"?this.data:null};b.features=this.format.read(this.data);b.code=OpenLayers.Protocol.Response.SUCCESS;if(a.callback){a.callback.call(a.scope,b)}return b},CLASS_NAME:"OpenLayers.Protocol.String"})}if(OpenLayers.Control&&!OpenLayers.Control.Click){OpenLayers.Control.Click=OpenLayers.Class(OpenLayers.Control,{defaultHandlerOptions:{single:true,"double":false,pixelTolerance:0,stopSingle:false,stopDouble:false},initialize:function(a){this.handlerOptions=OpenLayers.Util.extend({},this.defaultHandlerOptions);OpenLayers.Control.prototype.initialize.apply(this,arguments);this.handler=new OpenLayers.Handler.Click(this,{click:this.onClick,dblclick:this.onDblclick},this.handlerOptions)},onClick:function(a){},onDblclick:function(a){},CLASS_NAME:"OpenLayers.Control.Click"})}if(OpenLayers.Control.Measure){OpenLayers.Control.Measure=OpenLayers.overload(OpenLayers.Control.Measure,{measure:function(b,a){this.events.triggerEvent(a,this.getMeasure(b))},getMeasure:function(c){var b,a;if(c instanceof OpenLayers.Geometry.LineString){b=this.getBestLength(c);a=1}else{b=this.getBestArea(c);a=2}return{measure:b[0],units:b[1],order:a,geometry:c}}})}var Geoportal={VERSION_NUMBER:"Geoportal 2.1.3-SNAPSHOT Mobile ; publicationDate=2015-03-31",singleFile:true,_getScriptLocation:(function(){var f="";var c=new RegExp("(^|(.*?\\/))(GeoportalMobile\\.js)(\\?|$)");var b=document.documentElement.getElementsByTagName("script");for(var e=0,a=b.length;e<a;e++){var g=b[e].getAttribute("src");if(g){var d=g.match(c);if(d){f=d[1];break}}}return(function(){return f})})()};Geoportal.Lang={add:function(b){for(var a in b){if(b.hasOwnProperty(a)){for(var c in b[a]){if(b[a].hasOwnProperty(c)){var d=Geoportal.Lang[c];if(!d){d={}}d[a]=b[a][c]}}}}},translate:function(b,a){var d=Geoportal.Lang[OpenLayers.Lang.getCode()];var c=d[b];if(!c){c=OpenLayers.Lang.translate(b)}if(a){c=OpenLayers.String.format(c,a)}return c},getLocalizationForKey:function(a){return Geoportal.Lang.translate(a)},addLocale:function(c,a,b){Geoportal.Lang[c]={}},getLocaleByKey:function(a){return Geoportal.Lang[a]},getLocalizationForLocaleAndKey:function(a,b){var c=Geoportal.Lang[a]?Geoportal.Lang[a][b]:null;if(!c){c=OpenLayers.Lang.translate(b)}return c},setLocalizationForKey:function(a,b,d){var c=Geoportal.Lang[a];if(!c){this.addLocale(a)}c[b]=d},setLocalizationsForKey:function(c,b){for(var a in b){this.setLocalizationForKey(a,c,b[a])}},setLocalizationsForKeys:function(a){for(var b in a){this.setLocalizationsForKey(b,a[b])}}};Geoportal.i18n=Geoportal.Lang.translate;OpenLayers.i18n=Geoportal.Lang.translate;Geoportal.Lang.en={ATF:"French Southern Territories",FXX:"France mainland",GLP:"Guadeloupe",GUF:"French Guiana",MTQ:"Martinique",MYT:"Mayotte",NCL:"New Caledonia",PYF:"French Polynesia",REU:"Réunion",SPM:"Saint Pierre and Miquelon",WLF:"Wallis and Futuna",ANF:"French Antilles",ASP:"Saint Paul and Amsterdam",CRZ:"Crozet",EUE:"Europe",KER:"Kerguelen",SBA:"Saint Barthélémy",SMA:"Saint Martin",WLD:"The world","GEOGRAPHICALGRIDSYSTEMS.MAPS":"IGN Maps","GEOGRAPHICALGRIDSYSTEMS.MAPS.description":"Maps are extracted from IGN's SCAN databases : World, Europe, SCAN 1 000®, SCAN 500®, SCAN Régional®, SCAN 200®, SCAN Départemental®, SCAN 100®, SCAN 50®, SCAN 25®.","ORTHOIMAGERY.ORTHOPHOTOS":"Orthoimagery","ORTHOIMAGERY.ORTHOPHOTOS.description":"Aerial photographies combine the geometrical precision of maps with richness of photographies, between 15 and 50 cm resolution, and satelite images, between 10 and 20 m resolution.","ELEVATION.SLOPES":"Slops - Elevation","ELEVATION.SLOPES.description":"Digital terrain models were derived from BD ALTI ® data that describes the  French territory with contour lines. The equidistance of the contour lines can range from 5 to 40m. Original data has been acquired from IGN maps at 1: 25 000, at 1: 50 000 and from aerial photographs at 1: 20 000, 1: 30 000 and 1: 60 000 by stereophotogrammetry.","ELEVATION.LEVEL0":"Sea level 0 - Elevation","ELEVATION.LEVEL0.description":"The sea 0 level is part of LITTO3D®, a joint production from SHOM and IGN.","CADASTRALPARCELS.PARCELS":"Cadastral parcels","CADASTRALPARCELS.PARCELS.description":"The digital cadastral information is georeferenced and seamless throughout the French territory. It was carried out from the assembly of the digital cadastral scanned sheets.","HYDROGRAPHY.HYDROGRAPHY":"Hydrography","HYDROGRAPHY.HYDROGRAPHY.description":"Hydrography network is derived from the assembly of datasets from BD TOPO®, BD CARTHAGE®, EuroRegionalMap and EuroGlobalMap databases.","TRANSPORTNETWORKS.ROADS":"Road transport networks - Transport networks","TRANSPORTNETWORKS.ROADS.description":"The roads network is derived from the assembly of datasets from BD TOPO®, BD CARTO®, EuroRegionalMap and EuroGlobalMap databases.","TRANSPORTNETWORKS.RAILWAYS":"Rail transport networks - Transport networks","TRANSPORTNETWORKS.RAILWAYS.description":"The railways network is derived from the assembly of datasets from BD TOPO®, BD CARTO®, EuroRegionalMap and EuroGlobalMap databases.","TRANSPORTNETWORKS.RUNWAYS":"Air transport networks - Transport networks","TRANSPORTNETWORKS.RUNWAYS.description":"Airport runways are derived from the assembly of datasets from BD TOPO® and BD CARTO®.","BUILDINGS.BUILDINGS":"Buildings","BUILDINGS.BUILDINGS.description":"Buildings and urban areas are derived from the assembly of datasets from BD TOPO®, BD CARTO®, EuroRegionalMap and EuroGlobalMap databases.","UTILITYANDGOVERNMENTALSERVICES.ALL":"Utility and governmental services","UTILITYANDGOVERNMENTALSERVICES.ALL.description":"Energy networks are derived from the assembly of datasets from BD TOPO® and BD CARTO®.","ADMINISTRATIVEUNITS.BOUNDARIES":"Administrative units","ADMINISTRATIVEUNITS.BOUNDARIES.description":"French administrative units are derived from the assembly of datasets from BD TOPO®, BD CARTO®, EuroRegionalMap and EuroBoundaryMap databases.","LANDCOVER.CORINELANDCOVER":"Corine Land cover","LANDCOVER.CORINELANDCOVER.description":"CORINE Land Cover (2006)","GEOGRAPHICALGRIDSYSTEMS.COASTALMAPS":"Coastal maps","GEOGRAPHICALGRIDSYSTEMS.COASTALMAPS.description":"Coastal maps","GEOGRAPHICALGRIDSYSTEMS.1900TYPEMAPS":"Type 1900 topographical maps","GEOGRAPHICALGRIDSYSTEMS.1900TYPEMAPS.description":"Maps at 1: 50 000 (after the first edition of the IGN Map Library)","GEOGRAPHICALGRIDSYSTEMS.CASSINI":"Cassini's maps","GEOGRAPHICALGRIDSYSTEMS.CASSINI.description":"Cassini's maps","ORTHOIMAGERY.ORTHOPHOTOS.COAST2000":"Coastal ortho-imagery (2000)","ORTHOIMAGERY.ORTHOPHOTOS.COAST2000.description":"Ortho-photography of the coast of the North Sea, English Channel and Atlantic.","LANDUSE.AGRICULTURE2007":"Agricultural parcels (2007)","LANDUSE.AGRICULTURE2007.description":"This layer displays the islets anonymized Registry Parcel Graph (RPG) and their main crop group reported in 2007 by farmers to benefit from CAP subsidies.","LANDUSE.AGRICULTURE2008":"Agricultural parcels (2008)","LANDUSE.AGRICULTURE2008.description":"This layer displays the islets anonymized Registry Parcel Graph (RPG) and their main crop group reported in 2008 by farmers to benefit from CAP subsidies.","LANDUSE.AGRICULTURE2009":"Agricultural parcels (2009)","LANDUSE.AGRICULTURE2009.description":"This layer displays the islets anonymized Registry Parcel Graph (RPG) and their main crop group reported in 2009 by farmers to benefit from CAP subsidies.","LANDUSE.AGRICULTURE2010":"Agricultural parcels (2010)","LANDUSE.AGRICULTURE2010.description":"This layer displays the islets anonymized Registry Parcel Graph (RPG) and their main crop group reported in 2010 by farmers to benefit from CAP subsidies.","ORTHOIMAGERY.ORTHOPHOTOS.GENEVE":"Geneva State","ORTHOIMAGERY.ORTHOPHOTOS.GENEVE.description":"Ortho-photography, 10 cm resolution (2010).","ORTHOIMAGERY.ORTHOPHOTOS2000-2005":"Orthoimagery (2000-2005)","ORTHOIMAGERY.ORTHOPHOTOS2000-2005.description":"1st national coverage (2000-2005) of ortho-imagery with 50 cm resolution.","GEOGRAPHICALGRIDSYSTEMS.FRANCERASTER":"FranceRaster®","GEOGRAPHICALGRIDSYSTEMS.FRANCERASTER.description":"FranceRaster® is a serie of georeferenced images covering France mainland and overseas territories. It is produced with the vector database of the IGN best suited to each scale with a uniform symbology. According to the scales, FranceRaster ®, allows viewing the themes roads and rail, frame, hydrography, vegetation, addresses, direction of travel, names ...","NATURALRISKZONES.1910FLOODEDWATERSHEDS":"Seine (PHEC)","NATURALRISKZONES.1910FLOODEDWATERSHEDS.description":"This map layer represents the known highest water (PHEC) on the river basin of the Seine, ie geographical areas flooded by the biggest known flood and documented on each river.","NATURALRISKZONES.1910FLOODEDCELLARS":"Flooded cellars (1910)","NATURALRISKZONES.1910FLOODEDCELLARS.description":"Map of flooded cellars during the Seine's flood of 1910. This map is based on testimonies.","GEOGRAPHICALGRIDSYSTEMS.ETATMAJOR40":"État-Major Maps (1:40 000)","GEOGRAPHICALGRIDSYSTEMS.ETATMAJOR40.description":"This layer is formed by the assembly of the 978 original drawings of the map of Etat Major established in the nineteenth century. These hand-written and colored surveys, at the 1: 40 000, were established between 1825 and 1866.","LANDCOVER.FORESTINVENTORY.V1":"Forest inventory (v1)","LANDCOVER.FORESTINVENTORY.V1.description":"Forest inventory (1987-2004)","LANDCOVER.FORESTINVENTORY.V2":"Forest inventory (v2)","LANDCOVER.FORESTINVENTORY.V2.description":"Forest inventory (2005+)","GEOGRAPHICALGRIDSYSTEMS.ADMINISTRATIVEUNITS":"Map of administrative divisions","GEOGRAPHICALGRIDSYSTEMS.ADMINISTRATIVEUNITS.description":"Map of administrative divisions","PositionOfInterest;Geocode":"Search by location","PositionOfInterest;Geocode.description":"Uses the database BD Nyme®.","StreetAddress:OPENLS;Geocode":"Search by address","StreetAddress:OPENLS;Geocode.description":"Uses the database Routes Adresses®.","GEOGRAPHICALNAMES.NAMES":"Geographical names","GEOGRAPHICALNAMES.NAMES.description":"Geographical names","div.not.found":"${id} not found in the document : check you have '${id}' set.","proxy.not.set":"Missing proxy setting : may cause problems when getting contract configuration.","cookies.not.enabled":"Cookies are disabled. Please, enable them.","geoRM.getConfig":"Impossible to get information for key '${key}' - check your connection","geoRM.getToken":"Impossible to get the token for key '${key}' - check your connection","geoRM.failed":"Failed to get a valid token for key '${key}'","geoRM.forbidden":"API key is missing or ${layer} not supported by the application API's contract.","url.error":"Error when loading '${url}' ${msg}","GPX.version":"Unhandled GPX version ${gpxVersion}","XLS.version":"Unhandled XLS version ${xlsVersion} for OpenLS Core service ${coreService}","Not.conformal.XLS":"Location Service XML is missing : ${part}","olControlMeasurePath.title":"Distance measurement","olControlMeasurePolygon.title":"Surface measurement","waiting.measurement":"Waiting for digitizing ...","length.measurement":"Length","area.measurement":"Area","gpControlLayerSwitcher.label":"Layers","gpLayer.metadataURL":"More information about this layer ...","gpLayer.dataURL":"Access to download page","gpControlPanelToggle.closed":"Show toolbar","gpControlPanelToggle.opened":"Hide toolbar","gpControlRemoveLayer.title":"Remove layer","gpControlLayerOpacity.title":"Opacity slider","gpControlZoomToLayerMaxExtent.title":"Zoom to layer's extent","gpControlMousePosition.longitude":"Longitude","gpControlMousePosition.latitude":"Latitude","gpControlMousePosition.easting":"Easting","gpControlMousePosition.northing":"Northing","gpControlMousePosition.north":"N","gpControlMousePosition.south":"S","gpControlMousePosition.east":"E","gpControlMousePosition.west":"W","gpControlMousePosition.sexa":"sexagecimal degrees","gpControlMousePosition.deg":"decimal degrees","gpControlMousePosition.gon":"decimal grades","gpControlMousePosition.rad":"decimal radians","gpControlMousePosition.km":"kilometers","gpControlMousePosition.m":"meters","gpControlMousePosition.cm":"centimeters","gpControlMousePosition.utmZone":"Zone","gpControlToolBox.label":"Toolbox","gpControlZoomBar.world":"World","gpControlZoomBar.state":"State","gpControlZoomBar.country":"Country","gpControlZoomBar.town":"Town","gpControlZoomBar.street":"Street","gpControlZoomBar.house":"House","gpControlEditingToolbar.drawpoint":"Draw point","gpControlEditingToolbar.drawline":"Draw line","gpControlEditingToolbar.drawpolygon":"Draw polygon","gpControlEditingToolbar.dragfeature":"Drag feature","gpControlEditingToolbar.modifyfeature":"Modify feature","gpControlEditingToolbar.deletefeature":"Delete feature","gpControlEditingToolbar.selectfeature":"Select feature","gpControlEditingToolbar.navigation":"Navigate","gpControlAddImageLayer.title":"Add image layer ...","gpControlAddImageLayer.layerUrl":"URL : ","gpControlAddImageLayer.layerUrl.help":"base address of the service","gpControlAddImageLayer.layerType":"Type : ","gpControlAddImageLayer.layerType.help":"pick up a value in the select","gpControlAddImageLayer.layerType.WMS":"Web Map Service","gpControlAddImageLayer.layerType.WMTS":"Web Map Tile Service","gpControlAddImageLayer.layerType.WMSC":"OSGeO WMS-C","gpControlAddImageLayer.button.add":"Add Layer","gpControlAddImageLayer.button.cancel":"Cancel","wms.caps.no.compatible.srs":"No compatible layer found","ogc.caps.unknown.service":"${serviceType} is not a ${expectedType}","gpControlAddVectorLayer.title":"Add vector layer ...","gpControlAddVectorLayer.layerName.help":"ex : my layer","gpControlAddVectorLayer.layerType":"Type : ","gpControlAddVectorLayer.layerType.help":"pick up a value in the select","gpControlAddVectorLayer.layerType.Point":"point","gpControlAddVectorLayer.layerType.LineString":"linestring","gpControlAddVectorLayer.layerType.Polygon":"polygon","gpControlAddVectorLayer.layerType.Collection":"sketch","gpControlAddVectorLayer.layerType.KML":"KML resource","gpControlAddVectorLayer.layerType.GPX":"GPX resource","gpControlAddVectorLayer.layerType.OSM":"OSM resource","gpControlAddVectorLayer.layerType.GeoRSS":"GeoRSS resource","gpControlAddVectorLayer.layerType.WFS":"WFS resource","gpControlAddVectorLayer.layerUrl":"URL : ","gpControlAddVectorLayer.layerUrl.help":"either local or remote","gpControlAddVectorLayer.layerFreeHand":"freehand ? ","gpControlAddVectorLayer.layerFreeHand.help":"allow free hand drawing","gpControlAddVectorLayer.button.add":"Add Layer","gpControlAddVectorLayer.button.cancel":"Cancel","gpControlAddVectorLayer.layerName":"Name : ","gpControlAddVectorLayer.layerContent":"Contents","gpControlAddVectorLayer.layerContent.help":"Copy / Paste Data","gpControlAddVectorLayer.layerFile":"File","gpControlAddVectorLayer.layerFile.help":"Select / Drag & Drop a file","gpControlAddVectorLayer.layerUrlSwitch":"By URL / Content","gpControlAddVectorLayer.layerUrlSwitch.help":"Provide remote URL or the content data","addvlayer.type.not.supported":"Type ${h} is not supported","addvlayer.file.not.found":"File ${file} is not found","addvlayer.file.not.readable":"File '${file} not readable","addvlayer.file.is.empty":"File ${file} is empty or not supported (check type)","addvlayer.expected.type":"file ${file} is empty or not supported (expected type ${type})","wfs.caps.no.feature.found":"No features found","wfs.caps.unsupported.version":"Unsupported WFS version ${version}","gpControlLocationUtilityService.geonames.title":"Search a location","gpControlLocationUtilityService.geocode.title":"Search an address","gpControlLocationUtilityService.cadastralparcel.title":"Search a cadastral parcel","gpControlLocationUtilityService.geodeticfixedpoint.title":"Search a geodetic point","gpControlLocationUtilityService.reverse.geocode.title":"Search addresses around a location","gpControlLocationUtilityService.extent":"Restrict the research : ","gpControlLocationUtilityService.extent.help":"Restrict the research with an extent.","gpControlLocationUtilityService.extent.Map":"To the current extent","gpControlLocationUtilityService.extent.Manual":"Draw an extent","gpControlLocationUtilityService.territory":"Territory : ","gpControlLocationUtilityService.territory.help":"ex : France métropolitaine, Guadeloupe","gpControlLocationUtilityService.region":"Region : ","gpControlLocationUtilityService.region.help":"ex : Alsace, Aquitaine","gpControlLocationUtilityService.department":"Department : ","gpControlLocationUtilityService.department.help":"ex : Ain, Aisne","gpControlLocationUtilityServiceGeoNames.title":"Search a location :","gpControlLocationUtilityServiceGeoNames.name":"Location : ","gpControlLocationUtilityServiceGeoNames.name.help":"ex : Saint-Mandé","gpControlLocationUtilityServiceGeoNames.nature":"Nature : ","gpControlLocationUtilityServiceGeoNames.nature.help":"ex : Préfecture","gpControlLocationUtilityServiceGeoNames.importance":"Importance : ","gpControlLocationUtilityServiceGeoNames.importance.help":"ex : 1","gpControlLocationUtilityServiceGeoNames.commune":"Commune : ","gpControlLocationUtilityServiceGeoNames.commune.help":"ex : Saint-Mandé","gpControlLocationUtilityServiceGeoNames.extent":"Restrict the research : ","gpControlLocationUtilityServiceGeoNames.extent.help":"Restrict the research with an extent.","gpControlLocationUtilityServiceGeoNames.extent.Map":"To the current extent","gpControlLocationUtilityServiceGeoNames.extent.Manual":"Draw an extent","gpControlLocationUtilityServiceGeoNames.territory":"Territory : ","gpControlLocationUtilityServiceGeoNames.territory.help":"ex : France métropolitaine, Guadeloupe","gpControlLocationUtilityServiceGeoNames.region":"Region : ","gpControlLocationUtilityServiceGeoNames.region.help":"ex : Alsace, Aquitaine","gpControlLocationUtilityServiceGeoNames.department":"Department : ","gpControlLocationUtilityServiceGeoNames.department.help":"ex : Ain, Aisne","gpControlLocationUtilityServiceGeocode.title":"Search a place :","gpControlLocationUtilityServiceGeocode.address":"Street : ","gpControlLocationUtilityServiceGeocode.address.help":"ex : 73, avenue de Paris","gpControlLocationUtilityServiceGeocode.municipality":"Municipality : ","gpControlLocationUtilityServiceGeocode.municipality.help":"ex : Saint-Mandé","gpControlLocationUtilityServiceGeocode.postalcode":"Postal code : ","gpControlLocationUtilityServiceGeocode.postalcode.help":"ex : 94165","gpControlLocationUtilityServiceGeocode.quality":"Accuracy:","gpControlLocationUtilityServiceGeocode.quality.help":"Plaque adresse","gpControlLocationUtilityServiceGeocode.freeformaddress":"Address : ","gpControlLocationUtilityServiceGeocode.freeformaddress.help":"ex : Saint-Mandé or 94165","gpControlLocationUtilityServiceGeocode.name":"Place: ","gpControlLocationUtilityServiceGeocode.name.help":"e.g.: Saint-Mandé or 94165","gpControlLocationUtilityServiceGeocode.button.cancel":"Cancel","gpControlLocationUtilityServiceGeocode.button.search":"Search","gpControlLocationUtilityServiceGeocode.matchType.city":"Location in the city","gpControlLocationUtilityServiceGeocode.matchType.street":"Location in the street","gpControlLocationUtilityServiceGeocode.matchType.number":"Location at the exact address number","gpControlLocationUtilityServiceGeocode.matchType.enhanced":"Location interpolated between two addresses","gpControlLocationUtilityServiceGeocode.extent":"Restrict the research : ","gpControlLocationUtilityServiceGeocode.extent.help":"Restrict the research with an extent.","gpControlLocationUtilityServiceGeocode.extent.Map":"To the current extent","gpControlLocationUtilityServiceGeocode.extent.Manual":"Draw an extent","gpControlLocationUtilityServiceGeocode.territory":"Territory : ","gpControlLocationUtilityServiceGeocode.territory.help":"ex : France métropolitaine, Guadeloupe","gpControlLocationUtilityServiceGeocode.region":"Region : ","gpControlLocationUtilityServiceGeocode.region.help":"ex : Alsace, Aquitaine","gpControlLocationUtilityServiceGeocode.department":"Department : ","gpControlLocationUtilityServiceGeocode.department.help":"ex : Ain, Aisne","gpControlLocationUtilityServiceGeoNames.button.cancel":"Cancel","gpControlLocationUtilityServiceGeoNames.button.search":"Search","gpControlLocationUtilityServiceCadastralParcel.title":"Search a cadastral parcel:","gpControlLocationUtilityServiceCadastralParcel.departement":"Department : ","gpControlLocationUtilityServiceCadastralParcel.departement.help":"ex : 94, 2A","gpControlLocationUtilityServiceCadastralParcel.insee":"Commune INSEE : ","gpControlLocationUtilityServiceCadastralParcel.insee.help":"ex : 001","gpControlLocationUtilityServiceCadastralParcel.absorbee":"Merged Commune INSEE : ","gpControlLocationUtilityServiceCadastralParcel.absorbee.help":"ex : 001, 000","gpControlLocationUtilityServiceCadastralParcel.section":"Section : ","gpControlLocationUtilityServiceCadastralParcel.section.help":"ex : A, AD","gpControlLocationUtilityServiceCadastralParcel.feuille":"Sheet : ","gpControlLocationUtilityServiceCadastralParcel.feuille.help":"ex : 00, 01","gpControlLocationUtilityServiceCadastralParcel.numero":"Number : ","gpControlLocationUtilityServiceCadastralParcel.numero.help":"ex : 250, 1","gpControlLocationUtilityServiceCadastralParcel.freeformparcel":"Parcel Id : ","gpControlLocationUtilityServiceCadastralParcel.freeformparcel.help":"ex : 974090001BE0088","gpControlLocationUtilityServiceCadastralParcel.extent":"Restrict the research : ","gpControlLocationUtilityServiceCadastralParcel.extent.help":"Restrict the research with an extent.","gpControlLocationUtilityServiceCadastralParcel.extent.Map":"To the current extent","gpControlLocationUtilityServiceCadastralParcel.extent.Manual":"Draw an extent","gpControlLocationUtilityServiceCadastralParcel.territory":"Territory : ","gpControlLocationUtilityServiceCadastralParcel.territory.help":"ex : France métropolitaine, Guadeloupe","gpControlLocationUtilityServiceCadastralParcel.region":"Region : ","gpControlLocationUtilityServiceCadastralParcel.region.help":"ex : Alsace, Aquitaine","gpControlLocationUtilityServiceCadastralParcel.department":"Department : ","gpControlLocationUtilityServiceCadastralParcel.department.help":"ex : Ain, Aisne","gpControlLocationUtilityServiceCadastralParcel.button.cancel":"Cancel","gpControlLocationUtilityServiceCadastralParcel.button.search":"Search","gpControlLocationUtilityServiceGeodeticFixedPoint.title":"Search a geodetic fixed point:","gpControlLocationUtilityServiceGeodeticFixedPoint.name":"Geodetic name : ","gpControlLocationUtilityServiceGeodeticFixedPoint.name.help":"ex : P.C.L3 - 39","gpControlLocationUtilityServiceGeodeticFixedPoint.identifiant":"Geodetic number : ","gpControlLocationUtilityServiceGeodeticFixedPoint.identifiant.help":"ex : 75056AQ","gpControlLocationUtilityServiceGeodeticFixedPoint.type":"Type : ","gpControlLocationUtilityServiceGeodeticFixedPoint.type.help":"ex : Repère de Nivellement","gpControlLocationUtilityServiceGeodeticFixedPoint.freeformgeodesic":"Geodesic fixed point Id : ","gpControlLocationUtilityServiceGeodeticFixedPoint.freeformgeodesic.help":"ex : P.C.L3 - 39, 75056AQ","gpControlLocationUtilityServiceGeodeticFixedPoint.extent":"Restrict the research : ","gpControlLocationUtilityServiceGeodeticFixedPoint.extent.help":"Restrict the research with an extent.","gpControlLocationUtilityServiceGeodeticFixedPoint.extent.Map":"To the current extent","gpControlLocationUtilityServiceGeodeticFixedPoint.extent.Manual":"Draw an extent","gpControlLocationUtilityServiceGeodeticFixedPoint.territory":"Territory : ","gpControlLocationUtilityServiceGeodeticFixedPoint.territory.help":"ex : France métropolitaine, Guadeloupe","gpControlLocationUtilityServiceGeodeticFixedPoint.region":"Region : ","gpControlLocationUtilityServiceGeodeticFixedPoint.region.help":"ex : Alsace, Aquitaine","gpControlLocationUtilityServiceGeodeticFixedPoint.department":"Department : ","gpControlLocationUtilityServiceGeodeticFixedPoint.department.help":"ex : Ain, Aisne","gpControlLocationUtilityServiceGeodeticFixedPoint.button.cancel":"Cancel","gpControlLocationUtilityServiceGeodeticFixedPoint.button.search":"Search","gpControlLocationUtilityServiceReverseGeocode.extent":"Restrict the research : ","gpControlLocationUtilityServiceReverseGeocode.extent.help":"Choose the reverse geocoding mode.","gpControlLocationUtilityServiceReverseGeocode.type.Point":"Around a point","gpControlLocationUtilityServiceReverseGeocode.type.Circle":"Draw a circle","gpControlLocationUtilityServiceReverseGeocode.type.Extent":"Draw an extent","gpControlLocationUtilityServiceReverseGeocode.title":"Search places around :","gpControlLocationUtilityServiceReverseGeocode.longitude":"Longitude : ","gpControlLocationUtilityServiceReverseGeocode.longitude.help":"ex : dd.mmss in geographic coordinates","gpControlLocationUtilityServiceReverseGeocode.latitude":"Latitude : ","gpControlLocationUtilityServiceReverseGeocode.latitude.help":"ex : dd.mmss in geographic coordinates","gpControlLocationUtilityServiceReverseGeocode.countrycode":"Research types : ","gpControlLocationUtilityServiceReverseGeocode.countrycode.help":"ex : PositionOfInterest","gpControlLocationUtilityServiceReverseGeocode.type.PositionOfInterest":"Geographical names","gpControlLocationUtilityServiceReverseGeocode.type.StreetAddress":"Addresses","gpControlLocationUtilityServiceReverseGeocode.type.CadastralParcel":"Cadastral parcels","gpControlLocationUtilityServiceReverseGeocode.type.GeodeticFixedPoint":"Geodetic points","gpControlLocationUtilityServiceReverseGeocode.button.cancel":"Cancel","gpControlLocationUtilityServiceReverseGeocode.button.search":"Search","gpControlLocationUtilityServiceReverseGeocode.circle":"In a circle","gpControlLocationUtilityServiceReverseGeocode.circle.help":"Draw a circle and search locations inside","gpControlCSW.title":"Search in the geocatalogue","gpControlCSW.cswTitle":"Title : ","gpControlCSW.cswTitle.help":" ","gpControlCSW.cswKeyWords":"KeyWords : ","gpControlCSW.cswKeyWords.help":" ","gpControlCSW.cswKeyWords.NoKeyWords":" ","gpControlCSW.cswKeyWords.Addresses":"Addresses","gpControlCSW.cswKeyWords.AdministrativeUnits":"Administrative units","gpControlCSW.cswKeyWords.Agricultural":"Agricultural and aquaculture facilities","gpControlCSW.cswKeyWords.RegulationZones":"Area management/restriction/regulation zones and reporting units","gpControlCSW.cswKeyWords.Atmospheric":"Atmospheric conditions","gpControlCSW.cswKeyWords.BioGeographical":"Bio-geographical regions","gpControlCSW.cswKeyWords.Buildings":"Buildings","gpControlCSW.cswKeyWords.Cadastral":"Cadastral parcels","gpControlCSW.cswKeyWords.CoordinateSystems":"Coordinate reference systems","gpControlCSW.cswKeyWords.Elevation":"Elevation","gpControlCSW.cswKeyWords.Energy":"Energy resources","gpControlCSW.cswKeyWords.EnvironmentalFacilities":"Environmental monitoring facilities","gpControlCSW.cswKeyWords.GeographicalSystems":"Geographical grid systems","gpControlCSW.cswKeyWords.GeographicalNames":"Geographical names","gpControlCSW.cswKeyWords.Geology":"Geology","gpControlCSW.cswKeyWords.Habitats":"Habitats and biotopes","gpControlCSW.cswKeyWords.HumanHealth":"Human health and safety","gpControlCSW.cswKeyWords.Hydrography":"Hydrography","gpControlCSW.cswKeyWords.LandCover":"Land cover","gpControlCSW.cswKeyWords.LandUse":"Land use","gpControlCSW.cswKeyWords.Meteorological":"Meteorological geographical features","gpControlCSW.cswKeyWords.Mineral":"Mineral resources","gpControlCSW.cswKeyWords.NaturalRiskZones":"Natural risk zones","gpControlCSW.cswKeyWords.Oceanographic":"Oceanographic geographical features","gpControlCSW.cswKeyWords.Orthoimagery":"Orthoimagery","gpControlCSW.cswKeyWords.Population":"Population distribution — Demography","gpControlCSW.cswKeyWords.Production":"Production and industrial facilities","gpControlCSW.cswKeyWords.ProtectedSites":"Protected sites","gpControlCSW.cswKeyWords.SeaRegions":"Sea regions","gpControlCSW.cswKeyWords.Soil":"Soil","gpControlCSW.cswKeyWords.SpeciesDistribution":"Species distribution","gpControlCSW.cswKeyWords.StatisticalUnits":"Statistical units","gpControlCSW.cswKeyWords.TransportNetworks":"Transport networks","gpControlCSW.cswKeyWords.UtilityServices":"Utility and governmental services","gpControlCSW.cswOrganism":"Organism : ","gpControlCSW.cswOrganism.help":" ","gpControlCSW.button.cancel":"Cancel","gpControlCSW.button.search":"Search","gpControlCSW.cswBBOX":"BBOX","gpControlCSW.cswNoBBOX":"World extent","gpControlCSW.cswNoBBOX.help":" ","gpControlCSW.cswCurrentBBOX":"Current extent","gpControlCSW.cswCurrentBBOX.help":" ","gpControlCSW.cswPersonnalBBOX":"Select an extent","gpControlCSW.cswPersonnalBBOX.help":" ","gpControlPageManager.button.previous":"<","gpControlPageManager.button.next":">","azimuth.measurement":"Azimuth","gpControlMeasureAzimuth.title":"Azimuth measurement","gpControlMeasureAzimuth.azimuth":"Azimuth","gpControlMeasureAzimuth.azimuth.help":"an angular measurement in a spherical coordinate system","gpControlMeasureAzimuth.distance":"Distance","gpControlMeasureAzimuth.distance.help":"Length","elevation.measurement":"Elevation","gpControlMeasureElevation.title":"Altitude measurement","gpControlMeasureElevationPath.title":"Elevation profile","gpControlMeasureElevation.alti":"Altitude","gpControlMeasureElevationPath.alti":"Profile","gpControlMeasureElevation.alti.help":"...","gpControlMeasureElevationPath.alti.help":"...","gpControlPrintMap.title":"Map's printing preview","gpControlPrintMapDOM.title":"Map's printing preview","gpControlPrintMap.comments":"Your notes or comments","gpControlPrintMapDOM.comments":"Your notes or comments","approx.scale":"Approximate scale: 1:","approx.center":"Geographical coordinates of the center of the map","gpControlPrintMap.print.forbidden":"All rights reserved","gpControlPrintMapDOM.print.forbidden":"All rights reserved","gpControlPrintMap.print":"Print","gpControlPrintMapDOM.print":"Print","gpControlInformation.title":"Infoboard",gpControlInformationMini:"Click to get informations panel visible","OpenLayers.Control.WMSGetFeatureInfo.title":"Objects identification","gpControlAddAttributeToLayer.title":"Add / Remove Attributes","gpControlAddAttributeToLayer.attName":"Name","gpControlAddAttributeToLayer.attName.help":"name of the attribute to add","gpControlAddAttributeToLayer.attDefaultValue":"Default","gpControlAddAttributeToLayer.attDefaultValue.help":"default value attribute","gpControlAddAttributeToLayer.attList":"Attributes","gpControlAddAttributeToLayer.attList.help":"being present","gpControlAddAttributeToLayer.button.cancel":"Finish","gpControlAddAttributeToLayer.button.addatt":"Add","gpControlAddAttributeToLayer.button.delatt":"Remove","gpControlAddAttributeToLayer.emptyName":"The name is empty","gpControlAddAttributeToLayer.existingName":"${name} already exists","gpControlAddAttributeToLayer.isUrl":"URL link","gpControlAddAttributeToLayer.isUrl.help":"In edit mode, the attribute will be displayed as a URL","gpControlLayerStyling.title":"Edit mapping","gpControlLayerStyling.color":"Color lines and filling","gpControlLayerStyling.color.help":"click to open the color palette, click outside to close","gpControlLayerStyling.size":"Size","gpControlLayerStyling.size.help":"click to open the panel to change sizes","gpControlLayerStyling.style":"Representation","gpControlLayerStyling.style.help":"click to open the panel for changing styles","gpControlLayerStyling.rotation":"Angle of rotation (in degree)","gpControlLayerStyling.rotation.help":"click to choose an angle between 0 and 360°","gpControlLayerStyling.externalgraphic":"URL of the icon","gpControlLayerStyling.externalgraphic.help":"enter the URL of the icon - nothing for none","gpControlLayerStyling.button.cancel":"Cancel","gpControlLayerStyling.button.changestyle":"Change","gpControlLayerStyling.emptyColor":"The color is empty (#XXXXXX expected)","gpControlSaveLayer.title":"Save Layer","gpControlSaveLayer.format":"Save Format","gpControlSaveLayer.gml":"GML","gpControlSaveLayer.kml":"KML","gpControlSaveLayer.gpx":"GPX tracks","gpControlSaveLayer.geoRSS":"GeoRSS","gpControlSaveLayer.osm":"OpenStreetMap XML Export","gpControlSaveLayer.gxt":"Géoconcept Export","gpControlSaveLayer.format.help":"format to export the data","gpControlSaveLayer.proj":"Reference system of coordinates","gpControlSaveLayer.proj.help":"export coordinates","gpControlSaveLayer.pretty":"Improved display","gpControlSaveLayer.pretty.help":"to make it readable data export","gpControlSaveLayer.button.cancel":"Cancel","gpControlSaveLayer.button.save":"Save","gpControlSaveLayer.noData":"The layer is empty, no data to save","gpControlTerritorySelector.title":"Territories","lus.not.match":"No match found","csw.not.match":"No metadata record found","geocoded.address.popup.title":"Address","geocoded.address.popup.postalCode":"Postal code","geocoded.address.popup.places":"Places","geocoded.address.popup.searchCenterDistance":"Search center distance",CountrySubdivision:"Country subdivision",CountrySecondarySubdivision:"Country secondary subdivision",Municipality:"Municipality",MunicipalitySubdivision:"Municipality subdivision",TOS:"Terms of service","utm.zone":"UTM","drawingToolbar.fillColor":"Fill color","drawingToolbar.strokeType":"Line type","drawingToolbar.strokeColor":"Line color","drawingToolbar.strokeWidth":"Line width (px)","drawingToolbar.opacity":"Opacity","drawingToolbar.return":"Back","drawingToolbar.titleStyle":"Edit shape style","drawingToolbar.apply":"Apply","drawingToolbar.taille":"Icon size","drawingToolbar.rotation":"Icon angle","drawingToolbar.pictoUrl":"Icon URL","gpControlDrawingToolbar.drawpoint":"Draw point","gpControlDrawingToolbar.drawline":"Draw line","gpControlDrawingToolbar.drawpolygon":"Draw polygon","gpControlDrawingToolbar.drawtext":"Draw text","gpControlDrawingToolbar.dragfeature":"Drag feature","gpControlDrawingToolbar.modifyfeature":"Modify feature","gpControlDrawingToolbar.deletefeature":"Delete feature","gpControlDrawingToolbar.selectfeature":"Select feature","drawingToolbar.labelSize":"Label size","drawingToolbar.labelFont":"Label font","drawingToolbar.LabelColor":"Label color","drawingToolbar.Label":"Label","drawingToolbar.labelBold":"Bold label","gpControlLayerCatalog.label":"Catalog","gpControlLayerCatalog.button.add":"Add the layer","gpControlLayerCatalog.button.add.disabled":"Incompatible layer","gpControlLayerCatalog.button.add.alreadyAdded":"Layer already added","gpControlForm.button.filter":"Filter","gpControlForm.button.reset":"Reset","gpControlForm.button.apply":"Apply","gpControlForm.button.catalog":"Catalog","gpControlForm.catalogRestrictToMapExtent":"Restrict to current extent","gpControlForm.catalogRestrictToMapExtent.help":" ","gpControlForm.catalogLayerName":"Layer name","gpControlForm.catalogLayerName.help":" ","gpControlForm.catalogKeywords":"Keywords","gpControlForm.catalogKeywords.help":"Keywords comma separated","gpControlForm.catalogThematics":"Thematics","gpControlForm.catalogThematics.help":"Thematics comma separated","gpControlForm.catalogBeginProductionMinDate":"Begin production date min.","gpControlForm.catalogBeginProductionMinDate.help":"Format YYYYMMDD or YYYY","gpControlForm.catalogBeginProductionMaxDate":"Begin production date max.","gpControlForm.catalogBeginProductionMaxDate.help":"Format YYYYMMDD or YYYY","gpControlForm.catalogEndProductionMinDate":"End production date min.","gpControlForm.catalogEndProductionMinDate.help":"Format YYYYMMDD or YYYY","gpControlForm.catalogEndProductionMaxDate":"End production date max.","gpControlForm.catalogEndProductionMaxDate.help":"Format YYYYMMDD or YYYY","gpControlForm.catalogPublicationMinDate":"Publication date min.","gpControlForm.catalogPublicationMinDate.help":"Format YYYYMMDD or YYYY","gpControlForm.catalogPublicationMaxDate":"Publication date max.","gpControlForm.catalogPublicationMaxDate.help":"Format YYYYMMDD or YYYY","gpControlEditFeature.title":"Edit feature","*":""};Geoportal.Lang.fr={ATF:"Terres australes françaises",FXX:"France métropolitaine",GLP:"Guadeloupe",GUF:"Guyane française",MTQ:"Martinique",MYT:"Mayotte",NCL:"Nouvelle-Calédonie",PYF:"Polynésie française",REU:"Île de la Réunion",SPM:"Saint-Pierre et Miquelon",WLF:"Wallis et Futuna",ANF:"Antilles françaises",ASP:"Saint Paul et Amsterdam",CRZ:"Crozet",EUE:"Europe",KER:"Kerguelen",SBA:"Saint Barthélémy",SMA:"Saint Martin",WLD:"Le Monde","GEOGRAPHICALGRIDSYSTEMS.MAPS":"Cartes IGN","GEOGRAPHICALGRIDSYSTEMS.MAPS.description":"Les cartes sont issues des bases de données SCAN de l'IGN : Monde, Europe Politique, SCAN 1 000®, SCAN 500®, SCAN Régional®, SCAN 200®, SCAN Départemental®, SCAN 100®, SCAN 50®, SCAN 25®.","ORTHOIMAGERY.ORTHOPHOTOS":"Ortho-imagerie","ORTHOIMAGERY.ORTHOPHOTOS.description":"Les photographies aériennes allient la précision géométrique de la carte à la richesse de la photographie, résolution entre 50 et 15 cm ou de l'images satellites, résolution entre 10 m et 20m.","ELEVATION.SLOPES":"Teintes hypso. - Altitude","ELEVATION.SLOPES.description":"Les modèles numériques de terrain sont issus de données BD ALTI® que décrit le territoire français par des courbes de niveau. L’équidistance des courbes peut aller de 5 à 40m. Les données initiales ont été saisies sur des cartes IGN au 1 : 25 000, au 1 : 50 000 et à partir d’une restitution issue de prises de vue aériennes au 1 : 20 000, 1 : 30 000 et 1 : 60 000.","ELEVATION.LEVEL0":"Trait de côte - Altitude","ELEVATION.LEVEL0.description":"Le 0 des mers est issu de LITTO3D®, une production réalisée en commun entre le SHOM et l'IGN.","CADASTRALPARCELS.PARCELS":"Parcelles cadastrales","CADASTRALPARCELS.PARCELS.description":"L'information cadastrale numérique est géoréférencée et continue sur l'ensemble du territoire français. Elle a été réalisée à partir de l'assemblage du plan cadastral dématérialisé.","HYDROGRAPHY.HYDROGRAPHY":"Hydrographie","HYDROGRAPHY.HYDROGRAPHY.description":"L'hydrographie terrestre est issue de l'assemblage de données BD TOPO®, BD CARTHAGE®, EuroRegionalMap et EuroGlobalMap.","TRANSPORTNETWORKS.ROADS":"Réseaux routiers - Réseaux de transport","TRANSPORTNETWORKS.ROADS.description":"Le réseau routier est issu de l'assemblage de données BD TOPO®, BD CARTO®, EuroRegionalMap et EuroGlobalMap.","TRANSPORTNETWORKS.RAILWAYS":"Réseaux ferroviaires - Réseaux de transport","TRANSPORTNETWORKS.RAILWAYS.description":"Le réseau ferroviaire est issu de l'assemblage de données BD TOPO®, BD CARTO®, EuroRegionalMap et EuroGlobalMap.","TRANSPORTNETWORKS.RUNWAYS":"Réseaux aériens - Réseaux de transport","TRANSPORTNETWORKS.RUNWAYS.description":"Les pistes des aéroports et aérodromes sont issus de l'assemblage de données BD TOPO® et BD CARTO®.","BUILDINGS.BUILDINGS":"Bâtiments","BUILDINGS.BUILDINGS.description":"Les bâtiments et zones construites sont issus de l'assemblage de données BD TOPO®, BD CARTO®, EuroRegionalMap et EuroGlobalMap.","UTILITYANDGOVERNMENTALSERVICES.ALL":"Services d'utilité publique et services publics","UTILITYANDGOVERNMENTALSERVICES.ALL.description":"Les divers réseaux de transports d'énergie sont issus de l'assemblage de données BD TOPO® et BD CARTO®.","ADMINISTRATIVEUNITS.BOUNDARIES":"Unités administratives","ADMINISTRATIVEUNITS.BOUNDARIES.description":"Les unités administratives de la France sont issus de l'assemblage de données BD TOPO®, BD CARTO®, EuroRegionalMap et EuroBoundaryMap.","LANDCOVER.CORINELANDCOVER":"Corine LC","LANDCOVER.CORINELANDCOVER.description":"CORINE Land Cover (2006)","GEOGRAPHICALGRIDSYSTEMS.COASTALMAPS":"Cartes du littoral","GEOGRAPHICALGRIDSYSTEMS.COASTALMAPS.description":"Cartes du littoral","GEOGRAPHICALGRIDSYSTEMS.1900TYPEMAPS":"Cartes topographiques type 1900","GEOGRAPHICALGRIDSYSTEMS.1900TYPEMAPS.description":"Cartes au 1 : 50 000 (1ère édition issue de la Cartothèque de l'IGN)","GEOGRAPHICALGRIDSYSTEMS.CASSINI":"Cartes de Cassini","GEOGRAPHICALGRIDSYSTEMS.CASSINI.description":"Cartes de Cassini","ORTHOIMAGERY.ORTHOPHOTOS.COAST2000":"Ortho-imagerie du littoral (2000)","ORTHOIMAGERY.ORTHOPHOTOS.COAST2000.description":"Ortho-photographie des côtes de la Mer du nord, de la Manche et de l'Atlantique.","LANDUSE.AGRICULTURE2007":"Îlots de culture (2007)","LANDUSE.AGRICULTURE2007.description":"Cette couche affiche les îlots anonymisés du Registre Parcellaire Graphique (RPG) et leur groupe de cultures principal déclarés en 2007 par les exploitants agricoles pour bénéficier des aides PAC.","LANDUSE.AGRICULTURE2008":"Îlots de culture (2008)","LANDUSE.AGRICULTURE2008.description":"Cette couche affiche les îlots anonymisés du Registre Parcellaire Graphique (RPG) et leur groupe de cultures principal déclarés en 2008 par les exploitants agricoles pour bénéficier des aides PAC.","LANDUSE.AGRICULTURE2009":"Îlots de culture (2009)","LANDUSE.AGRICULTURE2009.description":"Cette couche affiche les îlots anonymisés du Registre Parcellaire Graphique (RPG) et leur groupe de cultures principal déclarés en 2009 par les exploitants agricoles pour bénéficier des aides PAC.","LANDUSE.AGRICULTURE2010":"Îlots de culture (2010)","LANDUSE.AGRICULTURE2010.description":"Cette couche affiche les îlots anonymisés du Registre Parcellaire Graphique (RPG) et leur groupe de cultures principal déclarés en 2010 par les exploitants agricoles pour bénéficier des aides PAC.","ORTHOIMAGERY.ORTHOPHOTOS.GENEVE":"Canton de Genève","ORTHOIMAGERY.ORTHOPHOTOS.GENEVE.description":"Ortho-photographie, 10 cm de résolution (2010).","ORTHOIMAGERY.ORTHOPHOTOS2000-2005":"Ortho-photographie (2000-2005)","ORTHOIMAGERY.ORTHOPHOTOS2000-2005.description":"Première couverture France entière d'ortho-photographies à 50 cm de résolution.","GEOGRAPHICALGRIDSYSTEMS.FRANCERASTER":"FranceRaster®","GEOGRAPHICALGRIDSYSTEMS.FRANCERASTER.description":"FranceRaster® est une série d´images géoréférencées couvrant la France Métropolitaine et les DOM. De cartographie homogène, elle est produite avec les bases de données vecteur de l´IGN les plus adaptées à chaque échelle. Selon les échelles, FranceRaster®; permet la visualisation des thèmes réseau routier et ferré, bâti, hydrographie, végétation, adresses, sens de circulation, toponymie...","NATURALRISKZONES.1910FLOODEDWATERSHEDS":"Seine (PHEC)","NATURALRISKZONES.1910FLOODEDWATERSHEDS.description":"Cette couche de la carte représente le plus haut des eaux connues (PHEC) sur le bassin de la Seine, c'est à dire des zones géographiques inondées par les plus grandes crues connues et documentées sur chaque rivière.","NATURALRISKZONES.1910FLOODEDCELLARS":"Caves inondées (1910)","NATURALRISKZONES.1910FLOODEDCELLARS.description":"Carte des caves inondées lors des crues de la Seine de 1910. Cette carte est basée sur des témoignages.","GEOGRAPHICALGRIDSYSTEMS.ETATMAJOR40":"Cartes État-Major (1/40 000)","GEOGRAPHICALGRIDSYSTEMS.ETATMAJOR40.description":"Cette couche est formée par l'assemblage des 978 dessins originaux de la carte d'État-Major créé au XIXe siècle. Ces enquêtes écrites à la main et colorées, au 1: 40 000, ont été établies entre 1825 et 1866.","LANDCOVER.FORESTINVENTORY.V1":"Inventaire forestier (v1)","LANDCOVER.FORESTINVENTORY.V1.description":"Inventaire forestier (1987-2004)","LANDCOVER.FORESTINVENTORY.V2":"Inventaire forestier (v2)","LANDCOVER.FORESTINVENTORY.V2.description":"Inventaire forestier (2005+)","GEOGRAPHICALGRIDSYSTEMS.ADMINISTRATIVEUNITS":"Divisions administratives","GEOGRAPHICALGRIDSYSTEMS.ADMINISTRATIVEUNITS.description":"Carte des divisions administratives","PositionOfInterest;Geocode":"Moteur de recherche par lieux","PositionOfInterest;Geocode.description":"Utilise la base de données BD Nyme®.","StreetAddress:OPENLS;Geocode":"Moteur de recherche par adresses","StreetAddress:OPENLS;Geocode.description":"Utilise la base de données Routes Adresses®.","GEOGRAPHICALNAMES.NAMES":"Désignations géographiques","GEOGRAPHICALNAMES.NAMES.description":"Toponymes","div.not.found":"${id} non trouvé dans le document : vérifier que '${id}' existe bien.","proxy.not.set":"Pas de configuration du proxy : l'obtention des informations sur le contrat pourrait échouer.","cookies.not.enabled":"Les cookies sont désactivés. Activer les s'il vous plaît.","geoRM.getConfig":"Impossible d'obtenir les informations relatives à la clef '${key}' - Vérifier votre connexion.","geoRM.getToken":"Impossible d'obtenir le jeton associé à la clef '${key}' - Vérifier votre connexion.","geoRM.failed":"Impossible d'obtenir un jeton valide pour la clef '${key}'","geoRM.forbidden":"Clé API manquante ou ${layer} pas pris en charge par le contrat de l'application API.","url.error":"Erreur au chargement de '${url}' ${msg}","GPX.version":"Version ${gpxVersion} GPX non supportée","XLS.version":"Version ${xlsVersion} XLS non supportée pour le service ${coreService}","Not.conformal.XLS":"${part} est manquant dans l'XML","olControlMeasurePath.title":"Mesure de distance","olControlMeasurePolygon.title":"Mesure de surface","waiting.measurement":"En attente de saisie ...","length.measurement":"Longueur","area.measurement":"Surface","gpControlLayerSwitcher.label":"Couches","gpLayer.metadataURL":"Plus d'information sur cette couche ...","gpLayer.dataURL":"Accès au service de téléchargement","gpControlPanelToggle.closed":"Afficher la barre d'outils","gpControlPanelToggle.opened":"Masquer la barre d'outils","gpControlRemoveLayer.title":"Retirer la couche","gpControlLayerOpacity.title":"Règle de transparence","gpControlZoomToLayerMaxExtent.title":"Zoomer sur l'emprise de la couche","gpControlMousePosition.longitude":"Longitude","gpControlMousePosition.latitude":"Latitude","gpControlMousePosition.easting":"Abscisse","gpControlMousePosition.northing":"Ordonnée","gpControlMousePosition.north":"N","gpControlMousePosition.south":"S","gpControlMousePosition.east":"E","gpControlMousePosition.west":"O","gpControlMousePosition.sexa":"degrés sexagésimaux","gpControlMousePosition.deg":"degrés décimaux","gpControlMousePosition.gon":"grades","gpControlMousePosition.rad":"radians","gpControlMousePosition.km":"kilomètres","gpControlMousePosition.m":"mètres","gpControlMousePosition.cm":"centimètres","gpControlMousePosition.utmZone":"Zone","gpControlToolBox.label":"Outils","gpControlZoomBar.world":"Monde","gpControlZoomBar.state":"Pays","gpControlZoomBar.country":"Dépt.","gpControlZoomBar.town":"Ville","gpControlZoomBar.street":"Rue","gpControlZoomBar.house":"Maison","gpControlEditingToolbar.drawpoint":"Dessiner un point","gpControlEditingToolbar.drawline":"Dessiner une ligne","gpControlEditingToolbar.drawpolygon":"Dessiner un polygone","gpControlEditingToolbar.dragfeature":"Déplacer un objet","gpControlEditingToolbar.modifyfeature":"Modifier un objet","gpControlEditingToolbar.deletefeature":"Détruire un objet","gpControlEditingToolbar.selectfeature":"Sélectionner un objet","gpControlEditingToolbar.navigation":"Naviguer","gpControlAddImageLayer.title":"Ajouter une couche image ...","gpControlAddImageLayer.layerUrl":"URL : ","gpControlAddImageLayer.layerUrl.help":"adresse de base du service","gpControlAddImageLayer.layerType":"Type : ","gpControlAddImageLayer.layerType.help":"choisissez une valeur dans la liste","gpControlAddImageLayer.layerType.WMS":"Web Map Service","gpControlAddImageLayer.layerType.WMTS":"Web Map Tile Service","gpControlAddImageLayer.layerType.WMSC":"OSGeO WMS-C","gpControlAddImageLayer.button.add":"Ajouter","gpControlAddImageLayer.button.cancel":"Annuler","wms.caps.no.compatible.srs":"Pas de couche compatible trouvée","ogc.caps.unknown.service":"${serviceType} ne semble pas être un ${expectedType}","gpControlAddVectorLayer.title":"Ajouter une couche vectorielle ...","gpControlAddVectorLayer.layerName":"Nom : ","gpControlAddVectorLayer.layerName.help":"ex : ma couche","gpControlAddVectorLayer.layerType":"Type : ","gpControlAddVectorLayer.layerType.help":"choisissez une valeur dans la liste","gpControlAddVectorLayer.layerType.Point":"ponctuelle","gpControlAddVectorLayer.layerType.LineString":"linéaire","gpControlAddVectorLayer.layerType.Polygon":"surfacique","gpControlAddVectorLayer.layerType.Collection":"croquis","gpControlAddVectorLayer.layerType.KML":"ressource KML","gpControlAddVectorLayer.layerType.GPX":"ressource GPX","gpControlAddVectorLayer.layerType.OSM":"ressource OSM","gpControlAddVectorLayer.layerType.GeoRSS":"ressource GeoRSS","gpControlAddVectorLayer.layerType.WFS":"ressource WFS","gpControlAddVectorLayer.layerUrl":"URL : ","gpControlAddVectorLayer.layerUrl.help":"local ou à distance","gpControlAddVectorLayer.layerFreeHand":"Dessin à main levée ? ","gpControlAddVectorLayer.layerFreeHand.help":"permet le dessin à main levée","gpControlAddVectorLayer.button.add":"Ajouter","gpControlAddVectorLayer.button.cancel":"Annuler","gpControlAddVectorLayer.layerContent":"Contenu","gpControlAddVectorLayer.layerContent.help":"Copier / Coller les données","gpControlAddVectorLayer.layerFile":"Fichier","gpControlAddVectorLayer.layerFile.help":"Sélectionner / Glisser-Déposer un fichier","gpControlAddVectorLayer.layerUrlSwitch":"Par URL / Contenu","gpControlAddVectorLayer.layerUrlSwitch.help":"Fournir l'URL distante ou le contenu des données","addvlayer.type.not.supported":"Type ${type} n'est pas supporté","addvlayer.file.not.found":"Fichier ${file} n'est pas trouvé","addvlayer.file.not.readable":"Fichier ${file} n'est pas lisible","addvlayer.file.is.empty":"Fichier ${file} est vide ou non supporté (vérifier son type)","addvlayer.expected.type":"Fichier ${file} est vide ou non supporté (type attendu ${type})","wfs.caps.no.feature.found":"Aucun objet trouvé","wfs.caps.unsupported.version":"Version ${version} de WFS non supportée","gpControlLocationUtilityService.geonames.title":"Rechercher un lieu","gpControlLocationUtilityService.geocode.title":"Rechercher une adresse","gpControlLocationUtilityService.cadastralparcel.title":"Rechercher une parcelle cadastrale","gpControlLocationUtilityService.geodeticfixedpoint.title":"Rechercher un site géodésique","gpControlLocationUtilityService.reverse.geocode.title":"Rechercher les adresses autour d'un point","gpControlLocationUtilityService.extent":"Limiter la recherche : ","gpControlLocationUtilityService.extent.help":"Limiter la recherche sur une emprise géographique.","gpControlLocationUtilityService.extent.Map":"A l'emprise courante","gpControlLocationUtilityService.extent.Manual":"Dessiner une emprise","gpControlLocationUtilityService.territory":"Territoire : ","gpControlLocationUtilityService.territory.help":"ex : France métropolitaine, Guadeloupe","gpControlLocationUtilityService.region":"Région : ","gpControlLocationUtilityService.region.help":"ex : Alsace, Aquitaine","gpControlLocationUtilityService.department":"Département : ","gpControlLocationUtilityService.department.help":"ex : Ain, Aisne","gpControlLocationUtilityServiceGeoNames.title":"Rechercher un lieu :","gpControlLocationUtilityServiceGeoNames.name":"Lieu : ","gpControlLocationUtilityServiceGeoNames.name.help":"ex : Saint-Mandé","gpControlLocationUtilityServiceGeoNames.nature":"Nature : ","gpControlLocationUtilityServiceGeoNames.nature.help":"ex : Préfecture","gpControlLocationUtilityServiceGeoNames.importance":"Importance : ","gpControlLocationUtilityServiceGeoNames.importance.help":"ex : 1","gpControlLocationUtilityServiceGeoNames.commune":"Commune : ","gpControlLocationUtilityServiceGeoNames.commune.help":"ex : Saint-Mandé","gpControlLocationUtilityServiceGeoNames.extent":"Limiter la recherche : ","gpControlLocationUtilityServiceGeoNames.extent.help":"Limiter la recherche sur une emprise géographique.","gpControlLocationUtilityServiceGeoNames.extent.Map":"A l'emprise courante","gpControlLocationUtilityServiceGeoNames.extent.Manual":"Dessiner une emprise","gpControlLocationUtilityServiceGeoNames.territory":"Territoire : ","gpControlLocationUtilityServiceGeoNames.territory.help":"ex : France métropolitaine, Guadeloupe","gpControlLocationUtilityServiceGeoNames.region":"Région : ","gpControlLocationUtilityServiceGeoNames.region.help":"ex : Alsace, Aquitaine","gpControlLocationUtilityServiceGeoNames.department":"Département : ","gpControlLocationUtilityServiceGeoNames.department.help":"ex : Ain, Aisne","gpControlLocationUtilityServiceGeocode.title":"Chercher une adresse :","gpControlLocationUtilityServiceGeocode.address":"Rue : ","gpControlLocationUtilityServiceGeocode.address.help":"ex : 73, avenue de Paris","gpControlLocationUtilityServiceGeocode.municipality":"Ville : ","gpControlLocationUtilityServiceGeocode.municipality.help":"ex : Saint-Mandé","gpControlLocationUtilityServiceGeocode.postalcode":"Code postal : ","gpControlLocationUtilityServiceGeocode.postalcode.help":"ex : 94165","gpControlLocationUtilityServiceGeocode.quality":"Précision:","gpControlLocationUtilityServiceGeocode.quality.help":"Plaque adresse","gpControlLocationUtilityServiceGeocode.freeformaddress":"Adresse : ","gpControlLocationUtilityServiceGeocode.freeformaddress.help":"ex : Saint-Mandé ou 94165","gpControlLocationUtilityServiceGeocode.name":"Lieu : ","gpControlLocationUtilityServiceGeocode.name.help":"ex : Saint-Mandé ou 94165","gpControlLocationUtilityServiceGeocode.button.cancel":"Annuler","gpControlLocationUtilityServiceGeocode.button.search":"Rechercher","gpControlLocationUtilityServiceGeocode.matchType.city":"Localisation à la ville","gpControlLocationUtilityServiceGeocode.matchType.street":"Localisation à la rue","gpControlLocationUtilityServiceGeocode.matchType.number":"Localisation au numéro adresse exact","gpControlLocationUtilityServiceGeocode.matchType.enhanced":"Localisation interpolée entre deux adresses","gpControlLocationUtilityServiceGeocode.extent":"Limiter la recherche : ","gpControlLocationUtilityServiceGeocode.extent.help":"Limiter la recherche sur une emprise géographique.","gpControlLocationUtilityServiceGeocode.extent.Map":"A l'emprise courante","gpControlLocationUtilityServiceGeocode.extent.Manual":"Dessiner une emprise","gpControlLocationUtilityServiceGeocode.territory":"Territoire : ","gpControlLocationUtilityServiceGeocode.territory.help":"ex : France métropolitaine, Guadeloupe","gpControlLocationUtilityServiceGeocode.region":"Région : ","gpControlLocationUtilityServiceGeocode.region.help":"ex : Alsace, Aquitaine","gpControlLocationUtilityServiceGeocode.department":"Département : ","gpControlLocationUtilityServiceGeocode.department.help":"ex : Ain, Aisne","gpControlLocationUtilityServiceGeoNames.button.cancel":"Annuler","gpControlLocationUtilityServiceGeoNames.button.search":"Rechercher","gpControlLocationUtilityServiceCadastralParcel.title":"Rechercher une parcelle cadastrale:","gpControlLocationUtilityServiceCadastralParcel.departement":"Département : ","gpControlLocationUtilityServiceCadastralParcel.departement.help":"ex : 94, 2A","gpControlLocationUtilityServiceCadastralParcel.insee":"Commune INSEE : ","gpControlLocationUtilityServiceCadastralParcel.insee.help":"ex : 001","gpControlLocationUtilityServiceCadastralParcel.absorbee":"Commune absorbée INSEE : ","gpControlLocationUtilityServiceCadastralParcel.absorbee.help":"ex : 001, 000","gpControlLocationUtilityServiceCadastralParcel.section":"Section : ","gpControlLocationUtilityServiceCadastralParcel.section.help":"ex : A, AD","gpControlLocationUtilityServiceCadastralParcel.feuille":"Feuille : ","gpControlLocationUtilityServiceCadastralParcel.feuille.help":"ex : 00, 01","gpControlLocationUtilityServiceCadastralParcel.numero":"Numéro : ","gpControlLocationUtilityServiceCadastralParcel.numero.help":"ex : 250, 1","gpControlLocationUtilityServiceCadastralParcel.freeformparcel":"Identifiant parcellaire : ","gpControlLocationUtilityServiceCadastralParcel.freeformparcel.help":"ex : 974090001BE0088","gpControlLocationUtilityServiceCadastralParcel.extent":"Limiter la recherche : ","gpControlLocationUtilityServiceCadastralParcel.extent.help":"Limiter la recherche sur une emprise géographique.","gpControlLocationUtilityServiceCadastralParcel.extent.Map":"A l'emprise courante","gpControlLocationUtilityServiceCadastralParcel.extent.Manual":"Dessiner une emprise","gpControlLocationUtilityServiceCadastralParcel.territory":"Territoire : ","gpControlLocationUtilityServiceCadastralParcel.territory.help":"ex : France métropolitaine, Guadeloupe","gpControlLocationUtilityServiceCadastralParcel.region":"Région : ","gpControlLocationUtilityServiceCadastralParcel.region.help":"ex : Alsace, Aquitaine","gpControlLocationUtilityServiceCadastralParcel.department":"Département : ","gpControlLocationUtilityServiceCadastralParcel.department.help":"ex : Ain, Aisne","gpControlLocationUtilityServiceCadastralParcel.button.cancel":"Annuler","gpControlLocationUtilityServiceCadastralParcel.button.search":"Rechercher","gpControlLocationUtilityServiceGeodeticFixedPoint.title":"Rechercher un site géodésique :","gpControlLocationUtilityServiceGeodeticFixedPoint.name":"Nom du site géodésique : ","gpControlLocationUtilityServiceGeodeticFixedPoint.name.help":"ex : P.C.L3 - 39","gpControlLocationUtilityServiceGeodeticFixedPoint.identifiant":"Numéro du site géodésique : ","gpControlLocationUtilityServiceGeodeticFixedPoint.identifiant.help":"ex : 75056AQ","gpControlLocationUtilityServiceGeodeticFixedPoint.type":"Type : ","gpControlLocationUtilityServiceGeodeticFixedPoint.type.help":"ex : Repère de Nivellement","gpControlLocationUtilityServiceGeodeticFixedPoint.freeformgeodesic":"Identifiant du site géodésique : ","gpControlLocationUtilityServiceGeodeticFixedPoint.freeformgeodesic.help":"ex : P.C.L3 - 39, 75056AQ","gpControlLocationUtilityServiceGeodeticFixedPoint.extent":"Limiter la recherche : ","gpControlLocationUtilityServiceGeodeticFixedPoint.extent.help":"Limiter la recherche sur une emprise géographique.","gpControlLocationUtilityServiceGeodeticFixedPoint.extent.Map":"A l'emprise courante","gpControlLocationUtilityServiceGeodeticFixedPoint.extent.Manual":"Dessiner une emprise","gpControlLocationUtilityServiceGeodeticFixedPoint.territory":"Territoire : ","gpControlLocationUtilityServiceGeodeticFixedPoint.territory.help":"ex : France métropolitaine, Guadeloupe","gpControlLocationUtilityServiceGeodeticFixedPoint.region":"Région : ","gpControlLocationUtilityServiceGeodeticFixedPoint.region.help":"ex : Alsace, Aquitaine","gpControlLocationUtilityServiceGeodeticFixedPoint.department":"Département : ","gpControlLocationUtilityServiceGeodeticFixedPoint.department.help":"ex : Ain, Aisne","gpControlLocationUtilityServiceGeodeticFixedPoint.button.cancel":"Annuler","gpControlLocationUtilityServiceGeodeticFixedPoint.button.search":"Rechercher","gpControlLocationUtilityServiceReverseGeocode.extent":"Limiter la recherche : ","gpControlLocationUtilityServiceReverseGeocode.extent.help":"Choisir le mode de recherche inversée.","gpControlLocationUtilityServiceReverseGeocode.type.Point":"A proximité d'un point","gpControlLocationUtilityServiceReverseGeocode.type.Circle":"Dessiner un cercle","gpControlLocationUtilityServiceReverseGeocode.type.Extent":"Dessiner une emprise","gpControlLocationUtilityServiceReverseGeocode.title":"Chercher des informations à proximité :","gpControlLocationUtilityServiceReverseGeocode.longitude":"Longitude : ","gpControlLocationUtilityServiceReverseGeocode.longitude.help":"ex : dd.mmss en coordonnées géographiques","gpControlLocationUtilityServiceReverseGeocode.latitude":"Latitude : ","gpControlLocationUtilityServiceReverseGeocode.latitude.help":"ex : dd.mmss en coordonnées géographiques","gpControlLocationUtilityServiceReverseGeocode.countrycode":"Types de recherche : ","gpControlLocationUtilityServiceReverseGeocode.countrycode.help":"ex : PositionOfInterest","gpControlLocationUtilityServiceReverseGeocode.type.PositionOfInterest":"Lieux","gpControlLocationUtilityServiceReverseGeocode.type.StreetAddress":"Adresses","gpControlLocationUtilityServiceReverseGeocode.type.CadastralParcel":"Parcelles cadastrales","gpControlLocationUtilityServiceReverseGeocode.type.GeodeticFixedPoint":"Sites géodésiques","gpControlLocationUtilityServiceReverseGeocode.button.cancel":"Annuler","gpControlLocationUtilityServiceReverseGeocode.button.search":"Rechercher","gpControlLocationUtilityServiceReverseGeocode.circle":"Dans un cercle","gpControlLocationUtilityServiceReverseGeocode.circle.help":"Dessiner un cercle et chercher des lieux à l'intérieur","gpControlCSW.title":"Rechercher dans le géocatalogue","gpControlCSW.cswTitle":"Titre : ","gpControlCSW.cswTitle.help":" ","gpControlCSW.cswKeyWords":"Mot-clés : ","gpControlCSW.cswKeyWords.help":" ","gpControlCSW.cswKeyWords.NoKeyWords":" ","gpControlCSW.cswKeyWords.Addresses":"Adresses","gpControlCSW.cswKeyWords.AdministrativeUnits":"Unités administratives","gpControlCSW.cswKeyWords.Agricultural":"Installations agricoles et aquacoles","gpControlCSW.cswKeyWords.RegulationZones":"Zones de gestion, de restriction ou de réglementation et unités de déclaration","gpControlCSW.cswKeyWords.Atmospheric":"Conditions atmosphériques","gpControlCSW.cswKeyWords.BioGeographical":"Régions biogéographiques","gpControlCSW.cswKeyWords.Buildings":"Bâtiments","gpControlCSW.cswKeyWords.Cadastral":"Parcelles cadastrales","gpControlCSW.cswKeyWords.CoordinateSystems":"Référentiels de coordonnées","gpControlCSW.cswKeyWords.Elevation":"Altitude","gpControlCSW.cswKeyWords.Energy":"Sources d'énergie","gpControlCSW.cswKeyWords.EnvironmentalFacilities":"Installations de suivi environnemental","gpControlCSW.cswKeyWords.GeographicalSystems":"Systèmes de maillage géographique","gpControlCSW.cswKeyWords.GeographicalNames":"Dénominations géographiques","gpControlCSW.cswKeyWords.Geology":"Géologie","gpControlCSW.cswKeyWords.Habitats":"Habitats et biotopes","gpControlCSW.cswKeyWords.HumanHealth":"Santé et sécurité des personnes","gpControlCSW.cswKeyWords.Hydrography":"Hydrographie","gpControlCSW.cswKeyWords.LandCover":"Occupation des terres","gpControlCSW.cswKeyWords.LandUse":"Usage des sols","gpControlCSW.cswKeyWords.Meteorological":"Caractéristiques géographiques météorologiques","gpControlCSW.cswKeyWords.Mineral":"Ressources minérales","gpControlCSW.cswKeyWords.NaturalRiskZones":"Zones à risque naturel","gpControlCSW.cswKeyWords.Oceanographic":"Caractéristiques géographiques océanographiques","gpControlCSW.cswKeyWords.Orthoimagery":"Ortho-imagerie","gpControlCSW.cswKeyWords.Population":"Répartition de la population — Démographie","gpControlCSW.cswKeyWords.Production":"Lieux de production et sites industriels","gpControlCSW.cswKeyWords.ProtectedSites":"Sites protégés","gpControlCSW.cswKeyWords.SeaRegions":"Régions maritimes","gpControlCSW.cswKeyWords.Soil":"Sols","gpControlCSW.cswKeyWords.SpeciesDistribution":"Répartition des espèces","gpControlCSW.cswKeyWords.StatisticalUnits":"Unités statistiques","gpControlCSW.cswKeyWords.TransportNetworks":"Réseaux de transport","gpControlCSW.cswKeyWords.UtilityServices":"Services d'utilité publique et services publics","gpControlCSW.cswOrganism":"Organisme : ","gpControlCSW.cswOrganism.help":" ","gpControlCSW.button.cancel":"Annuler","gpControlCSW.button.search":"Rechercher","gpControlCSW.cswBBOX":"Emprise : ","gpControlCSW.cswNoBBOX":"Mondiale","gpControlCSW.cswNoBBOX.help":" ","gpControlCSW.cswCurrentBBOX":"Emprise courante","gpControlCSW.cswCurrentBBOX.help":" ","gpControlCSW.cswPersonnalBBOX":"Sélectionner une emprise","gpControlCSW.cswPersonnalBBOX.help":" ","gpControlPageManager.button.previous":"<","gpControlPageManager.button.next":">","azimuth.measurement":"Azimut","gpControlMeasureAzimuth.title":"Mesure d'azimut","gpControlMeasureAzimuth.azimuth":"Azimut","gpControlMeasureAzimuth.azimuth.help":"angle horizontal entre la direction d'un objet et le nord géographique","gpControlMeasureAzimuth.distance":"Distance","gpControlMeasureAzimuth.distance.help":"Longueur","elevation.measurement":"Altitude","gpControlMeasureElevation.title":"Mesure d'altitude","gpControlMeasureElevationPath.title":"Profil altimétrique","gpControlMeasureElevation.alti":"Altitude","gpControlMeasureElevationPath.alti":"Profil","gpControlMeasureElevation.alti.help":"Visualisation d'une mesure d'altitude","gpControlMeasureElevationPath.alti.help":"Visualisation du profil altimétrique","gpControlPrintMap.title":"Aperçu de la carte avant impression","gpControlPrintMapDOM.title":"Aperçu de la carte avant impression","gpControlPrintMap.comments":"Vos notes ou commentaires","gpControlPrintMapDOM.comments":"Vos notes ou commentaires","approx.scale":"Échelle approximative: 1:","approx.center":"Coordonnées géographiques du centre de la carte","gpControlPrintMap.print.forbidden":"Tous droits réservés","gpControlPrintMapDOM.print.forbidden":"Tous droits réservés","gpControlPrintMap.print":"Imprimer","gpControlPrintMapDOM.print":"Imprimer","gpControlInformation.title":"Panneau d'informations",gpControlInformationMini:"Cliquer pour rendre visible les informations","OpenLayers.Control.WMSGetFeatureInfo.title":"Identifier les objets","gpControlAddAttributeToLayer.title":"Ajouter / Retirer des attributs","gpControlAddAttributeToLayer.attName":"Nom","gpControlAddAttributeToLayer.attName.help":"nom de l'attribut à ajouter","gpControlAddAttributeToLayer.attDefaultValue":"Valeur par défaut","gpControlAddAttributeToLayer.attDefaultValue.help":"valeur par défaut de l'attribut","gpControlAddAttributeToLayer.attList":"Attributs","gpControlAddAttributeToLayer.attList.help":"présents actuellement","gpControlAddAttributeToLayer.button.cancel":"Terminer","gpControlAddAttributeToLayer.button.addatt":"Ajouter","gpControlAddAttributeToLayer.button.delatt":"Retirer","gpControlAddAttributeToLayer.emptyName":"Le nom est vide","gpControlAddAttributeToLayer.existingName":"${name} existe déjà","gpControlAddAttributeToLayer.isUrl":"Lien URL","gpControlAddAttributeToLayer.isUrl.help":"En mode édition, l'attribut sera affiché sous forme de lien URL","gpControlLayerStyling.title":"Modifier la représentation cartographique","gpControlLayerStyling.color":"Couleur des traits et remplissage","gpControlLayerStyling.color.help":"Clic pour ouvrir le panneau de couleurs, Clic en dehors pour le fermer","gpControlLayerStyling.size":"Taille","gpControlLayerStyling.size.help":"Clic pour ouvrir le panneau de changement des tailles","gpControlLayerStyling.style":"Représentation","gpControlLayerStyling.style.help":"Clic pour ouvrir le panneau de changement des styles","gpControlLayerStyling.rotation":"Angle de rotation (en degré) ","gpControlLayerStyling.rotation.help":"Clic pour choisir un angle entre 0 et 360°","gpControlLayerStyling.externalgraphic":"URL du pictogramme","gpControlLayerStyling.externalgraphic.help":"Indiquer l'URL du pictogramme - vide pour aucun","gpControlLayerStyling.button.cancel":"Annuler","gpControlLayerStyling.button.changestyle":"Modifier","gpControlLayerStyling.emptyColor":"La couleur est vide (#XXXXXX attendu)","gpControlSaveLayer.title":"Sauvegarder la couche","gpControlSaveLayer.format":"Format de sauvegarde","gpControlSaveLayer.gml":"GML","gpControlSaveLayer.kml":"KML","gpControlSaveLayer.gpx":"Traces GPX","gpControlSaveLayer.geoRSS":"GeoRSS","gpControlSaveLayer.osm":"OpenStreetMap XML Export","gpControlSaveLayer.gxt":"Géoconcept Export","gpControlSaveLayer.format.help":"format pour exporter les données","gpControlSaveLayer.proj":"Système de référence de coordonnées","gpControlSaveLayer.proj.help":"coordonnées pour l'export","gpControlSaveLayer.pretty":"Affichage amélioré","gpControlSaveLayer.pretty.help":"pour rendre lisible l'export des données","gpControlSaveLayer.button.cancel":"Annuler","gpControlSaveLayer.button.save":"Sauvegarder","gpControlSaveLayer.noData":"La couche est vide, aucune données à sauvegarder","gpControlTerritorySelector.title":"Territoires","lus.not.match":"Pas de correspondance trouvée","csw.not.match":"Pas de fiche de métadonnées trouvée","geocoded.address.popup.title":"Adresse","geocoded.address.popup.postalCode":"Code postal","geocoded.address.popup.places":"Lieux","geocoded.address.popup.searchCenterDistance":"Eloignement",CountrySubdivision:"Département",CountrySecondarySubdivision:"Commune",Municipality:"Ville",MunicipalitySubdivision:"Quartier",TOS:"Conditions générales d'utilisation","utm.zone":"UTM","drawingToolbar.fillColor":"Couleur de remplissage","drawingToolbar.strokeType":"Type de trait","drawingToolbar.strokeColor":"Couleur du trait","drawingToolbar.strokeWidth":"Epaisseur du trait","drawingToolbar.opacity":"Opacité","drawingToolbar.return":"Retour","drawingToolbar.titleStyle":"Gestion du style","drawingToolbar.apply":"Appliquer les modifications","drawingToolbar.taille":"Taille du picto","drawingToolbar.rotation":"Angle du picto","drawingToolbar.pictoUrl":"Image externe","gpControlDrawingToolbar.drawpoint":"Dessiner un point","gpControlDrawingToolbar.drawline":"Dessiner une ligne","gpControlDrawingToolbar.drawpolygon":"Dessiner un polygone","gpControlDrawingToolbar.drawtext":"Ajouter un libellé","gpControlDrawingToolbar.dragfeature":"Déplacer un objet","gpControlDrawingToolbar.modifyfeature":"Modifier un objet","gpControlDrawingToolbar.deletefeature":"Détruire un objet","gpControlDrawingToolbar.selectfeature":"Sélectionner un objet","drawingToolbar.labelSize":"Taille du label","drawingToolbar.labelFont":"Police du label","drawingToolbar.LabelColor":"Couleur du label","drawingToolbar.Label":"Label","drawingToolbar.labelBold":"Label en gras","gpControlLayerCatalog.label":"Catalogue","gpControlLayerCatalog.button.add":"Ajouter la couche","gpControlLayerCatalog.button.add.disabled":"Couche non compatible","gpControlLayerCatalog.button.add.alreadyAdded":"Couche déjà ajoutée","gpControlForm.button.filter":"Filtrer","gpControlForm.button.reset":"Réinitialiser","gpControlForm.button.apply":"Appliquer","gpControlForm.button.catalog":"Catalogue","gpControlForm.catalogRestrictToMapExtent":"Limiter à l'emprise courante","gpControlForm.catalogRestrictToMapExtent.help":" ","gpControlForm.catalogLayerName":"Nom de la couche","gpControlForm.catalogLayerName.help":" ","gpControlForm.catalogKeywords":"Mots clés","gpControlForm.catalogKeywords.help":"Liste de mots clés séparés par une virgule","gpControlForm.catalogThematics":"Thématiques","gpControlForm.catalogThematics.help":"Liste de thématiques séparées par une virgule","gpControlForm.catalogBeginProductionMinDate":"Date de mise en production min.","gpControlForm.catalogBeginProductionMinDate.help":"Format AAAAMMJJ ou AAAA","gpControlForm.catalogBeginProductionMaxDate":"Date de mise en production max.","gpControlForm.catalogBeginProductionMaxDate.help":"Format AAAAMMJJ ou AAAA","gpControlForm.catalogEndProductionMinDate":"Date de fin de production min.","gpControlForm.catalogEndProductionMinDate.help":"Format AAAAMMJJ ou AAAA","gpControlForm.catalogEndProductionMaxDate":"Date de fin de production max.","gpControlForm.catalogEndProductionMaxDate.help":"Format AAAAMMJJ ou AAAA","gpControlForm.catalogPublicationMinDate":"Date de publication min.","gpControlForm.catalogPublicationMinDate.help":"Format AAAAMMJJ ou AAAA","gpControlForm.catalogPublicationMaxDate":"Date de publication max.","gpControlForm.catalogPublicationMaxDate.help":"Format AAAAMMJJ ou AAAA","gpControlEditFeature.title":"Editer un objet","*":""};Geoportal.Lang.de={ATF:"Französisch Südliche Territorien",FXX:"Frankreich Festland",GLP:"Guadeloupe",GUF:"Französisch-Guayana",MTQ:"Martinique",MYT:"Mayotte",NCL:"Neukaledonien",PYF:"Französisch-Polynesien",REU:"Réunion",SPM:"Saint Pierre und Miquelon",WLF:"Wallis und Futuna",ANF:"Französisch Antillen",ASP:"Saint Paul und Amsterdam",CRZ:"Crozet",EUE:"Europa",KER:"Kerguelen",SBA:"Saint Barthélémy",SMA:"Saint Martin",WLD:"Die Welt","GEOGRAPHICALGRIDSYSTEMS.MAPS":"IGN Karten","GEOGRAPHICALGRIDSYSTEMS.MAPS.description":"Die karten stammen aus den SCAN-datenbanken des IGN: Welt, Politisches Europa, SCAN 1000®, SCAN 500®, SCAN Régional®, SCAN 200®, SCAN Départemental®, SCAN 100®, SCAN 50®, SCAN 25®.","ORTHOIMAGERY.ORTHOPHOTOS":"Orthofotografie","ORTHOIMAGERY.ORTHOPHOTOS.description":"Die Luftaufnahmen verbinden die präzision der geometrie mit der detailreichhaltigkeit der photographie, auflösung zwischen 50 und 15 cm, oder der satellitenbilder, auflösung zwischen 10 m und 20 m.","ELEVATION.SLOPES":"Hypsometrische farben - Höhe","ELEVATION.SLOPES.description":"Die digitalen geländemodelle stammen aus den BD ALTI® daten, die das französische staatsgebiet mit seinen höhenlinien darstellt. Die abstandsgleichheit der linien reicht von 5 bis 40 m. Die ausgangsdaten wurden auf IGN-Karten im Maßstab von 1 : 25.000,  1 : 50.000 und, ausgehend von einer wiedergabe der luftaufnahmen, im Maßstab von 1 : 20.000, 1 : 30.000 und 1 : 60.000 erfaßt.","ELEVATION.LEVEL0":"Küstenlinie - Höhe","ELEVATION.LEVEL0.description":"Die 0 des Meeres stammt aus LITTO3D®, eine gemeinsame produktion des SHOM und des IGN.","CADASTRALPARCELS.PARCELS":"Katasterparzellen (Flurstücke/Grundstücke)","CADASTRALPARCELS.PARCELS.description":"Die digitale katasterinformation ist für das gesamte französische staatsgebiet durchgehend und georeferenziert. Sie wurde ausgehend von der zusammenstellung des entmaterialisierten katasterplans hergestellt.","HYDROGRAPHY.HYDROGRAPHY":"Gewässernetz","HYDROGRAPHY.HYDROGRAPHY.description":"Die hydrographie der erde wurde ausgehend von der zusammenstellung der daten des BD TOPO®, BD CARTHAGE®, EuroRegionalMal und EuroGlobalMap erstellt.","TRANSPORTNETWORKS.ROADS":"Straßennetz - Verkehrsnetze","TRANSPORTNETWORKS.ROADS.description":"Das straßennetz wurde ausgehend von der zusammenstellung der daten des BD TOPO®, BD CARTO®, EuroRegionalMap und EuroGlobalMap erstellt.","TRANSPORTNETWORKS.RAILWAYS":"Schienennetz - Verkehrsnetze","TRANSPORTNETWORKS.RAILWAYS.description":"Das schienennetz wurde ausgehend von der zusammenstellung der daten des BD TOPO®, BD CARTO®, EuroRegionalMap und EuroGlobalMap erstellt.","TRANSPORTNETWORKS.RUNWAYS":"Luftverkehrnetz - Verkehrsnetze","TRANSPORTNETWORKS.RUNWAYS.description":"Die flughäfen und flugplätze wurden ausgehend von der zusammenstellung der daten des BD TOPO® und BD CARTO® erfaßt.","BUILDINGS.BUILDINGS":"Gebäude","BUILDINGS.BUILDINGS.description":"Die gebäude und bebaute gebiete wurden ausgehend von der zusammenfügung der daten des BD TOPO®, BD CARTO®, EuroRegionalMap und EuroGlobalMap erfaßt.","UTILITYANDGOVERNMENTALSERVICES.ALL":"Versorgungswirtschaft und staatliche Dienste","UTILITYANDGOVERNMENTALSERVICES.ALL.description":"Die verschiedenen energietransportnetze wurden ausgehend von der zusammenstellung der daten des BD TOPO® und BD CARTO® erfaßt.","ADMINISTRATIVEUNITS.BOUNDARIES":"Verwaltungseinheiten","ADMINISTRATIVEUNITS.BOUNDARIES.description":"Die verwaltungseinheiten frankreichs wurden ausgehend von der zusammenstellung der daten des BD TOPO®, BD CARTO®, EuroRegionalMap und EuroBoundaryMap erfaßt.","LANDCOVER.CORINELANDCOVER":"Corine LC","LANDCOVER.CORINELANDCOVER.description":"CORINE Land Cover (2006)","GEOGRAPHICALGRIDSYSTEMS.COASTALMAPS":"Coastal Karten","GEOGRAPHICALGRIDSYSTEMS.COASTALMAPS.description":"Coastal Karten","GEOGRAPHICALGRIDSYSTEMS.1900TYPEMAPS":"topographischen Typ 1900 Karten","GEOGRAPHICALGRIDSYSTEMS.1900TYPEMAPS.description":"Karten bei 1: 50 000 (nach der ersten Ausgabe der IGN Karte Library)","GEOGRAPHICALGRIDSYSTEMS.CASSINI":"Cassini-Karten","GEOGRAPHICALGRIDSYSTEMS.CASSINI.description":"Cassini-Karten","ORTHOIMAGERY.ORTHOPHOTOS.COAST2000":"Ortho-Fotografie der Küste (2000)","ORTHOIMAGERY.ORTHOPHOTOS.COAST2000.description":"Ortho-Fotografie von der Küste der Nordsee, Ärmelkanal und Atlantik","LANDUSE.AGRICULTURE2007":"Landwirtschaftlicher Parzellen (2007)","LANDUSE.AGRICULTURE2007.description":"Diese Schicht zeigt das Inselchen anonymisierter Registrierung Parcel Graph (RPG) und ihre Haupternte Gruppe berichtet im Jahr 2007 durch die Landwirte aus GAP-Subventionen profitieren.","LANDUSE.AGRICULTURE2008":"Landwirtschaftlicher Parzellen (2008)","LANDUSE.AGRICULTURE2008.description":"Diese Schicht zeigt das Inselchen anonymisierter Registrierung Parcel Graph (RPG) und ihre Haupternte Gruppe berichtet im Jahr 2008 durch die Landwirte aus GAP-Subventionen profitieren.","LANDUSE.AGRICULTURE2009":"Landwirtschaftlicher Parzellen (2009)","LANDUSE.AGRICULTURE2009.description":"Diese Schicht zeigt das Inselchen anonymisierter Registrierung Parcel Graph (RPG) und ihre Haupternte Gruppe berichtet im Jahr 2009 durch die Landwirte aus GAP-Subventionen profitieren.","LANDUSE.AGRICULTURE2010":"Landwirtschaftlicher Parzellen (2010)","LANDUSE.AGRICULTURE2010.description":"Diese Schicht zeigt das Inselchen anonymisierter Registrierung Parcel Graph (RPG) und ihre Haupternte Gruppe berichtet im Jahr 2010 durch die Landwirte aus GAP-Subventionen profitieren.","ORTHOIMAGERY.ORTHOPHOTOS.GENEVE":"Genfer Staatsrat","ORTHOIMAGERY.ORTHOPHOTOS.GENEVE.description":"Ortho-Fotografie, 10 cm Auflösung (2010).","ORTHOIMAGERY.ORTHOPHOTOS2000-2005":"Orthofotografie (2000-2005)","ORTHOIMAGERY.ORTHOPHOTOS2000-2005.description":"1. National Berichterstattung (2000-2005) von Ortho-Bilder mit 50 cm Auflösung.","GEOGRAPHICALGRIDSYSTEMS.FRANCERASTER":"FranceRaster®","GEOGRAPHICALGRIDSYSTEMS.FRANCERASTER.description":"FranceRaster® ist eine Serie von georeferenzierten Bildern für Frankreich Festland und Übersee-Territorien. Es ist mit dem Vektor-Datenbank der IGN am besten jede Skala mit einer einheitlichen Symbolik geeignet hergestellt. Nach den Maßstäben, FranceRaster ®, ermöglicht die Anzeige der Themen Straßen-und Schienenverkehr, Rahmen, Gewässerkunde, Vegetation, Adressen, Fahrtrichtung, Namen ...","NATURALRISKZONES.1910FLOODEDWATERSHEDS":"Seine (PHEC)","NATURALRISKZONES.1910FLOODEDWATERSHEDS.description":"Diese Karte Schicht stellt die bekannten höchsten Wasserstand (PHEC) auf das Einzugsgebiet der Seine, dh Gebiete mit den größten bekannten Hochwasser überflutet und dokumentiert auf jedem Fluss.","NATURALRISKZONES.1910FLOODEDCELLARS":"Überflutete Keller (1910)","NATURALRISKZONES.1910FLOODEDCELLARS.description":"Karte von überschwemmten Kellern während der Seine Flut von 1910. Diese Karte basiert auf Zeugenaussagen basieren.","GEOGRAPHICALGRIDSYSTEMS.ETATMAJOR40":"État-Major-Karte (1:40 000)","GEOGRAPHICALGRIDSYSTEMS.ETATMAJOR40.description":"Diese Schicht wird durch die Montage von dem 978 Original-Zeichnungen von der Karte von état-major gebildet gegründet im neunzehnten Jahrhundert. Diese handschriftliche und farbige Erhebungen, bei der 1: 40 000 wurden zwischen 1825 und 1866 errichtet.","LANDCOVER.FORESTINVENTORY.V1":"Waldinventur (v1)","LANDCOVER.FORESTINVENTORY.V1.description":"Waldinventur (1987-2004)","LANDCOVER.FORESTINVENTORY.V2":"Waldinventur (v2)","LANDCOVER.FORESTINVENTORY.V2.description":"Waldinventur (2005+)","GEOGRAPHICALGRIDSYSTEMS.ADMINISTRATIVEUNITS":"Karte von Verwaltungsabteilungen","GEOGRAPHICALGRIDSYSTEMS.ADMINISTRATIVEUNITS.description":"Karte von Verwaltungsabteilungen","PositionOfInterest;Geocode":"Suche nach Standort","PositionOfInterest;Geocode.description":"Verwendet die Datenbank BD Nyme®.","StreetAddress:OPENLS;Geocode":"Suche nach Adresse","StreetAddress:OPENLS;Geocode.description":"Verwendet die Datenbank Routes Adresses®.","GEOGRAPHICALNAMES.NAMES":"Geographische Namen","GEOGRAPHICALNAMES.NAMES.description":"Geographische Namen","div.not.found":"${id} konnte nicht in dem dokument gefunden werden: Prüfen sie, ob ${id} auch wirklich existiert.","proxy.not.set":"Keine Proxy-konfiguration: Informationen zu dem vertrag könnten möglicherweise nicht abgerufen werden.","cookies.not.enabled":"Cookies sind deaktiviert. Bitte aktivieren.","geoRM.getConfig":"Die informationen zum schlüßel '${key}' können nicht abgerufen werden - überprüfen sie ihre verbindung.","geoRM.getToken":"Die datei zum schlüßel '${key}' kann nicht abgerufen werden - überprüfen sie ihre verbindung.","geoRM.failed":"Kein gültiges zeichen erhalten zum schlüßel '${key}'","geoRM.forbidden":"API-Schlüssel fehlt oder ${layer} nicht durch die Anwendung von API Vertrag unterstützt.","url.error":"Fehler beim Laden '${url}' ${msg}","GPX.version":"Version ${gpxVersion} GPX nicht gestützt.","XLS.version":"Version ${xlsVersion} XLS wird vom service ${coreService} nicht gestützt.","Not.conformal.XLS":"${part} fehlt im XML","olControlMeasurePath.title":"Entfernungsmeßung","olControlMeasurePolygon.title":"Flüchenmeßung","waiting.measurement":"In erwartung der eingabe ...","length.measurement":"Länge","area.measurement":"Fläche","gpControlLayerSwitcher.label":"Schichten","gpLayer.metadataURL":"Mehr informationen zu dieser schicht...","gpLayer.dataURL":"Zugang zum download-service","gpControlPanelToggle.closed":"Die tool-leiste anzeigen","gpControlPanelToggle.opened":"Die tool-leiste ausblenden","gpControlRemoveLayer.title":"Die schicht entfernen","gpControlLayerOpacity.title":"Die transparenz einstellen","gpControlZoomToLayerMaxExtent.title":"Auf die bodenfläche der schicht zoomen","gpControlMousePosition.longitude":"Längengrad","gpControlMousePosition.latitude":"Breitengrad","gpControlMousePosition.easting":"Absziße","gpControlMousePosition.northing":"Ordinate","gpControlMousePosition.north":"N","gpControlMousePosition.south":"S","gpControlMousePosition.east":"O","gpControlMousePosition.west":"W","gpControlMousePosition.sexa":"sexagecimal grades","gpControlMousePosition.deg":"dezimale grades","gpControlMousePosition.gon":"grad","gpControlMousePosition.rad":"radians","gpControlMousePosition.km":"kilometers","gpControlMousePosition.m":"meters","gpControlMousePosition.cm":"zentimeters","gpControlMousePosition.utmZone":"Zone","gpControlToolBox.label":"Tools","gpControlZoomBar.world":"Welt","gpControlZoomBar.state":"Staat","gpControlZoomBar.country":"Land","gpControlZoomBar.town":"Stadt","gpControlZoomBar.street":"Straße","gpControlZoomBar.house":"Haus","gpControlEditingToolbar.drawpoint":"Einen punkt platzieren","gpControlEditingToolbar.drawline":"Eine linie zeichnen","gpControlEditingToolbar.drawpolygon":"Ein polygon zeichnen","gpControlEditingToolbar.dragfeature":"Ein objekt verschieben","gpControlEditingToolbar.modifyfeature":"Ein objekt verändern","gpControlEditingToolbar.deletefeature":"Ein objekt vernichten","gpControlEditingToolbar.selectfeature":"Ein objekt auswählen","gpControlEditingToolbar.navigation":"Navigieren","gpControlAddImageLayer.title":"Eine bild-schicht hinzufügen","gpControlAddImageLayer.layerUrl":"URL : ","gpControlAddImageLayer.layerUrl.help":"basis-adresse des dienstes","gpControlAddImageLayer.layerType":"Typ : ","gpControlAddImageLayer.layerType.help":"Wählen sie einen wert der liste","gpControlAddImageLayer.layerType.WMS":"Web Map Service","gpControlAddImageLayer.layerType.WMTS":"Web Map Tile Service","gpControlAddImageLayer.layerType.WMSC":"OSGeO WMS-C","gpControlAddImageLayer.button.add":"Hinzufügen","gpControlAddImageLayer.button.cancel":"Abbrechen","wms.caps.no.compatible.srs":"Nicht kompatibel schicht gefunden","ogc.caps.unknown.service":"${serviceType} ist kein ${expectedType}","gpControlAddVectorLayer.title":"Eine vektorielle schicht hinzufügen","gpControlAddVectorLayer.layerName":"Name : ","gpControlAddVectorLayer.layerName.help":"z.B.: meine schicht","gpControlAddVectorLayer.layerType":"Typ : ","gpControlAddVectorLayer.layerType.help":"Wählen sie einen wert der liste","gpControlAddVectorLayer.layerType.Point":"punktuell","gpControlAddVectorLayer.layerType.LineString":"linear","gpControlAddVectorLayer.layerType.Polygon":"flächenbezogen","gpControlAddVectorLayer.layerType.Collection":"sketch","gpControlAddVectorLayer.layerType.KML":"KML resource","gpControlAddVectorLayer.layerType.GPX":"GPX resource","gpControlAddVectorLayer.layerType.OSM":"OSM resource","gpControlAddVectorLayer.layerType.GeoRSS":"GeoRSS resource","gpControlAddVectorLayer.layerType.WFS":"WFS resource","gpControlAddVectorLayer.layerUrl":"URL : ","gpControlAddVectorLayer.layerUrl.help":"vor ort oder aus entfernung","gpControlAddVectorLayer.layerFreeHand":"freihandzeichnen ? ","gpControlAddVectorLayer.layerFreeHand.help":"ermöglicht das freihandzeichnen","gpControlAddVectorLayer.button.add":"Hinzufügen","gpControlAddVectorLayer.button.cancel":"Abbrechen","gpControlAddVectorLayer.layerContent":"Inhalt","gpControlAddVectorLayer.layerContent.help":"Copy / Paste Data","gpControlAddVectorLayer.layerFile":"Datei","gpControlAddVectorLayer.layerFile.help":"Wählen / Drag & Drop eine Datei","gpControlAddVectorLayer.layerUrlSwitch":"Durch URL / Content","gpControlAddVectorLayer.layerUrlSwitch.help":"Sie stellen eine URL oder den Inhalt von Daten","addvlayer.type.not.supported":"Typ ${type} wird nicht unterstützt","addvlayer.file.not.found":"${file}-Datei wird nicht gefunden","addvlayer.file.not.readable":"${file}-Datei ist nicht lesbar","addvlayer.file.is.empty":"${file}-Datei ist leer oder nicht unterstützt (siehe Typ)","addvlayer.expected.type":"${file}-Datei ist leer oder nicht unterstützt (erwartete Typ steht, ${type})","wfs.caps.no.feature.found":"Keine objekte gefunden","wfs.caps.unsupported.version":"WFS version ${version} nicht unterstützt","gpControlLocationUtilityService.geonames.title":"Einen ort suchen","gpControlLocationUtilityService.geocode.title":"Eine adreße suchen","gpControlLocationUtilityService.cadastralparcel.title":"Search a cadastral parcel","gpControlLocationUtilityService.geodeticfixedpoint.title":"Search a geodetic point","gpControlLocationUtilityService.reverse.geocode.title":"Die Adreßen um einen punkt herum suchen","gpControlLocationUtilityService.extent":"Restrict the research : ","gpControlLocationUtilityService.extent.help":"Restrict the research with an extent.","gpControlLocationUtilityService.extent.Map":"To the current extent","gpControlLocationUtilityService.extent.Manual":"Draw an extent","gpControlLocationUtilityService.territory":"Territory : ","gpControlLocationUtilityService.territory.help":"z.B. : France métropolitaine, Guadeloupe","gpControlLocationUtilityService.region":"Region : ","gpControlLocationUtilityService.region.help":"z.B. : Alsace, Aquitaine","gpControlLocationUtilityService.department":"Department : ","gpControlLocationUtilityService.department.help":"z.B. : Ain, Aisne","gpControlLocationUtilityServiceGeoNames.title":"Einen ort suchen :","gpControlLocationUtilityServiceGeoNames.name":"Ort : ","gpControlLocationUtilityServiceGeoNames.name.help":"z.B. : Saint-Mandé","gpControlLocationUtilityServiceGeoNames.nature":"Nature : ","gpControlLocationUtilityServiceGeoNames.nature.help":"z.B. : Préfecture","gpControlLocationUtilityServiceGeoNames.importance":"Importance : ","gpControlLocationUtilityServiceGeoNames.importance.help":"z.B. : 1","gpControlLocationUtilityServiceGeoNames.commune":"Commune : ","gpControlLocationUtilityServiceGeoNames.commune.help":"z.B. : Saint-Mandé","gpControlLocationUtilityServiceGeoNames.extent":"Restrict the research : ","gpControlLocationUtilityServiceGeoNames.extent.help":"Restrict the research with an extent.","gpControlLocationUtilityServiceGeoNames.extent.Map":"To the current extent","gpControlLocationUtilityServiceGeoNames.extent.Manual":"Draw an extent","gpControlLocationUtilityServiceGeoNames.territory":"Territory : ","gpControlLocationUtilityServiceGeoNames.territory.help":"z.B. : France métropolitaine, Guadeloupe","gpControlLocationUtilityServiceGeoNames.region":"Region : ","gpControlLocationUtilityServiceGeoNames.region.help":"z.B. : Alsace, Aquitaine","gpControlLocationUtilityServiceGeoNames.department":"Department : ","gpControlLocationUtilityServiceGeoNames.department.help":"z.B. : Ain, Aisne","gpControlLocationUtilityServiceGeoNames.button.cancel":"Abbrechen","gpControlLocationUtilityServiceGeoNames.button.search":"Suchen","gpControlLocationUtilityServiceGeocode.title":"Eine Adreße suchen :","gpControlLocationUtilityServiceGeocode.address":"Straße : ","gpControlLocationUtilityServiceGeocode.address.help":"z.B. : 73, avenue de Paris","gpControlLocationUtilityServiceGeocode.municipality":"Stadt : ","gpControlLocationUtilityServiceGeocode.municipality.help":"z.B. : Saint-Mandé","gpControlLocationUtilityServiceGeocode.postalcode":"Postleitzahl:","gpControlLocationUtilityServiceGeocode.postalcode.help":"z.B. : 94165","gpControlLocationUtilityServiceGeocode.quality":"Accuracy:","gpControlLocationUtilityServiceGeocode.quality.help":"Plaque adresse","gpControlLocationUtilityServiceGeocode.freeformaddress":"Straße : ","gpControlLocationUtilityServiceGeocode.freeformaddress.help":"z.B. : 73, avenue de Paris, 94165, Saint-Mandé","gpControlLocationUtilityServiceGeocode.name":"Ort:","gpControlLocationUtilityServiceGeocode.name.help":"z.B.: Saint-Mandé oder 94165","gpControlLocationUtilityServiceGeocode.matchType.city":"Lage in der Stadt","gpControlLocationUtilityServiceGeocode.matchType.street":"Lage auf der Straße","gpControlLocationUtilityServiceGeocode.matchType.number":"Lage in der genauen Anschrift Zahl","gpControlLocationUtilityServiceGeocode.matchType.enhanced":"Lage zwischen zwei Adressen interpoliert","gpControlLocationUtilityServiceGeocode.extent":"Restrict the research : ","gpControlLocationUtilityServiceGeocode.extent.help":"Restrict the research with an extent.","gpControlLocationUtilityServiceGeocode.extent.Map":"To the current extent","gpControlLocationUtilityServiceGeocode.extent.Manual":"Draw an extent","gpControlLocationUtilityServiceGeocode.territory":"Territory : ","gpControlLocationUtilityServiceGeocode.territory.help":"z.B. : France métropolitaine, Guadeloupe","gpControlLocationUtilityServiceGeocode.region":"Region : ","gpControlLocationUtilityServiceGeocode.region.help":"z.B. : Alsace, Aquitaine","gpControlLocationUtilityServiceGeocode.department":"Department : ","gpControlLocationUtilityServiceGeocode.department.help":"z.B. : Ain, Aisne","gpControlLocationUtilityServiceGeocode.button.cancel":"Abbrechen","gpControlLocationUtilityServiceGeocode.button.search":"Suchen","gpControlLocationUtilityServiceCadastralParcel.title":"Search a cadastral parcel:","gpControlLocationUtilityServiceCadastralParcel.departement":"Department : ","gpControlLocationUtilityServiceCadastralParcel.departement.help":"z.B. : 94, 2A","gpControlLocationUtilityServiceCadastralParcel.insee":"Commune INSEE : ","gpControlLocationUtilityServiceCadastralParcel.insee.help":"z.B. : 001","gpControlLocationUtilityServiceCadastralParcel.absorbee":"Merged Commune INSEE : ","gpControlLocationUtilityServiceCadastralParcel.absorbee.help":"z.B. : 001, 000","gpControlLocationUtilityServiceCadastralParcel.section":"Section : ","gpControlLocationUtilityServiceCadastralParcel.section.help":"z.B. : A, AD","gpControlLocationUtilityServiceCadastralParcel.feuille":"Sheet : ","gpControlLocationUtilityServiceCadastralParcel.feuille.help":"z.B. : 00, 01","gpControlLocationUtilityServiceCadastralParcel.numero":"Number : ","gpControlLocationUtilityServiceCadastralParcel.numero.help":"z.B. : 250, 1","gpControlLocationUtilityServiceCadastralParcel.freeformparcel":"Parcel Id : ","gpControlLocationUtilityServiceCadastralParcel.freeformparcel.help":"z.B. : 974090001BE0088","gpControlLocationUtilityServiceCadastralParcel.extent":"Restrict the research : ","gpControlLocationUtilityServiceCadastralParcel.extent.help":"Restrict the research with an extent.","gpControlLocationUtilityServiceCadastralParcel.extent.Map":"To the current extent","gpControlLocationUtilityServiceCadastralParcel.extent.Manual":"Draw an extent","gpControlLocationUtilityServiceCadastralParcel.territory":"Territory : ","gpControlLocationUtilityServiceCadastralParcel.territory.help":"z.B. : France métropolitaine, Guadeloupe","gpControlLocationUtilityServiceCadastralParcel.region":"Region : ","gpControlLocationUtilityServiceCadastralParcel.region.help":"z.B. : Alsace, Aquitaine","gpControlLocationUtilityServiceCadastralParcel.department":"Department : ","gpControlLocationUtilityServiceCadastralParcel.department.help":"z.B. : Ain, Aisne","gpControlLocationUtilityServiceCadastralParcel.button.cancel":"Abbrechen","gpControlLocationUtilityServiceCadastralParcel.button.search":"Suchen","gpControlLocationUtilityServiceGeodeticFixedPoint.title":"Search a geodetic fixed point:","gpControlLocationUtilityServiceGeodeticFixedPoint.name":"Geodetic name : ","gpControlLocationUtilityServiceGeodeticFixedPoint.name.help":"z.B. : P.C.L3 - 39","gpControlLocationUtilityServiceGeodeticFixedPoint.identifiant":"Geodetic number : ","gpControlLocationUtilityServiceGeodeticFixedPoint.identifiant.help":"z.B. : 75056AQ","gpControlLocationUtilityServiceGeodeticFixedPoint.type":"Type : ","gpControlLocationUtilityServiceGeodeticFixedPoint.type.help":"z.B. : Repère de Nivellement","gpControlLocationUtilityServiceGeodeticFixedPoint.freeformgeodesic":"Geodesic fixed point Id : ","gpControlLocationUtilityServiceGeodeticFixedPoint.freeformgeodesic.help":"z.B. : P.C.L3 - 39, 75056AQ","gpControlLocationUtilityServiceGeodeticFixedPoint.extent":"Restrict the research : ","gpControlLocationUtilityServiceGeodeticFixedPoint.extent.help":"Restrict the research with an extent.","gpControlLocationUtilityServiceGeodeticFixedPoint.extent.Map":"To the current extent","gpControlLocationUtilityServiceGeodeticFixedPoint.extent.Manual":"Draw an extent","gpControlLocationUtilityServiceGeodeticFixedPoint.territory":"Territory : ","gpControlLocationUtilityServiceGeodeticFixedPoint.territory.help":"z.B. : France métropolitaine, Guadeloupe","gpControlLocationUtilityServiceGeodeticFixedPoint.region":"Region : ","gpControlLocationUtilityServiceGeodeticFixedPoint.region.help":"z.B. : Alsace, Aquitaine","gpControlLocationUtilityServiceGeodeticFixedPoint.department":"Department : ","gpControlLocationUtilityServiceGeodeticFixedPoint.department.help":"z.B. : Ain, Aisne","gpControlLocationUtilityServiceGeodeticFixedPoint.button.cancel":"Abbrechen","gpControlLocationUtilityServiceGeodeticFixedPoint.button.search":"Suchen","gpControlLocationUtilityServiceReverseGeocode.extent":"Restrict the research : ","gpControlLocationUtilityServiceReverseGeocode.extent.help":"Choose the reverse geocoding mode.","gpControlLocationUtilityServiceReverseGeocode.type.Point":"Around a point","gpControlLocationUtilityServiceReverseGeocode.type.Circle":"Draw a circle","gpControlLocationUtilityServiceReverseGeocode.type.Extent":"Draw an extent","gpControlLocationUtilityServiceReverseGeocode.title":"Orte in der nähe suchen:","gpControlLocationUtilityServiceReverseGeocode.longitude":"Längengrad : ","gpControlLocationUtilityServiceReverseGeocode.longitude.help":"z.B. : dd.mmss in in geographischen koordinaten","gpControlLocationUtilityServiceReverseGeocode.latitude":"Breitengrad : ","gpControlLocationUtilityServiceReverseGeocode.latitude.help":"z.B. : dd.mmss in geographischen koordinaten","gpControlLocationUtilityServiceReverseGeocode.countrycode":"Research types : ","gpControlLocationUtilityServiceReverseGeocode.countrycode.help":"z.B. : PositionOfInterest","gpControlLocationUtilityServiceReverseGeocode.type.PositionOfInterest":"Geographical names","gpControlLocationUtilityServiceReverseGeocode.type.StreetAddress":"Addresses","gpControlLocationUtilityServiceReverseGeocode.type.CadastralParcel":"Cadastral parcels","gpControlLocationUtilityServiceReverseGeocode.type.GeodeticFixedPoint":"Geodetic points","gpControlLocationUtilityServiceReverseGeocode.button.cancel":"Abbrechen","gpControlLocationUtilityServiceReverseGeocode.button.search":"Suchen","gpControlLocationUtilityServiceReverseGeocode.circle":"In a circle","gpControlLocationUtilityServiceReverseGeocode.circle.help":"Draw a circle and search locations inside","gpControlCSW.title":"Rechercher dans le géocatalogue","gpControlCSW.cswTitle":"Titre : ","gpControlCSW.cswTitle.help":" ","gpControlCSW.cswKeyWords":"Keywords : ","gpControlCSW.cswKeyWords.help":" ","gpControlCSW.cswKeyWords.NoKeyWords":" ","gpControlCSW.cswKeyWords.Addresses":"Adressen","gpControlCSW.cswKeyWords.AdministrativeUnits":"Verwaltungseinheiten","gpControlCSW.cswKeyWords.Agricultural":"Landwirtschaftliche Anlagen und Aquakulturanlagen","gpControlCSW.cswKeyWords.RegulationZones":"Bewirtschaftungsgebiete/Schutzgebiete/geregelte Gebiete und Berichterstattungseinheiten","gpControlCSW.cswKeyWords.Atmospheric":"Atmosphärische Bedingungen","gpControlCSW.cswKeyWords.BioGeographical":"Biogeografische Regionen","gpControlCSW.cswKeyWords.Buildings":"Gebäude","gpControlCSW.cswKeyWords.Cadastral":"Flurstücke/Grundstücke (Katasterparzellen)","gpControlCSW.cswKeyWords.CoordinateSystems":"Koordinatenreferenzsysteme","gpControlCSW.cswKeyWords.Elevation":"Höhe","gpControlCSW.cswKeyWords.Energy":"Energiequellen","gpControlCSW.cswKeyWords.EnvironmentalFacilities":"Umweltüberwachung","gpControlCSW.cswKeyWords.GeographicalSystems":"Geografische Gittersysteme","gpControlCSW.cswKeyWords.GeographicalNames":"Geografische Bezeichnungen","gpControlCSW.cswKeyWords.Geology":"Geologie","gpControlCSW.cswKeyWords.Habitats":"Lebensräume und Biotope","gpControlCSW.cswKeyWords.HumanHealth":"Gesundheit und Sicherheit","gpControlCSW.cswKeyWords.Hydrography":"Gewässernetz","gpControlCSW.cswKeyWords.LandCover":"Bodenbedeckung","gpControlCSW.cswKeyWords.LandUse":"Bodennutzung","gpControlCSW.cswKeyWords.Meteorological":"Meteorologisch-geografische Kennwerte","gpControlCSW.cswKeyWords.Mineral":"Mineralische Bodenschätze","gpControlCSW.cswKeyWords.NaturalRiskZones":"Gebiete mit naturbedingten Risiken","gpControlCSW.cswKeyWords.Oceanographic":"Ozeanografisch-geografische Kennwerte","gpControlCSW.cswKeyWords.Orthoimagery":"Orthofotografie","gpControlCSW.cswKeyWords.Population":"Verteilung der Bevölkerung — Demografie","gpControlCSW.cswKeyWords.Production":"Produktions- und Industrieanlagen","gpControlCSW.cswKeyWords.ProtectedSites":"Schutzgebiete","gpControlCSW.cswKeyWords.SeaRegions":"Meeresregionen","gpControlCSW.cswKeyWords.Soil":"Boden","gpControlCSW.cswKeyWords.SpeciesDistribution":"Verteilung der Arten","gpControlCSW.cswKeyWords.StatisticalUnits":"Statistische Einheiten","gpControlCSW.cswKeyWords.TransportNetworks":"Verkehrsnetze","gpControlCSW.cswKeyWords.UtilityServices":"Versorgungswirtschaft und staatliche Dienste","gpControlCSW.cswOrganism":"Organisme : ","gpControlCSW.cswOrganism.help":" ","gpControlCSW.button.cancel":"Abbrechen","gpControlCSW.button.search":"Suchen","gpControlCSW.cswBBOX":"BBOX","gpControlCSW.cswNoBBOX":"Mondiale","gpControlCSW.cswNoBBOX.help":" ","gpControlCSW.cswCurrentBBOX":"Emprise courante","gpControlCSW.cswCurrentBBOX.help":" ","gpControlCSW.cswPersonnalBBOX":"Sélectionner une emprise","gpControlCSW.cswPersonnalBBOX.help":" ","gpControlPageManager.button.previous":"<","gpControlPageManager.button.next":">","azimuth.measurement":"Azimuth","gpControlMeasureAzimuth.title":"Azimuth messung","gpControlMeasureAzimuth.azimuth":"Azimuth","gpControlMeasureAzimuth.azimuth.help":"im Uhrzeigersinn gemessenen Winkel zwischen geografisch-Nord (Nordpol) und einer beliebigen Richtung auf der Erdoberfläche","gpControlMeasureAzimuth.distance":"Länge","gpControlMeasureAzimuth.distance.help":"Länge","elevation.measurement":"Elevation","gpControlMeasureElevation.title":"Elevation measurement","gpControlMeasureElevationPath.title":"Elevation path","gpControlPrintMap.title":"Druck-Vorschau anzeigen","gpControlPrintMapDOM.title":"Druck-Vorschau anzeigen","gpControlPrintMap.comments":"Ihre Anmerkungen oder Kommentare","gpControlPrintMapDOM.comments":"Ihre Anmerkungen oder Kommentare","approx.scale":"Ungefähren Maßstab: 1:","approx.center":"Geographische Koordinaten der Mitte der Karte","gpControlPrintMap.print.forbidden":"All rights reserved","gpControlPrintMapDOM.print.forbidden":"All rights reserved","gpControlPrintMapDOM.print":"Drucken","gpControlPrintMap.print":"Drucken","gpControlPrintMapDOM.print":"Drucken","gpControlInformation.title":"Infotafel",gpControlInformationMini:"Klicken Sie auf Informationen Virenwarnung sichtbar","OpenLayers.Control.WMSGetFeatureInfo.title":"Identifikation von Objekten","gpControlAddAttributeToLayer.title":"Hinzufügen / Entfernen von Attributen","gpControlAddAttributeToLayer.attName":"Name","gpControlAddAttributeToLayer.attName.help":"name des hinzuzufügenden Attributs","gpControlAddAttributeToLayer.attDefaultValue":"Default","gpControlAddAttributeToLayer.attDefaultValue.help":"default-Wert Attribut","gpControlAddAttributeToLayer.attList":"Attribute","gpControlAddAttributeToLayer.attList.help":"präsent sein","gpControlAddAttributeToLayer.button.cancel":"Finish","gpControlAddAttributeToLayer.button.addatt":"Add","gpControlAddAttributeToLayer.button.delatt":"Remove","gpControlAddAttributeToLayer.emptyName":"Der Name ist leer","gpControlAddAttributeToLayer.existingName":"${name} bereits vorhanden","gpControlAddAttributeToLayer.isUrl":"URL link","gpControlAddAttributeToLayer.isUrl.help":"Im Bearbeitungsmodus wird das Attribut als URL angezeigt werden","gpControlLayerStyling.title":"Edit mapping","gpControlLayerStyling.color":"Color Linien und Füllung","gpControlLayerStyling.color.help":"klicken Sie auf die Farbpalette zu öffnen, klicken Sie außerhalb beendet werden","gpControlLayerStyling.size":"Size","gpControlLayerStyling.size.help":"klicken, um das Panel zu Größen ändern zu eröffnen","gpControlLayerStyling.style":"Vertretung","gpControlLayerStyling.style.help":"klicken, um das Fenster zum Ändern Stile offen","gpControlLayerStyling.rotation":"Drehwinkel (in Grad) ","gpControlLayerStyling.rotation.help":"klicken Sie auf einen Winkel zwischen 0 und 360°","gpControlLayerStyling.externalgraphic":"URL des Symbols","gpControlLayerStyling.externalgraphic.help":"geben Sie die URL der Ikone - nichts für","gpControlLayerStyling.button.cancel":"Cancel","gpControlLayerStyling.button.changestyle":"Change","gpControlLayerStyling.emptyColor":"Die Farbe ist leer (#XXXXXX erwartet)","gpControlSaveLayer.title":"Save Layer","gpControlSaveLayer.format":"Save Format","gpControlSaveLayer.gml":"GML","gpControlSaveLayer.kml":"KML","gpControlSaveLayer.gpx":"GPX Spuren","gpControlSaveLayer.geoRSS":"GeoRSS","gpControlSaveLayer.osm":"OpenStreetMap XML Export","gpControlSaveLayer.gxt":"Géoconcept Export","gpControlSaveLayer.format.help":"format die Daten exportieren","gpControlSaveLayer.proj":"Reference System der Koordinaten","gpControlSaveLayer.proj.help":"für den Export Koordinaten","gpControlSaveLayer.pretty":"Verbesserte Anzeige","gpControlSaveLayer.pretty.help":"um es lesbaren Daten exportieren","gpControlSaveLayer.button.cancel":"Cancel","gpControlSaveLayer.button.save":"Speichern","gpControlSaveLayer.noData":"Die Schicht ist leer, um keine Daten zu speichern","gpControlTerritorySelector.title":"Gebiete","lus.not.match":"Es konnte keine übereinstimmung gefunden werden","csw.not.match":"keine Metadaten Datensatz gefunden","geocoded.address.popup.title":"Adreße","geocoded.address.popup.postalCode":"Postleitzahl","geocoded.address.popup.places":"Orte","geocoded.address.popup.searchCenterDistance":"Suche Achsabstand",CountrySubdivision:"Departement",CountrySecondarySubdivision:"Gemeinde",Municipality:"Stadt",MunicipalitySubdivision:"Stadtteil",TOS:"Allgemeine geschäftsbedingungen","utm.zone":"UTM","drawingToolbar.fillColor":"Fill color","drawingToolbar.strokeType":"Line type","drawingToolbar.strokeColor":"Line color","drawingToolbar.strokeWidth":"Line width (px)","drawingToolbar.opacity":"Opacity","drawingToolbar.return":"Back","drawingToolbar.titleStyle":"Edit shape style","drawingToolbar.apply":"Apply","drawingToolbar.taille":"Icon size","drawingToolbar.rotation":"Icon angle","drawingToolbar.pictoUrl":"Icon URL","gpControlDrawingToolbar.drawpoint":"Draw point","gpControlDrawingToolbar.drawline":"Draw line","gpControlDrawingToolbar.drawpolygon":"Draw polygon","gpControlDrawingToolbar.drawtext":"Draw text","gpControlDrawingToolbar.dragfeature":"Drag feature","gpControlDrawingToolbar.modifyfeature":"Modify feature","gpControlDrawingToolbar.deletefeature":"Delete feature","gpControlDrawingToolbar.selectfeature":"Select feature","drawingToolbar.labelSize":"Label size","drawingToolbar.labelFont":"Label font","drawingToolbar.LabelColor":"Label color","drawingToolbar.Label":"Label","drawingToolbar.labelBold":"Bold label","gpControlLayerCatalog.label":"Catalog","gpControlLayerCatalog.button.add":"Add the layer","gpControlLayerCatalog.button.add.disabled":"Incompatible layer","gpControlLayerCatalog.button.add.alreadyAdded":"Layer already added","gpControlForm.button.filter":"Filter","gpControlForm.button.reset":"Reset","gpControlForm.button.apply":"Apply","gpControlForm.button.catalog":"Catalog","gpControlForm.catalogRestrictToMapExtent":"Restrict to current extent","gpControlForm.catalogRestrictToMapExtent.help":" ","gpControlForm.catalogLayerName":"Layer name","gpControlForm.catalogLayerName.help":" ","gpControlForm.catalogKeywords":"Keywords","gpControlForm.catalogKeywords.help":"Keywords comma separated","gpControlForm.catalogThematics":"Thematics","gpControlForm.catalogThematics.help":"Thematics comma separated","gpControlForm.catalogBeginProductionMinDate":"Begin production date min.","gpControlForm.catalogBeginProductionMinDate.help":"Format YYYYMMDD or YYYY","gpControlForm.catalogBeginProductionMaxDate":"Begin production date max.","gpControlForm.catalogBeginProductionMaxDate.help":"Format YYYYMMDD or YYYY","gpControlForm.catalogEndProductionMinDate":"End production date min.","gpControlForm.catalogEndProductionMinDate.help":"Format YYYYMMDD or YYYY","gpControlForm.catalogEndProductionMaxDate":"End production date max.","gpControlForm.catalogEndProductionMaxDate.help":"Format YYYYMMDD or YYYY","gpControlForm.catalogPublicationMinDate":"Publication date min.","gpControlForm.catalogPublicationMinDate.help":"Format YYYYMMDD or YYYY","gpControlForm.catalogPublicationMaxDate":"Publication date max.","gpControlForm.catalogPublicationMaxDate.help":"Format YYYYMMDD or YYYY","gpControlEditFeature.title":"Edit feature","*":""};Geoportal.Lang.es={ATF:"Tierras australes francés",FXX:"Francia continental",GLP:"Guadalupe",GUF:"Francés de Guayana",MTQ:"Martinica",MYT:"Mayotte",NCL:"Nueva Caledonia",PYF:"Polinesia francés",REU:"La Reunión",SPM:"San Pedro y Miquelón",WLF:"Wallis y Futuna",ANF:"Francés Antillas",ASP:"Saint Paul y Amsterdam",CRZ:"Crozet",EUE:"Europa",KER:"Kerguelen",SBA:"Saint Barthélémy",SMA:"Saint Martin",WLD:"El mundo","GEOGRAPHICALGRIDSYSTEMS.MAPS":"IGN Mapas","GEOGRAPHICALGRIDSYSTEMS.MAPS.description":"Los mapas se derivan de las bases de datos SCAN del IGN: Mundo, Europa politica databases : World, Europe, SCAN 1 000®, SCAN 500®, SCAN Régional®, SCAN 200®, SCAN Départemental®, SCAN 100®, SCAN 50®, SCAN 25®.","ORTHOIMAGERY.ORTHOPHOTOS":"Ortoimágenes","ORTHOIMAGERY.ORTHOPHOTOS.description":"Las fotografias aéreas combinan la precisión geométrica del mapa y la riqueza de la fotografia, una resolución entre 50 cm y 15 cm o, con imágenes de satélite, una resolución entre 10 m y 20 m.","ELEVATION.SLOPES":"Tintas hipsométricas - Elevaciones","ELEVATION.SLOPES.description":"Los modelos digitales del terreno se elaboran con información de la base de datos BD ALTI®, que describe el territorio francés mediante curvas de nivel. La equidistancia de las curvas varia de 5 m a 40 m. Los datos iniciales se han tomado de mapas del IGN a escalas 1:25 000, 1:50 000 y a partir de una restitución elaborada mediante tomas de vistas aéreas a escalas 1:20 000, 1:30 000 y 1:60 000.","ELEVATION.LEVEL0":"Linea de costa - Elevaciones","ELEVATION.LEVEL0.description":"La cota 0 (cero) de los mares se obtiene de LITTO3D®, una producción realizada en común entre el SHOM y el IGN.","CADASTRALPARCELS.PARCELS":"Parcelas catastrales","CADASTRALPARCELS.PARCELS.description":"La información catastral digital está georreferenciada y es continua sobre el conjunto del territorio francés. Se ha elaborado a partir del montaje del plan catastral desmaterializado.","HYDROGRAPHY.HYDROGRAPHY":"Hidrografia","HYDROGRAPHY.HYDROGRAPHY.description":"La hidrografia terrestre se obtiene de la combinación de datos de las bases de datos BD TOPO® y BD CARTHAGE® y del EuroRegionalMap y el EuroGlobalMap.","TRANSPORTNETWORKS.ROADS":"Red de Carreteras - Redes de transporte","TRANSPORTNETWORKS.ROADS.description":"La red de carreteras se obtiene de la combinación de datos de las bases de datos BD TOPO® y BD CARTO® y del EuroRegionalMap y el EuroGlobalMap.","TRANSPORTNETWORKS.RAILWAYS":"Red ferroviaria - Redes de transporte","TRANSPORTNETWORKS.RAILWAYS.description":"La red ferroviaria se obtiene de la combinación de datos de las bases de datos BD TOPO® y CARTO® y del EuroRegionalMap y el EuroGlobalMap.","TRANSPORTNETWORKS.RUNWAYS":"Red de aire - Redes de transporte","TRANSPORTNETWORKS.RUNWAYS.description":"Las pistas de los aeropuertos y aeródromos se obtienen de la combinación de datos de las bases de datos BD TOPO® y BD CARTO®.","BUILDINGS.BUILDINGS":"Edificios","BUILDINGS.BUILDINGS.description":"Los edificios y las zonas construidas se obtienen de la combinación de datos de las bases de datos BD TOPO® y BD CARTO® y del EuroRegionalMap y el EuroGlobalMap.","UTILITYANDGOVERNMENTALSERVICES.ALL":"Servicios de utilidad pública y estatales","UTILITYANDGOVERNMENTALSERVICES.ALL.description":"Las diversas redes de transporte de energia se obtienen de la combinación de datos de las bases de datos BD TOPO® y BD CARTO®.","ADMINISTRATIVEUNITS.BOUNDARIES":"Unidades administrativas","ADMINISTRATIVEUNITS.BOUNDARIES.description":"Las unidades administrativas de Francia se obtienen de la combinación de datos de las bases de datos BD TOPO® y BD CARTO® y del EuroRegionalMap y el EuroBoundaryMap.","LANDCOVER.CORINELANDCOVER":"Corine LC","LANDCOVER.CORINELANDCOVER.description":"CORINE Land Cover (2006)","GEOGRAPHICALGRIDSYSTEMS.COASTALMAPS":"Costeras mapas","GEOGRAPHICALGRIDSYSTEMS.COASTALMAPS.description":"Costeras mapas","GEOGRAPHICALGRIDSYSTEMS.1900TYPEMAPS":"mapas topográficos del tipo 1900","GEOGRAPHICALGRIDSYSTEMS.1900TYPEMAPS.description":"Mapas a escala 1: 50 000 (después de la primera edición de la Biblioteca Mapa IGN)","GEOGRAPHICALGRIDSYSTEMS.CASSINI":"Cassini mapas","GEOGRAPHICALGRIDSYSTEMS.CASSINI.description":"Cassini mapas","ORTHOIMAGERY.ORTHOPHOTOS.COAST2000":"orto-fotografías de la costa (2000)","ORTHOIMAGERY.ORTHOPHOTOS.COAST2000.description":"Orto-fotografía de la costa del Mar del Norte, el Canal Inglés y el Atlántico.","LANDUSE.AGRICULTURE2007":"Las parcelas agrícolas (2007)","LANDUSE.AGRICULTURE2007.description":"Esta capa muestra los islotes anónimos registro de paquetes gráfico (RPG) y su grupo de cultivos principales reportados en 2007 por los agricultores para beneficiarse de ayudas de la PAC.","LANDUSE.AGRICULTURE2008":"Las parcelas agrícolas (2008)","LANDUSE.AGRICULTURE2008.description":"Esta capa muestra los islotes anónimos registro de paquetes gráfico (RPG) y su grupo de cultivos principales reportados en 2008 por los agricultores para beneficiarse de ayudas de la PAC.","LANDUSE.AGRICULTURE2009":"Las parcelas agrícolas (2009)","LANDUSE.AGRICULTURE2009.description":"Esta capa muestra los islotes anónimos registro de paquetes gráfico (RPG) y su grupo de cultivos principales reportados en 2009 por los agricultores para beneficiarse de ayudas de la PAC.","LANDUSE.AGRICULTURE2010":"Las parcelas agrícolas (2010)","LANDUSE.AGRICULTURE2010.description":"Esta capa muestra los islotes anónimos registro de paquetes gráfico (RPG) y su grupo de cultivos principales reportados en 2010 por los agricultores para beneficiarse de ayudas de la PAC.","ORTHOIMAGERY.ORTHOPHOTOS.GENEVE":"Del Estado de Ginebra","ORTHOIMAGERY.ORTHOPHOTOS.GENEVE.description":"Orto-fotografías, 10 cm de resolución (2010).","ORTHOIMAGERY.ORTHOPHOTOS2000-2005":"Orto-fotografías (2000-2005)","ORTHOIMAGERY.ORTHOPHOTOS2000-2005.description":"Primera cobertura nacional (2000-2005) de orto-imágenes con una resolución de 50 cm.","GEOGRAPHICALGRIDSYSTEMS.FRANCERASTER":"FranceRaster®","GEOGRAPHICALGRIDSYSTEMS.FRANCERASTER.description":"FranceRaster® es una serie de imágenes georreferenciadas que abarcan el territorio continental de Francia y el extranjero. Se produce con la base de datos vectorial del IGN que mejor se adapte a cada escala con una simbología uniforme. De acuerdo con las escalas, FranceRaster ®, permite la visualización de las carreteras y el ferrocarril temas, el marco, hidrografía, vegetación, electrónico, dirección de viaje, nombres ...","NATURALRISKZONES.1910FLOODEDWATERSHEDS":"Seine (PHEC)","NATURALRISKZONES.1910FLOODEDWATERSHEDS.description":"Esta capa de mapa representa el agua más alta conocida (PHEC) en la cuenca del Sena, es decir, áreas geográficas inundados por la inundación más grande conocido y documentado en cada río.","NATURALRISKZONES.1910FLOODEDCELLARS":"Inundados sótanos (1910)","NATURALRISKZONES.1910FLOODEDCELLARS.description":"Mapa de sótanos inundados durante la inundación del Sena y de 1910. Este mapa se basa en testimonios.","GEOGRAPHICALGRIDSYSTEMS.ETATMAJOR40":"Mapas de État-Major (1:40 000)","GEOGRAPHICALGRIDSYSTEMS.ETATMAJOR40.description":"Esta capa se forma por la asamblea de los 978 dibujos originales del mapa de Estado Mayor de la establecida en el siglo XIX. Estas encuestas escritas a mano y coloreado, a la 1: 40 000, se establecieron entre 1825 y 1866.","LANDCOVER.FORESTINVENTORY.V1":"Inventario forestal (v1)","LANDCOVER.FORESTINVENTORY.V1.description":"Inventario forestal (1987-2004)","LANDCOVER.FORESTINVENTORY.V2":"Inventario forestal (v2)","LANDCOVER.FORESTINVENTORY.V2.description":"Inventario forestal (2005+)","GEOGRAPHICALGRIDSYSTEMS.ADMINISTRATIVEUNITS":"Mapa de las divisiones administrativas","GEOGRAPHICALGRIDSYSTEMS.ADMINISTRATIVEUNITS.description":"Mapa de las divisiones administrativas","PositionOfInterest;Geocode":"Búsqueda por ubicación","PositionOfInterest;Geocode.description":"Utiliza la base de datos BD Nyme®.","StreetAddress:OPENLS;Geocode":"Buscar por dirección","StreetAddress:OPENLS;Geocode.description":"Utiliza la base de datos Routes Adresses®.","GEOGRAPHICALNAMES.NAMES":"Los nombres geográficos","GEOGRAPHICALNAMES.NAMES.description":"Los nombres geográficos","div.not.found":"${id} no se encontró en el documento: verifique si '${id}' existe.","proxy.not.set":"No se ha configurado un proxy: la obtención de información sobre el contrato podria fallar.","cookies.not.enabled":"Las cookies son discapacitados. Por favor, les permiten.","geoRM.getConfig":"No es posible obtener información relativa a la clave '${key}' - Verifique su conexión.","geoRM.getToken":"No es posible obtener la ficha asociada a la clave '${key}' - Verifique su conexión.","geoRM.failed":"No pudo obtener una muestra válida relativa a la clave '${key}'","geoRM.forbidden":"Clave de la API no se encuentra o no ${layer} con el apoyo de contrato de la aplicación de la API.","url.error":"Error al cargar '${url}' ${msg}","GPX.version":"La versión ${gpxVersion} de GPX no es compatible","XLS.version":"La versión ${xlsVersion} de XLS no es compatible con el servicio ${coreService}","Not.conformal.XLS":"${part} falta en el XML","olControlMeasurePath.title":"Medida de distancia","olControlMeasurePolygon.title":"Medida de superficie","waiting.measurement":"A la espera de la selección...","length.measurement":"Longitud","area.measurement":"Superficie","gpControlLayerSwitcher.label":"Capas","gpLayer.metadataURL":"Más información sobre esta capa...","gpLayer.dataURL":"Acceso al servicio de descargas","gpControlPanelToggle.closed":"Mostrar la barra de herramientas","gpControlPanelToggle.opened":"Ocultar la barra de herramientas","gpControlRemoveLayer.title":"Quitar la capa","gpControlLayerOpacity.title":"Regla de transparencia","gpControlZoomToLayerMaxExtent.title":"Ampliar el área de la capa","gpControlMousePosition.longitude":"Longitud","gpControlMousePosition.latitude":"Latitud","gpControlMousePosition.easting":"Abscisa","gpControlMousePosition.northing":"Ordenada","gpControlMousePosition.north":"N","gpControlMousePosition.south":"S","gpControlMousePosition.east":"Or","gpControlMousePosition.west":"Oe","gpControlMousePosition.sexa":"grados sexagesimales","gpControlMousePosition.deg":"grados decimales","gpControlMousePosition.gon":"grados","gpControlMousePosition.rad":"radianes","gpControlMousePosition.km":"kilómetros","gpControlMousePosition.m":"metros","gpControlMousePosition.cm":"centimetros","gpControlMousePosition.utmZone":"Zona","gpControlToolBox.label":"Herra.","gpControlZoomBar.world":"Mundo","gpControlZoomBar.state":"Pais","gpControlZoomBar.country":"Provin.","gpControlZoomBar.town":"Ciudad","gpControlZoomBar.street":"Calle","gpControlZoomBar.house":"Casa","gpControlEditingToolbar.drawpoint":"Situar un punto","gpControlEditingToolbar.drawline":"Dibujar una linea","gpControlEditingToolbar.drawpolygon":"Dibujar un poligono","gpControlEditingToolbar.dragfeature":"Desplazar un objeto","gpControlEditingToolbar.modifyfeature":"Modificar un objeto","gpControlEditingToolbar.deletefeature":"Destruir un objeto","gpControlEditingToolbar.selectfeature":"Seleccionar un objeto","gpControlEditingToolbar.navigation":"Navegar","gpControlAddImageLayer.title":"Añadir una capa de imagen...","gpControlAddImageLayer.layerUrl":"URL : ","gpControlAddImageLayer.layerUrl.help":"Dirección base del servicio","gpControlAddImageLayer.layerType":"Tipo : ","gpControlAddImageLayer.layerType.help":"elija un valor de la lista","gpControlAddImageLayer.layerType.WMS":"Web Map Service","gpControlAddImageLayer.layerType.WMTS":"Web Map Tile Service","gpControlAddImageLayer.layerType.WMSC":"OSGeO WMS-C","gpControlAddImageLayer.button.add":"Añadir","gpControlAddImageLayer.button.cancel":"Cancelar","wms.caps.no.compatible.srs":"No compatible encontrado capa","ogc.caps.unknown.service":"${serviceType} no es un ${expectedType}","gpControlAddVectorLayer.title":"Añadir una capa vectorial...","gpControlAddVectorLayer.layerName":"Nombre : ","gpControlAddVectorLayer.layerName.help":"ejemplo : mi capa","gpControlAddVectorLayer.layerType":"Tipo : ","gpControlAddVectorLayer.layerType.help":"elija un valor de la lista","gpControlAddVectorLayer.layerType.Point":"puntual","gpControlAddVectorLayer.layerType.LineString":"lineal","gpControlAddVectorLayer.layerType.Polygon":"superficial","gpControlAddVectorLayer.layerType.Collection":"sketch","gpControlAddVectorLayer.layerType.KML":"recurso KML","gpControlAddVectorLayer.layerType.GPX":"recurso GPX","gpControlAddVectorLayer.layerType.OSM":"recurso OSM","gpControlAddVectorLayer.layerType.GeoRSS":"recurso GeoRSS","gpControlAddVectorLayer.layerType.WFS":"recurso WFS","gpControlAddVectorLayer.layerUrl":"URL : ","gpControlAddVectorLayer.layerUrl.help":"local o a distancia","gpControlAddVectorLayer.layerFreeHand":"Dibujo a mano alzada ? ","gpControlAddVectorLayer.layerFreeHand.help":"permite el dibujo a mano alzada","gpControlAddVectorLayer.button.add":"Añadir","gpControlAddVectorLayer.button.cancel":"Cancelar","gpControlAddVectorLayer.layerContent":"Contenido","gpControlAddVectorLayer.layerContent.help":"Copiar / Pegar datos","gpControlAddVectorLayer.layerFile":"Archivo","gpControlAddVectorLayer.layerFile.help":"Seleccionar / arrastrar y soltar un archivo","gpControlAddVectorLayer.layerUrlSwitch":"Por URL / contenidos","gpControlAddVectorLayer.layerUrlSwitch.help":"Proporcione el URL remoto o los datos contenidos","addvlayer.type.not.supported":"Tipo ${type} no es compatible","addvlayer.file.not.found":"${file} archivo no se encuentra","addvlayer.file.not.readable":"${file} archivo no es legible","addvlayer.file.is.empty":"${file} archivo está vacío o no es compatible (ver tipos)","addvlayer.expected.type":"${file} archivo está vacío o no es compatible (el tipo esperado es ${type})","wfs.caps.no.feature.found":"No objetos encontrados","wfs.caps.unsupported.version":"WFS versión ${version} no es compatible","gpControlLocationUtilityService.geonames.title":"Buscar un lugar","gpControlLocationUtilityService.geocode.title":"Buscar una dirección","gpControlLocationUtilityService.cadastralparcel.title":"Search a cadastral parcel","gpControlLocationUtilityService.geodeticfixedpoint.title":"Search a geodetic point","gpControlLocationUtilityService.reverse.geocode.title":"Buscar las direcciones en torno a un punto","gpControlLocationUtilityService.extent":"Restrict the research : ","gpControlLocationUtilityService.extent.help":"Restrict the research with an extent.","gpControlLocationUtilityService.extent.Map":"To the current extent","gpControlLocationUtilityService.extent.Manual":"Draw an extent","gpControlLocationUtilityService.territory":"Territory : ","gpControlLocationUtilityService.territory.help":"ex : France métropolitaine, Guadeloupe","gpControlLocationUtilityService.region":"Region : ","gpControlLocationUtilityService.region.help":"ex : Alsace, Aquitaine","gpControlLocationUtilityService.department":"Department : ","gpControlLocationUtilityService.department.help":"ex : Ain, Aisne","gpControlLocationUtilityServiceGeoNames.title":"Buscar un lugar:","gpControlLocationUtilityServiceGeoNames.name":"Lugar: ","gpControlLocationUtilityServiceGeoNames.name.help":"ejemplo: Saint-Mandé","gpControlLocationUtilityServiceGeoNames.nature":"Nature : ","gpControlLocationUtilityServiceGeoNames.nature.help":"ex : Préfecture","gpControlLocationUtilityServiceGeoNames.importance":"Importance : ","gpControlLocationUtilityServiceGeoNames.importance.help":"ex : 1","gpControlLocationUtilityServiceGeoNames.commune":"Commune : ","gpControlLocationUtilityServiceGeoNames.commune.help":"ex : Saint-Mandé","gpControlLocationUtilityServiceGeoNames.extent":"Restrict the research : ","gpControlLocationUtilityServiceGeoNames.extent.help":"Restrict the research with an extent.","gpControlLocationUtilityServiceGeoNames.extent.Map":"To the current extent","gpControlLocationUtilityServiceGeoNames.extent.Manual":"Draw an extent","gpControlLocationUtilityServiceGeoNames.territory":"Territory : ","gpControlLocationUtilityServiceGeoNames.territory.help":"ex : France métropolitaine, Guadeloupe","gpControlLocationUtilityServiceGeoNames.region":"Region : ","gpControlLocationUtilityServiceGeoNames.region.help":"ex : Alsace, Aquitaine","gpControlLocationUtilityServiceGeoNames.department":"Department : ","gpControlLocationUtilityServiceGeoNames.department.help":"ex : Ain, Aisne","gpControlLocationUtilityServiceGeocode.title":"Buscar una dirección:","gpControlLocationUtilityServiceGeocode.address":"Calle: ","gpControlLocationUtilityServiceGeocode.address.help":"ejemplo: 73, avenue de Paris","gpControlLocationUtilityServiceGeocode.municipality":"Localidad:","gpControlLocationUtilityServiceGeocode.municipality.help":"ejemplo: Saint-Mandé","gpControlLocationUtilityServiceGeocode.postalcode":"Código postal: ","gpControlLocationUtilityServiceGeocode.postalcode.help":"ejemplo: 94165","gpControlLocationUtilityServiceGeocode.quality":"Accuracy:","gpControlLocationUtilityServiceGeocode.quality.help":"Plaque adresse","gpControlLocationUtilityServiceGeocode.freeformaddress":"Address : ","gpControlLocationUtilityServiceGeocode.freeformaddress.help":"ex : Saint-Mandé or 94165","gpControlLocationUtilityServiceGeocode.name":"Lugar:","gpControlLocationUtilityServiceGeocode.name.help":"ejemplo: Saint-Mandé o 94165","gpControlLocationUtilityServiceGeocode.button.cancel":"Cancelar","gpControlLocationUtilityServiceGeocode.button.search":"Buscar","gpControlLocationUtilityServiceGeocode.matchType.city":"Ubicación en la ciudad","gpControlLocationUtilityServiceGeocode.matchType.street":"Ubicación en la calle","gpControlLocationUtilityServiceGeocode.matchType.number":"Ubicación en la dirección exacta","gpControlLocationUtilityServiceGeocode.matchType.enhanced":"Ubicación interpolado entre dos direcciones","gpControlLocationUtilityServiceGeocode.extent":"Restrict the research : ","gpControlLocationUtilityServiceGeocode.extent.help":"Restrict the research with an extent.","gpControlLocationUtilityServiceGeocode.extent.Map":"To the current extent","gpControlLocationUtilityServiceGeocode.extent.Manual":"Draw an extent","gpControlLocationUtilityServiceGeocode.territory":"Territory : ","gpControlLocationUtilityServiceGeocode.territory.help":"ex : France métropolitaine, Guadeloupe","gpControlLocationUtilityServiceGeocode.region":"Region : ","gpControlLocationUtilityServiceGeocode.region.help":"ex : Alsace, Aquitaine","gpControlLocationUtilityServiceGeocode.department":"Department : ","gpControlLocationUtilityServiceGeocode.department.help":"ex : Ain, Aisne","gpControlLocationUtilityServiceGeoNames.button.cancel":"Cancelar","gpControlLocationUtilityServiceGeoNames.button.search":"Buscar","gpControlLocationUtilityServiceCadastralParcel.title":"Search a cadastral parcel:","gpControlLocationUtilityServiceCadastralParcel.departement":"Department : ","gpControlLocationUtilityServiceCadastralParcel.departement.help":"ex : 94, 2A","gpControlLocationUtilityServiceCadastralParcel.insee":"Commune INSEE : ","gpControlLocationUtilityServiceCadastralParcel.insee.help":"ex : 001","gpControlLocationUtilityServiceCadastralParcel.absorbee":"Merged Commune INSEE : ","gpControlLocationUtilityServiceCadastralParcel.absorbee.help":"ex : 001, 000","gpControlLocationUtilityServiceCadastralParcel.section":"Section : ","gpControlLocationUtilityServiceCadastralParcel.section.help":"ex : A, AD","gpControlLocationUtilityServiceCadastralParcel.feuille":"Sheet : ","gpControlLocationUtilityServiceCadastralParcel.feuille.help":"ex : 00, 01","gpControlLocationUtilityServiceCadastralParcel.numero":"Number : ","gpControlLocationUtilityServiceCadastralParcel.numero.help":"ex : 250, 1","gpControlLocationUtilityServiceCadastralParcel.freeformparcel":"Parcel Id : ","gpControlLocationUtilityServiceCadastralParcel.freeformparcel.help":"ex : 974090001BE0088","gpControlLocationUtilityServiceCadastralParcel.extent":"Restrict the research : ","gpControlLocationUtilityServiceCadastralParcel.extent.help":"Restrict the research with an extent.","gpControlLocationUtilityServiceCadastralParcel.extent.Map":"To the current extent","gpControlLocationUtilityServiceCadastralParcel.extent.Manual":"Draw an extent","gpControlLocationUtilityServiceCadastralParcel.territory":"Territory : ","gpControlLocationUtilityServiceCadastralParcel.territory.help":"ex : France métropolitaine, Guadeloupe","gpControlLocationUtilityServiceCadastralParcel.region":"Region : ","gpControlLocationUtilityServiceCadastralParcel.region.help":"ex : Alsace, Aquitaine","gpControlLocationUtilityServiceCadastralParcel.department":"Department : ","gpControlLocationUtilityServiceCadastralParcel.department.help":"ex : Ain, Aisne","gpControlLocationUtilityServiceCadastralParcel.button.cancel":"Cancelar","gpControlLocationUtilityServiceCadastralParcel.button.search":"Buscar","gpControlLocationUtilityServiceGeodeticFixedPoint.title":"Search a geodetic fixed point:","gpControlLocationUtilityServiceGeodeticFixedPoint.name":"Geodetic name : ","gpControlLocationUtilityServiceGeodeticFixedPoint.name.help":"ex : P.C.L3 - 39","gpControlLocationUtilityServiceGeodeticFixedPoint.identifiant":"Geodetic number : ","gpControlLocationUtilityServiceGeodeticFixedPoint.identifiant.help":"ex : 75056AQ","gpControlLocationUtilityServiceGeodeticFixedPoint.type":"Type : ","gpControlLocationUtilityServiceGeodeticFixedPoint.type.help":"ex : Repère de Nivellement","gpControlLocationUtilityServiceGeodeticFixedPoint.freeformgeodesic":"Geodesic fixed point Id : ","gpControlLocationUtilityServiceGeodeticFixedPoint.freeformgeodesic.help":"ex : P.C.L3 - 39, 75056AQ","gpControlLocationUtilityServiceGeodeticFixedPoint.extent":"Restrict the research : ","gpControlLocationUtilityServiceGeodeticFixedPoint.extent.help":"Restrict the research with an extent.","gpControlLocationUtilityServiceGeodeticFixedPoint.extent.Map":"To the current extent","gpControlLocationUtilityServiceGeodeticFixedPoint.extent.Manual":"Draw an extent","gpControlLocationUtilityServiceGeodeticFixedPoint.territory":"Territory : ","gpControlLocationUtilityServiceGeodeticFixedPoint.territory.help":"ex : France métropolitaine, Guadeloupe","gpControlLocationUtilityServiceGeodeticFixedPoint.region":"Region : ","gpControlLocationUtilityServiceGeodeticFixedPoint.region.help":"ex : Alsace, Aquitaine","gpControlLocationUtilityServiceGeodeticFixedPoint.department":"Department : ","gpControlLocationUtilityServiceGeodeticFixedPoint.department.help":"ex : Ain, Aisne","gpControlLocationUtilityServiceGeodeticFixedPoint.button.cancel":"Cancelar","gpControlLocationUtilityServiceGeodeticFixedPoint.button.search":"Buscar","gpControlLocationUtilityServiceReverseGeocode.extent":"Restrict the research : ","gpControlLocationUtilityServiceReverseGeocode.extent.help":"Choose the reverse geocoding mode.","gpControlLocationUtilityServiceReverseGeocode.type.Point":"Around a point","gpControlLocationUtilityServiceReverseGeocode.type.Circle":"Draw a circle","gpControlLocationUtilityServiceReverseGeocode.type.Extent":"Draw an extent","gpControlLocationUtilityServiceReverseGeocode.longitude":"Longitud: ","gpControlLocationUtilityServiceReverseGeocode.longitude.help":"ejemplo: dd.mmss en coordenadas geográficas","gpControlLocationUtilityServiceReverseGeocode.latitude":"Latitud: ","gpControlLocationUtilityServiceReverseGeocode.latitude.help":"ejemplo: dd.mmss en coordenadas geográficas","gpControlLocationUtilityServiceReverseGeocode.countrycode":"Research types : ","gpControlLocationUtilityServiceReverseGeocode.countrycode.help":"ex : PositionOfInterest","gpControlLocationUtilityServiceReverseGeocode.type.PositionOfInterest":"Geographical names","gpControlLocationUtilityServiceReverseGeocode.type.StreetAddress":"Addresses","gpControlLocationUtilityServiceReverseGeocode.type.CadastralParcel":"Cadastral parcels","gpControlLocationUtilityServiceReverseGeocode.type.GeodeticFixedPoint":"Geodetic points","gpControlLocationUtilityServiceReverseGeocode.title":"Buscar lugares próximos:","gpControlLocationUtilityServiceReverseGeocode.button.cancel":"Cancelar","gpControlLocationUtilityServiceReverseGeocode.button.search":"Buscar","gpControlLocationUtilityServiceReverseGeocode.circle":"In a circle","gpControlLocationUtilityServiceReverseGeocode.circle.help":"Draw a circle and search locations inside","gpControlCSW.title":"Buscar en el geocatálogo","gpControlCSW.cswTitle":"Título : ","gpControlCSW.cswTitle.help":" ","gpControlCSW.cswKeyWords":"Palabras clave : ","gpControlCSW.cswKeyWords.help":" ","gpControlCSW.cswKeyWords.NoKeyWords":" ","gpControlCSW.cswKeyWords.Addresses":"Direcciones","gpControlCSW.cswKeyWords.AdministrativeUnits":"Unidades administrativas","gpControlCSW.cswKeyWords.Agricultural":"Instalaciones agrícolas y de acuicultura","gpControlCSW.cswKeyWords.RegulationZones":"Zonas sujetas a ordenación, a restricciones o reglamentaciones y unidades de notificación","gpControlCSW.cswKeyWords.Atmospheric":"Condiciones atmosféricas","gpControlCSW.cswKeyWords.BioGeographical":"Regiones biogeográficas","gpControlCSW.cswKeyWords.Buildings":"Edificios","gpControlCSW.cswKeyWords.Cadastral":"Parcelas catastrales","gpControlCSW.cswKeyWords.CoordinateSystems":"Sistemas de coordenadas de referencia","gpControlCSW.cswKeyWords.Elevation":"Elevaciones","gpControlCSW.cswKeyWords.Energy":"Recursos energéticos","gpControlCSW.cswKeyWords.EnvironmentalFacilities":"Instalaciones de observación del medio ambiente","gpControlCSW.cswKeyWords.GeographicalSystems":"Sistema de cuadrículas geográficas","gpControlCSW.cswKeyWords.GeographicalNames":"Nombres geográficos","gpControlCSW.cswKeyWords.Geology":"Geología","gpControlCSW.cswKeyWords.Habitats":"Hábitats y biotopos","gpControlCSW.cswKeyWords.HumanHealth":"Salud y seguridad humanas","gpControlCSW.cswKeyWords.Hydrography":"Hidrografía","gpControlCSW.cswKeyWords.LandCover":"Cubierta terrestre","gpControlCSW.cswKeyWords.LandUse":"Uso del suelo","gpControlCSW.cswKeyWords.Meteorological":"Aspectos geográficos de carácter meteorológico","gpControlCSW.cswKeyWords.Mineral":"Recursos minerales","gpControlCSW.cswKeyWords.NaturalRiskZones":"Zonas de riesgos naturales","gpControlCSW.cswKeyWords.Oceanographic":"Rasgos geográficos oceanográficos","gpControlCSW.cswKeyWords.Orthoimagery":"Ortoimágenes","gpControlCSW.cswKeyWords.Population":"Distribución de la población — Demografía","gpControlCSW.cswKeyWords.Production":"Instalaciones de producción e industriales","gpControlCSW.cswKeyWords.ProtectedSites":"Lugares protegidos","gpControlCSW.cswKeyWords.SeaRegions":"Regiones marinas","gpControlCSW.cswKeyWords.Soil":"Suelo","gpControlCSW.cswKeyWords.SpeciesDistribution":"Distribución de las especies","gpControlCSW.cswKeyWords.StatisticalUnits":"Unidades estadísticas","gpControlCSW.cswKeyWords.TransportNetworks":"Redes de transporte","gpControlCSW.cswKeyWords.UtilityServices":"Servicios de utilidad pública y estatales","gpControlCSW.cswOrganism":"Organismo : ","gpControlCSW.cswOrganism.help":" ","gpControlCSW.button.cancel":"Cancelar","gpControlCSW.button.search":"Buscar","gpControlCSW.cswBBOX":"BBOX","gpControlCSW.cswNoBBOX":"Mondiale","gpControlCSW.cswNoBBOX.help":" ","gpControlCSW.cswCurrentBBOX":"Emprise courante","gpControlCSW.cswCurrentBBOX.help":" ","gpControlCSW.cswPersonnalBBOX":"Sélectionner une emprise","gpControlCSW.cswPersonnalBBOX.help":" ","gpControlPageManager.button.previous":"<","gpControlPageManager.button.next":">","azimuth.measurement":"Acimut","gpControlMeasureAzimuth.title":"Medición de acimut","gpControlMeasureAzimuth.azimuth":"Acimut","gpControlMeasureAzimuth.azimuth.help":"el ángulo de una dirección contado en el sentido de las agujas del reloj a partir del norte geográfico","gpControlMeasureAzimuth.distance":"Longitud","gpControlMeasureAzimuth.distance.help":"Longitud","elevation.measurement":"Elevation","gpControlMeasureElevation.title":"Elevation measurement","gpControlMeasureElevationPath.title":"Elevation path","gpControlPrintMap.title":"Vista previa de impresión del mapa","gpControlPrintMapDOM.title":"Vista previa de impresión del mapa","gpControlPrintMap.comments":"Tus notas o comentarios","gpControlPrintMapDOM.comments":"Tus notas o comentarios","approx.scale":"Escala aproximada: 1:","approx.center":"Coordenadas geográficas del centro del mapa","gpControlPrintMap.print.forbidden":"Todos los derechos reservados","gpControlPrintMapDOM.print.forbidden":"Todos los derechos reservados","gpControlPrintMap.print":"Imprimir","gpControlPrintMapDOM.print":"Imprimir","gpControlInformation.title":"Infoboard",gpControlInformationMini:"Haga clic para obtener la información del panel visible","OpenLayers.Control.WMSGetFeatureInfo.title":"La identificación de los objetos","gpControlAddAttributeToLayer.title":"Agregar / Quitar atributos","gpControlAddAttributeToLayer.attName":"Nombre","gpControlAddAttributeToLayer.attName.help":"nombre del atributo que se agregue","gpControlAddAttributeToLayer.attDefaultValue":"Default","gpControlAddAttributeToLayer.attDefaultValue.help":"default atributo de valor","gpControlAddAttributeToLayer.attList":"Atributos","gpControlAddAttributeToLayer.attList.help":"estar presente","gpControlAddAttributeToLayer.button.cancel":"Finalizar","gpControlAddAttributeToLayer.button.addatt":"Agregar","gpControlAddAttributeToLayer.button.delatt":"Eliminar","gpControlAddAttributeToLayer.emptyName":"El nombre está vacía","gpControlAddAttributeToLayer.existingName":"${name} ya existe","gpControlAddAttributeToLayer.isUrl":"URL link","gpControlAddAttributeToLayer.isUrl.help":"En el modo de edición, el atributo se mostrará como una URL","gpControlLayerStyling.title":"Edición de la cartografía","gpControlLayerStyling.color":"Color y líneas de llenado","gpControlLayerStyling.color.help":"haga clic para abrir la paleta de colores, haga clic fuera a cerrar","gpControlLayerStyling.size":"Tamaño","gpControlLayerStyling.size.help":"haga clic para abrir el panel para cambiar los tamaños","gpControlLayerStyling.style":"Representación","gpControlLayerStyling.style.help":"haga clic para abrir el panel para el cambio de estilos","gpControlLayerStyling.rotation":"El ángulo de rotación (en grados) ","gpControlLayerStyling.rotation.help":"haga clic para seleccionar un ángulo de entre 0 y 360°","gpControlLayerStyling.externalgraphic":"URL del icono","gpControlLayerStyling.externalgraphic.help":"introducir la URL del icono - nada","gpControlLayerStyling.button.cancel":"Cancelar","gpControlLayerStyling.button.changestyle":"Cambio","gpControlLayerStyling.emptyColor":"El color está vacío (#XXXXXX espera)","gpControlSaveLayer.title":"Guardar la capa","gpControlSaveLayer.format":"Guardar Formato","gpControlSaveLayer.gml":"GML","gpControlSaveLayer.kml":"KML","gpControlSaveLayer.gpx":"Huellas GPX","gpControlSaveLayer.geoRSS":"GeoRSS","gpControlSaveLayer.osm":"OpenStreetMap XML Export","gpControlSaveLayer.gxt":"Géoconcept Export","gpControlSaveLayer.format.help":"formato para exportar los datos","gpControlSaveLayer.proj":"Sistema de referencia de coordenadas","gpControlSaveLayer.proj.help":"coordenadas para la exportación","gpControlSaveLayer.pretty":"Mejora de la visualización","gpControlSaveLayer.pretty.help":"para hacer la exportación de datos legible","gpControlSaveLayer.button.cancel":"Cancelar","gpControlSaveLayer.button.save":"Guardar","gpControlSaveLayer.noData":"La capa está vacía, no hay datos para ahorrar","gpControlTerritorySelector.title":"Territorios","lus.not.match":"No se ha encontrado ninguna correspondencia","csw.not.match":"No encontró registro de metadatos","geocoded.address.popup.title":"Dirección","geocoded.address.popup.postalCode":"Código postal","geocoded.address.popup.places":"Lugares","geocoded.address.popup.searchCenterDistance":"Distancia",CountrySubdivision:"Departamento",CountrySecondarySubdivision:"Municipio",Municipality:"Localidad",MunicipalitySubdivision:"Barrio",TOS:"Condiciones del servicio","utm.zone":"UTM","drawingToolbar.fillColor":"Fill color","drawingToolbar.strokeType":"Line type","drawingToolbar.strokeColor":"Line color","drawingToolbar.strokeWidth":"Line width (px)","drawingToolbar.opacity":"Opacity","drawingToolbar.return":"Back","drawingToolbar.titleStyle":"Edit shape style","drawingToolbar.apply":"Apply","drawingToolbar.taille":"Icon size","drawingToolbar.rotation":"Icon angle","drawingToolbar.pictoUrl":"Icon URL","gpControlDrawingToolbar.drawpoint":"Draw point","gpControlDrawingToolbar.drawline":"Draw line","gpControlDrawingToolbar.drawpolygon":"Draw polygon","gpControlDrawingToolbar.drawtext":"Draw text","gpControlDrawingToolbar.dragfeature":"Drag feature","gpControlDrawingToolbar.modifyfeature":"Modify feature","gpControlDrawingToolbar.deletefeature":"Delete feature","gpControlDrawingToolbar.selectfeature":"Select feature","drawingToolbar.labelSize":"Label size","drawingToolbar.labelFont":"Label font","drawingToolbar.LabelColor":"Label color","drawingToolbar.Label":"Label","drawingToolbar.labelBold":"Bold label","gpControlLayerCatalog.label":"Catalog","gpControlLayerCatalog.button.add":"Add the layer","gpControlLayerCatalog.button.add.disabled":"Incompatible layer","gpControlLayerCatalog.button.add.alreadyAdded":"Layer already added","gpControlForm.button.filter":"Filter","gpControlForm.button.reset":"Reset","gpControlForm.button.apply":"Apply","gpControlForm.button.catalog":"Catalog","gpControlForm.catalogRestrictToMapExtent":"Restrict to current extent","gpControlForm.catalogRestrictToMapExtent.help":" ","gpControlForm.catalogLayerName":"Layer name","gpControlForm.catalogLayerName.help":" ","gpControlForm.catalogKeywords":"Keywords","gpControlForm.catalogKeywords.help":"Keywords comma separated","gpControlForm.catalogThematics":"Thematics","gpControlForm.catalogThematics.help":"Thematics comma separated","gpControlForm.catalogBeginProductionMinDate":"Begin production date min.","gpControlForm.catalogBeginProductionMinDate.help":"Format YYYYMMDD or YYYY","gpControlForm.catalogBeginProductionMaxDate":"Begin production date max.","gpControlForm.catalogBeginProductionMaxDate.help":"Format YYYYMMDD or YYYY","gpControlForm.catalogEndProductionMinDate":"End production date min.","gpControlForm.catalogEndProductionMinDate.help":"Format YYYYMMDD or YYYY","gpControlForm.catalogEndProductionMaxDate":"End production date max.","gpControlForm.catalogEndProductionMaxDate.help":"Format YYYYMMDD or YYYY","gpControlForm.catalogPublicationMinDate":"Publication date min.","gpControlForm.catalogPublicationMinDate.help":"Format YYYYMMDD or YYYY","gpControlForm.catalogPublicationMaxDate":"Publication date max.","gpControlForm.catalogPublicationMaxDate.help":"Format YYYYMMDD or YYYY","gpControlEditFeature.title":"Edit feature","*":""};Geoportal.Lang.it={ATF:"Territori Francesi del Sud",FXX:"Francia continentale",GLP:"Guadalupa",GUF:"Guiana francese",MTQ:"Martinica",MYT:"Mayotte",NCL:"Nuova Caledonia",PYF:"Polinesia Francese",REU:"Riunione",SPM:"Saint Pierre e Miquelon",WLF:"Wallis e Futuna",ANF:"Antille francesi",ASP:"San Paolo e Amsterdam",CRZ:"Crozet",EUE:"Europa",KER:"Kerguelen",SBA:"Saint Barthélémy",SMA:"Saint Martin",WLD:"Il mondo","GEOGRAPHICALGRIDSYSTEMS.MAPS":"IGN Mappe","GEOGRAPHICALGRIDSYSTEMS.MAPS.description":"Le carte sono ricavate dalla banca dati SCAN dell'IGN : Mondo, Europa Politica, SCAN 1 000®, SCAN 500®, SCAN Régional®, SCAN 200®, SCAN Départemental®, SCAN 100®, SCAN 50®, SCAN 25®.","ORTHOIMAGERY.ORTHOPHOTOS":"Orto immagini","ORTHOIMAGERY.ORTHOPHOTOS.description":"Le fotografie aeree sposano la precisione geometrica della carta alla richezza di una foto con una risoluzione compresa tra 50 e 15 cm o di immagini satellitarie con una risoluzione compresa tra 10 e 20 m.","ELEVATION.SLOPES":"Colori ipsometrici - Elevazione","ELEVATION.SLOPES.description":"I modelli numerici del terreno sono ricavati da dati della banca dati BD ALTI® che descrive il territorio francese con delle curve di livello. L'equidistanza delle curve pueden andare da 5 a 40 m. I dati iniziali sono stati impostati su delle carte IGN alla scala di 1:25 000 o 1:50 000, a partire da una restituzione ricavata da riprese aeree alla scala di 1:20 000, 1:30 000 o 1:60 000.","ELEVATION.LEVEL0":"Tratto costiero - Elevazione","ELEVATION.LEVEL0.description":"Lo 0 dei mari è ricavato dal datbase LITTO3D®, prodotto realizzato in comune dallo SHOM e dall'IGN.","CADASTRALPARCELS.PARCELS":"Parcelle catastali","CADASTRALPARCELS.PARCELS.description":"Le informazioni catastali numeriche comportano i riferimenti geografici, continuano sull'insieme del territorio francese e sono state ricavate a partire da un assemblaggio dei piani catastali smaterializzati.","HYDROGRAPHY.HYDROGRAPHY":"Idrografia","HYDROGRAPHY.HYDROGRAPHY.description":"L'idrografia terrestre è ricavata a partire da un assemblaggio dei dati dei database BD TOPO®, BD CARTHAGE®, EuroRegionalMap e EuroGlobalMap.","TRANSPORTNETWORKS.ROADS":"Rete stradale - Reti di trasporto","TRANSPORTNETWORKS.ROADS.description":"La rete stradale è ricavata a partire da un assemblaggio dei dati dei database BD TOPO®, BD CARTO®, EuroRegionalMap e EuroGlobalMap.","TRANSPORTNETWORKS.RAILWAYS":"Rete ferroviaria - Reti di trasporto","TRANSPORTNETWORKS.RAILWAYS.description":"La rete ferroviaria è ricavata a partire da un assemblaggio dei dati dei database BD TOPO®, BD CARTO®, EuroRegionalMap e EuroGlobalMap.","TRANSPORTNETWORKS.RUNWAYS":"Aria di rete - Reti di trasporto","TRANSPORTNETWORKS.RUNWAYS.description":"Le piste degli aeroporti e aerodromi sono ricavate a partire da un assemblaggio dei dati dei database BD TOPO® e BD CARTO®","BUILDINGS.BUILDINGS":"Edifici","BUILDINGS.BUILDINGS.description":"Gli edifici e le zone costruite sono ricavati a partire da un assemblaggio dei dati dei database BD TOPO®, BD CARTO®, EuroRegionalMap e EuroGlobalMap.","UTILITYANDGOVERNMENTALSERVICES.ALL":"Servizi di pubblica utilità e servizi amministrativi","UTILITYANDGOVERNMENTALSERVICES.ALL.description":"Le diverse reti di trasporto dell'energia sono ricavate a partire da un assemblaggio dei dati dei database BD TOPO® e BD CARTO®.","ADMINISTRATIVEUNITS.BOUNDARIES":"Unità amministrative","ADMINISTRATIVEUNITS.BOUNDARIES.description":"Le unitè amministrative della Francia sono ricavate a partire da un assemblaggio dei dati dei database BD TOPO®, BD CARTO®, EuroRegionalMap e EuroBoundaryMap.","LANDCOVER.CORINELANDCOVER":"Corine LC","LANDCOVER.CORINELANDCOVER.description":"CORINE Land Cover (2006)","GEOGRAPHICALGRIDSYSTEMS.COASTALMAPS":"Coastal mappe","GEOGRAPHICALGRIDSYSTEMS.COASTALMAPS.description":"Coastal mappe","GEOGRAPHICALGRIDSYSTEMS.1900TYPEMAPS":"Topografiche del tipo 1900 mappe","GEOGRAPHICALGRIDSYSTEMS.1900TYPEMAPS.description":"Mappe a 1: 50 000 (prima edizione dopo la Biblioteca Mappa di IGN).","GEOGRAPHICALGRIDSYSTEMS.CASSINI":"Cassini mappe","GEOGRAPHICALGRIDSYSTEMS.CASSINI.description":"Cassini mappe","ORTHOIMAGERY.ORTHOPHOTOS.COAST2000":"Ortofoto della costa (2000)","ORTHOIMAGERY.ORTHOPHOTOS.COAST2000.description":"Ortho-fotografia della costa del Mare del Nord, Canale della Manica e dell'Atlantico.","LANDUSE.AGRICULTURE2007":"parcelle agricole (2007)","LANDUSE.AGRICULTURE2007.description":"Questo strato mostra gli isolotti anonimi Registro Parcel grafico (RPG) e il loro gruppo di colture principali segnalato nel 2007 da parte degli agricoltori di beneficiare di sovvenzioni PAC.","LANDUSE.AGRICULTURE2008":"parcelle agricole (2008)","LANDUSE.AGRICULTURE2008.description":"Questo strato mostra gli isolotti anonimi Registro Parcel grafico (RPG) e il loro gruppo di colture principali segnalato nel 2008 da parte degli agricoltori di beneficiare di sovvenzioni PAC.","LANDUSE.AGRICULTURE2009":"parcelle agricole (2009)","LANDUSE.AGRICULTURE2009.description":"Questo strato mostra gli isolotti anonimi Registro Parcel grafico (RPG) e il loro gruppo di colture principali segnalato nel 2009 da parte degli agricoltori di beneficiare di sovvenzioni PAC.","LANDUSE.AGRICULTURE2010":"parcelle agricole (2010)","LANDUSE.AGRICULTURE2010.description":"Questo strato mostra gli isolotti anonimi Registro Parcel grafico (RPG) e il loro gruppo di colture principali segnalato nel 2010 da parte degli agricoltori di beneficiare di sovvenzioni PAC.","ORTHOIMAGERY.ORTHOPHOTOS.GENEVE":"Stato di Ginevra","ORTHOIMAGERY.ORTHOPHOTOS.GENEVE.description":"Orto-fotografías, 10 cm de resolución (2010).","ORTHOIMAGERY.ORTHOPHOTOS2000-2005":"Orto-fotografías (2000-2005)","ORTHOIMAGERY.ORTHOPHOTOS2000-2005.description":"Prima copertura nazionale (2000-2005) di orto-immagini con risoluzione di 50 centimetri.","GEOGRAPHICALGRIDSYSTEMS.FRANCERASTER":"FranceRaster®","GEOGRAPHICALGRIDSYSTEMS.FRANCERASTER.description":"FranceRaster® è una serie di immagini georeferenziate che copre la Francia continentale e territori d'oltremare. E 'prodotto con il database vettoriale del IGN più adatta a ogni scala con una simbologia uniforme. Secondo le scale, FranceRaster ®, consente di visualizzare le strade tematiche e la ferrovia, telaio, idrografia, vegetazione, indirizzi, direzione di marcia, nomi ...","NATURALRISKZONES.1910FLOODEDWATERSHEDS":"Seine (PHEC)","NATURALRISKZONES.1910FLOODEDWATERSHEDS.description":"Questo strato mappa rappresenta l'acqua più alto noto (PHEC) sul bacino della Senna, ovvero zone geografiche allagati a causa della più grande alluvione noti e documentati su ogni fiume.","NATURALRISKZONES.1910FLOODEDCELLARS":"Cantine, seminterrati (1910)","NATURALRISKZONES.1910FLOODEDCELLARS.description":"Mappa di cantine allagate durante inondazione della Senna del 1910. Questa mappa è basata su testimonianze.","GEOGRAPHICALGRIDSYSTEMS.ETATMAJOR40":"État-Major mappe (1:40 000)","GEOGRAPHICALGRIDSYSTEMS.ETATMAJOR40.description":"Questo strato è costituito dall'assemblea dei 978 disegni originali della mappa di stato maggiore stabilita nel diciannovesimo secolo. Queste indagini scritta a mano e colorati, a 1: 40 000, sono stati istituiti tra il 1825 e il 1866.","LANDCOVER.FORESTINVENTORY.V1":"Inventario Forestale (v1)","LANDCOVER.FORESTINVENTORY.V1.description":"Inventario Forestale (1987-2004)","LANDCOVER.FORESTINVENTORY.V2":"Inventario Forestale (v2)","LANDCOVER.FORESTINVENTORY.V2.description":"Inventario Forestale (2005+)","GEOGRAPHICALGRIDSYSTEMS.ADMINISTRATIVEUNITS":"Mappa delle divisioni amministrative","GEOGRAPHICALGRIDSYSTEMS.ADMINISTRATIVEUNITS.description":"Mappa delle divisioni amministrative","PositionOfInterest;Geocode":"Cerca per località","PositionOfInterest;Geocode.description":"Utilizza il database di BD Nyme®.","StreetAddress:OPENLS;Geocode":"Cerca per indirizzo","StreetAddress:OPENLS;Geocode.description":"Utilizza il database Routes Adresses®.","GEOGRAPHICALNAMES.NAMES":"Geografica nomi","GEOGRAPHICALNAMES.NAMES.description":"Geografica nomi","div.not.found":"${id} non trovato nel documento : verificare l'esistenza reale di '${id}'.","proxy.not.set":"Nessuna configurazione per il proxy : è possibile che l'ottenimento delle informazioni richieste sul contratto fallisca.","cookies.not.enabled":"Cookie sono disabilitati. Per favore, consentire loro.","geoRM.getConfig":"Impossibile di ottenere le informazioni relative alla chiave '${key}' - Verificare la propria connessione.","geoRM.getToken":"Impossibile di ottenere il gettone associato alla chiave '${key}' - Verificare la propria connessione.","geoRM.failed":"Impossibile di ottenere uno token valido relative alla chiave '${key}'","geoRM.forbidden":"API key è mancante o non supportato dal ${layer} contratto l'applicazione dell'API.","url.error":"Errore durante il caricamento '${url}' ${msg}","GPX.version":"Versione ${gpxVersion} GPX non supportata","XLS.version":"Versione ${xlsVersion} XLS non supportata per il servizio ${coreService}","Not.conformal.XLS":"${part} non è presente nello XML","olControlMeasurePath.title":"Misura di distanza","olControlMeasurePolygon.title":"Misura di superficie","waiting.measurement":"In attesa di input...","length.measurement":"Lunghezza","area.measurement":"Surfacie","gpControlLayerSwitcher.label":"Strati","gpLayer.metadataURL":"Maggiori informazioni su questo strato...","gpLayer.dataURL":"Accesso al servizio di download","gpControlPanelToggle.closed":"Visualizzare la barra degli attrezzi","gpControlPanelToggle.opened":"Mascherare la barra degli attrezzi","gpControlRemoveLayer.title":"Ritirare lo strato","gpControlLayerOpacity.title":"Regola di trasparenza","gpControlZoomToLayerMaxExtent.title":"Zoom sul campo di applicazione dello strato","gpControlMousePosition.longitude":"Longitudine","gpControlMousePosition.latitude":"Latitudine","gpControlMousePosition.easting":"Ascissa","gpControlMousePosition.northing":"Ordinata","gpControlMousePosition.north":"N","gpControlMousePosition.south":"S","gpControlMousePosition.east":"E","gpControlMousePosition.west":"O","gpControlMousePosition.sexa":"gradi sessagesimali","gpControlMousePosition.deg":"gradi decimali","gpControlMousePosition.gon":"gradi","gpControlMousePosition.rad":"radianti","gpControlMousePosition.km":"chilometri","gpControlMousePosition.m":"metri","gpControlMousePosition.cm":"centimetri","gpControlMousePosition.utmZone":"Zona","gpControlToolBox.label":"Attrezzi","gpControlZoomBar.world":"Mondo","gpControlZoomBar.state":"Stato","gpControlZoomBar.country":"Paese","gpControlZoomBar.town":"Città","gpControlZoomBar.street":"Via","gpControlZoomBar.house":"Casa","gpControlEditingToolbar.drawpoint":"Inserire un punto","gpControlEditingToolbar.drawline":"Disegnare una linea","gpControlEditingToolbar.drawpolygon":"Disegnare un poligono","gpControlEditingToolbar.dragfeature":"Spostare un oggetto","gpControlEditingToolbar.modifyfeature":"Modificare un oggetto","gpControlEditingToolbar.deletefeature":"Distruggere un oggetto","gpControlEditingToolbar.selectfeature":"Selezionare un oggetto","gpControlEditingToolbar.navigation":"Navigare","gpControlAddImageLayer.title":"Aggiungere uno strato immagine...","gpControlAddImageLayer.layerUrl":"URL : ","gpControlAddImageLayer.layerUrl.help":"indirizzo di base del servizio","gpControlAddImageLayer.layerType":"Tipo :","gpControlAddImageLayer.layerType.help":"Scegliere un valore nella lista","gpControlAddImageLayer.layerType.WMS":"Web Map Service","gpControlAddImageLayer.layerType.WMTS":"Web Map Tile Service","gpControlAddImageLayer.layerType.WMSC":"OSGeO WMS-C","gpControlAddImageLayer.button.add":"Aggiungere","gpControlAddImageLayer.button.cancel":"Cancel","wms.caps.no.compatible.srs":"Non compatibile strato trovato","ogc.caps.unknown.service":"${serviceType} non è un ${expectedType}","gpControlAddVectorLayer.title":"Annullare","gpControlAddVectorLayer.layerName":"Nome :","gpControlAddVectorLayer.layerName.help":"Ad esempio : il mio strato","gpControlAddVectorLayer.layerType":"Tipo :","gpControlAddVectorLayer.layerType.help":"Scegliere un valore nella lista","gpControlAddVectorLayer.layerType.Point":"puntuale","gpControlAddVectorLayer.layerType.LineString":"lineare","gpControlAddVectorLayer.layerType.Polygon":"superficiale","gpControlAddVectorLayer.layerType.Collection":"sketch","gpControlAddVectorLayer.layerType.KML":"risorsa KML","gpControlAddVectorLayer.layerType.GPX":"risorsa GPX","gpControlAddVectorLayer.layerType.OSM":"risorsa OSM","gpControlAddVectorLayer.layerType.GeoRSS":"risorsa GeoRSS","gpControlAddVectorLayer.layerType.WFS":"risorsa WFS","gpControlAddVectorLayer.layerUrl":"URL : ","gpControlAddVectorLayer.layerUrl.help":"locale o a distanza","gpControlAddVectorLayer.layerFreeHand":"a mano libera ? ","gpControlAddVectorLayer.layerFreeHand.help":"permette il disegno a mano libera","gpControlAddVectorLayer.button.add":"Aggiungere","gpControlAddVectorLayer.button.cancel":"Annullare","gpControlAddVectorLayer.layerContent":"Contenuto","gpControlAddVectorLayer.layerContent.help":"Copia / Incolla dati","gpControlAddVectorLayer.layerFile":"File","gpControlAddVectorLayer.layerFile.help":"Selezionare / trascinare e rilasciare un file","gpControlAddVectorLayer.layerUrlSwitch":"Da URL / Content","gpControlAddVectorLayer.layerUrlSwitch.help":"Fornire URL remoto o che i dati contenuti","addvlayer.type.not.supported":"Tipo di ${type} non è supportato","addvlayer.file.not.found":"${file} file non viene trovato","addvlayer.file.not.readable":"${file} file non è leggibile","addvlayer.file.is.empty":"${file} file è vuoto o non è supportato (verificare il tipo)","addvlayer.expected.type":"${file} file è vuoto o non è supportato (tipo previsto è ${type})","wfs.caps.no.feature.found":"Nessun oggetto trovato","wfs.caps.unsupported.version":"WFS versione ${version} non supportata","gpControlLocationUtilityService.geonames.title":"Ricercare una località","gpControlLocationUtilityService.geocode.title":"Ricercare un indirizzo","gpControlLocationUtilityService.cadastralparcel.title":"Search a cadastral parcel","gpControlLocationUtilityService.geodeticfixedpoint.title":"Search a geodetic point","gpControlLocationUtilityService.reverse.geocode.title":"Ricercare gli indirizzi intorno a un punto","gpControlLocationUtilityService.extent":"Restrict the research : ","gpControlLocationUtilityService.extent.help":"Restrict the research with an extent.","gpControlLocationUtilityService.extent.Map":"To the current extent","gpControlLocationUtilityService.extent.Manual":"Draw an extent","gpControlLocationUtilityService.territory":"Territory : ","gpControlLocationUtilityService.territory.help":"ex : France métropolitaine, Guadeloupe","gpControlLocationUtilityService.region":"Region : ","gpControlLocationUtilityService.region.help":"ex : Alsace, Aquitaine","gpControlLocationUtilityService.department":"Department : ","gpControlLocationUtilityService.department.help":"ex : Ain, Aisne","gpControlLocationUtilityServiceGeoNames.title":"Ricercare una località :","gpControlLocationUtilityServiceGeoNames.name":"Località :","gpControlLocationUtilityServiceGeoNames.name.help":"Ad esempio : Saint-Mandé","gpControlLocationUtilityServiceGeoNames.nature":"Nature : ","gpControlLocationUtilityServiceGeoNames.nature.help":"ex : Préfecture","gpControlLocationUtilityServiceGeoNames.importance":"Importance : ","gpControlLocationUtilityServiceGeoNames.importance.help":"ex : 1","gpControlLocationUtilityServiceGeoNames.commune":"Commune : ","gpControlLocationUtilityServiceGeoNames.commune.help":"ex : Saint-Mandé","gpControlLocationUtilityServiceGeoNames.extent":"Restrict the research : ","gpControlLocationUtilityServiceGeoNames.extent.help":"Restrict the research with an extent.","gpControlLocationUtilityServiceGeoNames.extent.Map":"To the current extent","gpControlLocationUtilityServiceGeoNames.extent.Manual":"Draw an extent","gpControlLocationUtilityServiceGeoNames.territory":"Territory : ","gpControlLocationUtilityServiceGeoNames.territory.help":"ex : France métropolitaine, Guadeloupe","gpControlLocationUtilityServiceGeoNames.region":"Region : ","gpControlLocationUtilityServiceGeoNames.region.help":"ex : Alsace, Aquitaine","gpControlLocationUtilityServiceGeoNames.department":"Department : ","gpControlLocationUtilityServiceGeoNames.department.help":"ex : Ain, Aisne","gpControlLocationUtilityServiceGeoNames.button.cancel":"Annullare","gpControlLocationUtilityServiceGeoNames.button.search":"Ricercare","gpControlLocationUtilityServiceGeocode.title":"Ricercare un indirizzo","gpControlLocationUtilityServiceGeocode.address":"Via :","gpControlLocationUtilityServiceGeocode.address.help":"Ad esempio : 73, avenue de Paris","gpControlLocationUtilityServiceGeocode.municipality":"Città :","gpControlLocationUtilityServiceGeocode.municipality.help":"Ad esempio : Saint-Mandé","gpControlLocationUtilityServiceGeocode.postalcode":"Codice di avviamento postale : ","gpControlLocationUtilityServiceGeocode.postalcode.help":"Ad esempio : 94165","gpControlLocationUtilityServiceGeocode.quality":"Accuracy:","gpControlLocationUtilityServiceGeocode.quality.help":"Plaque adresse","gpControlLocationUtilityServiceGeocode.freeformaddress":"Address : ","gpControlLocationUtilityServiceGeocode.freeformaddress.help":"ex : Saint-Mandé or 94165","gpControlLocationUtilityServiceGeocode.name":"Località :","gpControlLocationUtilityServiceGeocode.name.help":"Ad esempio : Saint-Mandé ou 94165","gpControlLocationUtilityServiceGeocode.matchType.city":"Posizione nella città","gpControlLocationUtilityServiceGeocode.matchType.street":"Posizione in strada","gpControlLocationUtilityServiceGeocode.matchType.number":"Posizione nel numero esatto indirizzo","gpControlLocationUtilityServiceGeocode.matchType.enhanced":"Posizione interpolata tra due indirizzi","gpControlLocationUtilityServiceGeocode.extent":"Restrict the research : ","gpControlLocationUtilityServiceGeocode.extent.help":"Restrict the research with an extent.","gpControlLocationUtilityServiceGeocode.extent.Map":"To the current extent","gpControlLocationUtilityServiceGeocode.extent.Manual":"Draw an extent","gpControlLocationUtilityServiceGeocode.territory":"Territory : ","gpControlLocationUtilityServiceGeocode.territory.help":"ex : France métropolitaine, Guadeloupe","gpControlLocationUtilityServiceGeocode.region":"Region : ","gpControlLocationUtilityServiceGeocode.region.help":"ex : Alsace, Aquitaine","gpControlLocationUtilityServiceGeocode.department":"Department : ","gpControlLocationUtilityServiceGeocode.department.help":"ex : Ain, Aisne","gpControlLocationUtilityServiceGeocode.button.cancel":"Annullare","gpControlLocationUtilityServiceGeocode.button.search":"Ricercare","gpControlLocationUtilityServiceCadastralParcel.title":"Search a cadastral parcel:","gpControlLocationUtilityServiceCadastralParcel.departement":"Department : ","gpControlLocationUtilityServiceCadastralParcel.departement.help":"ex : 94, 2A","gpControlLocationUtilityServiceCadastralParcel.insee":"Commune INSEE : ","gpControlLocationUtilityServiceCadastralParcel.insee.help":"ex : 001","gpControlLocationUtilityServiceCadastralParcel.absorbee":"Merged Commune INSEE : ","gpControlLocationUtilityServiceCadastralParcel.absorbee.help":"ex : 001, 000","gpControlLocationUtilityServiceCadastralParcel.section":"Section : ","gpControlLocationUtilityServiceCadastralParcel.section.help":"ex : A, AD","gpControlLocationUtilityServiceCadastralParcel.feuille":"Sheet : ","gpControlLocationUtilityServiceCadastralParcel.feuille.help":"ex : 00, 01","gpControlLocationUtilityServiceCadastralParcel.numero":"Number : ","gpControlLocationUtilityServiceCadastralParcel.numero.help":"ex : 250, 1","gpControlLocationUtilityServiceCadastralParcel.freeformparcel":"Parcel Id : ","gpControlLocationUtilityServiceCadastralParcel.freeformparcel.help":"ex : 974090001BE0088","gpControlLocationUtilityServiceCadastralParcel.extent":"Restrict the research : ","gpControlLocationUtilityServiceCadastralParcel.extent.help":"Restrict the research with an extent.","gpControlLocationUtilityServiceCadastralParcel.extent.Map":"To the current extent","gpControlLocationUtilityServiceCadastralParcel.extent.Manual":"Draw an extent","gpControlLocationUtilityServiceCadastralParcel.territory":"Territory : ","gpControlLocationUtilityServiceCadastralParcel.territory.help":"ex : France métropolitaine, Guadeloupe","gpControlLocationUtilityServiceCadastralParcel.region":"Region : ","gpControlLocationUtilityServiceCadastralParcel.region.help":"ex : Alsace, Aquitaine","gpControlLocationUtilityServiceCadastralParcel.department":"Department : ","gpControlLocationUtilityServiceCadastralParcel.department.help":"ex : Ain, Aisne","gpControlLocationUtilityServiceCadastralParcel.button.cancel":"Annullare","gpControlLocationUtilityServiceCadastralParcel.button.search":"Ricercare","gpControlLocationUtilityServiceGeodeticFixedPoint.title":"Search a geodetic fixed point:","gpControlLocationUtilityServiceGeodeticFixedPoint.name":"Geodetic name : ","gpControlLocationUtilityServiceGeodeticFixedPoint.name.help":"ex : P.C.L3 - 39","gpControlLocationUtilityServiceGeodeticFixedPoint.identifiant":"Geodetic number : ","gpControlLocationUtilityServiceGeodeticFixedPoint.identifiant.help":"ex : 75056AQ","gpControlLocationUtilityServiceGeodeticFixedPoint.type":"Type : ","gpControlLocationUtilityServiceGeodeticFixedPoint.type.help":"ex : Repère de Nivellement","gpControlLocationUtilityServiceGeodeticFixedPoint.freeformgeodesic":"Geodesic fixed point Id : ","gpControlLocationUtilityServiceGeodeticFixedPoint.freeformgeodesic.help":"ex : P.C.L3 - 39, 75056AQ","gpControlLocationUtilityServiceGeodeticFixedPoint.extent":"Restrict the research : ","gpControlLocationUtilityServiceGeodeticFixedPoint.extent.help":"Restrict the research with an extent.","gpControlLocationUtilityServiceGeodeticFixedPoint.extent.Map":"To the current extent","gpControlLocationUtilityServiceGeodeticFixedPoint.extent.Manual":"Draw an extent","gpControlLocationUtilityServiceGeodeticFixedPoint.territory":"Territory : ","gpControlLocationUtilityServiceGeodeticFixedPoint.territory.help":"ex : France métropolitaine, Guadeloupe","gpControlLocationUtilityServiceGeodeticFixedPoint.region":"Region : ","gpControlLocationUtilityServiceGeodeticFixedPoint.region.help":"ex : Alsace, Aquitaine","gpControlLocationUtilityServiceGeodeticFixedPoint.department":"Department : ","gpControlLocationUtilityServiceGeodeticFixedPoint.department.help":"ex : Ain, Aisne","gpControlLocationUtilityServiceGeodeticFixedPoint.button.cancel":"Annullare","gpControlLocationUtilityServiceGeodeticFixedPoint.button.search":"Ricercare","gpControlLocationUtilityServiceReverseGeocode.extent":"Limiter la recherche : ","gpControlLocationUtilityServiceReverseGeocode.extent.help":"Choisir le mode de recherche inversée.","gpControlLocationUtilityServiceReverseGeocode.type.Point":"A proximité d'un point","gpControlLocationUtilityServiceReverseGeocode.type.Circle":"Dessiner un cercle","gpControlLocationUtilityServiceReverseGeocode.type.Extent":"Dessiner une emprise","gpControlLocationUtilityServiceReverseGeocode.title":"Ricercare dei luoghi nelle vicinanze","gpControlLocationUtilityServiceReverseGeocode.longitude":"Longitudine :","gpControlLocationUtilityServiceReverseGeocode.longitude.help":"Ad esempio : dd.mmss in coordinate geografiche","gpControlLocationUtilityServiceReverseGeocode.latitude":"Latitudine","gpControlLocationUtilityServiceReverseGeocode.latitude.help":"Ad esempio : dd.mmss in coordinate geografiche","gpControlLocationUtilityServiceReverseGeocode.countrycode":"Researc types : ","gpControlLocationUtilityServiceReverseGeocode.countrycode.help":"ex : PositionOfInterest","gpControlLocationUtilityServiceReverseGeocode.type.PositionOfInterest":"Geographical names","gpControlLocationUtilityServiceReverseGeocode.type.StreetAddress":"Addresses","gpControlLocationUtilityServiceReverseGeocode.type.CadastralParcel":"Cadastral parcels","gpControlLocationUtilityServiceReverseGeocode.type.GeodeticFixedPoint":"Geodetic points","gpControlLocationUtilityServiceReverseGeocode.button.cancel":"Annullare","gpControlLocationUtilityServiceReverseGeocode.button.search":"Ricercare","gpControlLocationUtilityServiceReverseGeocode.circle":"In a circle","gpControlLocationUtilityServiceReverseGeocode.circle.help":"Draw a circle and search locations inside","gpControlCSW.title":"Cercare nel geocatalogo","gpControlCSW.cswTitle":"Titolo : ","gpControlCSW.cswTitle.help":" ","gpControlCSW.cswKeyWords":"Descrittore : ","gpControlCSW.cswKeyWords.help":" ","gpControlCSW.cswKeyWords.NoKeyWords":" ","gpControlCSW.cswKeyWords.Addresses":"Indirizzi","gpControlCSW.cswKeyWords.AdministrativeUnits":"Unità amministrative","gpControlCSW.cswKeyWords.Agricultural":"Impianti agricoli e di acquacoltura","gpControlCSW.cswKeyWords.RegulationZones":"Zone sottoposte a gestione/limitazioni/regolamentazione e unità con obbligo di comunicare dati","gpControlCSW.cswKeyWords.Atmospheric":"Condizioni atmosferiche","gpControlCSW.cswKeyWords.BioGeographical":"Regioni biogeografiche","gpControlCSW.cswKeyWords.Buildings":"Edifici","gpControlCSW.cswKeyWords.Cadastral":"Parcelle catastali","gpControlCSW.cswKeyWords.CoordinateSystems":"Sistemi di coordinate","gpControlCSW.cswKeyWords.Elevation":"Elevazione","gpControlCSW.cswKeyWords.Energy":"Risorse energetiche","gpControlCSW.cswKeyWords.EnvironmentalFacilities":"Impianti di monitoraggio ambientale","gpControlCSW.cswKeyWords.GeographicalSystems":"Sistemi di griglie geografiche","gpControlCSW.cswKeyWords.GeographicalNames":"Nomi geografici","gpControlCSW.cswKeyWords.Geology":"Geologia","gpControlCSW.cswKeyWords.Habitats":"Habitat e biotopi","gpControlCSW.cswKeyWords.HumanHealth":"Salute umana e sicurezza","gpControlCSW.cswKeyWords.Hydrography":"Idrografia","gpControlCSW.cswKeyWords.LandCover":"Copertura del suolo","gpControlCSW.cswKeyWords.LandUse":"Utilizzo del territorio","gpControlCSW.cswKeyWords.Meteorological":"Elementi geografici meteorologici","gpControlCSW.cswKeyWords.Mineral":"Risorse minerarie","gpControlCSW.cswKeyWords.NaturalRiskZones":"Zone a rischio naturale","gpControlCSW.cswKeyWords.Oceanographic":"Elementi geografici oceanografici","gpControlCSW.cswKeyWords.Orthoimagery":"Orto immagini","gpControlCSW.cswKeyWords.Population":"Distribuzione della popolazione — Demografia","gpControlCSW.cswKeyWords.Production":"Produzione e impianti industriali","gpControlCSW.cswKeyWords.ProtectedSites":"Siti protetti","gpControlCSW.cswKeyWords.SeaRegions":"Regioni marine","gpControlCSW.cswKeyWords.Soil":"Suolo","gpControlCSW.cswKeyWords.SpeciesDistribution":"Distribuzione delle specie","gpControlCSW.cswKeyWords.StatisticalUnits":"Unità statistiche","gpControlCSW.cswKeyWords.TransportNetworks":"Reti di trasporto","gpControlCSW.cswKeyWords.UtilityServices":"Servizi di pubblica utilità e servizi amministrativi","gpControlCSW.cswOrganism":"Organismo : ","gpControlCSW.cswOrganism.help":" ","gpControlCSW.button.cancel":"Annullare","gpControlCSW.button.search":"Ricercare","gpControlCSW.cswBBOX":"Emprise : ","gpControlCSW.cswNoBBOX":"Mondiale","gpControlCSW.cswNoBBOX.help":" ","gpControlCSW.cswCurrentBBOX":"Emprise courante","gpControlCSW.cswCurrentBBOX.help":" ","gpControlCSW.cswPersonnalBBOX":"Sélectionner une emprise","gpControlCSW.cswPersonnalBBOX.help":" ","gpControlPageManager.button.previous":"<","gpControlPageManager.button.next":">","azimuth.measurement":"Azimuth","gpControlMeasureAzimuth.title":"Misura di azimuth","gpControlMeasureAzimuth.azimuth":"Azimuth","gpControlMeasureAzimuth.azimuth.help":"indica un angolo tra un punto e un piano di riferimento","gpControlMeasureAzimuth.distance":"Lunghezza","gpControlMeasureAzimuth.distance.help":"Lunghezza","elevation.measurement":"Elevation","gpControlMeasureElevation.title":"Elevation measurement","gpControlMeasureElevationPath.title":"Elevation path","gpControlPrintMap.title":"Anteprima di stampa della mappa","gpControlPrintMapDOM.title":"Anteprima di stampa della mappa","gpControlPrintMap.comments":"Le note o commenti","gpControlPrintMapDOM.comments":"Le note o commenti","approx.scale":"Dimensioni approssimative: 1:","approx.center":"Coordinate geografiche del centro della mappa","gpControlPrintMap.print.forbidden":"Tutti i diritti riservati","gpControlPrintMapDOM.print.forbidden":"Tutti i diritti riservati","gpControlPrintMap.print":"Stampa","gpControlPrintMapDOM.print":"Stampa","gpControlInformation.title":"Infoboard",gpControlInformationMini:"Fare clic per ottenere informazioni pannello visibile","OpenLayers.Control.WMSGetFeatureInfo.title":"Identificare gli oggetti","gpControlAddAttributeToLayer.title":"Aggiungi / Rimuovi attributi","gpControlAddAttributeToLayer.attName":"Nome","gpControlAddAttributeToLayer.attName.help":"nome dell'attributo da aggiungere","gpControlAddAttributeToLayer.attDefaultValue":"Default","gpControlAddAttributeToLayer.attDefaultValue.help":"default value","gpControlAddAttributeToLayer.attList":"Attributi","gpControlAddAttributeToLayer.attList.help":"essere presente","gpControlAddAttributeToLayer.button.cancel":"Fine","gpControlAddAttributeToLayer.button.addatt":"Aggiungi","gpControlAddAttributeToLayer.button.delatt":"Rimuovi","gpControlAddAttributeToLayer.emptyName":"Il nome è vuoto","gpControlAddAttributeToLayer.existingName":"${name} esiste già","gpControlAddAttributeToLayer.isUrl":"URL link","gpControlAddAttributeToLayer.isUrl.help":"In modalità di modifica, l'attributo viene visualizzato come URL","gpControlLayerStyling.title":"Modifica mappatura","gpControlLayerStyling.color":"Linee di colore e riempimento","gpControlLayerStyling.color.help":"fare clic per aprire la tavolozza dei colori, fare clic all'esterno per chiudere","gpControlLayerStyling.size":"Size","gpControlLayerStyling.size.help":"fare clic per aprire il pannello per modificare le dimensioni","gpControlLayerStyling.style":"Rappresentazione","gpControlLayerStyling.style.help":"fare clic per aprire il pannello per la modifica degli stili","gpControlLayerStyling.rotation":"Angolo di rotazione (in gradi) ","gpControlLayerStyling.rotation.help":"fare clic per scegliere un angolo compreso tra 0 e 360°","gpControlLayerStyling.externalgraphic":"URL dell'icona","gpControlLayerStyling.externalgraphic.help":"inserire l'URL dell'icona - niente per","gpControlLayerStyling.button.cancel":"Annulla","gpControlLayerStyling.button.changestyle":"Change","gpControlLayerStyling.emptyColor":"Il colore è vuota (#XXXXXX previsto)","gpControlSaveLayer.title":"Salva mappa","gpControlSaveLayer.format":"Formato di salvataggio","gpControlSaveLayer.gml":"GML","gpControlSaveLayer.kml":"KML","gpControlSaveLayer.gpx":"Le tracce GPX","gpControlSaveLayer.geoRSS":"GeoRSS","gpControlSaveLayer.osm":"OpenStreetMap XML Export","gpControlSaveLayer.gxt":"Géoconcept Export","gpControlSaveLayer.format.help":"formato per esportare i dati","gpControlSaveLayer.proj":"Sistema di coordinate di riferimento","gpControlSaveLayer.proj.help":"coordinate per l'esportazione","gpControlSaveLayer.pretty":"Migliorata la visualizzazione","gpControlSaveLayer.pretty.help":"per rendere più leggibile l'esportazione dei dati","gpControlSaveLayer.button.cancel":"Annulla","gpControlSaveLayer.button.save":"Salva","gpControlSaveLayer.noData":"Il livello è vuoto, non dati da salvare","gpControlTerritorySelector.title":"Territori","lus.not.match":"Non trovata nessuna corrispondenza","csw.not.match":"Trovato alcuna traccia dei metadati","geocoded.address.popup.title":"Indirizzo","geocoded.address.popup.postalCode":"Codice di avviamento postale","geocoded.address.popup.places":"Località","geocoded.address.popup.searchCenterDistance":"Interasse ricerca",CountrySubdivision:"Provincia",CountrySecondarySubdivision:"Comune",Municipality:"Città",MunicipalitySubdivision:"Quartiere",TOS:"Termini di servizio","utm.zone":"UTM","drawingToolbar.fillColor":"Fill color","drawingToolbar.strokeType":"Line type","drawingToolbar.strokeColor":"Line color","drawingToolbar.strokeWidth":"Line width (px)","drawingToolbar.opacity":"Opacity","drawingToolbar.return":"Back","drawingToolbar.titleStyle":"Edit shape style","drawingToolbar.apply":"Apply","drawingToolbar.taille":"Icon size","drawingToolbar.rotation":"Icon angle","drawingToolbar.pictoUrl":"Icon URL","gpControlDrawingToolbar.drawpoint":"Draw point","gpControlDrawingToolbar.drawline":"Draw line","gpControlDrawingToolbar.drawpolygon":"Draw polygon","gpControlDrawingToolbar.drawtext":"Draw text","gpControlDrawingToolbar.dragfeature":"Drag feature","gpControlDrawingToolbar.modifyfeature":"Modify feature","gpControlDrawingToolbar.deletefeature":"Delete feature","gpControlDrawingToolbar.selectfeature":"Select feature","drawingToolbar.labelSize":"Label size","drawingToolbar.labelFont":"Label font","drawingToolbar.LabelColor":"Label color","drawingToolbar.Label":"Label","drawingToolbar.labelBold":"Bold label","gpControlLayerCatalog.label":"Catalog","gpControlLayerCatalog.button.add":"Add the layer","gpControlLayerCatalog.button.add.disabled":"Incompatible layer","gpControlLayerCatalog.button.add.alreadyAdded":"Layer already added","gpControlForm.button.filter":"Filter","gpControlForm.button.reset":"Reset","gpControlForm.button.apply":"Apply","gpControlForm.button.catalog":"Catalog","gpControlForm.catalogRestrictToMapExtent":"Restrict to current extent","gpControlForm.catalogRestrictToMapExtent.help":" ","gpControlForm.catalogLayerName":"Layer name","gpControlForm.catalogLayerName.help":" ","gpControlForm.catalogKeywords":"Keywords","gpControlForm.catalogKeywords.help":"Keywords comma separated","gpControlForm.catalogThematics":"Thematics","gpControlForm.catalogThematics.help":"Thematics comma separated","gpControlForm.catalogBeginProductionMinDate":"Begin production date min.","gpControlForm.catalogBeginProductionMinDate.help":"Format YYYYMMDD or YYYY","gpControlForm.catalogBeginProductionMaxDate":"Begin production date max.","gpControlForm.catalogBeginProductionMaxDate.help":"Format YYYYMMDD or YYYY","gpControlForm.catalogEndProductionMinDate":"End production date min.","gpControlForm.catalogEndProductionMinDate.help":"Format YYYYMMDD or YYYY","gpControlForm.catalogEndProductionMaxDate":"End production date max.","gpControlForm.catalogEndProductionMaxDate.help":"Format YYYYMMDD or YYYY","gpControlForm.catalogPublicationMinDate":"Publication date min.","gpControlForm.catalogPublicationMinDate.help":"Format YYYYMMDD or YYYY","gpControlForm.catalogPublicationMaxDate":"Publication date max.","gpControlForm.catalogPublicationMaxDate.help":"Format YYYYMMDD or YYYY","gpControlEditFeature.title":"Edit feature","*":""};Geoportal.Layer=OpenLayers.Class(OpenLayers.Layer,{clone:function(a){if(a==null){a=new Geoportal.Layer(this.name,this.getOptions())}a=OpenLayers.Layer.prototype.clone.apply(this,[a]);return a},CLASS_NAME:"Geoportal.Layer"});Geoportal.Layer.onPreAddLayer=function(a){if(a==null){return}if(a.layer==null){return}if(a.layer.isBaseLayer){return}if(a.layer.getCompatibleProjection(this)!==null){if(!a.layer.savedStates[this.id]){a.layer.savedStates[this.id]={}}a.layer.savedStates[this.id].visibility=!!a.layer.visibility;if(a.layer.opacity!=undefined){a.layer.savedStates[this.id].opacity=a.layer.opacity}}};Geoportal.Format=OpenLayers.Class(OpenLayers.Format,{CLASS_NAME:"Geoportal.Format"});Geoportal.Format.XLS=OpenLayers.Class(Geoportal.Format,OpenLayers.Format.XML.VersionedOGC,{defaultVersion:"1.2",defaultCoreService:"LocationUtilityService",coreService:null,initialize:function(a){OpenLayers.Format.XML.VersionedOGC.prototype.initialize.apply(this,[a])},getVersion:function(b,c){var a=OpenLayers.Format.XML.VersionedOGC.prototype.getVersion.apply(this,arguments);if(a=="1.0.0"){a="1.0"}if(a=="1.1.1"||a=="1.1.0"){a="1.1"}return a},getParser:function(a){a=a||this.defaultVersion;var c=this.profile?"_"+this.profile:"";var b=this.coreService||this.defaultCoreService;if(!this.parser||this.parser.VERSION!=a||this.parser.CORESERVICE!=b){var d=Geoportal.Format[this.name]["v"+a.replace(/\./g,"_")+c];d=d?d[b]:null;if(!d){throw OpenLayers.i18n("XLS.version",{xlsVersion:a+c,coreService:b})}this.parser=new d(this.options)}return this.parser},CLASS_NAME:"Geoportal.Format.XLS"});OpenLayers.Format.XLS=OpenLayers.Class(Geoportal.Format.XLS,{CLASS_NAME:"OpenLayers.Format.XLS"});Geoportal.OLS=OpenLayers.Class({id:null,initialize:function(a){OpenLayers.Util.extend(this,a);if(this.id==null){this.id=OpenLayers.Util.createUniqueID(this.CLASS_NAME+"_")}},destroy:function(){this.id=null},CLASS_NAME:"Geoportal.OLS"});Geoportal.OLS.XLS=OpenLayers.Class(Geoportal.OLS,{version:"1.1",lang:null,_header:null,_body:null,initialize:function(a){this.version="1.1";this.lang=null;this._header=null;this._body=[];Geoportal.OLS.prototype.initialize.apply(this,arguments)},destroy:function(){this.version=null;this.lang=null;if(this._header){this._header.destroy();this._header=null}if(this._body){for(var b=0,a=this._body.length;b<a;b++){this._body[b].destroy();this._body[b]=null}this._body=null}Geoportal.OLS.prototype.destroy.apply(this,arguments)},addBody:function(a){if(!this._body){this._body=[]}if(a){this._body.push(a)}},getNbBodies:function(){return this._body?this._body.length:0},getBodies:function(){return this._body?this._body:null},getErrors:function(){var d=[];if(this._header&&this._header.errorList&&this._header.errorList.getNbErrors()>0){d=d.concat(this._header.errorList.getErrors())}for(var e=0,c=this.getNbBodies();e<c;e++){var a=this.getBodies()[e];if(a.errorList&&a.errorList.getNbErrors()>0){d=d.concat(a.errorList.getErrors())}}if(d.length==0){d=null}return d},CLASS_NAME:"Geoportal.OLS.XLS"});Geoportal.OLS.AbstractHeader=OpenLayers.Class(Geoportal.OLS,{CLASS_NAME:"Geoportal.OLS.AbstractHeader"});Geoportal.OLS.Error=OpenLayers.Class(Geoportal.OLS,{errorCode:null,severity:null,locationID:null,locationPath:null,message:null,initialize:function(a){this.errorCode=null;this.severity="Warning";this.locationID=null;this.locationPath=null;this.message=null;Geoportal.OLS.prototype.initialize.apply(this,arguments)},destroy:function(){this.errorCode=null;this.severity=null;this.locationID=null;this.locationPath=null;this.message=null;Geoportal.OLS.prototype.destroy.apply(this,arguments)},CLASS_NAME:"Geoportal.OLS.Error"});Geoportal.OLS.ErrorList=OpenLayers.Class(Geoportal.OLS,{highestSeverity:"Warning",errors:null,initialize:function(a){this.highestSeverity="Warning";this.errors=[];Geoportal.OLS.prototype.initialize.apply(this,arguments)},destroy:function(){this.highestSeverity=null;if(this.errors){for(var b=0,a=this.errors.length;b<a;b++){this.errors[b].destroy();this.errors[b]=null}this.errors=null}Geoportal.OLS.prototype.destroy.apply(this,arguments)},addError:function(a){if(!this.errors){this.errors=[]}if(a){this.errors.push(a)}},getNbErrors:function(){return this.errors?this.errors.length:0},getErrors:function(){return this.errors?this.errors:null},CLASS_NAME:"Geoportal.OLS.ErrorList"});Geoportal.OLS.ResponseHeader=OpenLayers.Class(Geoportal.OLS.AbstractHeader,{sessionID:null,errorList:null,initialize:function(a){this.sessionID=null;this.errorList=null;Geoportal.OLS.AbstractHeader.prototype.initialize.apply(this,arguments)},destroy:function(){this.sessionID=null;if(this.errorList){this.errorList.destroy();this.errorList=null}Geoportal.OLS.AbstractHeader.prototype.destroy.apply(this,arguments)},CLASS_NAME:"Geoportal.OLS.ResponseHeader"});Geoportal.OLS.AbstractBody=OpenLayers.Class(Geoportal.OLS,{CLASS_NAME:"Geoportal.OLS.AbstractBody"});Geoportal.OLS.AbstractResponseParameters=OpenLayers.Class(Geoportal.OLS,{CLASS_NAME:"Geoportal.OLS.AbstractResponseParameters"});Geoportal.OLS.Response=OpenLayers.Class(Geoportal.OLS.AbstractBody,{version:null,requestID:null,numberOfResponses:null,errorList:null,_responseParameters:null,initialize:function(a,b){this.version=a;this.requestID=null;this.numberOfResponses=null;this.errorList=null;this._responseParameters=null;Geoportal.OLS.prototype.initialize.apply(this,arguments)},destroy:function(){this.version=null;this.requestID=null;this.numberOfResponses=1;if(this.errorList){this.errorList.destroy();this.errorList=null}if(this._responseParameters){this._responseParameters.destroy();this._responseParameters=null}Geoportal.OLS.prototype.destroy.apply(this,arguments)},getResponseParameters:function(){return this._responseParameters?this._responseParameters:null},setResponseParameters:function(a){this._responseParameters=a},CLASS_NAME:"Geoportal.OLS.Response"});Geoportal.Format.XLS.v1_1=OpenLayers.Class(OpenLayers.Format.XML,{VERSION:"1.1",namespaces:{xls:"http://www.opengis.net/xls",sch:"http://www.ascc.net/xml/schematron",gml:"http://www.opengis.net/gml",xlink:"http://www.w3.org/1999/xlink",xsi:"http://www.w3.org/2001/XMLSchema-instance"},defaultPrefix:"xls",schemaLocation:"http://schemas.opengis.net/ols/1.1.0/XLS.xsd",lang:null,gmlParser:null,initialize:function(a){OpenLayers.Format.XML.prototype.initialize.apply(this,[a]);if(!this.externalProjection){this.externalProjection="EPSG:4326"}if(typeof(this.externalProjection)=="string"){this.externalProjection=new OpenLayers.Projection(this.externalProjection,{domainOfVaditity:new OpenLayers.Bounds(-180,-90,180,90)})}this.gmlParser=new OpenLayers.Format.GML({externalProjection:this.externalProjection.clone(),extractAttributes:false,xy:false});this.gmlParser.buildGeometry.point=function(f){var c=this.createElementNS(this.gmlns,"gml:Point");var e=this.createElementNS(this.gmlns,"gml:pos");var b;if(this.xy){b=f.x+" "+f.y}else{b=f.y+" "+f.x}var d=this.createTextNode(b);e.appendChild(d);c.appendChild(e);return c}},read:function(b){var c=new Geoportal.OLS.XLS({version:this.version||this.VERSION});var a=this.readers.xls.XLS.apply(this,[b,c]);if(!a){c.destroy();c=null}return c},readers:{xls:{XLS:function(d,e){e.version=d.getAttribute("version")||this.VERSION;e.lang=d.getAttribute("lang");this.readChildNodes(d,e);if(!e._header){OpenLayers.Console.error(OpenLayers.i18n("Not.conformal.XLS",{part:"Header"}));return null}if(e._header.errorList&&e._header.errorList.getNbErrors()>0){this.reportError(e._header.errorList);return null}if(!e._body){OpenLayers.Console.error(OpenLayers.i18n("Not.conformal.XLS",{part:"Body"}));return null}var b=e.getNbBodies();if(b>0){var a=e.getBodies();for(var c=0;c<b;c++){if(a[c].errorList&&a[c].errorList.getNbErrors()>0){this.reportError(a[c].errorList)}}}return e},ResponseHeader:function(b,c){var a=new Geoportal.OLS.ResponseHeader();a.sessionID=b.getAttribute("sessionID");c._header=a;this.readChildNodes(b,a)},ErrorList:function(b,c){var a=new Geoportal.OLS.ErrorList();a.highestSeverity=b.getAttribute("highestSeverity");c.errorList=a;this.readChildNodes(b,a)},Error:function(c,b){var a=new Geoportal.OLS.Error();a.errorCode=c.getAttribute("errorCode");a.severity=c.getAttribute("severity");a.locationID=c.getAttribute("locationID");a.locationPath=c.getAttribute("locationPath");a.message=c.getAttribute("message");b.addError(a)},Response:function(a,b){var c=new Geoportal.OLS.Response();c.version=a.getAttribute("version")||this.VERSION;c.requestID=a.getAttribute("requestID");c.numberOfResponses=parseInt(a.getAttribute("numberOfResponses"));if(isNaN(c.numberOfResponses)){c.numberOfResponses=null}b.addBody(c);this.readChildNodes(a,c)},Address:function(b,c){var a=new Geoportal.OLS.Address();a.countryCode=b.getAttribute("countryCode");a.addressee=b.getAttribute("addressee");this.readChildNodes(b,a);if(c.addAddress){c.addAddress(a)}else{c.address=a}},GeocodeMatchCode:function(c,b){var a=new Geoportal.OLS.GeocodeMatchCode();a.accuracy=parseFloat(c.getAttribute("accuracy"));if(isNaN(a.accuracy)){a.accuracy=null}a.matchType=c.getAttribute("matchType");b.geocodeMatchCode=a},SearchCentreDistance:function(c,b){var a=new Geoportal.OLS.UOM.Distance();a.value=parseFloat(c.getAttribute("value"));if(isNaN(a.value)){a.value=0}a.accuracy=parseFloat(c.getAttribute("accuracy"));if(isNaN(a.accuracy)){a.accuracy=null}var d=c.getAttribute("uom");if(d){a.uom=d}b.measure=a},freeFormAddress:function(b,a){a.name=b.childNodes.length>0?b.childNodes[0].nodeValue:""},StreetAddress:function(c,b){var a=new Geoportal.OLS.StreetAddress();b.streetAddress=a;this.readChildNodes(c,a)},Place:function(c,b){var a=new Geoportal.OLS.Place();a.classification=c.getAttribute("type");a.name=c.childNodes.length>0?c.childNodes[0].nodeValue:"";b.addPlace(a)},PostalCode:function(d,a){var c=d.childNodes.length>0?d.childNodes[0].nodeValue:"";var b=new Geoportal.OLS.PostalCode({name:c});a.postalCode=b},Building:function(c,a){var b=new Geoportal.OLS.Building();b.num=c.getAttribute("number");b.subdivision=c.getAttribute("subdivision");b.name=c.getAttribute("buildingName");a.setStreetLocation(b)},Street:function(b,a){var c=new Geoportal.OLS.Street();c.directionalPrefix=b.getAttribute("directionalPrefix");c.typePrefix=b.getAttribute("typePrefix");c.officialName=b.getAttribute("officialName");c.typeSuffix=b.getAttribute("typeSuffix");c.directionalSuffix=b.getAttribute("directionalSuffix");c.muniOctant=b.getAttribute("muniOctant");c.name=b.childNodes.length>0?b.childNodes[0].nodeValue:"";a.addStreet(c)},RequestHeader:function(b,c){var a=new Geoportal.OLS.RequestHeader();a.clientName=b.getAttribute("clientName");a.clientPassword=b.getAttribute("clientPassword");a.sessionID=b.getAttribute("sessionID");a.srsName=b.getAttribute("srsName");a.MSID=b.getAttribute("MSID");c._header=a},Request:function(b,c){var a=new Geoportal.OLS.Request();a.methodName=b.getAttribute("methodName");a.version=b.getAttribute("version")||this.VERSION;a.requestID=b.getAttribute("requestID");a.maximumResponses=parseInt(b.getAttribute("maximumResponses"));if(isNaN(a.maximumResponses)){a.maximumResponses=null}c.addBody(a);this.readChildNodes(b,a)},Position:function(a,b){var c=new Geoportal.OLS.Position();b.position=c;this.readChildNodes(a,c)},Ellipse:function(a,b){},CircularArc:function(a,b){},QoP:function(a,c){var b=new Geoportal.OLS.QualityOfPosition();b.responseReq=a.getAttribute("responseReq");b.responseTimer=a.getAttribute("responseTimer");c.qop=b;this.readChildNodes(a,b)},Time:function(b,c){var a=new Geoportal.OLS.UOM.Time();a.begin=b.getAttribute("begin");a.duration=b.getAttribute("duration");a.utcOffset=parseInt(b.getAttribute("utcOffset"));if(isNaN(a.utcOffset)){a.utcOffset=null}c.time=a},Speed:function(a,c){var b=new Geoportal.OLS.UOM.Speed();b.value=parseFloat(a.getAttribute("value"));if(isNaN(b.value)){b.value=0}b.accuracy=parseFloat(a.getAttribute("accuracy"));if(isNaN(b.accuracy)){b.accuracy=null}b.uom=a.getAttribute("uom");c.speed=b},Direction:function(a,c){var b=new Geoportal.OLS.UOM.Angle();b.value=parseFloat(a.getAttribute("value"));if(isNaN(b.value)){b.value=0}b.accuracy=parseFloat(a.getAttribute("accuracy"));if(isNaN(b.accuracy)){b.accuracy=null}b.uom=a.getAttribute("uom");c.direction=b},HorizontalAcc:function(b,c){var a=new Geoportal.OLS.HorizontalAcc();c.hAccuracy=a;this.readChildNodes(b,a)},VerticalAcc:function(b,c){var a=new Geoportal.OLS.VerticalAcc();c.vAccuracy=a;this.readChildNodes(b,a)},Distance:function(a,b){var c=new Geoportal.OLS.UOM.Distance();c.value=parseFloat(a.getAttribute("value"));if(isNaN(c.value)){c.value=0}c.accuracy=parseFloat(a.getAttribute("accuracy"));if(isNaN(c.accuracy)){c.accuracy=null}c.uom=a.getAttribute("uom");if(b.setAccuracy){b.setAccuracy(c)}else{b.distance=c}},Angle:function(c,d){var b=new Geoportal.OLS.UOM.Angle();b.value=parseFloat(c.getAttribute("value"));if(isNaN(b.value)){b.value=0}b.accuracy=parseFloat(c.getAttribute("accuracy"));if(isNaN(b.accuracy)){b.accuracy=null}b.uom=c.getAttribute("uom");if(d.setAccuracy){d.setAccuracy(b)}else{d.angle=b}}},gml:{Point:function(b,c){var a=this.gmlParser.parseGeometry.point.apply(this.gmlParser,[b]);if(a){a.transform(this.externalProjection,this.internalProjection);c.lonlat=a}},CircleByCenterPoint:function(a,b){},Polygon:function(a,b){},MultiPolygon:function(a,b){}}},write:function(a){var b=a.CLASS_NAME.split(".").pop();return this.writers.xls[b].apply(this,[a])},writers:{xls:{XLS:function(c){var f={attributes:{}};if(c.version){OpenLayers.Util.extend(f.attributes,{version:c.version})}if(c.lang){OpenLayers.Util.extend(f.attributes,{lang:c.lang})}var d=this.createElementNSPlus("xls:XLS",f);var e=c._header;this.writeNode(this.getNodeName(e),e,d);for(var b=0,a=c.getNbBodies();b<a;b++){e=c.getBodies()[b];this.writeNode(this.getNodeName(e),e,d)}return d},ResponseHeader:function(a){var b=this.createElementNSPlus("xls:ResponseHeader");if(a.sessionID){b.setAttribute("sessionID",a.sessionID)}if(a.errorList){this.writeNode("ErrorList",a.errorList,b)}return b},ErrorList:function(c){var d=this.createElementNSPlus("xls:ErrorList");if(c.highestSeverity!=null){d.setAttribute("highestSeverity",c.highestSeverity)}for(var b=0,a=c.getNbErrors();b<a;b++){var e=c.getErrors()[b];this.writeNode(this.getNodeName(e),e,d)}return d},Error:function(b){var c={attributes:{}};if(b.errorCode!=null){OpenLayers.Util.extend(c.attributes,{errorCode:b.errorCode})}if(b.severity!=null){OpenLayers.Util.extend(c.attributes,{severity:b.severity})}if(b.locationID!=null){OpenLayers.Util.extend(c.attributes,{locationID:b.locationID})}if(b.locationPath!=null){OpenLayers.Util.extend(c.attributes,{locationPath:b.locationPath})}if(b.message!=null){OpenLayers.Util.extend(c.attributes,{message:b.message})}var a=this.createElementNSPlus("xls:Error",c);return a},Response:function(b){var a=this.createElementNSPlus("xls:Response",{attributes:{version:b.version,requestID:b.requestID}});if(typeof(b.numberOfResponses)=="number"&&!isNaN(b.numberOfResponses)){a.setAttribute("numberOfResponses",b.numberOfResponses)}if(b.errorList){this.writeNode("ErrorList",b.errorList,a)}if(b.getResponseParameters()){var c=b.getResponseParameters();this.writeNode(this.getNodeName(c),c,a)}return a},Address:function(c){var e=this.createElementNSPlus("xls:Address");e.setAttribute("countryCode",c.countryCode);if(c.addressee!=null){e.setAttribute("addressee",c.addressee)}if(c.name!=null){this.writeNode("xls:freeFormAddress",c,e)}else{if(c.streetAddress){this.writeNode("xls:StreetAddress",c.streetAddress,e)}for(var d=0,b=c.getNbPlaces();d<b;d++){this.writeNode("xls:Place",c.getPlaces()[d],e)}if(c.postalCode){this.writeNode("xls:PostalCode",c.postalCode,e)}}return e},GeocodeMatchCode:function(a){var b=this.createElementNSPlus("xls:GeocodeMatchCode");if(typeof(a.accuracy)=="number"&&!isNaN(a.accuracy)){b.setAttribute("accuracy",a.accuracy)}if(a.matchType!=null){b.setAttribute("matchCode",a.matchType)}return b},freeFormAddress:function(b){var c=this.createElementNSPlus("xls:freeFormAddress",{value:b.name});return c},StreetAddress:function(b){var d=this.createElementNSPlus("xls:StreetAddress");if(b._streetLocation){var e=b._streetLocation;this.writeNode(this.getNodeName(e),e,d)}for(var c=0,a=b.getNbStreets();c<a;c++){this.writeNode("xls:Street",b.getStreets()[c],d)}return d},Place:function(b){var a=this.createElementNSPlus("xls:Place",{attributes:{type:b.classification},value:b.name});return a},PostalCode:function(a){var b=this.createElementNSPlus("xls:PostalCode",{value:a.name});return b},Building:function(a){var d={attributes:{}};if(a.num!=null){OpenLayers.Util.extend(d.attributes,{number:a.num})}if(a.subdivision!=null){OpenLayers.Util.extend(d.attributes,{subdivision:a.subdivision})}if(a.name!=null){OpenLayers.Util.extend(d.attributes,{buildingName:a.name})}var c=this.createElementNSPlus("xls:Building",d);return c},Street:function(a){var c={attributes:{}};if(a.directionalPrefix!=null){OpenLayers.Util.extend(c.attributes,{directionalPrefix:a.directionalPrefix})}if(a.typePrefix!=null){OpenLayers.Util.extend(c.attributes,{typePrefix:a.typePrefix})}if(a.officialName!=null){OpenLayers.Util.extend(c.attributes,{officialName:a.officialName})}if(a.typeSuffix!=null){OpenLayers.Util.extend(c.attributes,{typeSuffix:a.typeSuffix})}if(a.directionalSuffix!=null){OpenLayers.Util.extend(c.attributes,{directionalSuffix:a.directionalSuffix})}if(a.muniOctant!=null){OpenLayers.Util.extend(c.attributes,{muniOctant:a.muniOctant})}if(a.name!=null){c.value=a.name}var b=this.createElementNSPlus("xls:Street",c);return b},RequestHeader:function(a){var c={attributes:{}};if(a.clientName!=null){OpenLayers.Util.extend(c.attributes,{clientName:a.clientName})}if(a.clientPassword!=null){OpenLayers.Util.extend(c.attributes,{clientPassword:a.clientPassword})}if(a.sessionID!=null){OpenLayers.Util.extend(c.attributes,{sessionID:a.sessionID})}if(a.srsName!=null){OpenLayers.Util.extend(c.attributes,{srsName:a.srsName})}if(a.MSID!=null){OpenLayers.Util.extend(c.attributes,{MSID:a.MSID})}var b=this.createElementNSPlus("xls:RequestHeader",c);return b},Request:function(a){var b=this.createElementNSPlus("xls:Request",{attributes:{methodName:a.methodName,version:a.version,requestID:a.requestID}});if(typeof(a.maximumResponses)=="number"&&!isNaN(a.maximumResponses)){b.setAttribute("maximumResponses",a.maximumResponses)}if(a.getRequestParameters()){var c=a.getRequestParameters();this.writeNode(this.getNodeName(c),c,b)}return b},Position:function(c){var b=this.createElementNSPlus("xls:Position");if(c.levelOfConf!=null){b.setAttribute("levelOfConf",c.levelOfConf)}this.writeNode("gml:Point",c.lonlat,b);if(c.qop){this.writeNode("xls:QoP",c.qop,b)}if(c.time){this.writeNode("xls:Time",c.time,b)}if(c.speed){this.writeNode("xls:Speed",c.speed,b)}if(c.direction){this.writeNode("xls:Direction",c.direction,b)}if(c._aoi){var a=c._aoi.radius?"gml:CircleByCenterPoint":"gml:Polygon";this.writeNode(a,c._aoi,b)}return b},Ellipse:function(a){return this.createCommentNode("xls:Ellipse : not yet supported")},CircularArc:function(a){return this.createCommentNode("xls:CircularArc : not yet supported")},QoP:function(b){var a=this.createElementNSPlus("xls:QoP");if(b.responseReq!=null){a.setAttribute("responseReq",b.responseReq)}if(b.responseTimer!=null){a.setAttribute("responseTimer",b.responseTimer)}this.writeNode("xls:HorizontalAcc",b.hAccuracy,a);this.writeNode("xls:VerticalAcc",b.vAccuracy,a);return a},Time:function(a){var b=this.createElementNSPlus("xls:Time",{attributes:{begin:a.begin}});if(a.duration!=null){b.setAttribute("duration",a.duration)}if(typeof(a.utcOffset)=="number"&&!isNaN(a.utcOffset)){b.setAttribute("utcOffset",a.utcOffset)}return b},Speed:function(b){var a=this.createElementNSPlus("xls:Speed",{attributes:{value:b.value}});if(b.accuracy){a.setAttribute("accuracy",b.accuracy)}if(b.uom){a.setAttribute("uom",b.uom)}return a},Direction:function(b){var a=this.createElementNSPlus("xls:Direction",{attributes:{value:b.value}});if(b.accuracy){a.setAttribute("accuracy",b.accuracy)}if(b.uom){a.setAttribute("uom",b.uom)}return a},HorizontalAcc:function(a){var b=this.createElementNSPlus("xls:HorizontalAcc");var c=a._doa;this.writeNode(this.getNodeName(c),c,b);return b},VerticalAcc:function(b){var a=this.createElementNSPlus("xls:VerticalAcc");this.writeNode("xls:Distance",b.distance,a);return a},Distance:function(b){var a=this.createElementNSPlus("xls:Distance",{attributes:{value:b.value}});if(b.accuracy){a.setAttribute("accuracy",b.accuracy)}if(b.uom){a.setAttribute("uom",b.uom)}return a},Angle:function(b){var c=this.createElementNSPlus("xls:Angle",{attributes:{value:b.value}});if(b.accuracy){c.setAttribute("accuracy",b.accuracy)}if(b.uom){c.setAttribute("uom",b.uom)}return c}},gml:{Point:function(b){var a=this.gmlParser.buildGeometryNode.apply(this.gmlParser,[b]);return a},CircleByCenterPoint:function(d){var a=this.createElementNSPlus("gml:CircleByCenterPoint");this.writeNode("gml:pos",{x:d.center.lon,y:d.center.lat},a);var b=this.createElementNSPlus("gml:radius",{value:d.radius});a.appendChild(b);return a},Polygon:function(c){var b=new OpenLayers.Format.GML.v3({xy:false,defaultPrefix:null});b.writers.gml.LinearRing=function(f){var j=this.createElementNSPlus("gml:LinearRing");var h=f.components;for(var g=0,e=h.length;g<e;++g){var d=h[g];this.writeNode("gml:pos",d,j)}return j};var a=b.writers.gml.Polygon.apply(b,[c]);return a},MultiPolygon:function(a){return this.createCommentNode("gml:MultiPolygon : not yet supported")}}},reportError:function(f){var g=f.getErrors();for(var b=0,a=g.length;b<a;b++){var c=g[b];var d="XLS ("+(f.highestSeverity!=null?f.highestSeverity:"Warning")+") : ["+c.errorCode+(c.locationID?","+c.locationID:"")+(c.locationPath?","+c.locationPath:"")+(c.message?","+c.message:"")+"]";if(c.severity&&c.severity!="Warning"){OpenLayers.Console.error(d)}else{OpenLayers.Console.warn(d)}}},getNodeName:function(a){return a.CLASS_NAME.split(".").pop()},CLASS_NAME:"Geoportal.Format.XLS.v1_1"});Geoportal.OLS.AbstractRequestParameters=OpenLayers.Class(Geoportal.OLS,{CLASS_NAME:"Geoportal.OLS.AbstractRequestParameters"});Geoportal.OLS.LUS=OpenLayers.Class(Geoportal.OLS,{CLASS_NAME:"Geoportal.OLS.LUS"});Geoportal.OLS.AbstractLocation=OpenLayers.Class(Geoportal.OLS,{CLASS_NAME:"Geoportal.OLS.AbstractLocation"});Geoportal.OLS.AbstractAddress=OpenLayers.Class(Geoportal.OLS.AbstractLocation,{addressee:null,countryCode:"__",language:null,initialize:function(a,b){this.addressee=null;this.language=null;Geoportal.OLS.AbstractLocation.prototype.initialize.apply(this,[OpenLayers.Util.extend(b,{countryCode:a})])},destroy:function(){this.addressee=null;this.countryCode=null;this.language=null;Geoportal.OLS.AbstractLocation.prototype.destroy.apply(this,arguments)},clone:function(){var a=new Geoportal.OLS.AbstractAddress(this.countryCode);a.addressee=this.addressee;a.language=this.language;return a},CLASS_NAME:"Geoportal.OLS.AbstractAddress"});Geoportal.OLS.AbstractStreetLocator=OpenLayers.Class(Geoportal.OLS,{CLASS_NAME:"Geoportal.OLS.AbstractStreetLocator"});Geoportal.OLS.Street=OpenLayers.Class(Geoportal.OLS,{directionalPrefix:null,typePrefix:null,officialName:null,typeSuffix:null,directionalSuffix:null,muniOctant:null,name:null,initialize:function(a){this.directionalPrefix=null;this.typePrefix=null;this.officialName=null;this.typeSuffix=null;this.directionalSuffix=null;this.muniOctant=null;this.name=null;Geoportal.OLS.prototype.initialize.apply(this,arguments)},destroy:function(){this.directionalPrefix=null;this.typePrefix=null;this.officialName=null;this.typeSuffix=null;this.directionalSuffix=null;this.muniOctant=null;this.name=null;Geoportal.OLS.prototype.destroy.apply(this,arguments)},clone:function(){var a=new Geoportal.OLS.Street();a.directionalPrefix=this.directionalPrefix;a.typePrefix=this.typePrefix;a.officialName=this.officialName;a.typeSuffix=this.typeSuffix;a.directionalSuffix=this.directionalSuffix;a.muniOctant=this.muniOctant;a.name=this.name;return a},CLASS_NAME:"Geoportal.OLS.Street"});Geoportal.OLS.StreetAddress=OpenLayers.Class(Geoportal.OLS,{_streetLocation:null,streets:null,locator:null,initialize:function(a){this._streetLocation=null;this.streets=[];this.locator=null;Geoportal.OLS.prototype.initialize.apply(this,arguments)},destroy:function(){if(this._streetLocation){this._streetLocation.destroy();this._streetLocation=null}if(this.streets){for(var b=0,a=this.streets.length;b<a;b++){this.streets[b].destroy();this.streets[b]=null}this.streets=null}this.locator=null;Geoportal.OLS.prototype.destroy.apply(this,arguments)},clone:function(){var c=new Geoportal.OLS.StreetAddress();if(this._streetLocation){c._streetLocation=this._streetLocation.clone()}if(this.streets){for(var b=0,a=this.streets.length;b<a;b++){c.streets.push(this.streets[b].clone())}}c.locator=this.locator;return c},setStreetLocation:function(a){if(this._streetLocation){this._streetLocation.destroy();this._streetLocation=null}this._streetLocation=a},addStreet:function(a){if(!this.streets){this.streets=[]}if(a){this.streets.push(a)}},getNbStreets:function(){return this.streets?this.streets.length:0},getStreets:function(){return this.streets?this.streets:null},CLASS_NAME:"Geoportal.OLS.StreetAddress"});Geoportal.OLS.Place=OpenLayers.Class(Geoportal.OLS,{classification:null,name:null,initialize:function(a){this.classification=null;this.name=null;Geoportal.OLS.prototype.initialize.apply(this,arguments)},destroy:function(){this.classification=null;this.name=null;Geoportal.OLS.prototype.destroy.apply(this,arguments)},clone:function(){var a=new Geoportal.OLS.Place();a.classification=this.classification;a.name=this.name;return a},CLASS_NAME:"Geoportal.OLS.Place"});Geoportal.OLS.PostalCode=OpenLayers.Class(Geoportal.OLS,{name:null,initialize:function(a){this.name=null;Geoportal.OLS.prototype.initialize.apply(this,arguments)},destroy:function(){this.name=null;Geoportal.OLS.prototype.destroy.apply(this,arguments)},clone:function(){var a=new Geoportal.OLS.PostalCode();a.name=this.name;return a},CLASS_NAME:"Geoportal.OLS.PostalCode"});Geoportal.OLS.Address=OpenLayers.Class(Geoportal.OLS.AbstractAddress,{name:null,postalCode:null,streetAddress:null,places:null,initialize:function(a,b){this.name=null;this.postalCode=null;this.streetAddress=null;this.places=[];Geoportal.OLS.AbstractAddress.prototype.initialize.apply(this,arguments)},destroy:function(){this.name=null;if(this.postalCode){this.postalCode.destroy();this.postalCode=null}if(this.streetAddress){this.streetAddress.destroy();this.streetAddress=null}if(this.places){for(var b=0,a=this.places.length;b<a;b++){this.places[b].destroy();this.places[b]=null}this.places=null}Geoportal.OLS.AbstractAddress.prototype.destroy.apply(this,arguments)},clone:function(){var c=new Geoportal.OLS.Address(this.countryCode);c.addressee=this.addressee;c.language=this.language;c.name=this.name;if(this.postalCode){c.postalCode=this.postalCode.clone()}if(this.streetAddress){c.streetAddress=this.streetAddress.clone()}if(this.places){for(var b=0,a=this.places.length;b<a;b++){c.places.push(this.places[b].clone())}}if(this.restrictedExtent){c.restrictedExtent=this.restrictedExtent.clone()}return c},addPlace:function(a){if(!this.places){this.places=[]}if(a){this.places.push(a)}},getNbPlaces:function(){return this.places?this.places.length:0},getPlaces:function(){return this.places?this.places:null},toString:function(i){var k="";if(!this.streetAddress){k+=this.name||""}else{var d=this.streetAddress._streetLocation;if(d){if(d instanceof Geoportal.OLS.Building){if(d.num){k+=d.num}if(d.subdivision){k+=d.subdivision}k+=", "}}for(var g=0,l=this.streetAddress.getNbStreets();g<l;g++){var b=this.streetAddress.getStreets()[g];var c="";if(b.name!=null){c=b.name}else{c=(b.typePrefix?b.typePrefix+" ":"")+(b.officialName?b.officialName+" ":"")+(b.typeSuffix?b.typeSuffix:"")}if(c){k+=c+", "}}}var h=k.length==0;var f=this.getNbPlaces();if(f>0){for(var a=0;a<f;a++){var e=this.getPlaces()[a];if(e.classification&&i&&OpenLayers.Util.indexOf(i,e.classification.toUpperCase())!=-1){continue}if(e.classification||e.name){if(e.name){k+=" "+e.name}if(e.classification&&!h){k+=" ["+OpenLayers.i18n(e.classification)+"]"}k+=", "}}}if(this.postalCode&&this.postalCode.name){k+=" "+this.postalCode.name}k=k.replace(/^(\s*,)+/,"").replace(/(\s*,)+$/,"");return k},toHTMLString:function(){var g="";if(!this.streetAddress){if(this.name){g+="<b>"+this.name+"</b>"}}else{var a=this.streetAddress._streetLocation;if(this.streetAddress._streetLocation){if(a instanceof Geoportal.OLS.Building){if(a.num){g+=a.num}if(a.subdivision){g+=a.subdivision}g+=",&nbsp;"}}for(var d=0,c=this.streetAddress.getNbStreets();d<c;d++){var h=this.streetAddress.getStreets()[d];var f="";if(h.name){f=h.name}else{f=(h.typePrefix?h.typePrefix+" ":"")+(h.officialName?h.officialName+" ":"")+(h.typeSuffix?h.typeSuffix:"")}if(f){g+="<b>"+f+"</b><br/>"}}}var e=g.length==0;var c=this.getNbPlaces();if(c>0){for(var d=0;d<c;d++){var b=this.getPlaces()[d];if(b.classification||b.name){if(b.classification&&!e){g+=" "+OpenLayers.i18n(b.classification)}if(b.name){g+=" <b>"+b.name+"</b>"}g+="<br/>"}}}if(this.postalCode&&this.postalCode.name){if(!e){g+=OpenLayers.i18n("geocoded.address.popup.postalCode")+"&nbsp;: "}g+="<b>"+this.postalCode.name+"</b>"}return g},CLASS_NAME:"Geoportal.OLS.Address"});Geoportal.OLS.LUS.GeocodeRequest=OpenLayers.Class(Geoportal.OLS.LUS,Geoportal.OLS.AbstractRequestParameters,{addresses:null,returnFreeForm:false,initialize:function(a){this.addresses=[];Geoportal.OLS.AbstractRequestParameters.prototype.initialize.apply(this,arguments)},destroy:function(){if(this.addresses){for(var b=0,a=this.addresses.length;b<a;b++){this.addresses[b].destroy();this.addresses[b]=null}this.addresses=null}Geoportal.OLS.AbstractRequestParameters.prototype.destroy.apply(this,arguments)},addAddress:function(a){if(!this.addresses){this.addresses=[]}if(a){this.addresses.push(a)}},getNbAddresses:function(){return this.addresses?this.addresses.length:0},getAddresses:function(){return this.addresses?this.addresses:null},CLASS_NAME:"Geoportal.OLS.LUS.GeocodeRequest"});Geoportal.OLS.GeocodeMatchCode=OpenLayers.Class(Geoportal.OLS,{accuracy:null,matchType:null,initialize:function(a){this.accuracy=null;this.matchType=null;Geoportal.OLS.prototype.initialize.apply(this,arguments)},destroy:function(){this.accuracy=null;this.matchType=null;Geoportal.OLS.prototype.destroy.apply(this,arguments)},clone:function(){var a=new Geoportal.OLS.GeocodeMatchCode({accuracy:this.accuracy,matchType:this.matchType});return a},CLASS_NAME:"Geoportal.OLS.GeocodeMatchCode"});Geoportal.OLS.LUS.GeocodedAddress=OpenLayers.Class(Geoportal.OLS.LUS,{address:null,lonlat:null,geocodeMatchCode:null,initialize:function(b,a,c){this.address=b;this.lonlat=a;this.geocodeMatchCode=null;Geoportal.OLS.LUS.prototype.initialize.apply(this,[c])},destroy:function(){if(this.address){this.address.destroy();this.address=null}if(this.geocodeMatchCode){this.geocodeMatchCode.destroy();this.geocodeMatchCode=null}this.lonlat=null;Geoportal.OLS.LUS.prototype.destroy.apply(this,arguments)},CLASS_NAME:"Geoportal.OLS.LUS.GeocodedAddress"});Geoportal.OLS.LUS.GeocodeResponseList=OpenLayers.Class(Geoportal.OLS.LUS,{numberOfGeocodedAddresses:null,geocodedAddresses:null,initialize:function(a){this.numberOfGeocodedAddresses=0;this.geocodedAddresses=[];Geoportal.OLS.LUS.prototype.initialize.apply(this,arguments)},destroy:function(){this.numberOfGeocodedAddresses=null;if(this.geocodedAddresses){for(var b=0,a=this.geocodedAddresses.length;b<a;b++){this.geocodedAddresses[b].destroy();this.geocodedAddresses[b]=null}this.geocodedAddresses=null}Geoportal.OLS.LUS.prototype.destroy.apply(this,arguments)},addGeocodedAddress:function(a){if(!this.geocodedAddresses){this.geocodedAddresses=[]}if(a){this.geocodedAddresses.push(a)}},getNbGeocodedAddresses:function(){return this.geocodedAddresses?this.geocodedAddresses.length:0},getGeocodedAddresses:function(){return this.geocodedAddresses?this.geocodedAddresses:null},CLASS_NAME:"Geoportal.OLS.LUS.GeocodeResponseList"});Geoportal.OLS.LUS.GeocodeResponse=OpenLayers.Class(Geoportal.OLS.LUS,Geoportal.OLS.AbstractResponseParameters,{geocodeResponses:null,initialize:function(a){this.geocodeResponses=[];Geoportal.OLS.AbstractResponseParameters.prototype.initialize.apply(this,arguments)},destroy:function(){if(this.geocodeResponses){for(var b=0,a=this.geocodeResponses.length;b<a;b++){this.geocodeResponses[b].destroy();this.geocodeResponses[b]=null}this.geocodeResponses=null}Geoportal.OLS.AbstractResponseParameters.prototype.destroy.apply(this,arguments)},addGeocodeResponseList:function(a){if(!this.geocodeResponses){this.geocodeResponses=[]}if(a){this.geocodeResponses.push(a)}},getNbGeocodeResponseList:function(){return this.geocodeResponses?this.geocodeResponses.length:0},getGeocodeResponseList:function(){return this.geocodeResponses?this.geocodeResponses:null},CLASS_NAME:"Geoportal.OLS.LUS.GeocodeResponse"});Geoportal.Format.XLS.v1_1.LocationUtilityService=OpenLayers.Class(Geoportal.Format.XLS.v1_1,{CORESERVICE:"LocationUtilityService",schemaLocation:"http://schemas.opengis.net/ols/1.1.0/LocationUtilityService.xsd",initialize:function(a){Geoportal.Format.XLS.v1_1.prototype.initialize.apply(this,[a]);this._addReaders();this._addWriters()},_addReaders:function(){this.readers.xls=OpenLayers.Util.applyDefaults(this.readers.xls,{GeocodeResponse:function(b,c){var a=new Geoportal.OLS.LUS.GeocodeResponse();c.setResponseParameters(a);this.readChildNodes(b,a)},ReverseGeocodeResponse:function(a,c){var b=new Geoportal.OLS.LUS.ReverseGeocodeResponse();c.setResponseParameters(b);this.readChildNodes(a,b)},GeocodeResponseList:function(c,b){var a=new Geoportal.OLS.LUS.GeocodeResponseList();a.numberOfGeocodedAddresses=parseInt(c.getAttribute("numberOfGeocodedAddresses"));if(isNaN(a.numberOfGeocodedAddresses)){a.numberOfGeocodedAddresses=0}if(isNaN(a.numberOfGeocodedAddresses)){a.numberOfGeocodedAddresses=1}b.addGeocodeResponseList(a);this.readChildNodes(c,a)},ReverseGeocodedLocation:function(a,c){var b=new Geoportal.OLS.LUS.ReverseGeocodedLocation();c.addReverseGeocodedLocations(b);this.readChildNodes(a,b)},GeocodedAddress:function(b,c){var a=new Geoportal.OLS.LUS.GeocodedAddress();c.addGeocodedAddress(a);this.readChildNodes(b,a)},SearchCentreDistance:function(b,c){var a=parseFloat(b.getAttribute("value"));if(isNaN(a)){a=0}var d=new Geoportal.OLS.LUS.SearchCentreDistance(a);d.accuracy=parseFloat(b.getAttribute("accuracy"));if(isNaN(d.accuracy)){d.accuracy=null}d.uom=b.getAttribute("uom");c.measure=d},GeocodeRequest:function(c,a){var b=new Geoportal.OLS.LUS.GeocodeRequest();a.setRequestParameters(b);this.readChildNodes(c,b)},ReverseGeocodeRequest:function(b,a){var c=new Geoportal.OLS.LUS.ReverseGeocodeRequest();a.setRequestParameters(c);this.readChildNodes(b,c)},ReverseGeocodePreference:function(b,c){var a=new Geoportal.OLS.LUS.ReverseGeocodePreference();a.value=b.childNodes.length>0?b.childNodes[0].nodeValue||"StreetAddress":"StreetAddress";c.addPreference(a)}})},_addWriters:function(){this.writers.xls=OpenLayers.Util.applyDefaults(this.writers.xls,{GeocodeResponse:function(b){var d=this.createElementNSPlus("xls:GeocodeResponse");for(var c=0,a=b.getNbGeocodeResponseList();c<a;c++){this.writeNode("xls:GeocodeResponseList",b.getGeocodeResponseList()[c],d)}return d},ReverseGeocodeResponse:function(d){var c=this.createElementNSPlus("xls:ReverseGeocodeResponse");for(var b=0,a=d.getNbReverseGeocodedLocations();b<a;b++){this.writeNode("xls:ReverseGeocodedLocation",d.getReverseGeocodedLocations()[b],c)}return c},GeocodeResponseList:function(c){var d=this.createElementNSPlus("xls:GeocodeResponseList",{attributes:{numberOfGeocodedAddresses:c.getNbGeocodedAddresses()}});for(var b=0,a=c.getNbGeocodedAddresses();b<a;b++){this.writeNode("xls:GeocodedAddress",c.getGeocodedAddresses()[b],d)}return d},ReverseGeocodedLocation:function(a){var b=this.createElementNSPlus("xls:ReverseGeocodedLocation");this.writeNode("gml:Point",a.lonlat,b);if(a.address){this.writeNode("xls:Address",a.address,b)}if(a.searchCentreDistance){this.writeNode("xls:SearchCentreDistance",a.searchCentreDistance,b)}return b},GeocodedAddress:function(b){var a=this.createElementNSPlus("xls:GeocodedAddress");this.writeNode("gml:Point",b.lonlat,a);if(b.address){this.writeNode("xls:Address",b.address,a)}if(b.geocodeMatchCode){this.writeNode("xls:GeocodeMatchCode",b.geocodeMatchCode,a)}return a},SearchCentreDistance:function(a){var c={attributes:{value:a.value}};if(typeof(a.accuracy)=="number"&&!isNan(a.accuracy)){OpenLayers.Util.extend(c.attributes,{accuracy:a.accuracy})}if(a.uom!=null){OpenLayers.Util.extend(c.attributes,{uom:a.uom})}var b=this.createElementNSPlus("xls:SearchCentreDistance");return b},GeocodeRequest:function(b){var d=this.createElementNSPlus("xls:GeocodeRequest");for(var c=0,a=b.getNbAddresses();c<a;c++){this.writeNode("xls:Address",b.getAddresses()[c],d)}return d},ReverseGeocodeRequest:function(d){var c=this.createElementNSPlus("xls:ReverseGeocodeRequest");if(d.position){this.writeNode("xls:Position",d.position,c)}var a=d.getNbPreferences();if(a>0){for(var b=0;b<a;b++){this.writeNode("xls:ReverseGeocodePreference",d.getPreferences()[b],c)}}return c},ReverseGeocodePreference:function(a){var b=this.createElementNSPlus("xls:ReverseGeocodePreference",{value:a.value});return b}})},CLASS_NAME:"Geoportal.Format.XLS.v1_1.LocationUtilityService"});Geoportal.Layer.OpenLS=OpenLayers.Class(OpenLayers.Layer.Vector,{displayInLayerSwitcher:false,requestOptions:null,version:"1.2",format:null,formatOptions:null,ols:null,initialize:function(b,a){switch(b){case"TOPONYMS.ALL:OPENLS":b="PositionOfInterest:OPENLS;Geocode";break;case"ADDRESSES.CROSSINGS:OPENLS":b="StreetAddress:OPENLS;Geocode";break;default:break}OpenLayers.Layer.Vector.prototype.initialize.apply(this,[b,a]);this.requestOptions=OpenLayers.Util.applyDefaults(this.requestOptions,{url:"http://localhost/",method:"GET",callback:function(){},success:this.success,failure:this.failure,scope:this});this.formatOptions=OpenLayers.Util.applyDefaults(this.formatOptions,{version:this.version,externalProjection:new OpenLayers.Projection("EPSG:4326",{domainOfValidity:new OpenLayers.Bounds(-180,-90,180,90)})});this.version=this.formatOptions.version},destroy:function(){if(this.format){if(typeof(this.format)=="object"){this.format.destroy()}this.format=null}this.formatOptions=null;this.requestOptions=null;if(this.ols){this.ols.destroy();this.ols=null}OpenLayers.Layer.Vector.prototype.destroy.apply(this,arguments)},setMap:function(a){OpenLayers.Layer.Vector.prototype.setMap.apply(this,arguments);if(a&&a.getProjection()){if(!this.formatOptions.internalProjection){this.formatOptions.internalProjection=a.getProjection().clone()}}if(!this.format){this.format=Geoportal.Format.XLS}if(typeof(this.format)=="function"){this.format=new this.format(this.formatOptions)}},success:function(b){if(this.ols){this.ols.destroy();this.ols=null}if(!b){return}var c=b.responseXML;if(!c||!c.documentElement){c=b.responseText}this.ols=this.format.read(c);if(!this.ols){return}var a=this.ols?this.ols.getErrors():null;if(a){this.ols.destroy();this.ols=null;return}if(this.ols.getNbBodies()<=0){this.ols.destroy();this.ols=null;return}},failure:function(a){if(this.ols){this.ols.destroy();this.ols=null}},CLASS_NAME:"Geoportal.Layer.OpenLS"});Geoportal.Layer.OpenLS.Core=OpenLayers.Class(Geoportal.Layer.OpenLS,{clientName:null,clientPassword:null,MSID:null,maximumResponses:10,initialize:function(b,a){Geoportal.Layer.OpenLS.prototype.initialize.apply(this,[b,a])},destroy:function(){this.clientName=null;this.clientPassword=null;this.MSID=null;Geoportal.Layer.OpenLS.prototype.destroy.apply(this,arguments)},CLASS_NAME:"Geoportal.Layer.OpenLS.Core"});Geoportal.OLS.Building=OpenLayers.Class(Geoportal.OLS.AbstractStreetLocator,{num:null,subdivision:null,name:null,initialize:function(a){this.num=null;this.subdivision=null;this.name=null;Geoportal.OLS.AbstractStreetLocator.prototype.initialize.apply(this,arguments)},destroy:function(){this.num=null;this.subdivision=null;this.name=null;Geoportal.OLS.AbstractStreetLocator.prototype.destroy.apply(this,arguments)},clone:function(){var a=new Geoportal.OLS.Building();a.num=this.num;a.subdivision=this.subdivision;a.name=this.name;return a},CLASS_NAME:"Geoportal.OLS.Building"});Geoportal.Util={_imagesLocation:null,getImagesLocation:function(){if(!Geoportal.Util._imagesLocation){Geoportal.Util._imagesLocation=Geoportal._getScriptLocation()+"theme/geoportal/img/"}return Geoportal.Util._imagesLocation},setTheme:function(a){if(!a){a="geoportal"}Geoportal.Util._imagesLocation=Geoportal._getScriptLocation()+"theme/"+a+"/img/"},convertToPixels:function(e,a,g){if(!e){return undefined}if(a==undefined){a=false}if(/px$/.test(e)){return parseInt(e)}var f=OpenLayers.getDoc();var d=f.createElement("div");d.style.display="";d.style.visibility="hidden";d.style.position="absolute";d.style.lineHeight="0";if(!g){g=f.body}if(/%$/.test(e)){g=g.parentNode||g;d.style[a?"width":"height"]=e}else{d.style.borderStyle="solid";if(a){d.style.borderBottomHeight="0";d.style.borderTopHeight=e}else{d.style.borderBottomWidth="0";d.style.borderTopWidth=e}}g.appendChild(d);var b=a?d.offsetWidth:d.offsetHeight;g.removeChild(d);return b},getComputedStyle:function(g,i,b){var h=OpenLayers.getDoc();var a;if(g.currentStyle){a=g.currentStyle[OpenLayers.String.camelize(i)]}else{if(h.defaultView.getComputedStyle){var f=h.defaultView.getComputedStyle(g,null);if(f){a=f.getPropertyValue(i)}}else{a=null}}var e=/(em|ex|pt|%)$/;var c=/(width)/i;a=b?a?e.test(a)?this.convertToPixels(a,c.test(a),g.parentNode):parseInt(a)||0:0:a;return a},loadJS:function(a,c,j,h){c=c||a;var d=OpenLayers.Util.getElement(c);if(d!=null){return[d,false]}var p=OpenLayers.getDoc();var b=p.getElementsByTagName("script"),e,k;var g,f;for(g=0,f=b.length;g<f;++g){if(OpenLayers.Util.isEquivalentUrl(b.item(g).src,a)){b.item(g).setAttribute("id",c);return[b.item(g),false]}}b=p.getElementsByTagName("head");var o=b.length>0?b[0]:p.body;var q=j&&j!=""?OpenLayers.Util.getElement(j):null;d=p.createElement("script");d.setAttribute("type","text/javascript");d.setAttribute("src",a);d.setAttribute("charset","UTF-8");d.setAttribute("id",c);if(h!=undefined){d.onload=function(){if(d.readyState&&d.readyState!="loaded"&&d.readyState!="complete"){return}d.onreadystatechange=d.onload=null;h()};if(navigator.appName!="Opera"){d.onreadystatechange=d.onload}}if(q!=null){var q=OpenLayers.Util.getElement(j);OpenLayers.Element.insertAfter(d,q)}else{b=o.childNodes;k=null;for(g=b.length-1;g>=0;g--){e=b[g];if(e.nodeType!=1){continue}switch(e.tagName.toLowerCase()){case"script":if(e.getAttribute("type").toLowerCase()=="text/javascript"){k=e}break;default:break}if(k!=null){break}}if(k==null){o.appendChild(d)}else{OpenLayers.Element.insertAfter(d,k)}}return[d,true]},loadCSS:function(a,c,g){c=c||a;var h=OpenLayers.Util.getElement(c);if(h!=null){return[h,false]}var o=OpenLayers.getDoc();var b=o.getElementsByTagName("link"),d,j;var f,e;for(f=0,e=b.length;f<e;++f){if(OpenLayers.Util.isEquivalentUrl(b.item(f).href,a)){b.item(f).setAttribute("id",c);return[b.item(f),false]}}b=o.getElementsByTagName("head");var k=b.length>0?b[0]:o.body;h=o.createElement("link");h.setAttribute("rel","stylesheet");h.setAttribute("type","text/css");h.setAttribute("href",a);h.setAttribute("id",c);if(g==""){k.appendChild(h);return[h,true]}var p=g?OpenLayers.Util.getElement(g):null;if(p!=null){OpenLayers.Element.insertAfter(h,p);return[h,true]}b=k.childNodes;j=null;for(f=0,e=b.length;f<e;f++){d=b[f];if(d.nodeType!=1){continue}switch(d.tagName.toLowerCase()){case"link":if(d.getAttribute("rel").toLowerCase()=="stylesheet"||d.getAttribute("type").toLowerCase()=="text/css"){j=d}break;case"style":j=d;break;default:break}if(j!=null){break}}if(j==null){k.appendChild(h)}else{j.parentNode.insertBefore(h,j)}return[h,true]},cleanContent:function(b){var a=b.replace(/[\r\n]?/gi,"");a=a.replace(/<[\/]?html[^>]*>/gi,"");a=a.replace(/<head[^>]*>.*<\/head>/gi,"");a=a.replace(/<[\/]?body[^>]*>/gi,"");a=a.replace(/<script[^>]*>.*<\/script>/gi,"");return a},getMaxDimensions:function(){var a=0,b=0;var c=OpenLayers.getDoc();if(c.innerHeight>b){a=c.innerWidth;b=c.innerHeight}if(c.documentElement&&c.documentElement.clientHeight>b){a=c.documentElement.clientWidth;b=c.documentElement.clientHeight}if(c.body&&c.body.clientHeight>b){a=c.body.clientWidth;b=c.body.clientHeight}return new OpenLayers.Size(a,b)},getCSSRule:function(j){j=j.toLowerCase();if(document.styleSheets){for(var f=0,b=document.styleSheets.length;f<b;f++){var d=document.styleSheets[f];var c=[];for(var h in {rules:"",imports:"",cssRules:""}){try{c=d[h];if(c!=undefined){for(var n=0,k=c.length;n<k;n++){var a=c[n];if(a&&a.selectorText&&a.selectorText.toLowerCase()==j){return a}}}break}catch(g){}}}}return null},dmsToDeg:function(i){if(!i){return Number.NaN}var h=i.match(/(^\s?-)|(\s?[SW]\s?$)/)!=null?-1:1;i=i.replace(/(^\s?-)|(\s?[NSEW]\s?)$/,"");i=i.replace(/\s/g,"");var e=i.match(/(\d{1,3})[.,°d]?(\d{0,2})['′]?(\d{0,2})[.,]?(\d{0,})(?:["″]|[']{2})?/);if(e==null){return Number.NaN}var f=(e[1]?e[1]:"0.0")*1;var a=(e[2]?e[2]:"0.0")*1;var b=(e[3]?e[3]:"0.0")*1;var c=(e[4]?("0."+e[4]):"0.0")*1;var g=(f+(a/60)+(b/3600)+(c/3600))*h;return g},degToDMS:function(e,c,a,p){var l=Math.abs(e);var f=Math.round(l+0.5)-1;var i=60*(l-f);var h=Math.round(i+0.5)-1;i=60*(i-h);var o=Math.round(i+0.5)-1;if(a===undefined||a<0){a=1}var g=Math.pow(10,a);var n=g*(i-o);n=Math.round(n+0.5)-1;if(n>=g){o=o+1;n=0}if(o==60){h=h+1;o=0}if(h==60){f=f+1;h=0}var d="";if(c&&!p&&(OpenLayers.Util.isArray(c))&&c.length==2){d=" "+(e>0?c[0]:c[1])}else{if(e<0){f=-1*f}}var j="%4d° %02d' %02d",b='.%0*d"';if(p){j=p;b="%0*d"}var q=OpenLayers.String.sprintf(j,f,h,o)+(a>0?OpenLayers.String.sprintf(b,a,n):(p?'"':""))+d;return q}};Geoportal.Cookies={_get:function(f){var g=OpenLayers.getDoc().cookie.split(";");var j={name:f,value:null,path:"",domain:"",ttl:0,secure:false};for(var e=0,a=g.length;e<a;e++){var d=g[e].split("=");var h=d[0];var b=d[1];if(OpenLayers.String.trim(h)===f){j.value=decodeURIComponent(b);break}}return(j.value===null?null:j)},get:function(b,a){var d=Geoportal.Cookies._get(OpenLayers.String.trim(b));return(d?d.value:a)},expireDateToHours:function(d){var b=new Date(d);if(isNaN(b)){return -1}var c=new Date();var a=(b.getTime()-c.getTime())/(60*60*1000);return a},set:function(i,e,b,j,d,a){if(i==null){return}var h=OpenLayers.String.trim(typeof(i)=="object"?i.name:i);var f=Geoportal.Cookies._get(h)||{name:"",value:null,ttl:0,path:"",domain:"",secure:false};var g;if(typeof(i)=="string"){g={name:h,value:typeof(e)==="undefined"?f.value||"":e,ttl:typeof(b)==="undefined"?f.ttl||"":b,path:f.path||j||"",domain:f.domain||d||"",secure:f.secure||a||false}}else{g={name:h,value:typeof(i.value)==="undefined"?f.value||"":i.value,ttl:typeof(i.ttl)==="undefined"?f.ttl||"":i.ttl,path:f.path||i.path||"",domain:f.domain||i.domain||"",secure:f.secure||i.secure||false}}OpenLayers.getDoc().cookie=Geoportal.Cookies.toString(g)},remove:function(a){Geoportal.Cookies.set(a,"",-1)},toString:function(e,b){var a=[];a.push(e.name+"="+encodeURIComponent(""+e.value));if(e.path){a.push("path="+e.path)}if(b===true){a.push("domain="+(!e.domain?location.hostname:e.domain))}if(e.ttl&&!isNaN(e.ttl)){if(e.ttl<1){a.push("expires=Thu, 01-Jan-1970 00:00:01 GMT")}else{a.push("max-age="+e.ttl*60*60)}}if(e.secure){a.push("secure")}var d=a.join("; ");return d},cookiesEnabled:function(){var a={name:"cookieEnabled",value:"1"};Geoportal.Cookies.set(a.name,a.value);var d=Geoportal.Cookies.get(a.name);var b=!(d===undefined||d!=a.value);Geoportal.Cookies.remove(a.name);return b}};Geoportal.Format.WMC=OpenLayers.Class(Geoportal.Format,OpenLayers.Format.WMC,{defaultVersion:"1.0.0",initialize:function(a){a=a||{};OpenLayers.Format.WMC.prototype.initialize.apply(this,[a])},CLASS_NAME:"Geoportal.Format.WMC"});Geoportal.Format.WMC.v1_1_0_AutoConf=OpenLayers.Class(Geoportal.Format.WMC,OpenLayers.Format.WMC.v1_1_0,{profile:"AutoConf",schemaLocation:"http://www.opengis.net/context http://schemas.opengis.net/context/1.1.0/context.xsd",initialize:function(a){OpenLayers.Format.WMC.v1_1_0.prototype.initialize.apply(this,[a])},namespaces:{ol:"http://openlayers.org/context",wmc:"http://www.opengis.net/context",sld:"http://www.opengis.net/sld",xlink:"http://www.w3.org/1999/xlink",xsi:"http://www.w3.org/2001/XMLSchema-instance",wmts:"http://www.opengis.net/wmts/1.0",gpp:"http://api.ign.fr/geoportail"},servicesMap:{"OGC:WMTS":OpenLayers.Layer.WMTS,"OGC:WFS":OpenLayers.Layer.WFS},read_gpp_General:function(a,b){a.generalOptions={};this.runChildNodes(a.generalOptions,b)},read_gpp_Theme:function(b,a){b.theme=OpenLayers.String.trim(this.getChildValue(a))},read_gpp_Territory:function(a,c){var b={};b.name=c.getAttribute("name");b.id=c.getAttribute("id");var d=c.getAttribute("default");b.isDefault=(d=="1"||d=="true")?true:false;this.runChildNodes(b,c);a.push(b)},read_gpp_Territories:function(b,a){b.territories=[];this.runChildNodes(b.territories,a)},read_gpp_TileMatrixSets:function(e,c){var b=new OpenLayers.Format.WMTSCapabilities.v1_0_0({namespaces:{ows:"http://www.opengis.net/ows/1.1",wmts:"http://www.opengis.net/wmts/1.0",xlink:"http://www.w3.org/1999/xlink"}});var d={layers:{},tileMatrixSets:{}};var a=b.readChildNodes(c,d);e.tileMatrixSets=a.tileMatrixSets},read_gpp_Resolutions:function(d,c){d.resolutions=[];var b=OpenLayers.String.trim(this.getChildValue(c)).split(",");for(var a in b){if(b.hasOwnProperty(a)){d.resolutions.push(parseFloat(OpenLayers.String.trim(b[a])))}}},read_gpp_Services:function(a,b){a.services={};this.runChildNodes(a.services,b)},read_wmc_Server:function(d,b){var e=b.getAttribute("service");var a={type:e||"OGC:WMS",servertitle:b.getAttribute("title")};var c={version:b.getAttribute("version"),url:this.getOnlineResource_href(b)};if(d.metadata){d.metadata=a;OpenLayers.Util.extend(d,c)}else{OpenLayers.Util.extend(c,{id:e,name:a.servertitle});d[e]=c}},read_gpp_defaultCRS:function(a,b){a.defaultCRS=OpenLayers.String.trim(this.getChildValue(b)).replace(/epsg/,"EPSG")},read_gpp_AdditionalCRS:function(b,a){b.additionalCRS=b.additionalCRS||[];b.additionalCRS.push(OpenLayers.String.trim(this.getChildValue(a)).replace(/epsg/,"EPSG"))},read_gpp_BoundingBox:function(c,b){var a=this.getChildValue(b).split(",");c.boundingBox=[parseFloat(a[0]),parseFloat(a[1]),parseFloat(a[2]),parseFloat(a[3])];c.temporalExtent=[b.getAttribute("minT")||"",b.getAttribute("maxT")||""]},read_gpp_Resolution:function(a,b){a.resolution=parseFloat(this.getChildValue(b))},read_gpp_Center:function(b,c){var a={};this.runChildNodes(a,c);b.center=a},read_gpp_x:function(a,b){a.lon=parseFloat(this.getChildValue(b))},read_gpp_y:function(a,b){a.lat=parseFloat(this.getChildValue(b))},read_gpp_DefaultLayers:function(a,b){a.defaultLayers={};this.runChildNodes(a.defaultLayers,b)},read_gpp_Tilt:function(a,b){},read_gpp_Heading:function(a,b){},read_gpp_DefaultLayer:function(b,a){var c=a.getAttribute("layerId");if(c){b[c]={}}},read_gpp_Layer:function(a,b){a.id=b.getAttribute("id");a.options=a.options||{};a.options.order=parseFloat(b.getAttribute("order")||0);a.options.opacity=parseFloat(b.getAttribute("opacity")||1);var c=b.getAttribute("visibleInCatalog")||"0";a.options.displayInLayerSwitcher=(c=="1"||c=="true")?true:false;if(b.getAttribute("aggregate")=="aggregate"){a.aggregate=true}if(b.getAttribute("more")=="more"){a.hasMoreInformations=true}this.runChildNodes(a.options,b)},read_gpp_Thematics:function(a,b){a.thematics=[];this.runChildNodes(a.thematics,b)},read_gpp_InspireThematics:function(a,b){a.inspireThematics=[];this.runChildNodes(a.inspireThematics,b)},read_gpp_Originators:function(a,b){a.originators=[];this.runChildNodes(a.originators,b)},read_gpp_Legends:function(a,b){a.legends=[];this.runChildNodes(a.legends,b)},read_gpp_QuickLook:function(b,a){b.quickLook={};this.runChildNodes(b.quickLook,a)},read_wmts_TileMatrixSetLink:function(a,d){var c=[];var b=new OpenLayers.Format.WMTSCapabilities.v1_0_0({namespaces:{ows:"http://www.opengis.net/ows/1.1",wmts:"http://www.opengis.net/wmts/1.0",xlink:"http://www.w3.org/1999/xlink"}});var e={};a.tileMatrixSetLink=b.readChildNodes(d,e)},read_gpp_MetadataURL:function(a,b){a.metadataURL=a.metadataURL||[];var c={};c.format=b.getAttribute("format")||"";this.runChildNodes(c,b);a.metadataURL.push(c)},read_gpp_Keys:function(a,b){a.keys={};this.runChildNodes(a.keys,b)},read_gpp_Thematic:function(a,b){a.push(OpenLayers.String.trim(this.getChildValue(b)))},read_gpp_InspireThematic:function(b,a){b.push(OpenLayers.String.trim(this.getChildValue(a)))},read_gpp_Originator:function(a,b){var c={};c.name=b.getAttribute("name");this.runChildNodes(c,b);a.push(c)},read_gpp_Attribution:function(b,a){b.attribution=OpenLayers.String.trim(this.getChildValue(a))},read_gpp_Logo:function(b,a){b.pictureUrl=OpenLayers.String.trim(this.getChildValue(a))},read_gpp_URL:function(b,a){b.url=OpenLayers.String.trim(this.getChildValue(a))},read_gpp_Constraints:function(b,a){var c=[];this.runChildNodes(c,a);b.constraints=c},read_gpp_Constraint:function(c,a){var b={};this.runChildNodes(b,a);c.push(b)},read_gpp_Legend:function(a,c){var b={};this.runChildNodes(b,c);a.push(b)},read_gpp_LegendURL:function(a,b){a.width=b.getAttribute("width")||-1;a.height=b.getAttribute("height")||-1;a.format=b.getAttribute("format")||"";this.runChildNodes(a,b)},read_gpp_Key:function(b,a){b[a.getAttribute("id")]=OpenLayers.String.trim(this.getChildValue(a))},CLASS_NAME:"Geoportal.Format.WMC.v1_1_0_AutoConf"});Geoportal.GeoRMHandler={};OpenLayers=OpenLayers||{};if(!OpenLayers.getDoc){OpenLayers.getDoc=function(){return OpenLayers._document||document}}OpenLayers.Util=OpenLayers.Util||{};if(!OpenLayers.Util.extend){OpenLayers.Util.extend=function(a,e){a=a||{};if(e){for(var d in e){var c=e[d];if(c!==undefined){a[d]=c}}var b=typeof window.Event=="function"&&e instanceof window.Event;if(!b&&e.hasOwnProperty&&e.hasOwnProperty("toString")){a.toString=e.toString}}return a}}if(!OpenLayers.Util.getElement){OpenLayers.Util.getElement=function(){var d=[];for(var c=0,a=arguments.length;c<a;c++){var b=arguments[c];if(typeof b=="string"){b=document.getElementById(b)}if(arguments.length==1){return b}d.push(b)}return d}}if(!OpenLayers.Util.applyDefaults){OpenLayers.Util.applyDefaults=function(d,c){d=d||{};var b=typeof window.Event=="function"&&c instanceof window.Event;for(var a in c){if(d[a]===undefined||(!b&&c.hasOwnProperty&&c.hasOwnProperty(a)&&!d.hasOwnProperty(a))){d[a]=c[a]}}if(!b&&c&&c.hasOwnProperty&&c.hasOwnProperty("toString")&&!d.hasOwnProperty("toString")){d.toString=c.toString}return d}}if(!OpenLayers.Util.urlAppend){OpenLayers.Util.urlAppend=function(a,b){var d=a;if(b){var c=(a+" ").split(/[?&]/);d+=(c.pop()===" "?b:c.length?"&"+b:"?"+b)}return d}}if(!OpenLayers.Util.indexOf){OpenLayers.Util.indexOf=function(d,c){if(typeof d.indexOf=="function"){return d.indexOf(c)}else{for(var b=0,a=d.length;b<a;b++){if(d[b]==c){return b}}return -1}}}Geoportal.GeoRMHandler.Updater=function(c,b,a,d){OpenLayers.Util.extend(this,d);this.maps=[];this.tgts=[];this.scripts=[];this.domHeads=[];this.GeoRMKey=c;this.lastUpdate=0;this.serverUrl=b||Geoportal.GeoRMHandler.getGeormServerUrl();if(this.serverUrl.charAt(this.serverUrl.length-1)!="/"){this.serverUrl+="/"}if(a){this.ttl=1000*a}this.queryUrl="";if(OpenLayers.Events){this.events=new OpenLayers.Events(this,null,this.EVENT_TYPES)}if(this.eventListeners instanceof Object){this.eventListeners=[]}this.addOptions(d);if(OpenLayers.Event){OpenLayers.Event.observe(window,"unload",this.destroy)}};Geoportal.GeoRMHandler.Updater.prototype={GeoRMKey:null,serverUrl:null,ttl:600000,token:{},maps:null,tgts:null,queryUrl:null,lastUpdate:0,status:0,domHeads:null,scripts:null,reload:false,EVENT_TYPES:["tokenupdatestart","tokenupdateend","tokenloaded"],events:null,onBeforeUpdateToken:function(){},onUpdateTokenFailure:function(){},onUpdateTokenSuccess:function(){},onTokenLoaded:function(a){if(a&&a.setCenter){a.setCenter(a.getCenter(),a.getZoom(),false,true)}},addOptions:function(a){if(a){if(a.eventListeners&&a.eventListeners instanceof Object){if(!this.eventListeners){this.eventListeners=[]}this.eventListeners.push(a.eventListeners);if(this.events){this.events.on(a.eventListeners)}}}},addMap:function(e){for(var c=0,a=this.maps.length;c<a;c++){if(this.maps[c]===e){return}}this.maps.push(e);var d=(e?e.div.ownerDocument:OpenLayers.getDoc());for(var c=0,a=this.tgts.length;c<a;c++){if(this.tgts[c]===d){return}}this.tgts.push(d);var b=(d.getElementsByTagName("head").length?d.getElementsByTagName("head")[0]:d.body);this.domHeads.push(b);this.getToken()},destroy:function(){if(OpenLayers.Event){OpenLayers.Event.stopObserving(window,"unload",this.destroy)}if(this.events){if(this.eventListeners){for(var b=0,a=this.eventListeners.length;b<a;b++){this.events.un(this.eventListeners[b])}this.eventListeners=null}this.events.destroy();this.events=null}if(this.GeoRMKey){this.GeoRMKey=null}if(this.serverUrl){this.serverUrl=null}if(this.token){this.token=null}if(this.maps){this.maps=null}if(this.tgts){this.tgts=null}if(this.scripts){this.scripts=null}if(this.domHeads){this.domHeads=null}if(this.queryUrl){this.queryUrl=null}},getToken:function(){return this.token},updateToken:function(){},CLASS_NAME:"Geoportal.GeoRMHandler.Updater"};Geoportal.GeoRMHandler.getGeormServerUrl=function(){return window.location.protocol+Geoportal.GeoRMHandler.GEORM_SERVER_URL.split(":")[1]};Geoportal.GeoRMHandler.getCookieReferrer=function(f,i){var c=i===true?{}:"";if(Geoportal.Cookies.cookiesEnabled()){var b=Geoportal.Cookies.get(Geoportal.GeoRMHandler.GEORM_REFERRER_COOKIENAME);if(b===undefined){var h=f||OpenLayers.getDoc();h=h.ownerDocument||h;var a=h.defaultView||h.parentWindow;var g=a.opener;try{if(g){b=g&&g.location&&g.location.href}else{b=h.location.href}}catch(f){b=h.location.href}b="referrer,"+encodeURIComponent(b||"http://localhost/")}c=i===true?{cookie:b}:"cookie="+b}else{if(OpenLayers.Console){OpenLayers.Console.warn(OpenLayers.i18n("cookies.not.enabled"))}}return c};Geoportal.GeoRMHandler.getConfig=function(geoRMKey,callback,serverUrl,options){if(window.gGEOPORTALRIGHTSMANAGEMENT===undefined){gGEOPORTALRIGHTSMANAGEMENT={pending:0,apiKey:[],services:{}}}if(!geoRMKey){return 0}if(typeof(geoRMKey)=="string"){geoRMKey=[geoRMKey]}if(geoRMKey.length==0){return 0}options=options||{};var gfn=function(f){if(!f){return null}var fn=/\W*function\s+([\w\$]+)\(/.exec(f);if(!fn){return null}return fn[1]};var callbackName=!callback?"Geoportal.GeoRMHandler.getContract":typeof(callback)=="string"?callback:gfn(callback);if(!callbackName){return 0}var keys=[];if(geoRMKey.length>1){keys=geoRMKey.slice(1)}var params={output:"json"};if(options.transport=="referrer"){params.cookie=options.referrer||"http://localhost/"}if(keys.length>0){params.keys=keys.join(",")}var callbackFn=!callback?Geoportal.GeoRMHandler.getContract:typeof(callback)=="string"?eval(callback):callback;var autoConfAggregateUrl=(serverUrl||Geoportal.GeoRMHandler.getGeormServerUrl()).replace("$key$/",geoRMKey[0]+"/id/");var s=new OpenLayers.Protocol.Script({url:(serverUrl||Geoportal.GeoRMHandler.getGeormServerUrl()).replace("$key$",geoRMKey[0]),params:params,callback:OpenLayers.Function.bind(Geoportal.GeoRMHandler.parseAutoConf,null,geoRMKey.slice(),autoConfAggregateUrl,callbackFn),onError:options.onContractsFail||function(){OpenLayers.Console.warn("Geoportal.GeoRMHandler.getConfig failed")},handleResponse:function(response,options){if(response.priv){this.destroyRequest(response.priv)}options.callback.call(options.scope,response)}});++gGEOPORTALRIGHTSMANAGEMENT.pending;if(!callback){OpenLayers.Util.extend(gGEOPORTALRIGHTSMANAGEMENT,options)}s.read();return gGEOPORTALRIGHTSMANAGEMENT.pending};Geoportal.GeoRMHandler.parseAutoConf=function(g,c,b,l){var r={};if(l.data.http.error){r.error=l.data.http.error}else{var y=new Geoportal.Format.WMC.v1_1_0_AutoConf();var d=y.read(l.data.xml);var e=d.generalOptions;var E="OGC",o="WMTS",q={};for(var D in e.services){var f=D.split(":");E=f.shift()||"OGC";o=f.pop()||"WMTS";if(E=="GPP"){q[D]=e.services[D]}}e.services=q;for(var D in e.services){if(gGEOPORTALRIGHTSMANAGEMENT.services[e.services[D].url]===undefined){gGEOPORTALRIGHTSMANAGEMENT.services[e.services[D].url]={id:"__"+e.services[D].url.replace(/[^a-z0-9.-]/gi,"_")+"__",type:e.services[D].id,caps:null}}}Geoportal.Catalogue.completeConfiguration(d)}if(gGEOPORTALRIGHTSMANAGEMENT.pending>0){gGEOPORTALRIGHTSMANAGEMENT.pending--;gGEOPORTALRIGHTSMANAGEMENT.pending+=g.length}for(var w=0,x=g.length;w<x;w++){var C=g[w];r.key=C;if(!r.error){r.boundingBox={minx:-180,miny:-90,maxx:180,maxy:90};r.resources=[];for(var s=0,k=d.layersContext.length;s<k;s++){var B=d.layersContext[s];if(B.aggregate){B.options.keys={};for(var n=0;n<x;n++){B.options.keys[g[n]]=c+B.id}}if(B.options.keys&&B.options.keys[C]){var A=B.name;var u=Geoportal.Catalogue.DEFAULT_SERVICE_TYPE;var o=B.metadata&&B.metadata.type?B.metadata.type.split(":").pop()||u:"";if(B.aggregate){o="aggregate"}var p=(o+";").split(";")[1];var a={name:A.split(";").shift(),type:o.split(";").shift(),url:B.options.keys[C],version:B.version};if(p.length>0){a.subType=";"+p}r.resources.push(a)}}r.services=e.services}b(r);if(e.services&&gGEOPORTALRIGHTSMANAGEMENT[C]){for(var z in e.services){var h=z.split(":")[1].replace(/OpenLS/,"OPENLS");switch(z){case"GPP:Elevation":case"GPP:PrintMap":case"GPP:SearchLayers":gGEOPORTALRIGHTSMANAGEMENT[C].allowedGeoportalLayers.push(z);gGEOPORTALRIGHTSMANAGEMENT[C].resources[z]={name:z,type:h,url:e.services[z].url};break;default:break}}}}};Geoportal.GeoRMHandler.getContract=function(p){if(gGEOPORTALRIGHTSMANAGEMENT.pending>0){gGEOPORTALRIGHTSMANAGEMENT.pending--;if(p.error){OpenLayers.Console.warn(p.error)}else{var e=gGEOPORTALRIGHTSMANAGEMENT[p.key];if(p.resources.length>0&&OpenLayers.Util.indexOf(gGEOPORTALRIGHTSMANAGEMENT.apiKey,p.key)==-1){gGEOPORTALRIGHTSMANAGEMENT.apiKey.push(p.key);e=gGEOPORTALRIGHTSMANAGEMENT[p.key]={tokenServer:{url:p.service,ttl:p.tokenTimeOut},tokenTimeOut:p.tokenTimeOut,bounds:p.boundingBox?[p.boundingBox.minx,p.boundingBox.miny,p.boundingBox.maxx,p.boundingBox.maxy]:[-180,-90,180,90],allowedGeoportalLayers:[],resources:{},defaultGeoportalLayers:[],services:p.services||{}}}else{if(e&&p.boundingBox.minx<e.bounds[0]){e.bounds[0]=p.boundingBox.minx}if(e&&p.boundingBox.miny<e.bounds[1]){e.bounds[1]=p.boundingBox.miny}if(e&&p.boundingBox.maxx>e.bounds[2]){e.bounds[2]=p.boundingBox.maxx}if(e&&p.boundingBox.maxy>e.bounds[3]){e.bounds[3]=p.boundingBox.maxy}}for(var g=0,d=p.resources.length;g<d;g++){var a=p.resources[g],b=a.name+":"+a.type+(a.subType||"");if(OpenLayers.Util.indexOf(e.allowedGeoportalLayers,b)==-1){e.allowedGeoportalLayers.push(b);e.resources[b]=OpenLayers.Util.extend({},a);delete e.resources[b].subType}if(gGEOPORTALRIGHTSMANAGEMENT.services[a.url]===undefined){gGEOPORTALRIGHTSMANAGEMENT.services[a.url]={id:"__"+a.url.replace(/[^a-z0-9.-]/gi,"_")+"__",type:a.type,caps:null}}}if(e){var n=e.allowedGeoportalLayers.slice();for(var g=n.length-1;g>=0;g--){var o=false;for(var q in Geoportal.Catalogue.TERRITORIES){var c=Geoportal.Catalogue.TERRITORIES[q];var h=n[g].split(":")[0];var f=n[g].split(":")[1];var d=Geoportal.Catalogue.LAYERNAMES[h];if(!d){continue}var j=d.key;d=c.defaultLayers[j];if(d&&d.isDefault===true&&(j&&j.indexOf(f)!=-1)){o=true;break}}if(!o){n.splice(g,1)}}e.defaultGeoportalLayers=n}}if(gGEOPORTALRIGHTSMANAGEMENT.pending==0){if(typeof(gGEOPORTALRIGHTSMANAGEMENT.onContractsComplete)==="function"){gGEOPORTALRIGHTSMANAGEMENT.onContractsComplete()}}}return gGEOPORTALRIGHTSMANAGEMENT};Geoportal.GeoRMHandler.getServicesCapabilities=function(i,j,d,n){if(window.gGEOPORTALRIGHTSMANAGEMENT===undefined){gGEOPORTALRIGHTSMANAGEMENT={}}if(!i){if(!gGEOPORTALRIGHTSMANAGEMENT.services){return null}i=gGEOPORTALRIGHTSMANAGEMENT.services}n=n||{};OpenLayers.Util.applyDefaults(n,gGEOPORTALRIGHTSMANAGEMENT.capabilities);var b=function(p){if(!p){return null}var o=/\W*function\s+([\w\$]+)\(/.exec(p);if(!o){return null}return o[1]};var f=!j?(n.callback?n.callback:"Geoportal.GeoRMHandler.getCapabilities"):(typeof(j)=="string"?j:b(j));if(!f){return null}for(var k in i){var c=i[k];var g=c.type;switch(c.type){case"WFS":break;case"WMTS":break;case"WMSC":g="WMS";break;case"WMS":break;default:c.caps={};continue}var h=OpenLayers.getDoc();var e=(h.getElementsByTagName("head").length?h.getElementsByTagName("head")[0]:h.body);var l=OpenLayers.Util.getElement(c.id);if(l&&l.parentNode){l.parentNode.removeChild(l)}l=h.createElement("script");l.id=c.id;l.setAttribute("type","text/javascript");var a=d||n.proxy||Geoportal.JSON_PROXY_URL;a=OpenLayers.Util.urlAppend(a,"url="+encodeURIComponent(OpenLayers.Util.urlAppend(k,"SERVICE="+g+"&REQUEST=GetCapabilities&"))+"&callback="+f+"&");l.setAttribute("src",a);e.appendChild(l)}if(!j){if(n.onCapabilitiesComplete){gGEOPORTALRIGHTSMANAGEMENT.onCapabilitiesComplete=n.onCapabilitiesComplete}}return i};Geoportal.GeoRMHandler.getCapabilities=function(h){if(!h){h={}}if(!h.http){h.http={}}if(!h.http.code){h.http.code=400}if(!h.http.url){h.http.url="http://localhost/?"}if(!h.xml){h.xml=""}var n=h.http.url.split("?")[0];var c=gGEOPORTALRIGHTSMANAGEMENT.services[n];if(h.http.code!=200){OpenLayers.Console.warn(OpenLayers.i18n("url.error",{url:h.http.url,msg:""}))}else{if(c){var j=OpenLayers.Format.XML.prototype.read.call({},[h.xml]);var d=null;switch(c.type){case"WFS":d=OpenLayers.Format?OpenLayers.Format.WFSCapabilities:null;break;case"WMTS":d=OpenLayers.Format?OpenLayers.Format.WMTSCapabilities:null;break;case"WMSC":case"WMS":d=OpenLayers.Format?OpenLayers.Format.WMSCapabilities:null;break;default:break}if(d){var a=new d();var f=null;try{f=a.read(j)}catch(k){OpenLayers.Console.warn("url.error",{url:h.http.url,msg:""})}finally{if(f&&f.exceptions){var b="";for(var g=0,e=f.exceptions.length;g<e;g++){b+=f.exceptions[g]+"\n"}OpenLayers.Console.warn("url.error",{url:h.http.url,msg:b})}else{c.caps=f}}}var o=OpenLayers.Util.getElement(c.id);if(o&&o.parentNode){o.parentNode.removeChild(o)}}}if(c&&!c.caps){c.caps={}}for(var c in gGEOPORTALRIGHTSMANAGEMENT.services){if(gGEOPORTALRIGHTSMANAGEMENT.services[c].caps===null){return}}if(typeof(gGEOPORTALRIGHTSMANAGEMENT.onCapabilitiesComplete)==="function"){gGEOPORTALRIGHTSMANAGEMENT.onCapabilitiesComplete()}};Geoportal.GeoRMHandler.addKey=function(c,b,a,g,d){var f=OpenLayers.getDoc();var e=(f.defaultView||f.parentWindow).Geoportal.GeoRMHandler;if(!e["U"+c]){e["U"+c]=new Geoportal.GeoRMHandler.Updater(c,b,a,d);e["U"+c].getToken()}else{e["U"+c].addOptions(d)}e["U"+c].addMap(g);return e["U"+c]};Geoportal.GeoRMHandler.GEORM_REFERRER_COOKIENAME="__rfrrric__";Geoportal.GeoRMHandler.GEORM_SERVER_URL=window.location.protocol+"//wxs.ign.fr/$key$/autoconf/";Geoportal.JSON_PROXY_URL="http://api.ign.fr/geoportail/api/xmlproxy?output=json";Geoportal.UI=OpenLayers.Class(OpenLayers.UI,{setComponent:function(a){this.component=a;if(!this.displayClass){this.displayClass=a.CLASS_NAME.replace("Geoportal.","gp").replace(/\./g,"")}},CLASS_NAME:"Geoportal.UI"});Geoportal.Control=OpenLayers.Class(OpenLayers.Control,{uis:["Geoportal.UI"],CLASS_NAME:"Geoportal.Control"});if(OpenLayers.UI&&!OpenLayers.UI.Panel){Geoportal.Control=OpenLayers.overload(Geoportal.Control,{initialize:function(a){this.displayClass=this.CLASS_NAME.replace("Geoportal.","gp").replace(/\./g,"");OpenLayers.Util.extend(this,a);this.events=new OpenLayers.Events(this,null,this.EVENT_TYPES);if(this.eventListeners instanceof Object){this.events.on(this.eventListeners)}if(this.id==null){this.id=OpenLayers.Util.createUniqueID(this.CLASS_NAME+"_")}}})}Geoportal.Control.selectFeature=function(a){if(a){if(!a.popup){a.createPopup()}if(a.layer&&a.layer.map&&a.popup){a.layer.map.addPopup(a.popup)}}};Geoportal.Control.renderFeatureAttributes=function(c,d){if(!c){return["",""]}if(!d){d=[]}d.unshift("styleUrl");var e='<table border="1" cellspacing="0" cellpadding="0">';var b="";for(var a in c.attributes){if(c.attributes.hasOwnProperty(a)&&(OpenLayers.Array.filter(d,function(f){return new RegExp("^"+a+"$","i").test(f)})).length==0){if(a.toLowerCase()=="name"){if(c.attributes[a]&&typeof(c.attributes[a])=="object"){b=c.attributes[a].value}else{b=c.attributes[a]}b=b||""}e+='<tr><td class="gpAttName">'+a+'</td><td class="gpAttValue">'+(c.attributes[a]&&typeof(c.attributes[a])=="object"?c.attributes[a].value:c.attributes[a])||"</td></tr>"}}e+="</table>";return[b,e]};Geoportal.Control.hoverFeature=function(b){if(b){if(!b.popup){var a=Geoportal.Control.renderFeatureAttributes(b);if(!b.popupClass){b.popupClass=b.layer&&b.layer.formatOptions&&b.layer.formatOptions.popupClass?b.layer.formatOptions.popupClass:typeof(OpenLayers.Popup)!="undefined"&&typeof(OpenLayers.Popup.FramedCloud)!="undefined"?OpenLayers.Popup.FramedCloud:null}if(b.popupClass){b.popup=new b.popupClass("chicken",b.geometry.getBounds().getCenterLonLat(),null,'<div class="gpPopupHead">'+a[0]+'</div><div class="gpPopupBody">'+a[1]+"</div>",null,false);Geoportal.Popup.completePopup(b.popup,{maxSize:new OpenLayers.Size(300,300),overflow:"auto"})}else{b.popup=null}}if(b.layer&&b.layer.map&&b.popup){b.layer.map.addPopup(b.popup,true)}}};Geoportal.Control.unselectFeature=function(a){if(a){if(a.popup){a.popup.destroy();a.popup=null}}};Geoportal.Control.mapMouseOut=function(a){if(this.map&&this.map.events){this.map.events.triggerEvent("mapmouseout");if(a!=null){OpenLayers.Event.stop(a)}}};Geoportal.Control.mapMouseOver=function(a){if(this.map&&this.map.events){this.map.events.triggerEvent("mapmouseover");if(a!=null){OpenLayers.Event.stop(a)}}};Geoportal.Control.Logo=OpenLayers.Class(Geoportal.Control,{logoPrefix:"http://wxs.ign.fr/static/logos/",logoSuffix:".gif",logoSize:null,attributionDiv:null,separator:", ",_isSizeFixed:false,_listeLogos:null,_attributions:null,initialize:function(a){Geoportal.Control.prototype.initialize.apply(this,arguments);this._isSizeFixed=this.logoSize!=null;if(!this._isSizeFixed){this.logoSize=new OpenLayers.Size(Geoportal.Control.Logo.WHSizes.normal,Geoportal.Control.Logo.WHSizes.normal)}else{if(typeof(this.logoSize)=="number"){this.logoSize=new OpenLayers.Size(this.logoSize,this.logoSize)}}this._listeLogos=[];this._attributions=[]},destroy:function(){var b=this.div.childNodes;for(var a=0;a<b.length;a++){this.div.removeChild(b[a])}this._listeLogos=null;this._attributions=null;this.logoSize=null;this._isSizeFixed=false;this.map.events.unregister("addlayer",this,this.redraw);this.map.events.unregister("changelayer",this,this.redraw);this.map.events.unregister("removelayer",this,this.redraw);this.map.events.unregister("zoomend",this,this.redraw);this.map.events.unregister("move",this,this.redraw);this.map.events.unregister("changebaselayer",this,this.changeBaseLayer);this.map.events.unregister("controlvisibilitychanged",this,this.onVisibilityChanged);Geoportal.Control.prototype.destroy.apply(this,arguments)},draw:function(a){Geoportal.Control.prototype.draw.apply(this,arguments);return this.div},redraw:function(){var p,e;var q=this.div.childNodes;for(p=0,e=q.length;p<e;p++){q[p].style.display="none"}if(this.attributionDiv){this.attributionDiv.innerHTML=""}var n=this.map.layers;var w=this.map.getZoom();var d;this._attributions=[];for(p=0,e=n.length;p<e;p++){if(!n[p].getVisibility()||!n[p].inRange){continue}if(n[p].originators!=null){var s;for(var g=0,h=n[p].originators.length;g<h;g++){s=true;var d=n[p].originators[g];if(d.minZoomLevel&&(d.minZoomLevel>w)){s=false}if(s&&d.maxZoomLevel&&(d.maxZoomLevel<w)){s=false}if(s&&d.extent){var c=this.map.calculateBounds();if(c){if(!(OpenLayers.Util.isArray(d.extent))){d.extent=[d.extent]}var r=false;for(var f=0,a=d.extent.length;f<a;f++){if(c.intersectsBounds(d.extent[f])){r=true;break}}s=r}}if(s){if(!d.logo){d.logo=d.url||"#"}if(!d.pictureUrl||!d.url){var b=Geoportal.Catalogue.getOriginator(d.logo);d.pictureUrl=b.pictureUrl||"";d.url=b.url||"#";d.attribution=d.attribution||b.attribution}var u=d.attribution||n[p].attribution||"&copy; "+d.logo.toUpperCase();this._ajoutLogo(d.logo,d.url,d.pictureUrl,u)}}}}},_ajoutLogo:function(f,c,e,b){if(this._listeLogos[f]==null){var a=this.div.ownerDocument.createElement("div");this.div.appendChild(a);this._listeLogos[f]=a;var g=OpenLayers.Util.createImage(null,null,this.logoSize,e?e:this.buildPathToLogo(f),null,null,null,false);if(c!=null){var d=this.div.ownerDocument.createElement("a");if(c.match(/^javascript:/)){d.setAttribute("href","#");d.setAttribute("onclick",c)}else{d.setAttribute("href",c);d.setAttribute("target","_blank")}d.appendChild(g);a.appendChild(d)}else{a.appendChild(g)}}else{this._listeLogos[f].style.display=""}if(this.attributionDiv){this._attributions.push(b);this.attributionDiv.innerHTML=this._attributions.join(this.separator)}},buildPathToLogo:function(a){return this.logoPrefix+a+"/"+a+this.logoSuffix},setMap:function(){Geoportal.Control.prototype.setMap.apply(this,arguments);this.map.events.register("addlayer",this,this.redraw);this.map.events.register("changelayer",this,this.redraw);this.map.events.register("removelayer",this,this.redraw);this.map.events.register("zoomend",this,this.redraw);this.map.events.register("move",this,this.redraw);this.map.events.register("changebaselayer",this,this.changeBaseLayer);this.map.events.register("controlvisibilitychanged",this,this.onVisibilityChanged)},changeLogoSize:function(l){if(this._isFixedSize){return}var h=null;if(typeof(l)=="number"){h=new OpenLayers.Size(l,l)}else{h=l.clone()}this.logoSize=h;var d=this.map.layers;for(var e=0,k=d.length;e<k;e++){var g=d[e];if(g.originators!=null){for(var b=0,f=g.originators.length;b<f;b++){var a=g.originators[b];if(this._listeLogos[a.logo]!=null){var c=this._listeLogos[a.logo].firstChild;if(c){if(c.firstChild){c=c.firstChild}if(c){c.style.width=this.logoSize.w+"px";c.style.height=this.logoSize.h+"px"}}}}}}h=null},changeBaseLayer:function(p){if(!p){return}if(!(p.layer)){return}if(!(p.baseLayer)){return}var n=p.baseLayer.getNativeProjection();var o=p.layer.getNativeProjection();var g=this.map.layers;var b;for(var h=0,c=g.length;h<c;h++){if(g[h].originators!=null){for(var e=0,f=g[h].originators.length;e<f;e++){var b=g[h].originators[e];if(b.extent){if(!(OpenLayers.Util.isArray(b.extent))){b.extent=[b.extent]}for(var d=0,a=b.extent.length;d<a;d++){b.extent[d].transform(n,o,true)}}}}}},onVisibilityChanged:function(d){if(!d||!d.size){return}var c=(d.visibility?1:-1);var a=Geoportal.Util.getComputedStyle(this.div,"bottom",true);a=a+c*d.size.h;this.div.style.bottom=a+"px"},CLASS_NAME:"Geoportal.Control.Logo"});Geoportal.Control.Logo.WHSizes={normal:50,mini:30};Geoportal.OLS.Request=OpenLayers.Class(Geoportal.OLS.AbstractBody,{methodName:null,version:null,requestID:null,maximumResponses:null,_requestParameters:null,initialize:function(b,a,d,c){this.methodName=b;this.version=a;this.requestID=d;this.maximumResponses=null;this._requestParameters=null;Geoportal.OLS.prototype.initialize.apply(this,[c])},destroy:function(){this.methodName=null;this.version=null;this.requestID=null;this.maximumResponses=null;if(this._requestParameters){this._requestParameters.destroy();this._requestParameters=null}Geoportal.OLS.prototype.destroy.apply(this,arguments)},getRequestParameters:function(){return this._requestParameters?this._requestParameters:null},setRequestParameters:function(a){this._requestParameters=a},CLASS_NAME:"Geoportal.OLS.Request"});Geoportal.Format.GASR=OpenLayers.Class(Geoportal.Format,OpenLayers.Format.XML,{defaultPrefix:"alti",regExes:{trimSpace:(/^\s*|\s*$/g),removeSpace:(/\s*/g),splitSpace:(/\s+/),trimComma:(/\s*,\s*/g)},initialize:function(a){OpenLayers.Format.XML.prototype.initialize.apply(this,[a])},read:function(c){if(typeof(c)=="string"){c=OpenLayers.Format.XML.prototype.read.apply(this,[c])}if(!c){return[]}var b=(c.nodeType==9?c.documentElement:c);var a={error:null,elevations:[]};this.readNode(b,a);return a},readers:{alti:{error:function(a,b){b.error={};this.readChildNodes(a,b.error)},code:function(b,c){var a=this.getChildValue(b);c.code=a},description:function(b,c){var a=this.getChildValue(b);c.description=a},elevations:function(a,b){this.readChildNodes(a,b)},elevation:function(b,c){var a={};this.readChildNodes(b,a);c.elevations.push(a)},lon:function(b,c){var a=this.getChildValue(b);c.lon=a},lat:function(b,c){var a=this.getChildValue(b);c.lat=a},z:function(b,c){var a=this.getChildValue(b);c.z=a},acc:function(b,c){var a=this.getChildValue(b);c.acc=a}}},CLASS_NAME:"Geoportal.Format.GASR"});Geoportal.OLS.RequestHeader=OpenLayers.Class(Geoportal.OLS.AbstractHeader,{clientName:null,clientPassword:null,sessionID:null,srsName:null,MSID:null,initialize:function(a){this.clientName=null;this.clientPassword=null;this.sessionID=null;this.srsName=null;this.MSID=null;Geoportal.OLS.AbstractHeader.prototype.initialize.apply(this,arguments)},destroy:function(){this.clientName=null;this.clientPassword=null;this.sessionID=null;this.srsName=null;this.MSID=null;Geoportal.OLS.AbstractHeader.prototype.destroy.apply(this,arguments)},CLASS_NAME:"Geoportal.OLS.RequestHeader"});Geoportal.Layer.OpenLS.Core.LocationUtilityService=OpenLayers.Class(Geoportal.Layer.OpenLS.Core,{XML_PARAM_NAME:"xls",queriedAddresses:null,popupClass:null,olsRqst:null,isAvailable:true,initialize:function(b,a){if(!this.checkRightManagement(b)){console.log("No right to load this layer !");return}Geoportal.Layer.OpenLS.Core.prototype.initialize.apply(this,[b,a]);this.formatOptions.coreService="LocationUtilityService";this.queriedAddresses=[];this.reportError=false;if(!(this.style||a.styleMap)){this.applyStyles(a)}if(!a||!a.onFeatureInsert){this.onFeatureInsert=this.createPopupForAddress}this.selectCntrl=new OpenLayers.Control.SelectFeature(this,{onSelect:Geoportal.Control.selectFeature,onUnselect:Geoportal.Control.unselectFeature,hover:true})},checkRightManagement:function(b){var a=window.gGEOPORTALRIGHTSMANAGEMENT[window.gGEOPORTALRIGHTSMANAGEMENT.apiKey].resources[b];if(a==null){this.isAvailable=false}return this.isAvailable},applyStyles:function(c){var b=c.marker||Geoportal.Util.getImagesLocation()+"xy-target.png";var a=c.marker?c.radius||16:8;this.styleMap.styles["default"].defaultStyle=OpenLayers.Util.applyDefaults({externalGraphic:b,graphicOpacity:1,pointRadius:a},this.styleMap.styles["default"].defaultStyle);this.styleMap.styles.select.defaultStyle=OpenLayers.Util.applyDefaults({externalGraphic:b,graphicOpacity:1,pointRadius:2*a},this.styleMap.styles.select.defaultStyle);this.styleMap.styles.temporary.defaultStyle=OpenLayers.Util.applyDefaults({externalGraphic:b,graphicOpacity:1,pointRadius:a},this.styleMap.styles.temporary.defaultStyle)},destroy:function(){this.abortRequest();this.cleanQueries();this.selectCntrl=null;Geoportal.Layer.OpenLS.Core.prototype.destroy.apply(this,arguments)},setMap:function(d){if(d){Geoportal.Layer.OpenLS.prototype.setMap.apply(this,arguments);if(this.selectCntrl){d.addControl(this.selectCntrl)}if(d.apiKey&&d.catalogue){var b,e;for(var c=0,a=d.apiKey.length;c<a;c++){b=d.apiKey[c];if(d.catalogue[b].layers[this.name]){e={eventListeners:{tokenloaded:this.onTokenLoaded,scope:this}};e.transport=d.catalogue[b].transport;if(d.catalogue[b][e.transport]){e[e.transport]=d.catalogue[b][e.transport]}this.GeoRM=this.options.GeoRM=Geoportal.GeoRMHandler.addKey(b,d.catalogue[b].tokenServer.url,d.catalogue[b].tokenServer.ttl,d,e);break}}}}},onTokenLoaded:function(a){if(this.wait!=null&&typeof(this.wait)=="object"){this.wait.clbk.apply(this,this.wait.args);this.wait=null}return true},GEOCODE:function(e,l){if(!(OpenLayers.Util.isArray(e))){e=[e]}var d=new Geoportal.OLS.LUS.GeocodeRequest();if(!this.queriedAddresses){this.queriedAddresses=[]}for(var f=0,j=e.length;f<j;f++){this.queriedAddresses[f]={hash:e[f].toString(),features:null};d.addAddress(e[f].clone())}var g=new Geoportal.OLS.XLS({version:this.format.version,_header:new Geoportal.OLS.RequestHeader({sessionID:""})});g.addBody(new Geoportal.OLS.Request("GeocodeRequest",this.format.version,"",{maximumResponses:this.maximumResponses,_requestParameters:d}));var c=this.format.write(g);var h=OpenLayers.Format.XML.prototype.write.apply(this.format,[c]);c=null;g.destroy();g=null;d=null;var k=OpenLayers.Util.applyDefaults(l,this.requestOptions);if(this.GeoRM){if(this.map){k.url=this.map.catalogue[this.GeoRM.GeoRMKey].layers[this.name].url}else{k.url=window.gGEOPORTALRIGHTSMANAGEMENT[this.GeoRM.GeoRMKey].resources[this.name].url}k.params=OpenLayers.Util.extend({},this.GeoRM.token);if(this.GeoRM.transport=="referrer"){OpenLayers.Util.extend(k.params,Geoportal.GeoRMHandler.getCookieReferrer((this.map?this.map.div:null),true))}}this.options.onSuccess=k.onSuccess;this.options.scopeOn=k.scopeOn;k.success=function(i){this.requestOptions.scope.GcSuccess.apply(this.requestOptions.scope,[i]);if(this.options.scopeOn&&this.options.onSuccess){this.options.onSuccess.apply(this.options.scopeOn,[i])}};this.options.onFailure=k.onFailure;this.options.scopeOn=k.scopeOn;k.failure=function(i){this.requestOptions.scope.LUSFailure.apply(this.requestOptions.scope,[i]);if(this.options.scopeOn&&this.options.onFailure){this.options.onFailure.apply(this.options.scopeOn,[i])}};if(k.method==="POST"){this.olsRqst=OpenLayers.Request.POST(OpenLayers.Util.applyDefaults({data:h,headers:{"Content-Type":"text/xml"}},k))}else{k.params=OpenLayers.Util.extend(k.params,{output:"json"});var a={};a[this.XML_PARAM_NAME]=escape(h);a=OpenLayers.Util.extend(a,k.params);var b=new OpenLayers.Protocol.Script({url:k.url,params:a,format:new OpenLayers.Format(),createRequest:function(i,q,x){var o=OpenLayers.Protocol.Script.register(x);var n="OpenLayers.Protocol.Script.registry.regId"+o;q=OpenLayers.Util.extend({},q);q[this.callbackKey]=this.callbackPrefix+n;var p=[];for(var w in q){var u=q[w];p.push(encodeURIComponent(w)+"="+u)}q=p.join("&");i=OpenLayers.Util.urlAppend(i,q);var s=document.createElement("script");s.type="text/javascript";s.src=i;s.id="OpenLayers_Protocol_Script_"+o;this.pendingRequests[s.id]=s;var r=document.getElementsByTagName("head")[0];r.appendChild(s);return s},handleResponse:function(n,i){if(n.data){n.responseText=n.data.xml;n.code=OpenLayers.Protocol.Response.SUCCESS}else{n.status=n.data.http?n.data.http.code||400:400;n.statusText=n.data.http?n.data.http.error||"":"";n.code=OpenLayers.Protocol.Response.FAILURE}this.destroyRequest(n.priv);i.callback.call(i.scope,n)},callback:function(i){if(i.code===OpenLayers.Protocol.Response.FAILURE){k.failure.apply(this,[i])}else{k.success.apply(this,[i])}},scope:this});this.olsRqst={protocol:b,response:b.read()}}},REVERSE_GEOCODE:function(k,l){var d=new Geoportal.OLS.LUS.ReverseGeocodeRequest(k);if(l&&l.preferences){for(var e=0,h=l.preferences.length;e<h;e++){d.addPreference(new Geoportal.OLS.LUS.ReverseGeocodePreference(l.preferences[e]))}}else{d.addPreference(new Geoportal.OLS.LUS.ReverseGeocodePreference("StreetAddress"))}if(!this.queriedAddresses){this.queriedAddresses=[]}this.queriedAddresses[0]={hash:k.toString(),features:null};var f=new Geoportal.OLS.XLS({version:this.format.version,_header:new Geoportal.OLS.RequestHeader({sessionID:""})});f.addBody(new Geoportal.OLS.Request("ReverseGeocodeRequest",this.format.version,"",{maximumResponses:this.maximumResponses,_requestParameters:d}));var c=this.format.write(f);var g=OpenLayers.Format.XML.prototype.write.apply(this.format,[c]);c=null;f.destroy();f=null;d=null;var j=OpenLayers.Util.applyDefaults(l,this.requestOptions);if(this.GeoRM){j.url=this.map.catalogue[this.GeoRM.GeoRMKey].layers[this.name].url;j.params=OpenLayers.Util.extend({},this.GeoRM.token);if(this.GeoRM.transport=="referrer"){OpenLayers.Util.extend(j.params,Geoportal.GeoRMHandler.getCookieReferrer((this.map?this.map.div:null),true))}}this.options.onSuccess=j.onSuccess;this.options.scopeOn=j.scopeOn;j.success=function(i){this.requestOptions.scope.RvGcSuccess.apply(this.requestOptions.scope,[i]);if(this.options.scopeOn&&this.options.onSuccess){this.options.onSuccess.apply(this.options.scopeOn,[i])}};this.options.onFailure=j.onFailure;this.options.scopeOn=j.scopeOn;j.failure=function(i){this.requestOptions.scope.LUSFailure.apply(this.requestOptions.scope,[i]);if(this.options.scopeOn&&this.options.onFailure){this.options.onFailure.apply(this.options.scopeOn,[i])}};if(j.method!=="GET"){this.olsRqst=OpenLayers.Request.POST(OpenLayers.Util.applyDefaults({data:g,headers:{"Content-Type":"text/xml"}},j))}else{j.params=OpenLayers.Util.extend(j.params,{output:"json"});var a={};a[this.XML_PARAM_NAME]=g;a=OpenLayers.Util.extend(a,j.params);var b=new OpenLayers.Protocol.Script({url:j.url,params:a,format:new OpenLayers.Format(),handleResponse:function(n,i){if(n.data){n.responseText=n.data.xml;n.code=OpenLayers.Protocol.Response.SUCCESS}else{n.status=n.data.http?n.data.http.code||400:400;n.statusText=n.data.http?n.data.http.error||"":"";n.code=OpenLayers.Protocol.Response.FAILURE}this.destroyRequest(n.priv);i.callback.call(i.scope,n)},callback:function(i){if(i.code===OpenLayers.Protocol.Response.FAILURE){j.failure.apply(this,[i])}else{j.success.apply(this,[i])}},scope:this});this.olsRqst={protocol:b,response:b.read()}}},GcSuccess:function(d){this.success(d);this.olsRqst=null;if(!this.ols){this.queriedAddresses=null;return}var h=this.ols.getBodies()[0];if(!h){this.queriedAddresses=null}else{var g=h.getResponseParameters();if(!g||g.getNbGeocodeResponseList()<=0){this.queriedAddresses=null}else{for(var f=0,c=g.getNbGeocodeResponseList();f<c;f++){var a=g.getGeocodeResponseList()[f];if(!a||a.getNbGeocodedAddresses()<=0){this.queriedAddresses=null}else{for(var e=0,k=a.getNbGeocodedAddresses();e<k;e++){var l=a.getGeocodedAddresses()[e];if(!l||!l.address||!(l.address.name||l.address.streetAddress)){continue}var n=new OpenLayers.Feature.Vector(l.lonlat,{address:l.address.clone(),geocodeMatchCode:l.geocodeMatchCode.clone()},null);if(!this.queriedAddresses[f].features){this.queriedAddresses[f].features=[]}this.queriedAddresses[f].features.push(n)}}}}}this.ols.destroy();this.ols=null},RvGcSuccess:function(h){this.success(h);this.olsRqst=null;if(!this.ols){this.queriedAddresses=null;return}var a=this.ols.getBodies()[0];if(!a){this.queriedAddresses=null}else{var g=a.getResponseParameters();if(!g||g.getNbReverseGeocodedLocations()<=0){this.queriedAddresses=null}else{for(var f=0,e=g.getNbReverseGeocodedLocations();f<e;f++){var d=g.getReverseGeocodedLocations()[f];if(!d||!d.lonlat||!d.address){continue}var c=new OpenLayers.Feature.Vector(d.lonlat,{address:d.address.clone(),measure:(d.measure?d.measure.clone():null)},null);if(!this.queriedAddresses[0].features){this.queriedAddresses[0].features=[]}this.queriedAddresses[0].features.push(c)}}}this.ols.destroy();this.ols=null},LUSFailure:function(a){OpenLayers.Console.warn(a.status+" : "+a.statusText);this.queriedAddresses=null;this.olsRqst=null},createPopupForAddress:function(b){var a=function(){if(!this.popupClass){this.popupClass=this.layer&&this.layer.formatOptions&&this.layer.formatOptions.popupClass?this.layer.formatOptions.popupClass:typeof(Geoportal.Popup)!="undefined"&&typeof(Geoportal.Popup.Anchored)!="undefined"?Geoportal.Popup.Anchored:typeof(OpenLayers.Popup)!="undefined"&&typeof(OpenLayers.Popup.AnchoredBubble)!="undefined"?OpenLayers.Popup.AnchoredBubble:null}if(this.popupClass){var d='<div class="gpPopupBody">';var e=this.attributes.address;d+=e.toHTMLString();if(this.attributes.measure){m=this.attributes.measure;if(m.value){d+="<br/> "+OpenLayers.i18n("geocoded.address.popup.searchCenterDistance");d+=" <b>"+m.value+"</b>";d+=" "+(m.uom===null?"":m.uom);d+="<br/>"}}d+="</div>";var c=new this.popupClass("chicken",this.geometry.getBounds().getCenterLonLat(),new OpenLayers.Size(80,40),d,null,false,"#ffffff",0.75,null,b);this.popup=c}else{this.popup=null}};b.createPopup=OpenLayers.Function.bind(a,b)},cleanQueries:function(){if(this.queriedAddresses){for(var b=0,a=this.queriedAddresses.length;b<a;b++){var c=this.queriedAddresses[b];if(c.features){c.features=null}this.queriedAddresses[b]=null}this.queriedAddresses=null}},abortRequest:function(){if(this.olsRqst){if(this.olsRqst.abort){this.olsRqst.abort()}else{if(this.olsRqst.protocol){this.olsRqst.protocol.abort(this.olsRqst.response)}}this.olsRqst=null}},CLASS_NAME:"Geoportal.Layer.OpenLS.Core.LocationUtilityService"});Geoportal.Format.XLS.v1_2=OpenLayers.Class(Geoportal.Format.XLS.v1_1,{VERSION:"1.2",schemaLocation:"http://schemas.opengis.net/ols/1.2.0/XLS.xsd",initialize:function(a){Geoportal.Format.XLS.v1_1.prototype.initialize.apply(this,[a])},readers:{xls:OpenLayers.Util.applyDefaults({Address:function(b,c){var a=new Geoportal.OLS.Address();a.countryCode=b.getAttribute("countryCode");a.addressee=b.getAttribute("addressee");a.language=b.getAttribute("language");this.readChildNodes(b,a);if(c.addAddress){c.addAddress(a)}else{c.address=a}},StreetAddress:function(c,b){var a=new Geoportal.OLS.StreetAddress();a.locator=c.getAttribute("locator");b.streetAddress=a;this.readChildNodes(c,a)}},Geoportal.Format.XLS.v1_1.prototype.readers.xls),gml:Geoportal.Format.XLS.v1_1.prototype.readers.gml},writers:{xls:OpenLayers.Util.applyDefaults({Address:function(c){var f=this.createElementNSPlus("xls:Address");f.setAttribute("countryCode",c.countryCode);if(c.addressee!=null){f.setAttribute("addressee",c.addressee)}if(c.language!=null){f.setAttribute("language",c.language)}if(c.name!=null){this.writeNode("xls:freeFormAddress",c,f);for(var e=0,b=c.getNbPlaces();e<b;e++){this.writeNode("xls:Place",c.getPlaces()[e],f)}}else{if(c.streetAddress){this.writeNode("xls:StreetAddress",c.streetAddress,f)}for(var e=0,b=c.getNbPlaces();e<b;e++){this.writeNode("xls:Place",c.getPlaces()[e],f)}if(c.postalCode){this.writeNode("xls:PostalCode",c.postalCode,f)}}if(c.restrictedExtent){var d=this.createElementNSPlus("gml:envelope");this.writeNode("gml:pos",{x:c.restrictedExtent.left,y:c.restrictedExtent.bottom},d);this.writeNode("gml:pos",{x:c.restrictedExtent.right,y:c.restrictedExtent.top},d);f.appendChild(d)}return f},StreetAddress:function(b){var d=this.createElementNSPlus("xls:StreetAddress");if(b.locator!=null){d.setAttribute("locator",b.locator)}if(b._streetLocation){var e=b._streetLocation;this.writeNode(this.getNodeName(e),e,d)}for(var c=0,a=b.getNbStreets();c<a;c++){this.writeNode("xls:Street",b.getStreets()[c],d)}return d}},Geoportal.Format.XLS.v1_1.prototype.writers.xls),gml:OpenLayers.Util.applyDefaults({pos:function(a){var b=(this.gmlParser.xy)?(a.x+" "+a.y):(a.y+" "+a.x);return this.createElementNSPlus("gml:pos",{value:b})}},Geoportal.Format.XLS.v1_1.prototype.writers.gml)},CLASS_NAME:"Geoportal.Format.XLS.v1_2"});Geoportal.Format.XLS.v1_2.LocationUtilityService=OpenLayers.Class(Geoportal.Format.XLS.v1_1.LocationUtilityService,Geoportal.Format.XLS.v1_2,{schemaLocation:"http://schemas.opengis.net/ols/1.2.0/LocationUtilityService.xsd",initialize:function(a){Geoportal.Format.XLS.v1_2.prototype.initialize.apply(this,[a]);this._addReaders();this._addWriters()},_addReaders:function(){Geoportal.Format.XLS.v1_1.LocationUtilityService.prototype._addReaders.apply(this);this.readers.xls=OpenLayers.Util.applyDefaults({GeocodeRequest:function(c,a){var b=new Geoportal.OLS.LUS.GeocodeRequest();b.returnFreeForm=(c.getAttribute("returnFreeForm")=="true");a.setRequestParameters(b);this.readChildNodes(c,b)}},this.readers.xls)},_addWriters:function(){Geoportal.Format.XLS.v1_1.LocationUtilityService.prototype._addWriters.apply(this);this.writers.xls=OpenLayers.Util.applyDefaults({GeocodeRequest:function(b){var d=this.createElementNSPlus("xls:GeocodeRequest");if(b.returnFreeForm){d.setAttribute("returnFreeForm",""+b.returnFreeForm)}for(var c=0,a=b.getNbAddresses();c<a;c++){this.writeNode("xls:Address",b.getAddresses()[c],d)}return d}},this.writers.xls)},CLASS_NAME:"Geoportal.Format.XLS.v1_2.LocationUtilityService"});Geoportal.Tile=OpenLayers.Class(OpenLayers.Tile,{CLASS_NAME:"Geoportal.Tile"});Geoportal.Tile.Image=OpenLayers.Class(OpenLayers.Tile.Image,{setSize:function(a){if((!this.size||!this.size.equals(a))){this.size=a;if(this.frame!=null){OpenLayers.Util.modifyDOMElement(this.frame,null,null,a)}if(this.imgDiv!=null){OpenLayers.Util.modifyDOMElement(this.imgDiv,null,null,a)}}},positionTile:function(){var b=this.getTile().style,a=this.size?this.size:this.layer.getImageSize(this.bounds);b.left=this.position.x+"%";b.top=this.position.y+"%";b.width=a.w+"%";b.height=a.h+"%"},CLASS_NAME:"Geoportal.Tile.Image"});Geoportal.Layer.Grid=OpenLayers.Class(OpenLayers.Layer.Grid,{tileClass:Geoportal.Tile.Image,nativeTileOrigin:null,nativeTileSize:null,nativeResolutions:null,nativeMaxExtent:null,resample:false,initialize:function(c,b,d,a){a=a||{};if(a.gridOrigin){a.tileOrigin=a.gridOrigin.clone();delete a.gridOrigin}OpenLayers.Layer.Grid.prototype.initialize.apply(this,arguments);if(!this.maxExtent&&this.nativeMaxExtent){this.maxExtent=this.nativeMaxExtent.clone()}if(!this.nativeMaxExtent&&this.maxExtent){this.nativeMaxExtent=this.maxExtent.clone()}this.tileOrigin=this.getTileOrigin();this.nativeTileOrigin=this.tileOrigin.clone();this.nativeTileSize=this.nativeTileSize||new OpenLayers.Size(OpenLayers.Map.TILE_WIDTH,OpenLayers.Map.TILE_HEIGHT);if(this.nativeResolutions){this.serverResolutions=this.nativeResolutions.slice(0)}this.tileSize=this.tileSize?this.tileSize.clone():new OpenLayers.Size(OpenLayers.Map.TILE_WIDTH,OpenLayers.Map.TILE_HEIGHT);this.saveBuffer=this.buffer},setMap:function(a){OpenLayers.Layer.Grid.prototype.setMap.apply(this,arguments);if(!this.nativeMaxExtent&&this.maxExtent){this.nativeMaxExtent=this.maxExtent.clone().transform(this.map.getProjection(),this.getNativeProjection())}this.tileOrigin.transform(this.getNativeProjection(),this.map.getProjection())},destroy:function(){this.tileOrigin=null;this.nativeTileOrigin=null;this.nativeTileSize=null;this.nativeResolutions=null;this.serverResolutions=null;this.nativeMaxExtent=null;this.resample=false;OpenLayers.Layer.Grid.prototype.destroy.apply(this,arguments)},clone:function(a){if(a==null){a=new Geoportal.Layer.Grid(this.name,this.url,this.params,this.options)}a=OpenLayers.Layer.HTTPRequest.prototype.clone.apply(this,[a]);if(this.tileSize!=null){a.tileSize=this.tileSize.clone()}if(this.tileOrigin!=null){a.tileOrigin=this.tileOrigin.clone()}if(this.nativeTileOrigin!=null){a.nativeTileOrigin=this.nativeTileOrigin.clone()}if(this.nativeTileSize!=null){a.nativeTileSize=this.nativeTileSize.clone()}if(this.nativeResolutions!=null){a.nativeResolutions=this.nativeResolutions.slice(0);a.serverResolutions=a.nativeResolutions.slice(0)}a.grid=[];return a},moveTo:function(f,b,g){OpenLayers.Layer.HTTPRequest.prototype.moveTo.apply(this,arguments);f=f||this.map.getExtent();if(f!=null){var e=!this.grid.length||b;var d=this.getTilesBounds();var c=this.map.getResolution();var a=this.getServerResolution(c);if(this.resample&&d){d.transform(this.getNativeProjection(),this.map.getProjection(),true)}if(this.singleTile){if(e||(!g&&!d.containsBounds(f))){if(b&&this.transitionEffect!=="resize"){this.removeBackBuffer()}if(!b||this.transitionEffect==="resize"){this.applyBackBuffer(a)}this.initSingleTile(f)}}else{e=e||!d.intersectsBounds(f,{worldBounds:this.map.baseLayer.wrapDateLine&&this.map.getMaxExtent()});this.div.style.width="100%";this.div.style.height="100%";this.div.style.left="0%";this.div.style.top="0%";if(e){if(b&&this.transitionEffect==="resize"){this.applyBackBuffer(this.nativeResolution)}this.initGriddedTiles(f)}else{this.moveGriddedTiles()}}}},moveGriddedTiles:function(k){if(!k&&!OpenLayers.Animation.isNative){if(this.moveTimerId!=null){window.clearTimeout(this.moveTimerId)}this.moveTimerId=window.setTimeout(this.deferMoveGriddedTiles,this.tileLoadingDelay);return}var d=this.buffer||0;var c=this.getResolutionScale();if(isNaN(parseInt(this.div.style.left))){this.div.style.left="0px"}if(isNaN(parseInt(this.div.style.top))){this.div.style.top="0px"}var g=2*(new OpenLayers.LonLat(this.nativeTileSize.h*this.nativeResolution,0)).transform(this.projection,OpenLayers.Projection.CRS84).lon;var i=(this.grid[0][0].bounds.clone().transform(this.projection,OpenLayers.Projection.CRS84).top+this.grid[this.grid.length-1][0].bounds.clone().transform(this.projection,OpenLayers.Projection.CRS84).bottom)/2;if(this.rowSign==-1){if(i<-g){this.rowSign=1}}else{if(i>g){this.rowSign=-1}}var a=0;while(true){a++;if(a>100){break}var b={x:(this.grid[0][0].position.x*c)+parseInt(this.div.style.left,10)+parseInt(this.map.layerContainerDiv.style.left),y:(this.grid[0][0].position.y*c)+parseInt(this.div.style.top,10)+parseInt(this.map.layerContainerDiv.style.top)};var f={x:(this.grid[this.grid.length-1][this.grid[this.grid.length-1].length-1].position.x*c)+parseInt(this.div.style.left,10)+parseInt(this.map.layerContainerDiv.style.left),y:(this.grid[this.grid.length-1][this.grid[this.grid.length-1].length-1].position.y*c)+parseInt(this.div.style.top,10)+parseInt(this.map.layerContainerDiv.style.top)+this.grid[this.grid.length-1][this.grid[this.grid.length-1].length-1].size.h};var j={w:this.grid[0][0].size.w*c,h:this.grid[0][0].size.h*c};var e=j;var h={w:this.grid[this.grid.length-1][0].size.w*c,h:this.grid[this.grid.length-1][0].size.h*c};if(b.x>-j.w*(d)){this.shiftColumn(true)}else{if(b.x<-j.w*(d+1)){this.shiftColumn(false)}else{if((!this.resample||this.rowSign==1)&&(b.y>-j.h*(d))){this.shiftRow(true)}else{if((!this.resample||this.rowSign==1)&&(b.y<-j.h*(d+1))){this.shiftRow(false)}else{if(this.resample&&this.rowSign==-1&&((f.y-this.map.size.h)>h.h*d)){this.shiftRow(true)}else{if(this.resample&&this.rowSign==-1&&((f.y-this.map.size.h)<h.h*(d-1))){this.shiftRow(false)}else{break}}}}}}}},getServerResolution:function(b){this.resample=false;var f=this.getNativeProjection(),e=this.map.getProjection();b=b||this.map.getResolution();this.nativeResolution=b;if(!(f.isCompatibleWith(e))){throw"no appropriate resolution in serverResolutions";return}var h=new OpenLayers.LonLat(1,1);h.transform(f,e);if(this.nativeResolutions){var d=Number.POSITIVE_INFINITY;for(var c=Math.max(0,this.minZoomLevel),a=Math.min(this.nativeResolutions.length,this.maxZoomLevel+1);c<a;c++){var g=Math.abs(this.nativeResolutions[c]*h.lon-b);if(g<=d){d=g;this.nativeResolution=this.nativeResolutions[c]}}}this.resample=(((this.nativeResolution/b)*h.lat!=1)||((this.nativeResolution/b)*h.lon!=1));return this.nativeResolution},getServerZoom:function(){var a=this.getServerResolution();a=this.nativeResolution;return this.serverResolutions?this.nativeResolution:this.map.getZoomForResolution(a)+(this.zoomOffset||0)},initGriddedTiles:function(B){this.clearTileQueue();var e=this.map.getSize();var l=this.map.getProjection();var L=this.getNativeProjection();var x=B.clone().transform(l,L);var I=this.getTileOrigin().clone();I.transform(l,L);var G=this.map.getResolution(),q=this.getServerResolution(),F=G/q,r={w:this.tileSize.w/F,h:this.tileSize.h/F};if(this.resample){this.buffer=this.saveBuffer+1}var C=x.right-x.left;var H=x.top-x.bottom;var O=this.tileSize.h*q;var J=this.tileSize.w*q;var f=Math.ceil(H/O)+2*this.buffer+1;var u=Math.ceil(C/J)+2*this.buffer+1;var y=this.calculateGridLayout(x,I,q);this.gridLayout=y;var s=y.tilelon;var a=y.tilelat;this.map.layerContainerOriginPx=this.map.getPixelFromLonLat(this.map.layerContainerOrigin);this.map.layerContainerOriginPx.x-=Math.round(this.map.size.w/2);this.map.layerContainerOriginPx.y-=Math.round(this.map.size.h/2);var p=this.map.layerContainerOriginPx.x;var w=this.map.layerContainerOriginPx.y;var E=this.getTileBoundsForGridIndex(0,0,I);var D=new OpenLayers.LonLat(E.left,E.top);if(this.resample){D.transform(L,l)}var z=this.map.getViewPortPxFromLonLat(D);z.x=Math.round(z.x)-p;z.y=Math.round(z.y)-w;var n=[],b=this.map.getCenter();var M,d,j;var k=0;do{var o=this.grid[k];if(!o){o=[];this.grid.push(o)}var N=0;do{M=this.getTileBoundsForGridIndex(k,N,I);E=M.clone().transform(L,l);d=this.resample?Math.ceil((E.right-E.left)/G):this.tileSize.w;j=this.resample?Math.ceil((E.top-E.bottom)/G):this.tileSize.h;var h=z.clone();h.x=h.x+((E.left-D.lon)/G);h.y=h.y+((D.lat-E.top)/G);var g=o[N];if(!g){g=this.addTile(M,h);g.setSize(new OpenLayers.Size(d,j));this.addTileMonitoringHooks(g);o.push(g)}else{g.moveTo(M,h,false);g.setSize(new OpenLayers.Size(d,j))}var c=E.getCenterLonLat();n.push({tile:g,distance:Math.pow(c.lon-b.lon,2)+Math.pow(c.lat-b.lat,2)});N+=1}while(N<u);k+=1}while(k<f);this.removeExcessTiles(k,N);var G=this.getServerResolution();this.gridResolution=G;n.sort(function(P,i){return P.distance-i.distance});for(var K=0,A=n.length;K<A;++K){n[K].tile.draw()}},getTileBoundsForGridIndex:function(l,g,j){var f=this.map.getProjection();var k=this.getNativeProjection();var e=this.gridLayout;var h=e.tilelon;var d=e.tilelat;var b=e.startcol;var i=e.startrow;var c=this.rowSign;var a=new OpenLayers.Bounds(j.lon+(b+g)*h,j.lat-(i+l*c)*d*c,j.lon+(b+g+1)*h,j.lat-(i+(l-1)*c)*d*c);return a},addTile:function(d,a,b){var c=new this.tileClass(this,a,d,null,b||this.tileSize,this.tileOptions);c.events.register("beforedraw",this,this.queueTileDraw);return c},getDataExtent:function(){return this.maxExtent},changeBaseLayer:function(a){var b=this.getVisibility();var c=this.opacity;if(OpenLayers.Layer.prototype.changeBaseLayer.apply(this,arguments)===false){return false}if(!this.isBaseLayer){if(this.getCompatibleProjection(a.layer)!=null){if(this.map.baseLayer.territory&&this.territory&&this.territory==this.map.baseLayer.territory){this.displayInLayerSwitcher=true}if(typeof(this.savedStates[a.layer.id])=="object"){if(this.savedStates[a.layer.id].opacity!=undefined){this.opacity=undefined;this.setOpacity(this.savedStates[a.layer.id].opacity)}this.setVisibility(this.savedStates[a.layer.id].visibility)}else{this.setVisibility(this.getVisibility()&&this.calculateInRange())}return true}if(this.getCompatibleProjection(a.baseLayer)!=null){if(!this.savedStates[a.baseLayer.id]){this.savedStates[a.baseLayer.id]={}}this.savedStates[a.baseLayer.id].visibility=b;this.savedStates[a.baseLayer.id].opacity=c}if(this.aggregate==undefined){this.displayInLayerSwitcher=false;this.visibility=true}this.setVisibility(false)}return true},shiftRow:function(s){var c=(s)?0:(this.grid.length-1);var b=this.grid;var g=b[c];var f=this.map.getProjection(),q=this.getNativeProjection();this.getServerResolution();var l=this.nativeResolution;var p=this.map.getResolution();var r=(s)?b.pop():b.shift();for(var h=0,n=g.length;h<n;h++){var d=g[h];var a=d.bounds.clone();if(s){a.top+=this.nativeTileSize.h*l;a.bottom+=this.nativeTileSize.h*l}else{a.top-=this.nativeTileSize.h*l;a.bottom-=this.nativeTileSize.h*l}var e=a.clone().transform(q,f,true);var k=Math.round((e.top-e.bottom)/p);var o=new OpenLayers.Size(r[h].size.w,k);var j=d.position.clone();if(!s){j.y+=d.size.h}else{j.y-=k}r[h].moveTo(a,j);r[h].setSize(o)}if(s){b.unshift(r)}else{b.push(r)}},shiftColumn:function(q){var e=(q)?-this.grid[0][0].size.w:this.grid[0][0].size.w;this.getServerResolution();var d=this.map.resolution;var c=this.map.getProjection(),n=this.getNativeProjection();var p=new OpenLayers.LonLat(d,0);p.transform(c,n,true);d=p.lon;var l=d*e;for(var f=0,h=this.grid.length;f<h;f++){var o=this.grid[f];var k=(q)?0:(o.length-1);var b=o[k];var a=b.bounds.clone();var g=b.position.clone();a.left=a.left+l;a.right=a.right+l;g.x=g.x+e;var j=q?this.grid[f].pop():this.grid[f].shift();j.moveTo(a,g);if(q){o.unshift(j)}else{o.push(j)}}},getCompatibleProjection:function(c){var b=OpenLayers.Layer.prototype.getCompatibleProjection.apply(this,arguments);if(!b){return b}c=c||this.map.baseLayer;var d=c.getNativeProjection();var a=this.restrictedExtent||this.maxExtent;if(!a){return b}if(!this.map){a=a.clone().transform(b,d)}if(c.maxExtent.containsBounds(a,true,true)||a.containsBounds(c.maxExtent,true,true)){return b}return null},CLASS_NAME:"Geoportal.Layer.Grid"});Geoportal.Control.TermsOfService=OpenLayers.Class(Geoportal.Control,{tosLabel:null,tosURL:null,draw:function(a){Geoportal.Control.prototype.draw.apply(this,arguments);this.updateTermsOfService();return this.div},updateTermsOfService:function(){if(this.div.childNodes.length>0){this.div.removeChild(this.div.childNodes[0])}if(this.tosLabel==null){this.tosLabel="TOS"}if(this.tosURL==null){this.tosURL="http://www.geoportail.gouv.fr/depot/api/cgu/licAPI_CGUF.pdf"}var a=OpenLayers.i18n(this.tosLabel);var b=this.div.ownerDocument.createElement("a");b.setAttribute("href",this.tosURL);b.setAttribute("alt",a);b.setAttribute("title",a);b.setAttribute("target","_blank");b.appendChild(this.div.ownerDocument.createTextNode(a));this.div.appendChild(b)},setMap:function(){Geoportal.Control.prototype.setMap.apply(this,arguments);this.map.events.register("controlvisibilitychanged",this,this.onVisibilityChanged)},onVisibilityChanged:function(d){if(!d||!d.size){return}var c=(d.visibility?1:-1);var a=Geoportal.Util.getComputedStyle(this.div,"bottom",true);a=a+c*d.size.h;this.div.style.bottom=a+"px"},changeLang:function(a){this.updateTermsOfService()},CLASS_NAME:"Geoportal.Control.TermsOfService"});Geoportal.Layer.WMTS=OpenLayers.Class(Geoportal.Layer.Grid,{isBaseLayer:false,version:"1.0.0",requestEncoding:"KVP",url:null,layer:null,matrixSet:null,style:null,format:"image/jpeg",tileOrigin:null,tileFullExtent:null,formatSuffix:null,matrixIds:null,dimensions:null,params:null,zoomOffset:0,formatSuffixMap:{"image/png":"png","image/png8":"png","image/png24":"png","image/png32":"png",png:"png","image/jpeg":"jpg","image/jpg":"jpg",jpeg:"jpg",jpg:"jpg"},matrix:null,initialize:function(c){if(arguments.length==4){var f=OpenLayers.Util.extend({},arguments[2]);OpenLayers.Util.extend(f,arguments[3]);OpenLayers.Util.extend(f,{name:arguments[0],url:arguments[1]});c=f}var g={url:true,layer:true,style:true,matrixSet:true};for(var h in g){if(!(h in c)){throw new Error("Missing property '"+h+"' in layer configuration.")}}c.params=OpenLayers.Util.upperCaseObject(c.params);var b=[c.name,c.url,c.params,c];Geoportal.Layer.Grid.prototype.initialize.apply(this,b);if(!this.formatSuffix){this.formatSuffix=this.formatSuffixMap[this.format]||this.format.split("/").pop()}if(this.matrixIds){var a=this.matrixIds.length;if(a&&typeof this.matrixIds[0]==="string"){var e=this.matrixIds;this.matrixIds=new Array(a);for(var d=0;d<a;++d){this.matrixIds[d]={identifier:e[d]}}}}},setMap:function(){Geoportal.Layer.Grid.prototype.setMap.apply(this,arguments);this.updateMatrixProperties()},updateMatrixProperties:function(){this.getServerResolution();this.matrix=this.getMatrix();if(this.matrix){if(this.matrix.topLeftCorner){this.nativeTileOrigin=this.matrix.topLeftCorner;this.tileOrigin=this.matrix.topLeftCorner.clone().transform(this.getNativeProjection(),this.map.getProjection())}if(this.matrix.tileWidth&&this.matrix.tileHeight){this.tileSize=new OpenLayers.Size(this.matrix.tileWidth,this.matrix.tileHeight)}if(!this.tileOrigin){this.tileOrigin=new OpenLayers.LonLat(this.maxExtent.left,this.maxExtent.top);this.nativeTileOrigin=this.tileOrigin.clone().transform(this.map.getProjection(),this.getNativeProjection())}if(!this.tileFullExtent||this.resample){this.tileFullExtent=this.resample?this.nativeMaxExtent:this.maxExtent}}},moveTo:function(b,a,c){if(a||!this.matrix){this.updateMatrixProperties()}return Geoportal.Layer.Grid.prototype.moveTo.apply(this,arguments)},clone:function(a){if(a==null){a=new Geoportal.Layer.WMTS(this.options)}a=Geoportal.Layer.Grid.prototype.clone.apply(this,[a]);return a},getMatrix:function(){var b;if(!this.matrixIds||this.matrixIds.length===0){b={identifier:this.map.getZoom()+this.zoomOffset}}else{if("scaleDenominator" in this.matrixIds[0]){var c=this.map.getResolution();if(this.resample){c=this.nativeResolution}var a=OpenLayers.METERS_PER_INCH*OpenLayers.INCHES_PER_UNIT[this.units]*c/0.00028;var f=Number.POSITIVE_INFINITY;var g;for(var d=0,e=this.matrixIds.length;d<e;++d){g=Math.abs(1-(this.matrixIds[d].scaleDenominator/a));if(g<f){f=g;b=this.matrixIds[d]}}}else{b=this.matrixIds[this.map.getZoom()+this.zoomOffset]}}return b},getTileInfo:function(f){var g,j,e,a,i;if(this.nativeResolution){g=this.nativeResolution;j=this.nativeTileSize.w;e=this.nativeTileSize.h;a=this.nativeTileOrigin.lon;i=this.nativeTileOrigin.lat}else{g=this.map.getResolution();j=this.tileSize.w;e=this.tileSize.h;a=this.tileOrigin.lon;i=this.tileOrigin.lat}var d=(f.lon-a)/(g*j);var c=(i-f.lat)/(g*e);var b=Math.floor(d);var k=Math.floor(c);return{col:b,row:k,i:Math.floor((d-b)*j),j:Math.floor((c-k)*e)}},getURL:function(d){d=this.adjustBounds(d);var b="";if(!this.tileFullExtent||this.tileFullExtent.intersectsBounds(d)){var a=d.getCenterLonLat();var f=this.getTileInfo(a);var h=this.matrix.identifier;if(this.requestEncoding.toUpperCase()==="REST"){var e=this.version+"/"+this.layer+"/"+this.style+"/";if(this.dimensions){for(var c=0;c<this.dimensions.length;c++){if(this.params[this.dimensions[c]]){e=e+this.params[this.dimensions[c]]+"/"}}}e=e+this.matrixSet+"/"+this.matrix.identifier+"/"+f.row+"/"+f.col+"."+this.formatSuffix;if(OpenLayers.Util.isArray(this.url)){b=this.selectUrl(e,this.url)}else{b=this.url}if(!b.match(/\/$/)){b=b+"/"}b=b+e}else{if(this.requestEncoding.toUpperCase()==="KVP"){var g={SERVICE:"WMTS",REQUEST:"GetTile",VERSION:this.version,LAYER:this.layer,STYLE:this.style,TILEMATRIXSET:this.matrixSet,TILEMATRIX:this.matrix.identifier,TILEROW:f.row,TILECOL:f.col,FORMAT:this.format};b=Geoportal.Layer.Grid.prototype.getFullRequestString.apply(this,[g])}}}return b},mergeNewParams:function(a){if(this.requestEncoding.toUpperCase()==="KVP"){return Geoportal.Layer.Grid.prototype.mergeNewParams.apply(this,[OpenLayers.Util.upperCaseObject(a)])}},setOpacity:function(a){if(this.transitionEffect!=null){if(a<1){this.transitionEffect="!resize"}else{this.transitionEffect="resize"}}Geoportal.Layer.Grid.prototype.setOpacity.apply(this,[a])},CLASS_NAME:"Geoportal.Layer.WMTS"});Geoportal.Control.Form=OpenLayers.Class(Geoportal.Control,{formControl:null,labels:null,buttons:null,htmlElements:null,initialize:function(a){Geoportal.Control.prototype.initialize.apply(this,arguments)},destroy:function(){this.formControl=null;if(this.map){this.map.events.unregister("controldeleted",this,this.onControlRemoved)}Geoportal.Control.prototype.destroy.apply(this,arguments)},setMap:function(a){Geoportal.Control.prototype.setMap.apply(this,arguments);this.map.events.register("controldeleted",this,this.onControlRemoved)},onControlRemoved:function(a){if(!a){return}if(this.formControl){if(this.htmlElements){for(var b in this.htmlElements){if(this.htmlElements[b]&&this.htmlElements[b].kbControl===a.control){this.htmlElements[b].kbControl=null}}}}},activate:function(){if(!Geoportal.Control.prototype.activate.apply(this,arguments)){return false}this.formControl=new Geoportal.Control.Floating(this,{id:OpenLayers.Util.createUniqueID("_gcf_")+this.id,headTitle:this.getDisplayClass()+".title",onClose:this.closeForm,onResize:this.resizeForm});this.labels={};this.buttons={};this.htmlElements={};this.resultDiv=null;return true},deactivate:function(){if(this.formControl){if(this.htmlElements){for(var a in this.htmlElements){OpenLayers.Event.stopObservingElement(this.htmlElements[a])}}this.htmlElements=null;this.buttons=null;this.labels=null;this.formControl.deactivate();this.formControl.destroy();this.formControl=null;this.resultDiv=null}if(!Geoportal.Control.prototype.deactivate.apply(this,arguments)){return false}return true},closeForm:function(b){this.deactivate();var c=this.map.getControlsByClass(OpenLayers.Control.KeyboardDefaults.prototype.CLASS_NAME)[0];if(c&&c.activeOverMapOnlySavedState){c.activeOverMapOnly=true;c.onMouseOver=OpenLayers.Control.KeyboardDefaults.prototype.onMouseOver;c.onMouseOut=OpenLayers.Control.KeyboardDefaults.prototype.onMouseOut;if(!c.active){c.activate()}}var a=this.map.getControlsByClass(/.*\.Control\.NavToolbar/)[0];if(a&&!a.controls[1].active){a.activateControl(a.controls[0])}},resizeForm:function(a,d){if(a&&d&&this.resultDiv){if(d.dy!=0&&this.resultDiv){var c="max-height";var b=OpenLayers.Element.getStyle(this.resultDiv,c);if(!b){c="height";b=OpenLayers.Element.getStyle(this.resultDiv,c)}if(b){b=parseInt(b);if(d.suffix.indexOf("t")>=0){b-=d.dy}if(d.suffix.indexOf("b")>=0){b+=d.dy}this.resultDiv.style[OpenLayers.String.camelize(c)]=b+"px"}}}},buildInputTextField:function(b,a){var d,c;if(typeof(a.type)=="undefined"||a.hidden===true){a.type="text"}if(!a.hidden){d=b.ownerDocument.createElement("label");d.id="lbl"+a.id+this.id;d.setAttribute("for",a.id+this.id);if(a.mandatory===true){d.style.fontWeight="bold"}this.buildTextNode(d,this.getDisplayClass()+"."+a.id)}if(a.type==="text"){c=b.ownerDocument.createElement("input")}else{c=b.ownerDocument.createElement("textarea")}c.id=a.id+this.id;if(a.name){c.name=a.name}else{c.name=c.id}if(a.type==="text"){if(!a.hidden){c.type="text"}else{c.type="hidden"}}if(a.value==undefined){a.value=""}c.value=a.value;if(a.size==undefined){a.size=80}if(a.type==="text"){if(a.size!=-1){c.size=a.size}if(a.length==undefined){a.length=128}if(a.length!=-1){c.maxLength=a.length}}else{if(typeof(a.rows)=="undefined"){a.rows=5}if(typeof(a.cols)=="undefined"){a.cols=25}c.rows=a.rows;c.cols=a.cols}if(a.css){c.className=a.css}c.disabled=a.disabled?true:false;c.hasFocus=false;if(!a.hidden){c.kbControl=this.map.getControlsByClass(OpenLayers.Control.KeyboardDefaults.prototype.CLASS_NAME)[0];this.addCallbacks(c,a);d.appendChild(c);d.appendChild(b.ownerDocument.createElement("br"));this.addHelp(d,a);b.appendChild(d)}else{b.appendChild(c)}return c},buildInputFileField:function(b,a){var d,c;d=b.ownerDocument.createElement("label");d.id="lbl"+a.id+this.id;d.setAttribute("for",a.id+this.id);if(a.mandatory===true){d.style.fontWeight="bold"}this.buildTextNode(d,this.getDisplayClass()+"."+a.id);c=b.ownerDocument.createElement("input");c.id=a.id+this.id;if(a.name){c.name=a.name}else{c.name=c.id}c.type="file";if(a.value==undefined){a.value=""}c.value=a.value;if(a.size==undefined){a.size=80}if(a.size!=-1){c.size=a.size}if(a.length==undefined){a.length=131072}if(a.length!=-1){c.maxLength=a.length}if(a.css){c.className=a.css}c.disabled=a.disabled?true:false;c.hasFocus=false;c.kbControl=this.map.getControlsByClass(OpenLayers.Control.KeyboardDefaults.prototype.CLASS_NAME)[0];this.addCallbacks(c,a);d.appendChild(c);d.appendChild(b.ownerDocument.createElement("br"));this.addHelp(d,a);b.appendChild(d);return c},buildSelectField:function(d,c){var g,f;g=d.ownerDocument.createElement("label");g.id="lbl"+c.id+this.id;g.setAttribute("for",c.id+this.id);if(c.mandatory===true){g.style.fontWeight="bold"}this.buildTextNode(g,this.getDisplayClass()+"."+c.id);f=d.ownerDocument.createElement("select");f.id=c.id+this.id;if(c.name){f.name=c.name}else{f.name=f.id}f.size=c.length?c.length:1;if(c.options&&c.options.length>0){for(var b=0,a=c.options.length;b<a;b++){var h=d.ownerDocument.createElement("option");h.value=c.options[b].value;h.selected=c.options[b].selected===true?true:false;h.disabled=c.options[b].disabled===true?true:false;if(c.options[b].css){h.className=c.options[b].css}this.buildTextNode(h,c.options[b].text);f.appendChild(h)}}if(c.multiple){f.multiple="multiple"}if(c.css){f.className=c.css}f.hasFocus=false;f.kbControl=this.map.getControlsByClass(OpenLayers.Control.KeyboardDefaults.prototype.CLASS_NAME)[0];this.addCallbacks(f,c);g.appendChild(f);g.appendChild(d.ownerDocument.createElement("br"));this.addHelp(g,c);d.appendChild(g);return f},buildCheckboxField:function(b,a){var d,c;d=b.ownerDocument.createElement("label");d.id="lbl"+a.id+this.id;d.setAttribute("for",a.id+this.id);this.buildTextNode(d,this.getDisplayClass()+"."+a.id);c=b.ownerDocument.createElement("input");c.id=a.id+this.id;if(a.name){c.name=a.name}else{c.name=c.id}c.value=c.id;c.type="checkbox";c.disabled=a.disabled?true:false;c.checked=a.checked?true:false;c.defaultChecked=a.defaultChecked?true:false;c.style.autocomplete="off";if(a.css){c.className=a.css}this.addCallbacks(c,a);d.appendChild(c);d.appendChild(b.ownerDocument.createElement("br"));this.addHelp(d,a);b.appendChild(d);return c},buildRadioFields:function(h,c){var f,k,j;f=h.ownerDocument.createElement("fieldset");f.className=this.getDisplayClass()+"RadioGroup";k=h.ownerDocument.createElement("legend");k.align=c.align||"left";this.buildTextNode(k,this.getDisplayClass()+"."+c.id);f.appendChild(k);for(var b=0,a=c.radios.length;b<a;b++){var d=c.radios[b];j=h.ownerDocument.createElement("input");j.id=d.id+this.id;if(c.name){j.name=c.name}else{j.name=c.id+this.id}j.value=j.id;j.type="radio";j.disabled=d.disabled?true:false;j.checked=d.checked?true:false;j.style.autocomplete="off";if(d.css){j.className=d.css}this.addCallbacks(j,d);f.appendChild(j);k=h.ownerDocument.createElement("label");k.id="lbl"+d.id+this.id;k.setAttribute("for",j.id);this.buildTextNode(k,this.getDisplayClass()+"."+d.id);f.appendChild(k);f.appendChild(h.ownerDocument.createElement("br"));this.addHelp(f,d)}h.appendChild(f);return f},buildTextNode:function(c,a){var b=c.ownerDocument.createTextNode(OpenLayers.String.trim(OpenLayers.i18n(a)));this.labels[a]=c;c.appendChild(b)},addCallbacks:function(d,c){if(c.callbacks&&c.callbacks.length>0){for(var b=0,a=c.callbacks.length;b<a;b++){OpenLayers.Event.observe(d,c.callbacks[b].evt,OpenLayers.Function.bind(c.callbacks[b].func,this,d));this.htmlElements[c.callbacks[b].evt+c.id+this.id]=d}}},addHelp:function(a,b){var c=a.ownerDocument.createElement("span");c.id="help"+b.id+this.id;c.className="gpFormSmall";this.buildTextNode(c,this.getDisplayClass()+"."+b.id+".help");a.appendChild(c);a.appendChild(a.ownerDocument.createElement("br"));return c},buildButton:function(d,a,c,b){var f;f=d.ownerDocument.createElement("input");f.className=this.getDisplayClass()+"Button";f.type="button";f.id=a+this.id;f.name=f.id;f.value=OpenLayers.i18n(this.getDisplayClass()+".button."+a);if(c){OpenLayers.Event.observe(f,"click",OpenLayers.Function.bind(c,this,f));this.htmlElements["click"+a+this.id]=f}this.buttons[this.getDisplayClass()+".button."+a]=f;d.appendChild(f);if(c&&b){OpenLayers.Event.observe(d,"keypress",OpenLayers.Function.bind(function(e){if(e.keyCode==b||(b==13&&e.keyCode==10)){return c.apply(this,[f,e])}return true},this))}return f},buildImageButton:function(d,b,a,c){var f;f=d.ownerDocument.createElement("input");f.className=this.getDisplayClass()+"ImageButton";f.type="image";f.id=b+this.id;f.name=f.id;if(a){f.src=a}f.title=OpenLayers.i18n(this.getDisplayClass()+".imageButton."+b);f.alt=f.title;if(c){OpenLayers.Event.observe(f,"click",OpenLayers.Function.bind(c,this,f));this.htmlElements["click"+b+this.id]=f}this.buttons[this.getDisplayClass()+".imageButton."+b]=f;d.appendChild(f);return f},buildResultsField:function(a){if(!this.resultDiv){this.resultDiv=a.ownerDocument.createElement("div");this.resultDiv.className=this.getDisplayClass()+"Results";this.resultDiv.id="results"+this.id;this.resultDiv.style.display="none";this.resultDiv.innerHTML="";a.appendChild(this.resultDiv)}},changeLang:function(b){if(this.getTitle()){this.div.title=OpenLayers.i18n(this.getTitle())}if(this.formControl){if(this.labels){for(var a in this.labels){if(this.labels[a]){this.labels[a].childNodes[0].nodeValue=OpenLayers.i18n(a)}}}if(this.buttons){for(var a in this.buttons){if(this.buttons[a]){if(this.buttons[a].type=="image"){this.buttons[a].alt=this.buttons[a].title=OpenLayers.i18n(a)}else{this.buttons[a].value=OpenLayers.i18n(a)}}}}}},disableNavigation:function(b){var a=this.map.getControlsByClass("OpenLayers.Control.Navigation");if(a&&a.length>0){a[0].deactivate()}},enableNavigation:function(b){var a=this.map.getControlsByClass("OpenLayers.Control.Navigation");if(a&&a.length>0){a[0].activate()}},CLASS_NAME:"Geoportal.Control.Form"});Geoportal.Control.Form.focusOn=function(a){if(a.kbControl){if(a.kbControl.activeOverMapOnly&&!a.kbControl.outsideViewport){a.kbControl.activeOverMapOnlySavedState=true;a.kbControl.activeOverMapOnly=false;a.kbControl.onMouseOver=a.kbControl.onMouseOut=function(){};if(a.kbControl.active){a.kbControl.deactivate()}}}a.hasFocus=true;a.focus()};Geoportal.Control.Form.focusOff=function(a){if(a.kbControl){if(a.kbControl.activeOverMapOnlySavedState){a.kbControl.activeOverMapOnly=true;a.kbControl.onMouseOver=OpenLayers.Control.KeyboardDefaults.prototype.onMouseOver;a.kbControl.onMouseOut=OpenLayers.Control.KeyboardDefaults.prototype.onMouseOut;if(!a.kbControl.active){a.kbControl.activate()}}}a.hasFocus=false;a.blur()};Geoportal.Control.GraphicScale=OpenLayers.Class(Geoportal.Control,{METRICSUIMETER:[1000,1,0.01,0.001],METRICSUISYMBOL:["km","m","cm","mm"],barAreaWidth:150,currentUnitInfo:null,currentUiSymbol:null,currentWidth:null,currentDistance:null,currentDivisionCount:null,listBlocks:null,initialize:function(){Geoportal.Control.prototype.initialize.apply(this,arguments);this.listBlocks=[]},destroy:function(){if(this.map){this.map.events.unregister("zoomend",this,this.redraw);this.map.events.unregister("changebaselayer",this,this.redraw)}if(this.listBlocks){for(var b=0,a=this.listBlocks.length;b<a;b++){if(this.listBlocks[b]){if(this.listBlocks[b].parentNode){this.listBlocks[b].parentNode.removeChild(this.listBlocks[b])}this.listBlocks[b]=null}}this.listBlocks=null}if(this.divLegend&&this.divLegend.parendNode){this.divLegend.parendNode.removeChild(this.divLegend);this.divLegend=null}if(this.divText1){if(this.divText1.parentNode){this.divText1.parentNode.removeChild(this.divText1)}this.divText1=null}if(this.divText2){if(this.divText2.parentNode){this.divText2.parentNode.removeChild(this.divText2)}this.divText2=null}Geoportal.Control.prototype.destroy.apply(this,arguments)},setMap:function(a){Geoportal.Control.prototype.setMap.apply(this,arguments);this.map.events.register("zoomend",this,this.redraw);this.map.events.register("changebaselayer",this,this.redraw)},draw:function(a){Geoportal.Control.prototype.draw.apply(this,arguments);this.divText2=this.div.ownerDocument.createElement("div");this.divText2.className=this.getDisplayClass()+"Text2";this.div.appendChild(this.divText2);this.divText1=this.div.ownerDocument.createElement("div");this.divText1.className=this.getDisplayClass()+"Text1";this.divText1.innerHTML="0";this.div.appendChild(this.divText1);this.divLegend=this.div.ownerDocument.createElement("div");this.divLegend.className=this.getDisplayClass()+"Legend";this.div.appendChild(this.divLegend);this.redraw();return this.div},redraw:function(){this.computeBarMetrics();this.drawBar()},computeBarMetrics:function(){var j=false;var x=this.map.getResolution();if(this.map.getProjection()&&this.map.getProjection().getProjName()=="longlat"){var r=this.map.getCenter();if(!r){r=this.map.getMaxExtent().getCenterLonLat()}var u=this.map.getProjection().getProperty("semi_major");var q=this.map.getProjection().getProperty("semi_minor");if(!(u&&q)){x*=111319.49079327357*Math.cos(r.lat*0.017453292519943295)}else{var n=Math.cos(r.lat*0.017453292519943295);var h=n*n;var f=Math.sin(r.lat*0.017453292519943295);var k=f*f;var w=u*u;var p=u*u*u*u;var d=q*q;var c=q*q*q*q;x*=0.017453292519943295*n*Math.sqrt((p*h+c*k)/(w*h+d*k))}}else{x=this.map.getGeodesicPixelSize().h*1000}for(var l=0;l<this.METRICSUIMETER.length&&!j;l++){var o=100000;var e=this.METRICSUIMETER[l];while((Math.round(o)>0)&&!j){var g=Math.round((o*e)/x);if(g<this.barAreaWidth){j=true;this.currentUnitInfo=this.METRICSUIMETER[l];this.currentUiSymbol=this.METRICSUISYMBOL[l];this.currentWidth=g;this.currentDistance=o}else{o/=10}}}var s=1;while(s<5){if((this.currentWidth*(s+1))<this.barAreaWidth){s++}else{break}}this.currentDivisionCount=s;this.currentWidth*=s;this.currentDistance*=s;this.divText2.innerHTML=this.currentDistance+" "+this.currentUiSymbol;this.divText2.style.left=this.currentWidth+"px"},getDivLegendMargin:function(a){return Geoportal.Util.getComputedStyle(this.divLegend,"margin-"+a,true)},drawBar:function(){var a;this.divLegend.style.width=this.currentWidth+"px";var d=this.getDivLegendMargin("left");var c=this.getDivLegendMargin("right");this.div.style.width=(this.currentWidth+d+c)+"px";if(this.currentDivisionCount==1){this.currentDivisionCount=5}for(a=0;a<this.currentDivisionCount;a++){if(!this.listBlocks[a]){var b=this.div.ownerDocument.createElement("div");if((a%2)===0){b.className=this.getDisplayClass()+"FullBlock"}else{b.className=this.getDisplayClass()+"EmptyBlock"}this.divLegend.appendChild(b);this.listBlocks[a]=b}else{this.listBlocks[a].style.display="block"}this.listBlocks[a].style.width=this.currentWidth/this.currentDivisionCount+"px"}for(a=this.currentDivisionCount;a<5;a++){if(this.listBlocks[a]){this.listBlocks[a].style.display="none"}}},CLASS_NAME:"Geoportal.Control.GraphicScale"});Geoportal.Control.Graticule=OpenLayers.Class(Geoportal.Control,OpenLayers.Control.Graticule,{uis:["Geoportal.UI"],initialize:function(a){OpenLayers.Control.Graticule.prototype.initialize.apply(this,arguments);Geoportal.Control.prototype.initialize.apply(this,[a])},CLASS_NAME:"Geoportal.Control.Graticule"});Geoportal.Control.PanPanel=OpenLayers.Class(Geoportal.Control,OpenLayers.Control.PanPanel,{uis:["Geoportal.UI"],initialize:function(a){OpenLayers.Control.PanPanel.prototype.initialize.apply(this,[a]);Geoportal.Control.prototype.initialize.apply(this,[a])},CLASS_NAME:"Geoportal.Control.PanPanel"});Geoportal.Control.LocationUtilityService=OpenLayers.Class(Geoportal.Control.Form,{type:OpenLayers.Control.TYPE_TOGGLE,layer:null,matchTypes:null,drawLocation:true,fields:{c:"cancel",s:"search",w:"wait",f0:"extent",f1:"territory",f2:"region",f3:"department"},filtersOptions:null,inputs:null,buttons:null,onSelectLocation:function(a){},countryCode:"",allowSearchType:false,setZoom:function(a){return this.map.getZoom()},keepFeature:function(a){return a?1:0},lusVl:null,initialize:function(b,a){if(!a&&!(b instanceof OpenLayers.Layer)){a=b;b=a.layer;delete a.layer}Geoportal.Control.Form.prototype.initialize.apply(this,[a]);this.layer=b;this.inputs={};this.buttons={};if(this.autoCompleteOptions&&!Geoportal.Control.AutoComplete){this.autoCompleteOptions=null}if(this.autoCompleteOptions){this.filtersOptions=null}},destroy:function(){if(this.map){if(this.layer&&this.layer.map){this.map.removeLayer(this.layer)}this.map=null}this.buttons=null;this.inputs=null;if(this.layer){this.layer.destroy();this.layer=null}Geoportal.Control.Form.prototype.destroy.apply(this,arguments)},activate:function(){if(!Geoportal.Control.Form.prototype.activate.apply(this,arguments)){return false}this.layer.selectCntrl.deactivate();this.layer.destroyFeatures();var a=this.div.ownerDocument.createElement("form");a.id="__searchlus__"+this.id;a.name=a.id;a.action="javascript:void(null)";this.loadContent(a);this.map.addControl(this.formControl);this.formControl.activate();this.formControl.addContent(a);if(!this.layer.map){this.map.addLayer(this.layer)}this.initFocus();this.addAutoCompleteControl();return true},initFocus:function(){},addAutoCompleteControl:function(){if(this.autoCompleteControl){this.map.addControl(this.autoCompleteControl);this.formControl.onDrag=OpenLayers.Function.bind(this.autoCompleteControl.updateAutoCompleteListPosition,this.autoCompleteControl)}},deactivate:function(){if(this.rectangleControl){this.rectangleControl.deactivate();this.map.removeControl(this.rectangleControl);this.rectangleControl=null}if(this.lusVl){var a=this.lusVl.slctCntrl;a.deactivate();this.map.removeControl(a);this.lusVl.slctCntrl=null;a=this.lusVl.dragCntrl;a.deactivate();this.map.removeControl(a);this.lusVl.dragCntrl=null;this.lusVl.destroyFeatures();this.map.removeLayer(this.lusVl);this.lusVl=null}this.layer.cleanQueries();if(this.autoCompleteControl){this.autoCompleteControl.destroy()}return Geoportal.Control.Form.prototype.deactivate.apply(this,arguments)},loadContent:function(a){this.addAutoCompletion();this.addFilters(a);if(this.fields.c){this.buttons[this.fields.c]=this.buildButton(a,this.fields.c,this.closeForm)}if(this.fields.s){this.buttons[this.fields.s]=this.buildButton(a,this.fields.s,this.onSearchClick,13)}if(this.fields.w){this.wImg=this.buildImageButton(a,"wait",null);this.wImg.alt=""}if(this.wImg){this.wImg.style.display="none"}this.buildResultsField(a);this.addLUSVectorLayer()},addAutoCompletion:function(){if(this.autoCompleteOptions){if(!this.autoCompleteOptions.url){this.autoCompleteOptions.url=this.getAutoCompleteUrl()}if(!this.autoCompleteOptions.type){this.autoCompleteOptions.type=this.countryCode}if(!this.autoCompleteOptions.onResultClick){this.autoCompleteOptions.onResultClick=OpenLayers.Function.bind(this.geocode,this)}if(this.autoCompleteOptions.inputText){this.autoCompleteControl=new Geoportal.Control.AutoComplete(this.autoCompleteOptions.inputText,this.autoCompleteOptions)}}},addFilters:function(c){if(this.filtersOptions===null){return}var a=[],b=["","Map","Manual"];for(var f=0,g=b.length;f<g;f++){var d={value:b[f],selected:(f==0),text:(b[f]==""?"":this.getDisplayClass()+".extent."+b[f])};a.push(d)}this.inputs[this.fields.f0]=this.buildSelectField(c,{id:this.fields.f0,options:a,callbacks:[{evt:"change",func:this.onChangeGeoFilter}]});a=[{value:"",text:"",selected:true}];for(var l in Geoportal.Catalogue.TERRITORIES){switch(l){case"EUE":case"WLD":case"ASP":case"ATF":break;default:break}var d={value:l,text:l};a.push(d)}this.inputs[this.fields.f1]=this.buildSelectField(c,{id:this.fields.f1,options:a,callbacks:[{evt:"change",func:this.onChangeTerritory}]});a=[{value:"",text:"",selected:true}];var e=Geoportal.Catalogue.REGIONS;for(var h in e){var d={value:e[h].code,text:h};a.push(d)}this.inputs[this.fields.f2]=this.buildSelectField(c,{id:this.fields.f2,options:a,callbacks:[{evt:"change",func:this.onChangeRegion}]});a=[{value:"",text:"",selected:true}];var k=Geoportal.Catalogue.DEPARTMENTS;for(var j in k){var d={value:k[j].code,text:j+" ("+k[j].code+")"};a.push(d)}this.inputs[this.fields.f3]=this.buildSelectField(c,{id:this.fields.f3,options:a,callbacks:[{evt:"change",func:this.onChangeDept}]})},getAutoCompleteUrl:function(){var c=null;if(this.map&&this.map.apiKey&&this.map.catalogue&&this.layer){var d;for(var e=0,b=this.map.apiKey.length;e<b;e++){d=this.map.apiKey[e];if(this.map.catalogue[d].layers[this.layer.name]){var a=this.countryCode.split(",").shift()+":"+Geoportal.Control.AutoComplete.SERVICE_ID;a=this.map.catalogue[d].layers[a];if(a){c=a.url}break}}}return c},closeForm:function(){this.layer.abortRequest();Geoportal.Control.Form.prototype.closeForm.apply(this,arguments)},resizeForm:function(a,b){Geoportal.Control.Form.prototype.resizeForm.apply(this,arguments);if(this.autoCompleteControl){this.autoCompleteControl.updateAutoCompleteListPosition()}},addLUSVectorLayer:function(c){c=c||{};this.lusVl=new OpenLayers.Layer.Vector("__rvgc_LL__",{projection:this.map.getProjection(),styleMap:new OpenLayers.StyleMap(new OpenLayers.Style(OpenLayers.Util.applyDefaults({fillColor:"#99CCFF",strokeColor:"#99CCFF"},OpenLayers.Feature.Vector.style["default"]))),eventListeners:{beforefeaturesadded:function(){this.destroyFeatures();return true},featureadded:function(d){d.feature.state=OpenLayers.State.INSERT;return true}},displayInLayerSwitcher:false});Geoportal.Layer.OpenLS.Core.LocationUtilityService.prototype.applyStyles.apply(this.lusVl,[c]);this.map.addLayer(this.lusVl);var a=new OpenLayers.Control.SelectFeature(this.lusVl,{multiple:false,hover:true,onSelect:function(d){this.layer.dragCntrl.activate()},onUnselect:function(d){this.layer.dragCntrl.deactivate()}});this.map.addControl(a);var b=new OpenLayers.Control.DragFeature(this.lusVl,{onDrag:OpenLayers.Function.bind(this.updateLLForm,this),onComplete:OpenLayers.Function.bind(this.updateLLForm,this)});this.map.addControl(b);this.lusVl.slctCntrl=a;this.lusVl.dragCntrl=b;return this.lusVl},onChangeGeoFilter:function(b,a){this.lusVl.destroyFeatures();switch(b.value){case"":case"Map":if(this.rectangleControl){this.rectangleControl.deactivate()}this.lusVl.slctCntrl.deactivate();break;case"Manual":if(!this.rectangleControl){this.rectangleControl=new OpenLayers.Control.DrawFeature(this.lusVl,OpenLayers.Handler.RegularPolygon,{handlerOptions:{irregular:true}});this.map.addControl(this.rectangleControl)}this.rectangleControl.activate();this.lusVl.slctCntrl.activate();break}},onChangeTerritory:function(b,a){var c=b.value;var f=this.updateChildrenSelect(this.fields.f2,Geoportal.Catalogue.REGIONS,c);var e=[];for(var d in Geoportal.Catalogue.DEPARTMENTS){if(f[Geoportal.Catalogue.DEPARTMENTS[d].parent]){e[d]=Geoportal.Catalogue.DEPARTMENTS[d]}}this.updateChildrenSelect(this.fields.f3,e,"",function(g,h){return h+" ("+g[h].code+")"})},onChangeRegion:function(b,a){var c=b.value;this.selectParentOption(this.fields.f1,b,Geoportal.Catalogue.REGIONS);if(c==""){this.onChangeTerritory(this.inputs[this.fields.f1])}else{this.updateChildrenSelect(this.fields.f3,Geoportal.Catalogue.DEPARTMENTS,c,function(d,e){return e+" ("+d[e].code+")"})}},onChangeDept:function(b,a){this.selectParentOption(this.fields.f2,b,Geoportal.Catalogue.DEPARTMENTS);this.selectParentOption(this.fields.f1,this.inputs[this.fields.f2],Geoportal.Catalogue.REGIONS)},selectParentOption:function(e,d,j){var h=d.value;var b=null;if(h!=""){for(var a in j){if(j[a].code==h){var g=this.inputs[e];var f=g.options.length;for(var c=0;c<f;c++){if(g.options[c].value==j[a].parent){g.options[c].selected=true;b=g.options[c];break}}}}}return b},updateChildrenSelect:function(b,k,j,h){var g=this.inputs[b];var f=g.options.length;var d=[];for(var e=0;e<f;e++){g.options[0]=null}var c=g.ownerDocument.createElement("option");c.text="";c.value="";c.defaultSelected=false;c.selected=true;g.options[g.options.length]=c;for(var a in k){if(j==""||k[a].parent==j){c=g.ownerDocument.createElement("option");c.text=h?h(k,a):a;c.value=k[a].code;c.defaultSelected=false;c.selected=false;g.options[g.options.length]=c;d[k[a].code]=true}}return d},onSearchClick:function(d,a){if(a||window.event){OpenLayers.Event.stop(a?a:window.event)}this.resultDiv.innerHTML="";this.resultDiv.style.display="none";if(this.autoCompleteControl){this.autoCompleteControl.hideAutoCompleteList()}var c=false;for(var b in this.inputs){c=c||(d===this.inputs[b])}if(c){for(var b in this.inputs){if(d!==this.inputs[b]){Geoportal.Control.Form.focusOff(this.inputs[b])}}Geoportal.Control.Form.focusOn(d);return false}if(this.fields.s&&d===this.buttons[this.fields.s]){this.geocode();return false}this.closeForm();return false},geocode:function(){},geocodeWithFilters:function(b){if(this.filtersOptions===null){return b}var c=this.inputs[this.fields.f3].value;if(c!=""){var f=new Geoportal.OLS.Place({classification:Geoportal.Control.LocationUtilityService.DEPARTMENT,name:c});b.addPlace(f)}else{c=this.inputs[this.fields.f2].value;if(c!=""){var e=Geoportal.Catalogue.REGIONS[this.inputs[this.fields.f2].options[this.inputs[this.fields.f2].selectedIndex].text];b.restrictedExtent=OpenLayers.Bounds.fromArray(e.geobbox)}else{c=this.inputs[this.fields.f1].value;if(c!=""){var f=new Geoportal.OLS.Place({classification:Geoportal.Control.LocationUtilityService.TERRITORY,name:c});b.addPlace(f)}}}c=this.inputs[this.fields.f0].value;switch(c){case"Map":b.restrictedExtent=this.map.getExtent().transform(this.map.getProjection(),OpenLayers.Projection.CRS84);break;case"Manual":var d=this.lusVl.features[0];if(d){b.restrictedExtent=d.geometry.getBounds().clone().transform(this.map.getProjection(),OpenLayers.Projection.CRS84)}break;default:break}return b},LUSSuccess:function(b){if(this.wImg){this.wImg.style.display="none"}this.resultDiv.innerHTML="";this.resultDiv.style.display="";if(!this.layer.queriedAddresses){this.LUSFailure(b);return false}var a=this.layer.queriedAddresses[0].features;if(!a){return false}return true},LUSFailure:function(c){if(this.wImg){this.wImg.style.display="none"}this.resultDiv.innerHTML="";var b=this.div.ownerDocument.createElement("div");b.className="gpLUSResult";var a=this.div.ownerDocument.createElement("span");a.innerHTML=OpenLayers.i18n("lus.not.match");b.appendChild(a);this.resultDiv.appendChild(b);this.resultDiv.style.display=""},onResultClick:function(a){if(a||window.event){OpenLayers.Event.stop(a?a:window.event)}if(this.cntrl.map){var b=new OpenLayers.LonLat(this.feature.geometry.x,this.feature.geometry.y);this.cntrl.map.setCenter(b,this.zoom,false,false);b=null;if(this.cntrl.drawLocation){this.cntrl.layer.destroyFeatures();this.cntrl.layer.addFeatures([this.feature.clone()]);this.cntrl.layer.selectCntrl.activate()}}if(!a||!a.ctrlKey){this.cntrl.closeForm()}this.cntrl.onSelectLocation(this.feature)},onAutoCompleteResultClick:function(d){var h=this.autoCompleteControl;if(h&&h.results&&h.highlightIndex){var j=h.results[h.highlightIndex-1];if(d==j.fulltext){if(j.x!=0&&j.y!=0){var b=new OpenLayers.Geometry.Point(j.x,j.y).transform(OpenLayers.Projection.CRS84,this.map.getProjection());var i={address:new Geoportal.OLS.Address(),geocodeMatchCode:new Geoportal.OLS.GeocodeMatchCode()};var c=i.address;c.countryCode=this.countryCode;i.geocodeMatchCode.accuracy=1;i.geocodeMatchCode.matchType="City";var g=new OpenLayers.Feature.Vector(b,i,null);var e={cntrl:this,feature:g,zoom:this.setZoom(g)};this.onResultClick.apply(e);return null}}}return d},updateLLForm:function(b,a){},CLASS_NAME:"Geoportal.Control.LocationUtilityService"});Geoportal.Control.LocationUtilityService.POSITIONOFINTEREST="PositionOfInterest";Geoportal.Control.LocationUtilityService.STREETADDRESS="StreetAddress";Geoportal.Control.LocationUtilityService.CADASTRALPARCEL="CadastralParcel";Geoportal.Control.LocationUtilityService.GEODETICFIXEDPOINT="GeodeticFixedPoint";Geoportal.Control.LocationUtilityService.COUNTRYCODES=[Geoportal.Control.LocationUtilityService.POSITIONOFINTEREST,Geoportal.Control.LocationUtilityService.STREETADDRESS,Geoportal.Control.LocationUtilityService.CADASTRALPARCEL,Geoportal.Control.LocationUtilityService.GEODETICFIXEDPOINT];Geoportal.Control.LocationUtilityService.TERRITORY="Territoire";Geoportal.Control.LocationUtilityService.REGION="Region";Geoportal.Control.LocationUtilityService.DEPARTMENT="Departement";Geoportal.Control.AutoComplete=OpenLayers.Class(Geoportal.Control,{textinput:"",inputText:null,autoCompleteQueryDelay:200,maximumResponses:5,autoActivate:true,url:null,type:null,oldKbdfsActive:false,initialize:function(b,a){Geoportal.Control.prototype.initialize.apply(this,[a]);this.inputText=b;this.observeInputText()},draw:function(){this.handler=new OpenLayers.Handler.Keyboard(this,{keydown:this.defaultKeyPress});this.createAutoCompleteList()},defaultKeyPress:function(a){if(this.completeList&&this.completeList.style.visibility!="hidden"){var b=this.map.getControlsByClass("OpenLayers.Control.KeyboardDefaults");if(b&&b.length>0){this.oldKbdfsActive=b[0].active?true:false;b[0].deactivate()}}switch(a.keyCode){case OpenLayers.Event.KEY_UP:this.highlightIndex--;this.highlightProposal(true);break;case OpenLayers.Event.KEY_DOWN:this.highlightIndex++;this.highlightProposal(true);break;case OpenLayers.Event.KEY_RETURN:if(this.highlightIndex>0){this.selectProposal(this.highlightIndex)}else{this.hideAutoCompleteList()}break}},destroy:function(){this.deactivate();window.clearTimeout(this.inputObserver);this.inputObserver=null;while(this.completeList.childNodes.length>0){OpenLayers.Event.stopObservingElement(this.completeList.childNodes[0]);this.completeList.removeChild(this.completeList.childNodes[0])}if(this.completeList&&this.completeList.parentNode){this.completeList.parentNode.removeChild(this.completeList)}Geoportal.Control.prototype.destroy.apply(this,arguments)},observeInputText:function(){if(this.inputText.value!=this.textinput){this.textinput=this.inputText.value;this.callAutoComplete(this.textinput)}this.inputObserver=window.setTimeout(OpenLayers.Function.bind(this.observeInputText,this),this.autoCompleteQueryDelay)},callAutoComplete:function(b){if(b.length>0){var a=new OpenLayers.Protocol.Script({url:this.url,params:{text:b,type:this.type,maximumResponses:this.maximumResponses},callback:OpenLayers.Function.bind(this.showResults,this),handleResponse:function(c,d){this.destroyRequest(c.priv);d.callback.call(d.scope,c)}});a.read()}else{this.hideAutoCompleteList()}},showResults:function(b){this.results=b.data.results;if(this.results&&!(this.results instanceof Array)){this.results=[this.results]}this.highlightIndex=0;if(!this.results||this.results.length==0){this.hideAutoCompleteList();return}else{this.showAutoCompleteList()}while(this.completeList.childNodes.length>0){OpenLayers.Event.stopObservingElement(this.completeList.childNodes[0]);this.completeList.removeChild(this.completeList.childNodes[0])}var a=(this.results.length>this.maximumResponses)?this.maximumResponses:this.results.length;for(var d=0;d<a;++d){var e=document.createElement("div");var c=document.createElement("span");c.innerHTML=this.results[d].fulltext;e.appendChild(c);OpenLayers.Event.observe(e,"click",OpenLayers.Function.bind(this.selectProposal,this,d));OpenLayers.Event.observe(e,"mouseover",OpenLayers.Function.bind(this.highlightOver,this,d));this.completeList.appendChild(e)}},highlightOver:function(a){this.highlightIndex=a+1;this.highlightProposal(true)},selectProposal:function(a){this.highlightIndex=a+1;this.highlightProposal(true);this.hideAutoCompleteList();while(this.completeList.childNodes.length>0){OpenLayers.Event.stopObservingElement(this.completeList.childNodes[0]);this.completeList.removeChild(this.completeList.childNodes[0])}this.onResultClick()},onResultClick:function(){},updateAutoCompleteListPosition:function(){if(this.completeList){var a=OpenLayers.Util.pagePosition(this.inputText);this.completeList.style.left=a[0]+"px";this.completeList.style.top=a[1]+this.inputText.offsetHeight+"px";this.completeList.style.width=this.inputText.offsetWidth+"px"}},hideAutoCompleteList:function(){if(this.oldKbdfsActive){var a=this.map.getControlsByClass("OpenLayers.Control.KeyboardDefaults");if(a&&a.length>0){a[0].activate()}this.oldKbdfsActive=true}if(this.completeList){this.completeList.style.visibility="hidden"}},showAutoCompleteList:function(){this.completeList.style.visibility="visible"},createAutoCompleteList:function(){this.completeList=document.createElement("div");this.completeList.className="gpGeocodeAutoCompleteList";this.completeList.id="completeList";this.updateAutoCompleteListPosition();this.hideAutoCompleteList();document.body.appendChild(this.completeList)},highlightProposal:function(c){var b=this.completeList.childNodes.length;if(b==0){return}if(this.highlightIndex>b){this.highlightIndex=b}if(this.highlightIndex<1){this.highlightIndex=1}for(var a=0;a<b;a++){this.completeList.childNodes[a].className="gpGeocodeAutoCompleteProposal"}this.completeList.childNodes[this.highlightIndex-1].className="gpGeocodeAutoCompleteProposalHighlighted";if(c&&this.results&&this.results.length){this.textinput=this.results[this.highlightIndex-1].fulltext;this.inputText.value=this.textinput}},CLASS_NAME:"Geoportal.Control.AutoComplete"});Geoportal.Control.AutoComplete.SERVICE_ID="OPENLS;AutoCompletion";Geoportal.Control.LocationUtilityService.Geocode=OpenLayers.Class(Geoportal.Control.LocationUtilityService,{fields:{q0:"address",q1:"municipality",q2:"postalcode",q3:"quality",q4:"freeformaddress",c:"cancel",s:"search",w:"wait",f0:"extent",f1:"territory",f2:"region",f3:"department"},countryCode:Geoportal.Control.LocationUtilityService.STREETADDRESS,setZoom:function(a){return this.map.getNumZoomLevels()-5},initialize:function(b,a){Geoportal.Control.LocationUtilityService.prototype.initialize.apply(this,arguments)},loadContent:function(a){if(this.autoCompleteOptions){this.inputs[this.fields.q4]=this.buildInputTextField(a,{id:this.fields.q4,mandatory:true,size:50,length:80,callbacks:[{evt:"click",func:this.onSearchClick}]});this.autoCompleteOptions.inputText=this.inputs[this.fields.q4]}else{this.inputs[this.fields.q0]=this.buildInputTextField(a,{id:this.fields.q0,size:50,length:80,callbacks:[{evt:"click",func:this.onSearchClick}]});this.inputs[this.fields.q1]=this.buildInputTextField(a,{id:this.fields.q1,mandatory:true,size:30,length:50,callbacks:[{evt:"click",func:this.onSearchClick}]});this.inputs[this.fields.q2]=this.buildInputTextField(a,{id:this.fields.q2,size:5,length:5,callbacks:[{evt:"click",func:this.onSearchClick}]})}Geoportal.Control.LocationUtilityService.prototype.loadContent.apply(this,arguments)},addFilters:function(a){if(this.filtersOptions===null){return}this.inputs[this.fields.q3]=this.buildInputTextField(a,{id:this.fields.q3,mandatory:false,size:20,length:20,callbacks:[{evt:"click",func:this.onSearchClick}]});Geoportal.Control.LocationUtilityService.prototype.addFilters.apply(this,arguments)},initFocus:function(){Geoportal.Control.Form.focusOn(this.inputs[this.autoCompleteOptions?this.fields.q4:this.fields.q0])},geocode:function(){var c=new Geoportal.OLS.Address(this.countryCode);if(this.autoCompleteOptions){var d=OpenLayers.String.trim(this.inputs[this.fields.q4].value);if(d==""){return null}d=this.onAutoCompleteResultClick(d);if(d==null){return null}c.name=d}else{var d=OpenLayers.String.trim(this.inputs[this.fields.q0].value);var e=new Geoportal.OLS.Street();e.name=d;d=OpenLayers.String.trim(this.inputs[this.fields.q1].value);if(d==""){return null}var b=new Geoportal.OLS.StreetAddress();b.addStreet(e);c.streetAddress=b;var f=new Geoportal.OLS.Place({classification:"Municipality",name:d});c.addPlace(f);d=OpenLayers.String.trim(this.inputs[this.fields.q2].value);c.postalCode=new Geoportal.OLS.PostalCode({name:d})}c=this.geocodeWithFilters(c);if(this.wImg){this.wImg.style.display=""}this.layer.GEOCODE([c],{onSuccess:this.LUSSuccess,onFailure:this.LUSFailure,scopeOn:this});c.destroy();c=null},geocodeWithFilters:function(b){if(this.filtersOptions===null){return b}v=OpenLayers.String.trim(this.inputs[this.fields.q3].value);if(v!=""){var c=new Geoportal.OLS.Place({classification:"Quality",name:v});b.addPlace(c)}return Geoportal.Control.LocationUtilityService.prototype.geocodeWithFilters.apply(this,[b])},LUSSuccess:function(k){if(Geoportal.Control.LocationUtilityService.prototype.LUSSuccess.apply(this,arguments)===false){return false}var d=this.layer.queriedAddresses[0].features;this.resultDiv.style.display="none";for(var n=0,e=d.length;n<e;n++){var q=d[n];var b=this.keepFeature(q);if(b==-1){break}if(b==0){continue}var a=this.div.ownerDocument.createElement("div");a.className="gpLUSResult";if((n%2)==1){a.className+="Alternate"}if(q.attributes.geocodeMatchCode){var g=this.div.ownerDocument.createElement("div");g.className="gpGeocodeMatchCode";if(q.attributes.geocodeMatchCode<=0.25){g.className+="Accuracy000to025"}else{if(q.attributes.geocodeMatchCode<=0.5){g.className+="Accuracy025to050"}else{if(q.attributes.geocodeMatchCode.accuracy<=0.75){g.className+="Accuracy050to075"}else{if(q.attributes.geocodeMatchCode.accuracy<=1){g.className+="Accuracy075to100"}}}}var l=this.div.ownerDocument.createElement("img");l.className="gpGeocodeMatchCodeMatchType";l.i18nKey=q.attributes.geocodeMatchCode.matchType;l.alt=l.title="";l.src=Geoportal.Util.getImagesLocation()+"OLSnone.gif";if(l.i18nKey){if(this.matchTypes){var u="";for(var h=0,p=this.matchTypes.length;h<p;h++){if(!this.matchTypes[h].re||(u=l.i18nKey.match(this.matchTypes[h].re))){u=u[0];l.i18nKey=this.getDisplayClass()+".matchType."+u;l.src=this.matchTypes[h].src;break}}}l.alt=l.title=OpenLayers.i18n(l.i18nKey)}g.appendChild(l);a.appendChild(g)}var x=this.div.ownerDocument.createElement("span");x.style.cursor="pointer";var c={cntrl:this,feature:q};var w=q.attributes.address;var o=["BBOX"];x.innerHTML=w.toString(o);c.zoom=this.setZoom(q);OpenLayers.Event.observe(x,"click",OpenLayers.Function.bindAsEventListener(this.onResultClick,c));a.appendChild(x);this.resultDiv.appendChild(a)}this.resultDiv.style.display="";return true},onResultClick:function(a){Geoportal.Control.LocationUtilityService.prototype.onResultClick.apply(this,arguments);if(a&&a.ctrlKey&&a.altKey&&this.feature.attributes.geocodeMatchCode.matchType.match(/city/i)){var b=this.feature.attributes.address.getPlaces()[0];var c=this.feature.attributes.address.postalCode;this.cntrl.inputs[this.fields.q1].value=b.name;this.cntrl.inputs[this.fields.q2].value=c.name;this.cntrl.geocode()}},onAutoCompleteResultClick:function(k){var d=this.autoCompleteControl;if(d&&d.results&&d.highlightIndex){var e=d.results[d.highlightIndex-1];if(k==e.fulltext){if(e.x!=0&&e.y!=0){var j=new OpenLayers.Geometry.Point(e.x,e.y).transform(OpenLayers.Projection.CRS84,this.map.getProjection());var h={address:new Geoportal.OLS.Address(),geocodeMatchCode:new Geoportal.OLS.GeocodeMatchCode()};var i=h.address;i.countryCode=e.country;i.streetAddress=new Geoportal.OLS.StreetAddress();var l=new Geoportal.OLS.Street();l.name=e.street;i.streetAddress.addStreet(l);var c=new Geoportal.OLS.Place();c.classification="Municipality";c.name=e.city;i.addPlace(c);i.postalCode=new Geoportal.OLS.PostalCode({name:e.zipcode});i=h.geocodeMatchCode;i.accuracy=1;i.matchType="Street number";var g=new OpenLayers.Feature.Vector(j,h,null);var b={cntrl:this,feature:g,zoom:this.setZoom(g)};this.onResultClick.apply(b);return null}k=e.zipcode+" "+(e.street==""?e.city:e.street)}}return k},CLASS_NAME:"Geoportal.Control.LocationUtilityService.Geocode"});Geoportal.Control.Compass=OpenLayers.Class(Geoportal.Control,{CLASS_NAME:"Geoportal.Control.Compass"});Geoportal.OLS.AbstractPosition=OpenLayers.Class(Geoportal.OLS.AbstractLocation,{CLASS_NAME:"Geoportal.OLS.AbstractPosition"});Geoportal.Control.PermanentLogo=OpenLayers.Class(Geoportal.Control,{permaLogo:null,permaURL:null,initialize:function(a){Geoportal.Control.prototype.initialize.apply(this,arguments);if(!this.permaLogo){this.permaLogo=Geoportal.Util.getImagesLocation()+"logo_gp.gif"}if(!this.permaURL){this.permaURL="http://www.geoportail.fr/"}},destroy:function(){this.map.events.unregister("changebaselayer",this,this.changeBaseLayer);this.map.events.unregister("preaddlayer",this,this.onGeoportalLayer);this.map.events.unregister("changelayer",this,this.changeBaseLayer);Geoportal.Control.prototype.destroy.apply(this,arguments)},draw:function(b){Geoportal.Control.prototype.draw.apply(this,arguments);if(this.permaURL!=null){var a=OpenLayers.getDoc().createElement("a");a.setAttribute("href",this.permaURL);a.setAttribute("target","_blank");this.div.appendChild(a)}if(this.hasGeoportalLayers()){this.div.style.display="block"}else{this.div.style.display="none"}return this.div},onGeoportalLayer:function(a){if(!(this.div.style.display=="none")){return}if(!a){return}if(!a.layer){return}var b=a.layer;if(!b.visibility){return}if(b.GeoRM){this.div.style.display="block"}},hasGeoportalLayers:function(){if(!this.map){return false}for(var c=0,a=this.map.layers.length;c<a;c++){var b=this.map.layers[c];if(!b.visibility){continue}if(b.GeoRM){return true}}return(this.map.layers.length==0)},setMap:function(){Geoportal.Control.prototype.setMap.apply(this,arguments);this.map.events.register("preaddlayer",this,this.onGeoportalLayer);this.map.events.register("changebaselayer",this,this.changeBaseLayer);this.map.events.register("changelayer",this,this.changeBaseLayer);this.map.events.register("controlvisibilitychanged",this,this.onVisibilityChanged)},changeBaseLayer:function(a){if(!a){return}if(a.type=="changelayer"&&a.property!="visibility"){return}if(this.hasGeoportalLayers()){this.div.style.display="block"}else{this.div.style.display="none"}},onVisibilityChanged:function(d){if(!d||!d.size){return}var c=(d.visibility?1:-1);var a=this.bottom;if(!a){a=(d.visibility?Geoportal.Util.getComputedStyle(this.div,"bottom",true):0)}this.bottom=a+c*d.size.h;this.div.style.bottom=this.bottom+"px"},CLASS_NAME:"Geoportal.Control.PermanentLogo"});Geoportal.Control.EditFeature=OpenLayers.Class(Geoportal.Control,{layer:null,callbacks:null,handlers:null,initialize:function(b,a){Geoportal.Control.prototype.initialize.apply(this,[a]);this.layer=b;var c={click:this.clickFeature};this.callbacks=OpenLayers.Util.extend(c,this.callbacks);this.handlers={feature:new OpenLayers.Handler.Feature(this,b,this.callbacks,{})}},destroy:function(){this.layer=null;Geoportal.Control.prototype.destroy.apply(this,arguments)},activate:function(){if(!this.active){this.handlers.feature.activate()}return Geoportal.Control.prototype.activate.apply(this,arguments)},deactivate:function(){if(this.active){this.handlers.feature.deactivate()}return Geoportal.Control.prototype.deactivate.apply(this,arguments)},clickFeature:function(a){this.openEditionPopup(a)},openEditionPopup:function(p){if(p&&p.layer&&p.layer.map){var j=p.geometry.getBounds().getCenterLonLat();var q="";var f="";for(var d=0,c=p.layer.schema.length;d<c;d++){var k=p.layer.schema[d];var b=this.generateAttributeId(k.attributeName,p.id);var n=(p.attributes[k.attributeName]?p.attributes[k.attributeName]:k.defaultValue||"").replace(/'/g,"&#39;");if(k.attributeName==="name"){q='<input type="text" size="19" value="'+n+'" id="'+b+'" name="'+b+'"/>';continue}var e='<label id="lbl'+b+'" for="'+b+'">'+k.attributeName+"</label>&nbsp;:<br/>";if(k.type==="text"){e+='<textarea id="'+b+'" name="'+b+'" rows="3" cols="22">'+n+"</textarea>"}else{if(k.type==="link"&&n!=""){e+='<div class="olControlDrawFeaturePointItemInactive" id="updateLink_'+b+'"></div>';e+='<div class="olControlDrawFeaturePointItemInactive" id="modifyLink_'+b+'"></div>'}e+='<input type="text" size="22" value="'+n+'" id="'+b+'" name="'+b+'"/>';if(k.type==="link"&&n!=""){e+='<a target="_blank" id="link_'+b+'" href="'+n+'">'+k.attributeName+"</a>"}}e+="<br/>";f+=e}p.popup=new OpenLayers.Popup.FramedCloud("chicken",j,null,"<form id='edit"+this.generateAttributeId("",p.id)+"' action='javascript:(void)null'><div class='gpPopupHead'>"+q+"</div><div class='gpPopupBody'>"+f+"</div></form>",null,true,this.closeEditionPopup);p.popup.autoSize=true;p.popup.minSize=new OpenLayers.Size(250,120);p.popup.maxSize=new OpenLayers.Size(300,300);p.layer.map.addPopup(p.popup,true);var g=p.layer.map.getControlsByClass(OpenLayers.Control.KeyboardDefaults.prototype.CLASS_NAME)[0];for(var d=0,c=p.layer.schema.length;d<c;d++){var k=p.layer.schema[d];var b=this.generateAttributeId(k.attributeName,p.id);var o=OpenLayers.Util.getElement(b);(function(a,h){h.onfocus=function(){if(g&&g.active){g.deactivate()}};h.onblur=function(){if(g&&!g.active){g.activate()}if(this.value){p.attributes[a.attributeName]=this.value.replace(/&#039;/g,"'").replace(/\r/g,"_br_")||a.defautValue||"";if(a.attributeName==="name"&&p.extendedData&&p.extendedData.isLabel){p.style.label=p.attributes[a.attributeName];p.layer.drawFeature(p)}}this.blur()};h.onkeyup=function(){if(this.value){p.attributes[a.attributeName]=this.value.replace(/&#039;/g,"'").replace(/\r/g,"_br_")||a.defautValue||"";if(a.attributeName==="name"&&p.extendedData&&p.extendedData.isLabel){p.style.label=p.attributes[a.attributeName];p.layer.drawFeature(p)}}}})(k,o);if(OpenLayers.Util.getElement("modifyLink_"+b)){OpenLayers.Util.getElement(b).style.display="none";OpenLayers.Util.getElement("updateLink_"+b).style.display="none";OpenLayers.Event.observe("modifyLink_"+b,"click",OpenLayers.Function.bind(this.modifyLink,this,b));OpenLayers.Event.observe("updateLink_"+b,"click",OpenLayers.Function.bind(this.updateLink,this,b))}}}},generateAttributeId:function(b,a){return"__featureInfo"+b+a.id+"__"},setMap:function(a){this.handlers.feature.setMap(a);Geoportal.Control.prototype.setMap.apply(this,arguments)},closeEditionPopup:function(a){OpenLayers.Event.stop(a);this.hide();if(OpenLayers.Util.getBrowserName()=="firefox"){if(this.map&&this.map.events){this.map.events.unregister("movestart",this,this.onMoveStartPopup);this.map.events.unregister("moveend",this,this.onMoveEndPopup)}}},modifyLink:function(a){OpenLayers.Util.getElement(a).style.display="block";OpenLayers.Util.getElement("updateLink_"+a).style.display="block";OpenLayers.Util.getElement("modifyLink_"+a).style.display="none";OpenLayers.Util.getElement("link_"+a).style.display="none"},updateLink:function(a){OpenLayers.Util.getElement(a).style.display="none";OpenLayers.Util.getElement("modifyLink_"+a).style.display="block";OpenLayers.Util.getElement("link_"+a).style.display="block";OpenLayers.Util.getElement("updateLink_"+a).style.display="none";OpenLayers.Util.getElement("link_"+a).href=OpenLayers.Util.getElement(a).value},CLASS_NAME:"Geoportal.Control.EditFeature"});Geoportal.Control.LocationUtilityService.GeoNames=OpenLayers.Class(Geoportal.Control.LocationUtilityService,{drawLocation:false,placesOptions:{commune:false,departement:false,importance:false,territory:false},fields:{q0:"name",q1:"nature",q2:"importance",q3:"commune",c:"cancel",s:"search",w:"wait",f0:"extent",f1:"territory",f2:"region",f3:"department"},countryCode:Geoportal.Control.LocationUtilityService.POSITIONOFINTEREST,setZoom:function(a){return Math.round(this.map.numZoomLevels/2)},initialize:function(b,a){Geoportal.Control.LocationUtilityService.prototype.initialize.apply(this,arguments);if(!this.order){this.order=Geoportal.Control.LocationUtilityService.GeoNames.orderBDNyme}if(a.placesOptions){for(prop in a.placesOptions){this.placesOptions[prop]=a.placesOptions[prop]}}},loadContent:function(a){this.inputs[this.fields.q0]=this.buildInputTextField(a,{id:this.fields.q0,mandatory:true,size:50,length:80,callbacks:[{evt:"click",func:this.onSearchClick}]});if(this.autoCompleteOptions){this.autoCompleteOptions.inputText=this.inputs[this.fields.q0]}Geoportal.Control.LocationUtilityService.prototype.loadContent.apply(this,arguments)},addFilters:function(e){if(this.filtersOptions===null){return}var d=[{value:"",text:"",selected:true}];var a=Geoportal.Control.LocationUtilityService.GeoNames.CODE_NAT;for(var g in a){var f={value:g,text:g};d.push(f)}this.inputs[this.fields.q1]=this.buildSelectField(e,{id:this.fields.q1,options:d,callbacks:[{evt:"change",func:this.onSearchClick}]});d=[{value:"",text:"",selected:true}];var c=Geoportal.Control.LocationUtilityService.GeoNames.IMPORTANCE;for(var b in c){var f={value:b,text:b};d.push(f)}this.inputs[this.fields.q2]=this.buildSelectField(e,{id:this.fields.q2,options:d,callbacks:[{evt:"change",func:this.onSearchClick}]});this.inputs[this.fields.q3]=this.buildInputTextField(e,{id:this.fields.q3,mandatory:false,size:50,length:80,callbacks:[{evt:"click",func:this.onSearchClick}]});Geoportal.Control.LocationUtilityService.prototype.addFilters.apply(this,arguments)},initFocus:function(){Geoportal.Control.Form.focusOn(this.inputs[this.fields.q0])},geocode:function(){var b=new Geoportal.OLS.Address(this.countryCode);var c=OpenLayers.String.trim(this.inputs[this.fields.q0].value);if(c==""){return}if(this.autoCompleteOptions){c=this.onAutoCompleteResultClick(c);if(c==null){return}}b.name=c;b=this.geocodeWithFilters(b);if(this.wImg){this.wImg.style.display=""}this.layer.GEOCODE([b],{onSuccess:this.LUSSuccess,onFailure:this.LUSFailure,scopeOn:this});b.destroy();b=null},geocodeWithFilters:function(b){if(this.filtersOptions===null){return b}v=OpenLayers.String.trim(this.inputs[this.fields.q1].value);if(v!=""){var c=new Geoportal.OLS.Place({classification:"Nature",name:v});b.addPlace(c)}v=OpenLayers.String.trim(this.inputs[this.fields.q2].value);if(v!=""){var c=new Geoportal.OLS.Place({classification:"Importance",name:v});b.addPlace(c)}v=OpenLayers.String.trim(this.inputs[this.fields.q3].value);if(v!=""){var c=new Geoportal.OLS.Place({classification:"Commune",name:v});b.addPlace(c)}return Geoportal.Control.LocationUtilityService.prototype.geocodeWithFilters.apply(this,[b])},order:null,LUSSuccess:function(b){if(Geoportal.Control.LocationUtilityService.prototype.LUSSuccess.apply(this,arguments)===false){return false}var g=this.layer.queriedAddresses[0].features;g.sort(this.order);this.resultDiv.style.display="none";for(var w=0,l=g.length;w<l;w++){var A=g[w];var e=this.keepFeature(A);if(e==-1){break}if(e==0){continue}var p=this.div.ownerDocument.createElement("div");p.className="gpLUSResult";if((w%2)==1){p.className+="Alternate"}if(A.attributes.geocodeMatchCode){var x=this.div.ownerDocument.createElement("div");x.className="gpGeocodeMatchCode";if(A.attributes.geocodeMatchCode<=0.25){x.className+="Accuracy000to025"}else{if(A.attributes.geocodeMatchCode<=0.5){x.className+="Accuracy025to050"}else{if(A.attributes.geocodeMatchCode.accuracy<=0.75){x.className+="Accuracy050to075"}else{if(A.attributes.geocodeMatchCode.accuracy<=1){x.className+="Accuracy075to100"}}}}var D=this.div.ownerDocument.createElement("img");D.className="gpGeocodeMatchCodeMatchType";D.alt=D.title="";D.src=Geoportal.Util.getImagesLocation()+"OLSnone.gif";x.appendChild(D);p.appendChild(x)}var o=this.div.ownerDocument.createElement("span");o.style.cursor="pointer";var a={cntrl:this,feature:A};var C=A.attributes.address;var B=C.getNbPlaces()>0?(C.getPlaces()[0]).name||"":"?";var E=Geoportal.Control.LocationUtilityService.GeoNames.getNature(C,"?");var c="";var j="";var z="";var h="";if(this.placesOptions){var d="";if(C&&C.getPlaces()){for(var q=0,y=C.getNbPlaces();q<y;q++){var u=C.getPlaces()[q].classification.toUpperCase();if(u=="COMMUNE"&&this.placesOptions.commune){d=C.getPlaces()[q].name;var k=(C&&C.postalCode?C.postalCode.name:"");c=" - "+k+" "+d}if(u=="DEPARTEMENT"&&this.placesOptions.departement){j=" - "+C.getPlaces()[q].name}if(u=="TERRITOIRE"&&this.placesOptions.territory){z=" - "+C.getPlaces()[q].name}if(u=="IMPORTANCE"&&this.placesOptions.importance){h=" - "+C.getPlaces()[q].name}}}}o.innerHTML=B+" ["+E+"]"+c+j+z+h;a.zoom=this.setZoom(A);OpenLayers.Event.observe(o,"click",OpenLayers.Function.bindAsEventListener(this.onResultClick,a));p.appendChild(o);this.resultDiv.appendChild(p)}this.resultDiv.style.display="";return true},onAutoCompleteResultClick:function(k){var d=this.autoCompleteControl;if(d&&d.results&&d.highlightIndex){var e=d.results[d.highlightIndex-1];if(k==e.fulltext){if(e.x!=0&&e.y!=0){var j=new OpenLayers.Geometry.Point(e.x,e.y).transform(OpenLayers.Projection.CRS84,this.map.getProjection());var g={address:new Geoportal.OLS.Address(),geocodeMatchCode:new Geoportal.OLS.GeocodeMatchCode()};var i=g.address;i.countryCode=e.country;i.streetAddress=new Geoportal.OLS.StreetAddress();i.streetAddress.addStreet(new Geoportal.OLS.Street());var c=new Geoportal.OLS.Place();c.classification="Municipality";c.name=e.city;i.addPlace(c);c=new Geoportal.OLS.Place();c.classification="Municipality";c.name=e.kind;i.addPlace(c);i.postalCode=new Geoportal.OLS.PostalCode({name:e.zipcode});i=g.geocodeMatchCode;i.accuracy=1;i.matchType="City";var h=new OpenLayers.Feature.Vector(j,g,null);var b={cntrl:this,feature:h,zoom:this.setZoom(h)};this.onResultClick.apply(b);return null}k=e.zipcode+" "+(e.street==""?e.city:e.street)}}return k},CLASS_NAME:"Geoportal.Control.LocationUtilityService.GeoNames"});Geoportal.Control.LocationUtilityService.GeoNames.getNature=function(e,b){var d=(e&&e.postalCode?e.postalCode.name:"")||b;if(e&&e.getPlaces()){for(var c=0,a=e.getNbPlaces();c<a;c++){if(e.getPlaces()[c].classification.toUpperCase()=="NATURE"){d=e.getPlaces()[c].name;break}}}return d};Geoportal.Control.LocationUtilityService.GeoNames.orderBDNyme=function(p,l){var k=l.attributes,c=p.attributes;var e=k.geocodeMatchCode.accuracy-c.geocodeMatchCode.accuracy;if(e==0){var q=k.address;var g=Geoportal.Control.LocationUtilityService.GeoNames.getNature(q,"NR");var d=Geoportal.Control.LocationUtilityService.GeoNames.CODE_NAT[g];if(!d){d=Geoportal.Control.LocationUtilityService.GeoNames.CODE_NAT.NR}var f=d.weight;var i=(q&&q.places&&q.places.length>0?q.places[0].name:"")||"";q=c.address;g=Geoportal.Control.LocationUtilityService.GeoNames.getNature(q,"NR");d=Geoportal.Control.LocationUtilityService.GeoNames.CODE_NAT[g];if(!d){d=Geoportal.Control.LocationUtilityService.GeoNames.CODE_NAT.NR}var h=d.weight;var j=(q&&q.getNbPlaces()>0?q.getPlaces()[0].name:"")||"";if(f!=h){return f-h}return j>i?1:j<i?-1:0}return 1000*e};Geoportal.Control.LocationUtilityService.GeoNames.setZoomForBDNyme=function(b){var a=b.attributes.address;var c=a?a.postalCode?a.postalCode.name||"NR":"NR":"NR";var e=Geoportal.Control.LocationUtilityService.GeoNames.CODE_NAT[c];if(!e){e=Geoportal.Control.LocationUtilityService.GeoNames.CODE_NAT.NR}var d=e.zoom;return d};Geoportal.Control.LocationUtilityService.GeoNames.CODE_NAT={"Capitale d'état":{weight:500,zoom:11},"Préfecture de région":{weight:499,zoom:12},"Préfecture":{weight:498,zoom:13},"Sous-préfecture":{weight:497,zoom:14},Canton:{weight:496,zoom:14},Commune:{weight:495,zoom:15},"Lieu-dit habité":{weight:301,zoom:16},"Lieu-dit non habité":{weight:300,zoom:17},"Musée":{weight:299,zoom:14},"Enceinte militaire":{weight:298,zoom:14},"Parc de loisirs":{weight:297,zoom:14},"Parc des expositions":{weight:296,zoom:14},"Parc zoologique":{weight:295,zoom:14},"Village de vacances":{weight:294,zoom:14},Bois:{weight:293,zoom:14},Parc:{weight:292,zoom:14},"Enseignement supérieur":{weight:291,zoom:14},Science:{weight:290,zoom:14},"Centrale électrique":{weight:289,zoom:14},"Haras national":{weight:288,zoom:14},"Zone industrielle":{weight:287,zoom:14},"Etablissement thermal":{weight:286,zoom:14},"Espace public":{weight:285,zoom:14},"Habitation troglodytique":{weight:284,zoom:14},"Marais salants":{weight:283,zoom:14},Golf:{weight:282,zoom:14},Hippodrome:{weight:281,zoom:14},Stade:{weight:280,zoom:14},"Aérodrome militaire":{weight:279,zoom:14},"Aérodrome non militaire":{weight:278,zoom:14},"Aéroport international":{weight:277,zoom:14},"Aéroport quelconque":{weight:276,zoom:14},"Gare routière":{weight:275,zoom:14},"Gare voyageurs uniquement":{weight:274,zoom:14},"Gare voyageurs et fret":{weight:273,zoom:14},"Gare fret uniquement":{weight:272,zoom:14},"Téléphérique":{weight:271,zoom:14},"Voie ferrée":{weight:270,zoom:14},"Château":{weight:269,zoom:17},Grange:{weight:268,zoom:17},Moulin:{weight:267,zoom:17},Quartier:{weight:266,zoom:17},Refuge:{weight:265,zoom:17},"Etablissement pénitentiaire":{weight:264,zoom:17},"Maison forestière":{weight:263,zoom:17},Camping:{weight:262,zoom:17},Construction:{weight:261,zoom:17},"Maison du parc":{weight:260,zoom:17},Menhir:{weight:259,zoom:17},Monument:{weight:258,zoom:17},Arbre:{weight:257,zoom:17},Clinique:{weight:256,zoom:17},"Hôpital":{weight:255,zoom:17},"Etablissement hospitalier":{weight:254,zoom:17},Barrage:{weight:253,zoom:17},Croix:{weight:252,zoom:17},Tombeau:{weight:251,zoom:17},Digue:{weight:250,zoom:17},Dolmen:{weight:249,zoom:17},"Vestiges archéologiques":{weight:248,zoom:17},"Point de vue":{weight:247,zoom:17},Mine:{weight:246,zoom:17},"Ouvrage militaire":{weight:245,zoom:17},Amer:{weight:244,zoom:17},Baie:{weight:243,zoom:17},Banc:{weight:242,zoom:17},Canal:{weight:241,zoom:17},Cascade:{weight:240,zoom:17},Embouchure:{weight:239,zoom:17},"Espace maritime":{weight:238,zoom:17},Glacier:{weight:237,zoom:17},Lac:{weight:236,zoom:17},Marais:{weight:235,zoom:17},"Pêcherie":{weight:234,zoom:17},Perte:{weight:233,zoom:17},"Point d'eau":{weight:232,zoom:17},"Rivière":{weight:231,zoom:17},Cap:{weight:230,zoom:17},Cirque:{weight:229,zoom:17},Col:{weight:228,zoom:17},"Crête":{weight:227,zoom:17},"Dépression":{weight:226,zoom:17},Dune:{weight:225,zoom:17},Escarpement:{weight:224,zoom:17},Gorge:{weight:223,zoom:17},Grotte:{weight:222,zoom:17},Ile:{weight:221,zoom:17},Isthme:{weight:220,zoom:17},Montagne:{weight:219,zoom:17},Pic:{weight:218,zoom:17},Plage:{weight:217,zoom:17},Plaine:{weight:216,zoom:17},"Récif":{weight:215,zoom:17},Rochers:{weight:214,zoom:17},Sommet:{weight:213,zoom:17},"Vallée":{weight:212,zoom:17},Versant:{weight:211,zoom:17},Volcan:{weight:210,zoom:17},"Aire de repos":{weight:209,zoom:17},"Aire de service":{weight:208,zoom:17},Carrefour:{weight:207,zoom:17},Chemin:{weight:206,zoom:17},Echangeur:{weight:205,zoom:17},"Infrastructure routière":{weight:204,zoom:17},"Péage":{weight:203,zoom:17},Parking:{weight:202,zoom:17},Pont:{weight:201,zoom:17},Port:{weight:200,zoom:17},"Rond-point":{weight:199,zoom:17},Tunnel:{weight:198,zoom:17},NR:{weight:1,zoom:17}};Geoportal.Control.LocationUtilityService.GeoNames.IMPORTANCE={"1":{weight:1,zoom:0},"2":{weight:1,zoom:0},"3":{weight:1,zoom:0},"4":{weight:1,zoom:0},"5":{weight:1,zoom:0},"6":{weight:1,zoom:0},"7":{weight:1,zoom:0},"8":{weight:1,zoom:0},NC:{weight:1,zoom:0},NR:{weight:1,zoom:0}};Geoportal.Map=OpenLayers.Class(OpenLayers.Map,{catalogue:null,beforeOnBeforeMove:function(a){},afterOnBeforeMove:function(a){},initialize:function(c,b){OpenLayers.Map.prototype.initialize.apply(this,arguments);if(this.cursor){this.setCursor(this.cursor)}if(this.proxy){this.setProxyUrl(this.proxy)}this.events.register("beforemove",this,this.onBeforeMove);this.events.register("changebaselayer",this,this.changeBaseLayer);this.events.register("changedisplayprojection",this,this.changeDisplayProjection);this.events.register("addlayer",this,this.sortLayers);this.events.register("changelayer",this,this.updateZoomLevels);if(this.catalogue){this.catalogue.map=this}this.setKeys();var a=this.getControlsByClass("Geoportal.Control.PermanentLogo");if(a==null||a.length==0){this.addControl(new Geoportal.Control.PermanentLogo())}a=this.getControlsByClass("Geoportal.Control.TermsOfService");if(a==null||a.length==0){this.addControl(new Geoportal.Control.TermsOfService())}},sortLayers:function(){this.layers.sort(function(b,a){var d=b.div.style.zIndex;var c=a.div.style.zIndex;if(!d&&!c){return 0}if(!d){return -1}if(!c){return 1}if(d<c){return -1}if(d==c){return 0}return 1})},moveLayerUp:function(h){var c,b;var g=null;var k=false;var e=this.layers;b=e.length;var d=this.getLayersByName(h)[0];if(!d){return}var j=e.indexOf(d);var f=false;for(var c=j+1;c<b;c++){if(e[c].isBaseLayer||(!e[c].displayInLayerSwitcher&&!f)){continue}if(c+1!=b&&e[c].name==e[c+1].name){f=true;continue}k=true;g=e[c];var a=g.getZIndex();g.setZIndex(d.getZIndex());d.setZIndex(a);break}if(k){e[j]=g;e[c]=d;this.events.triggerEvent("changelayer",{layer:g,property:"order"});this.events.triggerEvent("changelayer",{layer:d,property:"order"})}return k},moveLayerDown:function(h){var c,b;var g=null;var k=false;var e=this.layers;b=e.length;var d=this.getLayersByName(h)[0];if(!d){return}var j=e.indexOf(d);var f=false;for(c=j-1;c>=1;c--){if(e[c].isBaseLayer||(!e[c].displayInLayerSwitcher&&!f)){continue}if(c!=1&&e[c].name==e[c-1].name){f=true;continue}k=true;g=e[c];var a=g.getZIndex();g.setZIndex(d.getZIndex());d.setZIndex(a);break}if(k){e[j]=g;e[c]=d;this.events.triggerEvent("changelayer",{layer:g,property:"order"});this.events.triggerEvent("changelayer",{layer:d,property:"order"})}return k},setKeys:function(d){if(d){if(d.apiKey){this.apiKey=d.apiKey.slice(0)}if(this.catalogue){this.catalogue.setKeys(d)}}if(this.catalogue&&this.apiKey){var c;this.allowedGeoportalLayers=[];for(var e=0,b=this.apiKey.length;e<b;e++){c=this.apiKey[e];if(this.catalogue[c]&&this.catalogue[c].allowedGeoportalLayers){for(var a=0,f=this.catalogue[c].allowedGeoportalLayers.length;a<f;a++){this.allowedGeoportalLayers.push(this.catalogue[c].allowedGeoportalLayers[a])}}}}},render:function(a){if(this.application){this.application.render(a)}else{OpenLayers.Map.prototype.render.apply(this,[a])}},destroy:function(){this.displayProjection=null;if(this.catalogue){if(this.apiKey){var b;for(var c=0,a=this.apiKey.length;c<a;c++){b=this.apiKey[c];if(this.catalogue[b]){this.catalogue[b].bounds=null;for(var d in this.catalogue[b].layers){if(this.catalogue[b].layers.hasOwnProperty(d)){this.catalogue[b].layers[d]=null}}this.catalogue[b].layers=null;this.catalogue[b]=null}}}this.catalogue.destroy();this.catalogue=null;this.allowedGeoportalLayers=null}this.events.unregister("changelayer",this,this.updateZoomLevels);this.events.unregister("changedisplayprojection",this,this.changeDisplayProjection);this.events.unregister("changebaselayer",this,this.changeBaseLayer);this.events.unregister("beforemove",this,this.onBeforeMove);OpenLayers.Map.prototype.destroy.apply(this,arguments)},onBeforeMove:function(n){this.beforeOnBeforeMove(n);var b=n.options.forceZoomChange||((this.isValidZoomLevel(n.zoom))&&(n.zoom!=this.getZoom()));var g=(this.getProjection()?this.getProjection().getProjName()=="longlat"?0.000028:1:undefined);var d=!(n.lonlat==null||(this.isValidLonLat(n.lonlat)&&n.lonlat.equals(this.center,g)));if((b||d)&&this.baseLayer){var c=n.zoom-(this.center==null?this.baseLayer.minZoomLevel:this.getZoom());var k=n.lonlat?n.lonlat.clone():this.center;if(!k&&this.size){var a=new OpenLayers.Pixel(this.size.w/2,this.size.h/2);k=this.getLonLatFromViewPortPx(a)}if(!k){k=this.getMaxExtent().getCenterLonLat()}var l=((c<0&&typeof(this.baseLayer.minZoomLevel)=="number"&&n.zoom<this.baseLayer.minZoomLevel)||(c>0&&typeof(this.baseLayer.maxZoomLevel)=="number"&&n.zoom>this.baseLayer.maxZoomLevel));var p=(k&&!this.baseLayer.maxExtent.containsLonLat(k,false));if(l||p){for(var f=0,h=this.getNumLayers();f<h;f++){var e=this.layers[f];if(!e.isBaseLayer||e==this.baseLayer){continue}if((l&&(((c<0&&typeof(e.minZoomLevel)=="number"&&e.minZoomLevel<=n.zoom)||(c>0&&typeof(e.maxZoomLevel)=="number"&&n.zoom<=e.maxZoomLevel))))||p){var o=e.projection;var j=k.clone();var q=e.maxExtent;if(!q){if(o.domainOfValidity){q=o.domainOfValidity.clone();q.transform(OpenLayers.Projection.CRS84,o)}}if(q){j.transform(this.getProjection(),o);if(q.containsLonLat(j,false)){if((p||n.lonlat)&&!l){if(typeof(e.maxZoomLevel)=="number"&&n.zoom>e.maxZoomLevel){n.zoom=e.maxZoomLevel}else{if(typeof(e.minZoomLevel)=="number"&&n.zoom<e.minZoomLevel){n.zoom=e.minZoomLevel}}}this.setBaseLayer(e,k,n.zoom);return false}}j=null}}}if(b){if(n.zoom<this.baseLayer.minZoomLevel){n.zoom=this.baseLayer.minZoomLevel}if(n.zoom>this.baseLayer.maxZoomLevel){n.zoom=this.baseLayer.maxZoomLevel}}if(d){if(p){n.lonlat=this.center?this.center.clone():null}}}this.afterOnBeforeMove(n);return true},changeBaseLayer:function(a){if(!a){return}if(!a.layer){return}a.layer.visibility=!(a.layer instanceof Geoportal.Layer);this.resolutions=a.layer.resolutions;this.projection=a.layer.getNativeProjection().getCode();this.units=a.layer.getNativeProjection().getUnits();if(!this.displayProjection){this.displayProjection=a.layer.displayProjection?a.layer.displayProjection.clone():a.layer.getNativeProjection().clone()}},changeDisplayProjection:function(a){if(a){this.displayProjection=a.displayProjection}},setLocale:function(a){OpenLayers.Lang.setCode(a);this.events.triggerEvent("changelang",{lang:a})},isMapReady:function(){return true},zoomToLonLatExtent:function(e,d){var b=e.getCenterLonLat();b=b.transform(OpenLayers.Projection.CRS84,this.getProjection());var f=e.clone().transform(OpenLayers.Projection.CRS84,this.getProjection(),true);if(this.baseLayer.wrapDateLine){var a=this.getMaxExtent();f=f.clone();while(f.right<f.left){f.right+=a.getWidth()}b=f.getCenterLonLat().wrapDateLine(a)}var c=this.getZoomForExtent(f,d)||0;this.setCenter(b,c)},setCenter:function(a,b,c,d){if(typeof(b)=="number"){if(typeof(this.minZoomLevel)=="number"&&b<this.minZoomLevel){b=this.minZoomLevel}if(typeof(this.maxZoomLevel)=="number"&&b>this.maxZoomLevel){b=this.maxZoomLevel}}else{b=this.getZoom()}OpenLayers.Map.prototype.setCenter.apply(this,[a,b,c,d])},setLonLatCenter:function(e,d,a,c,f){var b=new OpenLayers.LonLat(e,d);if(b){this.setCenter(b,a,c,f)}},setCenterAtLonLat:function(e,d,a,c,f){if(typeof(e)=="string"){e=Geoportal.Util.dmsToDeg(e)}if(typeof(d)=="string"){d=Geoportal.Util.dmsToDeg(d)}var b=new OpenLayers.LonLat(e,d);if(b){b.transform(OpenLayers.Projection.CRS84,this.getProjection());this.setCenter(b,a,c,f)}},setCenterAtLocation:function(d){d=d||{};var l=null;var h=d.zoom||undefined;var g=null;var f=null;var n=this;var u=null;var r={isGeonames:true,maximumResponses:10,formatOptions:{version:"1.0"},requestOptions:{method:"GET"}};var y=d.onComplete||function(){if(l){l.destroy()}if(!u){u=d.defaultCenter}if(u){n.setCenter(u,h);if(d.afterCentered){if(arguments.length>0){var s=arguments[0];var A=n.getApplication();A.options=A.options||{};var z=s.attributes.address;var p=OpenLayers.i18n((r.isGeonames?"gpControlLocationUtilityServiceGeoNames":"gpControlLocationUtilityServiceGeocode")+".name");var a=z.toHTMLString();OpenLayers.Util.applyDefaults(A.options,{label:p,description:a})}d.afterCentered.apply(n,[])}}return};var j=d.onFailure||function(a){u=null;y();return};var e=d.onSuccess||function(p){if(!this.queriedAddresses){j(p);return}var a=this.queriedAddresses[0].features;if(!a){j(p);return}if(this.isGeonames){a.sort(Geoportal.Control.LocationUtilityService.GeoNames.orderBDNyme)}u=new OpenLayers.LonLat(a[0].geometry.x,a[0].geometry.y);if(!h){if(this.isGeonames){h=Geoportal.Control.LocationUtilityService.GeoNames.setZoomForBDNyme(a[0])}else{h=Geoportal.Control.LocationUtilityService.Geocode.prototype.setZoom.apply(this,[a[0]])}}y(a[0]);return};g="PositionOfInterest:OPENLS;Geocode";if(d.place&&this.catalogue.getLayerGeoRMKey(null,g)){var w=null;var i=OpenLayers.String.trim(d.place);if(i!=""){w=new Geoportal.OLS.Address("PositionOfInterest");w.name=i;f=this.getLayersByName(g);if(f&&f.length>0){f[0].destroy()}f=null;l=new Geoportal.Layer.OpenLS.Core.LocationUtilityService(g,r);this.addLayer(l);l.GEOCODE([w],{onSuccess:e,onFailure:j,scopeOn:l});w.destroy();w=null;return}}g="StreetAddress:OPENLS;Geocode";r.isGeonames=false;if(d.address&&this.catalogue.getLayerGeoRMKey(null,g)){var w=null;var x=d.address.split(",");if(x.length>1){var q=OpenLayers.String.trim(x.pop());if(q.length>0){var b="";if(x[x.length-1].match(/[0-9]{5}/)){b=OpenLayers.String.trim(x.pop())}var k=new Geoportal.OLS.Street();k.name=OpenLayers.String.trim(x.join(","));var c=new Geoportal.OLS.StreetAddress();c.addStreet(k);w=new Geoportal.OLS.Address("StreetAddress");w.streetAddress=c;var o=new Geoportal.OLS.Place({classification:"Municipality",name:q});w.addPlace(o);w.postalCode=new Geoportal.OLS.PostalCode({name:b});f=this.getLayersByName(g);if(f&&f.length>0){f[0].destroy()}f=null;l=new Geoportal.Layer.OpenLS.Core.LocationUtilityService(g,r);this.addLayer(l);l.GEOCODE([w],{onSuccess:e,onFailure:j,scopeOn:l});w.destroy();w=null;return}}}},setCenterAtGeolocation:function(d){d=d||{};var e=undefined;var a=null;var g=d.onComplete||function(){if(!a){a=d.defaultCenter}if(a){this.setCenter(a,e);if(d.afterCentered){d.afterCentered.apply(this,[])}}return};var c=d.onFailure||function(h){a=null;g.apply(this,[]);return};var b=d.onSuccess||function(h){a=(new OpenLayers.LonLat(h.coords.longitude,h.coords.latitude)).transform(OpenLayers.Projection.CRS84,this.getProjection());e=d.zoom||10;g.apply(this,[]);return};if(navigator.geolocation){var f={enableHighAccuracy:d.enableHighAccuracy||false,timeout:d.timeout||10000,maximumAge:d.maximumAge||0};navigator.geolocation.getCurrentPosition(OpenLayers.Function.bind(b,this),OpenLayers.Function.bind(c,this),f);return}c.apply(this,[])},setCursor:function(a){this.div.style.cursor=a},setProxyUrl:function(a){OpenLayers.Request.setProxyUrl(a)},setApplication:function(a){this.application=a},getApplication:function(){return this.application},getPopupDefaults:function(b){var c=false;if(b=="WFS"){c=true}var a={multipleKey:null,toggleKey:null,multiple:false,clickout:true,toggle:!c,hover:c,highlightOnly:false,box:false,onBeforeSelect:function(){},onSelect:(c?Geoportal.Control.hoverFeature:Geoportal.Control.selectFeature),onUnselect:Geoportal.Control.unselectFeature,scope:null,geometryTypes:null,callbacks:null,handlersOptions:null,selectStyle:null,renderIntent:"select",autoActivate:false};return a},addLayer:function(d,G,f,B,c){var E=null;var D=null;if(G&&!(typeof(G)=="string")){for(var w in G){if(G.hasOwnProperty(w)){var a={};a[w]=G[w];Geoportal.Lang.add(a);D=w;break}}}else{D=G}if(!D){D="#"+(this.getNumLayers()+1)}c=c||{};var C={all:false,preFeatureInsert:false,onFeatureInsert:false,format:false,loadend:false};if(c.preventDefaultBehavior===true){C={all:true,preFeatureInsert:true,onFeatureInsert:true,format:true,loadend:true}}else{if(c.preventDefaultBehavior!=undefined){C={preFeatureInsert:c.preventDefaultBehavior.preFeatureInsert||false,onFeatureInsert:c.preventDefaultBehavior.onFeatureInsert||false,format:c.preventDefaultBehavior.format||false,loadend:c.preventDefaultBehavior.loadend||false};C.all=C.preFeatureInsert&&C.onFeatureInsert&&C.format&&C.loadend}}if(c.preventDefaultBehavior!==undefined){delete c.preventDefaultBehavior}B=B||{};var b={isBaseLayer:false,visibility:false,view:{drop:true,zoomToExtent:true}};var H=false;switch(d){case"WMS":b=OpenLayers.Util.extend(b,{opacity:0.5,buffer:1,singleTile:false});E=new OpenLayers.Layer.WMS(D,f,B,OpenLayers.Util.extend(b,c));break;case"MapServer":if(!OpenLayers.Layer.MapServer){return null}b=OpenLayers.Util.extend(b,{opacity:0.5,singleTile:false});E=new OpenLayers.Layer.MapServer(D,f,B,OpenLayers.Util.extend(b,c));break;case"WMTS":b=OpenLayers.Util.extend(b,{name:D,url:f,opacity:0.5,transitionEffect:"resize"});b=OpenLayers.Util.extend(b,B);E=new Geoportal.Layer.WMTS(OpenLayers.Util.extend(b,c));break;case"WMS-C":b=OpenLayers.Util.extend(b,{opacity:0.5,buffer:1,singleTile:false,tileOrigin:new OpenLayers.LonLat(0,0),nativeTileSize:new OpenLayers.Size(256,256)});E=new Geoportal.Layer.WMSC(D,f,B,OpenLayers.Util.extend(b,c));break;case"WFS":if(!c.format&&!OpenLayers.Format.WFST){OpenLayers.Console.userError("wfs.caps.unsupported.version",{version:""});return null}var p=this;var F=function(){OpenLayers.Request.issue({method:c.describeFeatureTypeUrl.get?"GET":"POST",async:true,url:f,params:{SERVICE:"WFS",VERSION:B.version,REQUEST:"DescribeFeatureType",TYPENAME:B.typename},success:function(I){var M=I.responseXML;if(!M&&I.responseText){M=OpenLayers.Format.XML.prototype.read.call({},[I.responseText]);var k=OpenLayers.Request.XMLHttpRequest.getParseErrorText(M);if(k!=OpenLayers.Request.XMLHttpRequest.PARSED_OK){OpenLayers.Console.userError(OpenLayers.i18n(k));return}}var L=new OpenLayers.Format.WFSDescribeFeatureType();var K=null;try{K=L.read(M)}catch(N){OpenLayers.Console.userError(N);return}c.protocolOptions.featurePrefix=K.targetPrefix;c.protocolOptions.featureNS=K.targetNamespace;for(var J=0,o=K.featureTypes[0].properties.length;J<o;J++){var e=K.featureTypes[0].properties[J];if(e.type.match(/^gml:.*PropertyType/)&&e.name!="boundedBy"){c.protocolOptions.geometryName=e.name;break}}return p.addLayer(d,G,f,B,c)},failure:function(e){OpenLayers.Console.userError(e.statusText);return null},scope:p})};var h=function(){if(c.describeFeatureTypeUrl){return F()}else{OpenLayers.Request.GET({async:true,url:f,params:{SERVICE:"WFS",REQUEST:"GetCapabilities"},success:function(I){var J=I.responseXML;if(!J&&I.responseText){J=OpenLayers.Format.XML.prototype.read.call({},[I.responseText]);var e=OpenLayers.Request.XMLHttpRequest.getParseErrorText(J);if(e!=OpenLayers.Request.XMLHttpRequest.PARSED_OK){OpenLayers.Console.userError(OpenLayers.i18n(e));return}}var k=new OpenLayers.Format.WFSCapabilities();try{var o=k.read(J);var i=o.capability.operations.DescribeFeatureType&&o.capability.operations.DescribeFeatureType.href?o.capability.operations.DescribeFeatureType.href:null;if(i){c.describeFeatureTypeUrl=i;if(!B.version){B.version=o.version}return F()}OpenLayers.Console.userError("no.describefeaturetype@"+f);return null}catch(K){OpenLayers.Console.userError(K);return null}},failure:function(e){OpenLayers.Console.userError(e.statusText);return null},scope:p})}return null};c.protocolOptions=c.protocolOptions||{};if(!(c.protocolOptions.featureNS&&c.protocolOptions.featurePrefix&&c.protocolOptions.geometryName)){return h()}b=OpenLayers.Util.extend(b,{strategies:[new OpenLayers.Strategy.BBOX()],extractAttributes:true,styleMap:new OpenLayers.StyleMap({pointRadius:4,strokeColor:"black",strokeWidth:2,strokeOpacity:0.5,fillOpacity:0.2,fillColor:"black"})});var s={url:f,featureType:B.typename||"NONE",featurePrefix:c.protocolOptions.featurePrefix,featureNS:c.protocolOptions.featureNS,geometryName:c.protocolOptions.geometryName,srsName:c.projection||this.getProjection().getCode(),version:B.version,format:c.format};if(c.projection&&!(c.projection instanceof OpenLayers.Projection)){c.projection=new OpenLayers.Projection(c.projection)}if(!c.format){delete s.format;OpenLayers.Util.extend(s,{formatOptions:{internalProjection:this.getProjection().clone(),externalProjection:c.projection||this.getProjection().clone()}});OpenLayers.Util.extend(s.formatOptions,c.formatOptions)}if(C.preFeatureInsert===false&&typeof(Geoportal.Popup)!="undefined"){b.preFeatureInsert=Geoportal.Popup.setPointerCursorForFeature;H=true}if(C.format===false){B=OpenLayers.Util.applyDefaults(B,{maxFeatures:50})}b.protocol=new OpenLayers.Protocol.WFS(s);if(c.projection){if(c.maxExtent){c.maxExtent.transform(c.projection,this.getProjection())}c.projection=this.getProjection();if(c.units){c.units=c.projection.getUnits()}}E=new OpenLayers.Layer.Vector(D,OpenLayers.Util.extend(b,c));break;case"KML":case"GPX":case"OSM":case"GeoRSS":case"GML":var g=OpenLayers.Layer.Vector;var s={format:OpenLayers.Format.GML,formatOptions:{internalProjection:this.getProjection()}};b=OpenLayers.Util.extend(b,{projection:this.getProjection(),panMapIfOutOfView:true,strategies:[new OpenLayers.Strategy.Fixed()]});if(c.attachDefaultPopup!==false){if(C.preFeatureInsert===false&&typeof(Geoportal.Popup)!="undefined"){b.preFeatureInsert=Geoportal.Popup.setPointerCursorForFeature;H=true}if(C.onFeatureInsert===false&&typeof(Geoportal.Popup)!="undefined"){b.onFeatureInsert=Geoportal.Popup.Anchored.createPopUpForGMLFeature;H=true}}switch(d){case"KML":s.format=OpenLayers.Format.KML;if(C.onFeatureInsert===false&&typeof(Geoportal.Popup)!="undefined"&&typeof(Geoportal.Popup.Anchored)!="undefined"){b.onFeatureInsert=Geoportal.Popup.Anchored.createPopUpForKMLFeature}if(C.format===false){s.formatOptions.extractStyles=true}break;case"GPX":s.format=Geoportal.Format.GPX;if(C.onFeatureInsert===false&&typeof(Geoportal.Popup)!="undefined"&&typeof(Geoportal.Popup.Anchored)!="undefined"){b.onFeatureInsert=Geoportal.Popup.Anchored.createPopUpForGPXFeature}break;case"OSM":s.format=OpenLayers.Format.OSM;b.originators=[{logo:"osm",pictureUrl:"http://wiki.openstreetmap.org/w/images/thumb/b/b0/Openstreetmap_logo.svg/100px-Openstreetmap_logo.svg.png",url:"http://wiki.openstreetmap.org/wiki/Main_Page"}];if(C.onFeatureInsert===false&&typeof(Geoportal.Popup)!="undefined"&&typeof(Geoportal.Popup.Anchored)!="undefined"){b.onFeatureInsert=Geoportal.Popup.Anchored.createPopUpForGMLFeature}break;case"GeoRSS":s.format=OpenLayers.Format.GeoRSS;if(C.onFeatureInsert===false&&typeof(Geoportal.Popup)!="undefined"&&typeof(Geoportal.Popup.Anchored)!="undefined"){b.onFeatureInsert=Geoportal.Popup.Anchored.createPopUpForGeoRSSFeature}if(C.format===false){s.formatOptions.size=new OpenLayers.Size(250,150);s.formatOptions.autoSize=false;s.formatOptions.overflow="auto";b.styleMap=new OpenLayers.StyleMap(new OpenLayers.Style(OpenLayers.Util.applyDefaults({graphic:true,externalGraphic:OpenLayers.Util.getImagesLocation()+"marker-blue.png",graphicOpacity:0.8,graphicWidth:21,graphicHeight:25,graphicXOffset:-10.5,graphicYOffset:-25},OpenLayers.Feature.Vector.style["default"])))}break;default:break}if(!s.format){return null}if(C.loadend===false){B.eventListeners=B.eventListeners||{};var j=B.eventListeners.loadend||undefined;B.eventListeners.loadend=function(){var e=this.getDataExtent();if(e){this.maxExtent=e}if(j&&typeof(j)=="function"){j.apply(this,arguments)}}}OpenLayers.Util.extend(s.formatOptions,c.formatOptions);if(f){b.protocol=new OpenLayers.Protocol.HTTP({url:f,format:new s.format(s.formatOptions)})}else{if(c.data){b.protocol=new OpenLayers.Protocol.String({data:c.data,format:new s.format(s.formatOptions)})}}E=new g(D,OpenLayers.Util.extend(b,B));break;default:if(typeof(d)=="object"&&d instanceof OpenLayers.Layer){E=d;if(G&&!(typeof(G)=="string")){E.name=D}if(c.visibility!==undefined){E.visibility=c.visibility}if(C.all===false){H=(typeof(OpenLayers.Layer.Vector)!="undefined"&&(E instanceof OpenLayers.Layer.Vector)&&(c.hasOwnProperty("onSelect")||c.hasOwnProperty("onUnselect")||c.hasOwnProperty("onBeforeSelect")||c.attachDefaultPopup===true))||(typeof(OpenLayers.Layer.Markers)!="undefined"&&(E instanceof OpenLayers.Layer.Markers))}break}return null}var z=!(E instanceof OpenLayers.Layer.Vector)&&(typeof(E.minZoomLevel)=="number"&&typeof(E.maxZoomLevel)=="number");var u=null;for(var x=0,y=this.layers.length;x<y;x++){var l=this.layers[x];if(!l.isBaseLayer){continue}if(E.territory){if(l.territory==E.territory){u=l;break}}if(E.getCompatibleProjection(l)){if(E.maxExtent!=null){var A=E.maxExtent.clone();A.transform(E.getNativeProjection(),l.getNativeProjection());if(!(A.containsBounds(l.maxExtent,true,true)||l.maxExtent.containsBounds(A,true,true))){continue}}u=l;continue}}if(!E.isBaseLayer&&z&&u){this.adjustZoomLevels(u,E)}OpenLayers.Map.prototype.addLayer.apply(this,[E]);if(!E.isBaseLayer&&E.getCompatibleProjection(this.baseLayer)===null){E.changeBaseLayer({layer:this.baseLayer,baseLayer:this.baseLayer})}if(H){if(E instanceof OpenLayers.Layer.Vector){var n=this.getPopupDefaults(d);for(var r in n){if(c.hasOwnProperty(r)){n[r]=c[r]}}var q=new OpenLayers.Control.SelectFeature(E,n);this.addControl(q);if(E.visibility&&!n.autoActivate){q.activate()}this.events.on({changelayer:Geoportal.Map.onVisibilityChange,scope:q})}}if(E.isBaseLayer){this.events.register("preaddlayer",E,Geoportal.Layer.onPreAddLayer)}else{if(typeof(OpenLayers.Layer.Vector.RootContainer)=="undefined"||!(E instanceof (OpenLayers.Layer.Vector.RootContainer))){this.events.register("changebaselayer",E,E.changeBaseLayer,1)}}return E},removeLayer:function(a,b){if(a.isBaseLayer){this.events.unregister("preaddlayer",a,Geoportal.Layer.onPreAddLayer)}else{if(typeof(OpenLayers.Layer.Vector.RootContainer)=="undefined"||!(a instanceof (OpenLayers.Layer.Vector.RootContainer))){this.events.unregister("changebaselayer",a,a.changeBaseLayer)}}OpenLayers.Map.prototype.removeLayer.apply(this,arguments)},adjustZoomLevels:function(a,b){if(!a){return}var c=b.minZoomLevel,d=b.maxZoomLevel;if(c!=undefined&&(a.minZoomLevel==undefined||c<a.minZoomLevel)){a.minZoomLevel=c;if(a.resolutions){a.maxResolution=a.resolutions[c]}if(a.scales){a.minScale=a.scales[c]}}if(d!=undefined&&(a.maxZoomLevel==undefined||d>a.maxZoomLevel)){a.maxZoomLevel=d;if(a.resolutions){a.minResolution=a.resolutions[d]}if(a.scales){a.maxScale=a.scales[d]}}},updateZoomLevels:function(k){if(k.property!="visibility"){return}if(k.layer.isBaseLayer){return}if(k.layer.getCompatibleProjection(this.baseLayer)==null){return}if(k.layer instanceof OpenLayers.Layer.Vector){return}if(typeof(k.layer.minZoomLevel)!="number"){return}var c=k.layer.minZoomLevel;if(typeof(k.layer.maxZoomLevel)!="number"){return}var f=k.layer.maxZoomLevel;if(typeof(this.baseLayer.minZoomLevel)!="number"){return}var a=this.baseLayer.minZoomLevel;if(typeof(this.baseLayer.maxZoomLevel)!="number"){return}var d=this.baseLayer.maxZoomLevel;if(k.layer.getVisibility()){if(c>=a&&f<=d){return}if(c<a){a=c}if(f>d){d=f}}else{if(c!=a&&f!=d){return}a=Number.MAX_VALUE;d=Number.MIN_VALUE;for(var g=0,j=this.layers.length;g<j;g++){var h=this.layers[g];if(h.isBaseLayer){continue}if(h instanceof OpenLayers.Layer.Vector){continue}if(h.getCompatibleProjection(this.baseLayer)==null){continue}if(!h.getVisibility()){continue}if(typeof(h.minZoomLevel)!="number"){continue}if(h.minZoomLevel<a){a=h.minZoomLevel}if(typeof(h.maxZoomLevel)!="number"){continue}if(h.maxZoomLevel>d&&h.maxZoomLevel<this.baseLayer.numZoomLevels){d=h.maxZoomLevel}}if(a==Number.MAX_VALUE){a=this.baseLayer.minZoomLevel}if(d==Number.MIN_VALUE){d=this.baseLayer.maxZoomLevel}}var b=-1;if(this.baseLayer.name=="_WLD_world_"){if(!(0<=a&&a<=5)){a=this.baseLayer.minZoomLevel}if(!(0<=d&&d<=5)){d=this.baseLayer.maxZoomLevel}}else{if(this.baseLayer.name.match(/_..._territory_/)){if(!(6<=a&&a<=21)){a=this.baseLayer.minZoomLevel}if(!(6<=d&&d<=21)){d=this.baseLayer.maxZoomLevel}}}if(a>this.baseLayer.minZoomLevel&&this.getZoom()<a){b=a}if(d<this.baseLayer.maxZoomLevel&&this.getZoom()>d){b=d}if(this.baseLayer.minZoomLevel!=a){this.baseLayer.minZoomLevel=a;this.baseLayer.minResolution=this.baseLayer.resolutions[a];this.baseLayer.minScale=this.baseLayer.scales?this.baseLayer.scales[a]:OpenLayers.Util.getScaleFromResolution(this.baseLayer.minResolution,this.baseLayer.getNativeProjection().getUnits())}if(this.baseLayer.maxZoomLevel!=d){this.baseLayer.maxZoomLevel=d;this.baseLayer.maxResolution=this.baseLayer.resolutions[d];this.baseLayer.maxScale=this.baseLayer.scales?this.baseLayer.scales[d]:OpenLayers.Util.getScaleFromResolution(this.baseLayer.maxResolution,this.baseLayer.getNativeProjection().getUnits())}if(b!=-1){this.moveTo(null,b)}},CLASS_NAME:"Geoportal.Map"});Geoportal.Map.onVisibilityChange=function(f){if(f.property&&f.property=="visibility"){var g=false,b=false;if(this.layers){for(var d=0,a=this.layers.length;d<a;d++){b=b||(this.layers[d].visibility&&this.layers[d].inRange);if(this.layers[d]==f.layer){g=true}}}else{g=this.layer==f.layer;b=this.layer.visibility&&this.layer.inRange}if(g){if(b){this.deactivate();this.activate()}else{this.activate();this.deactivate()}}}};Geoportal.Catalogue=function(b,a){if(b){this.map=b}this.setKeys(a)};Geoportal.Catalogue.prototype={map:null,urlServices:{},destroy:function(){if(this.map){this.map=null}if(this.apiKey){var b;for(var c=0,a=this.apiKey.length;c<a;c++){b=this.apiKey[c];if(this[b]){this[b]=null}}this.apiKey=null}if(this.services){this.services=null}},getTerritory:function(d){if(d==undefined){if(this.map){d=this.map.territory||"FXX"}else{d="FXX"}}if(Geoportal.Catalogue.TERRITORIES[d]==undefined){if(this.map){d=this.map.territory||"FXX"}else{d="FXX"}}for(var b=0,a=Geoportal.Catalogue.TERRITORIES[d].defaultCRS.length;b<a;b++){var c=Geoportal.Catalogue.TERRITORIES[d].defaultCRS[b];if(typeof(c)=="string"){Geoportal.Catalogue.TERRITORIES[d].defaultCRS[b]=new OpenLayers.Projection(c,{domainOfValidity:OpenLayers.Bounds.fromArray(Geoportal.Catalogue.TERRITORIES[d].geobbox)})}}if(typeof(Geoportal.Catalogue.TERRITORIES[d].geoCRS[0])=="string"){Geoportal.Catalogue.TERRITORIES[d].geoCRS[0]=new OpenLayers.Projection(Geoportal.Catalogue.TERRITORIES[d].geoCRS[0],{domainOfValidity:OpenLayers.Bounds.fromArray(Geoportal.Catalogue.TERRITORIES[d].geobbox)})}return d},findTerritory:function(d){for(var c in Geoportal.Catalogue.TERRITORIES){if(Geoportal.Catalogue.TERRITORIES.hasOwnProperty(c)){var a=Geoportal.Catalogue.TERRITORIES[c];if(c=="WLD"){continue}if(!a.geobbox){continue}var e=OpenLayers.Bounds.fromArray(a.geobbox);var b=e.containsLonLat(d);e=null;if(b){return c}}}return"WLD"},getNativeProjection:function(b,a){if(!a){a=Geoportal.Catalogue.TERRITORIES[b].defaultCRS[0]}if(a&&typeof(a)=="string"){a=new OpenLayers.Projection(a,{domainOfValidity:OpenLayers.Bounds.fromArray(Geoportal.Catalogue.TERRITORIES[b].geobbox)})}return a},getDisplayProjections:function(j,k,a){if(j==undefined){if(this.map){j=this.map.territory||"FXX"}else{j="FXX"}}var l=[];if(!k){if(!a){l.push(Geoportal.Catalogue.TERRITORIES[j].displayCRS[0])}else{l=Geoportal.Catalogue.TERRITORIES[j].displayCRS.slice(0)}}else{l.push(k)}var b=[];for(var d=0,f=l.length;d<f;d++){var h=l[d];if(h&&typeof(h)=="string"){try{h=new OpenLayers.Projection(h,{domainOfValidity:OpenLayers.Bounds.fromArray(Geoportal.Catalogue.TERRITORIES[j].geobbox)});b.push(h)}catch(g){}}else{if(h){b.push(h.clone())}}}return b},getResolutions:function(e,c){var b=null;var d,a;if(c.getProjName()=="lcc"){if(Geoportal.Catalogue.CRSRESOLUTIONS["EPSG:2154"]){return Geoportal.Catalogue.CRSRESOLUTIONS["EPSG:2154"].slice()}else{b=[];for(d=0,a=Geoportal.Catalogue.RESOLUTIONS.length;d<a;d++){b[d]=Geoportal.Catalogue.RESOLUTIONS[d]}return b}}else{if(c.getProjName()!="longlat"){if(Geoportal.Catalogue.CRSRESOLUTIONS["EPSG:3857"]){return Geoportal.Catalogue.CRSRESOLUTIONS["EPSG:3857"].slice()}else{b=[];for(d=0,a=Geoportal.Catalogue.RESOLUTIONS.length;d<a;d++){b[d]=Geoportal.Catalogue.RESOLUTIONS[d]}return b}}else{if(Geoportal.Catalogue.CRSRESOLUTIONS["EPSG:4326"]){return Geoportal.Catalogue.CRSRESOLUTIONS["EPSG:4326"].slice()}else{b=[];for(d=0,a=Geoportal.Catalogue.RESOLUTIONS.length;d<a;d++){var f=new OpenLayers.LonLat(Geoportal.Catalogue.RESOLUTIONS[d],0);f.transform(new OpenLayers.Projection("EPSG:3857"),c);b[d]=f.lon}return b}}}return b},getCenter:function(c,b){var a=new OpenLayers.LonLat(Geoportal.Catalogue.TERRITORIES[c].geocenter[0],Geoportal.Catalogue.TERRITORIES[c].geocenter[1]);if(b&&typeof(b)!="string"){a.transform(Geoportal.Catalogue.TERRITORIES[c].geoCRS[0],b)}return a},getExtent:function(e,c){var f=null;if(!e){if(this.apiKey){var b;for(var d=0,a=this.apiKey.length;d<a;d++){b=this.apiKey[d];if(this[b]&&this[b].bounds){if(!f){f=this[b].bounds.clone()}else{f.extend(this[b].bounds.clone())}}}}if(f==null){f=new OpenLayers.Bounds(-180,-90,180,90)}}else{f=OpenLayers.Bounds.fromArray(Geoportal.Catalogue.TERRITORIES[e].geobbox)}if(c&&typeof(c)!="string"){f.transform(e?Geoportal.Catalogue.TERRITORIES[e].geoCRS[0]:OpenLayers.Projection.CRS84,c,true)}return f},getDefaultMinZoom:function(c,a){if(!a){a=this.getNativeProjection(c)}var d=Geoportal.Catalogue.RESOLUTIONS.length-1;for(var b in Geoportal.Catalogue.TERRITORIES[c].baseLayers){if(Geoportal.Catalogue.TERRITORIES[c].baseLayers.hasOwnProperty(b)){if(a.isCompatibleWith(b)){if(Geoportal.Catalogue.TERRITORIES[c].baseLayers[b].minZoomLevel<d){d=Geoportal.Catalogue.TERRITORIES[c].baseLayers[b].minZoomLevel}break}}}return d==Geoportal.Catalogue.RESOLUTIONS.length-1?0:d},getDefaultMaxZoom:function(d,b){if(!b){b=this.getNativeProjection(d)}var a=0;for(var c in Geoportal.Catalogue.TERRITORIES[d].baseLayers){if(Geoportal.Catalogue.TERRITORIES[d].baseLayers.hasOwnProperty(c)){if(b.isCompatibleWith(c)){if(Geoportal.Catalogue.TERRITORIES[d].baseLayers[c].maxZoomLevel>a){a=Geoportal.Catalogue.TERRITORIES[d].baseLayers[c].maxZoomLevel}break}}}return a==0?Geoportal.Catalogue.RESOLUTIONS.length-1:a},getDefaultZoom:function(c,a){if(!a){a=this.getNativeProjection(c)}for(var b in Geoportal.Catalogue.TERRITORIES[c].baseLayers){if(Geoportal.Catalogue.TERRITORIES[c].baseLayers.hasOwnProperty(b)){if(a.isCompatibleWith(b)){return Geoportal.Catalogue.TERRITORIES[c].baseLayers[b].defaultZoomLevel}}}return 5},setKeys:function(r){if(!r.apiKey){return}var g={};for(var q in Geoportal.Catalogue.LAYERNAMES){if(Geoportal.Catalogue.LAYERNAMES[q]&&Geoportal.Catalogue.LAYERNAMES[q].deprecated){g[q+":"+Geoportal.Catalogue.DEFAULT_SERVICE_TYPE]=Geoportal.Catalogue.LAYERNAMES[q].deprecated+":"+Geoportal.Catalogue.DEFAULT_SERVICE_TYPE}}if(!(OpenLayers.Util.isArray(r.apiKey))){r.apiKey=[r.apiKey]}var d;for(var f=0,c=r.apiKey.length;f<c;f++){d=r.apiKey[f];if(!d){continue}if(r[d]!=null){this[d]={tokenServer:r[d].tokenServer,geoRMKey:d,tokenTimeOut:r[d].tokenTimeOut,transport:r[d].transport||r.transport||"json",bounds:r[d].bounds?OpenLayers.Bounds.fromArray(r[d].bounds):new OpenLayers.Bounds(-180,-90,180,90),layers:r[d].resources,allowedGeoportalLayers:r[d].allowedGeoportalLayers,defaultGeoportalLayers:r[d].defaultGeoportalLayers,services:r[d].services};if(this[d].transport=="referrer"){this[d].referrer=r[d].referrer||r.referrer||"http://localhost/"}for(var q in g){var h=this[d].layers[q];if(h){var a=OpenLayers.Util.extend(h,{name:(g[q].split(":"))[0]});this[d].layers[g[q]]=a;delete this[d].layers[q];for(var e=0,n=this[d].allowedGeoportalLayers.length;e<n;e++){if(this[d].allowedGeoportalLayers[e]===q){this[d].allowedGeoportalLayers[e]=g[q];break}}}}}else{this[d]={tokenServer:"http://localhost/",geoRMKey:d,tokenTimeOut:60000,layers:{},allowedGeoportalLayers:[]}}}this.apiKey=r.apiKey.slice(0);if(r.services){this.services={};for(var f=0,c=this.apiKey.length;f<c;f++){var d=this.apiKey[f];if(!d){continue}var b=this[d].resources||this[d].layers;for(var o in b){var p=b[o].url;if(r.services[p]&&!this.services[p]){this.services[p]=r.services[p]}}}}},getAllowedGeoportalLayers:function(c){var e=[];if(!c){return e}if(typeof(c)=="string"){c=[c]}var b=0,a=c.length;for(;b<a;b++){if(this[c[b]]&&this[c[b]].allowedGeoportalLayers){e=e.concat(this[c[b]].allowedGeoportalLayers)}}if(a==1){return e}var d={};for(b=0,a=e.length;b<a;b++){d[e[b]]=0}e=[];for(b in d){e.push(b)}return e},getDefaultGeoportalLayers:function(c){var e=[];if(!c){return e}if(typeof(c)=="string"){c=[c]}var b=0,a=c.length;for(;b<a;b++){if(this[c[b]]&&this[c[b]].defaultGeoportalLayers){e=e.concat(this[c[b]].defaultGeoportalLayers)}}if(a==1){return e}var d={};for(b=0,a=e.length;b<a;b++){d[e[b]]=0}e=[];for(b in d){e.push(b)}return e},getLayerGeoRMKey:function(e,b){if(this.apiKey){var c;for(var d=0,a=this.apiKey.length;d<a;d++){c=this.apiKey[d];if(this[c]&&(!e||(this[c].bounds&&this[c].bounds.intersectsBounds(this.getExtent(e),true)))){for(var f in this[c].layers){if(f==b||f.match("^"+b+":")){return c}}}}}return null},getLayerParameters:function(a,s){if(!Geoportal.Catalogue.TERRITORIES[a]){return null}if(!s){return null}var z=s.split(":");if(z.length==0||z[0].length==0){return null}var x=z.length!=1;if(!x){z.push(Geoportal.Catalogue.DEFAULT_SERVICE_TYPE)}var J=z.pop(),e=z.join(":");if(Geoportal.Catalogue.LAYERNAMES[e]&&Geoportal.Catalogue.LAYERNAMES[e].deprecated){e=Geoportal.Catalogue.LAYERNAMES[e].deprecated}var H=[];if(this.apiKey){var B;for(var E=0,A=this.apiKey.length;E<A;E++){B=this.apiKey[E];if(this[B]){for(var q in this[B].layers){if(q==e+":"+J){H.push(OpenLayers.Util.extend({},this[B].layers[q]))}}}}}if(H.length==0){return null}var g=null;for(var E=0,A=H.length;E<A;E++){if(J==H[E].type){g=H[E];break}}if(g==null){return null}var I=Geoportal.Catalogue.LAYERNAMES[g.name];if(!I){return null}var r=I.key;var c=Geoportal.Catalogue.CONFIG[r];if(!c){return null}var u=c[a];if(!u){return null}var D=c.layerOptions.description||g.name+".description";var p={resourceId:g.name+":"+g.type,url:g.url,params:{layers:null,exceptions:"text/xml"},options:{isBaseLayer:false,description:D,visibility:false,opacity:1,view:{drop:false,zoomToExtent:false}}};if(g.version){p.params=OpenLayers.Util.extend(p.params,{version:g.version})}var w=Geoportal.Catalogue.TERRITORIES[a].defaultCRS.slice(0);if(c.layerOptions.projection){w=[c.layerOptions.projection]}if(c.aggregate){p.classLayer=Geoportal.Layer.Aggregate}else{switch(g.type){case"WMS":p.classLayer=Geoportal.Layer.WMS;p.params=OpenLayers.Util.extend(p.params,{format:"image/png",transparent:true});p.options=OpenLayers.Util.extend(p.options,{buffer:1,singleTile:true});if(w.length>1){w=w.slice(1)}break;case"WFS":p.classLayer=Geoportal.Layer.WFS;p.options=OpenLayers.Util.extend(p.options,{});p.params=OpenLayers.Util.extend(p.params,{typename:g.name});if(w.length>1){w=w.slice(1)}break;case"OPENLS":return null;case"WMTS":p.classLayer=Geoportal.Layer.WMTS;var o=c.layerOptions;if(!o.style||!o.matrixSet||!o.matrixIds||!o.nativeResolutions){console.log("Missing required parameters on the WMTS layer!");return null}p.options=OpenLayers.Util.extend(p.options,{buffer:0,nativeTileSize:new OpenLayers.Size(256,256),transitionEffect:"resize",layer:g.name,style:o.style,matrixSet:o.matrixSet,matrixIds:o.matrixIds,gridOrigin:o.matrixIds[0].topLeftCorner.clone(),nativeResolutions:o.nativeResolutions});break;default:p.classLayer=Geoportal.Layer.WMSC;p.options=OpenLayers.Util.extend(p.options,{buffer:1,tileOrigin:new OpenLayers.LonLat(0,0),nativeTileSize:new OpenLayers.Size(256,256),singleTile:false});break}}if(w.length==0){return null}p.options.visibility=c.serviceParams.options.visibility||false;if(g.name=="CADASTRALPARCELS.PARCELS"&&g.type=="WMTS"){p.options.visibility=false}if(c.serviceParams[g.type]){if(c.serviceParams[g.type].format){p.params.format=c.serviceParams[g.type].format}if(c.serviceParams[g.type].transparent){p.params.transparent=true}p.params.version=c.serviceParams[g.type].version}var b={};if(g.name=="GEOGRAPHICALGRIDSYSTEMS.MAPS"&&g.type=="WMTS"&&a!="ASP"&&a!="ATF"){b.opacity=0.3}else{b.opacity=u.opacity||c.layerOptions.opacity}b.originators=[];for(var E=0,A=u.originators.length;E<A;E++){var h=u.originators[E];b.originators.push(Geoportal.Catalogue.getOriginator(h.id,h.mnzl,h.mxzl))}b.minZoomLevel=u.minZoomLevel;b.maxZoomLevel=u.maxZoomLevel;if(u.bounds){b.maxExtent=OpenLayers.Bounds.fromArray(u.bounds)}if(c.legends&&c.legends.length>0){b.legends=c.legends.slice(0)}if(c.layerOptions.title){b.title=c.layerOptions.title}if(c.constraints){b.constraints=[];for(var E=0,A=c.constraints.length;E<A;E++){b.constraints[E]={};b.constraints[E].maxExtent=c.constraints[E].maxExtent.clone();b.constraints[E].minResolution=c.constraints[E].minResolution;b.constraints[E].maxResolution=c.constraints[E].maxResolution}}if(u.fileIdentifiers&&u.fileIdentifiers.length>0){b.metadataURL=[];for(var E=0,A=u.fileIdentifiers.length;E<A;E++){var y=u.fileIdentifiers[E];if(!y.match(/^http:/)){y=Geoportal.Catalogue.CATBASEURL+y}b.metadataURL.push(y)}}if(u.dataURL&&u.dataURL.length>0){b.dataURL=[];for(var E=0,A=u.dataURL.length;E<A;E++){var n=u.dataURL[E];b.dataURL.push(n)}}if(p){b.name=g.name;b.projection=null;for(var E=0,G=w.length;E<G;E++){if(typeof(w[E])=="string"){w[E]=new OpenLayers.Projection(w[E],{domainOfValidity:OpenLayers.Bounds.fromArray(Geoportal.Catalogue.TERRITORIES[a].geobbox)})}else{w[E]=new OpenLayers.Projection(w[E].getCode(),{domainOfValidity:OpenLayers.Bounds.fromArray(Geoportal.Catalogue.TERRITORIES[a].geobbox)})}if(this.map&&w[E].equals(this.map.getProjection())){b.projection=new OpenLayers.Projection(w[E].getCode(),{domainOfValidity:OpenLayers.Bounds.fromArray(Geoportal.Catalogue.TERRITORIES[a].geobbox)})}}if(g.type=="WMS"){b.srs={};for(var E=0,G=w.length;E<G;E++){var d=w[E].clone();b.srs[d]=true}}if(!b.projection){b.projection=new OpenLayers.Projection(w[0].getCode(),{domainOfValidity:OpenLayers.Bounds.fromArray(Geoportal.Catalogue.TERRITORIES[a].geobbox)})}if(g.type!="WMTS"){p.params.layers=g.name}if(g.type===Geoportal.Catalogue.DEFAULT_SERVICE_TYPE){if(!p.options.nativeResolutions){b.nativeResolutions=Geoportal.Catalogue.RESOLUTIONS.slice(0)}}if(b.maxExtent==undefined){b.maxExtent=this.getExtent(a)}b.maxExtent.transform(Geoportal.Catalogue.TERRITORIES[a].geoCRS[0],b.projection,true);if(b.originators){for(var E=0,A=b.originators.length;E<A;E++){var f=b.originators[E];if(f.extent){if(!(OpenLayers.Util.isArray(f.extent))){f.extent=[f.extent]}for(var C=0,F=f.extent.length;C<F;C++){f.extent[C].transform(Geoportal.Catalogue.TERRITORIES[a].geoCRS[0],b.projection,true)}}}}if(b.constraints){for(var E=0,A=b.constraints.length;E<A;E++){b.constraints[E].maxExtent.transform(Geoportal.Catalogue.TERRITORIES[a].geoCRS[0],b.projection,true)}}OpenLayers.Util.extend(p.options,b)}return p},CLASS_NAME:"Geoportal.Catalogue"};Geoportal.Catalogue._orderLayersStack=function(c){var h=[];var l;var f,d=c.length;var o=new RegExp(/^([^:]+)(:(.+))?$/);for(f=0;f<d;f++){var e=c[f].match(o);if(e==null){continue}var j=e[1];if(j==null){continue}var b=e[3]||Geoportal.Catalogue.DEFAULT_SERVICE_TYPE;var g=0;var a=Geoportal.Catalogue.LAYERNAMES[j];if(a){g=a.weight||0}l={layerId:j+":"+b,weight:g};h.unshift(l)}h.sort(function(n,i){return i.weight-n.weight});d=h.length;var k=[];for(f=0;f<d;f++){l=h.shift();k[f]=l.layerId}return k};Geoportal.Catalogue.DEFAULT_SERVICE_TYPE="WMTS";Geoportal=Geoportal||{};Geoportal.Catalogue=Geoportal.Catalogue||{};Geoportal.Catalogue.CRSRESOLUTIONS={};Geoportal.Catalogue.RESOLUTIONS=[];Geoportal.Catalogue.TERRITORIES={};Geoportal.Catalogue.ORIGINATORS={};Geoportal.Catalogue.getOriginator=function(d,c,g){if(!d){d="IGN"}var f=Geoportal.Catalogue.ORIGINATORS[d];if(!f){d="unknownAuthority";f=Geoportal.Catalogue.ORIGINATORS[d]}var e=OpenLayers.Util.extend({logo:d},f);if(!e.attribution){e.attribution=d.toUpperCase()}e.attribution=OpenLayers.String.trim(e.attribution);if(e.attribution.length>0){e.attribution="&copy; "+e.attribution}if(!e.url){e.url="#"}if(e.bounds){var a=e.bounds.length;e.extent=new Array(a);for(var b=0;b<a;b++){e.extent[b]=OpenLayers.Bounds.fromArray(e.bounds[b])}delete e.bounds}if(c!=undefined&&g!=undefined){e.minZoomLevel=c;e.maxZoomLevel=g}return e};Geoportal.Catalogue.CATBASEURL="http://www.geocatalogue.fr/Detail.do?fileIdentifier=";Geoportal.Catalogue.PROFILES=["geoportail","inspire","edugeo"];Geoportal.Catalogue.SERVICES={};Geoportal.Catalogue.LAYERNAMES={};Geoportal.Catalogue.CONFIG={};Geoportal.Catalogue.REGIONS={ALSACE:{code:"42",geobbox:[6.842990340401051,47.419907582250964,8.23029497464336,49.077891304419545],parent:"FXX"},AQUITAINE:{code:"72",geobbox:[-1.791273555702342,42.77912458511514,1.448261543932212,45.71456998977269],parent:"FXX"},AUVERGNE:{code:"83",geobbox:[2.06290160772993,44.615531676529834,4.488917967832163,46.80387657677331],parent:"FXX"},"BASSE-NORMANDIE":{code:"25",geobbox:[-1.946709660748949,48.18009134768778,0.976415754774005,49.726102843892576],parent:"FXX"},BOURGOGNE:{code:"26",geobbox:[2.845187159794131,46.15681583711509,5.518538729512594,48.39902778132665],parent:"FXX"},BRETAGNE:{code:"53",geobbox:[-5.139017285433225,47.2810477817158,-1.01820304892648,48.88374898963236],parent:"FXX"},CENTRE:{code:"24",geobbox:[0.053794043756639,46.347218495872966,3.128229945417917,48.94105360615516],parent:"FXX"},"CHAMPAGNE-ARDENNE":{code:"21",geobbox:[3.384093581302576,47.57655070857462,5.890574696908842,50.167643091593774],parent:"FXX"},CORSE:{code:"94",geobbox:[8.538297771732212,41.36275742645722,9.559823318166366,43.010730668102084],parent:"FXX"},"FRANCHE-COMTE":{code:"43",geobbox:[5.25204276810923,46.2606932070983,7.1421733942044,48.024084417358736],parent:"FXX"},"HAUTE-NORMANDIE":{code:"23",geobbox:[0.065457770706589,48.66652415160698,1.802660237500302,50.07155100683968],parent:"FXX"},"ILE-DE-FRANCE":{code:"11",geobbox:[1.44727950476602,48.12054154374055,3.555686958558568,49.23719070736311],parent:"FXX"},"LANGUEDOC-ROUSSILLON":{code:"91",geobbox:[1.688419720914751,42.33348862480638,4.845553900676586,44.97572302557013],parent:"FXX"},LIMOUSIN:{code:"74",geobbox:[0.62974246395244,44.92028798529477,2.609396304838669,46.4549062858728],parent:"FXX"},LORRAINE:{code:"41",geobbox:[4.888760929797642,47.813053724588585,7.639294241449073,49.61708773850277],parent:"FXX"},"MIDI-PYRENEES":{code:"73",geobbox:[-0.326875042893179,42.57232032467556,3.450981399748263,45.04466563387465],parent:"FXX"},"NORD-PAS-DE-CALAIS":{code:"31",geobbox:[1.555964865344545,49.97065770195045,4.230134246921591,51.089000310506115],parent:"FXX"},"PAYS DE LA LOIRE":{code:"52",geobbox:[-2.557543229782619,46.26703703906495,0.916650480581802,48.5679994940617],parent:"FXX"},PICARDIE:{code:"22",geobbox:[1.379691087706571,48.837427758921905,4.255733826690897,50.366217026185026],parent:"FXX"},"POITOU-CHARENTES":{code:"54",geobbox:[-1.562732963156553,45.089248428186394,1.21306586288722,47.17575785031975],parent:"FXX"},"PROVENCE-ALPES-COTE D'AZUR":{code:"93",geobbox:[4.230283393392479,42.98203305594851,7.716127328151051,45.126847913866314],parent:"FXX"},"RHONE-ALPES":{code:"82",geobbox:[3.693391010912046,44.11571934778837,7.184201901627929,46.51767542936879],parent:"FXX"},GUADELOUPE:{code:"01",geobbox:[-61.80874,15.83977,-61.0034,16.51071],parent:"GLP"},GUYANE:{code:"03",geobbox:[-54.59434,2.11396,-51.62208,5.75387],parent:"GUF"},"LA REUNION":{code:"04",geobbox:[55.2171,-21.38824,55.83604,-20.87173],parent:"REU"},MARTINIQUE:{code:"02",geobbox:[-61.22895,14.39595,-60.81124,14.87859],parent:"MTQ"},MAYOTTE:{code:"06",geobbox:[45.01978,-12.99974,45.29765,-12.63733],parent:"MYT"}};Geoportal.Catalogue.DEPARTMENTS={AIN:{code:"01",geobbox:[4.73058154440788,45.6114938041312,6.16845115155231,46.5176754293688],parent:"82"},AISNE:{code:"02",geobbox:[2.95873860742351,48.838474288456,4.2557338266909,50.0692746359635],parent:"22"},ALLIER:{code:"03",geobbox:[2.27841636602015,45.9307323564124,4.00455842921635,46.8038765767733],parent:"83"},"ALPES-DE-HAUTE-PROVENCE":{code:"04",geobbox:[5.49816529351772,43.6682884339206,6.96708571531756,44.6597963885516],parent:"93"},"HAUTES-ALPES":{code:"05",geobbox:[5.41839741766945,44.1864833718316,7.07587151976948,45.1268479138663],parent:"93"},"ALPES-MARITIMES":{code:"06",geobbox:[6.63603868812941,43.480068010885,7.71612732815105,44.3610568287277],parent:"93"},"HAUTE-CORSE":{code:"2B",geobbox:[8.57341106810862,41.8321452359409,9.55982331816637,43.0107306681021],parent:"94"},ARDECHE:{code:"07",geobbox:[3.86252732812711,44.2644248574895,4.88658929984345,45.3656812630267],parent:"82"},ARDENNES:{code:"08",geobbox:[4.02626145095538,49.2265769718056,5.39353665832851,50.1676430915938],parent:"21"},LANDES:{code:"40",geobbox:[-1.5248665484221,43.4885916619551,0.136731215823359,44.5321945716776],parent:"72"},ARIEGE:{code:"09",geobbox:[0.826681542119149,42.5723203246756,2.17552137741738,43.3154902525248],parent:"73"},AUBE:{code:"10",geobbox:[3.38409358130258,47.9237793453152,4.86243610033147,48.7166733661605],parent:"21"},"HAUT-RHIN":{code:"68",geobbox:[6.84299034040105,47.4203012112159,7.62215723743944,48.3108891269821],parent:"42"},AUDE:{code:"11",geobbox:[1.68841972091475,42.6489010194418,3.24056113717041,43.4601129585518],parent:"91"},AVEYRON:{code:"12",geobbox:[1.83967146025188,43.6916457755152,3.45098139974826,44.9412221847367],parent:"73"},"BOUCHES-DU-RHONE":{code:"13",geobbox:[4.23028339339248,43.1623707529158,5.81324840035912,43.9240684708176],parent:"93"},CALVADOS:{code:"14",geobbox:[-1.15797428032603,48.7522291472338,0.446051929418346,49.429861637283],parent:"25"},YVELINES:{code:"78",geobbox:[1.44727950476602,48.4400101876368,2.22719411117819,49.0842851363212],parent:"11"},CANTAL:{code:"15",geobbox:[2.06290160772993,44.6155316765298,3.37146553482871,45.4823903645155],parent:"83"},CHARENTE:{code:"16",geobbox:[-0.463154085816001,45.191632555616,0.943329049906428,46.1389646910567],parent:"54"},"HAUTS-DE-SEINE":{code:"92",geobbox:[2.14587252260782,48.7294917478758,2.33597931039204,48.9509667880772],parent:"11"},"CHARENTE-MARITIME":{code:"17",geobbox:[-1.56273296315655,45.0892484281864,0.00586644262893199,46.3709353812297],parent:"54"},CHER:{code:"18",geobbox:[1.77445145081256,46.420405373181,3.07933730997611,47.629054990991],parent:"24"},CORREZE:{code:"19",geobbox:[1.22705998915047,44.9202879852948,2.52868364408504,45.7636718955746],parent:"74"},"COTE-D'OR":{code:"21",geobbox:[4.0651984622774,46.9009541355769,5.51853872951259,48.0313759686354],parent:"26"},"COTES-D'ARMOR":{code:"22",geobbox:[-3.66353556729797,48.0325401797206,-1.9089961926263,48.8836013813589],parent:"53"},CREUSE:{code:"23",geobbox:[1.37452137996296,45.6642395042393,2.60939630483867,46.4549062858728],parent:"74"},DORDOGNE:{code:"24",geobbox:[-0.0415138998487501,44.5707739252791,1.44826154393221,45.7145699897727],parent:"72"},DOUBS:{code:"25",geobbox:[5.69872619467738,46.5535721427229,7.06029531241506,47.5799061446341],parent:"43"},DROME:{code:"26",geobbox:[4.64683712406175,44.1157193477884,5.82988436213845,45.3439846178268],parent:"82"},EURE:{code:"27",geobbox:[0.297224420290615,48.666524151607,1.8026602375003,49.4844665138576],parent:"23"},"EURE-ET-LOIR":{code:"28",geobbox:[0.756826368076685,47.9537490548553,1.99408471805938,48.9410536061552],parent:"24"},"CORSE-DU-SUD":{code:"2A",geobbox:[8.53823242096776,41.3627574264572,9.407123931761,42.3814057120503],parent:"94"},"SEINE-SAINT-DENIS":{code:"93",geobbox:[2.2884607724429,48.807436629376,2.60259843143198,49.0123995600171],parent:"11"},FINISTERE:{code:"29",geobbox:[-5.13901728543322,47.7635615765894,-3.38802544841603,48.7526158728705],parent:"53"},GARD:{code:"30",geobbox:[3.26311258845482,43.4601854327264,4.84555390067659,44.4597975558632],parent:"91"},GERS:{code:"32",geobbox:[-0.282111589196039,43.3108859915855,1.20030064488225,44.0792633802986],parent:"73"},"HAUTE-GARONNE":{code:"31",geobbox:[0.441704831511497,42.6913486808669,2.0482898262114,43.9210957133889],parent:"73"},"INDRE-ET-LOIRE":{code:"37",geobbox:[0.0537397848495228,46.7366210426403,1.36446576002727,47.708089518433],parent:"24"},GIRONDE:{code:"33",geobbox:[-1.26156091294416,44.1940166710363,0.315043080115652,45.5735853922635],parent:"72"},HERAULT:{code:"34",geobbox:[2.53991734469627,43.2128086330841,4.19381781155392,43.9706897224518],parent:"91"},"VAL-DE-MARNE":{code:"94",geobbox:[2.30988229458844,48.6890252711783,2.61481690616404,48.861409850049],parent:"11"},"ILLE-ET-VILAINE":{code:"35",geobbox:[-2.28753886020226,47.6313598440143,-1.01820304892648,48.7115691614362],parent:"53"},INDRE:{code:"36",geobbox:[0.867468880708157,46.347218495873,2.2037884222747,47.2771385931104],parent:"24"},ISERE:{code:"38",geobbox:[4.7439913610838,44.6969650242906,6.35855018246407,45.8827813321709],parent:"82"},JURA:{code:"39",geobbox:[5.25204276810923,46.2606932070983,6.20657472346847,47.305843036758],parent:"43"},"LOIR-ET-CHER":{code:"41",geobbox:[0.58031547394897,47.1862252339445,2.24774501529762,48.1328347595991],parent:"24"},LOIRE:{code:"42",geobbox:[3.69339101091205,45.2322110017572,4.75995345936003,46.2759144434065],parent:"82"},"HAUTE-LOIRE":{code:"43",geobbox:[3.08538944280753,44.7438724371486,4.48891796783216,45.4276329992512],parent:"83"},"LOIRE-ATLANTIQUE":{code:"44",geobbox:[-2.55670587240236,46.8600798343647,-0.923468920280055,47.8348596707559],parent:"52"},"VAL-D'OISE":{code:"95",geobbox:[1.60879607062992,48.9086793298905,2.59447416723085,49.2371907073631],parent:"11"},LOIRET:{code:"45",geobbox:[1.51465722436234,47.4831887872082,3.12822994541792,48.3449441557612],parent:"24"},LOT:{code:"46",geobbox:[0.981507059196262,44.2033443628775,2.21047650650625,45.0446656338747],parent:"73"},"LOT-ET-GARONNE":{code:"47",geobbox:[-0.140688977601515,43.9732082639777,1.07795122623525,44.7641935250676],parent:"72"},LOZERE:{code:"48",geobbox:[2.98167698653043,44.1143717516483,3.99816298776397,44.9757230255701],parent:"91"},MAYENNE:{code:"53",geobbox:[-1.23825173432567,47.733381378006,-0.0505388875447988,48.5679994940617],parent:"52"},"MAINE-ET-LOIRE":{code:"49",geobbox:[-1.35420364185724,46.9704655722341,0.234568112476669,47.8099914629707],parent:"52"},MANCHE:{code:"50",geobbox:[-1.94670966074895,48.4568749243268,-0.736267312130707,49.7261028438926],parent:"25"},MARNE:{code:"51",geobbox:[3.39712958466865,48.5151739162974,5.03775651961035,49.4077249196893],parent:"21"},"HAUTE-MARNE":{code:"52",geobbox:[4.62682990793103,47.5765507085746,5.89057469690884,48.6888516838792],parent:"21"},"MEURTHE-ET-MOSELLE":{code:"54",geobbox:[5.42599032483599,48.3500388831168,7.12316536902857,49.5622518629105],parent:"41"},MEUSE:{code:"55",geobbox:[4.88876092979764,48.4093347310975,5.85347643091997,49.6170877385028],parent:"41"},MORBIHAN:{code:"56",geobbox:[-3.73319097352884,47.2785723824613,-2.03605808668459,48.2100163334276],parent:"53"},"PYRENEES-ORIENTALES":{code:"66",geobbox:[1.72401059413076,42.3334886248064,3.17560928422705,42.918341437261],parent:"91"},MOSELLE:{code:"57",geobbox:[5.89340158922053,48.5275964435493,7.63929424144907,49.5121803763668],parent:"41"},NIEVRE:{code:"58",geobbox:[2.84518715979413,46.6516513888404,4.23087531089952,47.587923653216],parent:"26"},NORD:{code:"59",geobbox:[2.06769781245755,49.9706577019505,4.23013424692159,51.0890003105061],parent:"31"},"BAS-RHIN":{code:"67",geobbox:[6.94146755311435,48.1203775050917,8.23029497464336,49.0778913044195],parent:"42"},OISE:{code:"60",geobbox:[1.68861991590973,49.0604588166992,3.16619299476867,49.7621154477532],parent:"22"},ORNE:{code:"61",geobbox:[-0.860362915434868,48.1800913476878,0.976415754774005,48.9725578529906],parent:"25"},"PAS-DE-CALAIS":{code:"62",geobbox:[1.55596486534455,50.0210757580314,3.1868508332076,51.006505048771],parent:"31"},"PUY-DE-DOME":{code:"63",geobbox:[2.38800755058955,45.2870664026082,3.98562929441086,46.2565897578473],parent:"83"},"PYRENEES-ATLANTIQUES":{code:"64",geobbox:[-1.78927065469002,42.7791245851151,0.0286653361704553,43.5968319192209],parent:"72"},"HAUTES-PYRENEES":{code:"65",geobbox:[-0.326875042893179,42.6750381998866,0.645958542499811,43.6110151518302],parent:"73"},RHONE:{code:"69",geobbox:[4.24383956873539,45.4542105234082,5.15923090286338,46.3045177162748],parent:"82"},"HAUTE-SAONE":{code:"70",geobbox:[5.37060312184662,47.2531171722977,6.82467151075771,48.0240844173587],parent:"43"},"SAONE-ET-LOIRE":{code:"71",geobbox:[3.62280167498711,46.1568158371151,5.46302217273112,47.1554116835445],parent:"26"},SARTHE:{code:"72",geobbox:[-0.447914016040585,47.5685259333078,0.916650480581802,48.4845765333341],parent:"52"},SAVOIE:{code:"73",geobbox:[5.6236771221683,45.0523734133462,7.18420190162793,45.9384595782932],parent:"82"},"HAUTE-SAVOIE":{code:"74",geobbox:[5.80547202595325,45.6827069357963,7.04116340941196,46.4081778210384],parent:"82"},PARIS:{code:"75",geobbox:[2.22422457022508,48.8157571461016,2.46724594319785,48.9016517752508],parent:"11"},"SEINE-MARITIME":{code:"76",geobbox:[0.0657060459778601,49.2519741450731,1.78863341194128,50.0715510068397],parent:"23"},"SEINE-ET-MARNE":{code:"77",geobbox:[2.39237152446175,48.1205415437406,3.55568695855857,49.1175542188162],parent:"11"},"DEUX-SEVRES":{code:"79",geobbox:[-0.902217134528063,45.969659985238,0.218931968181321,47.1084160627862],parent:"54"},SOMME:{code:"80",geobbox:[1.37969108770657,49.5717641083625,3.20272196050972,50.3661272627017],parent:"22"},TARN:{code:"81",geobbox:[1.53526757807792,43.3826145540765,2.93545056525751,44.2005428225172],parent:"73"},"TARN-ET-GARONNE":{code:"82",geobbox:[0.738908962885049,43.7682419836351,1.99705447201444,44.3938762830875],parent:"73"},VAR:{code:"83",geobbox:[5.65691958916954,42.9820330559485,6.93372623645342,43.8069759192297],parent:"93"},VAUCLUSE:{code:"84",geobbox:[4.64922366610049,43.6586859051648,5.7573329775827,44.4298461845612],parent:"93"},VENDEE:{code:"85",geobbox:[-2.39883533384168,46.2669296147409,-0.53780049801211,47.0842685066335],parent:"52"},VIENNE:{code:"86",geobbox:[-0.102121473880653,46.049088674625,1.21306586288722,47.1757578503197],parent:"54"},"HAUTE-VIENNE":{code:"87",geobbox:[0.62974246395244,45.437605335213,1.90944070649067,46.4015983835496],parent:"74"},VOSGES:{code:"88",geobbox:[5.39383756038222,47.8130537245886,7.19828225379745,48.5135922655566],parent:"41"},YONNE:{code:"89",geobbox:[2.84865016049049,47.3123467676337,4.34029687115421,48.3990277813267],parent:"26"},TERRITOIREDEBELFORT:{code:"90",geobbox:[6.75763848367051,47.4336991246288,7.1421733942044,47.8247819220456],parent:"43"},ESSONNE:{code:"91",geobbox:[1.9165394406085,48.2853193664117,2.58407400388371,48.7761020316218],parent:"11"},GUADELOUPE:{code:"971",geobbox:[-61.80874,15.83977,-61.0034,16.51071],parent:"01"},GUYANE:{code:"973",geobbox:[-54.59434,2.11396,-51.62208,5.75387],parent:"03"},"LA REUNION":{code:"974",geobbox:[55.2171,-21.38824,55.83604,-20.87173],parent:"04"},MARTINIQUE:{code:"972",geobbox:[-61.22895,14.39595,-60.81124,14.87859],parent:"02"},MAYOTTE:{code:"976",geobbox:[45.01978,-12.99974,45.29765,-12.63733],parent:"06"}};Geoportal.Catalogue.completeConfiguration=function(aI){var V=aI.generalOptions;var W=aI.layersContext;for(var h in V.tileMatrixSets){var A=V.tileMatrixSets[h];var aA=A.supportedCRS=A.supportedCRS.replace(/epsg/,"EPSG");if(!Geoportal.Catalogue.CRSRESOLUTIONS.hasOwnProperty(aA)){var J=new OpenLayers.Projection(aA);Geoportal.Catalogue.CRSRESOLUTIONS[aA]=[];var av=A.matrixIds;for(var U=0,aF=av.length;U<aF;++U){var a=av[U];Geoportal.Catalogue.CRSRESOLUTIONS[aA].push(0.00028*a.scaleDenominator/(OpenLayers.METERS_PER_INCH*OpenLayers.INCHES_PER_UNIT[J.getUnits()]));a.supportedCRS=a.supportedCRS.replace(/epsg/,"EPSG")}Geoportal.Catalogue.CRSRESOLUTIONS[aA].sort(function(f,c){return c-f})}}var au=Geoportal.Catalogue.CRSRESOLUTIONS["CRS:84"];if(!au){au=Geoportal.Catalogue.CRSRESOLUTIONS["CRS:84"]=V.resolutions.slice()}var w=Geoportal.Catalogue.CRSRESOLUTIONS["EPSG:3857"];if(!w){w=Geoportal.Catalogue.CRSRESOLUTIONS["EPSG:3857"]=new Array(au.length);for(var U=0,ao=au.length;U<ao;U++){var y=new OpenLayers.LonLat(au[U],0);y.transform(OpenLayers.Projection.CRS84,OpenLayers.Projection.WebMercator);w[U]=y.lon}}Geoportal.Catalogue.RESOLUTIONS=w;var aC=function(b){if(OpenLayers.Projection.WebMercator.isAliasOf(b)){return w}if(OpenLayers.Projection.CRS84.isAliasOf(b)){return au}return Geoportal.Catalogue.CRSRESOLUTIONS[b]?Geoportal.Catalogue.CRSRESOLUTIONS[b]:null};var az=function(c,f){for(var j=0,b=c.length;j<b;j++){if(c[j]-f<=c[b-1]){return j}}return -1};var r=function(b,c){var f=b*0.00028;var i=aC(c);if(i){return az(i,f)}f=f/(OpenLayers.METERS_PER_INCH*OpenLayers.INCHES_PER_UNIT.degrees);return az(au,f)};var aj=function(c,b){var f=aC(b);if(f){return az(f,c)}var j=new OpenLayers.LonLat(0,0);var i=new OpenLayers.LonLat(1,0);j.transform(new OpenLayers.Projection(b),OpenLayers.Projection.CRS84);i.transform(new OpenLayers.Projection(b),OpenLayers.Projection.CRS84);c=c*(Math.abs(i.lon-j.lon));return az(au,c)};var ax=V.territories||{};for(var U=0,aF=ax.length;U<aF;U++){var ae=ax[U];if(!Geoportal.Catalogue.TERRITORIES.hasOwnProperty(ae.id)){var M={};ae.minScale=559082264;M[ae.defaultCRS]={minZoomLevel:r(ae.minScale,ae.defaultCRS),maxZoomLevel:r(ae.maxScale,ae.defaultCRS),defaultZoomLevel:aj(ae.resolution,ae.defaultCRS)};Geoportal.Catalogue.TERRITORIES[ae.id]={isDefault:ae.isDefault,geobbox:ae.boundingBox,geocenter:[ae.center.lon,ae.center.lat],defaultCRS:[ae.defaultCRS],geoCRS:[OpenLayers.Projection.CRS84],displayCRS:[ae.defaultCRS],baseLayers:M,defaultLayers:OpenLayers.Util.extend({},ae.defaultLayers)};Geoportal.Catalogue.TERRITORIES[ae.id].displayCRS=Geoportal.Catalogue.TERRITORIES[ae.id].displayCRS.concat(ae.additionalCRS?ae.additionalCRS:[OpenLayers.Projection.CRS84])}}for(var U=0,G=W.length;U<G;U++){var H=W[U];var ad=H.id;var an=H.metadata&&H.metadata.type?H.metadata.type.split(":").pop()||"WMTS":"";var aH=(an+";").split(";")[1];if(aH.length>0){an=an.split(";")[0];H.name+=";"+aH;ad+=";"+aH}if(H.aggregate){}if(!Geoportal.Catalogue.LAYERNAMES.hasOwnProperty(H.name)||an=="WMTS"){Geoportal.Catalogue.LAYERNAMES[H.name]={key:ad,weight:H.options.order}}var d=H.options.originators;if(d){for(var K=0,L=d.length;K<L;K++){var aq=d[K];if(!Geoportal.Catalogue.ORIGINATORS[aq.name]){Geoportal.Catalogue.ORIGINATORS[aq.name]={url:aq.url,attribution:aq.attribution||"",bounds:[],pictureUrl:aq.pictureUrl}}var q=Geoportal.Catalogue.ORIGINATORS[aq.name].bounds;for(var Y=0,E=aq.constraints.length;Y<E;Y++){var ag=OpenLayers.Bounds.fromArray(aq.constraints[Y].boundingBox);var C=false;for(var D=0,B=q.length;D<B;D++){var z=OpenLayers.Bounds.fromArray(q[D]);C=C||z.containsBounds(ag)||ag.containsBounds(z);if(C){break}}if(!C){q.push(aq.constraints[Y].boundingBox)}}}}var R={options:{visibility:false}};var x=null;if(H.formats){for(var X=0,aD=H.formats.length;X<aD;X++){if(H.formats[X].current){x=H.formats[X].value;break}}}x=x||"image/jpeg";if(an){R[an]={format:x,version:H.version}}var u=Geoportal.Catalogue.CONFIG[ad]={serviceParams:R,layerOptions:{opacity:H.options.opacity,displayInLayerSwitcher:H.options.displayInLayerSwitcher}};var e=u.layerOptions;if(H.title){e.title=H.title}if(H["abstract"]){e.description=H["abstract"]}if(H.options.legends){u.legends=H.options.legends.slice()}if(H.options.thematics){u.thematics=H.options.thematics.slice()}if(H.options.inspireThematics){u.inspireThematics=H.options.inspireThematics.slice()}if(H.options.constraints){u.constraints=H.options.constraints.slice()}var ap=H.projection;if(an=="WMTS"&&H.options.tileMatrixSetLink){var A=H.options.tileMatrixSetLink.tileMatrixSet;e.matrixSet=A;for(var I=0,ay=H.styles.length;I<ay;I++){if(H.styles[I].current){e.style=H.styles[I].name;break}}ap=V.tileMatrixSets[A].supportedCRS;e.matrixIds=V.tileMatrixSets[A].matrixIds;e.nativeResolutions=(aC(ap)||au).slice()}e.projection=ap;for(var aa in Geoportal.Catalogue.TERRITORIES){var ae=Geoportal.Catalogue.TERRITORIES[aa],ai,ak,af;if(u.constraints){for(var ah=0,P=u.constraints.length;ah<P;ah++){var al=u.constraints[ah];if(OpenLayers.Bounds.fromArray(ae.geobbox).intersectsBounds(OpenLayers.Bounds.fromArray(al.boundingBox))){ak=r(al.minScale,ap);ak=Math.max(ak,ae.baseLayers[ae.defaultCRS].minZoomLevel);af=r(al.maxScale,ap);af=Math.min(af,ae.baseLayers[ae.defaultCRS].maxZoomLevel);if(ak>af){var aG=ak;ak=af;af=aG}al.minZoomLevel=ak;al.maxZoomLevel=af;al.minResolution=(aC(ae.defaultCRS)||au)[al.maxZoomLevel];al.maxResolution=(aC(ae.defaultCRS)||au)[al.minZoomLevel];al.maxExtent=OpenLayers.Bounds.fromArray(al.boundingBox)}}}if(H.options.boundingBox&&OpenLayers.Bounds.fromArray(ae.geobbox).intersectsBounds(OpenLayers.Bounds.fromArray(H.options.boundingBox))){if(typeof H.maxScale!=="undefined"){af=r(H.maxScale,ap);af=Math.min(af,ae.baseLayers[ae.defaultCRS].maxZoomLevel)}else{af=ae.baseLayers[ae.defaultCRS].maxZoomLevel}if(typeof H.minScale!=="undefined"){ak=r(H.minScale,ap);ak=Math.max(ak,ae.baseLayers[ae.defaultCRS].minZoomLevel)}else{ak=ae.baseLayers[ae.defaultCRS].minZoomLevel}ai=u[aa]={bounds:H.options.boundingBox,maxZoomLevel:af,minZoomLevel:ak,fileIdentifiers:[],originators:[]};if(H.options.metadataURL){for(var O=0,aw=H.options.metadataURL.length;O<aw;O++){ai.fileIdentifiers.push(H.options.metadataURL[O].href)}}if(d){for(var K=0,L=d.length;K<L;K++){var aq=d[K];for(var Y=0,E=aq.constraints.length;Y<E;Y++){ak=r(aq.constraints[Y].minScale,ap);ak=Math.max(ak,ae.baseLayers[ae.defaultCRS].minZoomLevel);af=r(aq.constraints[Y].maxScale,ap);af=Math.min(af,ae.baseLayers[ae.defaultCRS].maxZoomLevel);ai.originators.push({id:aq.name,mnzl:ak,mxzl:af})}}}if(Geoportal.Catalogue.TERRITORIES[aa].defaultLayers[ad]){ai.isDefault=true;u.serviceParams.options.visibility=true;Geoportal.Catalogue.TERRITORIES[aa].defaultLayers[ad]=ai}}}if(H.aggregate){u.aggregate=true;u.hasMoreInformations=H.hasMoreInformations}}var d=Geoportal.Catalogue.ORIGINATORS;for(var K in d){var ab=d[K].bounds;var g=[];for(var U=0,Q=ab.length;U<Q;U++){var Z=OpenLayers.Bounds.fromArray(ab[U]),ac=false;for(var S=0,N=g.length;S<N;S++){var am=OpenLayers.Bounds.fromArray(g[S]);ac=am.intersectsBounds(Z);if(ac){am.extend(Z);g[S]=am.toArray();break}}if(!ac){g.push(ab[U])}}g.sort(function(f,c){var i=f.left-c.left;if(Math.abs(i)>0.000028){return 1000*i}i=f.bottom-c.bottom;if(Math.abs(i)>0.000028){return 100*i}i=f.right-c.right;if(Math.abs(i)>0.000028){return 10*i}i=f.top-c.top;if(Math.abs(i)>0.000028){return i}return 0});d[K].bounds=g}d.unknownAuthority={attribution:"-",bounds:[-179.9,-90,179.9,90],pictureUrl:Geoportal.Util.getImagesLocation()+"logo_unknownAuthority.gif",url:"javascript:void(0)"};var ax=Geoportal.Catalogue.TERRITORIES;for(var F in ax){var ar=ax[F];for(var Q in ar.defaultLayers){var aB=ar.defaultLayers[Q];if(aB.isDefault!==true){delete ar.defaultLayers[Q]}}}var k={"ELEVATION.SLOPS":"ELEVATION.SLOPES","SEAREGIONS.LEVEL0":"ELEVATION.LEVEL0","TOPONYMS.ALL":"PositionOfInterest;Geocode","ADDRESSES.CROSSINGS":"StreetAddress;Geocode"};for(var aE in k){var at=Geoportal.Catalogue.LAYERNAMES[k[aE]];if(at){Geoportal.Catalogue.LAYERNAMES[aE]={key:at.key,weight:at.weight,deprecated:k[aE]}}}};Geoportal.Viewer=OpenLayers.Class({EVENT_TYPES:["viewerloaded"],events:null,eventListeners:null,fallThrough:true,territory:"FXX",territories:null,map:null,projection:null,allowedDisplayProjections:null,displayProjection:null,nameInstance:"geoportalViewer",div:null,viewerSpecifics:["territory","projection","displayProjection","nameInstance","loadTheme"],defaultControls:null,variables:{},viewerOptions:{},loadTheme:function(){Geoportal.Util.loadCSS(Geoportal._getScriptLocation()+"theme/geoportal/style.css","__GeoportalCss__","");if(OpenLayers.Util.alphaHack()){Geoportal.Util.loadCSS(OpenLayers._getScriptLocation()+"theme/geoportal/ie6-style.css","__IE6GeoportalCss__","")}},loadLayout:function(a){return null},loadControls:function(b){b=b||{};var a=this;var c=function(g){var f=null;var e=b[g].disabled===true?null:(b[g].className||OpenLayers.Class.getClass(g));if(e){f=new e(b[g]);if(f){a.getMap().addControl(f,b[g].position||null);if(b[g].viewerProperty){a[b[g].viewerProperty]=f}if(typeof(b[g].finalize)==="function"){b[g].finalize.call(a)}}else{OpenLayers.Console.warn("loadControls('"+g+"') failed.")}}};if(this.defaultControls){for(var d in this.defaultControls){b[d]=OpenLayers.Util.applyDefaults(b[d],this.defaultControls[d])}for(var d in b){if(this.defaultControls.hasOwnProperty(d)){if(b[d].div||typeof(b[d].parentCntrl)!=="function"){if(typeof(b[d].check)!=="function"||b[d].check.call(this)===true){c(d)}}}}}for(var d in b){if(!this.defaultControls||!this.defaultControls.hasOwnProperty(d)){if(b[d].div||typeof(b[d].parentCntrl)!=="function"){if(typeof(b[d].check)!=="function"||b[d].check.call(this)===true){c(d)}}}}if(this.defaultControls){for(var d in b){if(this.defaultControls.hasOwnProperty(d)){if(!b[d].div&&typeof(b[d].parentCntrl)==="function"){if(typeof(b[d].check)!=="function"||b[d].check.call(this)===true){b[d].div=b[d].parentCntrl.call(this);c(d)}}}}}for(var d in b){if(!this.defaultControls||!this.defaultControls.hasOwnProperty(d)){if(!b[d].div&&typeof(b[d].parentCntrl)==="function"){if(typeof(b[d].check)!=="function"||b[d].check.call(this)===true){b[d].div=b[d].parentCntrl.call(this);c(d)}}}}},completeLayout:function(a){},browser:null,unloadDestroy:null,initialize:function(h,b){if(!h){h="geoportalViewerDiv"}this.div=OpenLayers.Util.getElement(h);if(!this.div){this.div=OpenLayers.getDoc().createElement("div");this.div.style.height="1px";this.div.style.width="1px"}var c=navigator.userAgent.toLowerCase();this.browser={version:(c.match(/.+(?:rv|it|ra|ie)[\/: ]([\d.]+)/)||[0,"0"])[1],safari:/webkit/.test(c)&&!/chrome/.test(c),opera:/opera/.test(c),msie:/(msie|trident)/.test(c)&&!/opera/.test(c),mozilla:/firefox/.test(c)&&!/(compatible|webkit)/.test(c),chrome:/chrome/.test(c)};b=b||{};var g=null;if((b.eventListeners instanceof Object)&&(b.eventListeners.viewerloaded instanceof Function)){g=b.eventListeners.viewerloaded;delete b.eventListeners.viewerloaded}this._setOptions(b);var a=this.loadLayout(b.layoutOptions);if(!a){OpenLayers.Console.error(OpenLayers.i18n("div.not.found",{id:this.div.id||""}))}var f="__OpenLayersCss__";var e=Geoportal.Util.loadCSS(OpenLayers._getScriptLocation()+"theme/default/style.css",f,"");var d="";if(e[1]){if(OpenLayers.Util.alphaHack()){d="__IE6OpenLayersCss__";Geoportal.Util.loadCSS(OpenLayers._getScriptLocation()+"theme/default/ie6-style.css",d,"")}d="__GoogleOpenLayersCss__";Geoportal.Util.loadCSS(OpenLayers._getScriptLocation()+"theme/default/google.css",d,"")}this.map=new Geoportal.Map(a,this.viewerOptions);this.map.setApplication(this);if(!b.theme){this.loadTheme()}else{this.setTheme(b.theme)}if(b.useDefaultBaseLayers!==false){this._addTerritoriesBaselayers()}if(!this.allowedDisplayProjections){this.allowedDisplayProjections=this.viewerOptions.catalogue.getDisplayProjections(this.territory,null,true)}if(!this.displayProjection){this.displayProjection=this.allowedDisplayProjections[0].clone();this.getMap().displayProjection=this.displayProjection}if(b.controls==null||b.controls.length==0){this.loadControls(b.controlsOptions)}this.completeLayout(b.layoutOptions);this.events=new OpenLayers.Events(this,null,this.EVENT_TYPES,this.fallThrough,{includeXY:false});if(g){this.events.on({viewerloaded:g})}this.unloadDestroy=OpenLayers.Function.bind(this.destroy,this);OpenLayers.Event.observe(window,"unload",this.unloadDestroy,false);OpenLayers.Event.stopObserving(window,"unload",OpenLayers.Event.unloadCache,false);OpenLayers.Event.observe(window,"unload",OpenLayers.Event.unloadCache,false);this.onMapReadyFunc=OpenLayers.Function.bind(function(){if(this.isMapReady()===true){if(this.mapReadyInterval){window.clearInterval(this.mapReadyInterval);this.mapReadyInterval=null}this.events.triggerEvent("viewerloaded",{id:this.id,viewer:this})}},this);this.mapReadyInterval=window.setInterval(this.onMapReadyFunc,200);if(!g){this.getMap().setCenter(this.viewerOptions.defaultCenter,this.viewerOptions.defaultZoom)}},destroy:function(){this.unloadDestroy=null;this.allowedDisplayProjections=null;this.projection=null;this.displayProjection=null;this.browser=null;if(this.div){this.div.innerHTML="";this.div=null}this.variables=null;this.viewerOptions=null;this.timeout=null;if(this.eventListeners){this.events.un(this.eventListeners);this.eventListeners=null}this.events.destroy();this.events=null},render:function(a){},_setOptions:function(p){var a=OpenLayers.Lang.getCode();if(p.proxy){Proj4js.setProxyUrl(p.proxy)}this.options=OpenLayers.Util.extend({},p);this.id=OpenLayers.Util.createUniqueID("Geoportal.Viewer_");if(p.territory!=undefined){if(OpenLayers.Util.isArray(p.territory)){if(p.territory.length>0){this.territories=p.territory.slice();p.territory=this.territories[0]}else{this.territories=[];p.territory=undefined}}else{this.territories=[];this.territories.push(p.territory)}}else{this.territories=[]}for(var d=0,f=this.viewerSpecifics.length;d<f;d++){var b=this.viewerSpecifics[d];if(p[b]!=undefined){this[b]=p[b]}}var n=this._initMap(p);if(this.territories.length==0){this.territories.push(this.territory)}var h;if(p.useDefaultBaseLayers!==false){h=n.getResolutions(this.territory,this.projection)}if(p.center!=null&&typeof(p.center)=="object"){if(!(p.center instanceof OpenLayers.LonLat)){p.center=new OpenLayers.LonLat(center.lon||0,center.lat||0)}}else{p.center=n.getCenter(this.territory,this.projection)}var l=p.maxExtent;if(!l){l=n.getExtent(null,this.projection)}var c=p.minZoomLevel;var e=p.maxZoomLevel;var k=p.zoom;if(k==undefined){if(p.resolutions){if(c&&e){k=c+e}else{k=10}k=(k-(k%2))/2;k=k>=0?Math.floor(k):Math.ceil(k)}else{if(h){k=n.getDefaultZoom(this.territory,this.projection)}else{k=0}}}this.viewerOptions={catalogue:n,defaultCenter:p.center,defaultZoom:k,controls:(p.controls===null?null:(p.controls||[])),theme:null,cursor:p.cursor||null,mapmouseEventsEnable:(p.mapmouseEventsEnable===false?false:true),tileSize:new OpenLayers.Size(256,256),projection:this.projection.getCode(),units:p.units||this.projection.getUnits(),displayProjection:this.displayProjection,maxExtent:l};if(typeof(c)!="undefined"){this.viewerOptions.restrictedMinZoomLevel=c}if(typeof(e)!="undefined"){this.viewerOptions.restrictedMaxZoomLevel=e}var j=null;if(!h){j=["scales","resolutions","maxResolution","minResolution","maxScale","minScale","minExtent","maxExtent","numZoomLevels","maxZoomLevel"]}else{j=[]}j.push("events");j.push("restrictedExtent");j.push("fallThrough");j.push("eventListeners");j.push("proxy");j.push("apiKey");for(var b=0;b<j.length;b++){var g=j[b];if(p[g]!==undefined){this.viewerOptions[g]=p[g]}}this.viewerOptions.isMapReady=this.isMapReady;this.timeout={}},_initMap:function(b){var d=new Geoportal.Catalogue(null,b);this.territory=d.getTerritory(this.territory);this.projection=d.getNativeProjection(this.territory,this.projection);if(this.displayProjection){if(!(OpenLayers.Util.isArray(this.displayProjection))){this.displayProjection=[this.displayProjection]}this.allowedDisplayProjections=this.displayProjection;for(var c=0,a=this.allowedDisplayProjections.length;c<a;c++){var e=this.allowedDisplayProjections[c];if(typeof(e)=="string"){this.allowedDisplayProjections[c]=new OpenLayers.Projection(e,{domainOfValidity:OpenLayers.Bounds.fromArray(Geoportal.Catalogue.TERRITORIES[this.territory].geobbox)})}}this.displayProjection=this.allowedDisplayProjections[0].clone()}return d},_addTerritoriesBaselayers:function(){var r=this.viewerOptions.catalogue;var w=r.getExtent();var n=this.projection.equals(r.getNativeProjection(this.territory));var e=this.projection.equals(Geoportal.Catalogue.TERRITORIES[this.territory].geoCRS[0]);var c=this.projection.getProjName()=="longlat";var y=[];var b=typeof(this.viewerOptions.restrictedMinZoomLevel)!="undefined";var d=typeof(this.viewerOptions.restrictedMaxZoomLevel)!="undefined";var k;var q=false;for(var f=0,g=this.territories.length;f<g;f++){k=this.territories[f];if(k=="WLD"){this.territories[f]="!"+k;q=true;continue}if(!Geoportal.Catalogue.TERRITORIES.hasOwnProperty(k)||Geoportal.Catalogue.TERRITORIES[k].geobbox==undefined){continue}if(k!=r.getTerritory(k)){continue}var a=OpenLayers.Bounds.fromArray(Geoportal.Catalogue.TERRITORIES[k].geobbox);if(w.containsBounds(a,true,true)||a.containsBounds(w,true,true)){var p=(k==this.territory?this.projection:(n&&!c?Geoportal.Catalogue.TERRITORIES[k].defaultCRS[0]:(e&&c?Geoportal.Catalogue.TERRITORIES[k].geoCRS[0]:null)));if(!p){a=null;continue}var j=r.getNativeProjection(k,((n&&!c)||(e&&c)?null:this.projection));a.transform(Geoportal.Catalogue.TERRITORIES[k].geoCRS[0],p,true);var h=r.getDefaultMinZoom(k,j);var x=r.getDefaultMaxZoom(k,j);if(b===true){if(this.viewerOptions.restrictedMinZoomLevel>x){continue}if(this.viewerOptions.restrictedMinZoomLevel>=h){h=this.viewerOptions.restrictedMinZoomLevel}}if(d===true){if(this.viewerOptions.restrictedMaxZoomLevel<h){continue}if(this.viewerOptions.restrictedMaxZoomLevel<=x){x=this.viewerOptions.restrictedMaxZoomLevel}}var l={isBaseLayer:true,displayInLayerSwitcher:false,projection:p,units:p.getUnits(),nativeProjection:j,resolutions:r.getResolutions(k,p),minZoomLevel:h,maxZoomLevel:x,maxExtent:a,territory:k};if(!j.equals(p)){l.nativeResolutions=r.getResolutions(k,j)}var z=new Geoportal.Layer("_"+k+"_territory_",l);if(k==this.territory){y.unshift(z)}else{y.push(z)}j=null;p=null}else{this.territories[f]="!"+this.territories[f]}a=null}w=null;var u=y.length;if(u>0){for(var s=0;s<u;s++){var z=y.shift();this.getMap().addLayer(z);if(b!==true){z.minZoomLevel=undefined}if(d!==true){z.maxZoomLevel=undefined}}}y=null;if(q){this._addWorldBaseLayer(r)}},_addWorldBaseLayer:function(j){var i=j.getTerritory("WLD");var b=j.getNativeProjection(i);var f=j.getResolutions(i,b);var c=j.getDefaultMinZoom(i,b);var d=j.getDefaultMaxZoom(i,b);var g=typeof(this.viewerOptions.restrictedMinZoomLevel)!="undefined";var e=typeof(this.viewerOptions.restrictedMaxZoomLevel)!="undefined";if(g===true){if(this.viewerOptions.restrictedMinZoomLevel>d){return}if(this.viewerOptions.restrictedMinZoomLevel>=c){c=this.viewerOptions.restrictedMinZoomLevel}}if(e===true){if(this.viewerOptions.restrictedMaxZoomLevel<c){return}if(this.viewerOptions.restrictedMaxZoomLevel<=d){d=this.viewerOptions.restrictedMaxZoomLevel}}var a={isBaseLayer:true,displayInLayerSwitcher:false,projection:b,units:b.getUnits(),nativeProjection:b,resolutions:f,minZoomLevel:c,maxZoomLevel:d,maxExtent:j.getExtent(i,b),wrapDateLine:true,territory:i};var h=new Geoportal.Layer("_WLD_world_",a);this.getMap().addLayer(h);if(g!==true){h.minZoomLevel=undefined}if(e!==true){h.maxZoomLevel=undefined}this.territories.push("WLD")},addSphericalMercatorBaseLayer:function(a){a=a||{};var b=new OpenLayers.Projection("EPSG:3857");var d={isBaseLayer:true,displayInLayerSwitcher:false,projection:b,units:b.getUnits(),nativeProjection:b,maxResolution:156543.0339,numZoomLevels:18,maxExtent:new OpenLayers.Bounds(-20037508.34,-20037509.92,20037508.34,20037509.92),wrapDateLine:true,territory:"WSM"};OpenLayers.Util.extend(d,a);var c=new OpenLayers.Layer("_WSM_world_",d);this.getMap().addLayer(c);return c},addPlateCarreBaseLayer:function(d){d=d||{};var a=new OpenLayers.Projection("EPSG:4326");var b={isBaseLayer:true,displayInLayerSwitcher:false,projection:a,units:a.getUnits(),nativeProjection:a,maxResolution:1.40625,numZoomLevels:21,maxExtent:new OpenLayers.Bounds(-180,-90,180,90),wrapDateLine:true,territory:"WPC"};OpenLayers.Util.extend(b,d);var c=new OpenLayers.Layer("_WPC_world_",b);viewer.getMap().addLayer(c);return c},_addAggregateLayer:function(a){var c=new Geoportal.Layer();delete a.options.territory;var b=new Geoportal.Layer.Aggregate(a.options.name,[c],a.options);if(b){var e=this.getMap();if(!e.addLayer(b)){return}b.layers[0].events.triggerEvent("loadstart");var d=new OpenLayers.Protocol.Script({url:a.url,params:{output:"json"},format:new Geoportal.Format.WMC.v1_1_0_AutoConf(),handleResponse:function(j,f){var g=this.viewer.getMap();var p=this.format.read(j.data.xml);this.destroyRequest(j.priv);Geoportal.Catalogue.completeConfiguration(p,true);this.layer.layers[0].events.triggerEvent("loadend");g.removeLayer(this.layer.layers[0]);this.layer.layers=[];for(var i=0,o=p.layersContext.length;i<o;i++){var n=p.layersContext[i];var h=g.getLayersByName(n.name).length;this.viewer.addGeoportalLayer(n.name+":"+(n.metadata.type.split(":").pop()||"WMTS"),{displayInLayerSwitcher:false,visibility:this.layer.visibility,opacity:this.layer.opacity});var k=g.getLayersByName(n.name).slice(h);this.layer.addLayers(k)}},layer:b,viewer:this});d.read()}},setKeys:function(a){if(!a.apiKey){return}this.getMap().setKeys(a)},setTheme:function(e){var d,c;if(e.css){e.styles=[];c={css:e.css,id:e.id||null,anchor:e.anchor||""};e.styles.push(c)}if(OpenLayers.Util.isArray(e)){d=e;e={};e.styles=d}if(e.name){Geoportal.Util.setTheme(e.name)}if(!(OpenLayers.Util.isArray(e.styles))){e.styles=[e.styles]}d=e.styles;for(var b=0,a=d.length;b<a;b++){c=d[b];if(c.alpha!==true||OpenLayers.Util.alphaHack()){Geoportal.Util.loadCSS(c.css,c.id||null,c.anchor||"")}}},setSize:function(b,a){},setToolsPanelVisibility:function(a){},setLayersPanelVisibility:function(a){},openToolsPanel:function(a){},openLayersPanel:function(a){},setInformationPanelVisibility:function(a){},isMapReady:function(){var a=(this.div!=null);return a},getTerritory:function(){return this.territory},getMap:function(){return this.map},addGeoportalLayer:function(d,j){var a=this.getMap();j=j||{};var i;for(var f=0,e=this.territories.length;f<e;f++){i=this.territories[f];if(!Geoportal.Catalogue.TERRITORIES.hasOwnProperty(i)){continue}if(a.getLayersBy("territory",i).length==0){continue}var h=a.catalogue.getLayerParameters(i,d);if(!h||!h.classLayer){continue}var g=null;if(typeof(j.minZoomLevel)!=="undefined"){if(j.minZoomLevel<h.options.minZoomLevel||j.minZoomLevel>h.options.maxZoomLevel){j.minZoomLevel=h.options.minZoomLevel}}if(typeof(j.maxZoomLevel)!=="undefined"){if(j.maxZoomLevel<h.options.minZoomLevel||j.maxZoomLevel>h.options.maxZoomLevel){j.maxZoomLevel=h.options.maxZoomLevel}}h.options=OpenLayers.Util.extend(h.options,j);if(typeof(this.viewerOptions.restrictedMinZoomLevel)!="undefined"){if(h.options.minZoomLevel<this.viewerOptions.restrictedMinZoomLevel){h.options.minZoomLevel=this.viewerOptions.restrictedMinZoomLevel}}if(typeof(this.viewerOptions.restrictedMaxZoomLevel)!="undefined"){if(h.options.maxZoomLevel>this.viewerOptions.restrictedMaxZoomLevel){h.options.maxZoomLevel=this.viewerOptions.restrictedMaxZoomLevel}}h.options.territory=i;var c=a.catalogue.getLayerGeoRMKey(i,h.resourceId);if(c!=null){var b={};if(a.catalogue[c].transport){b.transport=a.catalogue[c].transport;if(a.catalogue[c][b.transport]){b[b.transport]=a.catalogue[c][b.transport]}}h.options.GeoRM=Geoportal.GeoRMHandler.addKey(c,a.catalogue[c].tokenServer.url,a.catalogue[c].tokenServer.ttl,a,b)}if(!h.options.GeoRM){OpenLayers.Console.warn(OpenLayers.i18n("geoRM.forbidden",{layer:h.options.name}));return}if(h.classLayer==Geoportal.Layer.Aggregate){this._addAggregateLayer(h);return}g=new h.classLayer(h.options.name,h.url,h.params,h.options);if(g){if(!a.addLayer(g)){continue}a.events.register("changelayer",g,function(r){if(!r){return}if(!(r.property=="visibility"||r.property=="opacity")){return}if(r.layer===this){return}if(r.layer.getCompatibleProjection()==null){return}if(r.layer.name!=this.name){return}var n=r.layer[r.property];if(this.getCompatibleProjection()==null&&n!=this[r.property]){if(r.property=="visibility"){this.visibility=n;this.display(n);this.redraw()}else{this.setOpacity(n)}var q=this.map.getLayersBy("isBaseLayer",true);for(var p=0,k=q.length;p<k;p++){var o=q[p];if(o===this.map.baseLayer){continue}if(this.getCompatibleProjection(o)!=null){if(!this.savedStates[o.id]){this.savedStates[o.id]={}}this.savedStates[o.id][r.property]=n}}q=null}});a.events.triggerEvent("changelayer",{layer:g,property:"visibility"});a.events.register("removelayer",g,function(k){if(!k){return}if(!k.layer){return}if(k.layer===this){return}if(k.layer.name!=this.name){return}if(this.map){this.map.removeLayer(this)}})}}},addGeoportalLayers:function(){var h=arguments.length>=1?arguments[0]:null;var k=arguments.length==2?arguments[1]:{};if(!h||h.length==0){h=this.getMap().allowedGeoportalLayers;if(!h){return}}var f=Geoportal.Catalogue._orderLayersStack(h);var b={};if(k.global!==undefined){OpenLayers.Util.extend(b,k.global)}for(var c=0,d=f.length;c<d;c++){var e=f[c],j=e.lastIndexOf(":"),g=j!=-1?e.substring(0,j):e;if(j==-1){e=e+":"+Geoportal.Catalogue.DEFAULT_SERVICE_TYPE}var a=OpenLayers.Util.applyDefaults({},k[e]||k[g]||{});a=OpenLayers.Util.applyDefaults(a,b);this.addGeoportalLayer(f[c],a)}},setVariable:function(a,b){if(!a){return}this.variables[a]=b},addVariable:function(a,b){OpenLayers.Console.warn(OpenLayers.i18n("methodDeprecated",{newMethod:"Geoportal.Viewer.setVariable"}));this.setVariable(a,b)},removeVariable:function(a){if(!a){return null}var b=this.variables[a];this.variables[a]=null;return b},getVariable:function(a){if(!a){return null}return this.variables[a]},CLASS_NAME:"Geoportal.Viewer"});Geoportal.Viewer.Simple=OpenLayers.Class(Geoportal.Viewer,{defaultControls:{"OpenLayers.Control.KeyboardDefaults":{activeOverMapOnly:true},"Geoportal.Control.Logo":{logoSize:0,destroy:function(){if(this.map.getApplication()){this.map.getApplication().logoCntrl=null}Geoportal.Control.Logo.prototype.destroy.apply(this,arguments)},viewerProperty:"logoCntrl"},"OpenLayers.Control.Navigation":{mouseWheelOptions:{cumulative:false}}},initialize:function(c,b){b=b||{};b.defaultControls=b.defaultControls||{};var a=this.defaultControls;this.defaultControls=OpenLayers.Util.extend(a,b.defaultControls);delete b.defaultControls;if(this.defaultControls["Geoportal.Control.Logo"].logoSize==0){this.defaultControls["Geoportal.Control.Logo"].logoSize=Geoportal.Control.Logo.WHSizes.normal}Geoportal.Viewer.prototype.initialize.apply(this,arguments)},render:function(a){if(this.getMap()){this.getMap().render(a)}},destroy:function(){if(!this.unloadDestroy){return}OpenLayers.Event.stopObserving(window,"unload",this.unloadDestroy);this.unloadDestroy=null;this.logoCntrl=null;if(this.map){this.map=null}Geoportal.Viewer.prototype.destroy.apply(this,arguments)},loadLayout:function(a){this.div.style.overflow="hidden";OpenLayers.Element.addClass(this.div,"gpMainMap");OpenLayers.Element.addClass(this.div,"gpMainMapCellSimple");OpenLayers.Element.addClass(this.div,"olMap");OpenLayers.Element.addClass(this.div,"gpMap");return this.div},loadControls:function(a){a=a||{};if(a.activeOverMapOnly===false){a["OpenLayers.Control.KeyboardDefaults"]=a["OpenLayers.Control.KeyboardDefaults"]||{};a["OpenLayers.Control.KeyboardDefaults"].activeOverMapOnly=false;delete a.activeOverMapOnly}if(a.logoSize){a["Geoportal.Control.Logo"]=a["Geoportal.Control.Logo"]||{};a["Geoportal.Control.Logo"].logoSize=a.logoSize||Geoportal.Control.Logo.WHSizes.normal}Geoportal.Viewer.prototype.loadControls.apply(this,[a])},setSize:function(f,a){f=typeof(f)=="number"?f+"px":f;var b=Geoportal.Util.convertToPixels(f,true);a=typeof(a)=="number"?a+"px":a;var e=Geoportal.Util.convertToPixels(a,false);var c=this.div.offsetWidth-b;this.div.style.width=f;this.mapDiv.style.width=f;var d=this.div.offsetHeight-e;this.div.style.height=a;this.mapDiv.style.height=a;this.getMap().updateSize();if(c!=0||d!=0){this.render(this.div)}},isMapReady:function(){var a=arguments[0];var c=(this.div!=null&&!(this.div.clientHeight<=1));return c},CLASS_NAME:"Geoportal.Viewer.Simple"});Geoportal.Viewer.Mobile=OpenLayers.Class(Geoportal.Viewer.Simple,{defaultControls:{"OpenLayers.Control.TouchNavigation":{dragPanOptions:{enableKinetic:true}},"OpenLayers.Control.ZoomPanel":{},"OpenLayers.Control.Geolocate":{geolocationOptions:{enableHighAccuracy:false,maximumAge:0,timeout:7000}}},initialize:function(d,b){b=b||{};b.defaultControls=b.defaultControls||{};var c=OpenLayers.Util.extend({},Geoportal.Viewer.Simple.prototype.defaultControls);delete c["OpenLayers.Control.Navigation"];c=OpenLayers.Util.extend(c,b.defaultControls);delete b.defaultControls;var a=this.defaultControls;this.defaultControls=OpenLayers.Util.extend(c,a);if(this.defaultControls["Geoportal.Control.Logo"].logoSize==0){this.defaultControls["Geoportal.Control.Logo"].logoSize=Geoportal.Control.Logo.WHSizes.mini}Geoportal.Viewer.Simple.prototype.initialize.apply(this,arguments);if(this.fixContentHeight){setTimeout(this.fixContentHeight,700);setTimeout(this.fixContentHeight,1500)}},fixContentHeight:function(){window.scrollTo(0,0);document.body.style.height="100%";if(!(/(iphone|ipod)/.test(navigator.userAgent.toLowerCase()))){if(document.body.parentNode){document.body.parentNode.style.height="100%"}}},loadTheme:function(){Geoportal.Viewer.Simple.prototype.loadTheme.apply(this,arguments);Geoportal.Util.loadCSS(Geoportal._getScriptLocation()+"theme/mobile/style.css","__GeoportalMobileCss__","")},loadControls:function(a){a=a||{};if(a.logoSize){a["Geoportal.Control.Logo"]=a["Geoportal.Control.Logo"]||{};a["Geoportal.Control.Logo"].logoSize=a.logoSize||Geoportal.Control.Logo.WHSizes.mini}Geoportal.Viewer.Simple.prototype.loadControls.apply(this,[a])},CLASS_NAME:"Geoportal.Viewer.Mobile"});Geoportal.InterfaceViewer=OpenLayers.Class({EVENT_TYPES:["viewerloaded","centerchanged","zoomchanged","orientationchanged","layerchanged","layeradded","layerremoved","componentchanged"],_vobject:null,id:null,div:null,keys:null,viewerLoadedCallback:null,viewerClass:null,events:null,fallThrough:true,eventListeners:null,initialize:function(b,a){OpenLayers.Util.extend(this,a);this.div=OpenLayers.Util.getElement(b);this.id=null;this._vobject=null;if(this.keys){if(!OpenLayers.Util.isArray(this.keys)){this.keys=[this.keys]}}else{this.keys=[]}this.events=new OpenLayers.Events(this,this.div,this.EVENT_TYPES,this.fallThrough,{includeXY:false});if(this.eventListeners instanceof Object){this.events.on(this.eventListeners)}},destroy:function(){if(this.eventListeners){this.events.un(this.eventListeners);this.eventListeners=null}this.events.destroy();this.events=null;this._vobject=null;this.viewerClass=null;this.viewerLoadedCallback=null;this.keys=null;if(this.id){Geoportal.InterfaceViewer.unregisterViewer(this.id)}this.id=null;this.div=null},onViewerLoaded:function(a){this.id=a.jsonData.id;this._vobject=a.jsonData.viewer;Geoportal.InterfaceViewer.registerViewer(this.id,this._vobject);if(this.viewerLoadedCallback){this.viewerLoadedCallback.apply(this,[a])}},setViewer:function(a){this._vobject=a},getViewer:function(){return this._vobject},zoomIn:function(){if(!this._vobject){return}},zoomOut:function(){if(!this._vobject){return}},pan:function(a){if(!this._vobject){return}},setZoom:function(a){if(!this._vobject){return}},setCameraOrientation:function(b,a){if(!this._vobject){return}},setCenter:function(b,a){if(!this._vobject){return}},setProxy:function(a){if(!this._vobject){return}},setNoProxyDomains:function(a){if(!this._vobject){return}},setCenterAtLocation:function(a){if(!this._vobject){return}},setLayerVisibility:function(b,a){if(!this._vobject){return}},setLayerOpacity:function(b,a){if(!this._vobject){return}},moveLayerUp:function(a){if(!this._vobject){return}},moveLayerDown:function(a){if(!this._vobject){return}},addLayer:function(a){if(!this._vobject){return}},addLayers:function(c){for(var b=0,a=c.length;b<a;b++){this.addLayer(c[b])}},removeLayer:function(a){if(!this._vobject){return}},addGeoportalLayer:function(a){if(!this._vobject){return}},addGeoportalLayers:function(c){for(var b=0,a=c.length;b<a;b++){this.addGeoportalLayer(c[b])}},removeGeoportalLayer:function(a){if(!this._vobject){return}},setKeys:function(a){if(!a){a=this.keys}if(a&&!OpenLayers.Util.isArray(a)){a=[a]}this.keys=a},setLanguage:function(a){if(!this._vobject){return}},setSize:function(a,b){if(!this._vobject){return}},setTheme:function(a){if(!this._vobject){return}},addComponent:function(b,a){if(!this._vobject){return null}return null},removeComponent:function(a){if(!this._vobject){return}},modifyComponent:function(b,a){if(!this._vobject){return}},toggleComponent:function(b,a){if(!this._vobject){return}},iconifyComponent:function(b,a){if(!this._vobject){return}},mapComponentType:function(a){return a?a:Geoportal.InterfaceViewer.UNKNOWNCOMPONENT},addEvent:function(a,b){if(!this._vobject){return}this.events.register(this.mapEventType(a),this._vobject,b)},removeEvent:function(a,b){if(!this._vobject){return}this.events.unregister(this.mapEventType(a),this._vobject,b)},mapEventType:function(a){return a?a.toLowerCase():Geoportal.InterfaceViewer.UNKNOWNEVENT},CLASS_NAME:"Geoportal.InterfaceViewer"});Geoportal.InterfaceViewer.REGISTRY=[];Geoportal.InterfaceViewer.registerViewer=function(a,b){if(!a||!b){return}Geoportal.InterfaceViewer.unregisterViewer(a);Geoportal.InterfaceViewer.REGISTRY[a]=b};Geoportal.InterfaceViewer.unregisterViewer=function(a){if(!a){return}if(Geoportal.InterfaceViewer.REGISTRY[a]){delete Geoportal.InterfaceViewer.REGISTRY[a]}};Geoportal.InterfaceViewer.initFromFile=function(){OpenLayers.Console.error(OpenLayers.i18n("notYetImplemented"));return null};Geoportal.InterfaceViewer.JSON=new OpenLayers.Format.JSON();Geoportal.InterfaceViewer.triggerEvent=function(e,b,d){if(typeof(e)=="string"){var c=Geoportal.InterfaceViewer.JSON.read(d);var a=Geoportal.InterfaceViewer.REGISTRY[e];if(a){a.events.triggerEvent(a.mapEventType(b),c)}}};Geoportal.InterfaceViewer.UNKNOWNEVENT="unknownevent";Geoportal.InterfaceViewer.UNKNOWNCOMPONENT="unknownComponent";Geoportal.InterfaceViewer.JS=OpenLayers.Class(Geoportal.InterfaceViewer,{initialize:function(b,a){Geoportal.InterfaceViewer.prototype.initialize.apply(this,arguments);if(this.keys){this.createViewerIf()}},destroy:function(){Geoportal.InterfaceViewer.prototype.destroy.apply(this,arguments)},createViewerIf:function(a){Geoportal.GeoRMHandler.getConfig(a||this.keys,this.viewerOpts.callback||null,this.viewerOpts.geormUrl||null,{onContractsComplete:OpenLayers.Function.bind(this.viewerOpts.onContractsComplete||this.onContractsComplete,this)})},onContractsComplete:function(){var opts=OpenLayers.Util.extend({},this.viewerOpts);if(opts.componentsOptions){opts.controlsOptions={};for(var cpnt in opts.componentsOptions){var cn=this.mapComponentType(cpnt);if(cn&&cn!=Geoportal.InterfaceViewer.UNKNOWNCOMPONENT){opts.controlsOptions[cn]=OpenLayers.Util.extend({},opts.componentsOptions[cpnt])}}delete opts.componentsOptions}var viewer=this.getViewer();if(!viewer){opts=OpenLayers.Util.extend(opts,{eventListeners:{viewerloaded:OpenLayers.Function.bind(function(evt){this.onViewerLoaded(evt)},this)}});if(typeof(this.viewerClass)=="string"){try{this.viewerClass=eval(this.viewerClass)}catch(ex){this.viewerClass=null}}viewer=new (this.viewerClass||Geoportal.Viewer.Simple)(this.div,opts)}else{this.setKeys()}},onViewerLoaded:function(a){this.id=a.id;this.setViewer(a.viewer);Geoportal.InterfaceViewer.registerViewer(this.id,this.getViewer());var b=this.getViewer().getMap();b.events.on({moveend:this.handleEvent,zoomend:this.handleEvent,changelayer:this.handleEvent,addlayer:this.handleEvent,removelayer:this.handleEvent,controlactivated:this.handleEvent,controlvisibilitychanged:this.handleEvent,controldeleted:this.handleEvent,scope:this});if(this.keys){this.setKeys()}if(this.viewerLoadedCallback){this.viewerLoadedCallback.apply(this,[a])}},handleEvent:function(a){var b=this.mapEventType(a.type);var e=null;switch(b){case"centerchanged":case"zoomchanged":var g=this.getViewer().getMap().getCenter().transform(this.getViewer().getMap().getProjection(),OpenLayers.Projection.CRS84);var d="%dd%02d'%02d.";e={zoomLevel:this.getViewer().getMap().getZoom(),resolution:this.getViewer().getMap().getResolution(),dx:g.lon,dy:g.lat,sx:Geoportal.Util.degToDMS(g.lon,[],2,d),sy:Geoportal.Util.degToDMS(g.lat,[],2,d)};break;case"componentchanged":e={componentName:a.control.id,componentIconified:a.visibility!==undefined?a.visibility:false};break;case"layeradded":case"layerchanged":case"layerremoved":e={layerName:a.layer.name,layerOpacity:a.layer.opacity,layerVisibility:a.layer.getVisibility()};break;case"viewerloaded":case"orientationchanged":break}if(e){this.events.triggerEvent(b,e)}},mapEventType:function(a){a=Geoportal.InterfaceViewer.prototype.mapEventType.apply(this,arguments);switch(a){case"moveend":a="centerchanged";break;case"zoomend":a="zoomchanged";break;case"changelayer":a="layerchanged";break;case"addlayer":a="layeradded";break;case"removelayer":a="layerremoved";break;case"controlactivated":case"controlvisibilitychanged":case"controldeleted":a="componentchanged";break;case"viewerloaded":default:break}return a},zoomIn:function(){var b=this.getViewer();if(!b){return}var a=b.getMap().getZoom();a++;this.setZoom(a)},zoomOut:function(){var b=this.getViewer();if(!b){return}var a=b.getMap().getZoom();a--;this.setZoom(a)},pan:function(a){var b=this.getViewer();if(!b){return}this.viewer.getMap().pan(a.x,a.y)},setZoom:function(a){var b=this.getViewer();if(!b){return}b.getMap().setCenter(null,a)},setCenter:function(b,a){this.setCenterAtLocation({lon:b,lat:a})},setCenterAtLocation:function(b){var e=this.getViewer();if(!e){return}var a=e.getMap().center?e.getMap().getCenter():e.viewerOptions.defaultCenter.clone();var d=typeof(b.zoom)=="number"?b.zoom:b.place||b.address?null:e.getMap().center?e.getMap().getZoom():e.viewerOptions.defaultZoom;var c={defaultCenter:a,afterCentered:b.afterCentered,zoom:d};if(b.place){e.getMap().setCenterAtLocation(OpenLayers.Util.extend({place:b.place},c));return}if(b.address){e.getMap().setCenterAtLocation(OpenLayers.Util.extend({address:b.address},c));return}if(b.geolocate===true){if(typeof(b.zoom)!="number"){delete c.zoom}e.getMap().setCenterAtGeolocation(c);return}if(!(b.center instanceof OpenLayers.LonLat)){if(typeof(b.lon)=="string"){b.lon=Geoportal.Util.dmsToDeg(b.lon)}if(typeof(b.lat)=="string"){b.lat=Geoportal.Util.dmsToDeg(b.lat)}if(!isNaN(Number(b.lon))&&!isNaN(Number(b.lat))){b.center=new OpenLayers.LonLat(b.lon,b.lat)}if(!b.center){b.center=a}}b.center.transform(OpenLayers.Projection.CRS84,e.getMap().getProjection());e.getMap().setCenter(b.center,d);if(b.afterCentered){b.afterCentered.apply(e.getMap(),[])}return},setLayerVisibility:function(c,a){var d=this.getViewer();if(!d){return}var b=this.getLayer(c);if(b){b.setVisibility(a)}},setLayerOpacity:function(c,b){var d=this.getViewer();if(!d){return}var a=this.getLayer(c);if(a){a.setOpacity(b)}},moveLayerUp:function(c){var h=this.getViewer();if(!h){return}for(var d=0,a=h.getMap().layers.length;d<a;d++){var b=h.getMap().layers[d];if(b.name==c){if(d==a-1){break}var g=h.getMap().layers[d+1];h.getMap().layers[d+1]=b;h.getMap().layers[d]=g;var e=g.getZIndex();g.setZIndex(b.getZIndex());b.setZIndex(e);break}}var f=h.getMap().getControlsByClass("Geoportal.Control.LayerSwitcher");if(f.length>0){for(var d=0;d<f.length;d++){f[d].redraw()}}},moveLayerDown:function(c){var h=this.getViewer();if(!h){return}for(var d=0,a=h.getMap().layers.length;d<a;d++){var b=h.getMap().layers[d];if(b.name==c){if(d==0){break}var g=h.getMap().layers[d-1];h.getMap().layers[d-1]=b;h.getMap().layers[d]=g;var e=g.getZIndex();g.setZIndex(b.getZIndex());b.setZIndex(e);break}}var f=h.getMap().getControlsByClass("Geoportal.Control.LayerSwitcher");if(f.length>0){for(var d=0;d<f.length;d++){f[d].redraw()}}},addLayer:function(b){var c=this.getViewer();if(!c){return}var a=OpenLayers.Util.extend({type:"",name:"",url:"",params:{},options:{}},b);switch(a.type){case"KML":case"GPX":case"OSM":case"GeoRSS":case"GML":case"WFS":OpenLayers.Util.extend(a.options,{handlersOptions:{feature:{stopDown:false}}});default:break}c.getMap().addLayer(a.type,a.name,a.url,a.params,a.options)},removeLayer:function(b){var c=this.getViewer();if(!c){return}var a=this.getLayer(b);if(a){a.destroy()}},addGeoportalLayer:function(b){var c=this.getViewer();if(!c){return}var a=OpenLayers.Util.extend({name:"",options:{}},b);c.addGeoportalLayer(a.name,a.options)},removeGeoportalLayer:function(a){this.removeLayer(a)},setKeys:function(c){Geoportal.InterfaceViewer.prototype.setKeys.apply(this,arguments);var g=this.getViewer();var f=[];if(g&&gGEOPORTALRIGHTSMANAGEMENT){var e=g.getMap();var d={apiKey:[],services:OpenLayers.Util.extend({},gGEOPORTALRIGHTSMANAGEMENT.services)};for(var b=this.keys.length-1;b>=0;b--){var c=this.keys[b];if(e.catalogue[c]&&e.catalogue[c].allowedGeoportalLayers.length>0){continue}var a=OpenLayers.Util.indexOf(gGEOPORTALRIGHTSMANAGEMENT.apiKey,c);if(a==-1){f.push(c)}else{d.apiKey.push(c);d[c]=OpenLayers.Util.extend({},gGEOPORTALRIGHTSMANAGEMENT[c])}}if(this.keys.length>0){if(d.apiKey.length>0){this.getViewer().setKeys(d)}return}}else{f=this.keys.slice(0)}if(f.length>0){this.createIf(f)}},setLanguage:function(b){var a=this.getViewer();if(!a){return}a.getMap().setLocale(b)},setSize:function(a,b){var c=this.getViewer();if(!c){return}c.setSize(a,b)},setTheme:function(a){var b=this.getViewer();if(!b){return}b.setTheme(a)},addComponent:function(className,options){var viewer=this.getViewer();if(!viewer){return null}if(!OpenLayers.Util.isArray(options)){options=[options]}var cl=this.mapComponentType(className)||undefined;if(typeof(cl)!="function"){try{if(cl!=Geoportal.InterfaceViewer.UNKNOWNCOMPONENT){cl=eval(cl)}}catch(ex){return null}}if(!cl||typeof(cl)!="function"){return null}var componentCreator=(function(){function F(){return cl.prototype.initialize.apply(this,arguments[0])}F.prototype=cl.prototype;return function(){return new F(arguments[0])}})();var cntrl=componentCreator(options);if(!(cntrl instanceof OpenLayers.Control)){cntrl=null;return null}viewer.getMap().addControls([cntrl]);return cntrl.id},removeComponent:function(c){var b=this.getViewer();if(!b){return}var a=this.getComponent(c);if(a){a.destroy()}},modifyComponent:function(d,a){var c=this.getViewer();if(!c){return}var b=this.getComponent(d);if(b){OpenLayers.Util.extend(b,a)}},toggleComponent:function(d,b){var c=this.getViewer();if(!c){return}var a=this.getComponent(d);if(typeof(a.toggleControls)=="function"){a.toggleControls(b)}},iconifyComponent:function(d,c){var b=this.getViewer();if(!b){return}var a=this.getComponent(d);if(typeof(a.showControls)=="function"){a.showControls(c)}},mapComponentType:function(b){var a=Geoportal.InterfaceViewer.prototype.mapComponentType.apply(this,arguments);switch(a){case"Geoportal.Component.Navigation.MouseNavigation":b="OpenLayers.Control.Navigation";break;case"Geoportal.Component.Navigation.KeyboardNavigation":b="OpenLayers.Control.KeyboardDefaults";break;case"Geoportal.Component.Navigation.PanPanel":b="OpenLayers.Control.PanPanel";break;case"Geoportal.Component.Navigation.ZoomBar":b="OpenLayers.Control.ZoomPanel";break;case"Geoportal.Component.Navigation.Compass":case"Geoportal.Component.Navigation.FullScreen":case"Geoportal.Component.Navigation.2D3DSwitcher":b=Geoportal.InterfaceViewer.UNKNOWNCOMPONENT;break;case"Geoportal.Component.LayerCatalog":b="Geoportal.Control.LayerCatalog";break;case"Geoportal.Component.Navigation.GraphicScale":b="Geoportal.Control.GraphicScale";break;case"Geoportal.Component.Navigation.OverviewMap":b="Geoportal.Control.OverviewMap";break;case"Geoportal.Component.Navigation.Graticule":b="OpenLayers.Control.Graticule";break;case"Geoportal.Component.Navigation.ZoomBox":b="OpenLayers.Control.ZoomBox";break;case"Geoportal.Component.Navigation.MousePosition":b="Geoportal.Control.MousePosition";break;case"Geoportal.Component.Information.FeatureInfoDisplay":b="OpenLayers.Control.WMSGetFeatureInfo";break;case"Geoportal.Component.LayerSwitcher":b="Geoportal.Control.LayerSwitcher";break;case"Geoportal.Component.Navigation.NavToolbar":b="Geoportal.Control.NavToolbar";break;case"Geoportal.Component.Navigation.Information":b="Geoportal.Control.Information";break;case"Geoportal.Component.LegalNotice.Copyright":b="Geoportal.Control.Copyright";break;case"Geoportal.Component.LegalNotice.Logo":b="Geoportal.Control.Logo";break;case"Geoportal.Component.LegalNotice.PermanentLogo":b="Geoportal.Control.PermanentLogo";break;case"Geoportal.Component.LegalNotice.TermsOfService":b="Geoportal.Control.TermsOfService";break;default:b=b||a;break}return b},getLayer:function(d){var c=this.getViewer().getMap().getLayersByName(d);if(!c||c.length==0){return null}for(var e=0,a=c.length;e<a;e++){var b=c[e];if(b.isBaseLayer){continue}return b}return null},getComponent:function(b){var a=this.getViewer().getMap().getControlsBy("id",b);if(!a||a.length==0){return null}return a[0]},CLASS_NAME:"Geoportal.InterfaceViewer.JS"});Geoportal=Geoportal||{};Geoportal.load=function(e,b,d,c,a){if(!e){return}d=d||{};a=a||{};switch(a.type){case"flex":return Geoportal.loadFlash(e,b,d,c,a);case"3d":return Geoportal.load3D(e,b,d,c,a);case"js":default:return Geoportal.loadJs(e,b,d,c,a)}};Geoportal.load.defaultOnViewerLoaded=function(g){var k=this.viewerOpts;if(this.setKeys){this.setKeys(k.keys)}if(k.proxyUrl){this.setProxy(k.proxyUrl)}if(k.noProxyDomains){this.setNoProxyDomains(k.noProxyDomains)}if(k.layers){if(k.type=="3d"){this.addGeoportalLayer("ELEVATION.ELEVATIONGRIDCOVERAGE");this.setLayerVisibility("ELEVATION.ELEVATIONGRIDCOVERAGE",true)}for(var c=0;c<k.layers.length;c++){var f=k.layers[c];if(f!="ELEVATION.ELEVATIONGRIDCOVERAGE"){this.addGeoportalLayer(f);this.setLayerVisibility(f,false);this.setLayerOpacity(f,1)}}}if(k.layersOptions){for(var f in k.layersOptions){if(k.layersOptions[f]){for(var d in k.layersOptions[f]){if(k.layersOptions[f][d]){if(d=="opacity"&&typeof(k.layersOptions[f][d])=="number"){this.setLayerOpacity(f,k.layersOptions[f][d])}if(d=="visibility"&&typeof(k.layersOptions[f][d])=="boolean"){this.setLayerVisibility(f,k.layersOptions[f][d])}}}}}}if(k.overlays){for(var j in k.overlays){for(var c=0;c<k.overlays[j].length;c++){var h=k.overlays[j][c];var b=OpenLayers.Util.extend({},h.options);if(h.options){OpenLayers.Util.extend(b,h.options.params);OpenLayers.Util.extend(b,h.options.options)}switch(j.toLowerCase()){case"wms":if(b.layers&&!b.typename){b.typename=b.layers}if(b.srs&&!b.projection){b.projection=b.srs}break;case"wmts":if(b.layer&&!b.typename){b.typename=b.layer}if(b.srs&&!b.projection){b.projection=b.srs}break;case"wfs":if(b.srs&&!b.projection){b.projection=b.srs}break;case"kml":case"gpx":case"georss":break}b.protocol=j;b.url=h.url;b.name=h.name;this.addLayer(b);this.setLayerVisibility(b.name,typeof(b.visibility)=="boolean"?b.visibility:true);this.setLayerOpacity(b.name,typeof(b.opacity)=="number"?b.opacity:1)}}}if(k.componentsOptions){for(var a in k.componentsOptions){this.addComponent(a,k.componentsOptions[a])}}if(k.zoom){this.setZoom(k.zoom)}var e=typeof(k.afterCentered)=="function"?k.afterCentered:Geoportal.load.defaultOnCenterChanged;this.addEvent("centerchanged",OpenLayers.Function.bind(e,this));if(k.lon&&k.lat){this.setCenter(k.lon,k.lat)}else{if(k.center){this.setCenterAtLocation({center:k.center})}else{if(k.place){this.setCenterAtLocation({place:k.place})}else{if(k.address){this.setCenterAtLocation({address:k.address})}else{if(k.geolocate){this.setCenterAtLocation({geolocate:true})}}}}}if(this.setCameraOrientation){this.setCameraOrientation((k.heading?k.heading:0),(k.tilt?k.tilt:0))}if(k.onView&&typeof(k.onView)=="function"){k.onView.apply(this,[g])}};Geoportal.load.defaultOnCenterChanged=function(a){this.removeEvent("centerchanged",Geoportal.load.defaultOnCenterChanged)};Geoportal.loadJs=function(a,g,f,h,i){if(g!=null&&typeof(g)=="string"){g=[g]}if(window.__Geoportal$timer===undefined){window.__Geoportal$timer=null}if(__Geoportal$timer!=null){window.clearTimeout(__Geoportal$timer)}if(typeof(OpenLayers)=="undefined"||typeof(Geoportal)=="undefined"||typeof(Geoportal.Viewer)=="undefined"||typeof(Geoportal.Viewer.Standard)=="undefined"){__Geoportal$timer=window.setTimeout(OpenLayers.Function.bind(function(r,j,l,q,n){Geoportal.loadJs(r,j,l,q,n)},this,a,g,f,h,i),300);return}OpenLayers.Util.applyDefaults(i,{displayProjection:["CRS:84"]});if(i.language){OpenLayers.Lang.setCode(i.language)}if(typeof(i.onBeforeView)=="function"){i.onBeforeView(i);if(typeof(i.center)=="object"){f=OpenLayers.Util.extend(f,i.center);delete i.center}if(typeof(i.zoom)=="number"){h=i.zoom;delete i.zoom}}var e=i.viewerClass||Geoportal.Viewer.Simple;if(e===Geoportal.Viewer.Default&&i.mode==="mini"){e=OpenLayers.Class(Geoportal.Viewer.Default,{mode:"mini"})}if(i.mode!==undefined){delete i.mode}var b=OpenLayers.Util.extend({},i);if(typeof(h)=="number"){b.zoom=h}b.geolocation=OpenLayers.Util.extend({},f);if(i.proxyUrl){b.proxy=i.proxyUrl;delete i.proxyUrl}var d=typeof(i.onViewerLoaded)!="function"?Geoportal.loadJs.defaultOnViewerLoaded:i.onViewerLoaded;var c=new Geoportal.InterfaceViewer.JS(a,{keys:g,viewerLoadedCallback:d,viewerClass:e,viewerOpts:b});return c};Geoportal.loadJs.defaultAfterCentered=function(r){var j=this.getApplication();if(window.gGEOPORTALRIGHTSMANAGEMENT){gGEOPORTALRIGHTSMANAGEMENT.application=j}var a=r||j.options;if(!a.overlays){var o={};if(!a.marker){o={externalGraphic:Geoportal.Util.getImagesLocation()+"marker-ign.png",graphicWidth:34,graphicHeight:34,graphicXOffset:-10,graphicYOffset:-33}}else{o=OpenLayers.Util.extend({},a.marker)}var c=new OpenLayers.Layer.Vector("-x-",{styleMap:new OpenLayers.StyleMap(o),isBaseLayer:false,displayInLayerSwitcher:false,opacity:1,visibility:true,preFeatureInsert:Geoportal.Popup.setPointerCursorForFeature,onFeatureInsert:Geoportal.Popup.Anchored.createPopUpForKMLFeature,formatOptions:{popupClass:OpenLayers.Popup.FramedCloud,closeBox:false,autoSize:true}});this.addLayer(c,null,null,null,{attachDefaultPopup:true});var b=this.getCenter();var n=(b.clone()).transform(c.getNativeProjection(),OpenLayers.Projection.CRS84);var d=new OpenLayers.Feature.Vector(new OpenLayers.Geometry.Point(b.lon,b.lat),{name:'<span class="gpPopupLabelCenter">'+(a.label||OpenLayers.i18n("approx.center"))+"</span>",description:'<span class="gpPopupDescriptionCenter">'+(a.description||OpenLayers.String.sprintf("%.6f %.6f",n.lon,n.lat))+"</span>"});c.addFeatures([d])}else{for(var h in a.overlays){if(!a.overlays.hasOwnProperty(h)){continue}var p=a.overlays[h]||[];if(!OpenLayers.Util.isArray(p)||p.length==0){continue}var q="";switch(h.toLowerCase()){case"kml":case"gml":case"gpx":case"osm":case"wms":case"wmsc":case"wmts":case"wfs":q=h.toUpperCase();break;case"georss":q="GeoRSS";break;default:break}if(q!=""){for(var g=0,e=p.length;g<e;g++){var f=p[g];if(!f||!f.name||!f.url){continue}f.options=f.options||{};switch(q){case"KML":case"GML":case"GPX":case"GeoRSS":case"OSM":f.options.params=OpenLayers.Util.applyDefaults(f.options.params,{visibility:true});f.options.options=OpenLayers.Util.applyDefaults(f.options.options,{handlersOptions:{feature:{stopDown:false}}});break;case"WMS":case"WMSC":case"WMTS":case"WFS":default:f.options.params=f.options.params||{};f.options.options=OpenLayers.Util.applyDefaults(f.options.options,{visibility:true});break}this.addLayer(q,f.name,f.url,f.options.params,f.options.options)}}}}if(j.openLayersPanel){j.openLayersPanel(false)}var k=j.getMap().getControlsByClass("Geoportal.Control.Information");if(k&&k.length>0){k[0].toggleControls(true)}};Geoportal.loadJs.defaultOnViewerLoaded=function(q){var f=q.viewer;var u=f.options;var g=[];if(!u.layers||u.layers.length==0){g=f.getMap().catalogue.getDefaultGeoportalLayers(this.keys);if(g.length==0){g=f.getMap().catalogue.getAllowedGeoportalLayers(this.keys)}}else{g=u.layers.slice(0)}var h=[],c={};for(var o=0,n=g.length;o<n;o++){var e=g[o];if(f.getMap().catalogue.getLayerGeoRMKey(null,e)){h.push(e)}}if(h.length==1&&!(u.layersOptions&&u.layersOptions[h[0]])){c[h[0]]={opacity:1,visibility:true}}else{if(u.layersOptions){for(var d=0,b=h.length;d<b;d++){var j=h[d],s=j.lastIndexOf(":"),p=s!=-1?j.substring(0,s):j;if(s==-1){j=j+":"+Geoportal.Catalogue.DEFAULT_SERVICE_TYPE}c[j]=OpenLayers.Util.extend({},u.layersOptions[j]||u.layersOptions[p]||{})}if(u.layersOptions.global){c.global=OpenLayers.Util.extend({},u.layersOptions.global)}}}f.addGeoportalLayers(h,c);f.getMap().setCenter(f.viewerOptions.defaultCenter,f.viewerOptions.defaultZoom);var a=OpenLayers.Util.extend({},u.geolocation);if(typeof(u.zoom)=="number"){a.zoom=u.zoom}var k=typeof(a.afterCentered)!="function"?Geoportal.loadJs.defaultAfterCentered:a.afterCentered;var r=this;a.afterCentered=function(){k.apply(r.getViewer().getMap(),[]);if(typeof(u.onView)=="function"){u.onView.apply(r,[u])}};this.setCenterAtLocation(a)};